<?php
global $wpdb; $prefix = $wpdb->prefix;
$users = get_users( array( 'fields' => array('user_nicename', 'display_name', 'ID' ) ) );
$users_arr = array();
foreach($users as $user){
	$uid = $user->ID;
	$user_name = $user->user_nicename;
	$querystr2 = "
		SELECT DISTINCT SUM(amount) as total_amount
		FROM ".$prefix."job_affiliate_transactions
		WHERE user_id='$uid'
	";
	$total = $wpdb->get_results( $querystr2 );
	$total_amount = isset( $total[0] ) && $total[0]->total_amount ? $total[0]->total_amount : 0;
	$users_arr[] = array(
		'id'     => $uid,
		'name'   => $user_name,
		'amount' => wpjobster_get_show_price_classic( $total_amount ),
	);
}
usort( $users_arr, function( $a, $b ) {
	$a = (float) filter_var( $a["amount"], FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION );
	$b = (float) filter_var( $b["amount"], FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION );

	return $b - $a;
}); ?>

<form method="get" action="<?php bloginfo('url'); ?>/wp-admin/admin.php">
	<input type="hidden" value="<?php echo get_referral_plugin_slug(); ?>" name="page" />
	<input type="hidden" value="reports" name="active_tab" />
	<table width="100%" class="sitemile-table">
		<tr>
			<td><?php _e('Search by username or user ID','wpjobster-affiliate'); ?></td>
			<td>
				<input type="text" value="<?php echo (isset($_GET['name'])) ? $_GET['name'] : WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" /> <input type="submit" class="button-secondary" name="wpjobster_save2" value="<?php _e('Search','wpjobster-affiliate'); ?>"/>
				<input type="submit" value="Back" class="button-secondary" name="back_btn" />
			</td>
		</tr>
	</table>
</form>

<?php
if( isset($_GET['wpjobster_save2']) && isset($_GET['search_user']) && $_GET['search_user'] != "" ){
	global $wpdb;
	$rows_per_page = 10;

	if(isset($_GET['pj'])) $pageno = $_GET['pj'];
	else $pageno = 1;

	$usrlg = trim($_GET['search_user']);

	if ( ctype_digit( $usrlg ) || is_int( $usrlg ) ) {
		$usrid = $_GET['search_user'];
	}else {
		$usrid = false;
	}

	if ( ! $usrid ) {
		$sql  = "select ID from $wpdb->users where user_login='$usrlg'";
		$rqrq   = $wpdb->get_results($sql);

		if(count($rqrq) > 0) $usrid = $rqrq[0]->ID;
		else $usrid = 0;
	}

	$s1     = "select user_id from ".$wpdb->prefix."job_affiliate_transactions where user_id='$usrid' order by date desc ";
	$s      = "select * from ".$wpdb->prefix."job_affiliate_transactions where user_id='$usrid' order by date desc ";

	$limit    = ' LIMIT ' .($pageno - 1) * $rows_per_page .',' .$rows_per_page;
	$r        = $wpdb->get_results($s1);
	$nr       = count($r);
	$lastpage = ceil($nr/$rows_per_page);
	$r        = $wpdb->get_results($s.$limit); ?>

	<div class="all-users">
		<?php
		$user_referral = get_user_meta($usrid, 'wpjobster_referral_user_list', true);
		if($user_referral){
			echo __('<b>User referrals', 'wpjobster-affiliate') . ': </b>';
			foreach ($user_referral as $key => $ref) {
				$referrals = get_userdata($ref);
				if($referrals){
					$all_ref = $referrals->user_login;
					echo '<a href="'.get_referral_menu_url() . '&active_tab=reports&search_user=' . $ref . '&wpjobster_save2=Search&name='.$all_ref.'">'.$all_ref.'</a>; ';
				}
			}
		}
		?>
	</div>

	<?php if(count($r) > 0){ ?>
		<table class="widefat post fixed" cellspacing="0">
			<thead>
				<tr>
					<th width="10%"><?php _e('User','wpjobster-affiliate'); ?></th>
					<th width="10%"><?php _e('Referral','wpjobster-affiliate'); ?></th>
					<th width="50%"><?php _e('Reason','wpjobster-affiliate'); ?></th>
					<th width="10%"><?php _e('Amount','wpjobster-affiliate'); ?></th>
					<th width="20%"><?php _e('Date','wpjobster-affiliate'); ?></th>
				</tr>
			</thead>

		<tbody>
		<?php
		foreach($r as $row){
			if(!empty($row->user_id)){
				$user = get_userdata($row->user_id);
				$referral = get_userdata($row->referral_id);
				$referral_user_login = isset($referral->user_login) ? $referral->user_login : '-';
				$referral_name = ($row->user_id == $row->referral_id) ? '-' : $referral_user_login;
				echo '<tr>';
					echo '<th>'.$user->user_login.'</th>';
					echo '<th>'.$referral_name.'</th>';
					echo '<th>'.wpjobster_text_reason($row->reason_id, $row->referral_id).'</th>';
					echo '<th>'.wpjobster_get_show_price_classic($row->amount,1).'</th>';
					echo '<th>'.date_i18n('d-M-Y H:i:s',$row->date) .'</th>';
				echo '</tr>';
			}else{
				echo '<tr><td colspan="5"><div class="all-users">' .__("No user with this name.","wpjobster-affiliate") .'<td></tr></div>';
			}
		} ?>
		</tbody>
		</table>
	<?php }else{ ?>
		<div class="all-users"><?php _e('There are no transactions yet for this user.','wpjobster-affiliate'); ?></div>
	<?php }

	for($i=1;$i<=$lastpage;$i++){
		if($lastpage > 1){
			if($pageno == $i)
				echo $i." | ";
			else
				echo '<a href="'.get_referral_menu_url().'&active_tab=reports&search_user='.$_GET['search_user'].'&wpjobster_save2=Search&name='.$user->user_login.'&search_id&pj='.$i.'">'.$i.'</a> | ';
		}
	}
	?>

<?php }else{

	$page = ! empty( $_GET['pj'] ) ? (int) $_GET['pj'] : 1;
	$total = count( $users_arr );
	$limit = 10;
	$totalPages = ceil( $total/ $limit );
	$page = max($page, 1);
	$page = min($page, $totalPages);
	$offset = ($page - 1) * $limit;
	if( $offset < 0 ) $offset = 0;

	$users_arr = array_slice( $users_arr, $offset, $limit );

	?>
	<table class="widefat post fixed" cellspacing="0">
		<thead>
			<tr>
				<th><?php _e('Username','wpjobster-affiliate'); ?></th>
				<th><?php _e('Total Money','wpjobster-affiliate'); ?></th>
				<th><?php _e('Total Clicks','wpjobster-affiliate'); ?></th>
			</tr>
		</thead>
		<tbody>
			<?php
			foreach($users_arr as $user){
				$id               = $user['id'];
				$name             = $user['name'];
				$amount           = $user['amount'];
				$clicks           = get_user_meta ( $id, 'wpjobster_referral_user_clicks', true);
				$clicks           = ($clicks) ? $clicks : '0';

				echo '<tr>';
					echo '<th><a href="'.get_referral_menu_url() . '&active_tab=reports&search_user=' . $id . '&wpjobster_save2=Search&name='.$name.'">'.$name.'</a></th>';
					echo '<th>'.$amount.'</th>';
					echo '<th>'.$clicks.'</th>';
				echo '</tr>';
			} ?>
		</tbody>
	</table>

	<?php
	for($i=1;$i<=$totalPages;$i++){
		if($totalPages > 1){
			if($page == $i)
				echo $i." | ";
		else
			echo '<a href="'.get_referral_menu_url().'&active_tab=reports&pj='.$i.'">'.$i.'</a> | ';
		}
	}
	?>

<?php } ?>
