<?php
/**
* Jobster functions and definitions
*
* @author WPJobster <support@wpjobster.com>
* @copyright Copyright (c) 2018 WPJobster. All rights reserved.
*
* @link http://wpjobster.com/
* @link http://wpjobster.com/terms-of-service/
* @link http://wpjobster.com/privacy-policy/
*
* @package WPJobster
* @subpackage Jobster
* @since Jobster v1.0.0
*/

add_action( 'wp_enqueue_scripts', 'wpjobster_load_stylesheets', 12 );
function wpjobster_load_stylesheets() {

	// enqueue parent styles
	wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css', array(), wpjobster_VERSION );

	// enqueue child styles
	wp_enqueue_style( 'child-style', get_stylesheet_directory_uri() . '/style.css', array( 'parent-style' ), wpjobster_VERSION );

	// enqueue child rtl styles
	if ( is_rtl() ) { wp_enqueue_style( 'child-style-rtl', get_stylesheet_directory_uri() . '/rtl.css', array( 'parent-style' ), wpjobster_VERSION ); }

	// enqueue child scripts
	wp_enqueue_script( 'child-script', get_stylesheet_directory_uri() . '/script.js', array( 'jquery' ), wpjobster_VERSION, true );
}


add_action( 'after_setup_theme', 'wpjobster_load_child_textdomain' );
function wpjobster_load_child_textdomain() {
	load_child_theme_textdomain( 'wpjobster-child', get_stylesheet_directory() . '/languages' );
}

/*************** ADD CUSTOM THEME FUNCTIONS BELOW ***************/
