<?php
if ( ! class_exists( 'DSDiscountsSettings' ) ) {
	$classes = array( 'GeneralSettings' );
	foreach ( $classes as $class_name ) {
		include_once plugin_dir_path( __FILE__ ) . $class_name . '.php';
	}

	class DSDiscountsSettings {
		/**
		 * __CONSTRUCT
		 */
		public function __construct() {
			$this->GeneralSettings = new DSGeneralSettings();
		}

		/**
		 * Show applied discount to checkout and chatbox pages
		 * @param string $location
		 * @param object $order_object
		 */
		public function showDiscountPost( $location = '', $order_object = '' ) {
			global $wpdb;

			// Chatbox page
			if ( $location == "chat_box" ) {
				if ( $order_object ) {
					$price = $this->calculateOrderPrice( $order_object->id );

					$discount_order_query  = "SELECT * FROM {$wpdb->prefix}job_discounts WHERE order_id='{$order_object->id}'";
					$result_discount_order = $wpdb->get_results( $discount_order_query );

					if ( $result_discount_order ) {
						foreach ( $result_discount_order as $key => $value ) {
							$discount = $this->calculateJobDiscount( $price['job_price'], $value->discount_id );

							if ( $discount && $discount['coupon_arr'] ) { ?>
								<li>
									<div class="cp-price-extra"><?php echo '-' . wpjobster_get_show_price_classic( $discount['discount'] ); ?></div>
									<div class="cp-title-extra"><?php echo __( 'Coupon', 'wpjobster-discounts' ); ?>: <?php echo $discount['coupon_arr']->code; ?></div>
								</li>
							<?php }
						}
					}
				}
			}

			// Checkout page
			if ( get_option( 'wpjobster_discounts_enable' ) == 'yes' && is_user_logged_in() ) {
				if ( isset( $_POST['discount_value'] ) ) {
					foreach ( $_POST['discount_value'] as $value ) {
						$arr = explode( '/', $value );
						$d_code = $arr[0];
						$d_val  = $arr[1];

						$remove_discount = get_option( 'wpjobster_purchase_this_discounts_enable' ) == 'yes' ? '<i class="remove-discount close icon"></i>' : '';

						$query_d_code = "SELECT * FROM {$wpdb->prefix}job_discount_codes WHERE code = '{$d_code}' AND deleted = 0 LIMIT 1";
						$results_d_code = $wpdb->get_results( $query_d_code );

						$payment_page_type = $location == 'purchase_this' && get_option( 'wpjobster_purchase_this_extra_enabled' ) != 'yes' && get_option( 'wpjobster_purchase_this_discounts_enable' ) != 'yes' ? true : false;

						if ( $results_d_code ) {
							if ( $payment_page_type ) {
								echo '<div class="ui fitted divider"></div>';
								echo '<div class="sixteen wide column">';
								$list_class = '';
							} else {
								$list_class = 'shipping ';
							}

								echo '<div data-creator="' . $results_d_code[0]->creator . '" data-discount="' . $d_val . '" data-type="' . $results_d_code[0]->type . '" data-value="' . $results_d_code[0]->price . '" data-min-amount="' . $results_d_code[0]->minimum_amount . '" class="' . $list_class . 'coupon-' . $d_code . '">';

									echo __( 'Coupon', 'wpjobster-discounts' ) . ': ' . $d_code . $remove_discount . '<span class="coupon-amount extra-price-inside">-' . wpjobster_get_show_price_precise( $d_val ) . '</span>';

								echo '</div>';


							if ( $payment_page_type ) { echo '</div>'; }

							echo '<input type="hidden" class="discount-value" name="discount_value[]" value="' . $d_code . '/' . $d_val . '" />';
						}
					}
				}
			}
		}

		/**
		 * Show discount form to single job and checkout page
		 * @param float $price
		 * @param string $location
		 */
		public function showDicountForm( $price = '', $location = '' ) {
			if ( get_option( 'wpjobster_discounts_enable' ) == 'yes' && is_user_logged_in() && $price > 0 ) {

				if ( $location == 'buy_for_popup' || $location == 'single_job' || ( $location == 'purchase_this' && ! isset( $_GET['custom_extra'] ) && ! isset( $_GET['tips'] ) ) ) {
					$w100 = $location == 'buy_for_popup' ? 'w100' : '';
					$mt10 = $location == 'buy_for_popup' ? 'mt10' : '';
					$pid = $location == 'purchase_this' ? WPJ_Form::get( 'jobid', get_the_ID() ) : get_the_ID();

					$d_code_arr = array(); $d_val_total = 0;
					if ( isset( $_POST['discount_value'] ) ) {
						foreach ( $_POST['discount_value'] as $value ) {
							$arr = explode( '/', $value );
							$d_code_arr[] = $arr[0];
							$d_val_total += $arr[1];
						}
					}

					if ( $location == 'buy_for_popup' || $location == 'single_job' || ( $location == 'purchase_this' && get_option( 'wpjobster_purchase_this_discounts_enable' ) == 'yes' ) ) { ?>
						<div class="apply-dicounts-wrapper">
							<div style="display:none" id="discount_status" class="ui message discount_status"></div>
							<div class="ui icon input loading discount-inp <?php echo $w100; ?>">
								<input type="text" name="discount_code" class="discount-code" placeholder="<?php echo __( 'Coupon code', 'wpjobster-discounts' ); ?>" />
							</div>
							<div id="apply_discount" class="ui white button discount-btn <?php echo $w100 . ' ' . $mt10; ?>"><?php echo __( 'Apply', 'wpjobster-discounts' ); ?></div>
						</div>
					<?php } ?>

					<input type="hidden" value="<?php echo implode( ',', $d_code_arr ); ?>" class="sn-discount-code-arr" />
					<input type="hidden" value="<?php echo $d_val_total; ?>" class="sn-discount-value-arr" />
					<input type="hidden" value="<?php echo $pid; ?>" class="sn-post_id" />
				<?php }
			}
		}

		/**
		 * Validate inserted discount code
		 */
		public function validateDiscountCode() {
			if ( get_option( 'wpjobster_discounts_enable' ) == 'yes' && is_user_logged_in() ) {
				global $wpdb;
				$messages = array();
				$results_d_code = array();

				$discount_code = $_POST['discount_code'];
				$pid           = $_POST['pid'];
				$post          = get_post( $pid );
				$job_price     = $this->calculateJobPriceWithExtra( $pid, $_POST['pck_value'] );
				$job_price     = floatval( $job_price['total_price'] );
				$user_id       = get_current_user_id();

				if ( $discount_code ) {
					$query_d_code = "SELECT * FROM {$wpdb->prefix}job_discount_codes WHERE code = '{$discount_code}' AND deleted = 0 LIMIT 1";
					$results_d_code = $wpdb->get_results( $query_d_code );

					if ( $results_d_code ) {
						$start_date     = $results_d_code[0]->start_date;
						$end_date       = $results_d_code[0]->end_date;
						$uses_number    = $results_d_code[0]->uses_number;
						$used_number    = $results_d_code[0]->used_number;
						$min_amount     = $results_d_code[0]->minimum_amount;
						$seller_id      = $results_d_code[0]->seller_id;
						$creator        = $results_d_code[0]->creator;

						// Limit once
						$limit_once            = $results_d_code[0]->limit_once;
						$query_user_discount   = "SELECT * FROM {$wpdb->prefix}job_discounts WHERE discount_id = '{$results_d_code[0]->id}' AND user_id = {$user_id} LIMIT 1";
						$results_user_discount = $wpdb->get_results( $query_user_discount );

						// Limit featured
						$limit_featured = $results_d_code[0]->limit_featured;
						if ( $limit_featured == 1 ) {
							$home_featured_now        = get_post_meta( $pid, 'home_featured_now', true );
							$category_featured_now    = get_post_meta( $pid, 'category_featured_now', true );
							$subcategory_featured_now = get_post_meta( $pid, 'subcategory_featured_now', true );
							$job_is_featured          = ( $home_featured_now != 'z' || $category_featured_now != 'z' || $subcategory_featured_now != 'z' ) ? true : false;
						}

						// Limit category
						$limit_category = $results_d_code[0]->limit_category;
						$limit_category_arr = explode( ',', $limit_category );

						$args = array( 'orderby' => 'name', 'order' => 'ASC', 'fields' => 'all' );
						$categories = wp_get_post_terms( $pid, 'job_cat', $args );
						$cat_arr = array();
						foreach ( $categories as $key => $value ) {
							$cat_arr[] = $value->term_id;
						}

						$correct_category = ( count( array_intersect( $limit_category_arr, $cat_arr ) ) ) ? true : false;

						// Limit user
						$limit_user = $results_d_code[0]->limit_user;
						$limit_user_arr = explode( ',', $limit_user );

						$correct_user = in_array( $user_id, $limit_user_arr ) ? true : false;

						// User
						$user = get_user_by( 'id', $seller_id );

						// Verify the coupon
						if ( $start_date && $start_date != 0 && $start_date >= time() ) {
						// start date error
							$messages['ok'] = false;
							$messages['content'] = __( 'This coupon can be used started with', 'wpjobster-discounts' ) . ' ' . date_i18n( get_option( 'date_format' ) . ' - ' . get_option( 'time_format' ), $start_date ) . '.';
						} elseif ( $end_date && $end_date != 0 && $end_date <= time() ) {
						// end date error
							$messages['ok'] = false;
							$messages['content'] = __( 'This coupon has expired in ', 'wpjobster-discounts' ) . ' ' . date_i18n( get_option( 'date_format' ) . ' - ' . get_option( 'time_format' ), $end_date ) . '.';
						} elseif ( $uses_number && $uses_number != 0 && $used_number >= $uses_number ) {
						// number of uses error
							$messages['ok'] = false;
							$messages['content'] = __( 'You can\'t use this coupon anymore', 'wpjobster-discounts' ) . '.';
						} elseif ( $results_d_code[0]->limit_once == 1 && $results_user_discount ) {
						// limit once error
							$messages['ok'] = false;
							$messages['content'] = __( 'You have already used this coupon', 'wpjobster-discounts' ) . '.';
						} elseif ( $min_amount && $min_amount != 0 && $job_price < $min_amount ) {
						// minimum amount error
							$messages['ok'] = false;
							$messages['content'] = sprintf( __( 'The total amount of this job, including the extra, is %s. This coupon can only be applied to a job with a minimum amount of %s', 'wpjobster-discounts' ), wpjobster_get_show_price( $job_price ), wpjobster_get_show_price( $min_amount ) ) . '!';
						} elseif ( $limit_featured && $limit_featured != 0 && !$job_is_featured ) {
						// featured job error
							$messages['ok'] = false;
							$messages['content'] = __( 'This coupon can be used only for featured jobs', 'wpjobster-discounts' ) . '.';
						} elseif ( $limit_category && $limit_category != 0 && !$correct_category ) {
						// category job error
							$messages['ok'] = false;
							$messages['content'] = __( 'This coupon can\'t be used for a job with this category', 'wpjobster-discounts' ) . '.';
						} elseif ( $limit_user && $limit_user !=0 && !$correct_user ) {
						// user error
							$messages['ok'] = false;
							$messages['content'] = __( 'This coupon can\'t be used for this user', 'wpjobster-discounts' ) . '.';
						} elseif ( $creator == 1 && $seller_id != $post->post_author ) {
						// seller job error
							$messages['ok'] = false;
							$messages['content'] = sprintf( __( 'This coupon can be used for a job created by %s', 'wpjobster-discounts' ), $user->user_login ) . '.';
						} else {
						// OK - successful
							$messages['ok'] = true;
							$messages['content'] = __( 'Coupon code applied successfully', 'wpjobster-discounts' ) . '.';
						}
					} else {
					// wrong code error
						$messages['ok'] = false;
						$messages['content'] = sprintf( __( 'Coupon "%s" does not exist', 'wpjobster-discounts' ), $discount_code ) . '!';

					}
				} else {
				// empty code error
					$messages['ok'] = false;
					$messages['content'] = __( 'Please enter a coupon code', 'wpjobster-discounts' ) . '.';
				}

				$price_exchanged = isset( $results_d_code[0]->price ) ? get_exchange_value( $results_d_code[0]->price, wpjobster_get_currency_classic(), wpjobster_get_currency() ) : 0;

				echo json_encode(
					array(
						'messages'  => $messages, // error message
						'results'   => $results_d_code, // discount row
						'price'     => $price_exchanged, // discount value
						'job_price' => floatval( $job_price['total_price_no_job'] ), // total job max amount without job price
					)
				);
			}

			die();
		}

		/**
		 * Generate coupon code
		 * @param integer $code_length
		 * @return string
		 *
		 * Returns a coupon code with number of digits given by $code_length param
		 */
		public function generateCouponCode( $code_length = 10 ) {
			global $wpdb;

			$chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ'; $code = '';
			for ( $i = 1; $i <= $code_length; $i++ ) {
				$code .= $chars[mt_rand( 0, strlen( $chars ) - 1 )];
			}

			$query = "SELECT * FROM {$wpdb->prefix}job_discount_codes WHERE code='{$code}'";
			$results = $wpdb->get_results( $query );

			if ( !empty( $results ) ) {
				$code = $this->generateCouponCode();
			} else {
				return $code;
			}

			return false;
		}

		public function getDiscountById( $discount_id = '' ) {
			if ( $discount_id ) {
				global $wpdb;
				$query = "SELECT * FROM {$wpdb->prefix}job_discount_codes WHERE id = '{$discount_id}' LIMIT 1";
				$results = $wpdb->get_results( $query );

				return isset( $results[0] ) ? $results[0] : false;
			}

			return false;
		}

		public function getDiscountByOrderId( $order_id = '' ) {
			if ( $order_id ) {
				global $wpdb;
				$query = "SELECT * FROM {$wpdb->prefix}job_discounts WHERE order_id = '{$order_id}'";
				$results = $wpdb->get_results( $query );

				return $results ? $results : false;
			}

			return false;
		}

		/**
		 * Calculate site fee based on total order price
		 */
		public function calculateSiteFee() {
			$user_level = wpjobster_get_user_level( get_current_user_id() );
			$raw_amount_default = $_POST['price'];

			$wpjobster_percent_fee_taken_range1_base = get_option( 'wpjobster_percent_fee_taken_range1_base' );
			$wpjobster_percent_fee_taken_range2_base = get_option( 'wpjobster_percent_fee_taken_range2_base' );
			$wpjobster_percent_fee_taken_range3_base = get_option( 'wpjobster_percent_fee_taken_range3_base' );

			if ( ! is_numeric( $wpjobster_percent_fee_taken_range1_base )
				|| ! is_numeric( $wpjobster_percent_fee_taken_range2_base )
				|| ! is_numeric( $wpjobster_percent_fee_taken_range3_base ) ) {

				$wpjobster_percent_fee_taken_range1_base = 20;
				$wpjobster_percent_fee_taken_range2_base = 100;
				$wpjobster_percent_fee_taken_range3_base = 500;
			}

			if ( $raw_amount_default > $wpjobster_percent_fee_taken_range3_base ) {
				$amount_range = 3;
			} else if ( $raw_amount_default > $wpjobster_percent_fee_taken_range2_base ) {
				$amount_range = 2;
			} else if ( $raw_amount_default > $wpjobster_percent_fee_taken_range1_base ) {
				$amount_range = 1;
			} else {
				$amount_range = 0;
			}

			$percent_taken = get_option( "wpjobster_percent_fee_taken_range{$amount_range}_level{$user_level}" );
			if ( ! is_numeric( $percent_taken ) ) {
				$percent_taken = get_option( "wpjobster_percent_fee_taken_range{$amount_range}_level0" );
				if ( ! is_numeric( $percent_taken ) ) {
					$percent_taken = 0;
				}
			}

			echo $percent_taken;

			die();
		}

		/**
		 * Calculate total order price based on order id
		 * @param int $order_id
		 */
		public function calculateOrderPrice( $order_id ) {
			global $wpdb;

			$query = "SELECT * FROM {$wpdb->prefix}job_orders WHERE id = '{$order_id}'";
			$results = $wpdb->get_results( $query );

			$total_price                   = 0;
			$total_price_without_tax       = 0;
			$total_price_without_ce        = 0;
			$total_price_without_tax_and_ce = 0;

			if ( $results ) {
				foreach ( $results as $resultrow ) {
					$custom_extras = json_decode( $resultrow->custom_extras );
					$total_custom_extras           = 0;
					$processing_fees_custom_extras = 0;
					$tax_custom_extras             = 0;

					if ( $custom_extras ) {
						$i = -1;
						foreach ( $custom_extras as $custom_extra ) { $i++;
							if ( $custom_extra->paid ) {

								// get order from custom_extras_orders
								global $wpdb;
								$select_extra_ord = "SELECT * FROM {$wpdb->prefix}job_custom_extra_orders WHERE order_id = '{$resultrow->id}' AND custom_extra_id = '{$i}'";
								$r = $wpdb->get_results( $select_extra_ord );
								if ( $r ) {
									$custom_extra_ord = $r[0];

									$custom_extra_payment = wpj_get_payment( array(
										'payment_type'    => 'custom_extra',
										'payment_type_id' => $custom_extra_ord->id,
									) );

									$processing_fees_custom_extras += $custom_extra_payment->fees;
									$tax_custom_extras             += $custom_extra_payment->tax;
									$total_custom_extras           += apply_filters( 'wpj_price_filter', $custom_extra_payment->amount );
								}
							}
						}
					}

					$processing_fees = $resultrow->processing_fees;
					if ( ! is_numeric( $processing_fees ) ) {
						$processing_fees = 0;
					}
					$processing_fees += $processing_fees_custom_extras;

					$tax_amount = $resultrow->tax_amount;
					if ( ! is_numeric( $tax_amount ) ) {
						$tax_amount = 0;
					}
					$tax_amount += $tax_custom_extras;
				}

				$total_price                    = $resultrow->mc_gross + $processing_fees + $tax_amount + $total_custom_extras;
				$total_price_without_tax        = $resultrow->mc_gross + $processing_fees + $total_custom_extras;
				$total_price_without_ce         = $resultrow->mc_gross + $resultrow->processing_fees + $resultrow->tax_amount;
				$total_price_without_tax_and_ce = $resultrow->mc_gross + $resultrow->processing_fees;
			}

			$shipping = isset( $resultrow->shipping ) && $resultrow->shipping ? $resultrow->shipping : 0;

			$totals = array(
				'job_price'       => $resultrow->mc_gross - $shipping,
				'total'           => $total_price,
				'total_no_tax'    => $total_price_without_tax,
				'total_no_ce'     => $total_price_without_ce,
				'total_no_tax_ce' => $total_price_without_tax_and_ce,
			);

			return $totals;
		}

		/**
		 * Calculate discount value
		 * @param float $price
		 * @param int $discount_id
		 * @return array
		 */
		public function calculateJobDiscount( $price = '', $discount_id = '' ) {
			global $wpdb;
			$discount = 0;

			$query  = "SELECT * FROM {$wpdb->prefix}job_discount_codes WHERE id = '{$discount_id}' LIMIT 1";
			$result = $wpdb->get_results( $query );

			if ( isset( $result[0] ) ) {
				if ( get_option( 'wpjobster_admin_discounts_to_seller_earnings_enable' ) == 'no' && $result[0]->creator != 1 ) {
					$price = wpjobster_calculate_fee( $price );
				}

				if ( $result[0]->type == 'percent' ) {
					$discount_price = $result[0]->price;
					$discount = ( $discount_price * $price ) / 100;
				} else {
					$discount = $result[0]->price;
				}
			}

			return array( 'discount' => $discount, 'coupon_arr' => isset( $result[0] ) ? $result[0] : false );
		}

		/**
		 * Calculate maximum job price
		 * @param int $pid
		 * @param float $pck_price_val
		 * @return float
		 */
		public function calculateJobPriceWithExtra( $pid, $pck_price_val = '' ) {
			// job price
			$price = $pck_price_val ? get_exchange_value( $pck_price_val, wpjobster_get_currency(), wpjobster_get_currency_classic() ) : get_post_meta( $pid, 'price', true );
			$price = $price ? $price : 0;

			// extra fast delivery
			$eft_enabled = get_post_meta( $pid, 'extra_fast_enabled', true );
			$efd = $eft_enabled ? get_post_meta( $pid, 'extra_fast_price', true ) : 0;
			$efd = $efd ? $efd : 0;

			// extra revision
			$er_enabled = get_post_meta( $pid, 'extra_revision_enabled', true );
			$er = $er_enabled ? get_post_meta( $pid, 'extra_revision_price', true ) : 0;
			$er = $er ? $er : 0;

			// extra
			$total_extra = 0;
			for ( $i = 1; $i <= 10; $i++ ) {
				$extra_enabled = get_post_meta( $pid, 'extra' . $i . '_extra_enabled', true );
				$extra = $extra_enabled ? get_post_meta( $pid, 'extra' . $i . '_price', true ) : 0;
				$extra = $extra ? $extra : 0;
				$total_extra += $extra;
			}

			// total
			$total_price = $price + $efd + $er + $total_extra;
			$total_price_without_job_price = $efd + $er + $total_extra;

			return array(
				'total_price'        => floatval( $total_price ),
				'total_price_no_job' => floatval( $total_price_without_job_price )
			);
		}

		/**
		 * Insert discount order to database
		 * @param array $common_details
		 * @param array $coupons
		 */
		public function insertDiscountOrder( $common_details, $coupons ) {

			if ( get_option( 'wpjobster_discounts_enable' ) == 'yes' && is_user_logged_in() ) {
				global $wpdb;

				if ( $coupons ) {
					$coupons_arr = explode( '_', $coupons );
					if ( $coupons_arr ) {
						foreach ( $coupons_arr as $coupon ) {

							$query   = "SELECT * FROM {$wpdb->prefix}job_discount_codes WHERE code LIKE '{$coupon}' LIMIT 1";
							$results = $wpdb->get_results( $query );

							$wpdb->insert(
								$wpdb->prefix . 'job_discounts',
								array(
									'discount_id' => $results[0]->id,
									'user_id'     => $common_details['uid'],
									'job_id'      => $common_details['pid'],
									'order_id'    => $common_details['order_id']
								),
								array(
									'%d',
									'%d',
									'%d',
									'%d'
								)
							);

							$wpdb->update(
								$wpdb->prefix . 'job_discount_codes',
								array( 'used_number' => $results[0]->used_number + 1 ),
								array( 'id' => $results[0]->id ),
								array( '%d' ),
								array( '%d' )
							);

							$order_url = get_bloginfo( 'url' ) . '/?jb_action=chat_box&oid=' . $common_details['order_id'];
							$order_info = wpjobster_get_order_details_by_orderid( $common_details['order_id'] );

							$price_for_discount = $this->calculateOrderPrice( $common_details['order_id'] );
							$discount = $this->calculateJobDiscount( $price_for_discount['job_price'], $results[0]->id );

							$reason = __( 'Discount for', 'wpjobster-discounts' ) . ': <a href="' . $order_url . '">' . $order_info->job_title . '</a>';

							wpjobster_add_history_log( '1', $reason, $discount['discount'], $common_details['uid'], '', $common_details['order_id'], 21, '' );
						}
					}
				}
			}
		}

		/**
		 * Change total price after discount in chatbox page
		 * @param float $price
		 * @param array $order
		 * @param string $location
		 * @return float
		 */
		public function chatboxTotalPrice( $price = '', $order = array(), $location = '' ) {
			if ( $location == "chat_box" ) {
				return $this->updatePriceAfterDiscount( $price, $order );
			} else {
				return $price;
			}
		}

		/**
		 * Update the price after discount is applied
		 * @param float $price
		 * @param array/int $order
		 * @return float
		 */
		public function updatePriceAfterDiscount( $price = '', $order = '' ) {
			if ( ! is_object( $order ) ) {
				$order = wpjobster_get_order( $order );
			}

			$price_for_discount = $this->calculateOrderPrice( $order->id );

			$result_discount_order = $this->getDiscountByOrderId( $order->id );

			$discount_total = 0;
			if ( $result_discount_order ) {
				foreach ( $result_discount_order as $key => $value ) {
					$discount = $this->calculateJobDiscount( $price_for_discount['job_price'], $value->discount_id );

					$discount_total += $discount['discount'];

				}
			}
			return $price < $discount_total ? 0 : $price - $discount_total;
		}

		public function updatePriceForClearing( $price = '', $order = '' ) {
			if ( ! is_object( $order ) ) {
				$order = wpjobster_get_order( $order );
			}

			$result_discount_order = $this->getDiscountByOrderId( $order->id );
			if ( $result_discount_order ) {
				foreach ( $result_discount_order as $key => $value ) {
					$discount_arr = $this->getDiscountById( $value->discount_id );
					if ( get_option( 'wpjobster_admin_discounts_to_seller_earnings_enable' ) == 'no' ) {
						if ( isset( $discount_arr->creator ) && $discount_arr->creator != 1 ) {
							return $price;
						} else {
							return $this->updatePriceAfterDiscount( $price, $order);
						}
					} else {
						return $this->updatePriceAfterDiscount( $price, $order);
					}
				}
			}

			return $price;
		}
	}
}
$DSDiscountsSettings = new DSDiscountsSettings();
