<?php
class PDF_Functions extends tFPDF {

	var $angle=0;

	// Private functions
	function RoundedRect($x, $y, $w, $h, $r, $style = ''){
		$k = $this->k;
		$hp = $this->h;

		if($style=='F')
				$op='f';
		elseif($style=='FD' || $style=='DF')
				$op='B';
		else
				$op='S';

		$MyArc = 4/3 * (sqrt(2) - 1);
		$this->_out(sprintf('%.2F %.2F m',($x+$r)*$k,($hp-$y)*$k ));
		$xc = $x+$w-$r ;
		$yc = $y+$r;
		$this->_out(sprintf('%.2F %.2F l', $xc*$k,($hp-$y)*$k ));

		$this->_Arc($xc + $r*$MyArc, $yc - $r, $xc + $r, $yc - $r*$MyArc, $xc + $r, $yc);
		$xc = $x+$w-$r ;
		$yc = $y+$h-$r;
		$this->_out(sprintf('%.2F %.2F l',($x+$w)*$k,($hp-$yc)*$k));
		$this->_Arc($xc + $r, $yc + $r*$MyArc, $xc + $r*$MyArc, $yc + $r, $xc, $yc + $r);
		$xc = $x+$r ;
		$yc = $y+$h-$r;
		$this->_out(sprintf('%.2F %.2F l',$xc*$k,($hp-($y+$h))*$k));
		$this->_Arc($xc - $r*$MyArc, $yc + $r, $xc - $r, $yc + $r*$MyArc, $xc - $r, $yc);
		$xc = $x+$r ;
		$yc = $y+$r;
		$this->_out(sprintf('%.2F %.2F l',($x)*$k,($hp-$yc)*$k ));
		$this->_Arc($xc - $r, $yc - $r*$MyArc, $xc - $r*$MyArc, $yc - $r, $xc, $yc - $r);
		$this->_out($op);
	}

	function _Arc($x1, $y1, $x2, $y2, $x3, $y3){
		$h = $this->h;
		$this->_out(sprintf('%.2F %.2F %.2F %.2F %.2F %.2F c ', $x1*$this->k, ($h-$y1)*$this->k,
				$x2*$this->k, ($h-$y2)*$this->k, $x3*$this->k, ($h-$y3)*$this->k));
	}

	// Buyer address
	function addClientAdresse( $adresse ){
		$r1 = $this->w - 80;
		$r2 = $r1 + 68;
		$y1 = 40;
		$this->SetXY( $r1, $y1);
		$this->MultiCell( 70, 4, $adresse);
	}


	// Seller address
	function addSellerAdresse( $b_name,$b_info ){
		$r1 = $this->w - 200;
		$r2 = $r1 - 68;
		$y1 = 40;

		$this->SetXY( $r1, $y1);
		$this->Cell(100, 4, $b_name);

		$this->SetXY( $r1, $y1+5);
		$this->MultiCell( 100, 4, $b_info);
	}

	// Label and number of invoice/estimate
	function invoice_no($label, $num) {
		$r1 = $this->w - 80;
		$r2 = $r1 + 68;
		$y1 = 6;

		$text = __("Invoice number:", "wpjobster-invoices") . " " . $num;

		$this->SetXY( $r1+0, $y1+2);
		$this->Cell($r2-$r1 -1,5, $label, 0, 0, "R" );
		$this->Line($r1+12, $y1+8.5, $r2, $y1+8.5);
		$final_date = __("Invoice date:", "wpjobster-invoices") . " " . date('d M Y');

		$this->SetXY( $r1+0, $y1+10);
		$this->Cell($r2-$r1 -1,5, $text, 0, 0, "R" );
		$this->SetXY( $r1+0, $y1+15);
		$this->Cell($r2-$r1 -1,5, $final_date, 0, 0, "R" );

	}

	// Test rotate
	function Rotate($angle, $x=-1, $y=-1){
		if($x==-1)
			$x=$this->x;
		if($y==-1)
			$y=$this->y;
		if($this->angle!=0)
			$this->_out('Q');
		$this->angle=$angle;

		if($angle!=0){
			$angle*=M_PI/180;
			$c=cos($angle);
			$s=sin($angle);
			$cx=$x*$this->k;
			$cy=($this->h-$y)*$this->k;
			$this->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm',$c,$s,-$s,$c,$cx,$cy,-$cx,-$cy));
		}
	}

	// Mode of payment
	function payment_mode( $mode ){
		$r1 = 20;
		$r2 = $r1 + 70;
		$y1 = 80;
		$y2 = $y1+10;
		$mid = $y1 + (($y2-$y1) / 2);
		$this->RoundedRect($r1, $y1, ($r2 - $r1), ($y2-$y1), 0.5, 'D');
		$this->Line( $r1, $mid, $r2, $mid);
		$this->SetXY( $r1 + ($r2-$r1)/2 -5 , $y1+1 );

		$this->Cell(10,4, __("PAYMENT CHOICE", "wpjobster-invoices"), 0, 0, "C");
		$this->SetXY( $r1 + ($r2-$r1)/2 -5 , $y1 + 5 );

		$this->Cell(10,5,$mode, 0,0, "C");
	}

	// Payment date
	function payment_date( $date ){
		$r1  = 120;
		$r2  = $r1 + 70;
		$y1  = 80;
		$y2  = $y1+10;
		$mid = $y1 + (($y2-$y1) / 2);
		$this->RoundedRect($r1, $y1, ($r2 - $r1), ($y2-$y1), 0.5, 'D');
		$this->Line( $r1, $mid, $r2, $mid);
		$this->SetXY( $r1 + ($r2 - $r1)/2 - 5 , $y1+1 );

		$this->Cell(10,4, __("PAYMENT DATE", "wpjobster-invoices"), 0, 0, "C");
		$this->SetXY( $r1 + ($r2-$r1)/2 - 5 , $y1 + 5 );

		$this->Cell(10,5,$date, 0,0, "C");
	}

	// VAT number
	function addNumVAT($vat) {
		$r1  = $this->w - 80;
		$r2  = $r1 + 70;
		$y1  = 80;
		$y2  = $y1+10;
		$mid = $y1 + (($y2-$y1) / 2);
		$this->RoundedRect($r1, $y1, ($r2 - $r1), ($y2-$y1), 0.5, 'D');
		$this->Line( $r1, $mid, $r2, $mid);
		$this->SetXY( $r1 + 16 , $y1+1 );
		$this->Cell(40, 4, __("VAT Number", "wpjobster-invoices"), '', '', "C");
		$this->SetXY( $r1 + 16 , $y1+5 );
		$this->Cell(40, 5, $vat, '', '', "C");
	}

	// Simple table
	function addTable( $tab ){
		global $columns;

		$r1 = 10;
		$r2 = $this->w - ($r1 * 2) ;
		$y1 = 100;
		$y2 = $this->h - 30 - $y1;
		$this->SetXY( $r1, $y1 );
		$this->Rect( $r1, $y1, $r2, $y2, "D");
		$this->Line( $r1, $y1+6, $r1+$r2, $y1+6);
		$colX = $r1;
		$columns = $tab;
		$i = 1;
		foreach( $tab as $lib => $pos ) {
		//while ( list( $lib, $pos ) = each ($tab) ){
			$this->SetXY( $colX, $y1+2 );

			if ( $i == 2 ) {
				$this->Cell( $pos, 1, $lib, 0, 0, "L");
			} else {
				$this->Cell( $pos, 1, $lib, 0, 0, "C");
			}

			$colX += $pos;
			$this->Line( $colX, $y1, $colX, $y1+$y2);
			$i++;
		}
	}

	function addLineFormat( $tab ){
		global $format, $columns;

		foreach( $columns as $lib => $pos ) {
		//while ( list( $lib, $pos ) = each ($columns) ){
			if ( isset( $tab["$lib"] ) )
				$format[ $lib ] = $tab["$lib"];
		}
	}

	function addLine( $ligne, $tab ){
		global $columns, $format;

		$ordonnee = 10;
		$maxSize  = $ligne;

		reset( $columns );
		foreach( $columns as $lib => $pos ) {
		//while ( list( $lib, $pos ) = each ($columns) ){
			$longCell    = $pos -2;
			$texte       = $tab[ $lib ];
			$length      = $this->GetStringWidth( $texte );
			$tailleTexte = $this->sizeOfText( $texte, $length );
			$formText    = $format[ $lib ];
			$this->SetXY( $ordonnee, $ligne-1);
			$this->MultiCell( $longCell, 4 , $texte, 0, $formText);
			if ( $maxSize < ($this->GetY()  ) )
				$maxSize = $this->GetY() ;
			$ordonnee += $pos;
		}
		return ( $maxSize - $ligne );
	}

	// Public functions
	function sizeOfText( $texte, $largeur ){
		$index    = 0;
		$nb_lines = 0;
		$loop     = TRUE;
		while ( $loop )
		{
			$pos = strpos($texte, "\n");
			if (!$pos)
			{
					$loop  = FALSE;
					$ligne = $texte;
			}
			else
			{
					$ligne  = substr( $texte, $index, $pos);
					$texte = substr( $texte, $pos+1 );
			}
			$length = floor( $this->GetStringWidth( $ligne ) );
			$res = 1 + floor( $length / $largeur) ;
			$nb_lines += $res;
		}
		return $nb_lines;
	}

	// Grand Total Rows
	function totalContent( $extra, $shipping_cost, $grand_total, $processing_fees, $tax_amount, $payoneer_fee_cost=0, $grand_total_unf = 0 ) {
		$orderno = WPJ_Form::get( 'orderno', get_the_ID() );

		$x1 = $this->w -200;
		$x2 = $x1 + 190;
		$y1 = $this->h - 40;
		$y2 = $y1 + 10;

		// Discount
		$coupons = '';
		if ( $orderno && WPJ_Form::get( 'payment_type', '' ) == 'chat_box' ) {
			if ( class_exists( 'DSDiscountsSettings' ) && get_option( 'wpjobster_discounts_enable' ) == 'yes' && is_user_logged_in() ) {
				global $wpdb;
				$discount_order_query  = "SELECT * FROM {$wpdb->prefix}job_discounts WHERE order_id='{$orderno}'";
				$coupons = $wpdb->get_results( $discount_order_query );
			}
		}

		// Payoneer
		$payoneer = ( $payoneer_fee_cost && $payoneer_fee_cost != 0 ) ? 'yes': 'no';

		$fields = 4;
		$fields = $payoneer == 'yes' ? $fields + 1 : $fields;
		$fields = $shipping_cost && $shipping_cost != 0 ? $fields + 1 : $fields;
		$fields = $coupons ? $fields + count( $coupons ) : $fields;
		$fields = $fields . '0';
		$fields = intval( $fields ) - 10;

		// Subtotal cell data
		$y_subtotal = $y1 - $fields; $fields = $fields - 10;

		// Shipping cell data
		if ( $shipping_cost && $shipping_cost != 0 ) {
			$y_shipping = $y1 - $fields; $fields = $fields - 10;
		}

		// Processing fees cell data
		$y_pfees = $y1 - $fields; $fields = $fields - 10;
		// Discount row
		if ( $coupons ) {
			for ( $i = 0; $i < count( $coupons ); $i++ ) {
				${'y_discount' . $i} = $y1 - $fields;
				$fields = $fields - 10;
			}
		}
		// Tax cell data
		$y_tax = $y1 - $fields; $fields = $fields - 10;
		// Payoneer cell data
		if ( $payoneer == 'yes' ) {
			$y_payoneer = $y1 - $fields; $fields = $fields - 10;
		}
		// Total cell data
		$y_total = $y1 - $fields; $fields = $fields - 10;

		// Line to extend table horizontal
		$y_next = isset( $y_shipping ) ? $y_shipping : $y_pfees;
		$this->Line( $x1, $y_subtotal, $x2, $y_subtotal );
		$this->Line( $x1, $y_next, $x2, $y_next );
		$this->Line( $x1, $y1, $x2, $y1 );

		// Subtotal row
		$this->SetXY( $x1 + 28, $y_subtotal );
		$this->Cell( 80, 10, __( "Subtotal", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_subtotal );
		$this->Cell( $x1 + 13, 10, $extra, 0, 0, "R" );

		// Shipping row
		if ( $shipping_cost && $shipping_cost != 0 ) {
			$this->SetXY( $x1 + 28, $y_shipping );
			$this->Cell( 80,10, __( "Shipping", "wpjobster-invoices" ), 0, 0, "R" );
			$this->SetXY( $x1 + 165, $y_shipping );
			$this->Cell( $x1 + 13, 10, $shipping_cost, 0, 0, "R" );
		}

		// Processing fees row
		$this->SetXY( $x1 + 28, $y_pfees );
		$this->Cell( 80, 10, __( "Processing Fees", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_pfees );
		$this->Cell( $x1 + 13, 10, $processing_fees, 0, 0, "R" );

		// Discount row
		if ( $coupons ) { $total_discount = 0;
			$discount_class = new DSDiscountsSettings();
			$price = $discount_class->calculateOrderPrice( $orderno );
			foreach ( $coupons as $key => $value ) {
				$discount = $discount_class->calculateJobDiscount( $price['total_no_tax_ce'], $value->discount_id );
				$total_discount += $discount['discount'];

				$this->SetXY( $x1 + 28, ${'y_discount' . $key} );
				$this->Cell( 80, 10, __( "Coupon:", "wpjobster-invoices" ) . ' ' . $discount['coupon_arr']->code, 0, 0, "R" );
				$this->SetXY( $x1 + 165, ${'y_discount' . $key} );
				$this->Cell( $x1 + 13, 10, '-' . wpjobster_get_show_price( $discount['discount'] ), 0, 0, "R" );
			}
		}

		// Tax row
		$this->SetXY( $x1 + 28, $y_tax );
		$this->Cell( 80, 10, __( "Tax", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_tax );
		$this->Cell( $x1 + 13, 10, $tax_amount, 0, 0, "R" );

		// Payoneer row
		if ( $payoneer == 'yes' ) {
			$this->SetXY( $x1 + 28, $y_payoneer );
			$this->Cell( 80, 10, __( "Payoneer", "wpjobster-invoices" ), 0, 0, "R" );
			$this->SetXY( $x1 + 165, $y_payoneer );
			$this->Cell( $x1 + 13, 10, $payoneer_fee_cost, 0, 0, "R" );
		}

		// Calculation of rotal after discount
		if ( $grand_total_unf && isset( $total_discount ) ) {
			$grand_total = $grand_total_unf - $total_discount;
		}

		// Total row
		$this->SetXY( $x1 + 28, $y_total );
		$this->Cell( 80, 10, __( "Total", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_total );
		$this->Cell( $x1 + 13, 10, $grand_total, 0, 0, "R" );
	}

	// Seller Grand Total Rows
	function totalSellerContent( $extra, $shipping_cost, $grand_total, $admin_fees = 0, $grand_total_unf = 0 ) {
		$orderno = WPJ_Form::get( 'orderno', get_the_ID() );

		$x1 = $this->w -200;
		$x2 = $x1 + 190;
		$y1 = $this->h - 40;
		$y2 = $y1 + 10;

		// Discount
		$coupons = '';
		if ( $orderno && WPJ_Form::get( 'payment_type', '' ) == 'chat_box' ) {
			if ( class_exists( 'DSDiscountsSettings' ) && get_option( 'wpjobster_discounts_enable' ) == 'yes' && is_user_logged_in() ) {
				global $wpdb;
				$discount_order_query  = "SELECT * FROM {$wpdb->prefix}job_discounts WHERE order_id='{$orderno}'";
				$coupons = $wpdb->get_results( $discount_order_query );
			}
		}

		$fields = 3;
		$fields = $shipping_cost && $shipping_cost != 0 ? $fields + 1 : $fields;
		$fields = $coupons ? $fields + count( $coupons ) : $fields;
		$fields = $fields . '0';
		$fields = intval( $fields ) - 10;

		// Subtotal cell data
		$y_subtotal = $y1 - $fields; $fields = $fields - 10;

		// Shipping cell data
		if ( $shipping_cost && $shipping_cost != 0 ) {
			$y_shipping = $y1 - $fields; $fields = $fields - 10;
		}

		// Admin Fee cell data
		$y_admin_fee = $y1 - $fields; $fields = $fields - 10;

		// Discount row
		if ( $coupons ) {
			for ( $i = 0; $i < count( $coupons ); $i++ ) {
				${'y_discount' . $i} = $y1 - $fields;
				$fields = $fields - 10;
			}
		}

		// Total cell data
		$y_total = $y1 - $fields; $fields = $fields - 10;

		// Line to extend table horizontal
		$y_next = isset( $y_shipping ) ? $y_shipping : $y_admin_fee;
		$this->Line( $x1, $y_subtotal, $x2, $y_subtotal );
		$this->Line( $x1, $y_next, $x2, $y_next );
		$this->Line( $x1, $y1, $x2, $y1 );

		// Subtotal row
		$this->SetXY( $x1 + 28, $y_subtotal );
		$this->Cell( 80, 10, __( "Subtotal", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_subtotal );
		$this->Cell( $x1 + 13, 10, $extra, 0, 0, "R" );

		// Shipping row
		if ( $shipping_cost && $shipping_cost != 0 ) {
			$this->SetXY( $x1 + 28, $y_shipping );
			$this->Cell( 80,10, __( "Shipping", "wpjobster-invoices" ), 0, 0, "R" );
			$this->SetXY( $x1 + 165, $y_shipping );
			$this->Cell( $x1 + 13, 10, $shipping_cost, 0, 0, "R" );
		}

		// Admin fees row
		$this->SetXY( $x1 + 28, $y_admin_fee );
		$this->Cell( 80, 10, __( "Admin Fee", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_admin_fee );
		$this->Cell( $x1 + 13, 10, '-' . $admin_fees, 0, 0, "R" );

		// Discount row
		if ( $coupons ) { $total_discount = 0;
			$discount_class = new DSDiscountsSettings();
			$price = $discount_class->calculateOrderPrice( $orderno );
			foreach ( $coupons as $key => $value ) {
				$discount = $discount_class->calculateJobDiscount( $price['total_no_tax_ce'], $value->discount_id );
				$total_discount += $discount['discount'];

				$this->SetXY( $x1 + 28, ${'y_discount' . $key} );
				$this->Cell( 80, 10, __( "Coupon:", "wpjobster-invoices" ) . ' ' . $discount['coupon_arr']->code, 0, 0, "R" );
				$this->SetXY( $x1 + 165, ${'y_discount' . $key} );
				$this->Cell( $x1 + 13, 10, '-' . wpjobster_get_show_price( $discount['discount'] ), 0, 0, "R" );
			}
		}

		// Calculation of rotal after discount
		if ( $grand_total_unf && isset( $total_discount ) ) {
			$grand_total = $grand_total_unf - $total_discount;
		}

		// Total row
		$this->SetXY( $x1 + 28, $y_total );
		$this->Cell( 80, 10, __( "Total", "wpjobster-invoices" ), 0, 0, "R" );
		$this->SetXY( $x1 + 165, $y_total );
		$this->Cell( $x1 + 13, 10, $grand_total, 0, 0, "R" );
	}

} // End Class
?>
