<?php
// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

global $wpdb;
$current_user = wp_get_current_user();
$uid = $current_user->ID;

if ( isset( $_GET['orderno'] ) ) {
	if ( WPJ_Form::get( 'payment_type', '' ) == 'custom_extra' ) {

		$orderno = WPJ_Form::get( 'orderno', '' );
		$current_order = wpjobster_get_order( $orderno );

		$custom_extra_no = WPJ_Form::get( 'custom_extra', '' );
		$order = wpj_get_custom_extra( $orderno, $custom_extra_no );

		$payment = wpj_get_payment( array(
			'payment_type' => 'custom_extra',
			'payment_type_id' => $order->id,
		) );

		if ( $payment && is_numeric( $payment->id ) ) {
			$payment_date = $payment->datemade ? gmdate( 'd M Y', $payment->datemade ) : '-';
			$payment_date = $payment_date == '-' && $orders[0]->payment_date ? gmdate( 'd M Y', $orders[0]->payment_date ) : $payment_date;

			$custom_extras = json_decode( $current_order->custom_extras );
			$custom_extra = $custom_extras[$custom_extra_no];

			$processing_fees = $custom_extra->processing_fees;
			$tax_amount      = $custom_extra->tax;
			$job_price       = $custom_extra->price;

			$user_id = $order->user_id;
			$buyer_info = wpj_invoice_get_user_info( $user_id );

			$post_id     = get_post( $current_order->pid );
			$post_author = $post_id->post_author;

			if ( is_super_admin($uid) || $uid == $user_id ) {

				// Create new pdf object
				$pdf = new PDF_Functions( 'P','mm','A4' );
				$pdf->AddPage();

				$pdf->AddFont( 'DejaVu','','DejaVuSansCondensed.ttf',true );
				$pdf->AddFont( 'DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true );
				$pdf->SetFont( 'DejaVu','',10 );

				$pdf->invoice_no( __( "INVOICE", "wpjobster-invoices" ), $payment->id );

				// Logo
				$pdf->Image( $buyer_info['b_logo'], 10, 10, 0, 20 );
				$pdf->addSellerAdresse( $buyer_info['b_name'],$buyer_info['b_info'] );
				$pdf->addClientAdresse( strip_tags( $buyer_info['buyer_info'] ) );
				$pdf->payment_mode( $payment->payment_gateway );
				$pdf->payment_date( $payment_date );

				$Sr_No      = __( "Sr. No.", "wpjobster-invoices" );
				$Item       = __( "Description", "wpjobster-invoices" );
				$Quantity   = __( "Quantity", "wpjobster-invoices" );
				$Unit_price = __( "Price", "wpjobster-invoices" );
				$Value      = __( "Amount", "wpjobster-invoices" );

				$pdf->Ln(15);

				$header = array( $Sr_No => 13, $Item => 97, $Quantity => 20, $Unit_price => 30, $Value => 30 );
				$pdf->addTable( $header );

				$align = array( $Sr_No => 'R', $Item => 'L', $Quantity => 'R', $Unit_price => 'R', $Value => 'R' );
				$pdf->addLineFormat( $align );

				$ex_p = 1 * $job_price;

				$y = 109;

				$srno = 1;
				$description = $custom_extra->description ? ': ' . htmlspecialchars_decode( $custom_extra->description ) : '';
				$data = array(
					$Sr_No      => $srno,
					$Item       => __( 'Custom Extra', 'wpjobster-invoices' ) . $description,
					$Quantity   => 1,
					$Unit_price => wpjobster_get_show_price_classic( $job_price ),
					$Value      => wpjobster_get_show_price_classic( $ex_p )
				);

				$size = $pdf->addLine( $y, $data );
				$y   += $size + 2;

				$payoneer_fee = get_post_meta($order->order_id.$order->id, 'payoneer_fee', true);
				if ( $payoneer_fee == '' || $payoneer_fee == 0 ) {
					$payoneer_fee_cost = 0;
				} else {
					$payoneer_fee_cost = $payoneer_fee;
				}

				$grand_total_unf = $ex_p + $processing_fees + $tax_amount + $payoneer_fee_cost;

				$grand_total = wpjobster_get_show_price_classic( $grand_total_unf );

				$ex_p              = wpjobster_get_show_price_classic( $ex_p );
				$processing_fees   = wpjobster_get_show_price_classic( $processing_fees );
				$tax_amount        = wpjobster_get_show_price_classic( $tax_amount );
				$payoneer_fee_cost = wpjobster_get_show_price_classic( $payoneer_fee_cost );

				$pdf->totalContent( $ex_p, 0, $grand_total, $processing_fees, $tax_amount, $payoneer_fee_cost );


				$pdf->Output( 'Invoice-' . $payment->id . '.pdf', 'I' );

			} elseif ( $uid == $post_author ) {

				// Create new pdf object
				$pdf = new PDF_Functions( 'P','mm','A4' );
				$pdf->AddPage();

				$pdf->AddFont( 'DejaVu','','DejaVuSansCondensed.ttf',true );
				$pdf->AddFont( 'DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true );
				$pdf->SetFont( 'DejaVu','',10 );

				$pdf->invoice_no( __( "INVOICE", "wpjobster-invoices" ), $payment->id );

				// Logo
				$pdf->Image( $buyer_info['b_logo'], 10, 10, 0, 20 );

				$pdf->addClientAdresse( __("Username: ", "wpjobster-invoices") . $current_user->user_login );
				$pdf->payment_mode( $payment->payment_gateway );
				$pdf->payment_date( $payment_date );

				$Sr_No      = __( "Sr. No.", "wpjobster-invoices" );
				$Item       = __( "Description", "wpjobster-invoices" );
				$Quantity   = __( "Quantity", "wpjobster-invoices" );
				$Unit_price = __( "Price", "wpjobster-invoices" );
				$Value      = __( "Amount", "wpjobster-invoices" );

				$pdf->Ln(15);

				$header = array( $Sr_No => 13, $Item => 97, $Quantity => 20, $Unit_price => 30, $Value => 30 );
				$pdf->addTable( $header );

				$align = array( $Sr_No => 'R', $Item => 'L', $Quantity => 'R', $Unit_price => 'R', $Value => 'R' );
				$pdf->addLineFormat( $align );

				$ex_p = 1 * $job_price;

				$y = 109;

				$srno = 1;
				$description = $custom_extra->description ? ': ' . htmlspecialchars_decode( $custom_extra->description ) : '';
				$data = array(
					$Sr_No      => $srno,
					$Item       => __( 'Custom Extra', 'wpjobster-invoices' ) . $description,
					$Quantity   => 1,
					$Unit_price => wpjobster_get_show_price_classic( $job_price ),
					$Value      => wpjobster_get_show_price_classic( $ex_p )
				);

				$size = $pdf->addLine( $y, $data );
				$y   += $size + 2;

				$grand_total_unf = $ex_p;

				$grand_total = wpjobster_get_show_price_classic( $grand_total_unf );

				$ex_p        = wpjobster_get_show_price_classic( $ex_p );

				$pdf->totalSellerContent( $ex_p, 0, $grand_total, 0 );

				$pdf->Output( 'Invoice-' . $payment->id . '.pdf', 'I' );

			} else {
				header( "Location:" . get_bloginfo( 'url' ) );
			} // end if is admin or user owner for invoice
		} else {
			header( "Location:" . get_bloginfo( 'url' ) );
		} // end if payment
	} // end if payment_type
} else {
	header( "Location:" . get_bloginfo( 'url' ) );
} // end if is set orderno

