<?php

// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

global $wpdb;
$current_user = wp_get_current_user();
$uid = $current_user->ID;

if (isset($_GET['orderno']) && $_GET['orderno'] != '' && $_GET['orderno'] >= 1 ) {
	if( isset( $_GET['payment_type'] ) && $_GET['payment_type'] == 'feature_job' ){

		$orderno = $_GET['orderno'];
		$orders = wpjobster_get_featured_order_by('job_id', $orderno);

		$gateways = array();
		foreach ( $orders as $key ) {
			array_push( $gateways,$key->payment_gateway_name );
		}
		$gatewaysArr=array_values( array_filter( array_unique( $gateways ) ) );
		$payment_gateway = implode(' and ', $gatewaysArr);

		if ( count( $orders ) > 0 ) {

			$date_made = $orders[0]->paid_on;
			if($date_made){
				$payment_date = gmdate('d M Y',$date_made);
			}else{
				$payment_date = '-';
			}

			$user_id = $orders[0]->user_id;

			$buyer_info = wpj_invoice_get_user_info( $user_id );

			if( is_super_admin($uid) || $uid == $user_id ) {

				// Create new pdf object
				$pdf = new PDF_Functions( 'P','mm','A4' );
				$pdf->AddPage();

				$pdf->AddFont('DejaVu','','DejaVuSansCondensed.ttf',true);
				$pdf->AddFont('DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true);

				$pdf->SetFont('DejaVu','',10);

				$pdf->invoice_no(__("INVOICE", "wpjobster-invoices"), $orderno);
				// Logo
				$pdf->Image($buyer_info['b_logo'],10,10,0,20);
				$pdf->addSellerAdresse($buyer_info['b_name'],$buyer_info['b_info']);
				$pdf->addClientAdresse(strip_tags($buyer_info['buyer_info']));
				$pdf->payment_mode($payment_gateway);
				$pdf->payment_date($payment_date);

				$Sr_No = __("Sr. No.", "wpjobster-invoices");
				$Item = __("Description", "wpjobster-invoices");
				$Quantity = __("Quantity", "wpjobster-invoices");
				$Unit_price = __("Price", "wpjobster-invoices");
				$Value = __("Amount", "wpjobster-invoices");

				$pdf->Ln(15);
				$header = array($Sr_No=>13,$Item=>97, $Quantity=>20, $Unit_price=>30, $Value=>30);
				$align = array($Sr_No=>'R',$Item=>'L', $Quantity=>'R', $Unit_price=>'R', $Value=>'R');

				$pdf->addTable($header);
				$pdf->addLineFormat($align);
				$y = 109;

				$srno = 1;
				$var_ex_p = 0;
				$var_grand_total = 0;
				$var_processing_fees = 0;
				$var_tax_amount = 0;
				$var_payoneer_fee_cost = 0;

				foreach ($orders as $order) {

					if( $order->payment_status == 'completed' ){
						$order_payment_recieved = wpj_get_payment( array(
							'payment_type' => 'feature',
							'payment_type_id' => $order->id,
						) );

						$processing_fees = $order_payment_recieved->fees;
						$tax_amount = $order_payment_recieved->tax;
						$job_price = $order_payment_recieved->amount;
						$job_amount = 1; //quantity
						$ex_p = $job_amount * $job_price;

						$f_type = $order->feature_pages;

						if ( strpos( $f_type, 'h' ) !== false && strpos( $f_type, 'c' ) !== false && strpos( $f_type, 's' ) !== false ) {
							$title = __( 'Featured on homepage, category and subcategory page between: ', 'wpjobster' );
							$dt = get_post_meta( $orderno, 'home_featured_until', true );
						}elseif ( strpos( $f_type, 'h' ) !== false && strpos( $f_type, 'c' ) !== false ) {
							$title = __( 'Featured on homepage and category page between: ', 'wpjobster' );
							$dt = get_post_meta( $orderno, 'home_featured_until', true );
						}elseif ( strpos( $f_type, 'c' ) !== false && strpos( $f_type, 's' ) !== false ) {
							$title = __( 'Featured on category and subcategory page between: ', 'wpjobster' );
							$dt = get_post_meta( $orderno, 'category_featured_until', true );
						}elseif ( strpos( $f_type, 's' ) !== false && strpos( $f_type, 'h' ) !== false ) {
							$title = __( 'Featured on homepage and subcategory page between: ', 'wpjobster' );
							$dt = get_post_meta( $orderno, 'home_featured_until', true );
						}elseif ( strpos( $f_type, 'h' ) !== false ){
							$title = __( 'Featured on homepage between: ', 'wpjobster' );
							$dt = get_post_meta( $orderno, 'home_featured_until', true );
						}elseif ( strpos( $f_type, 'c' ) !== false ){
							$title = __( 'Featured on category page between: ', 'wpjobster' );
							$dt = get_post_meta( $orderno, 'category_featured_until', true );
						}elseif ( strpos( $f_type, 's' ) !== false ){
							$title = __( 'Featured on subcategory page between: ' ,'wpjobster' );
							$dt = get_post_meta( $orderno, 'subcategory_featured_until', true );
						}else{
							$title = 'no id';
							$dt = get_post_meta( $orderno, 'home_featured_until', true );
						}

						$date_format = get_option( 'date_format' );

						$title .= date_i18n( $date_format, get_featured_start_date_from_end_date( $dt ) ) . " - " . date_i18n( $date_format, $dt );

						$job_title = $title;

						$data = array(
							$Sr_No=>$srno,
							$Item=>htmlspecialchars_decode($job_title),
							$Quantity=>$job_amount,
							$Unit_price=>wpjobster_get_show_price_classic($job_price),
							$Value=>wpjobster_get_show_price_classic($ex_p)
						);

						$size = $pdf->addLine( $y, $data );
						$y   += $size + 2;

						$srno++;

						$shipping = 0;

						$payoneer_fee = get_post_meta($orderno.$order->id, 'payoneer_fee', true);
						if ($payoneer_fee == '' || $payoneer_fee == 0) {
							$payoneer_fee_cost = 0;
						} else {
							$payoneer_fee_cost = $payoneer_fee;
						}

						$grand_total = $ex_p + $processing_fees + $tax_amount + $payoneer_fee_cost;

						$var_ex_p += $ex_p;
						$var_grand_total += $grand_total;
						$var_processing_fees += $processing_fees;
						$var_tax_amount += $tax_amount;
						$var_payoneer_fee_cost += $payoneer_fee_cost;
					}

				}

				$ex_p = wpjobster_get_show_price_classic($var_ex_p);
				$processing_fees = wpjobster_get_show_price_classic($var_processing_fees);
				$tax_amount = wpjobster_get_show_price_classic($var_tax_amount);
				$payoneer_fee_cost = wpjobster_get_show_price_classic($var_payoneer_fee_cost);

				$grand_total = wpjobster_get_show_price_classic($var_grand_total);

				$pdf->totalContent($ex_p,0,$grand_total,$processing_fees,$tax_amount,$payoneer_fee_cost);

				$pdf->Output('Invoice-' . $orderno . '.pdf','I');

			} else {
				header("Location:".get_bloginfo('url'));
			} // end if is admin or user owner for invoice
		} // end if orders

	} // end if payment_type
}  else {
	header("Location:".get_bloginfo('url'));
} // end if is set orderno
