<?php

// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

global $wpdb;
$current_user = wp_get_current_user();
$uid = $current_user->ID;

if ( isset( $_GET['orderno'] ) ) {
	if ( WPJ_Form::get( 'payment_type', '' ) == 'chat_box' ) {

		$orderno = WPJ_Form::get( 'orderno', '' );
		$order = wpjobster_get_order( $orderno );

		$payment = wpj_get_payment( array(
			'payment_type'    => 'job_purchase',
			'payment_type_id' => $order->id,
		) );

		if ( $payment && is_numeric( $payment->id ) ) {
			$user_id     = $order->uid;
			$pid         = $order->pid;
			$job_title   = $order->job_title;
			$job_amount  = $order->job_amount;
			$post_id     = get_post( $order->pid );
			$seller      = get_userdata( $post_id->post_author );
			$post_author = $post_id->post_author;

			if ( get_post_type( $pid ) == 'offer' ) {
				$p1 = get_userdata( $post_author );
				$p2 = get_userdata( $user_id );
				$job_title = sprintf( __( "Private transaction between %s and %s", "wpjobster" ), $p1->user_login, $p2->user_login );
			}

			$payment_date = $payment->datemade ? gmdate( 'd M Y', $payment->datemade ) : '-';
			$payment_date = $payment_date == '-' && $orders[0]->payment_date ? gmdate( 'd M Y', $orders[0]->payment_date ) : $payment_date;

			$buyer_info = wpj_invoice_get_user_info( $user_id );

			if ( is_super_admin( $uid ) || $uid == $user_id ) {

				// Create new pdf object
				$pdf = new PDF_Functions( 'P','mm','A4' );
				$pdf->AddPage();

				$pdf->AddFont( 'DejaVu', '', 'DejaVuSansCondensed.ttf', true );
				$pdf->AddFont( 'DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true );
				$pdf->SetFont( 'DejaVu', '', 10 );

				$pdf->invoice_no( __( "INVOICE", "wpjobster-invoices"), $payment->id );

				// Logo
				$pdf->Image( $buyer_info['b_logo'], 10, 10, 0, 20 );
				$pdf->addSellerAdresse( $buyer_info['b_name'], $buyer_info['b_info'] );
				$pdf->addClientAdresse( strip_tags( $buyer_info['buyer_info'] ) );
				$pdf->payment_mode( $payment->payment_gateway );
				$pdf->payment_date( $payment_date );

				$price_type = $order->job_type;
				$price_type_value = $price_type ? ' (' .  ucfirst( wpj_change_rate_word( $price_type, 'plural' ) ) . ')' : '';
				$price_type_desc = $price_type ? ' (' .  ucfirst( wpjobster_translate_string( $price_type ) ) . ')' : '';

				// Table Header
				$Sr_No      = __( "Sr. No.", "wpjobster-invoices" );
				$Item       = __( "Description", "wpjobster-invoices" );
				$Quantity   = __( "Quantity", "wpjobster-invoices" ) . $price_type_value;
				$Unit_price = __( "Price", "wpjobster-invoices" ) . $price_type_desc;
				$Value      = __( "Amount", "wpjobster-invoices" );

				$pdf->Ln(15);

				$header = array( $Sr_No => 13, $Item => 97, $Quantity => 30, $Unit_price => 25, $Value => 25 );
				$pdf->addTable( $header );

				$align = array( $Sr_No => 'C', $Item => 'L', $Quantity => 'C', $Unit_price => 'C', $Value => 'C' );
				$pdf->addLineFormat( $align );

				$ex_p = $job_amount * $order->job_price;

				$y = 109;

				$srno = 1;

				$data = array(
					$Sr_No      => $srno,
					$Item       => htmlspecialchars_decode( $job_title ),
					$Quantity   => $job_amount,
					$Unit_price => wpjobster_get_show_price_classic( $order->job_price ),
					$Value      => wpjobster_get_show_price_classic( $ex_p )
				);

				$size = $pdf->addLine( $y, $data );
				$y   += $size + 2;

				$extra = array( 'extra1', 'extra2', 'extra3', 'extra4', 'extra5', 'extra6', 'extra7', 'extra8', 'extra9', 'extra10' );

				foreach ( $extra as $ex ) {
					$title_extra    = $ex . "_title";
					$price_extra    = $ex . "_price";
					$extra_quantity = $order->$ex;

					if ( $extra_quantity ) {
						$extra_title = $order->$title_extra;
						$extra_rate  = $order->$price_extra;
						$extra_price = $extra_quantity * $extra_rate;

						$srno += 1;
						$data = array(
							$Sr_No      => $srno,
							$Item       => wpjobster_better_trim( $extra_title, 50 ),
							$Quantity   => $extra_quantity,
							$Unit_price => wpjobster_get_show_price_classic( $extra_rate ),
							$Value      => wpjobster_get_show_price_classic( $extra_price )
						);

						$size = $pdf->addLine( $y, $data );
						$y   += $size + 2;

						$ex_p +=$extra_price;

					}
				}

				if ( $order->extra_fast != 0 ){
					$extra_fast_title    = "extra fast delivery (" . $order->extra_fast_days . " days)";
					$extra_fast_rate     = $order->extra_fast_price;
					$extra_fast_quantity = $order->extra_fast;
					$extra_fast_price    = $extra_fast_quantity * $extra_fast_rate;

					$srno += 1;
					$data = array(
						$Sr_No      => $srno,
						$Item       => $extra_fast_title,
						$Quantity   => $extra_fast_quantity,
						$Unit_price => wpjobster_get_show_price_classic( $extra_fast_rate ),
						$Value      => wpjobster_get_show_price_classic( $extra_fast_price )
					);

					$size = $pdf->addLine( $y, $data );
					$y   += $size + 2;

					$ex_p += $extra_fast_price;
				}

				if ( $order->extra_revision != 0 ) {
					$extra_revision_title    = "extra revision (" . $order->extra_revision_days . " days)";
					$extra_revision_rate     = $order->extra_revision_price;
					$extra_revision_quantity = $order->extra_revision;
					$extra_revision_price    = $extra_revision_quantity * $extra_revision_rate;

					$srno += 1;
					$data = array(
						$Sr_No      => $srno,
						$Item       => $extra_revision_title,
						$Quantity   => $extra_revision_quantity,
						$Unit_price => wpjobster_get_show_price_classic( $extra_revision_rate ),
						$Value      => wpjobster_get_show_price_classic( $extra_revision_price )
					);

					$size = $pdf->addLine( $y, $data );
					$y   += $size + 2;

					$ex_p += $extra_revision_price;
				}

				$shipping = get_post_meta( $order->pid, 'shipping', true );

				if ( $shipping == '' || $shipping == 0 ) {
					$shipping_cost = 0;
				} else {
					$shipping_cost = $shipping;
				}

				$payoneer_fee = get_post_meta( $order->pid.$orderno, 'payoneer_fee', true );
				if ( $payoneer_fee == '' || $payoneer_fee == 0 ) {
					$payoneer_fee_cost = 0;
				} else {
					$payoneer_fee_cost = $payoneer_fee;
				}

				$grand_total_unf = $ex_p + $shipping_cost + $payment->fees + $payment->tax + $payoneer_fee_cost;
				$grand_total     = wpjobster_get_show_price_classic( $grand_total_unf );

				$ex_p              = wpjobster_get_show_price_classic( $ex_p );
				$shipping_cost     = wpjobster_get_show_price_classic( $shipping_cost );
				$processing_fees   = wpjobster_get_show_price_classic( $payment->fees );
				$tax_amount        = wpjobster_get_show_price_classic( $payment->tax );
				$payoneer_fee_cost = wpjobster_get_show_price_classic( $payoneer_fee_cost );

				$pdf->totalContent( $ex_p, $shipping_cost, $grand_total, $processing_fees, $tax_amount, $payoneer_fee_cost, $grand_total_unf );

				$pdf->Output( 'Invoice-' . $payment->id . '.pdf', 'I' );

			} elseif( $uid == $post_author ) {

				// Create new pdf object
				$pdf = new PDF_Functions( 'P','mm','A4' );
				$pdf->AddPage();

				$pdf->AddFont( 'DejaVu', '', 'DejaVuSansCondensed.ttf', true );
				$pdf->AddFont( 'DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true );
				$pdf->SetFont( 'DejaVu', '', 10 );

				$pdf->invoice_no( __( "INVOICE", "wpjobster-invoices"), $payment->id );

				// Logo
				$pdf->Image( $buyer_info['b_logo'], 10, 10, 0, 20 );
				$pdf->addClientAdresse( __("Username: ", "wpjobster-invoices") . $current_user->user_login );
				$pdf->payment_mode( $payment->payment_gateway );
				$pdf->payment_date( $payment_date );

				$price_type = $order->job_type;
				$price_type_value = $price_type ? ' (' .  ucfirst( wpj_change_rate_word( $price_type, 'plural' ) ) . ')' : '';
				$price_type_desc = $price_type ? ' (' .  ucfirst( wpjobster_translate_string( $price_type ) ) . ')' : '';

				// Table Header
				$Sr_No      = __( "Sr. No.", "wpjobster-invoices" );
				$Item       = __( "Description", "wpjobster-invoices" );
				$Quantity   = __( "Quantity", "wpjobster-invoices" ) . $price_type_value;
				$Unit_price = __( "Price", "wpjobster-invoices" ) . $price_type_desc;
				$Value      = __( "Amount", "wpjobster-invoices" );

				$pdf->Ln(15);

				$header = array( $Sr_No => 13, $Item => 97, $Quantity => 30, $Unit_price => 25, $Value => 25 );
				$pdf->addTable( $header );

				$align = array( $Sr_No => 'C', $Item => 'L', $Quantity => 'C', $Unit_price => 'C', $Value => 'C' );
				$pdf->addLineFormat( $align );

				$ex_p = $job_amount * $order->job_price;

				$y = 109;

				$srno = 1;

				$data = array(
					$Sr_No      => $srno,
					$Item       => htmlspecialchars_decode( $job_title ),
					$Quantity   => $job_amount,
					$Unit_price => wpjobster_get_show_price_classic( $order->job_price ),
					$Value      => wpjobster_get_show_price_classic( $ex_p )
				);

				$size = $pdf->addLine( $y, $data );
				$y   += $size + 2;

				$extra = array( 'extra1', 'extra2', 'extra3', 'extra4', 'extra5', 'extra6', 'extra7', 'extra8', 'extra9', 'extra10' );

				foreach ( $extra as $ex ) {
					$title_extra    = $ex . "_title";
					$price_extra    = $ex . "_price";
					$extra_quantity = $order->$ex;

					if ( $extra_quantity ) {
						$extra_title = $order->$title_extra;
						$extra_rate  = $order->$price_extra;
						$extra_price = $extra_quantity * $extra_rate;

						$srno += 1;
						$data = array(
							$Sr_No      => $srno,
							$Item       => wpjobster_better_trim( $extra_title, 50 ),
							$Quantity   => $extra_quantity,
							$Unit_price => wpjobster_get_show_price_classic( $extra_rate ),
							$Value      => wpjobster_get_show_price_classic( $extra_price )
						);

						$size = $pdf->addLine( $y, $data );
						$y   += $size + 2;

						$ex_p +=$extra_price;

					}
				}

				if ( $order->extra_fast != 0 ){
					$extra_fast_title    = "extra fast delivery (" . $order->extra_fast_days . " days)";
					$extra_fast_rate     = $order->extra_fast_price;
					$extra_fast_quantity = $order->extra_fast;
					$extra_fast_price    = $extra_fast_quantity * $extra_fast_rate;

					$srno += 1;
					$data = array(
						$Sr_No      => $srno,
						$Item       => $extra_fast_title,
						$Quantity   => $extra_fast_quantity,
						$Unit_price => wpjobster_get_show_price_classic( $extra_fast_rate ),
						$Value      => wpjobster_get_show_price_classic( $extra_fast_price )
					);

					$size = $pdf->addLine( $y, $data );
					$y   += $size + 2;

					$ex_p += $extra_fast_price;
				}

				if ( $order->extra_revision != 0 ) {
					$extra_revision_title    = "extra revision (" . $order->extra_revision_days . " days)";
					$extra_revision_rate     = $order->extra_revision_price;
					$extra_revision_quantity = $order->extra_revision;
					$extra_revision_price    = $extra_revision_quantity * $extra_revision_rate;

					$srno += 1;
					$data = array(
						$Sr_No      => $srno,
						$Item       => $extra_revision_title,
						$Quantity   => $extra_revision_quantity,
						$Unit_price => wpjobster_get_show_price_classic( $extra_revision_rate ),
						$Value      => wpjobster_get_show_price_classic( $extra_revision_price )
					);

					$size = $pdf->addLine( $y, $data );
					$y   += $size + 2;

					$ex_p += $extra_revision_price;
				}

				$shipping = get_post_meta( $order->pid, 'shipping', true );

				if ( $shipping == '' || $shipping == 0 ) {
					$shipping_cost = 0;
				} else {
					$shipping_cost = $shipping;
				}

				$grand_total_unf = $ex_p + $shipping_cost - $order->admin_fee;
				$grand_total     = wpjobster_get_show_price_classic( $grand_total_unf );

				$ex_p              = wpjobster_get_show_price_classic( $ex_p );
				$shipping_cost     = wpjobster_get_show_price_classic( $shipping_cost );
				$admin_fees        = wpjobster_get_show_price_classic( $order->admin_fee );

				$pdf->totalSellerContent( $ex_p, $shipping_cost, $grand_total, $admin_fees, $grand_total_unf );

				$pdf->Output( 'Invoice-' . $payment->id . '.pdf', 'I' );

			} else {
				header( "Location:" . get_bloginfo( 'url' ) );
			} // end if is admin or user owner for invoice
		} else {
			header( "Location:" . get_bloginfo( 'url' ) );
		} // end if payment
	} // end if payment_type
} else {
	header( "Location:" . get_bloginfo( 'url' ) );
} // end if is set orderno
