<?php

// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

global $wpdb;
$current_user = wp_get_current_user();
$uid = $current_user->ID;

if ( isset( $_GET['orderno'] ) ) {
	if ( WPJ_Form::get( 'payment_type', '' ) == 'subscription' ) {

		$orderno = WPJ_Form::get( 'orderno', '' );
		$sbcr_status_type = WPJ_Form::get( 'type', 'all' ) ? WPJ_Form::get( 'type', 'all' ) : 'all';
		$orders = wpjobster_get_subscription_order_by( 'id', $orderno, $sbcr_status_type, 'multiple' );

		$payment = wpj_get_payment( array(
			'payment_type'    => 'subscription',
			'payment_type_id' => $orderno
		) );

		if ( $payment && is_numeric( $payment->id ) ) {
			$payment_date = $payment->datemade ? gmdate( 'd M Y', $payment->datemade ) : '-';
			$payment_date = $payment_date == '-' && $orders[0]->payment_date ? gmdate( 'd M Y', $orders[0]->payment_date ) : $payment_date;

			$user_id = $orders[0]->user_id;
			$buyer_info = wpj_invoice_get_user_info( $user_id );

			if ( is_super_admin( $uid ) || $uid == $user_id ) {

				// Create new pdf object
				$pdf = new PDF_Functions( 'P','mm','A4' );
				$pdf->AddPage();

				$pdf->AddFont( 'DejaVu','','DejaVuSansCondensed.ttf',true );
				$pdf->AddFont( 'DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true );
				$pdf->SetFont('DejaVu','',10);

				$pdf->invoice_no( __( "INVOICE", "wpjobster-invoices" ), $payment->id );

				// Logo
				$pdf->Image( $buyer_info['b_logo'], 10, 10, 0, 20 );
				$pdf->addSellerAdresse( $buyer_info['b_name'], $buyer_info['b_info'] );
				$pdf->addClientAdresse( strip_tags( $buyer_info['buyer_info'] ) );
				$pdf->payment_mode( $payment->payment_gateway );
				$pdf->payment_date( $payment_date );

				// Table Header
				$Sr_No      = __( "Sr. No.", "wpjobster-invoices" );
				$Item       = __( "Description", "wpjobster-invoices" );
				$Quantity   = __( "Quantity", "wpjobster-invoices" );
				$Unit_price = __( "Price", "wpjobster-invoices" );
				$Value      = __( "Amount", "wpjobster-invoices" );

				$pdf->Ln(15);

				$header = array( $Sr_No => 13, $Item => 97, $Quantity => 20, $Unit_price => 30, $Value => 30 );
				$pdf->addTable( $header );

				$align  = array( $Sr_No => 'R', $Item => 'L', $Quantity => 'R', $Unit_price => 'R', $Value => 'R' );
				$pdf->addLineFormat( $align );

				$y               = 109;

				$srno            = 1;
				$processing_fees = 0;
				$tax_amount      = 0;
				$job_price       = isset( $payment->amount ) ? $payment->amount : $orders[0]->amount;
				$job_amount      = 1; //quantity
				$ex_p            = $job_amount * $job_price;

				$sub_level = $orders[0]->level;
				$sub_type  = $orders[0]->plan;

				if ( $sub_level == 'level1' ) {
					$plan = __( "Starter Plan", "wpjobster" ) . " " . ucfirst( $sub_type );
				} elseif ( $sub_level == 'level2' ) {
					$plan = __( "Business Plan", "wpjobster" ) . " " . ucfirst( $sub_type );
				} elseif ( $sub_level == 'level3' ) {
					$plan = __( "Professional Plan", "wpjobster" ) . " " . ucfirst( $sub_type );
				} else {
					$plan = __( "Not subscribed", "wpjobster" );
				}

				$job_title = __( "Subscription", "wpjobster" ) . ' - ' . $plan;

				$data = array(
					$Sr_No      => $srno,
					$Item       => htmlspecialchars_decode( $job_title ),
					$Quantity   => $job_amount,
					$Unit_price => wpjobster_get_show_price_classic( $job_price ),
					$Value      => wpjobster_get_show_price_classic( $ex_p )
				);

				$size = $pdf->addLine( $y, $data );
				$y   += $size + 2;

				$srno++;

				$grand_total = $ex_p + $processing_fees + $tax_amount;

				$ex_p            = wpjobster_get_show_price_classic( $ex_p );
				$processing_fees = wpjobster_get_show_price_classic( $processing_fees );
				$tax_amount      = wpjobster_get_show_price_classic( $tax_amount );
				$grand_total     = wpjobster_get_show_price_classic( $grand_total );

				$pdf->totalContent( $ex_p, 0, $grand_total, $processing_fees, $tax_amount );

				$pdf->Output( 'Invoice-' . $payment->id . '.pdf', 'I' );

			} else {
				header( "Location:" . get_bloginfo( 'url' ) );
			} // end if is admin or user owner for invoice
		} else {
			header( "Location:" . get_bloginfo( 'url' ) );
		} // end if payment
	} // end if payment_type
} else {
	header( "Location:" . get_bloginfo( 'url' ) );
} // end if is set orderno
