<?php

// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

function wpjobster_invoice_link( $orderno, $payment_type = 'chat_box', $type = 'all', $parent_order_id = '' ) {
	$type = $type ? $type : 'all';
	if ( $payment_type == 'subscription' ) {
		$i_link = '<a href="'.get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $orderno . '&payment_type=subscription&type=' . $type . '" class="tltp_cls" title="' . __( 'Invoice', 'wpjobster' ) . '" target="_blank"><i class="download icon"></i></a>';
	} elseif ( $payment_type == 'custom_extra' || $payment_type == 'tips' ) {
		$i_link = '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $parent_order_id . '&payment_type=' . $payment_type . '&' . $payment_type . '=' . $orderno . '" class="tltp_cls" title="' . __( 'Invoice', 'wpjobster' ) . '" target="_blank"><i class="download icon"></i></a>';
	} else {
		$i_link = '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $orderno . '&payment_type=' . $payment_type . '" class="tltp_cls" title="' . __( 'Invoice', 'wpjobster' ) . '" target="_blank"><i class="download icon"></i></a>';
	}
	echo $i_link;
}
add_action( 'wpjobster_invoice_link_url', 'wpjobster_invoice_link', 10, 4 );

function wpjobster_invoice_transaction_page( $order, $payment_type ) {
	global $current_user;
	get_currentuserinfo();
	$uid = $current_user->ID;

	if ( strtolower( $payment_type ) == strtolower( 'chat_box' ) ) {
		$order_user_id = wpj_get_buyer_id( $order );
	} elseif ( strtolower( $payment_type ) == strtolower( 'show_bank_details' ) ) {
		$order_user_id = $order->user_id;
	}

	if ( strtolower( $order->payment_status ) == strtolower( 'completed' ) ) {
		echo '<div class="invoice-wrapper">';
			echo '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $order->id . '&payment_type=' . $payment_type . '" target="_blank" class="right">';
				echo '<i class="file text outline icon"></i>';
				echo __( 'View Invoice', 'wpjobster-invoices' );
			echo '</a>';
		echo '</div>';
	}
}
add_action( 'wpj_transaction_page_before_first_message', 'wpjobster_invoice_transaction_page', 10, 2 );
add_action( 'wpj_before_print_topup_completed_order', 'wpjobster_invoice_transaction_page', 10, 2 );

function wpjobster_invoice_feature_page( $orderid, $payment_type ){
	$orders = wpjobster_get_featured_order_by( 'job_id', $orderid );

	$sts = 0;
	foreach ( $orders as $key ) {
		if ( strtolower( $key->payment_status ) == strtolower( 'completed' ) ){
			$sts = 1;
		}
	}
	if ( $orders && $sts == 1 ){
		echo '<div class="right">';
			echo '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $orderid. '&payment_type=' . $payment_type . '" target="_blank" class="right">';
				echo '<i class="file text outline icon"></i>';
				echo __( 'View Invoice', 'wpjobster-invoices' );
			echo '</a>';
		echo '</div>';
	}
}
add_action( 'wpj_feature_page_before_job_title', 'wpjobster_invoice_feature_page', 10, 2 );

function wpjobster_invoice_subscription_page($uid){
	$order = wpjobster_get_subscription_order_by( 'user_id', $uid, 'active' );
	if ( strtolower( $order->payment_status ) == strtolower( 'completed' ) ) {
		$payment_type = 'subscription';
		echo '<div class="right">';
			echo '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $order->id. '&payment_type=' . $payment_type . '&type=active" target="_blank" class="right">';
				echo '<i class="file text outline icon"></i>';
				echo __( 'View Invoice', 'wpjobster-invoices' );
			echo '</a>';
		echo '</div>';
	}
}
add_action( 'wpj_before_current_subscription_title', 'wpjobster_invoice_subscription_page', 10 );

function wpjobster_invoice_custom_extra_page( $orderid, $payment_type, $custom_extra_id ){
	$payment_type = 'custom_extra';

	global $current_user;
	get_currentuserinfo();
	$uid = $current_user->ID;

	$current_order = wpjobster_get_order( $orderid->id );
	$custom_extras = json_decode( $current_order->custom_extras );
	$custom_extra = $custom_extras[$custom_extra_id];

	$order_user_id = wpj_get_buyer_id( $current_order );

	if( $custom_extra->paid == true ){
		echo '<div class="cf">';
			echo '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $orderid->id . '&payment_type=' . $payment_type . '&custom_extra=' . $custom_extra_id . '" target="_blank" class="right">';
				echo '<i class="file text outline icon"></i>';
				echo __( 'View Invoice', 'wpjobster-invoices' );
			echo '</a>';
		echo '</div>';
	}
}
add_action( 'wpj_transaction_page_before_custom_extra_title', 'wpjobster_invoice_custom_extra_page', 10, 3 );

function wpjobster_invoice_tips_page( $orderid, $payment_type, $tips_id ){
	$payment_type = 'tips';

	global $current_user;
	get_currentuserinfo();
	$uid = $current_user->ID;

	$current_order = wpjobster_get_order( $orderid->id );
	$tips = json_decode( $current_order->tips );
	$tip = $tips[$tips_id];

	$order_user_id = wpj_get_buyer_id( $current_order );

	if( $tip->paid == true ){
		echo '<div class="cf">';
			echo '<a href="' . get_bloginfo( 'url' ) . '/?invoice_page=invoice&orderno=' . $orderid->id . '&payment_type=' . $payment_type . '&tips=' . $tips_id . '" target="_blank" class="right">';
				echo '<i class="file text outline icon"></i>';
				echo __( 'View Invoice', 'wpjobster-invoices' );
			echo '</a>';
		echo '</div>';
	}
}
add_action( 'wpj_transaction_page_before_tips_title', 'wpjobster_invoice_tips_page', 10, 3 );
