<?php
// EXIT IF ACCESSED DIRECTLY
if ( !defined( 'ABSPATH' ) ) exit;

function wpjobster_invoices_plugin_settings_page() {
	if ( ! current_user_can('manage_options') ){
		wp_die( 'You do not have sufficient permissions to access this page.' );
	}

	global $wpdb;
	$current_user = wp_get_current_user();
	$uid = $current_user->ID;

	if (isset($_POST['wpj_invoice_feild']) && $_POST['wpj_invoice_feild'] == 1 ) {

		$wpj_invoice_business_name = $_POST['wpj_invoice_business_name'];
		$wpj_invoice_business_information = $_POST['wpj_invoice_business_information'];
		$wpj_invoice_business_logo = $_FILES['wpj_invoice_business_logo'];

		if ( ! function_exists( 'wp_handle_upload' ) ) {
			require_once( ABSPATH . 'wp-admin/includes/file.php' );
		}

		$image_type = array('image/jpeg', 'image/gif', 'image/png');
		$type = $wpj_invoice_business_logo['type'];
		$img_name = $wpj_invoice_business_logo['name'];

		$select_q = "select * from " . $wpdb->prefix . "job_invoice_business_info";
		$s = $wpdb->get_results($select_q);

		if(count($s) > 0){
			$last_id = $s[0]->id;

			$insert_sql = "update " . $wpdb->prefix . "job_invoice_business_info set business_name='$wpj_invoice_business_name' ,"
					. " business_information='$wpj_invoice_business_information'";
			$link = $wpdb->query($insert_sql);

			if (in_array($type, $image_type)) {

				$upload_overrides = array( 'test_form' => false );
				$movefile = wp_handle_upload($wpj_invoice_business_logo , $upload_overrides);

				if ( $movefile && ! isset( $movefile['error'] ) ) {
					echo __("File is valid, and was successfully uploaded.\n", "wpjobster-invoices");

					$file_url = $movefile['url'];
					$file_path = $movefile['file'];
					$file_type = $movefile['type'];
					$logo = basename($file_url);

					$insert_sql = "update " . $wpdb->prefix . "job_invoice_business_info set business_logo='$logo' , image_path='$file_path' ,"
							. " image_url='$file_url' , image_type='$file_type'";

					$wpdb->query($insert_sql);
				} else {
					/**
					 * Error generated by _wp_handle_upload()
					 * @see _wp_handle_upload() in wp-admin/includes/file.php
					 */
					echo $movefile['error'];
				}
			}else{
				echo __('Please select valid format for image','wpjobster-invoices');
			}
		}else{
			$insert_sql = "insert into " . $wpdb->prefix . "job_invoice_business_info set business_name='$wpj_invoice_business_name' ,"
					. " business_information='$wpj_invoice_business_information'";
			$wpdb->query($insert_sql);

			$lastid = $wpdb->insert_id;

			if (in_array($type, $image_type)) {

				$upload_overrides = array( 'test_form' => false );
				$movefile = wp_handle_upload($wpj_invoice_business_logo , $upload_overrides);

				if ( $movefile && ! isset( $movefile['error'] ) ) {
					echo "File is valid, and was successfully uploaded.\n";

					$file_url = $movefile['url'];
					$file_path = $movefile['file'];
					$file_type = $movefile['type'];
					$logo = basename($file_url);

					$insert_sql = "update " . $wpdb->prefix . "job_invoice_business_info set business_logo='$logo' , image_path='$file_path' ,"
							. " image_url='$file_url' , image_type='$file_type' where id='$lastid' ";
					$wpdb->query($insert_sql);

				} else {
					/**
					 * Error generated by _wp_handle_upload()
					 * @see _wp_handle_upload() in wp-admin/includes/file.php
					 */
					echo $movefile['error'];
				}
			}   // end if     in_array
			else {
				echo __('Please select valid format for image','wpjobster-invoices');
			}
		}
	}

	$b_name = "";
	$b_info = "";
	$b_logo = "";

	$q = "select * from " . $wpdb->prefix . "job_invoice_business_info";
	$r = $wpdb->get_results($q);

	if (count($r) > 0) {
		$b_name = $r[0]->business_name;
		$b_info = $r[0]->business_information;
		$b_logo = $r[0]->image_url;
	}

	if ( $b_logo == "" ) {
		$b_logo = get_invoices_plugin_address() . "images/logo.png";
	}
	?>

	<div class="wrap">
		<h2 <?php if( is_rtl() ) echo 'style="margin: 20px 0;"'; ?> class="my_title_class_sitemile"><?php _e( 'WPJobster Invoices', 'wpjobster-invoices' ); ?></h2>
		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e("General Settings",'wpjobster-invoices'); ?></a></li>
				<?php do_action('wpj_invoices_add_tab_name'); ?>
			</ul>
			<div id="tabs1" class="wpjobster-invoices-settings-page">
				<form name="frm_details" action="" enctype="multipart/form-data" method="post">
					<table width="100%" class="sitemile-table">
						<tr><td colspan="3"><p><?php _e("Please fill below the business details to be displayed on the invoice.",'wpjobster-invoices'); ?> </p></td></tr>
						<tr>
							<td valign=top width="22">
								<?php wpjobster_theme_bullet(); ?>
							</td>
							<td valign=top width="200"><?php _e("Business Name",'wpjobster-invoices'); ?></td>
							<td><input type="text" style="width: 400px;" name="wpj_invoice_business_name" value="<?php echo $b_name; ?>"></td>
						</tr>
						<tr>
							<td valign=top width="22">
								<?php wpjobster_theme_bullet(); ?>
							</td>
							<td valign=top width="200"><?php _e("Business Information",'wpjobster-invoices'); ?></td>
							<td><textarea style="width: 400px; height: 110px;" name="wpj_invoice_business_information"><?php echo $b_info; ?></textarea></td>
						</tr>
						<tr>
							<td valign=top width="22">
								<?php wpjobster_theme_bullet( __('Leave it blank to keep the current logo.', 'wpjobster-invoices') ); ?>
							</td>
							<td valign=top width="200"><?php _e("Upload Logo",'wpjobster-invoices'); ?></td>
							<td><input type="file" name="wpj_invoice_business_logo" accept="image/gif, image/jpeg, image/png" value=""></td>
						</tr>
						<tr>
							<td valign=top width="22">
								<?php wpjobster_theme_bullet(); ?>
							</td>
							<td valign=top width="200"><?php _e("Current Logo",'wpjobster-invoices'); ?></td>
							<td><img src="<?php echo $b_logo; ?>" name="" height="80" ></td>
						</tr>
						<tr>
							<td valign=top width="22">
							</td>
							<td></td>
							<td width="20%">
								<input type="hidden" name="wpj_invoice_feild" value="1" >
								<input type="submit" class="button-secondary" value="<?php _e('Save Options','wpjobster-invoices'); ?>"/></td>
							<td></td>
						</tr>
					</table>
				</form>
			</div>
			<?php do_action('wpj_invoices_add_tab_content'); ?>
		</div>
	</div>
<?php
}
