<?php
/* Open message box when new message */
add_action( 'wp_ajax_new_message_for_user', 'wpjobster_new_message_for_user' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_new_message_for_user', 'wpjobster_new_message_for_user' ); // ajax for not logged in users
function wpjobster_new_message_for_user(){
	global $wpdb;
	$current_user = wp_get_current_user();
	$uid = $current_user->ID;

	global $wpdb;

	$result = $wpdb->get_results( "
		SELECT *
		FROM (
			SELECT *
			FROM {$wpdb->prefix}job_pm
			ORDER BY id DESC
		) AS initiators
		WHERE user = {$uid}
		AND rd = '0'
		AND show_to_destination = '1'
		GROUP BY initiator
		ORDER BY id DESC
	" );

	$initiators = array();

	if ( $result ) {
		foreach ( $result as $key => $row ) {
			$user = new WP_User( $row->initiator );
			if ( $user->exists() ) {
				$initiators[] = $row->initiator;
			}
		}
	}

	echo json_encode( $initiators );

	wp_die();
}

/* Insert message to message box */
add_action( 'wp_ajax_show_new_message_content', 'wpjobster_show_new_message_content' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_new_message_content', 'wpjobster_show_new_message_content' ); // ajax for not logged in users
function wpjobster_show_new_message_content(){
	if ( get_option( 'wpjobster_chat_enable' ) == 'yes' && is_user_logged_in() ) {

		global $wpdb;

		$sender_id   = $_POST['sender_id'];
		$receiver_id = get_current_user_id();

		$result = $wpdb->get_results( "
			SELECT * FROM {$wpdb->prefix}job_pm
			WHERE user = '{$receiver_id}'
				AND initiator = '{$sender_id}'
				AND rd = 0
			ORDER BY datemade ASC
		" );

		$messages = array();

		if ( $result ) {

			foreach ( $result as $key => $row ) {
				// create data array
				$messages[$key]['id'] = $row->id;

				// content message
				$messages[$key]['content'] = wpj_make_links_clickable( nl2br( strip_tags( htmlspecialchars_decode( wpj_apply_filter_to_string( stripslashes( $row->content ), true, 'privatemessages' ) ) ) ) );

				// attachments
				if ( wpj_post_has_attachments( $row->attached ) ) {
					ob_start();
					wpj_list_attachments( $row->attached, '', '', '', '', true, false );
					$messages[$key]['attachments'] = ob_get_contents();
					ob_end_clean();
				} else {
					$messages[$key]['attachments'] = '';
				}

				// custom offer
				if ( $row->custom_offer == -1 || $row->custom_offer > 0 ) {
					$messages[$key]['custom_offer'] = wpj_chat_get_custom_offer_info( $row );
				} else {
					$messages[$key]['custom_offer'] = '';
				}

				// mark as read
				wpj_read_private_message( $row );
			}

		} else {

			$result_co = $wpdb->get_results( "
				SELECT * FROM (
					SELECT * FROM {$wpdb->prefix}job_pm
					WHERE ( user = '{$receiver_id}' AND initiator = '{$sender_id}' AND custom_offer != '0' )
						OR ( initiator = '{$receiver_id}' and user = '{$sender_id}' AND custom_offer != '0' )
					ORDER BY datemade DESC LIMIT 10 ) AS t1
				ORDER BY datemade ASC
			" );

			if ( $result_co ) {
				foreach ( $result_co as $key => $row_co ) {
					$messages[$key]['response_id'] = $row_co->id;
					$messages[$key]['custom_offer_response'] = function_exists( 'wpj_chat_get_custom_offer_response' ) ? wpj_chat_get_custom_offer_response( $row_co ) : '';
				}
			}

		}

		echo json_encode( $messages );
	}

	wp_die();
}

/* Filter the message */
add_action( 'wp_ajax_nopriv_filter_message', 'wpj_chat_filter_message_ajax' );
add_action( 'wp_ajax_filter_message', 'wpj_chat_filter_message_ajax' );
function wpj_chat_filter_message_ajax() {

	if ( isset( $_POST['message'] ) ) {

		// get content message
		echo wpj_make_links_clickable( wpj_apply_filter_to_string( stripslashes( $_POST['message'] ), true, 'privatemessages' ) );

	}

	wp_die();
}

/* Load more messages */
add_action( 'wp_ajax_nopriv_more_messages', 'wpj_chat_load_more_messages_ajax' );
add_action( 'wp_ajax_more_messages', 'wpj_chat_load_more_messages_ajax' );
function wpj_chat_load_more_messages_ajax() {

	if ( isset( $_POST['page'] ) && is_numeric( $_POST['page'] ) ) {

		$offset = ( $_POST['page'] * 10 ) - 10;

		$sender_id   = get_current_user_id();
		$receiver_id = $_POST['user_id'];

		$message = '';

		global $wpdb;

		$result = $wpdb->get_results( "
			SELECT * FROM (
				SELECT * FROM {$wpdb->prefix}job_pm
				WHERE ( user = '{$receiver_id}' AND initiator = '{$sender_id}' AND show_to_source = '1' )
					OR ( initiator = '{$receiver_id}' and user = '{$sender_id}' AND show_to_destination = '1' )
				ORDER BY datemade DESC LIMIT 10 OFFSET {$offset} ) AS t1
			ORDER BY datemade ASC
		" );

		if ( count( $result ) > 0 ) { $i = 0;

			$prev_datemade = 0;

			$message .= '<div class="multiple-messages-wrapper">';

				foreach ( $result as $key => $row ) { $i++;

					$current_datemade = $row->datemade;

					if ( $prev_datemade > 0 && $current_datemade - $prev_datemade >= 30 ) { /* 30 seconds */

			$message .= '</div>';

			$message .= '<div class="multiple-messages-wrapper">';

					}

					ob_start();
					wpj_chat_display_message_content( $row, $receiver_id, $i );
					$message .= ob_get_contents();
					ob_end_clean();

					$prev_datemade = $row->datemade;

				}

			$message .= '</div>';
		}

		echo $message;

	}

	wp_die();
}
