<?php
/* Receive new message on archive page */
add_action( 'wp_ajax_show_new_messages_for_archive', 'wpjobster_show_new_messages_for_archive' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_new_messages_for_archive', 'wpjobster_show_new_messages_for_archive' ); // ajax for not logged in users
function wpjobster_show_new_messages_for_archive() {
	global $wpdb;

	$current_user = wp_get_current_user();
	$uid = $current_user->ID;

	$r = $wpdb->get_results( "
		SELECT * FROM (
			SELECT id, count( id ) as cnt, initiator, MAX(datemade) AS datemade, archived, content
			FROM (
				SELECT id, initiator AS initiator, datemade, content, archived_to_destination AS archived
				FROM {$wpdb->prefix}job_pm
				WHERE user = {$uid}
					AND show_to_destination = '1'
					AND rd = '0'
				ORDER BY datemade DESC
				LIMIT 10
			) tmp
			GROUP BY initiator
			ORDER BY datemade DESC
		) tmp2
		WHERE archived = '0'
	" );

	$using_perm = wpjobster_using_permalinks();
	if ( $using_perm ) { $privurl_m = get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ); }
	else { $privurl_m = get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_priv_mess_page_id' ) . "&"; }

	wpj_private_messages_return_messages( $r, $privurl_m, 'yes' );

	wp_die();
}

/* Receive new message on conversation page */
add_action( 'wp_ajax_show_new_messages', 'wpjobster_show_new_messages' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_show_new_messages', 'wpjobster_show_new_messages' ); // ajax for not logged in users
function wpjobster_show_new_messages() {
	global $wpdb;

	$uid = get_current_user_id();

	if ( isset( $_POST['msg_username'] ) ) {
		$msg_username    = get_user_by( 'login', $_POST['msg_username'] );
		$msg_username_id = $msg_username->ID;
	} else {
		$msg_username_id = '';
	}

	$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE user = {$uid} AND rd = '0'" );

	if ( count( $r ) > 0 ) {
		foreach ( $r as $row ) {
			if ( $row->initiator != $msg_username_id ) {
				$query_msg = "SELECT * FROM {$wpdb->prefix}job_pm WHERE show_to_source = '1' AND id = {$row->id}";
			} else {
				$query_msg = "SELECT * FROM {$wpdb->prefix}job_pm WHERE show_to_destination = '1' AND id = {$row->id}";
			}

			$results = $wpdb->get_results( $query_msg );

			if ( $row->initiator == $msg_username_id ) {
				wpjobster_pm_loop( $results, $uid, $msg_username_id );
			}
		}
	};

	wpj_custom_offer_pm_loop( $msg_username_id );

	wp_die();
}

/* Save enter key option */
add_action( 'wp_ajax_nopriv_pm_enter_key', 'wpj_save_pm_enter_key' );
add_action( 'wp_ajax_pm_enter_key', 'wpj_save_pm_enter_key' );
function wpj_save_pm_enter_key() {
	if ( $_POST['value'] == 'true' ) {
		update_user_meta( get_current_user_id(), 'pm_enter_key_enabled', 1 );
	} else {
		update_user_meta( get_current_user_id(), 'pm_enter_key_enabled', 0 );
	}
	wp_die();
}

/* Send new message */
add_action( 'wp_ajax_nopriv_wpj_ajax_send_message_users', 'wpj_ajax_send_message_users' );
add_action( 'wp_ajax_wpj_ajax_send_message_users', 'wpj_ajax_send_message_users' );
function wpj_ajax_send_message_users() {
	global $wpdb;

	$myuid      = get_current_user_id();
	$otheruid   = $_POST['otheruid'];
	$request_id = isset( $_POST['request_id'] ) ? $_POST['request_id'] : '';
	$job_id     = isset( $_POST['job_id'] ) ? $_POST['job_id'] : '';

	if ( $request_id != '' ) {
		$request_post  = get_post( $request_id );
		$request_title = $request_post->post_title;
		$pm_message    = $request_title . '\n' . $_POST['message'];
	} elseif ( $job_id != '' ) {
		$job_post   = get_post( $job_id );
		$job_title  = $job_post->post_title;
		$pm_message = $job_title . '\n' . $_POST['message'];
	} else {
		$pm_message = $_POST['message'];
	}

	$wpjobster_characters_message_max = get_option( "wpjobster_characters_message_max" );
	$wpjobster_characters_message_max = ( empty( $wpjobster_characters_message_max ) || $wpjobster_characters_message_max == 0 ) ? 1200 : $wpjobster_characters_message_max;

	$wpjobster_characters_message_min = get_option( "wpjobster_characters_message_min" );
	$wpjobster_characters_message_min = ( empty( $wpjobster_characters_message_min ) ) ? 0 : $wpjobster_characters_message_min;

	$isOk = 1;
	$this_pm = '';

	if ( $pm_message !== '' || ( isset( $_POST['upload'] ) && $_POST['upload'] ) ) {

		$isOk = 1;

		$message = trim( nl2br( strip_tags( htmlspecialchars( wpj_encode_emoji( $pm_message ) ) ) ) );

		$msg2 = get_parsed_countable_string( $pm_message );

		if ( mb_strlen( $msg2 ) < $wpjobster_characters_message_min || mb_strlen( $msg2 ) > $wpjobster_characters_message_max ) {
			$isOk = 0;
			$_SESSION['error_message'] = sprintf( __( 'The message needs to have at least %d characters and %d at most!', 'wpjobster' ), $wpjobster_characters_message_min, $wpjobster_characters_message_max );

		} elseif ( ! is_demo_user() ) {

			$current_time = current_time( 'timestamp', 1 );
			$pm_files = isset( $_POST['upload'] ) && $_POST['upload'] ? $_POST['upload'] : '';

			$wpdb->query( "INSERT INTO {$wpdb->prefix}job_pm (content, datemade, initiator, user, attached) VALUES( '{$message}', {$current_time}, {$myuid}, {$otheruid}, '{$pm_files}' )" );
			$this_pm = $wpdb->insert_id;

			if ( $pm_files ) {
				$pm_files_array = explode( ',', $pm_files );
				if ( $pm_files_array ) {
					foreach ( $pm_files_array as $attachment ) {
						add_post_meta( $attachment, 'pm_id', $this_pm );
						add_post_meta( $attachment, 'is_private_message', $this_pm );
					}
				}
			}

			$messages = get_user_meta( $otheruid, 'messages_number', true );
			if ( is_numeric( $messages ) ) {
				$messages = $messages + 1;
				update_user_meta( $otheruid, 'messages_number', $messages );
				update_user_meta( $otheruid, 'messages_time', $current_time );
			} else {
				wpj_refresh_user_notifications( $otheruid, 'messages' );
			}

			do_action( 'wpj_after_pm_is_sent', $this_pm, 'messages' );

			wpj_notify_user_translated( 'new_message', $otheruid, array( '##private_message_link##' => wpj_get_pm_link( $myuid ) ) );

			$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE id = {$this_pm}" );

			wpjobster_pm_loop( $r, $myuid, $otheruid );

		}
	}

	wp_die();
}

// Load more private messages
add_action( 'wp_ajax_nopriv_load_more_messages', 'wpj_ajax_load_more_private_messages' );
add_action( 'wp_ajax_load_more_messages', 'wpj_ajax_load_more_private_messages' );
function wpj_ajax_load_more_private_messages() {

	if ( ! is_numeric( $_POST['pg'] ) ) {
		echo 'ERROR';
		die();
	}
	$offset = ( $_POST['pg'] * 10 ) - 10;

	global $wpdb;

	$myuid    = $_POST['current_user_id'];
	$otheruid = $_POST['other_user_id'];

	$r = $wpdb->get_results( "
		SELECT * FROM (
			SELECT * FROM {$wpdb->prefix}job_pm
			WHERE (
				user = '{$otheruid}'
				AND initiator = '{$myuid}'
				AND show_to_source = '1'
			)
			OR (
				initiator = '{$otheruid}'
				AND user = '{$myuid}'
				AND show_to_destination = '1'
			)
			ORDER BY datemade DESC LIMIT 10 OFFSET {$offset}
		) AS t1
		ORDER BY datemade ASC
	" );

	$messages_html = '';
	if ( count( $r ) > 0 ) { ob_start();
		wpjobster_pm_loop( $r, $myuid, $otheruid );
		$messages_html = ob_get_contents(); ob_end_clean();
	}

	echo json_encode( array( 'messages' => $messages_html, 'messages_cnt' => count( $r ) ) );

	die();
}
