<?php
// Save user description
add_action( 'wp_ajax_save_user_description_content', 'wpj_save_user_description_content' );
add_action( 'wp_ajax_nopriv_save_user_description_content', 'wpj_save_user_description_content' );
function wpj_save_user_description_content() {
	$content = wpj_validate_input_content( $_POST['item'] );
	$uid     = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		update_user_meta( $uid, 'personal_info', $content );
	}

	die();
}

// Save new languages
add_action( 'wp_ajax_save_user_language_content', 'wpj_save_user_language_content' );
add_action( 'wp_ajax_nopriv_save_user_language_content', 'wpj_save_user_language_content' );
function wpj_save_user_language_content() {
	$language    = $_POST['language'] ? wpj_validate_input_content( $_POST['language'] ) : '';
	$proficiency = $_POST['proficiency'] ? wpj_validate_input_content( $_POST['proficiency'] ) : '';
	$uid         = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		if ( $language && $proficiency ) {
			$languages[$language] = $proficiency;

			$current_arr = get_user_meta( $uid, 'user_languages', true );
			if ( ! $current_arr ) {
				update_user_meta( $uid, 'user_languages', $languages );
			} else {
				$current_arr[$language] = $proficiency;
				update_user_meta( $uid, 'user_languages', $current_arr );
			}
		}
	}

	die();
}

// Edit a language
add_action( 'wp_ajax_change_user_language_content', 'wpj_change_user_language_content' );
add_action( 'wp_ajax_nopriv_change_user_language_content', 'wpj_change_user_language_content' );
function wpj_change_user_language_content() {
	$old_language    = $_POST['old_language'] ? wpj_validate_input_content( $_POST['old_language'] ) : '';
	$language        = $_POST['language'] ? wpj_validate_input_content( $_POST['language'] ) : '';
	$old_proficiency = $_POST['old_proficiency'] ? wpj_validate_input_content( $_POST['old_proficiency'] ) : '';
	$proficiency     = $_POST['proficiency'] ? wpj_validate_input_content( $_POST['proficiency'] ) : '';
	$uid             = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		if ( $language && $proficiency ) {
			$current_arr = get_user_meta( $uid, 'user_languages', true );
			$new_languages_arr = wpjobster_change_array_key( $current_arr, $old_language, $language );
			$new_languages_arr[$language] = $proficiency;

			update_user_meta( $uid, 'user_languages', $new_languages_arr );
		}
	}

	die();
}

// Remove a language
add_action( 'wp_ajax_remove_user_language_content', 'wpj_remove_user_language_content' );
add_action( 'wp_ajax_nopriv_remove_user_language_content', 'wpj_remove_user_language_content' );
function wpj_remove_user_language_content() {
	$language = $_POST['item'] ? wpj_validate_input_content( $_POST['item'] ) : '';
	$uid      = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$current_arr = get_user_meta( $uid, 'user_languages', true );
		if ( $current_arr ) {
			foreach ( $current_arr as $key => $value ) {
				if ( strtolower( $key ) == strtolower( $language ) ) {
					unset( $current_arr[$key] );
				}
			}
			update_user_meta( $uid, 'user_languages', $current_arr );
		}
	}

	die();
}

// Save new skill
add_action( 'wp_ajax_save_user_skill_content', 'wpj_save_user_skill_content' );
add_action( 'wp_ajax_nopriv_save_user_skill_content', 'wpj_save_user_skill_content' );
function wpj_save_user_skill_content() {
	$skill = $_POST['item'] ? stripslashes( wpj_validate_input_content( $_POST['item'] ) ) : '';
	$uid   = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$save = true;
		if ( $skill ) {
			$current_arr = get_user_meta( $uid, 'user_skills', true );
			if ( ! $current_arr ) {
				update_user_meta( $uid, 'user_skills', array( $skill ) );
			} else {
				foreach ( $current_arr as $key => $value ) {
					if ( strtolower( $value ) == strtolower( $skill ) ) {
						$save = false;
					}
				}
				if ( $save ) {
					$current_arr[] = $skill;
					update_user_meta( $uid, 'user_skills', $current_arr );
				}
			}
		}
	}

	die();
}

// Remove a skill
add_action( 'wp_ajax_remove_user_skill_content', 'wpj_remove_user_skill_content' );
add_action( 'wp_ajax_nopriv_remove_user_skill_content', 'wpj_remove_user_skill_content' );
function wpj_remove_user_skill_content() {
	$skill = $_POST['item'] ? stripslashes( wpj_validate_input_content( $_POST['item'] ) ) : '';
	$uid   = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$current_arr = get_user_meta( $uid, 'user_skills', true );
		if ( $current_arr ) {
			foreach ( $current_arr as $key => $value ) {
				if ( strtolower( trim( $value ) ) == strtolower( trim( $skill ) ) ) {
					unset( $current_arr[$key] );
				}
			}
			update_user_meta( $uid, 'user_skills', $current_arr );
		}
	}

	die();
}

// Save user tagline
add_action( 'wp_ajax_save_user_tagline_content', 'wpj_save_user_tagline_content' );
add_action( 'wp_ajax_nopriv_save_user_tagline_content', 'wpj_save_user_tagline_content' );
function wpj_save_user_tagline_content() {
	$tagline = $_POST['item'] ? wpj_validate_input_content( $_POST['item'] ) : '';
	$uid     = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		update_user_meta( $uid, 'user_tagline', $tagline );
	}
}

// Show user education modal
add_action( 'wp_ajax_show_user_education_content', 'wpj_show_user_education_content' );
add_action( 'wp_ajax_nopriv_show_user_education_content', 'wpj_show_user_education_content' );
function wpj_show_user_education_content() { ?>

	<form action="javascript://" data-type="education" name="modal_form" class="ui form modal_form">

		<?php
		$action = $_POST['action_type'];
		$fields = array( 'school', 'degree', 'grade', 'study', 'activities', 'from', 'to', 'description', 'attachments' );

		if ( $action == 'edit' ) {
			$education = get_user_meta( $_POST['uid'], 'user_educations', true );
			$indx = $_POST['indx'];

			if ( $education ) {
				foreach ( $fields as $key => $val ) {
					$$val = $education[$indx][$val];
				}
			}

			echo '<input type="hidden" value="' . $indx . '" name="indx" />';
		}

		foreach ( $fields as $key => $val ) {
			$$val = isset( $$val ) ? $$val : '';
		}

		wpj_show_user_profile_modal_field( $school, 'school', __( 'School', 'wpjobster' ), 'text', __( 'Ex: Boston University', 'wpjobster' ), true );

		echo '<div class="two fields">';
			wpj_show_user_profile_modal_field( $degree, 'degree', __( 'Degree', 'wpjobster' ), 'text', __( 'Ex: Bachelor\'s', 'wpjobster' ) );
			wpj_show_user_profile_modal_field( $grade, 'grade', __( 'Grade', 'wpjobster' ) );
		echo '</div>';

		wpj_show_user_profile_modal_field( $study, 'field_of_study', __( 'Field of study', 'wpjobster' ), 'text', __( 'Ex: Business', 'wpjobster' ) );

		wpj_show_user_profile_modal_field( $activities, 'activities_and_societies', __( 'Activities and societies', 'wpjobster' ), 'textarea', __( 'Ex: Alpha Phi Omega, Marching Band, Volleyball', 'wpjobster' ) );

		echo '<div class="two fields">';
			wpj_show_user_profile_modal_field( $from, 'from_year', __( 'From Year', 'wpjobster' ), 'select', '', '', '', 'year' );
			wpj_show_user_profile_modal_field( $to, 'to_year', __( 'To Year (or expected)', 'wpjobster' ), 'select', '', '', '', 'year' );
		echo '</div>';

		wpj_show_user_profile_modal_field( $description, 'description', __( 'Description', 'wpjobster' ), 'textarea' );
		wpj_show_user_profile_modal_field( $attachments, 'media', __( 'Media', 'wpjobster' ), 'file', __( 'Add or link to external documents, photos, sites, videos, and presentations.', 'wpjobster' ), '', $_POST['uid'] );

		echo '<input type="hidden" value="' . $_POST['uid'] . '" name="uid" />'; ?>

		<div class="actions">
			<button class="ui uppercase labeled icon button save-item" type="submit">
				<?php echo __( 'Save', 'wpjobster' ); ?>
				<i class="checkmark icon"></i>
			</button>
		</div>

	</form>

	<?php die();
}

// Save user education
add_action( 'wp_ajax_save_user_education_content', 'wpj_save_user_education_content' );
add_action( 'wp_ajax_nopriv_save_user_education_content', 'wpj_save_user_education_content' );
function wpj_save_user_education_content() {
	$uid = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$current_arr = get_user_meta( $uid, 'user_educations', true );
		if ( ! $current_arr ) { $current_arr = array(); }

		if ( $_POST["user_school"] ) {
			if ( isset( $_POST['indx'] ) ) {
				$current_arr[$_POST['indx']]['school']      = wpj_validate_input_content( WPJ_Form::post( 'user_school', '' ) );
				$current_arr[$_POST['indx']]['degree']      = wpj_validate_input_content( WPJ_Form::post( 'user_degree', '' ) );
				$current_arr[$_POST['indx']]['grade']       = wpj_validate_input_content( WPJ_Form::post( 'user_grade', '' ) );
				$current_arr[$_POST['indx']]['study']       = wpj_validate_input_content( WPJ_Form::post( 'user_field_of_study', '' ) );
				$current_arr[$_POST['indx']]['activities']  = wpj_validate_input_content( WPJ_Form::post( 'user_activities_and_societies', '' ) );
				$current_arr[$_POST['indx']]['from']        = wpj_validate_input_content( WPJ_Form::post( 'user_from_year', '' ) );
				$current_arr[$_POST['indx']]['to']          = wpj_validate_input_content( WPJ_Form::post( 'user_to_year', '' ) );
				$current_arr[$_POST['indx']]['description'] = wpj_validate_input_content( WPJ_Form::post( 'user_description', '' ) );

				$media_attchments              = $_POST['hidden_files_media_attachments'];
				$media_attchments_arr          = explode( ",", $media_attchments );
				$existing_media_attchments     = $current_arr[$_POST['indx']]['attachments'];
				$existing_media_attchments_arr = explode( ",", $existing_media_attchments );
				$new_media_attchments_arr      = array_merge( $media_attchments_arr, $existing_media_attchments_arr );
				$new_media_attchments          = implode( ",", $new_media_attchments_arr );

				$current_arr[$_POST['indx']]['attachments'] = $new_media_attchments;
			} else {
				$user_education_arr = array(
					'school'      => wpj_validate_input_content( WPJ_Form::post( 'user_school', '' ) ),
					'degree'      => wpj_validate_input_content( WPJ_Form::post( 'user_degree', '' ) ),
					'grade'       => wpj_validate_input_content( WPJ_Form::post( 'user_grade', '' ) ),
					'study'       => wpj_validate_input_content( WPJ_Form::post( 'user_field_of_study', '' ) ),
					'activities'  => wpj_validate_input_content( WPJ_Form::post( 'user_activities_and_societies', '' ) ),
					'from'        => wpj_validate_input_content( WPJ_Form::post( 'user_from_year', '' ) ),
					'to'          => wpj_validate_input_content( WPJ_Form::post( 'user_to_year', '' ) ),
					'description' => wpj_validate_input_content( WPJ_Form::post( 'user_description', '' ) ),
					'attachments' => wpj_validate_input_content( WPJ_Form::post( 'hidden_files_media_attachments', '' ) ),
				);

				$current_arr[] = $user_education_arr;
			}
			update_user_meta( $uid, 'user_educations', $current_arr );
		}
	}

	die();
}

// Remove a education
add_action( 'wp_ajax_remove_user_education_content', 'wpj_remove_user_education_content' );
add_action( 'wp_ajax_nopriv_remove_user_education_content', 'wpj_remove_user_education_content' );
function wpj_remove_user_education_content() {
	$education = $_POST['item'] ? wpj_validate_input_content( $_POST['item'] ) : '';
	$uid       = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$current_arr = get_user_meta( $uid, 'user_educations', true );
		if ( $current_arr ) {
			foreach ( $current_arr as $key => $value ) {
				if ( $key == $education ) {
					unset( $current_arr[$key] );
				}
			}
			update_user_meta( $uid, 'user_educations', $current_arr );
		}
	}

	die();
}

// Show user certification modal
add_action( 'wp_ajax_show_user_certification_content', 'wpj_show_user_certification_content' );
add_action( 'wp_ajax_nopriv_show_user_certification_content', 'wpj_show_user_certification_content' );
function wpj_show_user_certification_content() { ?>

	<form data-type="certification" action="javascript://" name="modal_form" class="ui form modal_form">

		<?php
		$action = $_POST['action_type'];
		$fields = array( 'certification_name', 'certification_authority', 'license_number', 'from_year', 'to_year', 'from_month', 'to_month', 'certification_not_expire', 'certification_url' );

		if ( $action == 'edit' ) {
			$certification = get_user_meta( $_POST['uid'], 'user_certifications', true );
			$indx = $_POST['indx'];

			if ( $certification ) {
				foreach ( $fields as $key => $val ) {
					$$val = $certification[$indx][$val];
				}
			}

			echo '<input type="hidden" value="' . $indx . '" name="indx" />';
		}

		foreach ( $fields as $key => $val ) {
			$$val = isset( $$val ) ? $$val : '';
		}

		wpj_show_user_profile_modal_field( $certification_name, 'certification_name', __( 'Certification name', 'wpjobster' ), 'text', __( 'Ex: CFA', 'wpjobster' ), true );
		wpj_show_user_profile_modal_field( $certification_authority, 'certification_authority', __( 'Certification authority', 'wpjobster' ), 'text' );
		wpj_show_user_profile_modal_field( $license_number, 'license_number', __( 'License number', 'wpjobster' ), 'text' );

		echo '<div class="two fields">';
			wpj_show_user_profile_modal_field( $from_month, 'from_month', __( 'From Month', 'wpjobster' ), 'select', '', '', '', 'month' );
			wpj_show_user_profile_modal_field( $to_month, 'to_month', __( 'To Month', 'wpjobster' ), 'select', '', '', '', 'month' );
		echo '</div>';

		echo '<div class="two fields">';
			wpj_show_user_profile_modal_field( $from_year, 'from_year', __( 'From Year', 'wpjobster' ), 'select', '', '', '', 'year' );
			wpj_show_user_profile_modal_field( $to_year, 'to_year', __( 'To Year', 'wpjobster' ), 'select', '', '', '', 'year' );
		echo '</div>';

		wpj_show_user_profile_modal_field( $certification_not_expire, 'certification_not_expire', ' ', 'checkbox', __( 'This certification does not expire', 'wpjobster' ) );
		wpj_show_user_profile_modal_field( $certification_url, 'certification_url', __( 'Certification URL', 'wpjobster' ), 'text' );

		echo '<input type="hidden" value="' . $_POST['uid'] . '" name="uid" />'; ?>

		<div class="actions">
			<button class="ui uppercase labeled icon button save-item" type="submit">
				<?php echo __( 'Save', 'wpjobster' ); ?>
				<i class="checkmark icon"></i>
			</button>
		</div>

	</form>

	<?php die();
}

// Save user certification
add_action( 'wp_ajax_save_user_certification_content', 'wpj_save_user_certification_content' );
add_action( 'wp_ajax_nopriv_save_user_certification_content', 'wpj_save_user_certification_content' );
function wpj_save_user_certification_content() {
	$uid = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$current_arr = get_user_meta( $uid, 'user_certifications', true );
		if ( ! $current_arr ) { $current_arr = array(); }

		if ( $_POST["user_certification_name"] ) {
			if ( isset( $_POST['indx'] ) ) {
				$current_arr[$_POST['indx']]['certification_name']       = wpj_validate_input_content( WPJ_Form::post( 'user_certification_name', '' ) );
				$current_arr[$_POST['indx']]['certification_authority']  = wpj_validate_input_content( WPJ_Form::post( 'user_certification_authority', '' ) );
				$current_arr[$_POST['indx']]['license_number']           = wpj_validate_input_content( WPJ_Form::post( 'user_license_number', '' ) );
				$current_arr[$_POST['indx']]['from_month']               = wpj_validate_input_content( WPJ_Form::post( 'user_from_month', '' ) );
				$current_arr[$_POST['indx']]['to_month']                 = wpj_validate_input_content( WPJ_Form::post( 'user_to_month', '' ) );
				$current_arr[$_POST['indx']]['from_year']                = wpj_validate_input_content( WPJ_Form::post( 'user_from_year', '' ) );
				$current_arr[$_POST['indx']]['to_year']                  = wpj_validate_input_content( WPJ_Form::post( 'user_to_year', '' ) );
				$current_arr[$_POST['indx']]['certification_not_expire'] = wpj_validate_input_content( WPJ_Form::post( 'user_certification_not_expire', 'no' ) );
				$current_arr[$_POST['indx']]['certification_url']        = wpj_validate_input_content( WPJ_Form::post( 'user_certification_url', '' ) );
			} else {
				$user_certification_arr = array(
					'certification_name'       => wpj_validate_input_content( WPJ_Form::post( 'user_certification_name', '' ) ),
					'certification_authority'  => wpj_validate_input_content( WPJ_Form::post( 'user_certification_authority', '' ) ),
					'license_number'           => wpj_validate_input_content( WPJ_Form::post( 'user_license_number', '' ) ),
					'from_month'               => wpj_validate_input_content( WPJ_Form::post( 'user_from_month', '' ) ),
					'to_month'                 => wpj_validate_input_content( WPJ_Form::post( 'user_to_month', '' ) ),
					'from_year'                => wpj_validate_input_content( WPJ_Form::post( 'user_from_year', '' ) ),
					'to_year'                  => wpj_validate_input_content( WPJ_Form::post( 'user_to_year', '' ) ),
					'certification_not_expire' => wpj_validate_input_content( WPJ_Form::post( 'user_certification_not_expire', 'no' ) ),
					'certification_url'        => wpj_validate_input_content( WPJ_Form::post( 'user_certification_url', '' ) ),
				);

				$current_arr[] = $user_certification_arr;
			}
			update_user_meta( $uid, 'user_certifications', $current_arr );
		}
	}

	die();
}

// Remove a certificate
add_action( 'wp_ajax_remove_user_certification_content', 'wpj_remove_user_certification_content' );
add_action( 'wp_ajax_nopriv_remove_user_certification_content', 'wpj_remove_user_certification_content' );
function wpj_remove_user_certification_content() {
	$certification = $_POST['item'] ? wpj_validate_input_content( $_POST['item'] ) : '';
	$uid           = $_POST['uid'];

	$current_user = wp_get_current_user();
	if ( $uid == $current_user->ID ) {
		$current_arr = get_user_meta( $uid, 'user_certifications', true );
		if ( $current_arr ) {
			foreach ( $current_arr as $key => $value ) {
				if ( $key == $certification ) {
					unset( $current_arr[$key] );
				}
			}
			update_user_meta( $uid, 'user_certifications', $current_arr );
		}
	}

	die();
}
