/* JOB IMAGE - DROPZONE */
function wpj_init_dropzone_job_images( default_nr, max_size ) {

	if ( jQuery( '#dropzone-jobimages' )[0] ) {
		var jobimages_dropzone = new Dropzone( "div#dropzone-jobimages", {

			url : wpj_vars.ajaxurl,

			maxFiles      : default_nr,
			maxFilesize   : max_size,
			acceptedFiles : 'image/*',
			addRemoveLinks: false,

			dictDefaultMessage          : "",
			dictFallbackMessage         : wpj_vars.dictFallbackMessage,
			dictFallbackText            : wpj_vars.dictFallbackText,
			dictFileTooBig              : wpj_vars.dictFileTooBig,
			dictInvalidFileType         : wpj_vars.dictInvalidFileType,
			dictResponseError           : wpj_vars.dictResponseError,
			dictCancelUpload            : wpj_vars.dictCancelUpload,
			dictCancelUploadConfirmation: wpj_vars.dictCancelUploadConfirmation,
			dictRemoveFile              : wpj_vars.dictRemoveFile,
			dictRemoveFileConfirmation  : null,
			dictMaxFilesExceeded        : wpj_vars.dictMaxFilesExceeded,

			init: function() {

				this.on( "sending", function( data, xhr, formData ) {
					formData.append( "action", "submit_dropzone_image" );
					formData.append( "jobimages_nonce_field", jQuery( "#jobimages_nonce_field" ).val() );
					formData.append( "pid", jQuery( "#dropzone-jobimages" ).data( "pid" ) );
					formData.append( "uploader_purpose", jQuery( "#dropzone-jobimages" ).data( "uploader_purpose" ) );
					formData.append( "MAX_FILE_SIZE", jQuery( "#dropzone-jobimages" ).data( "maxfilesize" ) );

					jQuery( '#dropzone-jobimages' ).append( jQuery( '#dropzone-jobimages > div.dz-message' ) );
				});

				this.on( "success", function( file, response ) {
					var response = jQuery.parseJSON( response );

					if ( response.error !== false ) {
						jQuery( file.previewElement ).removeClass( "dz-success" );
						jQuery( file.previewElement ).addClass( "dz-error" );
						jQuery( file.previewElement ).find( ".dz-error-message > span" ).append( response.error );
					} else {
						jQuery( file.previewElement ).attr( "data-id", response.id );
						jQuery( file.previewElement ).attr( "id", "image_ss" + response.id );
					}

					if ( response.id !== 0 ) {
						jQuery( file.previewElement ).append( '<a href="javascript: void(0);" onclick="delete_this_file(' + response.id + ', \'\', \'\', \'\', \'image\');" class="delete-this"></a>' );
					} else {
						jQuery( file.previewElement ).append( '<a href="javascript: void(0);" onclick="jQuery(this).parent().remove();" class="delete-this"></a>' );
					}
				});

				this.on( "error", function( file, errorMessage, xhr ) {
					jQuery( file.previewElement ).append( '<a href="javascript: void(0);" onclick="jQuery(this).parent().remove();" class="delete-this"></a>' );
				});

				this.on( "complete", function( data, xhr, formData ) {
					var response = JSON.parse( data.xhr.response );

					jQuery( '#image_ss' + response.id ).wrap( '<div class="dz-image-wrapper"></div>' );

					jQuery( '#image_ss' + response.id ).find( '.delete-this' ).insertAfter( jQuery( '#image_ss' + response.id ).find( '.delete-this' ).parent() );

					if ( jQuery( "#dropzone-jobimages .dz-preview.dz-image-preview.dz-complete" ).length >= jQuery( "#dropzone-jobimages" ).data( "maxnrofpictures" ) ) {
						jQuery( "#dropzone-jobimages" ).addClass( "maxnrofpictures" );
					}
				});
			}
		});
	}

}

/* JOB COVER - DROPZONE */
jQuery( document ).ready( function( $ ) {

	if ( jQuery( '#dropzone-jobcover' )[0] ) {

		var pid = jQuery( "#dropzone-jobcover" ).data( "pid" );

		jQuery( "div#dropzone-jobcover" ).dropzone({

			url: wpj_vars.ajaxurl,

			maxFiles       : 1,
			maxFilesize    : wpj_vars.cover_max_file_size,
			acceptedFiles  : 'image/*',
			addRemoveLinks : false,
			thumbnailWidth : 980,
			thumbnailHeight: 180,

			dictDefaultMessage          : "",
			dictFallbackMessage         : wpj_vars.dictFallbackMessage,
			dictFallbackText            : wpj_vars.dictFallbackText,
			dictFileTooBig              : wpj_vars.dictFileTooBig,
			dictInvalidFileType         : wpj_vars.dictInvalidFileType,
			dictResponseError           : wpj_vars.dictResponseError,
			dictCancelUpload            : wpj_vars.dictCancelUpload,
			dictCancelUploadConfirmation: wpj_vars.dictCancelUploadConfirmation,
			dictRemoveFile              : wpj_vars.dictRemoveFile,
			dictRemoveFileConfirmation  : null,
			dictMaxFilesExceeded        : wpj_vars.dictMaxFilesExceeded,

			accept: function( file, done ) {
				done();
			},

			init: function() {
				this.on( "addedfile", function() {
					jQuery( "#dropzone-jobcover" ).addClass( "maxnrofpictures" );
					if ( this.files[1] != null ) {
						this.removeFile( this.files[0] );
					}
					jQuery( "#dropzone-jobcover .dz-preview.dz-image-preview.dz-complete" ).remove();
				});

				this.on( "sending", function( data, xhr, formData ) {
					formData.append( "action", "submit_dropzone_cover" );
					formData.append( "jobcover_nonce_field", jQuery( "#jobcover_nonce_field" ).val() );
					formData.append( "pid", jQuery( "#dropzone-jobcover" ).data( "pid" ) );
					formData.append( "MAX_FILE_SIZE", jQuery( "#dropzone-jobcover" ).data( "maxfilesize" ) );

					jQuery( "#dropzone-jobcover" ).addClass( "maxnrofpictures" );
				});

				this.on( "success", function( file, response ) {
					var response = jQuery.parseJSON( response );
					if ( response.error !== false ) {
						jQuery( file.previewElement ).removeClass( "dz-success" );
						jQuery( file.previewElement ).addClass( "dz-error" );
						jQuery( file.previewElement ).find( ".dz-error-message > span" ).append( response.error );
					} else {
						jQuery( file.previewElement ).attr( "data-id", response.id );
						jQuery( file.previewElement ).attr( "id", "image_ss" + response.id );
					}
					if ( response.id !== 0 ) {
						jQuery( file.previewElement ).append( '<a href="javascript: void(0);" onclick="delete_this_file(' + response.id + ', \'\', \'\', ' + pid + ', \'cover\');" class="delete-this"></a>' );
					} else {
						jQuery( file.previewElement ).append( '<a href="javascript: void(0);" onclick="wpj_delete_dropzone_cover_image( jQuery(this) );" class="delete-this"></a>' );
					}
				});

				this.on("error", function( file, errorMessage, xhr ) {
					jQuery( file.previewElement ).append( '<a href="javascript: void(0);" onclick="wpj_delete_dropzone_cover_image( jQuery(this) );" class="delete-this"></a>' );
				});

				this.on( "complete", function( data, xhr, formData ) {} );
			}
		});
	}

});

/* DELETE DROPZONE COVER IMAGE */
function wpj_delete_dropzone_cover_image( thumb ) {
	thumb.parent().hide();
	jQuery( "#dropzone-jobcover" ).removeClass( "maxnrofpictures" );
}

/* INITIALIZE TINYMCE */
function wpj_initialize_tinymce( wrapper_id ) {
	wrapper_id.each( function() {
		tinyMCE.init({
			mode                  : "specific_textareas",
			editor_selector       : jQuery( this ).attr( 'name' ),
			plugins               : 'paste directionality fullscreen image link media charmap hr lists charmap wordpress textcolor',

			menubar: false,

			toolbar: [
				'formatselect fontselect fontsizeselect | removeformat | numlist bullist | outdent indent',
				'bold italic underline strikethrough superscript subscript wp_code | forecolor backcolor | alignleft aligncenter alignright alignjustify | rtl',
				'undo redo | copy cut paste | wp_add_media image media | link unlink | charmap fullscreen',
			],

			height                : 400,
			document_base_url     : wpj_vars.blog_url + '/',
			convert_urls          : true,
			relative_urls         : false,
			remove_script_host    : false,
			force_br_newlines     : true,
			force_p_newlines      : true,
			remove_linebreaks     : false,
			convert_newlines_to_br: true,
		});
	});
}