jQuery( document ).ready( function( $ ) {

	// Downlad Attachment With Token
	$( document ).on( 'click', "a[href*='secure_download']", function( e ) {
		var url = ( $( this ).attr( 'href' ) );
		var auth_token = getParameterFromGivenURL( url, 'auth_token' );
		var secure_download = getParameterFromGivenURL( url, 'secure_download' );

		if ( secure_download ) {
			$.ajax({
				type: "POST",
				url: wpj_vars.ajaxurl,
				data: {
					action: 'wpjobster_save_auth_token_transient',
					secure_download: secure_download,
					auth_token: auth_token,
				},
				success: function( msg ) {}
			});
		}
	});

	// International Phone
	var user_country = $( ".cell_number" ).attr( 'data-country' );
	if ( user_country )
		user_country = user_country.toLowerCase();
	else
		user_country = 'us';

	var default_country = $( ".cell_number" ).attr( 'data-default-country' );
	if ( default_country )
		default_country = default_country.toLowerCase();
	else
		default_country = 'us';

	var only_countries = $( ".cell_number" ).attr( 'data-only-countries' );
	if ( only_countries ) {
		only_countries = only_countries.toLowerCase().split(',');
		// prevent undefined errors
		if ( jQuery.inArray( user_country, only_countries ) === -1 ) {
			user_country = '';
		}
		if ( jQuery.inArray( default_country, only_countries ) === -1 ) {
			default_country = '';
		}
	} else {
		only_countries = [];
	}

	$( ".cell_number" ).intlTelInput({
		nationalMode      : false,
		initialCountry    : default_country,
		preferredCountries: [ user_country ],
		onlyCountries     : only_countries
	});

	if ( $( 'body' ).hasClass( "rtl" ) ) {
		$( ".cell_number" ).parent().addClass( "iti-rtl" );
	}

	// Login / Register Fields
	$( "#login form p label" ).contents().filter( function() {
		if ( this.type == 'checkbox' ) {
			$( this ).parent().addClass( 'ui checkbox' );
		}
		return ( this.nodeType === 3 );
	}).wrap( '<span class="box"></span>' );

	$( "#loginform" ).prepend( "<h2 style='text-align:center;'>" + wpj_vars.login + "</h2>" );
	$( "#registerform" ).prepend( "<h2 style='text-align:center;'>" + wpj_vars.register + "</h2>" );
	$( "#registerform" ).addClass('ui form');

	$( "#lostpasswordform" ).prepend( "<h2 style='text-align:center;'>" + wpj_vars.forgot + "</h2>" );
	$( "#resetpassform" ).prepend( "<h2 style='text-align:center;'>" + wpj_vars.reset + "</h2>" );

	$( "#user_login" ).attr( "placeholder", wpj_vars.user_name );
	$( "#loginform #user_login" ).attr( "placeholder", wpj_vars.user_email );
	$( "#lostpasswordform #user_login" ).attr( "placeholder", wpj_vars.user_email );
	$( "#lostpasswordform #wp-submit" ).attr( "value", wpj_vars.reset );
	$( "#loginform #wp-submit" ).attr( "value", wpj_vars.login );

	$( "#user_email" ).attr( "placeholder", wpj_vars.email );
	$( "#user_pass" ).attr( "placeholder", wpj_vars.password );
	$( "#cell_number" ).attr( "placeholder", wpj_vars.phone_number );
	$( "#user_company" ).attr( "placeholder", wpj_vars.company );
	$( "#user_password" ).attr( "placeholder", wpj_vars.password );
	$( "#user_confirm_password" ).attr( "placeholder", wpj_vars.confirm_password );

	$( '#login > h1' ).remove();
	$( '#login > #backtoblog' ).remove();
	$( '#login > #nav' ).remove();
	$( '#login .forgetmenot' ).remove();
	$( '#login #reg_passmail' ).remove();

	$( '#divider_login_outer' ).appendTo( '#login form' );

});
