// Change layout
jQuery( function( $ ) {
	$( '.layout_jobs' ).on( 'click', function() {

		// Simulate resize to set the correct width for sliders
		var event = document.createEvent( 'HTMLEvents' );
		event.initEvent( 'resize', true, false );
		document.dispatchEvent( event );

		var job_style = $( this ).data( "value" );
		if ( job_style == 'grid' ) {
			$( '.wpj-load-more-target' ).removeClass( 'list-grid' );
			$( this ).parent().removeClass( 'list-grid' );
		}
		if ( job_style == 'list' ) {
			$( '.wpj-load-more-target' ).addClass( 'list-grid' );
			$( this ).parent().addClass( 'list-grid' );
		}

		// Change video card height
		$( '.owl-video-wrapper' ).each( function() {
			var wrapper_height = $( this ).height();
			$( this ).find( 'iframe' ).attr( 'height', wrapper_height );
		});

		if ( $.cookie( 'cards-layout' ) != 'list' ) {
			$.cookie( 'cards-layout', 'list', { expires: 7, path: '/' } );
		} else {
			$.cookie( 'cards-layout', 'grid', { expires: 7, path: '/' } );
		}

	});
});

// Style recommended for you - label
jQuery( document ).ready( function( $ ) {
	var $title = $( '.layout_jobs' ).parents( '.brz-wrapper' ).prev( '.brz-wrapper' ).find( 'p' );
	if ( $title.length ) {
		var title_offset = $( '.layout_jobs' ).offset().top - $title.offset().top;

		// selector can be wrong, check if it really overlaps
		if ( -50 < title_offset && title_offset < 50 ) {
			if ( $( 'body' ).hasClass( "rtl" ) ) {
				$title.css({
					'margin-left': '70px',
					'text-overflow': 'ellipsis',
					'white-space': 'nowrap',
					'overflow': 'hidden',
					'direction': 'ltr'
				});
			} else {
				$title.css({
					'margin-right': '70px',
					'text-overflow': 'ellipsis',
					'white-space': 'nowrap',
					'overflow': 'hidden'
				});
			}
		}
	}
});

// Cards lazy loading images
function wpj_enable_lazy_loading() {

	jQuery.fn.echoLazyLoadInit = function() {
		if ( jQuery.isFunction( echo.init ) ) {
			echo.init({
				offset  : 100,
				throttle: 250,
				unload  : false,
				callback: function ( element, op ) {
					jQuery( element ).addClass( 'echo-lazy-loaded' );
				}
			});
		}
	}

	jQuery.fn.echoLazyLoadRender = function() {
		if ( jQuery.isFunction( echo.render ) ) {
			echo.render({
				offset  : 100,
				throttle: 250,
				unload  : false,
				callback: function ( element, op ) {
					setTimeout( function() {
						jQuery( element ).addClass( 'echo-lazy-loaded' );
					}, 1000 );
				}
			});
		}
	}

	jQuery( document ).ready( function() {
		jQuery.fn.echoLazyLoadInit();
	});

}
