// General OWL Carousel
function wpj_initialize_wpj_carousel( is_rtl ) {
	jQuery( '.wpj-carousel' ).owlCarousel({
		rtl            : is_rtl,
		loop           : false,
		margin         : 14,
		nav            : true,
		dots           : false,
		navText        : ['',''],
		lazyLoad       : true,
		video          : true,
		URLhashListener: true,
		startPosition  : 'URLHash',
		responsive     : {
			0:{
				items:1
			}
		},
		onTranslated : function( e ) {
			var current = e.item.index;
			var this_item = jQuery( e.target ).find( '.owl-item' ).eq( current );
			this_item.find( '.owl-video-wrapper' ).find( 'iframe' ).siblings( '.owl-video-play-icon' ).remove();
		},
		onInitialized : function( e ) {
			jQuery( '.wpj-card-style-3' ).find( '.card-image-clipper' ).remove();
		}
	});
}

jQuery( window ).ready( function( $ ) {

	var is_rtl = typeof wpj_vars !== 'undefined' && wpj_vars.is_rtl == 'true' ? true : false;

	// News Carousel
	$( '.news-carousel' ).owlCarousel({
		rtl       : is_rtl,
		loop      : false,
		margin    : 14,
		nav       : true,
		dots      : false,
		navText   : ['<','>'],
		lazyLoad  : true,
		responsive: {
			0:{
				items: Hooks.apply_filters( 'wpj_news_items_mobile_filter', 1 )
			},
			480:{
				items: Hooks.apply_filters( 'wpj_news_items_filter', 2 )
			}
		}
	});

	// Job Carousel - Slider
	$( '.js-jobs-carousel' ).owlCarousel({
		rtl       : is_rtl,
		loop      : false,
		margin    : 16,
		nav       : true,
		lazyLoad  : true,
		dots      : false,
		navText   : ["<i class='icon angle left'>", "<i class='icon angle right'>"],
		navClass  : ["nav-prev", "nav-next"],
		responsive: {
			0: {
				items: Hooks.apply_filters( 'wpj_job_slider_items_mobile_filter', 1 )
			},
			480:{
				items: Hooks.apply_filters( 'wpj_job_slider_items_480_filter', 2 )
			},
			767: {
				items: Hooks.apply_filters( 'wpj_job_slider_items_767_filter', 3 )
			},
			1200: {
				items: Hooks.apply_filters( 'wpj_job_slider_items_1200_filter', 4 )
			}
		}
	});

	// Job Carousel - Slider - Lazy Load
	$( '.nav-next, .nav-prev' ).click( function() {
		if ( typeof jQuery.fn.echoLazyLoadRender == 'function' ) {
			jQuery.fn.echoLazyLoadRender();
		}
	});

	// Job Carousel - Single
	if ( ! $( '.js-jobs-carousel' )[0] ) { wpj_initialize_wpj_carousel( is_rtl ); }

});

jQuery( document ).ready( function( $ ) {

	var is_rtl = typeof wpj_vars !== 'undefined' && wpj_vars.is_rtl == 'true' ? true : false;

	//--> START User Portfolio Slider
	$( '.js-profile-portfolio-carousel' ).owlCarousel({
		rtl       : is_rtl,
		loop      : false,
		margin    : 16,
		nav       : true,
		dots      : false,
		lazyLoad  : true,
		navText   : ["<i class='icon angle left'>", "<i class='icon angle right'>"],
		navClass  : ["nav-prev", "nav-next"],
		responsive: {
			0: {
				items: 1
			},
			767: {
				items: 3
			},
			1200: {
				items: 3
			}
		}
	});

	// Go to job link when card is video and the play button is not pressed
	$( document ).on( 'click', '.owl-video-wrapper', function( e ) {

		if ( $( this ).closest( '.wpj-card-style-3' ).length > 0 ) {

			if ( e.target !== e.currentTarget ) return false;

			var card_link = $( this ).parents( '.image' ).siblings( '.cards-title' ).find( '.list-header' ).attr( 'href' );

			if ( card_link ) {
				window.location.href = card_link;
			}

		}

	});
});
//<-- END User Portfolio Slider
