jQuery( window ).ready( function( $ ) {

	// Scroll to last message
	if ( $( ".chatbox_post" )[0] ) {
		$( 'html, body' ).animate({
			scrollTop: $( ".chatbox_post" ).last().offset().top - 89
		}, 1000 );
	}

	// Initialize fliptimer
	if ( wpj_vars.order_expected_delivery ) {
		$( '.flipTimer' ).flipTimer({
			direction: 'down',
			date: wpj_vars.order_expected_delivery,
		});
	}

});

jQuery( document ).ready( function( $ ) {

	function addLoadingClass( $this, container ) {
		container = typeof container !== 'undefined' ? container : '#all_chatbox_messages';

		jQuery( container + ' .button:not(.loading):not(.alwaysdisabled)' ).addClass( 'disabled' );
		$this.addClass( 'loading' ).addClass( 'disabled' );
	}

	function removeLoadingClass( $this, container ) {
		container = typeof container !== 'undefined' ? container : '#all_chatbox_messages';

		jQuery( container + ' .button:not(.loading):not(.alwaysdisabled)' ).removeClass( 'disabled' );
		$this.removeClass( 'loading' ).removeClass( 'disabled' );
	}

	function wpj_open_chatbox_modal( modal_class_name, ajax_action, content_class_name, data ) {
		jQuery( '.ui.modal.' + modal_class_name )
			.modal({
				onApprove: function() { return false; },
				onDeny: function() { return false; }
			})
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' )
			.modal( 'refresh' );

		if ( ! data ) {
			data = {
				action: ajax_action,
				oid : getUrlParameter( 'oid' )
			};
		}

		jQuery.ajax({
			type: 'post',
			url : wpj_vars.ajaxurl,
			data: data,
			success: function( data ) {
				jQuery( '.' + content_class_name ).html( data );
				jQuery( '.ui.modal.' + modal_class_name ).modal( 'refresh' );
				jQuery( '.ui.checkbox' ).checkbox();
			}
		});
	}

	// Chatbox Modals
	jQuery( document ).ajaxStop( function() {

		// Open resolution center modal
		$( '.open-modal-resolution-center' ).click( function( e ) {
			e.preventDefault();
			wpj_open_chatbox_modal( 'resolution-center', 'wpj_resolution_center_form', 'modal-content-resolution-center' );
		});

		// Open request modification modal
		$( '.open-modal-request-modifications' ).click( function( e ) {
			e.preventDefault();
			wpj_open_chatbox_modal( 'request-modification', 'wpj_request_modification_form_function', 'modal-content-request-modification' );
		});

		// Resolution center action
		$( '.btn-wpj-send-resolution-center-option' ).click( function( e ) {
			e.preventDefault();

			var selected_action = $( 'input[name="resolution_center_option"]:checked' ).val();
			if ( ! selected_action ) { selected_action = 'cancellation'; }

			jQuery( '.ui.modal.resolution-center' ).modal( 'hide' );

			if ( selected_action == 'cancellation' ) {
				wpj_open_chatbox_modal( 'request-mutual-cancellation', 'wpj_request_mutual_cancellation_form', 'modal-content-cancellation' );
			} else if ( selected_action == 'arbitration' ) {
				wpj_open_chatbox_modal( 'request-arbitration', 'wpj_request_arbitration_form', 'modal-content-arbitration' );
			} else if ( selected_action == 'extended_delivery_time' ) {
				wpj_open_chatbox_modal( 'request-extended-delivery-time', 'wpj_request_extended_delivery_time_form', 'modal-content-extended-delivery-time' );
			}
		});

		// Request mutual cancellation action
		$( '.btn-wpj-send-mutual-cancellation' ).click( function( e ) {
			e.preventDefault();

			var $this = $( this );
			addLoadingClass( $this );

			jQuery.ajax({
				type: 'post',
				url : wpj_vars.ajaxurl,
				data: $( '#wpj_send_mutual_cancellation' ).serialize(),
				success: function( data ) {
					removeLoadingClass( $this );

					jQuery( '.ui.modal.request-mutual-cancellation' ).modal( 'hide' );

					if ( wpj_vars.live_notify == 'yes' ) {
						initLiveNotifications();
					} else {
						location.reload();
					}
				}
			});
		});

		// Request arbitration action
		$( '.btn-wpj-send-arbitration' ).click( function( e ) {
			e.preventDefault();

			var $this = $( this );
			addLoadingClass( $this );

			jQuery.ajax({
				dataType: 'json',
				type    : 'POST',
				url     : wpj_vars.ajaxurl,
				data    : $( '#wpj_send_arbitration' ).serialize(),
				success: function( msg ) {
					removeLoadingClass( $this );

					if ( msg.err === 1 ) {
						$( ".arbitration-msg-target" ).html( '<div class="ui negative visible message"><p>' + msg.msg + '</p></div>' );
					} else {
						jQuery( '.ui.modal.request-arbitration' ).modal( 'hide' );

						if ( wpj_vars.live_notify == 'yes' ) {
							initLiveNotifications();
						} else {
							location.reload();
						}
					}
				}
			});
		});

		// Request extended delivery time
		$( '.btn-wpj-send-extended-delivery-time' ).click( function( e ) {
			e.preventDefault();

			var $this = $( this );
			addLoadingClass( $this );

			jQuery.ajax({
				type    : 'POST',
				url     : wpj_vars.ajaxurl,
				data    : $( '#wpj_send_extended_delivery_time' ).serialize(),
				success : function( data ) {
					removeLoadingClass( $this );

					jQuery( '.ui.modal.request-extended-delivery-time' ).modal( 'hide' );

					if ( wpj_vars.live_notify == 'yes' ) {
						initLiveNotifications();
					} else {
						location.reload();
					}
				}
			});
		});

		// Request modification action
		$( '.btn-wpj-send-request-modification' ).click( function( e ) {
			e.preventDefault();

			var $this = $( this );
			addLoadingClass( $this );

			jQuery.ajax({
				type: 'post',
				url : wpj_vars.ajaxurl,
				data: $( '#wpj_send_request_modification' ).serialize(),
				success: function( data ) {
					removeLoadingClass( $this );

					jQuery( '.ui.modal.request-modification' ).modal( 'hide' );

					if ( wpj_vars.live_notify == 'yes' ) {
						initLiveNotifications();
					} else {
						location.reload();
					}
				}
			});
		});
	});

	// Function for Buttons Action
	function transaction_action( url, data, $this ) {
		if ( ! url ) {
			url = wpj_vars.ajaxurl;
		}

		jQuery.ajax({
			type: "POST",
			url : url,
			data: data,
			success: function( msg ) {
				removeLoadingClass( $this );

				if ( wpj_vars.live_notify == 'yes' ) {
					initLiveNotifications();
				} else {
					location.reload();
				}
			}
		});

		return false;
	}

	// Ajax for ChatBox & Custom Offer Buttons
	var actions = [
		"mark_completed",
		"abort_arbitration",
		"abort_mutual_cancelation",
		"mark_delivered",
		"order_cancellation",
		"accept_cancellation",
		"deny_cancellation",
		"decline_custom_extra",
		"cancel_custom_extra",
		"mark_custom_extra_paid",
		"cancel_tips",
		"withdraw_custom_offer",
		"decline_custom_offer",
		"abort_extend_delivery",
		"accept_extend_delivery",
		"deny_extend_delivery"
	];
	actions.forEach( function( action ) {
		jQuery( document ).on( 'click', 'a.' + action, function() {

			var $this = $( this );
			addLoadingClass( $this );

			var data = '';
			if ( typeof oid !== 'undefined' ) {
				var data = "oid=" + oid;
			}

			var url = wpj_vars.ajaxurl;

			if ( action == 'accept_cancellation' || action == 'deny_cancellation' ) {
				var accept = action == 'accept_cancellation' ? 'yes' : 'no';
				data = { action: 'answer_mutual_cancellation', orderid: oid, accept: accept }
			} else if ( action == 'abort_mutual_cancelation' ) {
				data = { action: 'abort_mutual_cancelation', orderid: oid }
			} else if ( action == 'order_cancellation' ) {
				data = { action: 'cancel_expired_order', orderid: oid }
			} else if ( action == 'abort_extend_delivery' || action == 'accept_extend_delivery' || action == 'deny_extend_delivery' ) {
				data = { action: action, orderid: oid }
			} else if ( action == 'decline_custom_extra' || action == 'cancel_custom_extra' || action == 'mark_custom_extra_paid' || action == 'cancel_tips' ) {
				data = jQuery( jQuery( this ).parent().children( 'form' ) ).serialize();
			} else if ( action == 'decline_custom_offer' || action == 'withdraw_custom_offer' ) {

				// send notification to message box
				if ( jQuery( '.message-wrapper[data-pm-id="' + jQuery( this ).attr( 'data-id' ) + '"]' )[0] ) {
					var notification_message = action == 'decline_custom_offer' ? wpj_vars.declined : wpj_vars.withdrawn;
					jQuery( ".message-wrapper[data-pm-id='" + jQuery( this ).attr( 'data-id' ) + "'] .message-custom-offer" ).append( '<span class="ui mini right label custom-offer-response">' + notification_message + '</span>' );
				}

				// proposals
				if ( jQuery( '.proposals-status' )[0] ){
					var notification_message = action == 'decline_custom_offer' ? wpj_vars.offer_declined : wpj_vars.offer_withdrawn;
					jQuery( ".proposals-status[data-custom-offer='" + jQuery( this ).attr( 'data-id' ) + "']" ).html( '<span class="offer-red">' + notification_message + '</span>' );
				}

				data = jQuery( jQuery( this ).parent().children( 'form' ) ).serialize();

				jQuery( '#pm_' + jQuery( this ).attr( 'data-id' ) ).fadeOut( "normal", function() { jQuery( this ).remove(); });
			} else if ( action == 'abort_arbitration' ) {
				data = { action: 'abort_arbitration', oid: oid }
			} else {
				url = wpj_vars.blog_url + "/?jb_action=" + action + "&oid=" + oid;
			}

			transaction_action( url, data, $this );
		});
	});

	// Send message with ENTER key
	wpj_send_message_with_enter( '.send-message' );

	// Send message action
	$( '.send-message' ).click( function( e ) {
		e.preventDefault();

		var $this = $( this );

		if ( wpj_vars.transaction_emoji_enabled != 'no' ) {
			var message = wpj_validate_input_content( $( '.cmi-listen.message-field' ).data( 'emojioneArea' ).getText() );
		} else {
			var message = wpj_validate_input_content( $( '.cmi-listen.message-field' ).val() );
		}

		if ( wpj_vars.transaction_emoji_enabled != 'no' ) {
			var message_length = get_input_length_emoji( $( '.cmi-listen.message-field' ).data( 'emojioneArea' ).getText() );
		} else {
			var message_length = get_input_length( $( '.cmi-listen.message-field' ) );
		}

		if ( message == "" ) {

			$( '.wrapper-pm-errors' ).hide().html( '<div class="ui small error message"> ' + wpj_vars.msg_err + ' </div>' ).fadeIn( 600 );

		} else if ( message_length < parseInt( wpj_vars.characters_pm_min ) ) {

			$( '.wrapper-pm-errors' ).hide().html( '<div class="ui small error message"> ' + wpj_vars.pm_min_content + ' </div>' ).fadeIn( 600 );

		} else if ( message_length > parseInt( wpj_vars.characters_pm_max ) ) {

			$( '.wrapper-pm-errors' ).hide().html( '<div class="ui small error message"> ' + wpj_vars.pm_max_content + ' </div>' ).fadeIn( 600 );

		} else {

			var data = $( '#chatbox_message_form' ).serialize();

			if ( wpj_vars.transaction_emoji_enabled != 'no' ) {
				var element  = data.split( "&" );
				var new_data = "";

				for ( i = 0; i < element.length; i++ ) {
					if ( 'messaje' == element[i].split( "=" )[0] ) {
						new_data += 'messaje' + "=" + message + "&";

					} else {
						new_data += element[i] + "&";

					}
				}
				data = new_data;
			}

			addLoadingClass( $this, '#chat_box_message_form' );
			$( this ).attr( "disabled", "disabled" );

			$.ajax({
				type: "POST",
				url : wpj_vars.ajaxurl,
				data: data,
				success: function( msg ) {
					$( '.wrapper-pm-errors' ).fadeOut( 600 );

					$( '.chat_box_messages' ).val( '' );

					if ( wpj_vars.transaction_emoji_enabled != 'no' ) {
						$( '.emojionearea-editor' ).text( '' );
						$( '.emojionearea-editor' ).focus();
					}

					$( '#uploadifive-file_upload_chat_box_attachments-queue' ).empty();

					if ( wpj_vars.live_notify == 'yes' ) {
						initLiveNotifications();
					} else {
						location.reload();
					}

					removeLoadingClass( $this, '#chat_box_message_form' );
					setTimeout( 'jQuery(".send-message").removeAttr("disabled")', 500 );
				}
			});

		}

	});

	// Open tips modal
	$( document ).on( 'click', '.open-modal-tips-chatbox', function( event ) {
		event.preventDefault();
		var data = { action: 'tips_form', oid: getUrlParameter( 'oid' ), user: $( this ).attr( 'data-user' ), tips: $( this ).attr( 'data-tips' ) }
		wpj_open_chatbox_modal( 'add-tips', 'tips_form', 'modal-content-add-tips', data );
	});

	// Tips action
	$( document ).on( 'submit', '.tips_form', function( event ) {
		event.preventDefault();

		$( '.tips_form .button').addClass( 'loading' );
		$( '.tips_form .button').addClass( 'disabled' );

		var $this = $( this );

		$.ajax({
			data    : "action=tips_submit&" + $this.serialize(),
			dataType: "json",
			type    : "POST",
			url     : wpj_vars.ajaxurl,
			success: function( msg ) {
				$( '.tips_form .button' ).removeClass( 'loading' );
				$( '.tips_form .button' ).removeClass( 'disabled' );

				jQuery( '.tips-status-container', $this ).addClass( msg.cssClass );
				jQuery( '.tips-msg-target', $this ).fadeIn().html( msg.description );
				jQuery( '.tips-status-container', $this ).show();

				if ( msg['code'] == 'success' ) {
					$( '.ui.modal.add-tips' ).modal( 'hide' );
					window.location.replace( wpj_vars.blog_url + "/?jb_action=purchase_this&oid=" + msg['oid'] + "&tips=" + msg['tips_id'] );

					var form_content = '\
						<form id="accept_tips" method="post" name="purchase_tips' + msg['tips_id'] + '" action="' + wpj_vars.blog_url + "/?jb_action=purchase_this&oid=" + msg['oid'] + "&tips=" + msg['tips_id'] + '" style="display: none;">\
							<input type="hidden" name="purchaseformvalidation" value="ok" />\
						</form>\
					';
					$( form_content ).insertAfter( $( '#all_chatbox_messages' ) );
					$( "form[name='purchase_tips" + msg['tips_id'] + "']" ).submit();
				}
			}
		});
	});

	// Cancel modal button
	$( document ).on( 'click', '.ui.cancel.button', function() {
		$( this ).parents( '.ui.modal' ).modal( 'hide' );
	});

	// Cool message input( chatbox & pm )
	$( ".cmi-listen" ).focus( function() {
		$( this ).parents( ".cool-message-input" ).addClass( "focus" );
	}).blur( function() {
		$( this ).parents( ".cool-message-input" ).removeClass( "focus" );
	});

	// Pay custom extra
	$( document ).on( 'click', '[data-submit]', function() {
		var ob = $( this ).parents( "form" );

		if ( $( this ).data( "submit" ) ) {
			ob = $( $( this ).data( "submit" ) );
		}

		ob.submit();

		return false;
	});

	// User rating
	$( document ).off( 'click', '.submit-user-rating' ).on( 'click', '.submit-user-rating', function( e ) {

		var $this = $( this );
		var id = jQuery( this ).attr( 'rel' );

		if ( ! jQuery( "#reason-" + id ).val() && jQuery( "#reason-" + id ).val().length < wpj_vars.characters_feedback_min ) {

			$( '.error-wrapper' ).removeClass( 'hidden' ).html( '<i class="close icon"></i><div class="header">' + wpj_vars.feedback_min + '</div><p>' + wpj_vars.feedback_min_desc + '</p></div>' );

			return false;

		} else if ( jQuery( "#reason-" + id ).val() && jQuery( "#reason-" + id ).val().length > wpj_vars.characters_feedback_max ) {

			$( '.error-wrapper' ).removeClass( 'hidden' ).html( '<i class="close icon"></i><div class="header">' + wpj_vars.feedback_max + '</div><p>' + wpj_vars.feedback_max_desc + '</p></div>' );

			return false;

		} else if ( ! $( "input[name=stars]:checked", "#rating-" + id ).val() ) {

			$( '.error-wrapper' ).removeClass( 'hidden' ).html( '<i class="close icon"></i><div class="header">' + wpj_vars.err + '</div><p>' + wpj_vars.feedback_stars + '</p></div>' );

			return false;

		} else {

			jQuery( ".error-wrapper" ).addClass( 'hidden' );

		}

		jQuery.ajax({
			type   : "POST",
			url    : wpj_vars.ajaxurl,
			data   : {
				action    : 'wpj_save_user_rating',
				ids       : id,
				uprating  : $( "input[name=stars]:checked", "#rating-" + id ).val(),
				reason    : encodeURIComponent( wpj_validate_input_content( jQuery( "#reason-" + id ).val() ) ),
				buyer     : typeof buyer !== 'undefined' ? buyer : '',
				orderid   : typeof oid !== 'undefined' ? oid : '',
				pid       : typeof pid !== 'undefined' ? pid : '',
				user_type : jQuery( this ).attr( 'data-user' ),
				sample    : jQuery( this ).attr( 'data-sample' )
			},

			beforeSend: function() {
				addLoadingClass( $this, '#chat_box_review_form' );
			},

			success: function( msg ) {

				jQuery( "#chat_box_message_form" ).hide( 'slow' );

				jQuery( "#post-" + id ).hide( 'slow' );

				jQuery( ".error-wrapper" ).addClass( 'hidden' );

				if ( wpj_vars.live_notify == 'yes' ) {
					initLiveNotifications();
				} else {
					location.reload();
				}
			},

			complete: function() {
				removeLoadingClass( $this, '#chat_box_review_form' );
			}
		});

		return false;
	});


	// Work Samples Init
	wpj_initialize_work_sample();


	// Work Samples Select
	$( document ).on( 'click', '.js-select-work-sample', function() {

		var $allSamples = $( this ).closest( '.js-review-form' ).find( '.js-select-work-sample' );
		var $submitButton = $( this ).closest( '.js-review-form' ).find( '.submit-user-rating' );

		if ( $( this ).hasClass( 'selected' ) ) {

			$allSamples.removeClass( 'selected' );
			$submitButton.attr( 'data-sample', '' );

		} else {

			$allSamples.removeClass( 'selected' );
			$( this ).addClass( 'selected' );
			$submitButton.attr( 'data-sample', $( this ).attr( 'data-id' ) );
		}
	});

});


// Work Samples Init
function wpj_initialize_work_sample() {
	jQuery( '.js-review-form' ).each(function() {

		var $firstSample = jQuery( this ).find( '.js-select-work-sample' ).first();
		var $submitButton = jQuery( this ).find( '.submit-user-rating' );

		$firstSample.addClass( 'selected' );
		$submitButton.attr( 'data-sample', $firstSample.attr( 'data-id' ) );
	});
}
