jQuery( document ).ready( function( $ ) {

	// open modal
	$( document ).on( "click", ".open-custom-offer-modal", function( e ) {

		e.preventDefault();

		var pid         = $( this ).attr( 'data-pid' );
		var page        = $( '#custom-offer-wrapper' + pid ).attr( 'data-page' );
		var action_name = $( this ).is( '.request-custom-offer' ) ? 'custom_offers_request_form' : 'custom_offer_and_extra_send_form';

		$( '.custom-offer-container.' + pid )
			.modal({
				onApprove: function() { return false; },
				onDeny: function() { return false; }
			})
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' )
			.modal( 'refresh' );

		jQuery.ajax({

			type : 'POST',
			url  : wpj_vars.ajaxurl,
			data : {
				action: action_name,
				user  : $( '#custom-offer-wrapper' + pid ).attr( 'data-user' ),
				oid   : $( '#custom-offer-wrapper' + pid ).attr( 'data-oid' ),
				pid   : $( '#custom-offer-wrapper' + pid ).attr( 'data-pid' ),
				page  : $( '#custom-offer-wrapper' + pid ).attr( 'data-page' ),
				extra : $( '#custom-offer-wrapper' + pid ).attr( 'data-extra' ),
				error : $( this ).is( '.custom-offer-error' ) ? true : false
			},
			beforeSend: function() {
				$( '.ui.button.custom-offer-btn' ).addClass( 'loading' );
			},
			success: function( data ) {
				$( '.custom-offer-content.' + page + '.' + pid ).html( data );

				// Initialize map fields
				$.fn.wpjMapsInit();

				// Initialize calendar fields
				$.fn.wpjCalendarInit();

				// Initialize tag fields
				$.fn.wpjTagsInit();

				// Initialize dropdown fields
				$( '.ui.dropdown' ).dropdown( { message: { noResults: wpj_vars.nothing_found } } );

				$( '.custom-offer-container.' + pid ).modal( 'refresh' );
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ui.button.custom-offer-btn' ).removeClass( 'loading' );
			}
		});

		return false;
	});

	// show error message
	window.custom_offers_show_message = function( form_obj, msg ) {
		jQuery( '.custom-offers-msg-target', form_obj ).addClass( msg.cssClass );
		jQuery( '.custom-offers-msg-target', form_obj ).fadeIn().html( msg.description );
	}

	// save request
	$( document ).on( 'submit', '.request_form', function( event ) {
		event.preventDefault();

		$( '.request_form .actions .button' ).addClass( 'loading disabled' );

		var $this = $( this );
		var pid = $( this ).parents( '.custom-offer-wrapper' ).attr( 'data-pid' );

		$.ajax({
			data     : "action=custom_offer_request_save&" + $this.serialize(),
			dataType : "json",
			type     : "POST",
			url      : wpj_vars.ajaxurl,
			success: function( data ) {
				custom_offers_show_message( $this, data.message );
				$( '.request_form .actions .button' ).removeClass( 'loading disabled' );

				if ( data.message['code'] == 'success' ) {
					$( '.ui.modal.custom-offer-container.' + pid ).modal( 'hide' );

					/*** For Chat ***/
					// clear 'no message' pusher div
					jQuery( '[rel="' + data.user + '"]' ).find( '.message-box-push' ).text( '' );

					// push custom offer to chat message box
					if ( $( '.message-box-push' )[0] ) {
						if ( data.custom_offer ) {
							$( '\
								<div class="multiple-messages-wrapper">\
									<div class="message-wrapper sent" data-pm-id="' + data.pm_id + '">\
										<div class="message-text-content custom-offer" data-inverted="" data-tooltip="' + data.message_date + '" data-position="top right">\
											<div class="message-send">\
												<div class="message-custom-offer">\
													<i class="tags icon"></i>' + data.custom_offer + '\
												</div>\
											</div>\
										</div>\
									</div>\
								</div>\
							' ).insertBefore( '[rel="' + data.user + '"] .message-box-push' );

							// scroll to the last message
							$( '[rel="' + data.user + '"]' ).find( '.message-box-content' ).scrollTop( $( '[rel="' + data.user + '"]' ).find( '.message-box-content' )[0].scrollHeight );
						}
					}
					/* END for Chat */

				} else if ( data.message['code'] == 'loggged_in_error' ) {
					$( '.request_form .actions .button' ).removeClass( 'loading' );
					$( '.request_form .actions .button' ).attr( 'disabled', 'disabled' );
				}
			}
		});
	});

	// save offer and extra
	$( document ).on( 'submit', '.offer_form', function( event ){
		event.preventDefault();

		$( '.offer_form .actions .button' ).addClass( 'loading disabled' );

		var $this = $( this );
		var pid   = $( this ).parents( '.custom-offer-wrapper' ).attr( 'data-pid' );
		var page  = $( this ).parents( '.custom-offer-wrapper' ).attr( 'data-page' );

		$.ajax({
			data     : "action=custom_offer_or_extra_save&" + $this.serialize(),
			dataType : 'json',
			type     : "POST",
			url      : wpj_vars.ajaxurl,
			success: function( data ) {
				custom_offers_show_message( $this, data.message );
				$( '.offer_form .actions .button' ).removeClass( 'loading disabled' );

				if ( data.message['code'] == 'success' ) {
					$( '.ui.modal.custom-offer-container.' + pid ).modal( 'hide' );

					// push custom offer to private message page
					if ( $( ".private-message-from-user" ).length && data.message_content ) {
						$( '.private-message-from-user' ).append( data.message_content );

						$( 'html, body' ).animate({
							scrollTop: $( ".pm-holder" ).last().offset().top - 94
						}, 1000);
					}

					/*** For Chat ***/
					// clear 'no message' pusher div
					jQuery( '[rel="' + data.user + '"]' ).find( '.message-box-push' ).text( '' );

					// push custom offer to chat message box
					if ( $( '.message-box-push' )[0] ) {
						if ( data.custom_offer ) {
							$( '\
								<div class="multiple-messages-wrapper">\
									<div class="message-wrapper sent" data-pm-id="' + data.pm_id + '">\
										<div class="message-text-content custom-offer" data-inverted="" data-tooltip="' + data.message_date + '" data-position="top right">\
											<div class="message-send">\
												<div class="message-custom-offer">\
													<i class="tags icon"></i>' + data.custom_offer + '\
												</div>\
											</div>\
										</div>\
									</div>\
								</div>\
							' ).insertBefore( '[rel="' + data.user + '"] .message-box-push' );

							// scroll to the last message
							$( '[rel="' + data.user + '"]' ).find( '.message-box-content' ).scrollTop( $( '[rel="' + data.user + '"]' ).find( '.message-box-content' )[0].scrollHeight );
						}
					}
					/* END for Chat */

					// refresh page
					if ( page == 'single_request' || wpj_vars.live_notify != 'yes' ) {
						location.reload();
					}
				}
			}
		});
	});

});
