function take_to_gateway( gateway_name, enable_popup, payment_type ) {

	if ( payment_type == 'job_purchase' ) {
		take_to_gateway_job( gateway_name, enable_popup );
	} else if ( payment_type == 'featured' ) {
		take_to_gateway_feature( gateway_name, enable_popup );
	} else if ( payment_type == 'custom_extra' ) {
		take_to_gateway_custom_extra( gateway_name, enable_popup );
	} else if ( payment_type == 'tips' ) {
		take_to_gateway_tips( gateway_name, enable_popup );
	} else if ( payment_type == 'topup' ) {
		take_to_gateway_topup( gateway_name, enable_popup );
	} else if ( payment_type == 'badge' ) {
		take_to_gateway_badge( gateway_name, enable_popup );
	}

}

function take_to_gateway_job( gateway_name, enable_popup ) {

	var $ = jQuery.noConflict();

	var extra_params = {};
	$.map( jQuery( '#purchase-form' ).serializeArray(), function( n, i ) { extra_params[n['name']] = n['value']; } );

	var amount = $( '.main_value_inp' ).val();
	if ( ! amount ) { amount = 1; }

	var jobid = getUrlParameter( 'jobid' );

	var extras = '';
	var extras_amounts = '';

	// Extra Fast Delivery
	if ( $( '.chk_extrafast' ).parents( '.ui.checkbox' )[0] && $( '.chk_extrafast' ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
		var extra_fast_amount = $( '.hid_extrafast' ).val();
		if ( ! extra_fast_amount ) { extra_fast_amount = 1; }

		extras += 'f|';
		extras_amounts += extra_fast_amount + '|';
	}

	// Additional Revision
	if ( $( '.chk_extrarevision' ).parents( '.ui.checkbox' )[0] && $( '.chk_extrarevision' ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
		var extra_revision_amount = $( '.hid_extrarevision' ).val();
		if ( ! extra_revision_amount ) { extra_revision_amount = 1; }

		extras += 'r|';
		extras_amounts += extra_revision_amount + '|';
	}

	// Extras
	for ( var k = 1; k <= 10; k++ ) {
		if ( $( '.chk_extra' + k ).parents( '.ui.checkbox' )[0] && $( '.chk_extra' + k ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
			var extras_amnt = $( '.hid_extra' + k ).val();
			if ( ! extras_amnt ) { extras_amnt = 1; }

			extras         += k + '|';
			extras_amounts += extras_amnt + '|';
		}
	}

	// Checkout with extras as text
	if ( wpj_vars.extra_prch_page == 'no' && ! wpj_vars.force_allow ) {

		amount = $( '.payment-main-item' ).attr( 'data-mainamount' );
		if ( ! amount ) { amount = 1; }

		jQuery( '.extra-item' ).each( function() {

			var extra_name   = $( this ).attr( 'data-extranr' );
			var extra_amount = $( this ).attr( 'data-extraamount' );

			if ( ! extra_amount ) { extra_amount = 1; }

			if ( extra_name == 'fast' ) {
				extras += 'f|';
				extras_amounts += extra_amount + '|';
			} else if ( extra_name == 'revision' ) {
				extras += 'r|';
				extras_amounts += extra_amount + '|';
			} else if ( extra_name >= 1 && extra_name <= 10 ) {
				extras += extra_name + '|';
				extras_amounts += extra_amount + '|';
			}

		});

	}

	var total_amount = $( '.total' ).attr( 'data-total' );

	var base_url = wpj_vars.blog_url;
	base_url = base_url + '/?pay_for_item=' + gateway_name;
	base_url = base_url + '&jobid=' + jobid;
	base_url = base_url + '&amount=' + amount;
	base_url = base_url + '&extras=' + extras;
	base_url = base_url + '&extras_amounts=' + extras_amounts;

	jQuery.each( extra_params, function( param_name, param_value ) {
		base_url = base_url + '&' + param_name + '=' + param_value;
	});

	var data = {
		action        : 'wpjobster_check_payment_gateway_popup',
		jobid         : jobid,
		amount        : amount,
		extras        : extras,
		extras_amounts: extras_amounts,
		gateway       : gateway_name,
		total_amount  : total_amount,
	};

	jQuery.each( extra_params, function( param_name, param_value ) {
		data[[param_name]] = param_value;
	});

	if ( enable_popup === 'yes' ) {

		jQuery.ajax({
			method  : 'GET',
			url     : base_url,
			dataType: 'text',
			data    : data,
			success: function ( output ) {
				jQuery( '.payment-gateway-popup' ).html( output );
				Hooks.do_action( 'wpj_after_gateway_popup_load' );
			}
		});

		return false;

	} else {

		take_to_gateway_window_message( base_url, gateway_name );
		if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
			window.location = base_url;
		}

	}
}

function take_to_gateway_custom_extra( gateway_name, enable_popup ) {

	var $ = jQuery.noConflict();

	var oid = getUrlParameter( 'oid' );
	var custom_extra = getUrlParameter( 'custom_extra' );

	var amount = 1;

	var base_url = wpj_vars.blog_url;
	base_url = base_url + '/?pay_for_item=' + gateway_name;
	base_url = base_url + '&payment_type=custom_extra';
	base_url = base_url + '&oid=' + oid;
	base_url = base_url + '&amount=' + amount;
	base_url = base_url + '&custom_extra=' + custom_extra;

	if ( enable_popup === 'yes' ) {

		jQuery.ajax({
			type: "GET",
			url : base_url,
			dataType: 'text',
			data: {
				action      : 'wpjobster_check_payment_gateway_popup',
				payment_type: 'custom_extra',
				oid         : oid,
				amount      : amount,
				custom_extra: custom_extra,
				gateway     : gateway_name
			},
			success: function ( output ) {
				jQuery( ".payment-gateway-popup" ).html( output );
				Hooks.do_action( 'wpj_after_gateway_popup_load' );
			}
		});

		return false;

	} else {

		take_to_gateway_window_message( base_url, gateway_name );
		if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
			window.location = base_url;
		}

	}
}

function take_to_gateway_tips( gateway_name, enable_popup ) {

	var $ = jQuery.noConflict();

	var oid = getUrlParameter( 'oid' );
	var tips_id = getUrlParameter( 'tips' );

	var amount = 1;

	var base_url = wpj_vars.blog_url;
	base_url = base_url + '/?pay_for_item=' + gateway_name;
	base_url = base_url + '&payment_type=tips';
	base_url = base_url + '&oid=' + oid;
	base_url = base_url + '&amount=' + amount;
	base_url = base_url + '&tips=' + tips_id;

	if ( enable_popup === 'yes' ) {

		jQuery.ajax({
			type: "GET",
			url: base_url,
			dataType: 'text',
			data: {
				action       : 'wpjobster_check_payment_gateway_popup',
				payment_type : 'tips',
				oid          : oid,
				amount       : amount,
				tips         : tips_id,
				gateway      : gateway_name
			},
			success: function ( output ) {
				jQuery( ".payment-gateway-popup" ).html( output );
				Hooks.do_action( 'wpj_after_gateway_popup_load' );
			}
		});

		return false;

	} else {

		take_to_gateway_window_message( base_url, gateway_name );
		if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
			window.location = base_url;
		}

	}
}

function take_to_gateway_feature( gateway_name, enable_popup ) {

	var $ = jQuery.noConflict();

	var pid = $( 'input[name="jobid"]' ).val();

	var h_date_start = $( 'input[name="h_date_start"]' ).val();
	var c_date_start = $( 'input[name="c_date_start"]' ).val();
	var s_date_start = $( 'input[name="s_date_start"]' ).val();

	var current_feature_pages = '';
	jQuery( 'input:checked[name="feature_pages[]"]' ).each( function() {
		if ( jQuery( this ).val() == 'homepage' ) current_feature_pages += "h";
		else if ( jQuery( this ).val() == 'category' ) current_feature_pages += "c";
		else if ( jQuery( this ).val() == 'subcategory' ) current_feature_pages += "s";
	});

	if ( ! current_feature_pages ) {
		$( '.ui.message' ).removeClass( 'success' ).removeClass( 'hidden' ).addClass( 'negative' ).html( wpj_vars.featured_empty );

	} else if ( gateway_name == 'credits' && parseFloat( $( '#showtotal' ).attr( 'data-total' ) ) > parseFloat( wpj_vars.user_credits ) ) {
		$( '.ui.message' ).removeClass( 'success' ).removeClass( 'hidden' ).addClass( 'negative' ).html( wpj_vars.not_enough_credits );

	} else if (
		( wpj_vars.h_date_start != h_date_start && jQuery( '#homepage_featured_chk' ).is( ":checked" ) ) ||
		( wpj_vars.c_date_start != c_date_start && jQuery( '#category_featured_chk' ).is( ":checked" ) ) ||
		( wpj_vars.s_date_start != s_date_start && jQuery( '#subcategory_featured_chk' ).is( ":checked" ) )
	) {
		$( '.ui.message' ).removeClass( 'success' ).removeClass( 'hidden' ).addClass( 'negative' ).html( wpj_vars.featured_interval );

	} else {

		var base_url = wpj_vars.blog_url;
		base_url = base_url + '/?pay_for_item=' + gateway_name;
		base_url = base_url + '&payment_type=feature';
		base_url = base_url + '&jobid=' + pid;
		base_url = base_url + '&h_date_start=' + h_date_start;
		base_url = base_url + '&c_date_start=' + c_date_start;
		base_url = base_url + '&s_date_start=' + s_date_start;
		base_url = base_url + '&feature_pages=' + current_feature_pages;

		if ( enable_popup === 'yes' ) {

			jQuery.ajax({
				type: "GET",
				url: base_url,
				dataType: 'text',
				data: {
					action        : 'wpjobster_check_payment_gateway_popup',
					payment_type  : 'feature',
					jobid         : pid,
					h_date_start  : h_date_start,
					c_date_start  : c_date_start,
					s_date_start  : s_date_start,
					feature_pages : current_feature_pages,
					gateway       : gateway_name
				},
				success: function ( output ) {
					jQuery( '.payment-gateway-popup' ).html( output );
					Hooks.do_action( 'wpj_after_gateway_popup_load' );
				}
			});

			return false;

		} else {

			take_to_gateway_window_message( base_url, gateway_name );
			if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
				window.location = base_url;
			}

		}

	}
}

function take_to_gateway_topup( gateway_name, enable_popup ) {

	var $ = jQuery.noConflict();

	var package_id = jQuery( 'input[name=buy_credit_amount]:checked' ).val();

	var base_url = wpj_vars.blog_url;
	base_url = base_url + '/?pay_for_item=' + gateway_name;
	base_url = base_url + '&payment_type=' + 'topup';
	base_url = base_url + '&package_id=' + package_id;

	var data = {
		action        : 'wpjobster_check_payment_gateway_popup',
		package_id    : package_id,
		payment_type  : 'topup',
		gateway       : gateway_name,
	};

	if ( package_id >= '1' ) {

		if ( enable_popup === 'yes' ) {

			jQuery.ajax({
				method  : 'GET',
				url     : base_url,
				dataType: 'text',
				data    : data,
				success: function ( output ) {
					jQuery( '.payment-gateway-popup' ).html( output );
					Hooks.do_action( 'wpj_after_gateway_popup_load' );
				}
			});

			return false;

		} else {

			base_url = wpj_vars.blog_url + '/?pay_for_item=' + gateway_name + '&payment_type=topup&package_id=' + package_id;
			take_to_gateway_window_message( base_url, gateway_name );
			if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
				window.location.href = base_url;
			}

		}

	} else {
		$( '.error-wrapper' ).removeClass( 'hidden' ).html( '<i class="close icon"></i><div class="header">' + wpj_vars.err + '</div><p>' + wpj_vars.topup_package_empty + '</p>' );
	}
}

function take_to_gateway_topup_process( act, topup_oid, gateway_name, package_id ) {

	var $ = jQuery.noConflict();

	if ( act == 'process' ) {

		base_url = wpj_vars.blog_url + '/?pay_for_item=' + gateway_name + '&payment_type=topup&order_id=' + topup_oid + '&package_id=' + package_id + '&process_pending=1';

		take_to_gateway_window_message( base_url, gateway_name );

		if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
			window.location = base_url;
		}

		return;

	} else {

		jQuery.ajax({
			type : "POST",
			url  : wpj_vars.ajaxurl,
			data : {
				action          : 'cancel_topup_pending_order',
				order_id        : topup_oid,
				payment_gateway : gateway_name
			},
			success: function( msg ) {
				window.location.reload();
			}
		});

	}

}

function take_to_gateway_badge( gateway_name, enable_popup ) {

	var $ = jQuery.noConflict();

	if ( isNaN( $( '#showtotal' ).attr( 'data-total' ) ) || $( '#showtotal' ).attr( 'data-total' ) == 0 ) {
		$( '.ui.message' ).removeClass( 'success' ).removeClass( 'hidden' ).addClass( 'negative' ).html( wpj_vars.badge_empty );

	} else if ( parseFloat( $( '#showtotal' ).attr( 'data-total' ) ) > parseFloat( wpj_vars.user_credits ) ) {
		$( '.ui.message' ).removeClass( 'hidden' ).html( wpj_vars.not_enough_credits );

	} else {
		var badge = [];

		jQuery( 'input:checked[name="badges[]"]' ).each( function() {
			badge.push( $( this ).val() );
		});

		jQuery( 'input:checked[name="badges_bought[]"]' ).each( function() {
			badge.push( $( this ).val() );
		});

		badge.sort();

		$.ajax({
			url: wpj_vars.ajaxurl,
			type: 'POST',
			data: {
				action      : 'update_badge_user',
				uid         : wpj_vars.uid,
				badge       : badge,
				badges_price: $( '#showtotal' ).attr( 'data-total' )
			},
			success: function ( text ) {
				window.location = wpj_vars.my_account_url;
			}
		});

	}
}

function take_to_gateway_subscription( gateway_name, enable_popup, uid, sub_amount, sub_type, sub_level, sub_usr_type ) {

	var $ = jQuery.noConflict();

	base_url = wpj_vars.blog_url;
	base_url = base_url + '/?pay_for_item=' + gateway_name;
	base_url = base_url + '&payment_type='  + 'subscription';
	base_url = base_url + '&user_id='       + uid;
	base_url = base_url + '&sub_amount='    + sub_amount;
	base_url = base_url + '&sub_type='      + sub_type;
	base_url = base_url + '&sub_level='     + sub_level;
	base_url = base_url + '&sub_usr_type='  + sub_usr_type;

	if ( enable_popup === 'yes' ) {

		jQuery.ajax({
			type: "POST",
			url : wpj_vars.ajaxurl,
			data: {
				action      : 'wpjobster_check_payment_gateway_popup',
				user_id     : uid,
				payment_type: 'subscription',
				sub_amount  : sub_amount,
				sub_type    : sub_type,
				sub_level   : sub_level,
				sub_usr_type: sub_usr_type,
				gateway     : gateway_name
			},
			success: function ( output ) {
				jQuery( ".payment-gateway-popup" ).html( output );
				Hooks.do_action( 'wpj_after_gateway_popup_load' );
			}
		});

	} else {

		take_to_gateway_window_message( base_url, gateway_name );
		if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
			window.location = base_url;
		}

	}
}

function take_to_gateway_cancel_order( act, order_id, payment_gateway ) {

	var $ = jQuery.noConflict();

	if ( act == 'process' ) {

		base_url = wpj_vars.blog_url + '/?pay_for_item=' + payment_gateway + '&order_id=' + order_id + '&process_pending=1';

		take_to_gateway_window_message( base_url, payment_gateway );

		if ( ! ( typeof wpj_vars !== 'undefined' && wpj_vars.is_in_app == 'true' ) ) {
			window.location = base_url;
		}

		return;

	} else {

		jQuery.ajax({
			type   : "POST",
			url    : wpj_vars.ajaxurl,
			data   : "action=cancel_pending_order&process=" + act + "&order_id=" + order_id,
			success: function( msg ) {
				window.location.reload();
			}
		});

	}
}

function take_to_gateway_window_message( base_url, gateway ) {

	var $ = jQuery.noConflict();

	if ( gateway && gateway != 'credits' && gateway != 'cod' && gateway != 'banktransfer' ) {
		window.parent.postMessage( {data: {
			isExternal    : true,
			isTargetBlank : false,
			currentUrl    : window.location.href,
			externalUrl   : base_url
		}}, "*" );
	} else {
		window.parent.postMessage( {data: {
			isExternal    : false,
			isTargetBlank : false,
			currentUrl    : window.location.href,
			nextUrl       : base_url
		}}, "*" );

		window.location = base_url;
	}
}

// Prevent multiple clicks
jQuery( document ).ready( function( $ ) {
	$( '.payment-gateways .button' ).on( 'click', function( e ) {
		$( this ).parents( '.payment-gateways' ).find( '.button' ).addClass( 'disabled' );
	});
});

function wpj_cancel_featured_order( feature_oid, gateway ) {

	jQuery.ajax({
		type : "POST",
		url  : wpj_vars.ajaxurl,
		data : {
			action          : 'featured_order_cancel',
			order_id        : feature_oid,
			payment_gateway : gateway
		},
		success: function( msg ) {
			window.location.reload();
		}
	});
}