//------------------------------------------
// Job Activate / Deactivate / Delete Modals
//------------------------------------------
jQuery( function( $ ) {

	function wpj_change_job_section( my_id, status ) {

		// Increment and decrement jobs count tab
		var current_tab = '';
		if ( status == 'inactive' ) { current_tab = 'active';
			jQuery( '.ticket-count-active' ).text( parseInt( jQuery( '.ticket-count-active' ).text() ) - 1 );
			jQuery( '.ticket-count-inactive' ).text( parseInt( jQuery( '.ticket-count-inactive' ).text() ) + 1 );
		} else if ( status == 'active' ) { current_tab = 'inactive';
			jQuery( '.ticket-count-active' ).text( parseInt( jQuery( '.ticket-count-active' ).text() ) + 1 );
			jQuery( '.ticket-count-inactive' ).text( parseInt( jQuery( '.ticket-count-inactive' ).text() ) - 1 );
		}

		// Show table header if initially no jobs
		if ( $( '.no-jobs-message' )[0] ) {
			$( '.no-jobs-message' ).remove();
			jQuery( 'div.box_content[data-tab="' + status + '"]' ).find( '.wpj-grid-table' ).show();
		}

		// Move job to correct tab
		jQuery( '.background-delete-' + my_id ).detach().prependTo( jQuery( 'div.box_content[data-tab="' + status + '"]' ).find( '#job_listings' ) );

		// Change active tab
		jQuery( '.item.force-white-btn[data-tab="' + status + '"]' ).trigger( 'click' );

		// Add no jobs text if no more jobs
		var no_jobs = current_tab == 'inactive' ? wpj_vars.no_inactive_jobs : wpj_vars.no_active_jobs;
		if ( ! jQuery.trim( jQuery( 'div.box_content[data-tab="' + current_tab + '"]' ).find( '#job_listings' ).text() ) ) {
			jQuery( 'div.box_content[data-tab="' + current_tab + '"]' ).find( '.wpj-grid-table' ).hide();
			jQuery( 'div.box_content[data-tab="' + current_tab + '"]' ).find( '#job_listings' ).parents( '.box_content' ).append( '<span class="no-jobs-message">' + no_jobs + '</span>' );
		}
	}

	$( document ).on( 'click', '.open-delete-job', function() {
		$( '.job-title-modal' ).html( wpj_validate_input_content( $( this ).attr( 'data-title-delete' ) ) );

		$( '.ajax_delete_job' ).attr( 'data-id', $( this ).attr( 'data-id' ) );

		$( '.ui.modal.delete-job' )
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' );
	});

	$( document ).on( 'click', '.ajax_delete_job', function( event ) {
		event.preventDefault();

		var my_id = $( this ).attr( 'data-id' );

		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : {
				action     : 'wpj_ajax_delete_job',
				var_post_id: my_id
			},
			beforeSend: function() {
				$( '.ajax_delete_job' ).addClass( 'loading' );
			},
			success: function( response ) {
				if ( response == 'success' ) {

					// Remove current job
					$( '.background-delete-' + my_id ).css( 'background', '#DF3F3F' );
					$( '.background-delete-' + my_id ).slideUp( 'normal', function() {

						$( this ).remove();

						// Close modal
						$( '.ui.modal.delete-job' ).modal( 'hide' );

						// Name of active tab
						var active_tab = jQuery( '.item.force-white-btn.active' ).attr( 'data-tab' );

						// Decrement jobs count tab
						var active_elem = jQuery( 'div.item.force-white-btn[data-tab="' + active_tab + '"]' );
						active_elem.find( 'span' ).text( parseInt( active_elem.find( 'span' ).text() ) - 1 );

						// Add no jobs text if no more jobs
						if ( ! jQuery.trim( jQuery( 'div.box_content[data-tab="' + active_tab + '"]' ).find( '#job_listings' ).text() ) ) {
							jQuery( 'div.box_content[data-tab="' + active_tab + '"]' ).find( '.wpj-grid-table' ).hide();
							jQuery( 'div.box_content[data-tab="' + active_tab + '"]' ).append( '<span class="no-jobs-message">' + wpj_vars['no_' + active_tab + '_jobs'] + '</span>' );
						}
					});

				} else if ( response == 'not_your_post' ) {
					$( '.content.delete-job' ).text( 'This is not your post.' );
				} else if ( response == 'not_logged_in' ) {
					$( '.content.delete-job' ).text( 'You need to login.' );
				}
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ajax_delete_job' ).removeClass( 'loading' );
			}
		});

		return false;

	});

	$( document ).on( 'click', '.open-deactivate-job', function() {
		$( '.ajax_deactivate_job' ).attr( 'data-id', $( this ).attr( 'data-id' ) );

		$( '.job-title-modal' ).html( wpj_validate_input_content( $( this ).attr( 'data-title' ) ) );

		$( '.ui.modal.deactivate-job' )
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' );
	});

	$( document ).on( 'click', '.ajax_deactivate_job', function( event ) {

		event.preventDefault();

		var my_id = $( this ).attr( 'data-id' );

		jQuery.ajax({
			type: 'post',
			url : wpj_vars.ajaxurl,
			data: {
				action      : 'wpj_ajax_deactivate_job',
				var_post_id : my_id
			},
			beforeSend: function() {
				$( '.ajax_deactivate_job' ).addClass( 'loading' );
			},
			success: function( response ) {
				if ( response == 'success' ) {
					$( '.background-delete-' + my_id + ' .open-deactivate-job' ).html( wpj_vars.activate );
					$( '.background-delete-' + my_id + ' .open-deactivate-job' ).addClass( 'open-activate-job' ).removeClass( 'open-deactivate-job' );
					$( '.background-delete-' + my_id + ' .my-account-job-status .oe-green' ).addClass( 'oe-yellow' ).removeClass( 'oe-green' );
					$( '.background-delete-' + my_id + ' .my-account-job-status .oe-yellow' ).html( wpj_vars.paused );

					$( '.ui.modal.deactivate-job' ).modal( 'hide' );

					wpj_change_job_section( my_id, 'inactive' );

				} else if ( response == 'not_your_post' ) {
					$( '.content.deactivate-job' ).text( 'This is not your post.' );
				} else if ( response == 'not_logged_in' ) {
					$( '.content.deactivate-job' ).text( 'You need to login.' );
				}
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ajax_deactivate_job' ).removeClass( 'loading' );
			}
		});

		return false;
	});

	$( document ).on( 'click', '.open-activate-job', function() {
		$( '.ajax_activate_job' ).attr( 'data-id', $( this ).attr( 'data-id' ) );

		$( '.job-title-modal' ).html( wpj_validate_input_content( $( this ).attr( 'data-title' ) ) );

		$( '.ui.modal.activate-job' )
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' );
	});

	$( document ).on( 'click', '.ajax_activate_job', function( event ) {
		var my_id = $( this ).attr( 'data-id' );

		event.preventDefault();

		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : {
				action      : 'wpj_ajax_activate_job',
				var_post_id : my_id
			},
			beforeSend: function() {
				$( '.ajax_activate_job' ).addClass( 'loading' );
			},
			success: function( response ) {

				if ( response == 'success' ) {
					$( '.background-delete-' + my_id + ' .open-activate-job' ).html( wpj_vars.deactivate );
					$( '.background-delete-' + my_id + ' .open-activate-job' ).addClass( 'open-deactivate-job' ).removeClass( 'open-activate-job' );
					$( '.background-delete-' + my_id + ' .my-account-job-status .oe-yellow' ).addClass( 'oe-green' ).removeClass( 'oe-yellow' );
					$( '.background-delete-' + my_id + ' .my-account-job-status .oe-green' ).html( wpj_vars.published );

					$( '.ui.modal.activate-job' ).modal( 'hide' );

					wpj_change_job_section( my_id, 'active' );

				} else if ( response == 'not_your_post' ) {
					$( '.content.activate-job' ).text( 'This is not your post.' );
				} else if ( response == 'no_credits' ) {
					$( '.content.activate-job' ).text( wpj_vars.no_credits );
				} else if ( response == 'not_logged_in' ) {
					$( '.content.activate-job' ).text( 'You need to login.' );
				}
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ajax_activate_job' ).removeClass( 'loading' );
			}
		});

		return false;
	});

	$( document ).on( 'click', '.js-activate-all-jobs-link', function( event ) {
		$( '.ui.modal.js-activate-all-jobs-modal' ).modal( 'setting', 'transition', 'fly down' ).modal( 'show' );
	});

	$( document ).on( 'click', '.js-activate-all-jobs-action', function( event ) {
		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : { action : 'activate_all_jobs', reason: 'by_user' },
			success: function( response ) { window.location.href = wpj_vars.my_account_url + 'active'; }
		});
	});

	$( document ).on( 'click', '.js-deactivate-all-jobs-link', function( event ) {
		$( '.ui.modal.js-deactivate-all-jobs-modal' ).modal( 'setting', 'transition', 'fly down' ).modal( 'show' );
	});

	$( document ).on( 'click', '.js-deactivate-all-jobs-action', function( event ) {
		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : { action : 'deactivate_all_jobs', reason: 'by_user' },
			success: function( response ) { window.location.href = wpj_vars.my_account_url + 'inactive'; }
		});
	});

	$( document ).on( 'click', '.js-delete-all-jobs-link', function( event ) {
		$( '.ui.modal.js-delete-all-jobs-modal' ).modal( 'setting', 'transition', 'fly down' ).modal( 'show' );
	});

	$( document ).on( 'click', '.js-delete-all-jobs-action', function( event ) {
		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : { action : 'delete_all_jobs' },
			success: function( response ) { window.location.href = wpj_vars.my_account_url; }
		});
	});

});

//---------------------------------------
// Job - Read More Description
//---------------------------------------
jQuery( function( $ ) {
	$( 'a.read-more-desc' ).click( function ( e ) {
		e.preventDefault();

		if ( $( this ).parents( '.post-job-description' ).find( '.job-excerpt' ).is( ':visible' ) ) {
			$( this ).text( wpj_vars.read_less );

			$( this ).parents( '.post-job-description' ).find( '.job-excerpt' ).hide();
			$( this ).parents( '.post-job-description' ).find( '.job-post' ).show();
		} else {
			$( this ).text( wpj_vars.read_more );

			$( this ).parents( '.post-job-description' ).find( '.job-post' ).hide();
			$( this ).parents( '.post-job-description' ).find( '.job-excerpt' ).show();
		}
	});
});

//---------------------------------------
// Job - Show/Hide Let's Meet
//---------------------------------------
jQuery( function( $ ) {
	function wpj_show_lets_meet_inputs() {
		$( '#location-input' ).show();
		$( '#distance-input' ).show();
		$( '#map-checkbox' ).show();
	}

	function wpj_hide_lets_meet_inputs() {
		$( '#location-input' ).hide();
		$( '#distance-input' ).hide();
		$( '#map-checkbox' ).hide();
	}

	// on load
	if ( $( '#lets_meet' ).is( ':checked' ) ) {
		wpj_show_lets_meet_inputs();
	} else {
		wpj_hide_lets_meet_inputs();
	}

	// on change
	$( '#lets_meet' ).change( function() {
		if ( this.checked ) {
			wpj_show_lets_meet_inputs();
		} else {
			wpj_hide_lets_meet_inputs();
		}
	});
});

//---------------------------------------
// Job - Show/Hide Max Days Instant
//---------------------------------------
jQuery( function( $ ) {
	jQuery( "#max_days" ).change( function() {
		if ( jQuery( "#max_days" ).val() == 'instant' ) {
			$( "#job_instant_delivery_field" ).removeClass( 'hidden' );
		} else {
			$( "#job_instant_delivery_field" ).addClass( 'hidden' );
		}
	});
});

//---------------------------------------
// Job - Video poster
//---------------------------------------
function wpj_display_video_poster() {
	if ( jQuery( '.owl-video-tn' ).length >= 1 ) {
		jQuery( '.owl-video-tn' ).each( function() {
			var img_url = jQuery( this ).attr( 'srctype' );

			var el = jQuery( this ).parents( '.owl-video-wrapper' );
			el.css( 'opacity', 1 );
			el.css( 'background-image', 'url(' + img_url + ')' );
			el.css( 'background-repeat', 'no-repeat' );
			el.css( 'background-position', 'center' );
			el.css( 'background-size', 'cover' );
		});
	}
}
jQuery( window ).on( 'load', function() {
	wpj_display_video_poster();
});

jQuery( document ).ready( function( $ ) {

	//---------------------------------------
	// Job - Map
	//---------------------------------------
	if ( jQuery( "#job_address" )[0] ) {
		jQuery( "#job_address" ).each( function() {

			var src = "https://maps.google.com/maps?&amp;q=" + encodeURIComponent( jQuery( this ).text() ) + "&amp;output=embed";
			var embed ="<iframe class='job_google_map' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='" + src + "'></iframe>";

			jQuery( '#job_map' ).html( embed );

		});
	}

	//---------------------------------------
	// Job - Social Media - Scroll Bottom
	//---------------------------------------
	if ( jQuery( '.social-icons-floating' )[0] ) {

		var topValue = parseFloat( jQuery( '.social-icons-floating' ).css( 'top' ) );

		var bottomValue = $( '.footer-wrapper' ).outerHeight() + 50;

		$( document ).scroll( function() {
			if ( $( '.social-icons-floating' ).offset().top + $( '.social-icons-floating' ).height() >= $( '.footer-wrapper' ).offset().top - 50 ) {
				jQuery( '.social-icons-floating' ).stop().animate({ bottom : bottomValue }, 200 );
				jQuery( '.social-icons-floating' ).css({ 'top' : 'auto' });
			} else {
				jQuery( '.social-icons-floating' ).stop().animate({ top : topValue }, 200 );
				jQuery( '.social-icons-floating' ).css({ 'bottom' : 'auto' });
			}
		});
	}


	//---------------------------------------
	// Job - Chart Graph
	//---------------------------------------
	$( '.graph-link' ).click( function() {
		if ( $( this ).hasClass( 'open' ) ) {

			$( this ).removeClass( 'open' );

			$( this ).parents( '.wrapper-graph-dropdown' ).siblings( '.wpj-stats-segment' ).find( '.item:last-child' ).addClass( 'item-no-top-border-mobile' );
			$( this ).parents( '.wrapper-graph-dropdown' ).siblings( '.wpj-stats-segment' ).find( '.item:not(.item-no-top-border-mobile)' ).addClass( 'mobile-hidden' );
			$( this ).parents( '.wrapper-graph-dropdown' ).siblings( '.wpj-stats-segment' ).find( '.item' ).addClass( 'padding5horizontal' );

			$( '#chart-div-container' ).slideUp( 400 );
			$( '#chart_div' ).slideUp( 400 );

		} else {

			$( this ).addClass( 'open' );

			$( this ).parents( '.wrapper-graph-dropdown' ).siblings( '.wpj-stats-segment' ).find( '.item:not(.item-no-top-border-mobile)' ).removeClass( 'mobile-hidden' );
			$( this ).parents( '.wrapper-graph-dropdown' ).siblings( '.wpj-stats-segment' ).find( '.item.item-no-top-border-mobile' ).removeClass( 'item-no-top-border-mobile' );
			$( this ).parents( '.wrapper-graph-dropdown' ).siblings( '.wpj-stats-segment' ).find( '.item' ).removeClass( 'padding5horizontal' );

			$( '#chart-div-container' ).slideDown( 400 );
			$( '#chart_div' ).slideDown( 400 );

			setTimeout( function() {
				if ( typeof drawChart === "function" ) {
					drawChart();
				}
			}, 500 );

		}

		$( this ).find( 'i' ).toggleClass( 'down' ).toggleClass( 'up' );
	});

	//---------------------------------------
	// Job - Subcategories
	//---------------------------------------
	$( '#job_cat' ).on( 'change rightnow', function( e ) {
		if ( $( this ).val() ) {
			$.post( wpj_vars.blog_url + "/?get_subcats_for_me=1", { queryString: $( this ).val(), term_val_type: 'id' }, function( data ) {

				if ( data && data.match( /option/g ).length > 2 ) {
					$( '#job_subcategory_field' ).show();
					localStorage.setItem( 'validate_subcat', 'yes' );

					if ( e.type == 'change' ) {
						$( '#sub_cats' ).html( data );
					}

					$( '.ui.dropdown' ).dropdown( { message: { noResults: wpj_vars.nothing_found } } );
				} else {
					$( '#job_subcategory_field' ).hide();
					localStorage.setItem( 'validate_subcat', 'no' );
				}

				if ( $( '#sub_cats' ).attr( 'data-required' ) != 'true' ) {
					localStorage.setItem( 'validate_subcat', 'no' );
				}

				wpj_aoe_validate_form();

			});
		} else {
			$( '#job_subcategory_field' ).hide();
		}
	}).triggerHandler( 'rightnow' );

	//---------------------------------------
	// Job - Audio
	//---------------------------------------
	if ( typeof wpj_audio_js_player_init === 'function' && wpj_vars.attachments_audio ) {
		$.each( JSON.parse( wpj_vars.attachments_audio ), function( key, value ) {
			wpj_audio_js_player_init( value['attachment_id'], value['url'], value['filename'] );
		});
	}

});

//---------------------------------------
// Job - Description
//---------------------------------------
jQuery( window ).on( 'load', function() {
	if ( jQuery( '#job_description_ifr' )[0] ) {
		// load
		var job_description_lenght = get_input_length( jQuery( '#job_description_ifr' ).contents().find( 'body' ), 'html' );
		jQuery( '#chars_counter' ).text( job_description_lenght );

		// keyup
		jQuery( '#job_description_ifr' ).contents().find( 'body' ).keyup( function( e ) {
			job_description_lenght = get_input_length( jQuery( '#job_description_ifr' ).contents().find( 'body' ), 'html' );
			jQuery( '#chars_counter' ).text( job_description_lenght );
		});

		// rejected class
		if ( jQuery( 'textarea[name="job_description"]' ).hasClass( 'rejected-input' ) ) {
			jQuery( '#job_description_ifr' ).parents( '#wp-job_description-wrap' ).addClass( 'rejected-input' );
		}
	}
});