function addNotify( type, msgs, cls ) {
	var html = '';

	if ( isNumeric( msgs ) && msgs > 0 ) {
		if ( msgs > 99 ) { msgs = 99; }

		html = '<div class="unread-label digits"><span class="messages_count">' + msgs + '</span></div>';

	}
	jQuery( "." + cls + " .nh-link" ).each( function() {
		jQuery( this ).html( html );
	});

	jQuery( "." + cls + ".label" ).each( function() {
		if ( ( msgs ) > 0 ) {
			jQuery( this ).show();
		} else {
			jQuery( this ).hide();
		}
		jQuery( this ).html( msgs );
	});
}

/* PM - New message on archive page */
function addMessageOnArchive() {
	jQuery.extend( jQuery.expr[":"], {
		"containsIN": function( elem, i, match, array ) {
			return ( elem.textContent || elem.innerText || "" ).toLowerCase().indexOf( ( match[3] || "" ).toLowerCase() ) >= 0;
		}
	});

	jQuery.ajax({
		type: "POST",
		url: wpj_vars.ajaxurl,
		data: {
			action: 'show_new_messages_for_archive',
		},
		success: function( data ) {
			if ( data ) {
				// If exist, remove "No messages" string
				if ( jQuery( "#user_messages > #no_messages" ).length > 0 ) {
					jQuery( "#user_messages > #no_messages" ).remove();
				}

				// Create an array of users - initators for new messages
				// to use username as class, to remove current holder and append a new one
				var users = [];
				jQuery( data ).find( '.link-to-pm' ).each( function() {
					var current_user = jQuery( this ).attr( 'data-user-id' );
					if ( users.indexOf( current_user ) === -1 ) {
						users.push( current_user );
					}
				});

				// Remove old message holder if exist
				users.forEach( function( element ) {
					jQuery( '.js-tpm-holder.js-' + element ).remove();
				});

				// Insert new message
				jQuery( "#user_messages" ).prepend( data );

				jQuery( '.ui.dropdown' ).dropdown();
			}
		}
	});

}

/* PM - New pessage on conversation page */
function addMessageContent() {
	var msg_username = jQuery( '#pm_current_read_user_id' ).val();

	jQuery.ajax({
		type: "POST",
		url: wpj_vars.ajaxurl,
		data: {
			action: 'show_new_messages',
			msg_username: msg_username
		},
		success: function( data ) {
			if ( data != '' ) {
				jQuery( '.error-no-messages' ).remove();
			}

			var div_exist = jQuery( data ).filter( '.js-pm-holder' ).attr( "id" );
			if ( jQuery( ".js-pm-holder#" + div_exist ).length != 0 ) {
				jQuery( ".js-pm-holder#" + div_exist ).fadeOut( "normal", function() {
					jQuery( this ).remove();
				});
			}

			jQuery( '.private-message-from-user' ).append( data );

			jQuery( '.ui.dropdown' ).dropdown();
		}
	});
}

/* CHATBOX - Page notifications */
function addMessageChatBox() {
	var oid = getUrlParameter( 'oid' );

	jQuery.ajax({
		type: "POST",
		url: wpj_vars.ajaxurl,
		data: {
			action   : 'notifications_for_chatbox',
			oid      : oid,
			jb_action: getUrlParameter( 'jb_action' )
		},
		success: function( data ) {
			var buyer_rating  = wpj_validate_input_content( jQuery( '.buyer_rating' ).val() );
			var seller_rating = wpj_validate_input_content( jQuery( '.seller_rating' ).val() );
			var rating_stars  = jQuery( 'input[name=stars]:checked', '.rating' ).val();

			var is_buyer_rating_focused  = jQuery( '.buyer_rating' ).is( ':focus' ) ? true : false;
			var is_seller_rating_focused = jQuery( '.seller_rating' ).is( ':focus' ) ? true : false;

			jQuery( '#all_chatbox_messages' ).html( data );

		// Initialize fliptimer
			if ( wpj_vars.order_expected_delivery ) {
				jQuery( '.flipTimer' ).flipTimer({
					direction: 'down',
					date: wpj_vars.order_expected_delivery,
				});
			}

			if ( is_buyer_rating_focused === true ) {
				jQuery('.buyer_rating').focus();
			};
			jQuery( '.buyer_rating' ).val( buyer_rating );

			if ( is_seller_rating_focused === true ) {
				jQuery('.seller_rating').focus();
			};
			jQuery( '.seller_rating' ).val( seller_rating );

			jQuery( 'input[name=stars]:checked', '.rating' ).val( rating_stars );
			jQuery( 'input[name=stars]' ).filter( '[value=' + rating_stars + ']' ).prop( 'checked', true );
		}
	});
}

/* CHATBOX - Page messages */
function addMessageFormChatBox() {
	jQuery.ajax({
		type: "POST",
		url: wpj_vars.ajaxurl,
		data: {
			action   : 'messages_for_chatbox',
			oid      : getUrlParameter( 'oid' ),
			jb_action: getUrlParameter( 'jb_action' )
		},
		success: function( data ) {
			var obj = JSON.parse( data );

			var sts1payment = jQuery( '#payment_status' ).html();
			var sts2payment = obj['payment_status'];

			var sts1order = jQuery( '#order_status' ).html();
			var sts2order = obj['order_status'];

			var sts1timeup = jQuery( '#times_up' ).html();
			var sts2timeup = obj['times_up'];

			var sts1order_cancellation = jQuery( '#order_cancellation' ).html();
			var sts2order_cancellation = obj['order_cancellation'];

			var sts1arbitration = jQuery( '#arbitration' ).html();
			var sts2arbitration = obj['arbitration'];

			var sts1review = jQuery( '#buyer_given_feedback' ).html();
			var sts2review = obj['buyer_given_feedback'];

			if (
				( sts1payment            != '' && sts1payment            != sts2payment ) ||
				( sts1order              != '' && sts1order              != sts2order )   ||
				( sts1timeup             != '' && sts1timeup             != sts2timeup )  ||
				( sts1order_cancellation != '' && sts1order_cancellation != sts2order_cancellation ) ||
				( sts1arbitration        != '' && sts1arbitration        != sts2arbitration ) ||
				( sts1review             != '' && sts1review             != sts2review )
			){
				jQuery( '#chat_box_message_form' ).html( obj['content'] );

				jQuery( '#chat_box_review_form' ).html( obj['review'] );
				var is_rtl = typeof wpj_vars !== 'undefined' && wpj_vars.is_rtl == 'true' ? true : false;
				wpj_initialize_wpj_carousel( is_rtl );
				wpj_initialize_work_sample();
			}

			jQuery( '#payment_status' ).html( obj['payment_status'] );
			jQuery( '#order_status' ).html( obj['order_status'] );
			jQuery( '#times_up' ).html( obj['times_up'] );
			jQuery( '#order_cancellation' ).html( obj['order_cancellation'] );
			jQuery( '#arbitration' ).html( obj['arbitration'] );
			jQuery( '#buyer_given_feedback' ).html( obj['buyer_given_feedback'] );
		}
	});
}

/* CHAT - Open message box when new message */
function addNewMessage() {
	jQuery.ajax({
		type: "POST",
		url: wpj_vars.ajaxurl,
		data: {
			action: 'new_message_for_user',
		},
		success: function( data ) {
			if ( data ) {
				var obj = JSON.parse( data );
				jQuery.each( obj, function( id, response ) {
					if ( ! jQuery( '[rel="' + response + '"]' )[0] && ! jQuery( '.pm-nav-btn' )[0] ) {
						// Open message box
						wpj_chat_open_box( response );

						// Audio notification
						wpj_play_sound(
							wpj_vars.theme_path + "/assets/audio/new_message.ogg",
							wpj_vars.theme_path + "/assets/audio/new_message.mp3",
							wpj_vars.theme_path + "/assets/audio/new_message.m4a"
						);
					}

					addMessageToBox( response );
				});
			}
		}
	});
}

/* CHAT - Insert message to message box */
function addMessageToBox( user_id ) {

	var $this = jQuery( '[rel="' + user_id + '"]' );
	if ( $this.length ) {
		jQuery.ajax({
			type: "POST",
			url : wpj_vars.ajaxurl,
			data: {
				action   : 'show_new_message_content',
				sender_id: user_id
			},
			success: function( msg ) {

				obj = JSON.parse( msg );
				jQuery.each( obj, function( id, response ) {
					if ( response['content'] || response['custom_offer'] ) {
						// clear 'no message text';
						$this.find( '.message-box-push' ).text( '' );

						// add class unread
						if ( ! $this.find( '.message-box-wrapper' ).hasClass( 'has-focus' ) ) {
							$this.find( '.message-box-wrapper' ).addClass( 'unread' );
						}

						// insert the new message
						var date         = new Date();
						var ampm         = date.getHours() >= 12 ? wpj_vars.pm : wpj_vars.am;
						var status_class = $this.find( '.message-box-user-status online' ).hasClass( 'offline' ) ? 'offline' : 'online';
						var avatar       = $this.find( '.message-box-logo-container' ).find( 'img' ).attr( 'src' );
						var user_link    = $this.find( '.message-box-user-info-title-container' ).find( 'a' ).attr( 'href' );
						var name         = $this.find( '.message-box-user-info-title' ).text();

						if ( response['custom_offer'] != '' ) {
							// add custom offer message
							var message_content = '\
								<div class="message-custom-offer">\
									<i class="tags icon"></i>' + response['custom_offer'] + '\
								</div>\
							';
							var custom_class = ' custom-offer';
						} else {
							var message_content = response['content'] + response['attachments'];
							var custom_class = '';
						}

						// insert the message only if is not already inserted
						if ( ! jQuery( ".message-wrapper[data-pm-id='" + response['id'] + "']" )[0] ) {
							var message_received = '\
								<div class="multiple-messages-wrapper">\
									<div class="message-wrapper received" data-pm-id="' + response['id'] + '">\
										\
										<div aria-hidden="true" class="message-box-logo-area" data-inverted="" data-tooltip="' + name + ' - ' + date.getHours() + ':' + date.getMinutes() + ' ' + ampm.toLowerCase() + '" data-position="top left">\
											<a class="left" tabindex="-1" href="' + user_link + '">\
												<div class="message-box-logo-container">\
													<img src="' + avatar + '" width="28" height="28" alt="" />\
												</div>\
											</a>\
											<div class="message-box-user-status ' + status_class + '"></div>\
										</div>\
										\
										<div class="message-text-content ' + custom_class + '">\
											<div class="message-received">'
												+ message_content +
											'</div>\
										</div>\
										\
									</div>\
								</div>\
							';

							jQuery( message_received ).insertBefore( '[rel="' + user_id + '"] .message-box-push' );

							// scroll to the last message
							$this.find( '.message-box-content' ).scrollTop( $this.find( '.message-box-content' )[0].scrollHeight );
						}

					} else if ( response['custom_offer_response'] ) {

						// send custom offer response to message box
						if ( jQuery( '.message-wrapper[data-pm-id="' + response['response_id'] + '"]' )[0] ) {
							if ( ! jQuery( '.message-wrapper[data-pm-id="' + response['response_id'] + '"]' ).find( '.custom-offer-response' )[0] ) {
								jQuery( ".message-wrapper[data-pm-id='" + response['response_id'] + "'] .message-custom-offer" ).append( '<span class="ui mini right label custom-offer-response">' + response['custom_offer_response'] + '</span>' );
							}
						}
					}
				});

			}
		});
	}
}

// declare initLiveNotifications timeout handle in global scope
// in order to clear it when the function is called repeatedly
// and prevent flooding
var ilnTimeoutHandle;

function initLiveNotifications( previous ) {
	clearTimeout( ilnTimeoutHandle );

	var previous = typeof previous !== 'undefined' ? previous : [];
	jQuery.ajax({
		type: "POST",
		url : wpj_vars.light_ajax_url,
		data: {
			action: 'check_live_notifications'
		},
		success: function( data ) {
			addNotify( "new", data.notifications, "nh-notifications" );
			addNotify( "new", data.messages, "nh-messages" );
			window.parent.postMessage( {data: data}, "*" );


			if ( isNumeric( data.messages ) && data.messages > 0
			&& data.messages_time > previous.messages_time ) {
				/* PM */
				if ( wpj_vars.is_page_pm == 1 ) {
					addMessageOnArchive();
				}

				else if ( wpj_vars.is_page_pm_single == 1 ) {
					addMessageOnArchive();
					addMessageContent();
				}

				/* CHAT */
				else if ( wpj_vars.chat_enabled == 'yes' && wpj_vars.is_user_logged_in == true ) {
					addNewMessage();
				}
			}

			/* CHATBOX */
			if ( wpj_vars.is_page_chatbox == 1 ) {
				addMessageChatBox();
				addMessageFormChatBox();
			}

			if ( data.enabled == 'yes' ) {

				// check previous request
				var timeout = data.timeout;
				if ( previous.timeout > data.timeout ) {
					if ( previous.timeout <= data.max_timeout ) {
						timeout = previous.timeout;
					} else {
						timeout = data.max_timeout;
					}
				}

				// add delay or reset for the next one
				if ( data.notifications == previous.notifications
					&& data.messages == previous.messages ) {
					data.timeout += timeout;
				} else {
					timeout = data.timeout;
				}

				clearTimeout( ilnTimeoutHandle );
				ilnTimeoutHandle = setTimeout(
					function() {
						initLiveNotifications( data );
					},
					timeout
				);
			}
		},
		error: function( XMLHttpRequest, textStatus, errorThrown ) {
			clearTimeout( ilnTimeoutHandle );
			ilnTimeoutHandle = setTimeout(
				function() {
					initLiveNotifications();
				},
				32000
			);
		}
	});
};

jQuery( document ).ready( function() {
	if ( wpj_vars.live_notifications_enabled ) {
		initLiveNotifications();
	}
});
