jQuery( document ).ready( function( $ ) {

	if ( ( '.load-more-button.wpj-load-more' )[0] ) {
		if ( $( '.load-more-button.wpj-load-more' ).parent().parent().is( '#content-full' ) ) {
			$( '.load-more-button.wpj-load-more' ).parent().wrap( '<div class="mb150"></div>' );
		} else {
			if ( $( '.load-more-button.wpj-load-more' ).parent().siblings().hasClass( 'grid-switch-absolute' ) ) {
				$( '.load-more-button.wpj-load-more' ).parent().parent().addClass( 'mb75' );
			} else {
				$( '.load-more-button.wpj-load-more' ).parent().parent().addClass( 'mb150' );
			}
		}

		$( '.load-more-button.wpj-load-more' ).parent().addClass( 'pr' );
		$( '.load-more-button.wpj-load-more' ).show();
	}

	// Load more general function
	$( '.wpj-load-more' ).unbind().click( function( event ) {
		var button        = this;
		var max_num_pages = Number( $( button ).attr( 'data-max' ) );
		var action        = $( button ).attr( 'data-action' );
		var page          = Number( $( button ).attr( 'data-page' ) );
		if ( isNaN( page ) ) {
			page = 2;
		}

		var initial       = Number( $( button ).attr( 'data-initial' ) );
		var clicks        = Number( $( button ).attr( 'data-clicks' ) );
		var query_type    = $( button ).attr( 'data-querytype' );
		var query_page    = $( button ).attr( 'data-page' );
		var query_status  = $( button ).attr( 'data-querystatus' );
		var function_name = $( button ).attr( 'data-functionname' );

		var args_encoded  = $( button ).attr( 'data-class-args' );
		if ( args_encoded ) {
			args_encoded = JSON.parse( args_encoded );
		}

		$( button ).addClass( 'loading' );
		$( button ).attr( 'data-page', page + 1 );
		$( button ).attr( 'data-initial', initial + 1 );

		var data = {
			'action'         : action,
			'page'           : page,
			'initial'        : initial,
			'query_type'     : query_type,
			'query_page'     : query_page,
			'query_status'   : query_status,
			'function_name'  : function_name,
			'args_encoded'   : args_encoded
		};

		$.post( wpj_vars.ajaxurl + ( wpj_vars.url_params ? '?' + wpj_vars.url_params : '' ), data, function( response ) {

			$( response ).hide().appendTo( $( button ).siblings( ".wpj-load-more-target" ) ).slideDown( 400 );

			var is_rtl = typeof wpj_vars !== 'undefined' && wpj_vars.is_rtl == 'true' ? true : false;

			wpj_initialize_wpj_carousel( is_rtl );
			wpj_display_video_poster();

			$( button ).removeClass( 'loading' );

			if ( response === '' || initial == clicks ) {
				$( button ).slideUp( 400 );
				$( button ).parents( '.mb75' ).removeClass( 'mb75' );
				$( button ).parents( '.mb150' ).removeClass( 'mb150' );
			}

			if ( typeof jQuery.fn.echoLazyLoadRender == 'function' ) {
				jQuery.fn.echoLazyLoadRender();
			}
		});
	});

	// Load more feedback function
	jQuery( "#load-more-feedback" ).click( function() {
		var current = jQuery( "#load-more-feedback" ).attr( "data-rel" );
		var uid     = jQuery( "#uid" ).val();

		var pid     = jQuery("#pid").val();
		if ( pid == 'undefined' ) {
			pid = '';
		}

		var total_per_load = jQuery( "#total_per_load" ).val();
		var action = "show_more_feedbacks_user";

		var version = '';
		if ( $( this ).data( "version" ) ) {
			version = $( this ).data( "version" );
		}

		jQuery( "#load-more-feedback" ).addClass( "loading" );

		jQuery.ajax({
			type    : "POST",
			url     : wpj_vars.ajaxurl,
			dataType: 'json',
			data    : {
				current       : current,
				uid           : uid,
				pid           : pid,
				total_per_load: total_per_load,
				action        : action,
				version       : version
			},
			success: function ( data ) {
				if ( data.ok == '1' ) {
					jQuery( "#all-feedback-box" ).append( data.html );

				} else if ( typeof data.error != 'undefined' ) {
					alert( data.error );
				}

				jQuery( "#load-more-feedback" ).removeClass( "loading" );

				if ( data.current == '0' ) {
					jQuery( "#load-more-feedback" ).hide( 'slow' );
				} else {
					jQuery( "#load-more-feedback" ).attr( "data-rel", data.current );
				}
			}
		});

	});

	// Load more general categories on taxonomy and search pages
	jQuery( function( $ ) {
		$( "form .filter-box" ).click( function() {
			$( ".filter-container .js-group-filters" ).toggleClass( "collapse-filters" );
		});
	});

	jQuery( function( $ ) {
		$( ".js-more-elements" ).click( function() {
			if ( $( ".show-categories" ).is( ':hidden' ) ) {
				$( ".show-categories" ).slideDown( 500 );
			} else {
				$( ".show-categories" ).slideUp( 500 );
			}

			$( ".js-more-elements .angle" ).toggleClass( "arrow-up" );
		});
	});

	// Load moare private messages
	$( ".pm-ajax-trigger" ).click( function() {
		var at = Math.ceil( $( '.js-pm-holder' ).length / 10 ) + 1;

		$.ajax({
			type : "POST",
			url  : wpj_vars.ajaxurl,
			data : {
				pg              : at,
				current_user_id : $( this ).attr( 'data-uid' ),
				other_user_id   : $( this ).attr( 'data-otherid' ),
				action          : 'load_more_messages'
			},
			beforeSend: function() {
				$( '.pm-ajax-trigger' ).addClass( 'loading' );
			},
			success: function( data ) {
				$( '.pm-ajax-trigger' ).removeClass( 'loading' );

				var obj = JSON.parse( data );

				$( '.pm-list-ajax' ).slideDown( 400 ).prepend( obj['messages'] );

				if ( obj['messages_cnt'] < 10 ) {
					jQuery( ".pm-ajax-trigger-container" ).slideUp( 400 );
				}

				$( '.ui.dropdown' ).dropdown();
			}
		});
	});

	// Load more notifications
	$( '#more_notifications_handler' ).on( 'click', function( event ) {
		event.preventDefault();

		var notifications_handler = $( "#more_notifications_handler" );
		var notifications_target  = $( "#more_notifications_target" );

		var more_text             = notifications_handler.data( 'more-text' );
		var loading_text          = notifications_handler.data( 'loading-text' );

		var limit                 = notifications_handler.data( 'limit' );
		var offset                = notifications_handler.data( 'offset' );

		$.ajax({
			type: "POST",
			url: wpj_vars.ajaxurl,
			data: {
				action : 'wpjobster_ajax_notifications',
				limit  : limit,
				offset : offset,
				is_ajax: true,
			},
			beforeSend : function () {
				notifications_handler.attr( 'disabled', true );
				notifications_handler.addClass( 'loading' ).html( loading_text );

				notifications_handler.data( 'offset', offset + limit );
			},
			success: function( data ) {

				var notifications = $.parseJSON( data );
				if ( notifications.count > 0 ) {

					$( notifications.content ).hide().appendTo( notifications_target ).slideDown( 400 );

					notifications_handler.removeClass( 'loading' ).html( more_text );

					if ( notifications.count < limit ) {
						notifications_handler.slideUp( 400 );
					}

				} else {
					notifications_handler.hide();
				}
			},
			error: function( jqXHR, textStatus, errorThrown ) {
				notifications_handler.html( jqXHR + " :: " + textStatus + " :: " + errorThrown );
			}
		});
	});

});
