jQuery( document ).ready( function( $ ) {

	/* JOB AUDIO - UPLOADIFIVE */
	if ( wpj_vars.is_user_logged_in == true && $( '#audio_file_upload' )[0] ) {

		var i = 0;
		var n = jQuery( "#thumbnails_audio .div_div" ).length;

		for ( x = n; x < wpj_vars.max_audio_uploads; x++ ) {
			jQuery( "#thumbnails_audio" ).append( '<div class="div_div_input_audio not_sortable"></div>' );
		};

		jQuery( document ).on( 'click', '.div_div_input_audio', ( function() {
			if ( ! jQuery( this ).hasClass( "div_div_inactive_audio" ) ) {
				jQuery( "#uploadifive-audio_file_upload input:last" ).click();

				i = i + 1;
				jQuery( this ).addClass( "clicked_" + i );

			}
		}));

		jQuery( "#audio_file_upload" ).uploadifive({
			'auto'         : true,
			'multi'        : false,
			'uploadScript' : wpj_vars.theme_path + '/lib/uploadifive/uploady_audio.php',
			'fileTypeExts' : '*.mp3;*.wav;',
			'formData'     : { 'ID': wpj_vars.pid, 'author': wpj_vars.uid },
			'fileType'     : 'audio/mp3,audio/wav',
			'fileSizeLimit': wpj_vars.max_audio_filesize * 1024,
			'onProgress' : function() {
				jQuery( ".clicked_" + i ).addClass( 'uploading' );
				jQuery( ".div_div_input_audio" ).not( ".div_div_active" ).addClass( "div_div_inactive_audio" );
			},
			'onError' : function( data ) {

				if ( data == "FILE_SIZE_LIMIT_EXCEEDED" ) {
					alert( wpj_vars.audio_filesize_msg );

				} else if ( data == "FORBIDDEN_FILE_TYPE" ) {
					alert( wpj_vars.audio_filetype_msg );

				} else {
					alert( data );

				}
				jQuery( ".div_div_input_audio" ).removeClass( 'uploading' ).removeClass( 'div_div_inactive_audio' );

			},
			'onUploadComplete' : function( file, data, response ) {
				var bar = data.split( "|" );

				if ( bar[0] == "ok" ) {

					var html_content = '\
						<div class="div_div audio_uploaded" id="image_ss' + bar[2] + '" audio_id="' + bar[2] + '" >\
							<p>' + bar[1] + ' </p>\
							<a href="javascript: void(0)" onclick="delete_this_file('+ bar[2] +', \'\', \'\', \'\', \'audio\')" class="delete-this"></a>\
						</div>\
					';
					jQuery( ".clicked_" + i ).replaceWith( html_content );

				} else if ( bar[0] == "extension" ) {

					alert( wpj_vars.audio_filetype_msg );

				}

				jQuery( ".clicked_" + i ).removeClass( 'uploading' );
				jQuery( ".div_div_input_audio" ).removeClass( 'uploading' ).removeClass( 'div_div_inactive_audio' );
			}

		});

	}

	/* JOB COVER - HTML5 FILE UPLOAD */
	if ( wpj_vars.is_user_logged_in == true ) {

		if ( wpj_vars.preferred_image_uploader == 'html5fileupload' && $( '.html5fileupload.cover-image' )[0] ) {

			$.html5fileupload.defaults = {
				showErrors      : true,
				url             : null,
				downloadUrl     : null,
				removeUrl       : null,
				removeDone      : false,
				removeDoneDelay : 1200,
				file            : null,
				edit            : true,
				randomName      : false,
				randomNameLength: 8,
				form            : false,
				data            : { ID: wpj_vars.pid, author: wpj_vars.uid },
				ajax            : true,
				ajaxType        : 'POST',
				ajaxDataType    : 'json',
				ajaxHeaders     : {},
				multiple        : false,
				validExtensions : null,
				validMime       : null,
				labelInvalid    : null,
				autostart       : false,
				minFilesize     : 0,
				maxFilesize     : 2048000,
				labelMinFilesize: null,
				labelMaxFilesize: null,
				regexp          : /^[^\\/:\*\?"<>\|]+$/,
			}

			$( '.html5fileupload.cover-image' ).html5fileupload({
				onAfterStartSuccess: function( response ) {

					if ( response.error == '' ) {
						var html_content = '\
							<div class="div_div cover_div_div" id="image_ss' + response.attach_id + '" image_id="' + response.attach_id + '">\
								<img class="image_class" src="' + response.go + '" />\
								<a href="javascript: void(0)" onclick="delete_this_file(' + response.attach_id + ', \'\', \'\', wpj_vars.pid, \'cover\')" class="delete-this"></a>\
							</div>\
						';
						$( '#cover-image' ).html( html_content );

					} else {
						alert( response.error );

					}

				}
			});

		}

	}

	/* JOB IMAGE - HTML5 FILE UPLOAD */
	if ( wpj_vars.is_user_logged_in == true ) {

		if ( wpj_vars.preferred_image_uploader == 'html5fileupload' && $( '.html5fileupload.demo_multi' )[0] ) {

			$.html5fileupload.defaults = {
				showErrors      : true,
				url             : null,
				downloadUrl     : null,
				removeUrl       : null,
				removeDone      : false,
				removeDoneDelay : 1200,
				file            : null,
				edit            : true,
				randomName      : false,
				randomNameLength: 8,
				form            : false,
				data            : { ID: wpj_vars.pid, author: wpj_vars.uid },
				ajax            : true,
				ajaxType        : 'POST',
				ajaxDataType    : 'json',
				ajaxHeaders     : {},
				multiple        : false,
				validExtensions : null,
				validMime       : null,
				labelInvalid    : null,
				autostart       : false,
				minFilesize     : 0,
				maxFilesize     : 2048000,
				labelMinFilesize: null,
				labelMaxFilesize: null,
				regexp          : /^[^\\/:\*\?"<>\|]+$/,
			}

			$( '.html5fileupload.demo_multi' ).html5fileupload({
				onAfterStartSuccess: function( response ) {
					if ( response.error == '' ) {
						var html_content = '\
							<div class="div_div" id="image_ss' + response.attach_id + '" image_id="' + response.attach_id + '">\
								<img width="90" class="image_class" height="90" src="' + response.go + '" />\
								<a href="javascript: void(0)" onclick="delete_this_file(' + response.attach_id + ', \'\', \'\', \'\', \'image-html5\')" class="delete-this"></a>\
							</div>\
						';
						$( '#thumbnails' ).append( html_content );

					} else {
						alert( response.error );

					}
				}
			});

		}

	}

	/* USER COVER - UPLOADIFIVE */
	if ( wpj_vars.is_user_logged_in == true && $( '#file_upload_banner' )[0] ) {

		var i = 0;
		jQuery( document ).on( 'click', '.banner_input', ( function() {

			if ( ! jQuery( this ).hasClass( "avatar_input_inactive" ) ) {

				jQuery( "#uploadifive-file_upload_banner input:last" ).click();
				i = i + 1;
				jQuery( this ).addClass( "clicked_" + i );

			}

		}));

		/* Process uploaded image */
		jQuery( "#file_upload_banner" ).uploadifive({
			'auto'             : true,
			'multi'            : false,
			'uploadScript'     : wpj_vars.theme_path + '/lib/uploadifive/uploadbanner.php',
			'fileTypeExts'     : '*.jpg;*.jpeg;*.gif;*.png',
			'formData'         : { 'author': wpj_vars.uid, 'width': 1170, 'height': 215 },
			'fileType'         : 'image/*',
			'fileSizeLimit'    : wpj_vars.max_cover_filesize * 1024,

			onProgress         : function() {
				jQuery( "#dvloader" ).show();
				jQuery( ".banner_input" ).addClass( "avatar_input_inactive" );
			},

			onError : function( data ) {
				if ( data == "FILE_SIZE_LIMIT_EXCEEDED" ) {
					alert( wpj_vars.cover_filesize_msg );

				} else if (data == "FORBIDDEN_FILE_TYPE") {
					alert( wpj_vars.cover_filetype_msg );

				} else {
					alert( data );

				}

				jQuery( "#load_waiting" ).removeClass( 'uploading' ).removeClass( 'avatar_input_inactive' );
			},

			onUploadComplete : function( file, data, response ) {
				jQuery( "#dvloader" ).hide();
				var bar = data.split( "|" );

				var content = "\
					<a class='change-cover'><i class='close icon'></i></a>\
					<span style='display:none;' id='dvloader' class='dvloader-new'>\
						<img src='" + wpj_vars.theme_path + "/assets/images/notifications-loading.gif' />\
					</span>\
				";

				if ( bar[0] == "ok" ) {
					jQuery( '#banner' ).addClass( 'ub-cover-photo' );
					jQuery( '#banner' ).css( 'background', '' );
					jQuery( '#banner' ).css({'background-image': 'url(' + bar[1] + ')'});
					jQuery( '#banner' ).attr( 'data-attach_id', bar[2] );
					jQuery( '#contentbanner' ).html( content );

				} else if ( bar[0] == "size" ) {
					alert( wpj_vars.min_filesize_250 );
					jQuery( ".banner_input" ).removeClass( "avatar_input_inactive" );

				} else if ( bar[0] == "extension" ) {
					alert( wpj_vars.cover_filetype_msg );
					jQuery( ".banner_input" ).removeClass( "avatar_input_inactive" );

				} else {
					alert( wpj_vars.err );
					jQuery( ".banner_input" ).removeClass( "avatar_input_inactive" );

				}

				jQuery( "#load_waiting" ).removeClass( 'uploading' );
				jQuery( ".avatar_input" ).removeClass( 'uploading' ).removeClass( 'avatar_input_inactive' );
			}
		});

		/* Remove cover user image */
		jQuery( document ).on( 'click', '#contentbanner', ( function() {

			attach_id = jQuery( "#banner" ).attr( 'data-attach_id' );

			var content = "\
				<a class='change-cover'><i class='camera icon'></i></a>\
				<span style='display:none;' id='dvloader' class='dvloader-new'>\
					<img src='" + wpj_vars.theme_path + "/assets/images/notifications-loading.gif' />\
				</span>\
				";

			jQuery.ajax({
				type: "POST",
				url : wpj_vars.theme_path + '/lib/uploadifive/deletebanner.php',
				data: { 'user': wpj_vars.uid, 'attach_id':attach_id },
				onProgress : function() {
					jQuery( "#dvloader" ).show();
				},
				success: function ( result ) {
					jQuery( "#dvloader" ).hide();

					if ( 'resultok' == result ) {
						jQuery( '#banner' ).css( 'background', 'transparent' );
						jQuery( '#banner' ).removeClass( 'ub-cover-photo' );
						jQuery( '#contentbanner' ).html( "<div class='banner_input'><div id='contentbanner'>" + content + "</div></div>" );
					}

				}
			});

		}));

	}



});

/* USER AVATAR - UPLOADIFIVE */
function wpj_init_avatar_upload_form( width, height, page ) {

	var img_width  = typeof width  !== 'undefined' ? width : '50';
	var img_height = typeof height !== 'undefined' ? height : '50';

	var i = 0;
	var n = 1;

	jQuery( document ).on( 'click', '.avatar_input', ( function() {

		if ( ! jQuery( this ).hasClass( "avatar_input_inactive" ) ) {
			jQuery( "#uploadifive-file_upload input:last" ).click();

			i = i + 1;
			jQuery( this ).addClass( "clicked_" + i );
		}

	}));

	jQuery( "#file_upload" ).uploadifive({
		'auto'             : true,
		'multi'            : false,
		'uploadScript'     : wpj_vars.theme_path + '/lib/uploadifive/uploadavatar.php',
		'fileTypeExts'     : '*.jpg;*.jpeg;*.gif;*.png',
		'formData'         : { 'author': wpj_vars.uid, 'width': img_width, 'height': img_height },
		'fileType'         : 'image/*',
		'fileSizeLimit'    : wpj_vars.max_cover_filesize * 1024,

		onProgress : function() {
			jQuery( ".clicked_" + i ).addClass( "uploading" );
			jQuery( ".avatar_input" ).addClass( "avatar_input_inactive" );
		},

		onError : function( data ) {
			if ( data == "FILE_SIZE_LIMIT_EXCEEDED" ) {
				alert( wpj_vars.cover_filesize_msg );

			} else if (data == "FORBIDDEN_FILE_TYPE") {
				alert( wpj_vars.cover_filetype_msg );

			} else {
				alert( data );

			}

			jQuery( ".avatar_input" ).removeClass( 'uploading' ).removeClass( 'avatar_input_inactive' );
		},

		onUploadComplete : function( file, data, response ) {
			var bar = data.split( "|" );

			if ( bar[0] == "ok" ) {
				jQuery( '.avatar_input' ).find( 'img' ).attr( 'src', bar[1] );

			} else if ( bar[0] == "size" ) {
				alert( wpj_vars.min_filesize_250 );

			} else if ( bar[0] == "extension" ) {
				alert( wpj_vars.cover_filetype_msg );

			} else {
				alert( wpj_vars.err );

			}

			jQuery( ".clicked_" + i ).removeClass( 'uploading' );
			jQuery( ".avatar_input" ).removeClass( 'uploading' ).removeClass( 'avatar_input_inactive' );
		}
	});

}

/* WYSIWYG */
function wpj_init_wysiwyg_textarea( action, max_chr_limit, post_status, rejected_description, indx, id ) {
	if ( action == 'job_edit' ) {
		wpj_js_description_args_allowed( max_chr_limit, post_status , rejected_description );
	} else if ( action == 'packages' ) {
		wpj_js_description_args_allowed( max_chr_limit, '', '', indx );
	} else {
		wpj_js_description_args_allowed( max_chr_limit, '', '', '', id );
	}
}
