jQuery( document ).ready( function( $ ) {

	// slider main menu
	$( '.menu-direction-right' ).click( function( e ) {
		e.preventDefault();
		$( '.middle-menu-slider' ).find( '.categories-here' ).animate( {scrollLeft: '+=200'}, 500 );
	});

	$( '.menu-direction-left' ).click( function( e ) {
		e.preventDefault();
		$( '.middle-menu-slider' ).find( '.categories-here' ).animate( {scrollLeft: '-=200'}, 500 );
	});

	$( window ).on( 'load resize', function() {
		if ( wpj_vars.long_menu_arrows == '1' ) {

			if ( $( 'ul.categories-here' ).prop( 'scrollWidth' ) > $( 'ul.categories-here' ).prop( 'clientWidth' ) ) {
				$( '.main-menu-wrapper' ).find( '.arrows-wrapper' ).addClass( 'visible' );
				$( 'ul.categories-here' ).css( 'overflow', 'hidden' );

			} else {
				$( '.main-menu-wrapper' ).find( '.arrows-wrapper' ).removeClass( 'visible' );
				$( '.middle-menu-slider' ).find( 'ul' ).css( 'overflow', 'visible' );

			}

		}

	});

	// submenu left for first element of a new row
	var last_element = false;
	$( 'ul.categories-here' ).children( 'li' ).each( function() {
		if ( last_element && last_element.offset().top != $( this ).offset().top ) {
			if ( $( this ).find( 'ul' ).hasClass( 'right0' ) ) {
				$( this ).find( 'ul' ).removeClass( 'right0' ).removeClass( 'little-right-space' ).addClass( 'left0' );
			}
		}
		last_element = $( this );
	});

	// secondary menu
	var is_rtl = typeof wpj_vars !== 'undefined' && wpj_vars.is_rtl == 'true' ? true : false;
	$( window ).on( 'load resize', function() {
		if ( $( '.secondary-menu' )[0] ) {

			if ( is_rtl ) {
				var nh_right_part_left_space = ( $( this ).width() - ( $( '.nh-right' ).offset().left + $( '.nh-right' ).outerWidth() ) );
			} else {
				var nh_right_part_left_space = $( '.nh-right' ).offset().left;
			}

			if ( is_rtl ) {
				var nh_logo_left_space = ( $( this ).width() - ( $( '.wrapper-menu-top-fixable' ).find( '.logo' ).offset().left + $( '.wrapper-menu-top-fixable' ).find( '.logo' ).outerWidth() ) );
			} else {
				var nh_logo_left_space = $( '.wrapper-menu-top-fixable' ).find( '.logo' ).offset().left;
			}

			var nh_logo_width = $( '.wrapper-menu-top-fixable' ).find( '.logo' ).width();

			var secondary_menu_width = Math.abs( Math.round( nh_right_part_left_space - nh_logo_left_space ) ) - nh_logo_width; // distance between logo and right part

			$( '.nh-secondary-menu' ).css( 'width', secondary_menu_width );

			var logo_column_width   = Math.abs( Math.round( $( '.logo_holder' ).width() ) ) + 28;
			var logo_width          = Math.abs( Math.round( $( '.wrapper-menu-top-fixable' ).find( '.logo' ).width() ) );
			var secondary_menu_left = -logo_column_width + logo_width + 15;
			var css_position        = is_rtl ? 'right' : 'left';

			$( '.nh-secondary-menu' ).css( css_position, secondary_menu_left );

		}
	});

	// show user dropdown menu
	$( ".nh-accordion-handler" ).click( function( event ) {
		event.preventDefault();

		$( ".nh-accordion" ).slideUp( 150 );
		$( ".nh-accordion-handler" ).removeClass( "nh-accordion-selected" );

		if ( $( this ).parent().children(" .nh-accordion" ).css( "display" ) == "block" ) {
			$( this ).parent().children( ".nh-accordion" ).slideUp( 150 );
			$( this ).removeClass( "nh-accordion-selected" );

			event.stopPropagation();
		} else {
			$( this ).parent().children( ".nh-accordion" ).slideDown( 150 );
			$( this ).addClass( "nh-accordion-selected" );

			event.stopPropagation();
		}
	});

	// responsive menus
	$( '.js-mobile-menu-toggle' ).click( function() {
		if ( $( this ).attr( 'class' ).indexOf( 'menu-left' ) != -1 ) {
			if ( ! $( '.left.menu' ).hasClass( 'visible' ) ) {
				$( '.ui.sidebar.left' ).sidebar({
					onChange: function() { $( 'html[dir=rtl]' ).css( 'overflow-x', 'hidden' ); },
					onHidden: function() { $( 'html[dir=rtl]' ).css( 'overflow-x', '' ); },
				})
				.sidebar( 'toggle' );

			}
		}

		if ( $( this ).attr( 'class' ).indexOf( 'menu-right' ) != -1 ) {
			if ( ! $( '.right.menu' ).hasClass( 'visible' ) ) {
				$( '.ui.sidebar.right' ).sidebar({
					onChange: function() { $( 'html[dir=rtl]' ).css( 'overflow-x', 'hidden' ); },
					onHidden: function() { $( 'html[dir=rtl]' ).css( 'overflow-x', '' ); },
				})
				.sidebar( 'toggle' );
			}
		}
	});

	// menu subcategories
	$( '#menu-header-main-menu li' ).each( function() {
		// this doesn't work for more than one level
		// it also prevents the top level menu link from working as usual
		if ( $( this ).find( 'ul' ).first().size() > 0 ) {
			$( this ).find( 'ul' ).parent().children( "a" ).addClass( 'nh-accordion-handler' );
			$( this ).find( 'ul' ).children("li").addClass( 'nh-accordion-container' );
			$( this ).find( 'ul' ).wrap( '<div class="nh-accordion" style="display: none;"></div>' );
		}
	});

	// hide category sidebar if is empty
	if ( $( "ul.subcat-list" ).has( 'li' ).length == 0 ) {
		$( ".ui.other-page.segment" ).remove();
	}

	// header menu
	var enable_disable = wpj_vars.header_fixed;
	$( window ).bind( 'scroll', function () {
		if ( enable_disable == 1 ) {
			var wpj_hwrapper = $( ".wrapper-menu-top-fixable" );
			var wpj_hwrapper_r = $( ".top-menu-wrapper-responsive" );
			$( window ).scroll( function() {
				var windowpos = $( window ).scrollTop();
				if ( windowpos > 0 ) {
					wpj_hwrapper.addClass( "fixed" );
					wpj_hwrapper_r.addClass( "fixed" );
				} else {
					wpj_hwrapper.removeClass( "fixed" );
					wpj_hwrapper_r.removeClass( "fixed" );
				}
			});

		}
	});

});
