jQuery( document ).ready( function( $ ) {

	// Mark notifications as read
	$( document ).on( 'click', '.wpj-mark-notification-as-read', function() {
		$( this ).removeClass( 'x' ).removeClass( 'icon' ).addClass( 'ui active inline loader notification-loader' );

		$.ajax({
			type: "POST",
			url : wpj_vars.ajaxurl,
			data: {
				action         : 'mark_notification_as_read',
				notification_id: $( this ).attr( 'data-value' )
			},
			success: function( data ) {
				location.reload();
			}
		});
	});


	// Check notification status
	function check_notifications( id, cname ) {
		if ( jQuery( '.' + cname + ':checked' ).length == jQuery( '.' + cname ).length ) {
			jQuery( '#' + id ).prop( 'checked', true );
		} else {
			jQuery( '#' + id ).prop( 'checked', false );
		}
	}

	// Check email from email settings
	check_notifications( 'all-email-notify', 'email_notifications' );

	$( '#all-email-notify' ).change( function() {
		var checkboxes = $( this ).closest( '.mail_notification' ).find( ':checkbox' );
		if ( $( this ).is( ':checked' ) ) {
			checkboxes.prop( 'checked', true );
			jQuery( '#all-mail' ).find( 'label' ).text( wpj_vars.uncheck_all_email );
		} else {
			checkboxes.prop( 'checked', false );
			jQuery( '#all-mail' ).find( 'label' ).text( wpj_vars.check_all_email );
		}
	});

	$( '.mail_notification' ).change( function() {
		check_notifications( 'all-email-notify', 'email_notifications' );
	});

	// Check sms from sms settings
	check_notifications( 'all-sms-notify', 'sms_notifications' );

	$( '#all-sms-notify' ).change( function() {
		var checkboxes = $( this ).closest( '.sms_notification' ).find( ':checkbox' );
		if($( this ).is( ':checked' ) ) {
			checkboxes.prop( 'checked', true );
			jQuery( '#all-sms' ).find( 'label' ).text( wpj_vars.uncheck_all_sms );
		} else {
			checkboxes.prop( 'checked', false );
			jQuery( '#all-sms' ).find( 'label' ).text( wpj_vars.check_all_sms );
		}
	});

	$( '.sms_notification' ).change( function() {
		check_notifications( 'all-sms-notify', 'sms_notifications' );
	});
	
});