//------------------------------------------
// Job Price Functions
//------------------------------------------
function updatePurchasePrice( purchase_type ) {
	var $ = jQuery.noConflict();

	if ( typeof purchase_type == 'undefined' ) {
		purchase_type = 'job_purchase';
	}

	$( ".total" ).each( function() {

		var $total = $( this );
		var total = 0;

		if ( purchase_type == 'job_purchase' ) {
			var total = Number( $total.data( "price" ) );
		} else if ( purchase_type == 'feature' ) {
			var master_total = 0;
			var s_total = 0;
			$( ".featured_chk[type=checkbox]" ).each( function() {
				var ob = $( "#"+this.id );
				if ( $( this ).parents( '.ui.checkbox' )[0] && $( this ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
					s_total = Number( ob.data( "price" ) );
					master_total = master_total + s_total;
					ob.parents( '.ui.checkbox' ).checkbox( 'set checked' );
				} else {
					ob.parents( '.ui.checkbox' ).checkbox( 'set unchecked' );
				}
			});
			var total = master_total;
		} else if ( purchase_type == 'badge' ) {
			var master_total = 0;
			var s_total = 0;
			$( ".badge_chk[type=checkbox]" ).each( function() {
				var ob = $( "#"+this.id );
				if ( $( this ).parents( '.ui.checkbox' )[0] && $( this ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
					s_total = Number( ob.data( "price" ) );
					master_total = master_total + s_total;
					ob.parents( '.ui.checkbox' ).checkbox( 'set checked' );
				} else {
					ob.parents( '.ui.checkbox' ).checkbox( 'set unchecked' );
				}
			});
			var total = master_total;
		}

		var shipping              = $total.data( "shipping" ) || 0;
		var cur                   = $total.data( "cur" );
		var symbol                = $total.data( "symbol" ) || cur;
		var position              = $total.data( "position" ) || '';
		var space                 = $total.data( "space" ) || 'yes';
		var decimal               = $total.data( "decimal" ) || '.';
		var thousands             = $total.data( "thousands" ) || ',';
		var decimaldisplay        = $total.data( "decimaldisplay" ) || 'default';
		var processingfeesenable  = $total.data( "processingfeesenable" ) || 'disabled';
		var processingfeesfixed   = Number( $total.data( "processingfeesfixed" ) ) || 0;
		var processingfeespercent = $total.data( "processingfeespercent" ) || 0;
		var processingfeetax      = $total.data( "processingfeetax" ) || '';
		var tax                   = $total.data( "tax" ) || 0;
		var zerowithfree          = $total.data( "zerowithfree" ) || '';
		var freestr               = $total.data( "freestr" ) || 'Free';
		var amount;

		// Job Price
		var space_str = "";
		if ( space == "yes" ) { space_str = " "; }
		if ( purchase_type == 'job_purchase' ) {
			if ( Number( $("[name=myFormPurchase2] .main_value_inp" ).val() ) ) {
				total = total * Number( $("[name=myFormPurchase2] .main_value_inp" ).val() );
			}

			$( "[name=myFormPurchase2] [type=checkbox]" ).each( function() {
				if ( $( this ).parents( '.ui.checkbox' )[0] && $( this ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
					amount = Number( $(this ).parents( '.ui.checkbox' ).children( ".uzextracheck" ).val() );
					if ( isNaN( amount ) ) { amount = Number( $total.data( "price" ) ); }

					total = total + amount * Number( $( this ).data( "price" ) );
				}
			});
		}

		// Set data job price including extras
		$total.attr( 'data-price-with-extras', total );

		total = Hooks.apply_filters( 'wpj_order_price_total_filter', total, $total );

		if ( total < 0 ) { total = 0; }

		// Shipping
		shipping = Number( shipping );
		var chargable_total = total + shipping;

		// Processing Fee
		var processingfee_total = 0;
		if ( processingfeesenable != 'disabled' ) {
			if ( processingfeesenable == 'percent' ) {
				if ( processingfeespercent > 0 ) {
					processingfee_total = ( total + shipping ) * processingfeespercent / 100;
				} else {
					processingfee_total = 0;
				}
			}
			if ( processingfeesenable == 'fixed' ) {
				processingfee_total = processingfeesfixed;
			}
			// display processing fees
			var formatted_processingfee = String( processingfee_total.formatMoney( 2, decimal, thousands ) );

			if ( decimaldisplay == "ifneeded" ) {
				if ( isInt( processingfee_total ) ) {
					formatted_processingfee = String( processingfee_total.formatMoney( 0, decimal, thousands ) );
				} else {
					formatted_processingfee = String( processingfee_total.formatMoney( 2, decimal, thousands ) );
				}
			} else if ( decimaldisplay == "never" ) {
				formatted_processingfee = String( processingfee_total.formatMoney( 0, decimal, thousands ) );
			}
			if ( position == "front" ) {
				$( ".processingfee-amount" ).html( symbol + space_str + formatted_processingfee );
			} else {
				$( ".processingfee-amount" ).html( formatted_processingfee + space_str + symbol );
			}
		}

		// processing fees only apply when price > 0
		if ( chargable_total > 0 ) {
			chargable_total = chargable_total + Number( processingfee_total );
		}

		// Tax
		var tax_amount = 0;
		if ( tax != '0' ) {
			var tax_chargable_total = 0;
			if ( processingfeetax == 'yes' ) {
				tax_chargable_total = total + processingfee_total + shipping;
			} else {
				tax_chargable_total = total + shipping;
			}
			tax_amount = tax_chargable_total * tax / 100;

			// display tax
			var formatted_tax = String( tax_amount.formatMoney( 2, decimal, thousands ) );

			if ( decimaldisplay == "ifneeded" ) {
				if ( isInt( tax_amount ) ) {
					formatted_tax = String( tax_amount.formatMoney( 0, decimal, thousands ) );
				} else {
					formatted_tax = String( tax_amount.formatMoney( 2, decimal, thousands ) );
				}
			} else if ( decimaldisplay == "never" ) {
				formatted_tax = String( tax_amount.formatMoney( 0, decimal, thousands ) );
			} else {
				formatted_tax = String( tax_amount.formatMoney( 2, decimal, thousands ) );
			}

			if ( position == "front" ) {
				$( ".tax-amount" ).html( symbol + space_str + formatted_tax );
			} else {
				$( ".tax-amount" ).html( formatted_tax + space_str + symbol );
			}
		} else {
			tax_amount = 0;
		}

		// tax only applies when price > 0
		if ( chargable_total > 0 ) {
			chargable_total = chargable_total + tax_amount;
		}

		// total price
		$total.attr( 'data-total', chargable_total );

		var formatted_money = '';
		if ( decimaldisplay == "ifneeded" ) {
			if ( isInt( chargable_total ) ) {
				formatted_money = String( chargable_total.formatMoney( 0, decimal, thousands ) );
			} else {
				formatted_money = String( chargable_total.formatMoney( 2, decimal, thousands ) );
			}
		} else if ( decimaldisplay == "never" ) {
			formatted_money = String( chargable_total.formatMoney( 0, decimal, thousands ) );
		} else {
			formatted_money = String( chargable_total.formatMoney( 2, decimal, thousands ) );
		}
		if ( position == "front" ) {
			if ( total > 0 ) {
				$total.html( symbol + space_str + formatted_money );
			} else {
				if ( zerowithfree === 'yes' ) {
					$total.html( freestr );
				} else {
					$total.html( symbol + space_str + formatted_money );
				}
			}
		} else {
			if ( chargable_total > 0 ) {
				$total.html( formatted_money + space_str + symbol );
			} else {
				if ( zerowithfree === 'yes' ) {
					$total.html( freestr );
				} else {
					$total.html( formatted_money + space_str + symbol );
				}
			}
		}

		if ( chargable_total <= 0 || isNaN( chargable_total ) ) {
			$( '#credits' ).text( wpj_vars.get_for_free );
			$( '.payment-gateways a' ).hide();
		} else {
			$( '#credits' ).text( wpj_vars.account_balance );
			$( '.payment-gateways a' ).show();
		}
	});
};

//------------------------------------------
// Job Price & Extras
//------------------------------------------
jQuery( document ).ready( function() {
	jQuery( ".uzextracheck[type=checkbox]" ).change();
});

jQuery( window ).ready( function( $ ) {
	// Extra - check/uncheck
	$( ".uzextracheck[type=checkbox]" ).change( function() {
		var ob = $( "[name=" + $( this ).attr( "name" ) + "]" );
		if ( $( this ).parents( '.ui.checkbox' )[0] && $( this ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
			ob.parents( '.ui.checkbox' ).checkbox( 'set checked' );
		} else {
			ob.parents( '.ui.checkbox' ).checkbox( 'set unchecked' );
		}

		updatePurchasePrice( "job_purchase" );
	});

	// Featured - check/uncheck
	if ( typeof $( ".featured_chk[type=checkbox]" ) != 'undefined' ) {
		$( ".featured_chk[type=checkbox]" ).change( function() {
			if ( ! $( '.ui.message' ).hasClass( 'hidden' ) ) {
				$( '.ui.message' ).addClass( 'hidden' );
			}

			updatePurchasePrice( "feature" );

			// Disable button if not enough credits
			if ( parseFloat( $( '#showtotal' ).attr( 'data-total' ) ) > parseFloat( wpj_vars.user_credits ) ) {
				jQuery( '#credits' ).attr( 'onclick', '' );
				jQuery( '#credits' ).addClass( 'disabled' );
				jQuery( '#credits' ).parent().attr( 'data-tooltip', wpj_vars.not_enough_credits );
				jQuery( '#credits' ).parent().attr( 'data-position', 'top left' );
				jQuery( '#credits' ).parent().attr( 'data-inverted', '' );
			} else {
				jQuery( '#credits' ).attr( 'onclick', 'take_to_gateway( "credits", "", "featured" );' );
				jQuery( '#credits' ).removeClass( 'disabled' );
				jQuery( '#credits' ).parent().removeAttr( 'data-tooltip' );
				jQuery( '#credits' ).parent().removeAttr( 'data-position' );
				jQuery( '#credits' ).parent().removeAttr( 'data-inverted' );
			}

			return false;
		});
	}

	// Badge - check/uncheck
	if ( typeof $( ".badge_chk[type=checkbox]" ) != 'undefined' ) {
		$( ".badge_chk[type=checkbox]" ).change( function() {

			if ( ! $( '.ui.message' ).hasClass( 'hidden' ) ) {
				$( '.ui.message' ).addClass( 'hidden' );
			}

			updatePurchasePrice( "badge" );

			// Disable button if not enough credits
			if ( parseFloat( $( '#showtotal' ).attr( 'data-total' ) ) > parseFloat( wpj_vars.user_credits ) ) {
				jQuery( '#credits' ).attr( 'onclick', '' );
				jQuery( '#credits' ).addClass( 'disabled' );
				jQuery( '#credits' ).parent().attr( 'data-tooltip', wpj_vars.not_enough_credits );
				jQuery( '#credits' ).parent().attr( 'data-position', 'top left' );
				jQuery( '#credits' ).parent().attr( 'data-inverted', '' );
			} else {
				jQuery( '#credits' ).attr( 'onclick', 'take_to_gateway( "credits", "", "badge" );' );
				jQuery( '#credits' ).removeClass( 'disabled' );
				jQuery( '#credits' ).parent().removeAttr( 'data-tooltip' );
				jQuery( '#credits' ).parent().removeAttr( 'data-position' );
				jQuery( '#credits' ).parent().removeAttr( 'data-inverted' );
			}

			return false;
		});
	}

	// Multiple Add
	$( '.amount_add' ).on( 'click', function( e ) {
		e.preventDefault();
		var amountnb      = $( this ).parents( '.amount_section' ).attr( 'data-amountnb' );
		var c_amount_chk  = $( ".extra_nb_" + amountnb + " label .uzextracheck" );
		var c_amount_cont = $( ".extra_nb_" + amountnb + " .amount_section .current_amount" );
		var max           = parseInt( c_amount_cont.data( "max" ) );

		if ( $( this ).parent().parent().hasClass( "main_amount_box" ) ) {
			var max = parseInt( $( ".main_amount_box .current_amount" ).data( "max" ) );
			var c_amount = parseInt( $( this ).siblings( ".main_value_inp" ).val() );
			if ( c_amount < max ) {
				$( ".main_value_inp" ).val( c_amount + 1 );
				if ( $( '.chk_extrafast' ).parents( '.ui.checkbox' )[0] && $( '.chk_extrafast' ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
					if ( c_amount < parseInt( $( '.hid_extrafast' ).data( "max" ) ) ) {
						$( ".chk_extrafast" ).val( c_amount + 1 );
						$( ".hid_extrafast" ).val( c_amount + 1 );
					}
				}
			}
			c_amount_cont = $( ".main_amount_box .current_amount" );


		} else {
			var ob = $( "[name=" + $( this ).parents( 'li' ).find( "[type=checkbox]" ).attr( "name" ) + "]" );
			ob.parents( '.ui.checkbox' ).checkbox( 'set checked' );

			var c_amount = parseInt( c_amount_chk.val() );
			if ( c_amount < max ) {
				c_amount_chk.val( c_amount + 1 );
				$( '.hid_extra' + amountnb ).val( c_amount + 1 );
			}
		}

		if ( $( "#getforfree" ).length != 0 ) {
			$( "#getforfree" ).attr( 'href', $( "#getforfree" ).attr( 'href' ).replace( /amount=[^&]+/, 'amount=' + ( c_amount + 1 ) ) );
		}

		if ( c_amount < max ) {
			c_amount_cont.html( c_amount + 1 );
		}

		updatePurchasePrice();
	});

	// Multiple Remove
	$( '.amount_rmv' ).on( 'click', function( e ) {
		e.preventDefault();
		var amountnb      = $( this ).parents( '.amount_section' ).attr( 'data-amountnb' );
		var c_amount_chk  = $( ".extra_nb_" + amountnb + " label .uzextracheck" );
		var c_amount_cont = $( ".extra_nb_" + amountnb + " .amount_section .current_amount" );
		if ( $( this ).parent().parent().hasClass( "main_amount_box" ) ) {
			var c_amount = parseInt( $( this ).siblings( ".main_value_inp" ).val() );
			if ( c_amount > 1 ) {
				$( ".main_value_inp" ).val( c_amount - 1 );
				if ( $( '.chk_extrafast' ).parents( '.ui.checkbox' )[0] && $( '.chk_extrafast' ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
					if ( c_amount <= ( parseInt( $( '.hid_extrafast' ).data( "max" ) ) + 1 ) ) {
						$( ".chk_extrafast" ).val( c_amount - 1 );
						$( ".hid_extrafast" ).val( c_amount - 1 );
					}
				}
			}
			c_amount_cont = $( ".main_amount_box .current_amount" );
		} else {
			var ob = $( "[name=" + $( this ).parents( 'li' ).find( "[type=checkbox]" ).attr( "name" ) + "]" );
			ob.parents( '.ui.checkbox' ).checkbox( 'set checked' );

			var c_amount = parseInt( c_amount_chk.val() );
			if ( c_amount > 1 )
				c_amount_chk.val( c_amount - 1 );
		}

		if ( $( "#getforfree" ).length != 0 ) {
			$( "#getforfree" ).attr( 'href', $( "#getforfree" ).attr( 'href' ).replace( /amount=[^&]+/, 'amount=' + ( c_amount - 1 ) ) );
		}

		if ( c_amount > 1 ) {
			c_amount_cont.html( c_amount - 1 );
			$( '.hid_extra' + amountnb ).val( c_amount - 1 );
		}

		updatePurchasePrice();
	});

	// Job amount - change
	$( ".main_value_inp" ).on( "change", function() {
		if ( $( "#getforfree" ).length != 0 ) {
			$( "#getforfree" ).attr( 'href', $( "#getforfree" ).attr( 'href' ).replace( /amount=[^&]+/, 'amount=' + $( this ).val() ) );
		}
	});

	// Extra fast delivery - change
	$( ".chk_extrafast" ).change( function() {
		var c_amount = parseInt( $( ".main_amount_box .main_value_inp" ).val() );
		c_amount = isNaN( c_amount ) ? 1 : c_amount;

		if ( $( '.chk_extrafast' ).parents( '.ui.checkbox' )[0] && $( '.chk_extrafast' ).parents( '.ui.checkbox' ).checkbox( 'is checked' ) ) {
			if ( c_amount < parseInt( $( '.hid_extrafast' ).data( "max" ) ) ) {
				$( ".chk_extrafast" ).val( c_amount );
				$( ".hid_extrafast" ).val( c_amount );
			} else {
				$( ".chk_extrafast" ).val( parseInt( $( '.hid_extrafast' ).data( "max" ) ) );
				$( ".hid_extrafast" ).val( parseInt( $( '.hid_extrafast' ).data( "max" ) ) );
			}
		}

	});

	// Prevents the customer from inserting a wrong value and change inp border color to red
	$( '.current_amount' ).on( 'click keyup keypress blur change', function( e ) {
		var ob = $( "[name=" + $(this).parents( 'li' ).find( "[type=checkbox]" ).attr( "name" ) + "]" );
		ob.parents( '.ui.checkbox' ).checkbox( 'set checked' );

		var amountnb = $( this ).parents( '.amount_section' ).attr( 'data-amountnb' );
		$( '.hid_extra' + amountnb ).val( $( this ).val() );
	});

	// Box value
	$( ".current_amount" ).each( function() {
		$( this ).on( "change", function(){
			var amountnb      = $( this ).parents( '.amount_section' ).attr( 'data-amountnb' );
			var c_amount_cont = $( ".extra_nb_" + amountnb + " .amount_section .current_amount" );
			var c_amount_chk  = $( ".extra_nb_" + amountnb + " label .uzextracheck" );

			if ( $( this ).parent().parent().hasClass( "main_amount_box" ) ) {
				c_amount_cont = $( ".main_amount_box .current_amount" );
			}

			var max = parseInt( c_amount_cont.data( "max" ) );
			if ( parseInt( $( this ).val() ) > max ) {
				$( this ).css( { border: '0 solid #ff0000' } ).fadeIn( 'slow' );
				$( this ).val( max );
				$( this ).animate( { borderWidth: 1, borderColor: '#dddddd' }, 2000 );
			}

			c_amount_chk.val( $( this ).val() );

			updatePurchasePrice();
		});
	});

	// Prevent action and propagation
	$( ".amount_section" ).click( function( e ) {
		e.preventDefault();
		e.stopPropagation();
	});

	// Extra - fill box value
	$( ".extrali" ).each( function( ind ) {
		var newamnt = $( ".hid_extra" + parseInt( ind + 1 ) ).val();
		if ( typeof newamnt == 'undefined' ){ newamnt = 1; }
		$( ".chk_extra" + parseInt( ind + 1 ) ).val( newamnt );
		$( this ).find( '.current_amount' ).html( newamnt );
	});
	$( ".extralibot" ).each( function( ind ) {
		var newamnt = $( ".hid_extra" + parseInt( ind + 1 ) ).val();
		if ( typeof newamnt == 'undefined' ) { newamnt = 1; }
		$( ".chk_extra" + parseInt( ind + 1 ) ).val( newamnt );
		$( this ).find( '.current_amount' ).html( newamnt );
	});

	var newamnt_fast = $( ".hid_extrafast" ).val();
	if ( typeof newamnt_fast == 'undefined' ) { newamnt_fast = 1; }
	$( ".chk_extrafast" ).val( newamnt_fast );
	$( ".extra_nb_fast" ).find( '.current_amount' ).html( newamnt_fast );

	var newamnt_rev = $( ".hid_extrarevision" ).val();
	if ( typeof newamnt_rev == 'undefined' ) { newamnt_rev = 1; }
	$( ".chk_extrarevision" ).val( newamnt_rev );
	$( ".extra_nb_revision" ).find( '.current_amount' ).html( newamnt_rev );

	$( ".main_amount_box .main_amount" ).html( $( "[name=myFormPurchase2] .main_amount_box .main_value_inp" ).val() );
	updatePurchasePrice();
});