//------------------------------------------
// Job Packages Functions
//------------------------------------------
function change_color( $this ) {
	var $ = jQuery.noConflict();

	$( '.pc-packages .active' ).removeClass( 'active' );

	var this_index = $this.index();
	var col = $this.parents( 'tbody' ).siblings( 'thead' ).children( 'tr' ).children( 'th:nth(' + this_index + ')' ).index();
	$( 'td' ).filter( ':nth-child(' + ( col + 1 ) + ')' ).addClass( 'active' );
}

function package_selection( $this, $packages_selector, $package_selector, $type ) {
	var $ = jQuery.noConflict();

	$( $packages_selector ).each( function() {
		$( this ).removeClass( 'selected' );
		$( this ).find( $package_selector ).removeClass( 'right' ).removeClass( 'labeled' );
		$( this ).find( $package_selector ).children( 'i.checkmark.icon' ).hide();

		if ( $type == 'sidebar' ) {
			$( this ).find( '.title.active' ).removeClass( 'active' );
			$( this ).find( '.content.active' ).removeClass( 'active' );
		} else if ( $type == 'mobile' ) {
			$( this ).siblings( '.pacakges-tabs' ).children( '.item.active' ).removeClass( 'active' );
			$( this ).removeClass( 'active' );
		}
	});

	$this.parents( $packages_selector ).addClass( 'selected' );
	$this.addClass( 'right' ).addClass( 'labeled' );
	$this.children( 'i.checkmark.icon' ).show();

	if ( $type == 'sidebar' ) {
		$this.parents( '.content' ).addClass( 'active' );
		$this.parents( '.content' ).siblings( '.title' ).addClass( 'active' );
	} else if ( $type == 'mobile' ) {
		$this.parents( '.packages-mobile' ).addClass( 'active' );
		curr_tab = $this.parents( '.packages-mobile' ).attr( 'data-tab' );
		$this.parents( '.packages-mobile' ).siblings( '.pacakges-tabs' ).find( "[data-tab='" + curr_tab + "']" ).addClass( 'active' );
	}
}

//------------------------------------------
// Job Packages
//------------------------------------------
jQuery( document ).ready( function( $ ) {

	// Set package price to total value
	if ( $( '.pck_price_val' ).val() ) {
		$( '.total' ).data( 'price', $( '.pck_price_val' ).val() ).attr( 'data-price', $( '.pck_price_val' ).val() );
	}

	// Delete a Row
	$( document ).on( 'click', '.pck-icon-rem', function( e ) {
		if ( $( '.pck-icon-rem' ).length > 1 ) {
			$( this ).parents( '.pck-repeater' ).remove();
		} else {
			$( '.pck-repeater .ui.checkbox' ).each( function(){
				$( this ).checkbox( 'uncheck' );
			});
			$( '.pck-inp-custom-name' ).val( '' );
		}
	});

	// Add a Row
	$( '#add_custom_field_to_package' ).click( function() {
		var clone = $( '.pck-repeater:first' ).clone();
		clone.find( 'input:text' ).val( '' );
		clone.find( 'input:checkbox' ).removeAttr('checked');
		clone.find( '.pck-icon-rem' ).show();
		clone.appendTo( '.packages tbody' );

		$( '.ui.checkbox' ).checkbox();
	});

	// Select package
	$( '.pck-sidebar-select-package, .pck-mobile-select-package' ).on( 'click', function( e ) {
		var $this = $( this );
		var regex = /[+-]?\d+(\.\d+)?/g;
		var indx = parseFloat( $( this ).attr( 'class' ).match( regex ) );

		$( '.pck-order' ).eq( indx ).trigger( 'click' );

		if( $this.attr('class').match( 'pck-mobile-select-package' ) ) {
			package_selection( $( '.pck-sidebar-select-package.' + indx ), '.packages-sidebar', '.pck-sidebar-select-package', 'sidebar' );
			package_selection( $this, '.packages-mobile', '.pck-mobile-select-package', 'mobile' );
		} else {
			package_selection( $this, '.packages-sidebar', '.pck-sidebar-select-package', 'sidebar' );
			package_selection( $( '.pck-mobile-select-package.' + indx ), '.packages-mobile', '.pck-mobile-select-package', 'mobile' );
		}
	});

	// Send package values
	$( '.pck-order' ).on( 'click', function( e ) {
		var $this         = $( this );
		var current_nth   = $this.index();
		var nth           = current_nth + 1;
		var pck_to_select = current_nth - 1;

		package_selection( $( '.'+pck_to_select ), '.packages-sidebar', '.pck-sidebar-select-package', 'sidebar' );

		// Check the column
		$this.children( 'div' ).children( 'input' ).prop( 'checked', true );

		// Change column color
		change_color( $this );

		// Get float value
		var regex = /[+-]?\d+(\.\d+)?/g;

		// Get and update delivery time
		var deliv_time_unformatted = $this.parent().prev( 'tr' ).prev( 'tr' ).prev( 'tr' ).children( 'td:nth-child( ' + nth + ' )' ).html();
		var deliv_time = parseFloat( deliv_time_unformatted.match( regex ) );
		$( '.single-job-delivery-time' ).html( deliv_time_unformatted );
		$( '.pck_deliv_val' ).val( deliv_time );

		// Get and update the price
		var price_formatted = $this.parent().prev( 'tr' ).children( 'td:nth-child( ' + nth + ' )' ).html();
		$( '.main_amount_box span.extra-price-inside' ).html( price_formatted );

		var price_unformatted = $this.parent().prev( 'tr' ).children( 'td:nth-child( ' + nth + ' )' ).attr( 'data-price' );
		$( '.total' ).data( 'price', price_unformatted ).attr( 'data-price', price_unformatted );
		$( '.pck_price_val' ).val( price_unformatted );
	});

});

jQuery( window ).ready( function( $ ) {
	// On load - trigger standard package click
	$( '.pck-order' ).eq( 1 ).trigger( 'click' );

	// Package - change
	$( '.pck-order, .pck-sidebar-select-package' ).on( 'click', function( e ) {
		updatePurchasePrice();
	});
});

//------------------------------------------
// Post/Edit Job Price
//------------------------------------------
jQuery( document ).ready( function( $ ) {
	var price_placeholder    = $( 'input[name="job_cost"]' ).attr( 'placeholder' );
	var custom_placeholder   = $( 'input[name="job_cost"]' ).attr( 'data-customplaceholder' );
	var packages_placeholder = $( 'input[name="job_cost"]' ).attr( 'data-packages' );

	if ( $( 'select[name="price_type"]' ).val() == 'custom' || $( 'select[name="price_type"]' ).val() == 'package' ) {
		$( 'input[name="job_cost"]' ).prop( 'disabled', true );
		if ( $( 'select[name="price_type"]' ).val() == 'custom' ) {
			$( 'input[name="job_cost"]' ).attr( 'placeholder', custom_placeholder );
		} else if ( $( 'select[name="price_type"]' ).val() == 'package' ) {
			$( 'input[name="job_cost"]' ).attr( 'placeholder', packages_placeholder );
		}
	}

	if ( $( 'select[name="price_type"]' ).val() == 'package' ) {
		$( '.packages' ).show();
		$( '#job_delivery_time_field' ).hide();
		$( '#job_instant_delivery_field' ).hide();
	} else {
		$( '.packages' ).parents( '.fields' ).hide();
	}

	$( 'select[name="price_type"]' ).change( function() {

		if ( $( this ).val() == 'package' ) {

			$( '.packages' ).show();
			$( '.packages' ).parents( '.fields' ).show();
			$( '#job_delivery_time_field' ).hide();
			$( '#job_instant_delivery_field' ).hide();

			$( 'input[name="job_cost"]' ).prop( 'disabled', true );
			$( 'input[name="job_cost"]' ).attr( 'placeholder', packages_placeholder );

		} else {

			$( '.packages' ).hide();
			$( '.packages' ).parents( '.fields' ).hide();
			$( '#job_delivery_time_field' ).show();
			$( '#job_instant_delivery_field' ).show();

			if ( $( this ).val() == 'custom' ) {
				$( 'input[name="job_cost"]' ).prop( 'disabled', true );
				$( 'input[name="job_cost"]' ).attr( 'placeholder', custom_placeholder );
			} else {
				$( 'input[name="job_cost"]' ).prop( 'disabled', false );
				$( 'input[name="job_cost"]' ).attr( 'placeholder', price_placeholder );
			}

		}

		var this_val = $( this ).val();
		Hooks.do_action( 'wpj_after_job_price_type_changed', this_val );

	});
});