jQuery( document ).ready( function( $ ) {

	// delete private message
	$( document ).on( "click", ".js-pm-delete", function( event ) {
		event.preventDefault();

		var url = $( this ).attr( 'data-href' );
		var current_pm = $( this ).parents( ".js-pm-holder" );

		$.ajax({
			url       : url,
			type      : "POST",
			data      : { delete_pm: "1" },
			beforeSend: function(){ },
			success   : function( data ) {
				$( current_pm ).fadeOut( 400, function() { $( this ).remove(); });

				if ( $( ".private-message-from-user div" ).length == 12 ) {
					$( ".private-message-from-user" ).html( "<div class='ui segment error-no-messages'>" + wpj_vars.no_messages + "</div>" );
				}
			}
		});
	});

	// delete private messages from single
	$( document ).on( "click", ".js-pm-action-delete", function( event ) {
		event.preventDefault();

		$.ajax({
			url       : $( this ).attr( 'data-href' ),
			type      : "POST",
			data      : { action_button: "1" },
			beforeSend: function(){ },
			success   : function( data ) {
				$( ".js-pm-holder" ).hide( 400 );
				$( ".pm-ajax-trigger-container" ).hide( 400 );
				window.location.href = $( ".pm-nav-inbox" ).attr( 'href' );
			}
		});
	});

	// archive, unarchive private messages from single
	$( document ).on( "click", ".js-pm-action-archive", function( event ) {
		event.preventDefault();

		$.ajax({
			url: $( this ).attr( 'data-href' ),
			type: "POST",
			data: { action_button: "1" },
			beforeSend: function() {},
			success: function( data ) {
				$( ".js-pm-action-archive" ).toggleClass( "disabled" );

				var newUrl = new URL(window.location.href);

				if ( newUrl.searchParams.get( 'type' ) === 'archived' ) {
					newUrl.searchParams.delete( 'type' );
					window.location.href = newUrl.href;

				} else {
					newUrl.searchParams.set( 'type', 'archived' );
					window.location.href = newUrl.href;
				}
			}
		});
	});

	// delete, archive, unarchive conversations from list
	$( document ).on( "click", ".js-tpm-action-listener", function( event ) {
		event.preventDefault();

		var url = $( this ).attr( 'data-href' );
		var current_pm = $( this ).parents( ".js-tpm-holder" );

		$.ajax({
			url       : url,
			type      : "POST",
			data      : { action_button: "1" },
			beforeSend: function() {},
			success   : function( data ) {
				$( current_pm ).hide( 400 );

				var actionUrl = new URL(url);
				var newUrl = new URL(window.location.href);

				if ( actionUrl.searchParams.get( 'username' ) === newUrl.searchParams.get( 'username' ) ) {

					if ( actionUrl.searchParams.get( 'unarchive_conversation' ) === '1' ) {
						newUrl.searchParams.delete( 'type' );
						window.location.href = newUrl.href;
					}

					if ( actionUrl.searchParams.get( 'archive_conversation' ) === '1' ) {
						newUrl.searchParams.set( 'type', 'archived' );
						window.location.href = newUrl.href;
					}

					if ( actionUrl.searchParams.get( 'delete_conversation' ) === '1' ) {
						newUrl.searchParams.delete( 'username' );
						window.location.href = newUrl.href;
					}
				}
			}
		});
	});

	// scroll to last message
	if ( $( ".pm-holder" ).length && wpj_vars.is_page_pm_single == 1 ) {
		$( 'html, body' ).animate({
			scrollTop: $( ".pm-holder" ).last().offset().top - 94
		}, 1000);
	}

	// private message ajax no page reload
	jQuery( document ).on( 'click', '.cmi-listen.message-field', function( e ) {
		$( '.wrapper-pm-errors' ).fadeOut( 600 );
	});

	// send message with ENTER key
	wpj_send_message_with_enter( '.submit-private-message' );

	$( '.submit-private-message' ).click( function( e ) {
		e.preventDefault();

		var otheruid = $( this ).attr( 'data-otheruid' );

		if ( wpj_vars.pm_emoji_enabled != 'no' ) {
			var message = wpj_validate_input_content( $( '.cmi-listen.message-field' ).data( 'emojioneArea' ).getText() );
		} else {
			var message = wpj_validate_input_content( $( '.cmi-listen.message-field' ).val() );
		}

		var upload     = $( 'input[name="hidden_files_pm_attachments"]' ).val();
		var request_id = $( '#pm_request_id' ).val();
		var job_id     = $( '#pm_job_id' ).val();

		if ( wpj_vars.pm_emoji_enabled != 'no' ) {
			var message_length = get_input_length_emoji( $( '.cmi-listen.message-field' ).data( 'emojioneArea' ).getText() );
		} else {
			var message_length = get_input_length( $( '.cmi-listen.message-field' ) );
		}

		if ( message == "" ) {

			wpj_focus_pm_input();

		} else if ( message_length < parseInt( wpj_vars.characters_pm_min ) ) {

			$( '.wrapper-pm-errors' ).hide().html( '<div class="ui small error message"> ' + wpj_vars.pm_min_content + ' </div>' ).fadeIn( 600 );
			wpj_focus_pm_input();

		} else if ( message_length > parseInt( wpj_vars.characters_pm_max ) ) {

			$( '.wrapper-pm-errors' ).hide().html( '<div class="ui small error message"> ' + wpj_vars.pm_max_content + ' </div>' ).fadeIn( 600 );
			wpj_focus_pm_input();

		} else {

			jQuery.ajax({
				type: 'post',
				url : wpj_vars.ajaxurl,
				data: {
					action    : 'wpj_ajax_send_message_users',
					otheruid  : otheruid,
					message   : message,
					upload    : upload,
					request_id: request_id,
					job_id    : job_id,
				},
				beforeSend: function() {
					$( '.send-my-pm' ).addClass( 'loading' );
					$( '.submit-private-message' ).addClass( 'disabled' );
				},
				success: function( data ) {
					$( '.private-message-from-user' ).append( data );
					$( '#user_messages' ).find( 'a[data-user-id="' + otheruid + '"] .js-tpm-text' ).html( message );
				},
				error: function( response ) {
					console.log( 'oops' );
				},
				complete: function() {
					$( '.send-my-pm' ).removeClass( 'loading' );
					$( '.submit-private-message' ).removeClass( 'disabled' );

					$( '.ui.dropdown' ).dropdown();

					$( '.error-no-messages' ).remove();
				}
			});

			// clear the inout
			$( '#message-pm-user' ).val( '' );
			$( '#message-pm-user' ).css( 'height', 'auto' );

			if ( wpj_vars.pm_emoji_enabled != 'no' ) {
				$( '.emojionearea-editor' ).text( '' );
			}

			// focus the input
			wpj_focus_pm_input();

			// clear the attachments queue
			$( '#uploadifive-file_upload_pm_attachments-queue' ).empty();

			// clear the errors
			$( '.wrapper-pm-errors' ).hide()

		}

	});

	// init pm counter
	jQuery( ".charlimit-message" ).counted({ count: wpj_vars.characters_pm_max });

	// auto-resize textarea based on input
	if ( wpj_vars.is_page_pm_single == 1 ) {

		// TODO: doesn't work on window resize
		$('.cmi-listen.message-field').each(function () {
			// note: this breaks the emojionearea input on Firefox
			// this.setAttribute('style', 'height:' + (this.scrollHeight) + 'px;overflow-y:hidden;');
		}).on('input propertychange change blur', function () {
			this.style.height = 'auto';
			this.style.height = (this.scrollHeight) + 'px';
		});

		MutationObserver = window.MutationObserver || window.WebKitMutationObserver;
		var observer = new MutationObserver(function(mutations, observer) {
			// fired when a mutation occurs
			// note: this triggers 70 times on first input focus for some reason

			// auto-resize content container based on input
			jQuery('.thread-wrapper').css('margin-bottom', jQuery('.thread-input').height());
		});

		// define what element should be observed by the observer
		// and what types of mutations trigger the callback
		observer.observe(document, {
			subtree: true,
			attributes: true,
			childList: true
			//...
		});
	}

	// focus pm input
	wpj_focus_pm_input();

	// settings popup position for mobile
	jQuery( window ).on( 'load resize', _.debounce( function() {
		if ( jQuery( '.js-switch-position-mobile' ).length ) {
			if ( $( this ).width() <= ( 767 ) ) {
				jQuery( '.js-switch-position-mobile' ).removeClass( 'right' );
				jQuery( '.js-switch-position-mobile' ).addClass( 'left' );
			} else {
				jQuery( '.js-switch-position-mobile' ).removeClass( 'left' );
				jQuery( '.js-switch-position-mobile' ).addClass( 'right' );
			}
		}
	}, 200 ) );

	// fire lazy load on messages scroll
	jQuery( '.thread-viewport' ).on( 'scroll', _.debounce( function(){
		if ( typeof jQuery.fn.echoLazyLoadRender == 'function' ) {
			jQuery.fn.echoLazyLoadRender();
		}
	}, 200 ) );

	jQuery( '.thread-list-viewport' ).on( 'scroll', _.debounce( function(){
		if ( typeof jQuery.fn.echoLazyLoadRender == 'function' ) {
			jQuery.fn.echoLazyLoadRender();
		}
	}, 200 ) );

});

function wpj_focus_pm_input() {
	if ( wpj_vars.is_page_pm_single == 1 ) {
		if ( wpj_vars.pm_emoji_enabled != 'no' ) {
			setTimeout(function(){
				jQuery( '.emojionearea-editor' ).focus();
			}, 300) // wait for emojionearea to be ready, there is no ready event
		} else {
			jQuery( '#message-pm-user' ).focus();
		}
	}
}

function wpj_unarchive_pm_conversation( user_nicename ) {
	jQuery.ajax({
		url    : wpj_vars.privurl_m + 'username=' + user_nicename + '&unarchive_conversation=1',
		type   : "POST",
		data   : { action_button: "1" },
		success: function( data ) {}
	});
}

function wpj_send_message_with_enter( button_class ) {

	jQuery( '.ui.checkbox.send-message-enter-key' ).checkbox({
		onChange: function() {
			jQuery.ajax({
				type: 'post',
				url : wpj_vars.ajaxurl,
				data: {
					action: 'pm_enter_key',
					value : jQuery( '#pm-enter-key' ).is( ':checked' ) ? true : false,
				},
				success: function( data ) {}
			});
		}
	});


	jQuery( document ).on( 'keypress', '.cmi-listen.message-field', function( e ) {

		if ( jQuery( '#pm-enter-key' ).is( ':checked' )
			&& jQuery( window ).width() > 767 ) {

			if ( e.keyCode == 13 && ! e.shiftKey ) {
				e.preventDefault();
				jQuery( button_class ).trigger( 'click' );
			}

		}

	});

}