jQuery( document ).ready( function( $ ) {

	// Fill request subcategory by selected categories
	$( '#request_category_field' ).find( '.delete.icon' ).click( function() {
		$( '#request_category' ).trigger( 'change' );
	});

	$( '#request_category' ).on( 'change rightnow', function( e ) {
		if ( $( this ).val().length !== 0 ) {
			var vals = $( this ).val() instanceof Array ? $( this ).val().join( ',' ) : $( this ).val();

			$.post( wpj_vars.blog_url + "/?get_subcats_for_me=1", { queryString: vals, multiple: wpj_vars.request_multiple, term_val_type: 'slug' }, function( data ) {

				if ( data && data.match( /option/g ).length > 2 ) {
					$( '#request_subcategory_field' ).show();

					if ( e.type == 'change' ) {
						$( '#request_subcategories' ).html( data );
					}

					$( '.ui.dropdown' ).dropdown( { message: { noResults: wpj_vars.nothing_found } } );
				} else {
					$( '#request_subcategory_field' ).hide();
				}

			});
		} else {
			$( '#request_subcategory_field' ).hide();
		}
	}).triggerHandler( 'rightnow' );

	// Initialize counted fields
	jQuery( ".charlimit-request-title" ).counted( {count:wpj_vars.characters_title_max} );
	jQuery( ".charlimit-request-description" ).counted( {count:wpj_vars.characters_description_max} );

	// Show/hide fields on let's meet
	$( '#request_lets_meet' ).change( function() {
		if ( this.checked ) {
			$( '.js-location-item' ).removeClass( 'hidden' );
			$( '.js-location-item' ).parent().removeClass( 'hidden' );
		} else {
			$( '.js-location-item' ).addClass( 'hidden' );
			$( '.js-location-item' ).parent().addClass( 'hidden' );
		}
	});

	// Hide div when field is disabled from admin
	jQuery( '.fields' ).each( function() {
		var this_id             = $( this );
		var hidden_fields_count = 0;
		var fields_count        = 0;

		this_id.children( '.field' ).each( function () {
			fields_count++;
			if ( $( this ).hasClass( 'hidden' ) ) {
				hidden_fields_count++;
			}
		});

		if ( fields_count == hidden_fields_count ) {
			this_id.addClass( 'hidden' );
		}
	});

	// Save autodraft post values
	// when "suggest" button is clicked
	$( '#add-edit-request-form' ).click( function() {
		if ( $( this ).attr( 'data-operation' ) == 'new' ) {
			jQuery.ajax({
				type: 'post',
				url : wpj_vars.ajaxurl,
				data: $( this ).serialize(),
				success: function( data ) {}
			});
		}
	});

});

// Validation
jQuery( document ).ready( function( $ ) {
	$.fn.form.settings.rules.request_budget = function ( inputValue ) {
		if ( $( '#request_budget_to' ).val() ) {
			return parseFloat( inputValue ) < parseFloat( $( '#request_budget_to' ).val() );
		} else {
			return true;
		}
	}

	$.fn.form.settings.rules.request_date = function ( inputValue ) {
		if ( $( '#request_end_date' ).val() ) {
			return parseInt( $( 'input[name="request_start_date"]' ).val() ) < parseInt( $( 'input[name="request_end_date"]' ).val() );
		} else {
			return true;
		}
	}

	var fields_arr = {
		title: {
			identifier : 'request_title',
			rules: [
				{
					type   : 'empty',
					prompt : wpj_vars.lbl_request_title_empty
				},
				{
					type   : 'minLength[' + wpj_vars.characters_title_min + ']',
					prompt : wpj_vars.lbl_request_title_min,
				},
				{
					type   : 'maxLength[' + wpj_vars.characters_title_max + ']',
					prompt : wpj_vars.lbl_request_title_max,
				}
			]
		},
		description: {
			identifier : 'request_description',
			rules: [
				{
					type   : 'empty',
					prompt : wpj_vars.lbl_request_description_empty
				},
				{
					type   : 'minLength[' + wpj_vars.characters_description_min + ']',
					prompt : wpj_vars.lbl_request_description_min,
				},
				{
					type   : 'maxLength[' + wpj_vars.characters_description_max + ']',
					prompt : wpj_vars.characters_request_description_max,
				}
			]
		},
		category: {
			identifier : 'request_category',
			rules: [{
				type   : 'empty',
				prompt : wpj_vars.lbl_request_category
			}]
		},
		budget: {
			identifier : 'request_budget_from',
			rules: [{
				type   : 'request_budget',
				prompt : wpj_vars.lbl_request_budget
			}]
		},
		date: {
			identifier : 'request_start_date-old',
			rules: [{
				type   : 'request_date',
				prompt : wpj_vars.lbl_request_date
			}]
		},
	};

	fields_arr = Hooks.apply_filters( 'wpj_fields_validation_filter', fields_arr, 'request' );

	jQuery( '#add-edit-request-form' ).form({
		on: 'blur',
		keyboardShortcuts: false,
		fields: fields_arr,
		onSuccess : function( e ) {
			if ( wpj_vars.is_user_logged_in != true ) {
				openRegisterModal( e );
			}
		}
	});
});

// Activate / Deactivate / Delete Modals
jQuery( function( $ ) {

	function wpj_change_request_section( my_id, status ) {

		// Increment and decrement requests count tab
		var current_tab = '';
		if ( status == 'inactive' ) { current_tab = 'active';
			jQuery( '.ticket-count-active' ).text( parseInt( jQuery( '.ticket-count-active' ).text() ) - 1 );
			jQuery( '.ticket-count-inactive' ).text( parseInt( jQuery( '.ticket-count-inactive' ).text() ) + 1 );
		} else if ( status == 'active' ) { current_tab = 'inactive';
			jQuery( '.ticket-count-active' ).text( parseInt( jQuery( '.ticket-count-active' ).text() ) + 1 );
			jQuery( '.ticket-count-inactive' ).text( parseInt( jQuery( '.ticket-count-inactive' ).text() ) - 1 );
		}

		// Show table header if initially no requests
		if ( $( '.no-requests-message' )[0] ) {
			$( '.no-requests-message' ).remove();
			jQuery( 'div.ui.tab[data-tab="' + status + '"]' ).find( '.wpj-grid-table' ).show();
		}

		// Move request to correct tab
		jQuery( '.background-request-' + my_id ).detach().prependTo( jQuery( 'div.ui.tab[data-tab="' + status + '"]' ).find( '#job_listings' ) );

		// Change active tab
		jQuery( '.item.force-white-btn[data-tab="' + status + '"]' ).trigger( 'click' );

		// Add no requests text if no more requests
		if ( ! jQuery.trim( jQuery( 'div.ui.tab[data-tab="' + current_tab + '"]' ).find( '#job_listings' ).text() ) ) {
			jQuery( 'div.ui.tab[data-tab="' + current_tab + '"]' ).find( '.wpj-grid-table' ).hide();
			jQuery( 'div.ui.tab[data-tab="' + current_tab + '"]' ).find( '#job_listings' ).parents( '.ui.tab' ).append( '<span class="no-requests-message">' + wpj_vars.no_requests + '</span>' );
		}
	}

	$( document ).on( 'click', '.open-deactivate-request', function() {
		$( '.ajax_deactivate_request' ).attr( 'data-id', $( this ).attr( 'data-id' ) );

		$( '.request-title-modal' ).html( wpj_validate_input_content( $( this ).attr( 'data-title' ) ) );

		$( '.ui.modal.deactivate-request' )
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' );
	});

	$( document ).on( 'click', '.ajax_deactivate_request', function( event ) {

		event.preventDefault();

		var my_id = $( this ).attr( 'data-id' );

		jQuery.ajax({
			type: 'post',
			url : wpj_vars.ajaxurl,
			data: {
				action      : 'wpj_ajax_deactivate_request',
				var_post_id : my_id
			},
			beforeSend: function() {
				$( '.ajax_deactivate_request' ).addClass( 'loading' );
			},
			success: function( response ) {
				if ( response == 'success' ) {
					$( '.background-request-' + my_id + ' .open-deactivate-request' ).html( wpj_vars.activate );
					$( '.background-request-' + my_id + ' .open-deactivate-request' ).addClass( 'open-activate-request' ).removeClass( 'open-deactivate-request' );
					$( '.background-request-' + my_id + ' .request-status .oe-green' ).addClass( 'oe-yellow' ).removeClass( 'oe-green' );
					$( '.background-request-' + my_id + ' .request-status .oe-yellow' ).html( wpj_vars.paused );

					$( '.ui.modal.deactivate-request' ).modal( 'hide' );

					wpj_change_request_section( my_id, 'inactive' );

				} else if ( response == 'not_your_post' ) {
					$( '.content.deactivate-request' ).text( 'This is not your post.' );
				} else if ( response == 'not_logged_in' ) {
					$( '.content.deactivate-request' ).text( 'You need to login.' );
				}
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ajax_deactivate_request' ).removeClass( 'loading' );
			}
		});

		return false;
	});

	$( document ).on( 'click', '.open-activate-request', function() {
		$( '.ajax_activate_request' ).attr( 'data-id', $( this ).attr( 'data-id' ) );

		$( '.request-title-modal' ).html( wpj_validate_input_content( $( this ).attr( 'data-title' ) ) );

		$( '.ui.modal.activate-request' )
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' );
	});

	$( document ).on( 'click', '.ajax_activate_request', function( event ) {
		var my_id = $( this ).attr( 'data-id' );

		event.preventDefault();

		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : {
				action      : 'wpj_ajax_activate_request',
				var_post_id : my_id
			},
			beforeSend: function() {
				$( '.ajax_activate_request' ).addClass( 'loading' );
			},
			success: function( response ) {

				if ( response == 'success' ) {
					$( '.background-request-' + my_id + ' .open-activate-request' ).html( wpj_vars.deactivate );
					$( '.background-request-' + my_id + ' .open-activate-request' ).addClass( 'open-deactivate-request' ).removeClass( 'open-activate-request' );
					$( '.background-request-' + my_id + ' .request-status .oe-yellow' ).addClass( 'oe-green' ).removeClass( 'oe-yellow' );
					$( '.background-request-' + my_id + ' .request-status .oe-green' ).html( wpj_vars.published );

					$( '.ui.modal.activate-request' ).modal( 'hide' );

					wpj_change_request_section( my_id, 'active' );

				} else if ( response == 'not_your_post' ) {
					$( '.content.activate-request' ).text( 'This is not your post.' );
				} else if ( response == 'no_credits' ) {
					$( '.content.activate-request' ).text( wpj_vars.no_credits );
				} else if ( response == 'not_logged_in' ) {
					$( '.content.activate-request' ).text( 'You need to login.' );
				}
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ajax_activate_request' ).removeClass( 'loading' );
			}
		});

		return false;
	});

	$( document ).on( 'click', '.request-open-modal', function() {
		$( '.ajax_delete_request' ).attr( 'data-request-id', $( this ).attr( 'data-request-id' ) );

		$( '.request-title-modal' ).html( $( this ).attr( 'data-title-request' ) );

		$( '.ui.modal.delete-request' )
			.modal( 'setting', 'transition', 'fly down' )
			.modal( 'show' );
	});

	$( document ).on( 'click', '.ajax_delete_request', function( event ) {

		event.preventDefault();

		var my_id = $( this ).attr( 'data-request-id' );

		jQuery.ajax({
			type : 'post',
			url  : wpj_vars.ajaxurl,
			data : {
				action      : 'wpj_ajax_request_delete',
				var_post_id : my_id
			},
			beforeSend: function() {
				$( '.ajax_delete_request' ).addClass( 'loading' );
			},
			success: function( response ) {
				if ( response = 'success' ) {

					// Remove current request
					$( '.background-request-' + my_id ).css( 'background-color', '#df3f3f' );
					$( '.background-request-' + my_id ).slideUp( 800, function() {

						$( this ).remove();

						// Close modal
						$( '.ui.modal.delete-request' ).modal( 'hide' );

						// Name of active tab
						var active_tab  = jQuery( '.item.force-white-btn.active' ).attr( 'data-tab' );

						// Decrement requests count tab
						var active_elem = jQuery( 'div.item.force-white-btn[data-tab="' + active_tab + '"]' );
						active_elem.find( 'span' ).text( parseInt( active_elem.find( 'span' ).text() ) - 1 );

						// Add no requests text if no more requests
						if ( ! jQuery.trim( jQuery( 'div.ui.tab[data-tab="' + active_tab + '"]' ).find( '#job_listings' ).text() ) ) {
							jQuery( 'div.ui.tab[data-tab="' + active_tab + '"]' ).find( '.wpj-grid-table' ).remove();
							jQuery( 'div.ui.tab[data-tab="' + active_tab + '"]' ).append( '<span class="no-request-message">' + wpj_vars.no_requests + '</span>' );
						}

					});

				} else if ( response = 'not_your_post' ) {
					$( '.content.delete-request' ).text( 'This is not your post.' );
				} else if ( response = 'not_logged_in' ) {
					$( '.content.delete-request' ).text( 'You need to login.' );
				}
			},
			error: function( response ) {
				console.log( 'Error: ' + response );
			},
			complete: function() {
				$( '.ajax_delete_request' ).removeClass( 'loading' );
			}
		});

		return false;
	});
});

// View more button & Errors
jQuery( window ).ready( function( $ ) {
	$.fn.requestFunctions = function() {
		$( 'html' ).on( 'click', function() {
			$( ".request-error-container" ).slideUp( 400 );
		});

		$( 'html' ).on( 'click', '.request-error', function( event ) {
			if ( $( this ).siblings( ".request-error-container" ).css( "display" ) == "inline-block" ) {
				$( this ).siblings( ".request-error-container" ).slideUp( 400 );
				event.stopPropagation();
			} else {
				$( this ).siblings( ".request-error-container" ).slideDown( 400 );
				event.stopPropagation();
			}
		});

		$( 'html' ).on( 'click', '.request-view-more-link', function( event ) {
			var attr = $( this ).attr( 'href' );
			if ( typeof attr === typeof undefined || attr === false ) {
				if ( $( this ).parents( '.request-job-wrapper' ).find( '.request-content-view-more' ).is( ':visible' ) ) {
					$( this ).text( wpj_vars.view_more );
				} else {
					$( this ).text( wpj_vars.show_less );
				}
			}

			var requestid = $( this ).data( 'requestid' );
			$( '#request-' + requestid + ' .request-right-view-more' ).slideToggle( 400 );
			$( '#request-' + requestid + ' .request-content-view-more' ).slideToggle( 400 );
			$( '#request-' + requestid + ' .request-content-title' ).slideToggle( 400 );

			if ( $( '#request-' + requestid + ' .request-content-view-more' ).css( "display" ) != "none" ) {
				$( '#request-' + requestid + ' .request-map' ).each( function() {
					var embed ="<iframe class='request-google-map' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='https://maps.google.com/maps?&amp;q=" + encodeURIComponent( $( this ).data( 'address' ) ) + "&amp;output=embed'></iframe>";
					$( this ).html( embed );
				});
			}
		});
	}

	$.fn.requestFunctions();
});
