jQuery( document ).ready( function( $ ) {

	var search_jobs_url     = wpj_vars.search_jobs_url + '?term=';
	var search_requests_url = wpj_vars.search_requests_url + '?term=';
	var search_users_url    = wpj_vars.search_users_url + '?user=';
	var user_profile_url    = wpj_vars.user_profile_url;
	var jobs_label          = wpj_vars.jobs_label;
	var requests_label      = wpj_vars.requests_label;
	var users_label         = wpj_vars.users_label;
	var search_users_label  = '<span class="no-highlight">' + wpj_vars.search_users_label + '</span> ';

	$('.nh-search-container').each( function() {
		search_autocomplete_init( $(this) );
	});
	$('.autocomplete-search').each( function() {
		search_autocomplete_init( $(this) );
	});
	$('.wpj-search-autocomplete').each( function() {
		search_autocomplete_init( $(this) );
	});

	// search init
	function search_autocomplete_init( $container ) {
		var search_timeout;

		var $input = $container.find('input[type="text"]');
		$input.on('keyup keydown keypress', function() {
			$container.addClass('loading');
			clearTimeout(search_timeout);
			search_timeout = setTimeout(function() {
				search_when_done_typing($container, $input);
			}, 250);
		});

		$container.append('<div class="autocomplete-list-container"></div>');
		//$container.append('<i class="autocomplete-icon notched circle loading icon" style="display: none"></i>');

		var $list = $container.find('.autocomplete-list-container');

		$('html').click(function() {
			$list.slideUp(150);
		});

		$container.click(function(event) {
			$list.slideDown(150);
			event.stopPropagation();
		});
	}



	// search ajax
	function search_when_done_typing( $container, $input ) {

		function autocomplete_item_html( item_html, item_input, item_class ) {

			if ( item_class == '' ) {
				item_class = 'autocomplete';
			}

			var cnt_open  = '';
			var cnt_close = '';

			if ( item_input != '' ) {
				cnt_open  = '<div class="autocomplete-text">';
				cnt_close = '</div>';
			}

			var a_href_open  = '';
			var a_href_close = '';
			var item_icon    = '';

			if ( item_class == 'autocomplete-search-jobs' ) {
				a_href_open  = '<a href="' + search_jobs_url + item_input + '" class="js-internal">';
				a_href_close = '</a>';
				item_icon    = '<i class="search icon"></i>';
			}
			if ( item_class == 'autocomplete-search-requests' ) {
				a_href_open  = '<a href="' + search_requests_url + item_input + '" class="js-internal">';
				a_href_close = '</a>';
				item_icon    = '<i class="search icon"></i>';
			}
			if ( item_class == 'autocomplete-search-users' ) {
				a_href_open  = '<a href="' + search_users_url + item_input + '" class="js-internal">';
				a_href_close = '</a>';
				item_icon    = '<i class="search icon"></i>';
			}
			if ( item_class == 'autocomplete-user' ) {
				a_href_open  = '<a href="' + user_profile_url + item_input + '" class="js-internal">';
				a_href_close = '</a>';
				item_icon    = '<i class="user icon"></i>';
			}

			var item_return =
				'<div class="autocomplete-item">'
					+ a_href_open
						+ '<div class="' + item_class + '" data-input="' + item_input + '">'
							+ cnt_open
								+ item_icon + item_html
							+ cnt_close
						+ '</div>'
					+ a_href_close
				+ '</div>';

			return item_return;
		}

		var action = 'search_autocomplete_ajax';
		var input  = wpj_validate_input_content( $input.val() );

		var data = {
			'action': action,
			'input': input
		};

		$.post( wpj_vars.ajaxurl, data, function( response ) {

			var arr = JSON.parse( response );

			var items_html = '';
			if ( input != '' && input != ' ' ) {
				items_html += '<div class="autocomplete-list">';

				if(wpj_vars.allow_job == 'yes'){
					items_html += autocomplete_item_html( jobs_label, '', 'autocomplete-title' );
					if ( arr['jobs'].length ) {
						for ( var i = 0; i < arr['jobs'].length; i++ ) {
							items_html += autocomplete_item_html( arr['jobs'][i], arr['jobs'][i], 'autocomplete-search-jobs' );
						}
					} else {
						items_html += autocomplete_item_html( input, input, 'autocomplete-search-jobs' );
					}
				}

				if(wpj_vars.allow_request == 'yes'){
					items_html += autocomplete_item_html( requests_label, '', 'autocomplete-title' );
					if ( arr['requests'].length ) {
						for ( var i = 0; i < arr['requests'].length; i++ ) {
							items_html += autocomplete_item_html( arr['requests'][i], arr['requests'][i], 'autocomplete-search-requests' );
						}
					} else {
						items_html += autocomplete_item_html( input, input, 'autocomplete-search-requests' );
					}
				}

				if(wpj_vars.allow_users == 'yes'){
					items_html += autocomplete_item_html( users_label, '', 'autocomplete-title');
					items_html += autocomplete_item_html( search_users_label + input, input, 'autocomplete-search-users');
					if ( arr['users'].length ) {
						for ( var i = 0; i < arr['users'].length; i++ ) {
							if ( arr['companies'].length ) {
								items_html += autocomplete_item_html( arr['users'][i] + arr['companies'][i], arr['users'][i], 'autocomplete-user');
							} else {
								items_html += autocomplete_item_html( arr['users'][i], arr['users'][i], 'autocomplete-user');
							}
						}
					}
				}

				items_html += '</div>';
			}

			$container.find('.autocomplete-list-container').html( items_html );

			$container.find('.autocomplete-list-container .autocomplete-item').each( function() {
				$(this).find( '.autocomplete-text' ).highlight( input );
			});

			$container.removeClass('loading');

			jQuery( 'a.js-internal' ).off( 'click.js-internal' ).on( 'click.js-internal', function() {
				var obj = {
					isExternal    : false,
					isTargetBlank : jQuery( this ).attr( 'target' ) ? jQuery( this ).attr( 'target' ) === '_blank' : false,
					currentUrl    : window.location.href,
					nextUrl   : jQuery( this ).attr( 'href' )
				};
				window.parent.postMessage( {data: obj}, "*" );
			});
		});
	}

	// highlight jquery
	jQuery.extend({
		highlight: function (node, re, nodeName, className) {
			if (node.nodeType === 3) {
				var match = node.data.match(re);
				if (match) {
					var highlight = document.createElement(nodeName || 'span');
					highlight.className = className || 'highlight';
					var wordNode = node.splitText(match.index);
					wordNode.splitText(match[0].length);
					var wordClone = wordNode.cloneNode(true);
					highlight.appendChild(wordClone);
					wordNode.parentNode.replaceChild(highlight, wordNode);
					return 1; //skip added node in parent
				}
			} else if ((node.nodeType === 1 && node.childNodes) && // only element nodes that have children
					!/(script|style)/i.test(node.tagName) && // ignore script and style nodes
					!(node.tagName === nodeName.toUpperCase() && node.className === className)) { // skip if already highlighted
				for (var i = 0; i < node.childNodes.length; i++) {
					i += jQuery.highlight(node.childNodes[i], re, nodeName, className);
				}
			}
			return 0;
		}
	});

	jQuery.fn.unhighlight = function (options) {
		var settings = { className: 'highlight', element: 'span' };
		jQuery.extend(settings, options);

		return this.find(settings.element + "." + settings.className).each(function () {
			var parent = this.parentNode;
			parent.replaceChild(this.firstChild, this);
			parent.normalize();
		}).end();
	};

	jQuery.fn.highlight = function (words, options) {
		var settings = { className: 'highlight', element: 'span', caseSensitive: false, wordsOnly: false };
		jQuery.extend(settings, options);

		if (words.constructor === String) {
			words = [words];
		}
		words = jQuery.grep(words, function(word, i){
		return word != '';
		});
		words = jQuery.map(words, function(word, i) {
		return word.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
		});
		if (words.length == 0) { return this; };

		var flag = settings.caseSensitive ? "" : "i";
		var pattern = "(" + words.join("|") + ")";
		if (settings.wordsOnly) {
			pattern = "\\b" + pattern + "\\b";
		}
		var re = new RegExp(pattern, flag);

		return this.each(function () {
			jQuery.highlight(this, re, settings.element, settings.className);
		});
	};

	jQuery( '#big-search-submit' ).click( function( e ) {
		e.preventDefault();
		jQuery( this ).parents( 'form' ).trigger( 'submit' );
	});
});

function wpj_big_search_top() {

	function suggest( inputString ) {
		if ( inputString.length == 0 ) {
			jQuery( '#suggestions' ).fadeOut();
		} else {
			jQuery( '#big-search' ).addClass( 'load' );
			jQuery.post( "<?php echo get_admin_url(null, '/admin-ajax.php?action=autosuggest_it'); ?>", {queryString: ""+inputString+""}, function( data ) {
				if( data.length > 0 ) {
					var stringa = data.charAt( data.length - 1 );
					if ( stringa == '0' ) data = data.slice( 0, -1 );
					else data = data.slice( 0, -2 );
					jQuery( '#suggestions' ).fadeIn();
					jQuery( '#suggestionsList' ).html(data);
					jQuery( '#big-search' ).removeClass( 'load' );
				}
			});
		}
	}

	function fill( thisValue ) {
		jQuery( '#big-search' ).val( thisValue );
		setTimeout( "jQuery('#suggestions').fadeOut();", 600 );
	}

	jQuery( document ).ready( function() {
		jQuery( ".expnd_col" ).click( function() {
			var rels = jQuery( this ).attr( 'rel' );
			jQuery( "#term_submenu" + rels ).toggle();

			return false;
		});


		//Auto load script
		jQuery.fn.isOnScreen = function() {
			var win = jQuery( window );

			var viewport = {
				top : win.scrollTop(),
				left : win.scrollLeft()
			};

			viewport.right = viewport.left + win.width();
			viewport.bottom = viewport.top + win.height();

			var bounds = this.offset();
			bounds.right = bounds.left + this.outerWidth();
			bounds.bottom = bounds.top + this.outerHeight();

			return ( ! ( viewport.right < bounds.left || viewport.left > bounds.right || viewport.bottom < bounds.top || viewport.top > bounds.bottom ) );
		};

		if ( jQuery( '.auto-load' ).length ) {
			jQuery( window ).on( 'scroll', function() {
				if ( jQuery( '.auto-load' ).isOnScreen() === true ) {
					if ( ( jQuery( '.auto-load' ).css( 'display' ) != 'none' ) && ( ! jQuery( '.auto-load' ).hasClass( 'loading' ) ) ) {
						jQuery( "div.auto-load" ).trigger( "click" );
					}
				}
			});
		}
	});
}
