jQuery( document ).ready( function( $ ) {
	// ON TEMPLATE CHANGE
	$( '#page_template' ).on( 'change rightnow', function() {
		if ( $( this ).val() == 'page-templates/page-post-edit-job.php' || $( this ).val() == 'page-templates/page-user-profile.php' || $( this ).val() == 'page-templates/page-post-edit-request.php' ) {

			if ( $( this ).val() == 'page-templates/page-post-edit-job.php' ) {
				page_name = "Post New Job";
				assignment = "post new/edit job";
			} else if ( $( this ).val() == 'page-templates/page-user-profile.php' ) {
				page_name = "User Profile";
				assignment = "user profile";
			} else if ( $( this ).val() == 'page-templates/page-post-edit-request.php' ) {
				page_name = "Post New Request";
				assignment = "post new/edit request";
			} else {
				page_name = "";
				assignment = "";
			}

			$( "<div class='notice notice-info builder-notice is-dismissible'>\
				<p><font color='#ff0000'><b>ATTENTION</b></font></p>\
				<p>To use this feature you need to do the following steps:</p>\
				<ol>\
					<li>Go to wp-config.php and insert <code>ini_set( 'display_errors', 'Off' );</code> after the line where you define WP_DEBUG</li>\
					<li>Go to Dashboard->Jobster->General settings->Page assignments and select this page for '" + page_name + "'</li>\
					<li>Add or edit fields for " + assignment + " page</li>\
					<li>For multiple languages go to Settings->ACF qTranslate, check 'Enable translation for Standard Field Types' and click 'Save Changes' button</li>\
				</ol>\
			</div>" ).insertAfter( $( ".wp-header-end" ) );
		} else {
			$( '.builder-notice' ).remove();
		}
	}).triggerHandler( 'rightnow' );

	// CHECK CURRENT ORDER
	$( 'a.mark-order-completed' ).on( 'click', function( e ) {

		if ( $( this ).hasClass( 'paypal' ) ) {
			e.preventDefault();

			$( this ).parents( 'tr' ).find( 'input[type="checkbox"]' ).prop( "checked", true );

			$( '#processPayRequest' ).trigger( 'click' );
		}

	});

	// FILTER FOR E-MAIL DEMO ACCOUNT
	if ( wpj_vars.current_role == "demo_admin" ) {
		$( '[data-colname="Email"]').html( 'demo@wpjobster.com' );
		$( '#admin_email').val( 'demo@wpjobster.com' );
	}

	// E-MAIL/SMS SETTINGS
	if ( $.fn.accordion ) {
		jQuery( '.ui.accordion' ).accordion();
	}

	if ( $( "#email-notifications" )[0] && wpj_vars.allow_html_emails == 'yes' ) {
		wpj_initialize_tinymce( $( '#' + $( '.acc-nav' ).find( '.menu.active' ).find( '.item.active' ).attr( 'data-item' ) ).find( 'textarea' ) );
	}

	$( '.acc-nav .item' ).on( "click", function( e ) {
		e.preventDefault();

		$( '.acc-nav .item' ).removeClass( 'active' );
		$( '.hidden-tab' ).removeClass( 'active' );
		$( this ).addClass( 'active' );
		$( '#' + $( this ).data( 'item' ) ).addClass( 'active' );

		if ( $( this ).parents( "#email-notifications" )[0] && wpj_vars.allow_html_emails == 'yes' ) {
			wpj_initialize_tinymce( $( '#' + $( this ).data( 'item' ) ).find( 'textarea' ) );
		}
	});

	// PAGE ASSIGNMENTS
	$( '.wpj-page-assignments' ).on( 'change', function() {
		var id   = 'span#' + $( this ).attr( 'id' ) + ' a';
		var addr = 'post.php?post=' + $( this ).val() + '&action=edit';
		$( id ).attr( 'href', addr );
	});

	// LESS COMPILER
	function wpj_compile_less(file){
		var lessCode = '';
		var xmlhttp = new XMLHttpRequest();

		xmlhttp.onreadystatechange = function(){
			if( xmlhttp.status == 200 && xmlhttp.readyState == 4 ) {
				var options = {}
				lessCode = xmlhttp.responseText;
				less.render(lessCode, options, function (error, output) {
					if(!error) {
						jQuery(document).ready(function($){
							data = output.css;
							$.ajax({
								type: "POST",
								url: wpj_vars.ajaxurl,
								data: {
									action: 'wpjobster_save_less_css_file',
									content: data,
								},
								success: function(msg) {
									$('.spinner').css('visibility','hidden');
									$('#save').val('Compilation Completed');
									$('.save-notify').html('Done.<br>You can close the windows now.');
								}
							});
						});
					}
				});
			}
		};

		xmlhttp.open("GET",file,true);
		xmlhttp.send();
	}

	function wpj_save_button_action() {
		var $ = jQuery.noConflict();

		$( '<div class="is-compiler-event" style="display: none;"></div>' ).insertAfter( '#customize-control-primary_color' );

		$( '#save' ).on( 'click', function(e) {
			var style = '\
				<style>\
					.save-notify {\
						position: absolute;\
						top: 55px;\
						line-height: 15px;\
						text-align: left;\
						left: 12px;\
					}\
					#customize-info,\
					li.customize-section-description-container.section-meta {\
						margin-top: 50px;\
					}\
				</style>\
			';

			$( '.spinner' ).css( 'visibility', 'visible' );

			if ( $( '.save-notify' ).length ) {
				$( '.save-notify' ).html( 'Please wait...<br />(up to 1 minute)' );
			} else {
				$( '<span class="save-notify">Please wait...<br />(up to 1 minute)</span>' ).insertAfter( '#save' );
			}

			$( style ).insertAfter( '#save' );

			wpj_compile_less( wpj_vars.semantic_file_url );
		});
	}

	if ( window.location.href.indexOf( "color_options_main" ) >= 0 ) {
		wpj_save_button_action();
	}

	// SAVE CUSTOMIZATION SETTINGS
	if ( typeof wp.customize !== 'undefined' ) {
		wp.customize( 'primary_color', function( value ) {
			value.bind( function( state ) {
				if ( ! $( '.is-compiler-event' )[0] ) {
					wpj_save_button_action();
				}
			});
		});

		wp.customize( 'secondary_color', function( value ) {
			value.bind( function( state ) {
				if ( ! $( '.is-compiler-event' )[0] ) {
					wpj_save_button_action();
				}
			});
		});
	}

	// SUBSCRIPTION E-MAIL
	$( ".price_update" ).on( "click", function() {
		var $this = $( this );
		$this.val( wpj_vars.please_wait_lbl );

		$.ajax({
			method : 'get',
			url : wpj_vars.blog_url + '/?_update_email_sendto_id=' + this.id,
			dataType : 'text',
			success: function ( text ) {
				json_data = JSON.parse( text );
				if ( json_data.msg == 'done' ) {
					$this.val( wpj_vars.sent_lbl );
					setTimeout( function(){
						$this.val( 'Send email' )
					}, 2000 );
				}
			}
		});
	});

	// SUBSCRIPTION ICON
	function checkImage( src, good, bad ) {
		var img = new Image();
		img.onload = good;
		img.onerror = bad;
		img. src = src;
	}
	jQuery( ".icon-url" ).blur( function() {
		checkImage( this.value, function() {
			jQuery( "#" + this.id + "_img" ).attr( "src", this.src );
		}, function() {
			alert( wpj_vars.url_error_lbl );
		});
	});

	// UPDATE USER LEVEL
	$( '.js-user-level' ).change( function(){
		$( '.btn_update_user_level' ).attr( 'value', wpj_vars.lvl_update_lbl );
	});

	$( '.btn_update_user_level*' ).click( function() {
		$this = $( this );
		var id = $( this ).attr( 'alt' );

		if ( $('#user_level_3_' + id ).is( ':checked' ) ) var user_level_3_ = '1'; else var user_level_3_ = '0';
		if ( $('#user_level_1_' + id ).is( ':checked' ) ) var user_level_1_ = '1'; else var user_level_1_ = '0';
		if ( $('#user_level_2_' + id ).is( ':checked' ) ) var user_level_2_ = '1'; else var user_level_2_ = '0';
		if ( $('#user_level_0_' + id ).is( ':checked' ) ) var user_level_0_ = '1'; else var user_level_0_ = '0';

		var $this = $( this );
		$this.val( wpj_vars.please_wait_lbl );

		$.ajax({
			url: wpj_vars.ajaxurl,
			type: 'POST',
			data: 'action=update_level_user&uid=' + id + '&level3=' + user_level_3_ + '&level1=' + user_level_1_ + '&level2=' + user_level_2_ + '&level0=' + user_level_0_,
			success: function ( text ) {
				$this.val( wpj_vars.lvl_saved_lbl );
				return false;
			}
		});
	});

	// UPDATE USER BALANCES
	if ( ! wpj_vars.is_demo_admin ) {
		$( '.js-user-balances' ).click( function(){
			$( '.btn_update_user_balances' ).attr( 'value', wpj_vars.lvl_update_lbl );
		});

		$( '.btn_update_user_balances*' ).click( function() {
			$this = $( this );
			var id               = $( this ).attr( 'alt' );

			var increase_credits = $( '#increase_credits' + id ).val();
			var decrease_credits = $( '#decrease_credits' + id ).val();

			var $this = $( this );
			$this.val( wpj_vars.please_wait_lbl );

			$.ajax({
				url: wpj_vars.ajaxurl,
				type: 'POST',
				data: 'action=update_users_balance&increase_credits=' + increase_credits + '&uid=' + id + '&decrease_credits=' + decrease_credits,
				success: function ( text ) {
					$this.val( wpj_vars.lvl_saved_lbl );

					text = text.slice( 0, -1 );
					$( '#money' + id ).html(text);
					$( '#increase_credits' + id ).val( '' );
					$( '#decrease_credits' + id ).val( '' );

					return false;
				}
			});
		});
	}

	// ADD JOB COST
	$( '.js-add-job-cost' ).click( function( e ) {
		e.preventDefault();

		var id = $( 'input[name="newcost"]' ).val();
		$.ajax({
			type: "POST",
			url: wpj_vars.ajaxurl,
			data: "add_variable_job_fee=" + id,
			success: function( msg ) {
				obj = JSON.parse( msg );

				if ( $( '.js-tr-labels' ).length ) {
					$( '.js-tr-labels' ).show();
				} else {
					var labels = '\
						<tr class="dropdown-values js-tr-labels" style="">\
							<td valign="top" width="22"></td>\
							<td><b>' + wpj_vars.lbl_cost + '</b></td>\
							<td><b>' + wpj_vars.lbl_options + '</b></td>\
						</tr>\
					';
					$( labels ).insertAfter( $( '[class^="dropdown-values"]' ).last() );
				}

				var content = '\
					<tr class="dropdown-values" id="js-job-cost-' + obj['id'] + '" style="">\
						<td></td>\
						<td>' + obj['price'] + '</td>\
						<td><a href="#" rel="' + obj['id'] + '" class="js-delete-job-cost">Delete</a></td>\
					</tr>\
				';
				$( content ).insertAfter($('[class^="dropdown-values"]').last());

				$( 'input[name="newcost"]' ).val( '' );
			}
		});
	});

	// DELETE JOB COST
	$( document ).on( 'click', '.js-delete-job-cost', function() {
		var id = $( this ).attr( 'rel' );
		$.ajax({
			type: "POST",
			url: wpj_vars.ajaxurl,
			data: "delete_variable_job_fee=" + id,
			success: function( msg ) {
				$( "#js-job-cost-" + id ).remove();

				if ( ! $( '.js-delete-job-cost' ).length ) {
					$( '.js-tr-labels' ).hide();
				}
			}
		});
	});

	// PRICING SETTING - SHOW/HIDE PRICE TYPE
	$( '#wpjobster_price_type' ).on( 'change rightnow', function() {
		if ( $( this ).val() == 'fixed_amount' ) {
			$( '.fixed-amount' ).show();
			$( '.dropdown-values' ).hide();
			$( '.rate-values' ).hide();
		} else if ( $( this ).val() == 'dropdown_values' ) {
			$( '.dropdown-values' ).show();
			$( '.rate-values' ).hide();
			$( '.fixed-amount' ).hide();
		} else {
			$( '.rate-values' ).show();
			$( '.fixed-amount' ).hide();
			$( '.dropdown-values' ).hide();
		}
	}).triggerHandler( 'rightnow' );

	// ORDER ARBITRATION
	$( document ).on( 'click', '.js-complete-arbitration', function() {
		$( this ).find( 'i' ).attr( 'class', 'disabled circle notch icon' );

		var id = $( this ).attr( 'data-id' );
		var action = $( this ).attr( 'data-action' );
		$.ajax({
			type: "POST",
			url: wpj_vars.ajaxurl,
			data: "arbitration_id=" + id + "&arbitration_for=" + action + "&message=" + $( this ).parents( 'tr' ).find( 'textarea' ).val(),
			success: function( msg ) {
				location.reload();
			}
		});
	});

});

// LOCATION
jQuery( window ).ready( function( $ ) {
	$( '#location_input' ).keydown( function( event ) {
		if ( ( event.keyCode == 13 ) ) {
			event.stopPropagation();
			return false;
		}
	});
});

// TODO: Implement TomTom API in admin
( function ( $ ) {
	$.fn.wpjMapsInit = function() {
		if ( typeof google !== 'undefined' ) {
			if ( jQuery( '.js-location-autocomplete' ).length ) {
				jQuery( '.js-location-autocomplete' ).each( function() {
					var location_input = jQuery( this );
					if ( ! location_input.is( 'input' ) ) {
						location_input = location_input.find( 'input' );
					}

					var options = {
						componentRestrictions: {country: wpj_vars.locations_country},
						types: ['(cities)']
					}

					var autocomplete = new google.maps.places.Autocomplete( location_input[0], options );

					google.maps.event.addListener( autocomplete, 'place_changed', function() {
						var place = autocomplete.getPlace();
						if ( place.geometry ) {
							location_input.next( 'input' ).val( place.geometry.location.lat() );
							location_input.next( 'input' ).next( 'input' ).val( place.geometry.location.lng() );
						}
					});
				});
			}
		}
	}

	if ( typeof google.maps !== 'undefined' ) {
		google.maps.event.addDomListener( window, 'load', $.fn.wpjMapsInit );
	}
} ( jQuery ) );

jQuery( document ).ready( function( $ ) {
	// show active arbitration notify number
	if ( wpj_vars.arbitration_number && wpj_vars.arbitration_number != 0 ) {

		// left bar
		$( '.count_arbitration' ).addClass( 'update-plugins' ).addClass( 'count-' + wpj_vars.arbitration_number );
		$( '.count_arbitration' ).html( '<span class="plugin-count">' + parseInt( wpj_vars.arbitration_number ) + '</span>' );
		if ( $( '.count_arbitration' ).parents( 'li' ).hasClass( 'current' ) ) {
			$( 'li.current' ).find( 'a.current' ).addClass( 'wp-has-current-submenu' );
		}

		// admin bar
		var current_name = $( '.admin-bar-cnt-arb' ).find( 'a' ).attr( 'title' );
		$( '.admin-bar-cnt-arb' ).find( 'a' ).attr( 'id', 'adminmenu' );
		$( '.admin-bar-cnt-arb' ).find( 'a' ).html( current_name + '<span class="count-arbitration-bar update-plugins count-' + wpj_vars.arbitration_number + '"><span class="plugin-count">' + wpj_vars.arbitration_number + '</span></span>' );

		var current_name_bar = $( '#wp-admin-bar-PT1_admin_mnu.menupop' ).find( 'a' ).first().attr( 'title' );
		$( '#wp-admin-bar-PT1_admin_mnu.menupop' ).find( 'a' ).first().attr( 'id', 'adminmenu' );
		$( '#wp-admin-bar-PT1_admin_mnu.menupop' ).find( 'a' ).first().html( current_name_bar + '<span class="count-arbitration-bar update-plugins count-' + wpj_vars.arbitration_number + '"><span class="plugin-count">' + wpj_vars.arbitration_number + '</span></span>' );
	}

	// select jobster menu first tab
	if ( getUrlParameter( 'active_tab' ) ) {
		var selected_tab = getUrlParameter( 'active_tab' );
	} else {
		var selected_tab = jQuery( '#usual2 ul:first' ).next( 'div' ).attr( 'id' );
	}

	if ( ! selected_tab ) { selected_tab = 'tabs1'; }

	if ( selected_tab ) {
		jQuery( "#usual2 ul" ).idTabs( selected_tab );
		jQuery( ".tltp_cls" ).tipTip({ maxWidth: "330" });
	}

	// show html5 progress bar and images
	if ( $( '.html5fileupload' )[0] ) {

		var pid = $( '#pid' ).val();
		var cid = $( '#cid' ).val();

		$.html5fileupload.defaults = {
			showErrors       : true,
			url              : null,
			downloadUrl      : null,
			removeUrl        : null,
			removeDone       : false,
			removeDoneDelay  : 1200,
			file             : null,
			edit             : true,
			randomName       : false,
			randomNameLength : 8,
			form             : false,
			data             : { ID: pid, author: cid },
			ajax             : true,
			ajaxType         : 'POST',
			ajaxDataType     : 'json',
			ajaxHeaders      : {},
			multiple         : false,
			validExtensions  : null,
			validMime        : null,
			labelInvalid     : null,
			autostart        : false,
			minFilesize      : 0,
			maxFilesize      : 2048000,
			labelMinFilesize : null,
			labelMaxFilesize : null,
			regexp           : /^[^\\/:\*\?"<>\|]+$/,
		}

		$( '.html5fileupload.demo_multi' ).html5fileupload({
			onAfterStartSuccess: function( response ) {
				if ( response.error == '' ) {
					$( '#thumbnails' ).append(
						'<div class="div_div" id="image_ss' + response.attach_id + '" data-pid="' + pid + '" image_id="' + response.attach_id + '">\
							<img width="90" class="image_class" height="90" src="' + response.go + '" />\
							<a href="javascript: void(0)" onclick="delete_this_file(' + response.attach_id + ')" class="delete-this"></a>\
						</div>' );
				} else {
					alert( response.error );
				}
			}
		});
	}

	// show/hide job work samples inputs
	$( '#wpjobster_enable_review_work_samples' ).on( 'change rightnow', function() {
		if ( $( this ).val() == 'yes' ) {
			$( '.js-hide-work-samples-options' ).show();
		} else {
			$( '.js-hide-work-samples-options' ).hide();
		}
	}).triggerHandler( 'rightnow' );

	// show/hide job view inputs
	$( '#wpjobster_enable_job_views' ).on( 'change rightnow', function() {
		if ( $( this ).val() == 'yes' ) {
			$( '.job_views_hide_count_interval' ).show();
		} else {
			$( '.job_views_hide_count_interval' ).hide();
		}
	}).triggerHandler( 'rightnow' );

	// show/hide paypal withdrawal info
	$( document ).on( 'click', '#show-withdrawal-info', function() {
		$( '.withdrawal-credentials-info' ).show();
		$( this ).attr( 'id', 'hide-withdrawal-info' );
		$( this ).text( 'Hide info' );
	});
	$( document ).on( 'click', '#hide-withdrawal-info', function() {
		$( '.withdrawal-credentials-info' ).hide();
		$( this ).attr( 'id', 'show-withdrawal-info' );
		$( this ).text( 'Show info' );
	});

	// show/hide paypal subscription info
	$( document ).on( 'click', '#show-subscription-info', function() {
		$( '.subscription-credentials-info' ).show();
		$( this ).attr( 'id', 'hide-subscription-info' );
		$( this ).text( 'Hide info' );
	});
	$( document ).on( 'click', '#hide-subscription-info', function() {
		$( '.subscription-credentials-info' ).hide();
		$( this ).attr( 'id', 'show-subscription-info' );
		$( this ).text( 'Show info' );
	});

	// show/hide email/sms legend
	$( document ).on( 'click', '.toggle-legend', function() {
		if ( $( ".legend-table" ).is( ':visible' ) ) {
			$( ".legend-table" ).hide();
			$( this ).removeClass( 'show' );
		} else {
			$( ".legend-table" ).show();
			$( this ).addClass( 'show' );
		}
	});

});

// CANCEL SUBSCRIPTION
function cancel_this_subscription( id ) {
	jQuery.ajax({
		method: 'get',
		url : wpj_vars.blog_url + '/index.php?_ad_cancel_subscription=' + id,
		dataType : 'text',
		success: function ( text ) {
			window.location.href = wpj_vars.admin_url + 'admin.php?page=subscriptions&active_tab=tabs4';
			return false;
		}
	});

	return false;
}
// Sales report main tables/graph
jQuery(document).ready(function( $ ){

	jQuery("#form_sales_report").submit();

	var sales_tab_action_arr = new Array();
	sales_tab_action_arr["tabs1"] = "summary_sales_report";
	sales_tab_action_arr["tabs2"] = "job_sales_report";
	sales_tab_action_arr["tabs3"] = "topup_sales_report";
	sales_tab_action_arr["tabs4"] = "featured_sales_report";
	sales_tab_action_arr["tabs5"] = "refund_sales_report";
	sales_tab_action_arr["tabs6"] = "withdrawal_sales_report";
	sales_tab_action_arr["tabs7"] = "custom_extra_sales_report";
	sales_tab_action_arr["tabs8"] = "tips_sales_report";
	sales_tab_action_arr["tabs9"] = "subscription_sales_report";

	jQuery(".sales-report-title").click(function(){
		action_key = jQuery(this).attr('href');
		action_key = action_key.replace('#','');
		jQuery("#sales_report_action").val(sales_tab_action_arr[action_key]);
		jQuery("#form_sales_report").submit();
	});

	jQuery('#graph-range').on('change', function() {
		jQuery("#form_sales_report").submit();
	})

	var d = new Date();
	var month = d.getMonth()+1;
	var day = d.getDate();
	var dateNow = d.getFullYear() + '/' + ((''+month).length < 2 ? '0' : '') + month + '/' + ((''+day).length < 2 ? '0' : '') + day;

	jQuery('table').each(function() {
		jQuery('#btn-summary-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#summary-table').download('wpjobster-summary-sales-report-' + dateNow + '.csv','','csv-separator').go();
		});

		jQuery('#btn-job-purchase-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#job-purchase-table').download('wpjobster-job-purchase-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-topup-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#topup-table').download('wpjobster-topup-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-featured-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#featured-table').download('wpjobster-featured-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-refund-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#refund-table').download('wpjobster-refund-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-withdrawal-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#withdrawal-table').download('wpjobster-withdrawal-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-custom-extra-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#custom-extra-table').download('wpjobster-custom-extra-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-tips-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#tips-table').download('wpjobster-tips-sales-report-' + dateNow + '.csv').go();
		});

		jQuery('#btn-subscription-csv').click(function( event ) {
			event.preventDefault();
			CSV.begin('#subscription-table').download('wpjobster-subscription-sales-report-' + dateNow + '.csv').go();
		});
	});

	jQuery("#form_sales_report").submit(function(){
		if(typeof all_report_data=='undefined'){
			action_key = 'tabs1';
			jQuery("#sales_report_action").val(sales_tab_action_arr[action_key]);
		}
		all_report_data = jQuery("#form_sales_report").serialize();
		jQuery.ajax({
			type: "POST",
			url: wpj_vars.ajaxurl,
			data: all_report_data,
			beforeSend: function() {
				jQuery("#"+action_key+" .report-table").html('<i class="report-loader notched circle loading icon"></i>');
				jQuery("#"+action_key+" .report-graph .graph-position").html('<i class="report-loader notched circle loading icon"></i>');
			},
			success: function (data) {
				obj = JSON.parse(data);
				jQuery("#"+action_key+" .report-table").html(obj.tableInfo);

				jQuery("#user_error_report").html(obj.userError);

				if(action_key == 'tabs2'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'job-report-graph-chart';
				} else if(action_key == 'tabs3'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'topup-report-graph-chart';
				} else if(action_key == 'tabs4'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'featured-report-graph-chart';
				} else if(action_key == 'tabs5'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'refunded-report-graph-chart';
				} else if(action_key == 'tabs6'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'withdrawal-report-graph-chart';
				} else if(action_key == 'tabs7'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'custom-extra-report-graph-chart';
				} else if(action_key == 'tabs8'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'tips-report-graph-chart';
				} else if(action_key == 'tabs9'){
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.date;
					var divName = 'subscription-report-graph-chart';
				} else {
					var vAxisTitle = wpj_vars.amount;
					var hAxisTitle = wpj_vars.payment_type;
					var divName = 'summary-report-graph-chart';
				}

				google.charts.load('current', {'packages':['corechart']});
				google.charts.setOnLoadCallback(drawChart);

				function drawChart() {

					var space_str = "";
					if (wpj_vars.space == "yes") {space_str = " ";}

					if (wpj_vars.position == "front") {
						var vAxisFormat = wpj_vars.symbol + space_str + '#,###';
						var toolTipFormat = 'prefix';
						var toolTipVal = wpj_vars.symbol + space_str;
					} else {
						var vAxisFormat = '#,###' + space_str + wpj_vars.symbol;
						var toolTipFormat = 'suffix';
						var toolTipVal = space_str + wpj_vars.symbol;
					}

					var data = new google.visualization.DataTable(obj.graphInfo);
					var options = {
						vAxis: {title: vAxisTitle, format: vAxisFormat, textStyle : { fontSize: 12 } },
						hAxis: {title: hAxisTitle, format: '##/##/####', textStyle : { fontSize: 12 } },
						pointSize: 7,
						pointShape: 'square',
						seriesType: 'line',
						series: {
							0: { lineWidth: 3, type: 'line', color: '#208bee' },
							1: { lineWidth: 3, type: 'line', color: '#99c4f6' },
							2: { lineWidth: 3, type: 'line', color: '#e9463d' },
							3: { lineWidth: 3, type: 'line', color: '#009b5d' },
							4: { lineWidth: 3, type: 'line', color: '#a536ab' },
							5: { lineWidth: 3, type: 'line', color: '#ffe859' },
							6: { lineWidth: 3, type: 'line', color: '#141D36' },
							7: { lineWidth: 3, type: 'line', color: '#B5CBE9' },
							8: { lineWidth: 3, type: 'line', color: '#838EA1' },
							9: { lineWidth: 3, type: 'line', color: '#208bee' },
							10: { lineWidth: 3, type: 'line', color: '#99c4f6' },
						},
						legend: {position: 'bottom', alignment: 'center'},
						backgroundColor: {fill: '#f1f1f1'},
						chartArea: {
							left: 150,
							top: 10,
							width: 1980,
							height: 200
						}
					};

					var formatter = new google.visualization.NumberFormat( { [toolTipFormat] : toolTipVal } );
					var cols = obj.graphInfo.cols.length;
					for(i=1;i<cols;i++){
						formatter.format(data, i);
					}

					var chart = new google.visualization.ComboChart(document.getElementById(divName));
					chart.draw(data, options);
				}
			}
		});
	});
});

// New daterange picker initialisation
jQuery(document).ready(function($) {
	var cb = function(start, end, label) {
		$('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
	};

	var today = wpj_vars.today;
	var yesterday = wpj_vars.yesterday;
	var last_7_days = wpj_vars.last_7_days;
	var last_30_days = wpj_vars.last_30_days;
	var this_month = wpj_vars.this_month;
	var last_month = wpj_vars.last_month;

	var optionSet1 = {
		startDate: moment().subtract(29, 'days'),
		endDate: moment(),
		minDate: '01/01/1980',
		maxDate: '12/31/2015',
		dateLimit: {
			days: 60
		},
		showDropdowns: true,
		showWeekNumbers: true,
		timePicker: false,
		timePickerIncrement: 1,
		timePicker12Hour: true,
		ranges: {
			[today]        : [moment(), moment()],
			[yesterday]    : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
			[last_7_days]  : [moment().subtract(6, 'days'), moment()],
			[last_30_days] : [moment().subtract(29, 'days'), moment()],
			[this_month]   : [moment().startOf('month'), moment().endOf('month')],
			[last_month]   : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
		},
		opens: 'left',
		buttonClasses: ['ui compact button'],
		applyClass: 'primary small',
		cancelClass: 'small',
		format: 'MM/DD/YYYY',
		separator: ' to ',
		locale: {
			applyLabel: 'Submit',
			cancelLabel: 'Clear',
			fromLabel: 'From',
			toLabel: 'To',
			customRangeLabel: 'Custom',
			daysOfWeek: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
			monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'],
			firstDay: 1
		}
	};

	var optionSet2 = {
		startDate: moment().subtract(7, 'days'),
		endDate: moment(),
		opens: 'right',
		format: 'MM/DD/YYYY',
		locale: {
			applyLabel: wpj_vars.submit,
			cancelLabel: wpj_vars.clear,
			fromLabel: wpj_vars.from,
			toLabel: wpj_vars.to,
			customRangeLabel: wpj_vars.custom,
			daysOfWeek: [
				wpj_vars.days2.su,
				wpj_vars.days2.mo,
				wpj_vars.days2.tu,
				wpj_vars.days2.we,
				wpj_vars.days2.th,
				wpj_vars.days2.fr,
				wpj_vars.days2.sa
			],
			monthNames: [
				wpj_vars.months.jan,
				wpj_vars.months.feb,
				wpj_vars.months.mar,
				wpj_vars.months.apr,
				wpj_vars.months.may,
				wpj_vars.months.jun,
				wpj_vars.months.jul,
				wpj_vars.months.aug,
				wpj_vars.months.sep,
				wpj_vars.months.oct,
				wpj_vars.months.nov,
				wpj_vars.months.dec
			],
			firstDay: 1
		},
		ranges: {
			[today]        : [moment(), moment()],
			[yesterday]    : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
			[last_7_days]  : [moment().subtract(6, 'days'), moment()],
			[last_30_days] : [moment().subtract(29, 'days'), moment()],
			[this_month]   : [moment().startOf('month'), moment().endOf('month')],
			[last_month]   : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
		}
	};
	start_date = moment().subtract(29, 'days');
	to_date = moment();
	$("#from_date").val(start_date.format('YYYY/MM/DD')) ;
	$("#to_date").val(to_date.format('YYYY/MM/DD')) ;

	$('#reportrange span').html( start_date.format('MMMM D, YYYY') + ' - ' + to_date.format('MMMM D, YYYY'));

	$('#reportrange').daterangepicker(optionSet2, cb);

	$('#reportrange').on('apply.daterangepicker', function(ev, picker) {
		$("#from_date").val(picker.startDate.format('YYYY/MM/DD')) ;
		$("#to_date").val(picker.endDate.format('YYYY/MM/DD')) ;
		jQuery("#form_sales_report").submit();
	});
	$('#reportrange').on('cancel.daterangepicker', function(ev, picker) {

	});

	jQuery("#form_sales_report").submit();
});

jQuery( document ).ready( function( $ ) {

	// UPDATE USER BADGES
	$( '.js-user-badges' ).change( function(){
		$( '.btn_update_user_badges' ).attr( 'value', wpj_vars.lvl_update_lbl );
	});

	$( '.btn_update_user_badges*' ).click( function() {
		var id    = $( this ).attr( 'alt' );
		var $this = $( this );

		$this.val( wpj_vars.please_wait_lbl );

		var badges = [];
		$( this ).parents( 'th' ).siblings( '.scrolling' ).find( 'input:checked[name="badges[]"]' ).each( function() {
			badges.push( $( this ).val() );
		});

		$.ajax({
			url: wpj_vars.ajaxurl,
			type: 'POST',
			data: {
				action   : 'update_badge_user',
				uid      : id,
				badge    : badges,
				no_credit: true
			},
			success: function ( text ) {
				$this.val( wpj_vars.lvl_saved_lbl );
				return false;
			}
		});

	});

	$( '#badge-help' ).click( function( e ) {
		$( "#icon-example" ).slideToggle();
	});

});