<?php
// Jobs - custom columns
add_filter( 'manage_edit-job_columns', 'wpj_admin_job_info_label' );
function wpj_admin_job_info_label( $columns ) { //this function display the columns headings
	$columns = array(
		"cb"            => "<input type=\"checkbox\" />",
		"title"         => __( "Job Title", 'wpjobster' ),
		"price"         => __( "Price", 'wpjobster' ),
		"author"        => __( "Author", 'wpjobster' ),
		"posted"        => __( "Posted On", 'wpjobster' ),
		"active"        => __( "Status", 'wpjobster' ),
		"active_reason" => __( "Status Reason", 'wpjobster' ),
		"thumbnail"     => __( "Thumbnail", 'wpjobster' ),
		"options"       => __( "Options", 'wpjobster' )
	);

	return $columns;
}

add_action( 'manage_posts_custom_column', 'wpj_admin_job_info_action' );
function wpj_admin_job_info_action( $column ) {
	global $post;

	if ( "ID" == $column ) echo $post->ID;

	elseif ( "description" == $column ) echo $post->ID;

	elseif ( "price" == $column ) {
		$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );
		$packages           = get_post_meta( $post->ID, 'job_packages', true );
		$package_price      = get_post_meta( $post->ID, 'package_price', true );

		if ( $wpjobster_packages == 'yes' && $packages == 'yes' && $package_price ) {
			sort( $package_price );
			$package_price = array_diff( $package_price, array( null ) );
			echo wpjobster_get_show_price( min( $package_price ) );
			echo ' - ';
			echo wpjobster_get_show_price( max( $package_price ) );
		} elseif ( get_post_meta( $post->ID, 'price_type', true ) && get_post_meta( $post->ID, 'price_type', true ) != 'fixed' ) {
			echo wpjobster_get_show_price(get_post_meta($post->ID, 'price', true), 1) . ' ' . __( 'per', 'wpjobster' ) . ' ' . wpj_change_rate_word ( get_post_meta( $post->ID, 'price_type', true ) );
		} else {
			echo wpjobster_get_show_price( get_post_meta( $post->ID, 'price', true ) );
		}
	}

	elseif ( "author" == $column ) echo $post->post_author;

	elseif ( "posted" == $column ) echo wpj_date( 'jS \of F, Y \<\b\r\/\>H:i:s', strtotime( $post->post_date ) );

	elseif ( "active" == $column ) echo get_post_meta( $post->ID, 'active', true ) == 1 ? __( "Active", "wpjobster" ) : __( "Inactive", "wpjobster" );

	elseif ( "active_reason" == $column ) echo get_post_meta( $post->ID, 'active', true ) == 1 ? get_post_meta( $post->ID, 'activate_reason', true ) : get_post_meta( $post->ID, 'deactivation_reason', true );

	elseif ( "thumbnail" == $column ) echo '<a href="' . get_bloginfo( 'url' ) . '/wp-admin/post.php?post=' . $post->ID . '&action=edit"><img class="image_class round-avatar" src="' . wpjobster_get_job_image( $post->ID, 60, 60 ) . '" width="60" height="60" /></a>';

	elseif ( "options" == $column ) {
		echo '<div style="padding-top:20px">';

			echo '<a class="awesome" href="' . get_bloginfo( 'url' ) . '/wp-admin/post.php?post=' . $post->ID . '&action=edit">Edit</a> | ';
			echo '<a class="awesome" href="' . get_permalink( $post->ID ) . '" target="_blank">View</a> | ';
			echo '<a class="trash" href="' . get_delete_post_link( $post->ID ) . '">Trash</a> | ';

			if ( get_post_meta( $post->ID, 'active', true ) == 1 ) {
				echo '<a class="awesome" href="' . get_bloginfo( 'url' ) . '/wp-admin/edit.php?post_type=job&post=' . $post->ID . '&activate=0">' . __( 'Deactivate', 'wpjobster' ) . '</a> ';
			} else {
				echo '<a class="awesome" href="' . get_bloginfo( 'url' ) . '/wp-admin/edit.php?post_type=job&post=' . $post->ID . '&activate=1">' . __( 'Activate', 'wpjobster' ) . '</a> ';
			}

		echo '</div>';
	}
}

// Activate/Deactivate WPJ Post
add_action( 'load-edit.php', 'wpj_admin_change_job_status' );
function wpj_admin_change_job_status() {
	if ( ! empty ( $_GET['post'] ) ) {
		if ( isset( $_GET['activate'] ) && $_GET['activate'] == '0' ) {
			wpj_ajax_deactivate_job( $_GET['post'], 'by_admin' );

		} elseif ( isset( $_GET['activate'] ) && $_GET['activate'] == '1' ) {
			wpj_ajax_activate_job( $_GET['post'], 'by_admin' );

		}
	}
}

// Users - custom columns
add_filter( 'manage_users_columns', 'wpj_admin_user_info_label' );
function wpj_admin_user_info_label( $column ) {

	unset( $column['role'] );

	$column['userlevel'] = 'User Level';

	if ( get_option( 'wpjobster_subscription_enabled' ) == 'yes' ) $column['subscription'] = 'Subscriptions';

	if ( get_option( 'wpjobster_verify_email' ) == 'yes' ) $column['emailverified'] = 'Email verified';

	if ( get_option( 'wpjobster_verify_phone_numbers' ) == 'yes' ) $column['phoneverified'] = 'Phone verified';

	$column['badge'] = 'Badges';

	if ( get_option( 'wpjobster_credits_enable' ) != 'no' ) $column['balance'] = 'Balance';

	return $column;
}

add_action( 'manage_users_custom_column', 'wpj_admin_user_info_action', 15, 3 );
function wpj_admin_user_info_action( $val, $column_name, $user_id ) {

	switch ( $column_name ) {
		case 'userlevel':
			$val = wpjobster_get_user_level( $user_id ) . '<br>' . '<a href="' . get_admin_url() . 'admin.php?page=user_levels&active_tab=tabs1&search_user=' . $user_id . '">' . __( 'Edit level', 'wpjobster' ) . '</a>';
			break;

		case 'subscription':
			if ( get_option( 'wpjobster_subscription_enabled' ) == 'yes' ) {
				include_once get_template_directory() . '/lib/gateways/wpjobster_common_subscription.php';

				$wpjobster_subscription = new WPJ_Common_Subscription( $user_id );
				$cur_sub = $wpjobster_subscription->get_current_subscription( $user_id );

				if ( is_object( $cur_sub ) && isset( $cur_sub->subscription_level ) ) {
					$val = substr( $cur_sub->subscription_level, -1 );
				} else {
					$val = "0";
				}
			}
			break;

		case 'emailverified':
			if ( get_option( 'wpjobster_verify_email' ) == 'yes' ) {
				$val = get_user_meta( $user_id, 'uz_email_verification', true ) != 1 ? __( 'No', 'wpjobster' ) . '<br>' . '<a href="' . get_bloginfo( 'url' ) . '/wp-admin/users.php?user=' . $user_id . '&action=mark_email_as_verified">' . __( 'Mark as verified', 'wpjobster' ) . '</a>' : __( 'Yes', 'wpjobster' );
			}
			break;

		case 'phoneverified':
			if ( get_option( 'wpjobster_verify_phone_numbers' ) == 'yes' ) {
				$val = get_user_meta( $user_id, 'uz_phone_verification', true ) != 1 ? __( 'No', 'wpjobster' ) . '<br>' . '<a href="' . get_bloginfo( 'url' ) . '/wp-admin/users.php?user=' . $user_id . '&action=mark_phone_as_verified">' . __( 'Mark as verified', 'wpjobster' ) . '</a>' : __( 'Yes', 'wpjobster' );
			}
			break;

		case 'badge':
			if ( is_array( get_user_meta( $user_id, 'user_badge', true ) ) ) {
				$user_badge  = get_user_meta( $user_id, 'user_badge', true );
				$badges_data = get_option( 'wpj_user_badges_data' );

				$badges = '';
				if ( $user_badge ) {
					foreach ( $user_badge as $key => $badge ) {
						$badges .= '<i class="' . $badges_data[$key]['icon'] . ' icon"></i>';
					}
				}
			} elseif ( get_user_meta( $user_id, 'user_badge', true ) ) {
				$badges = get_user_meta( $user_id, 'user_badge', true );
			} else {
				$badges = __( 'No badges', 'wpjobster' );
			}
			$val = $badges . '<br>' . '<a href="' . get_admin_url() . 'admin.php?page=user_badges&active_tab=tabs1&search_user=' . $user_id . '">' . __( 'Edit badges', 'wpjobster' ) . '</a>';
			break;

		case 'balance':
			if ( get_option( 'wpjobster_credits_enable' ) != 'no' ) {
				$val = wpjobster_get_show_price( wpjobster_get_credits( $user_id ) ) . '<br>' . '<a href="' . get_admin_url() . 'admin.php?page=User-Balances&active_tab=tabs1&search_user=' . $user_id . '">' . __( 'Edit balance', 'wpjobster' ) . '</a>';
			}
			break;

		default:
	}

	return $val;
}

add_filter( 'admin_init', 'wpj_admin_change_user_status' );
function wpj_admin_change_user_status() {

	if ( isset( $_GET['action'] ) && isset( $_GET['user'] ) ) {
		if ( $_GET['action'] == 'mark_email_as_verified' ) {
			update_user_meta( $_GET['user'], 'uz_email_verification', 1 );
		}

		if ( $_GET['action'] == 'mark_phone_as_verified' ) {
			if ( get_user_meta( $_GET['user'], 'cell_number', true ) ) {
				update_user_meta( $_GET['user'], 'uz_phone_verification', 1 );
			}
		}
	}

}

add_action( 'admin_notices', 'wpj_admin_change_user_status_notice' );
function wpj_admin_change_user_status_notice() {
	if ( isset( $_GET['action'] ) && isset( $_GET['user'] ) ) {
		if ( $_GET['action'] == 'mark_phone_as_verified' ) {
			if ( ! get_user_meta( $_GET['user'], 'cell_number', true ) ) {

				printf( '<div id="message" class="error fade">' . __( 'You must fill in the phone number field for this user before marking the phone as verified.', 'wpjobster' ) . '</div>' );

			}
		}
	}
}