<?php
add_filter( 'views_edit-job', 'wpj_filter_job_status' );
function wpj_filter_job_status( $views ) {
	global $wp, $wpdb;

	$query_active = $wpdb->get_var( "
		SELECT count(DISTINCT pm.post_id)
		FROM {$wpdb->postmeta} pm
		JOIN {$wpdb->posts} p ON (p.ID = pm.post_id)
		WHERE pm.meta_key = 'active'
		AND pm.meta_value = '1'
		AND p.post_type = 'job'
		AND p.post_status IN ( 'publish', 'pending', 'draft' );
	" );

	$query_inactive = $wpdb->get_var( "
		SELECT count(DISTINCT pm.post_id)
		FROM {$wpdb->postmeta} pm
		JOIN {$wpdb->posts} p ON (p.ID = pm.post_id)
		WHERE pm.meta_key = 'active'
		AND pm.meta_value = '0'
		AND p.post_type = 'job'
		AND p.post_status IN ( 'publish', 'pending', 'draft' );
	" );

	$class_active = isset( $_GET[ 'active' ] ) && $_GET[ 'active' ] == 1 ? ' current' : '';
	$class_inactive = isset( $_GET[ 'active' ] ) && $_GET[ 'active' ] == 0 ? ' current' : '';

	$current_url = home_url( add_query_arg( array( $_GET ), $wp->request ) );

	$views['active'] = sprintf(
		'<a class="' . $class_active . '" href="%s">%s <span class="count">(%d)</span></a>',
		esc_url( $current_url . '&active=1' ),
		esc_html__( 'Active', 'wpjobster' ),
		$query_active
	);

	$views['inactive'] = sprintf(
		'<a class="' . $class_inactive . '" href="%s">%s <span class="count">(%d)</span></a>',
		esc_url( $current_url . '&active=0' ),
		esc_html__( 'Inactive', 'wpjobster' ),
		$query_inactive
	);

	return $views;
}

add_action( 'load-edit.php', 'wpj_load_custom_filters' );
function wpj_load_custom_filters() {
	global $typenow;

	if ( 'job' != $typenow ) return false;

	add_filter( 'posts_where' , 'wpj_posts_status_where' );
}

function wpj_posts_status_where( $where ) {
	global $wpdb;

	if ( ! empty( $_GET[ 'active' ] ) || ( isset( $_GET[ 'active' ] ) && $_GET[ 'active' ] == 0 ) ) {
		$where .= " AND ID IN (SELECT post_id FROM $wpdb->postmeta WHERE meta_key='active' AND meta_value='" . $_GET[ 'active' ] . "')";
	}

	return $where;
}