<?php
// JOB METABOXES //
function wpjobster_set_job_metaboxes() {
	global $post;
	$value = get_post_custom( $post->ID );

	// Normal
	add_meta_box( 'job_custom_field', 'Additional Details', 'wpjobster_theme_job_custom_field', 'job', 'normal', 'high' );

	$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );
	if ( $wpjobster_packages == "yes" ) {
		add_meta_box( 'job_packages',          'Job Packages',          'wpjobster_theme_job_packages',          'job', 'advanced', 'high' );
		add_meta_box( 'job_packages_rejected', 'Job Packages Rejected', 'wpjobster_theme_job_packages_rejected', 'job', 'advanced', 'high' );
	}

	add_meta_box( 'job_rejected', 'Job Rejected',            'wpjobster_theme_job_rejected',     'job', 'advanced', 'high' );
	add_meta_box( 'job_images',   'Job Images',              'wpjobster_theme_job_images',       'job', 'advanced', 'high' );
	add_meta_box( 'job_extra',    'Job Additional Services', 'wpjobster_theme_job_additional',   'job', 'advanced', 'high' );

	// Side
	add_meta_box( 'job_dets',     'Job Details',         'wpjobster_theme_job_dts',          'job', 'side', 'default' );
	add_meta_box( 'job_featured', 'Job Featured',        'wpjobster_theme_job_featured',     'job', 'side', 'default' );
	add_meta_box( 'job_instr',    'Seller Instructions', 'wpjobster_theme_job_instructions', 'job', 'side', 'default' );

	$instant_attachments = isset( $value["job_any_attachments"][0] ) ? $value["job_any_attachments"][0] : '';
	if ( wpj_post_has_attachments( $instant_attachments ) ) {
		add_meta_box( 'job_attachments', 'Instant Delivery Attachments', 'wpjobster_job_attchments', 'job', 'side', 'default' );
	}

	$preview_job_attchments = isset( $value["preview_job_attchments"][0] ) ? $value["preview_job_attchments"][0] : '';
	if ( wpj_post_has_attachments( $preview_job_attchments ) ) {
		add_meta_box( 'preview_job_attchments', 'Job Preview', 'wpjobster_preview_job_attchments', 'job', 'side', 'default' );
	}

	// Action
	do_action( 'wpjobster_set_meta_boxes', 'job' );
}

include_once get_template_directory() . '/includes/admin/metaboxes/job-metaboxes.php';
// END JOB METABOXES //

// OFFER METABOXES //
function wpjobster_set_offer_metaboxes() {
	add_meta_box( 'offer_details', 'Offer Details', 'wpjobster_theme_offer_details', 'offer', 'side', 'high' );

	// Action
	do_action( 'wpjobster_set_meta_boxes', 'offer' );
}

include_once get_template_directory() . '/includes/admin/metaboxes/offer-metaboxes.php';
// END OFFER METABOXES //

// REQUEST METABOXES //
function wpjobster_set_request_metaboxes() {
	global $post;
	$value = get_post_custom( $post->ID );

	add_meta_box( 'job_budget_from',         'Budget From',         'wpjobster_request_budget_from',            'request', 'side',     'default' );
	add_meta_box( 'job_budget_to',           'Budget To',           'wpjobster_request_budget_to',              'request', 'side',     'default' );
	add_meta_box( 'job_max_days_to_deliver', 'Max days to deliver', 'wpjobster_request_max_days_to_deliver',    'request', 'side',     'default' );
	add_meta_box( 'request_deadline',        'Deadline',            'wpjobster_request_deadline',               'request', 'side',     'default' );
	add_meta_box( 'request_autoclose',       'Autoclose',           'wpjobster_request_autoclose',              'request', 'side',     'default' );
	add_meta_box( 'request_rejected',        'Request Rejected',    'wpjobster_request_rejected',               'request', 'advanced', 'high' );
	add_meta_box( 'request_custom_field',    'Additional Details',  'wpjobster_request_custom_field',           'request', 'normal',   'high' );

	$request_attachments = ! empty( $value["request_attachments"][0] ) ? $value["request_attachments"][0] : '';
	if ( wpj_post_has_attachments( $request_attachments ) ) {
		add_meta_box( 'request_attachments', 'Attachments', 'wpjobster_request_attchments', 'request', 'side', 'default' );
	}

	// Action
	do_action( 'wpjobster_set_meta_boxes', 'request' );
}

include_once get_template_directory() . '/includes/admin/metaboxes/request-metaboxes.php';
// END REQUEST METABOXES //
