<?php // NOTIFICATIONS FOR NEW POSTS
add_filter( 'add_menu_classes', 'show_pending_number_request');
function show_pending_number_request( $menu ) {
	$types = apply_filters( 'wpj_admin_pending_posts_filter', array( "job", "request", "jobster" ) );

	foreach ( $types as $type ) {

		$num_posts = wp_count_posts( $type, 'readable' );

		// posts count
		$pending_count = 0;
		if ( $type == 'jobster' ) {
			global $wpdb;

			$results = $wpdb->get_results( "
				SELECT * FROM {$wpdb->prefix}job_orders_arbitration
				WHERE seller_arbitration = 0
					AND buyer_arbitration = 0
					AND ( request_from_seller = 1 || request_from_buyer = 1 )
			" );
			$pending_count = $results ? count( $results ) : 0;
		} else {
			if ( ! empty( $num_posts->draft ) ) {
				$pending_count += $num_posts->draft;
			} elseif ( ! empty( $num_posts->pending ) ) {
				$pending_count += $num_posts->pending;
			}
		}

		// menus to show
		if ( $type == 'post' ) {
			$menu_str = 'edit.php';
		} elseif ( $type == "jobster" ) {
			$menu_str = 'PT1_admin_mnu';
		} else {
			$menu_str = 'edit.php?post_type=' . $type;
		}

		// add html
		foreach ( $menu as $menu_key => $menu_data ) {
			if ( $menu_str != $menu_data[2] ) { continue; }

			$menu[$menu_key][0] .= "
				<span class='update-plugins count-$pending_count'>
					<span class='plugin-count'>" . number_format_i18n( $pending_count ) . "</span>
				</span>
			";
		}
	}

	return $menu;
}
