<?php
// Custom post states for admin pages
add_filter( 'display_post_states', 'wpj_custom_post_states', 10, 2 );
function wpj_custom_post_states( $states, $post ) {

	// Theme
	if ( $post->ID == get_option( 'wpjobster_post_new_page_id' ) ) {
		$states[] = __( 'New Job Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_new_request_page_id' ) ) {
		$states[] = __( 'New Request Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_page_id' ) ) {
		$states[] = __( 'My Account Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_requests_page_id' ) ) {
		$states[] = __( 'My Requests Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_favorites_page_id' ) ) {
		$states[] = __( 'My Favorites Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_reviews_page_id' ) ) {
		$states[] = __( 'My Ratings Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_shopping_page_id' ) ) {
		$states[] = __( 'Shopping Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_sales_page_id' ) ) {
		$states[] = __( 'Sales Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_payments_page_id' ) ) {
		$states[] = __( 'Payments Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) {
		$states[] = __( 'Messages Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_all_notifications_page_id' ) ) {
		$states[] = __( 'All Notifications Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_all_categories_page_id' ) ) {
		$states[] = __( 'All Categories Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_advanced_search_id' ) ) {
		$states[] = __( 'Job Search Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_advanced_search_request_page_id' ) ) {
		$states[] = __( 'Request Search Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_search_user_page_id' ) ) {
		$states[] = __( 'User Search Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_my_account_personal_info_page_id' ) ) {
		$states[] = __( 'User Settings Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_user_profile_page_id' ) ) {
		$states[] = __( 'User Profile Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_email_settings_page_id' ) ) {
		$states[] = __( 'E-mail Settings Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_levels_page_id' ) ) {
		$states[] = __( 'Level Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_subscriptions_page_id' ) ) {
		$states[] = __( 'Subscription Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_privacy_policy_page_id' ) ) {
		$states[] = __( 'Privacy Policy Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_terms_of_service_page_id' ) ) {
		$states[] = __( 'Terms of Service Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_how_it_works_page_id' ) ) {
		$states[] = __( 'How it Works Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_new_ticket_page_id' ) ) {
		$states[] = __( 'New Ticket Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_single_ticket_page_id' ) ) {
		$states[] = __( 'Single Ticket Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_ticket_list_page_id' ) ) {
		$states[] = __( 'Tickets list Page', 'wpjobster' );
	}

	// Homepage
	if ( $post->ID == get_option( 'main_page_url_user' ) ) {
		$states[] = __( 'Logged In Front Page', 'wpjobster' );
	}

	// Plugins
	if ( $post->ID == get_option( 'wpjobster_account_verification_page_id' ) ) {
		$states[] = __( 'Seller Verification Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_seller_notifications_categories_page_id' ) ) {
		$states[] = __( 'Seller Notifications Page', 'wpjobster' );
	}
	if ( $post->ID == get_option( 'wpjobster_referral_url_generator_page_id' ) ) {
		$states[] = __( 'Referral URL Generator Page', 'wpjobster' );
	}

	return apply_filters( 'wpj_post_states_filter', $states, $post );
}