<?php
class EmailSettings {

	public function wpjobster_email_settings() {
		wp_enqueue_editor();
		show_html_email_settings();
	}

	public function save_email_settings() {
		if ( isset( $_POST['wpjobster_save_email_settings'] ) ) {
			update_option( 'wpjobster_email_name_from'  , trim( $_POST['wpjobster_email_name_from'] ) );
			update_option( 'wpjobster_email_addr_from'  , trim( $_POST['wpjobster_email_addr_from'] ) );
			update_option( 'wpjobster_allow_html_emails', trim( $_POST['wpjobster_allow_html_emails'] ) );
			update_option( 'wpjobster_verify_email'     , trim( $_POST['wpjobster_verify_email'] ) );

			if ( $_POST['wpjobster_verify_email'] == 'no' ) {
				update_option( 'wpjobster_lock_verify_email_address', 'no' );
			} else {
				update_option( 'wpjobster_lock_verify_email_address', trim( $_POST['wpjobster_lock_verify_email_address'] ) );
			}

			if ( $_POST['wpjobster_verify_email'] == 'no' && $_POST['wpjobster_lock_verify_email_address'] == 'yes' ) {
				echo '<div class="error fade"><p>' . __( 'You can\'t lock the user to My Account page because the email verification is disabled', 'wpjobster' ) . '!</p></div>';
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_preferred_languages() {
		if ( isset( $_POST['wpjobster_save_preferred_languages'] ) ) {

			for ( $i = 1; $i <= 10; $i++ ) {
				$language_x = 'wpjobster_language_' . $i;

				$wpjobster_language_x = trim( $_POST[$language_x] );
				update_option( $language_x, $wpjobster_language_x );
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_email_notifications() {
		$email_categories = notifications_array();
		if ( $email_categories ) {
			foreach ( $email_categories as $email_category ) {
				if ( $email_category["items"] ) {
					foreach ( $email_category["items"] as $reason => $item ) {
						if ( isset( $_POST['uz_save_email_' . $reason] ) ) {
							update_option( 'uz_email_' . $reason . '_enable', trim( $_POST['uz_email_' . $reason . '_enable'] ) );

							$languages = get_preferred_languages();
							if ( $languages ) {
								foreach ( $languages as $lang => $lang_name ) {
									update_option( 'uz_email_' . $reason . '_' . $lang . '_subject', trim( $_POST['uz_email_' . $reason . '_' . $lang . '_subject'] ) );
									update_option( 'uz_email_' . $reason . '_' . $lang . '_message', trim( $_POST['uz_email_' . $reason . '_' . $lang . '_message'] ) );
								}
							}

							echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
						}
					}
				}
			}
		}
	}
}
$cl_es = new EmailSettings();
