<?php
class GeneralSettings {
	public function wpjobster_general_options() {
		show_html_general_settings();
	}

	public function save_main_settings() {
		if ( isset( $_POST['wpjobster_save_main_settings'] ) ) {

			// License
			update_option( 'wpjobster_license_key'         , trim( $_POST['wpjobster_license_key'] ) );
			update_option( 'wpjobster_enable_beta_versions', trim( $_POST['wpjobster_enable_beta_versions'] ) );

			// Display
			update_option( 'wpjobster_jobs_order'        , trim( $_POST['wpjobster_jobs_order'] ) );
			update_option( 'wpjobster_default_sort_by'   , trim( $_POST['wpjobster_default_sort_by'] ) );
			update_option( 'wpjobster_enable_auto-load'  , trim( $_POST['wpjobster_enable_auto-load'] ) );
			update_option( 'wpjobster_set_time_direction', trim( $_POST['wpjobster_set_time_direction'] ) );

			// Job & Transaction Flow
			update_option( 'wpjobster_admin_approve_job'    , trim( $_POST['wpjobster_admin_approve_job'] ) );
			update_option( 'wpjobster_admin_approve_request', trim( $_POST['wpjobster_admin_approve_request'] ) );

			$wpjobster_max_time_to_wait = is_numeric( trim( $_POST['wpjobster_max_time_to_wait'] ) ) ? trim( $_POST['wpjobster_max_time_to_wait'] ) : 72;
			update_option( 'wpjobster_max_time_to_wait', $wpjobster_max_time_to_wait );

			$wpjobster_clearing_period = is_numeric( trim( $_POST['wpjobster_clearing_period'] ) ) ? trim( $_POST['wpjobster_clearing_period'] ) : 14;
			update_option( 'wpjobster_clearing_period', $wpjobster_clearing_period );

			$wpjobster_number_of_cancellations = is_numeric( trim( $_POST['wpjobster_number_of_cancellations'] ) ) ? trim( $_POST['wpjobster_number_of_cancellations'] ) : 5;
			update_option( 'wpjobster_number_of_cancellations', $wpjobster_number_of_cancellations );

			$wpjobster_number_of_modifications = is_numeric( trim( $_POST['wpjobster_number_of_modifications'] ) ) ? trim( $_POST['wpjobster_number_of_modifications'] ) : 5;
			update_option( 'wpjobster_number_of_modifications', $wpjobster_number_of_modifications );

			$wpjobster_pending_jobs_days = is_numeric( trim( $_POST['wpjobster_pending_jobs_days'] ) ) ? trim( $_POST['wpjobster_pending_jobs_days'] ) : 7;
			update_option( 'wpjobster_pending_jobs_days', $wpjobster_pending_jobs_days );

			update_option( 'wpjobster_message_attachments_enable', trim( $_POST['wpjobster_message_attachments_enable'] ) );

			$php_post_max_size  = ini_get( 'post_max_size' );
			$post_max_size      = floatval( preg_replace( '/[^0-9]/', '', $php_post_max_size ) );
			$post_max_size_unit = strtolower( preg_replace( '/[^a-zA-Z]/', '', $php_post_max_size ) );

			if ( $post_max_size_unit != 'm' || $post_max_size_unit != 'mb' ) {
				if ( $post_max_size_unit == 'k' || $post_max_size_unit == 'kb' ) {
					$post_max_size = $post_max_size * 0.001;
				} elseif ( $post_max_size_unit == 'g' || $post_max_size_unit == 'gb' ) {
					$post_max_size = $post_max_size * 1000;
				}
			}
			if ( floatval( $_POST['wpjobster_max_message_attachments_upload_size'] ) > $post_max_size ) {
				update_option( 'wpjobster_max_message_attachments_upload_size', $post_max_size );

				echo '<div class="error fade"><p>' . __( 'You cannot set a value greater than the post_max_size PHP value. If you want to increase this value, go to .htaccess and add or change the following line: ', 'wpjobster' ) . '<code>php_value post_max_size 128M</code></p></div>';
			} else {
				update_option( 'wpjobster_max_message_attachments_upload_size', trim( $_POST['wpjobster_max_message_attachments_upload_size'] ) );
			}

			// API Keys
			update_option( 'openexchangerates_appid'       , trim( $_POST['openexchangerates_appid'] ) );
			update_option( 'wpjobster_google_maps_api_key' , trim( $_POST['wpjobster_google_maps_api_key'] ) );
			update_option( 'wpjobster_tomtom_search_api_key' , trim( $_POST['wpjobster_tomtom_search_api_key'] ) );
			update_option( 'wpjobster_ip_key_db'           , trim( $_POST['wpjobster_ip_key_db'] ) );
			update_option( 'wpjobster_recaptcha_api_key'   , trim( $_POST['wpjobster_recaptcha_api_key'] ) );
			update_option( 'wpjobster_recaptcha_api_secret', trim( $_POST['wpjobster_recaptcha_api_secret'] ) );
			if ( ! $_POST['wpjobster_recaptcha_api_key'] || ! $_POST['wpjobster_recaptcha_api_secret'] ) {
				update_option( 'wpjobster_enable_user_reCaptcha', 'no' );
			}

			// Featured
			update_option( 'wpjobster_credits_enable'           , trim( $_POST['wpjobster_credits_enable'] ) );
			update_option( 'wpjobster_enable_live_notifications', trim( $_POST['wpjobster_enable_live_notifications'] ) );
			update_option( 'wpjobster_chat_enable'              , trim( $_POST['wpjobster_chat_enable'] ) );

			if ( trim( $_POST['wpjobster_chat_enable'] ) == 'yes'
				&& trim( $_POST['wpjobster_enable_live_notifications'] ) != 'yes' ) {
				update_option( 'wpjobster_chat_enable', 'no' );
				echo '<div class="error fade"><p>' . __( 'You need to enable live notifications to activate the chat feature!', 'wpjobster' ) . '</p></div>';
			}

			$wpjobster_enable_custom_offers = trim( $_POST['wpjobster_enable_custom_offers'] );
			if ( $wpjobster_enable_custom_offers == "yes" && ! wpj_is_allowed( 'custom_offers' ) ) {
				update_option( 'wpjobster_enable_custom_offers', 'no' );
				wpj_disabled_settings_error( 'custom_offers' );
			} else {
				update_option( 'wpjobster_enable_custom_offers', $wpjobster_enable_custom_offers );
			}

			$wpjobster_enable_custom_extras = trim( $_POST['wpjobster_enable_custom_extras'] );
			if ( $wpjobster_enable_custom_extras == "yes" && ! wpj_is_allowed( 'custom_extras' ) ) {
				update_option( 'wpjobster_enable_custom_extras', 'no' );
				wpj_disabled_settings_error( 'custom_extras' );
			} else {
				update_option( 'wpjobster_enable_custom_extras', $wpjobster_enable_custom_extras );
			}

			update_option( 'wpjobster_tips_enabled', trim( $_POST['wpjobster_tips_enabled'] ) );

			update_option( 'wpjobster_html5_geolocation_enable' , trim( $_POST['wpjobster_html5_geolocation_enable'] ) );

			// Other
			update_option( 'wpjobster_allow_comments_on_blog_news_pages', trim( $_POST['wpjobster_allow_comments_on_blog_news_pages'] ) );
			update_option( 'wpjobster_locked_allowed_pages', $_POST['wpjobster_locked_allowed_pages'] );

			if ( $_POST['wpjobster_allowed_mime_types'] ) {
				$allowed_mime_types = preg_replace( '/\s+/', '', $_POST['wpjobster_allowed_mime_types'] );
				$allowed_mime_types_arr = explode( ',', trim( $allowed_mime_types ) );
				$allowed = array();
				foreach ( $allowed_mime_types_arr as $val ) {
					$allowed[] = $val;
				}
				update_option( 'wpjobster_allowed_mime_types', $allowed );
			}

			update_option( 'wpjobster_locations_unit'    , trim( $_POST['wpjobster_locations_unit'] ) );
			update_option( 'wpj_locations_radius_default', trim( $_POST['wpj_locations_radius_default'] ) );

			do_action( 'wpjobster_general_settings_main_details_options_save' );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_job_settings() {
		if ( isset( $_POST['wpjobster_save_job_settings'] ) ) {

			// Images
			update_option( 'wpjobster_mandatory_pics_for_jbs'     , trim( $_POST['wpjobster_mandatory_pics_for_jbs'] ) );
			update_option( 'wpjobster_default_nr_of_pics'         , trim( $_POST['wpjobster_default_nr_of_pics'] ) );
			update_option( 'wpjobster_max_img_upload_size'        , trim( $_POST['wpjobster_max_img_upload_size'] ) );
			update_option( 'wpjobster_min_img_upload_width'       , trim( $_POST['wpjobster_min_img_upload_width'] ) );
			update_option( 'wpjobster_min_img_upload_height'      , trim( $_POST['wpjobster_min_img_upload_height'] ) );
			update_option( 'wpjobster_enable_job_cover'           , trim( $_POST['wpjobster_enable_job_cover'] ) );
			update_option( 'wpjobster_min_cover_img_upload_width' , trim( $_POST['wpjobster_min_cover_img_upload_width'] ) );
			update_option( 'wpjobster_min_cover_img_upload_height', trim( $_POST['wpjobster_min_cover_img_upload_height'] ) );
			update_option( 'wpjobster_preferred_image_uploader'   , trim( $_POST['wpjobster_preferred_image_uploader'] ) );

			// Audio Files
			update_option( 'wpjobster_audio'                  , trim( $_POST['wpjobster_audio'] ) );
			update_option( 'wpjobster_mandatory_audio_for_jbs', trim( $_POST['wpjobster_mandatory_audio_for_jbs'] ) );
			update_option( 'wpjobster_max_uploads_audio'      , trim( $_POST['wpjobster_max_uploads_audio'] ) );
			update_option( 'wpjobster_max_audio_upload_size'  , trim( $_POST['wpjobster_max_audio_upload_size'] ) );

			// Job Location
			update_option( 'wpjobster_location'                        , trim( $_POST['wpjobster_location'] ) );
			update_option( 'wpjobster_lets_meet'                       , trim( $_POST['wpjobster_lets_meet'] ) );
			update_option( 'wpjobster_location_display_condition'      , trim( $_POST['wpjobster_location_display_condition'] ) );
			update_option( 'wpjobster_location_api_provider'           , trim( $_POST['wpjobster_location_api_provider'] ) );
			update_option( 'wpjobster_location_restrict_type'          , trim( $_POST['wpjobster_location_restrict_type'] ) );
			update_option( 'wpjobster_location_restrict_country'       , trim( $_POST['wpjobster_location_restrict_country'] ) );
			update_option( 'wpjobster_location_fields'                 , trim( $_POST['wpjobster_location_fields'] ) );
			update_option( 'wpjobster_distance_display_condition'      , trim( $_POST['wpjobster_distance_display_condition'] ) );
			update_option( 'wpjobster_location_display_map'            , trim( $_POST['wpjobster_location_display_map'] ) );
			update_option( 'wpjobster_location_display_map_user_choice', trim( $_POST['wpjobster_location_display_map_user_choice'] ) );

			// Delivery & Shipping
			update_option( 'wpjobster_enable_delivery_time' , trim( $_POST['wpjobster_enable_delivery_time'] ) );
			update_option( 'wpjobster_enable_instant_deli'  , trim( $_POST['wpjobster_enable_instant_deli'] ) );
			update_option( 'wpjobster_enable_shipping'      , trim( $_POST['wpjobster_enable_shipping'] ) );
			update_option( 'wpjobster_job_max_delivery_days', trim( $_POST['wpjobster_job_max_delivery_days'] ) );

			// Text
			update_option( 'wpjobster_job_description_type'          , trim( $_POST['wpjobster_job_description_type'] ) );
			update_option( 'wpjobster_view_more_description_enabled' , trim( $_POST['wpjobster_view_more_description_enabled'] ) );
			update_option( 'wpjobster_buyer_instructions_job_enabled', trim( $_POST['wpjobster_buyer_instructions_job_enabled'] ) );
			update_option( 'wpjobster_tos_type'                      , trim( $_POST['wpjobster_tos_type'] ) );
			update_option( 'wpjobster_tos_page_link'                 , trim( $_POST['wpjobster_tos_page_link'] ) );

			// Features
			update_option( 'wpjobster_enable_review_work_samples', trim( $_POST['wpjobster_enable_review_work_samples'] ) );
			$wpjobster_max_review_work_samples = trim( $_POST['wpjobster_max_review_work_samples'] );
			if ( ! is_numeric( $wpjobster_max_review_work_samples ) || $wpjobster_max_review_work_samples < -1 ) {
				$wpjobster_max_review_work_samples = 10;
			}
			update_option( 'wpjobster_max_review_work_samples', $wpjobster_max_review_work_samples );

			update_option( 'wpjobster_enable_job_views', trim( $_POST['wpjobster_enable_job_views'] ) );
			$wpjobster_job_view_interval_number = trim( $_POST['wpjobster_job_view_interval_number'] );
			if ( ! is_numeric( $wpjobster_job_view_interval_number ) || $wpjobster_job_view_interval_number < 0 ) {
				$wpjobster_job_view_interval_number = 5;
			}
			update_option( 'wpjobster_job_view_interval_number', $wpjobster_job_view_interval_number );
			update_option( 'wpjobster_job_view_interval_type', trim( $_POST['wpjobster_job_view_interval_type'] ) );

			$wpjobster_enable_packages = trim( $_POST['wpjobster_packages_enabled'] );
			if ( $wpjobster_enable_packages == "yes" && ! wpj_is_allowed( 'packages' ) ) {
				update_option( 'wpjobster_packages_enabled', 'no' );
				wpj_disabled_settings_error( 'packages' );
			} else {
				update_option( 'wpjobster_packages_enabled', $wpjobster_enable_packages );
			}

			update_option( 'wpjobster_job_attachments_enabled', trim( $_POST['wpjobster_job_attachments_enabled'] ) );

			// Other
			update_option( 'wpjobster_purchase_this_extra_enabled'   , trim( $_POST['wpjobster_purchase_this_extra_enabled'] ) );
			update_option( 'wpjobster_display_job_empty_categories'  , trim( $_POST['wpjobster_display_job_empty_categories'] ) );
			update_option( 'wpjobster_job_min_rating', trim( $_POST['wpjobster_job_min_rating'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_request_settings() {
		if ( isset( $_POST['wpjobster_save_request_settings'] ) ) {

			// General Request Settings
			update_option( 'wpjobster_request_max_deliv'                  , trim( $_POST['wpjobster_request_max_deliv'] ) );
			update_option( 'wpjobster_request_deadline'                   , trim( $_POST['wpjobster_request_deadline'] ) );
			update_option( 'wpjobster_request_budget'                     , trim( $_POST['wpjobster_request_budget'] ) );
			update_option( 'wpjobster_request_file_upload'                , trim( $_POST['wpjobster_request_file_upload'] ) );
			update_option( 'wpjobster_active_job_cutom_offer'             , trim( $_POST['wpjobster_active_job_cutom_offer'] ) );
			update_option( 'wpjobster_display_request_empty_categories'   , trim( $_POST['wpjobster_display_request_empty_categories'] ) );
			update_option( 'wpjobster_display_request_multiple_categories', trim( $_POST['wpjobster_display_request_multiple_categories'] ) );
			update_option( 'wpjobster_request_max_delivery_days'          , trim( $_POST['wpjobster_request_max_delivery_days'] ) );
			update_option( 'wpjobster_view_more_action'                   , trim( $_POST['wpjobster_view_more_action'] ) );

			// Request Location
			update_option( 'wpjobster_request_location'                           , trim( $_POST['wpjobster_request_location'] ) );
			update_option( 'wpjobster_request_lets_meet'                          , trim( $_POST['wpjobster_request_lets_meet'] ) );
			update_option( 'wpjobster_request_location_display_condition'         , trim( $_POST['wpjobster_request_location_display_condition'] ) );
			update_option( 'wpjobster_location_api_provider'                      , trim( $_POST['wpjobster_location_api_provider'] ) );
			update_option( 'wpjobster_location_restrict_type'                     , trim( $_POST['wpjobster_location_restrict_type'] ) );
			update_option( 'wpjobster_location_restrict_country'                  , trim( $_POST['wpjobster_location_restrict_country'] ) );
			update_option( 'wpjobster_location_fields'                            , trim( $_POST['wpjobster_location_fields'] ) );
			update_option( 'wpjobster_request_date_display_condition'             , trim( $_POST['wpjobster_request_date_display_condition'] ) );
			update_option( 'wpjobster_safe_date_format'                           , trim( $_POST['wpjobster_safe_date_format'] ) );
			update_option( 'wpjobster_request_location_display_map'               , trim( $_POST['wpjobster_request_location_display_map'] ) );
			update_option( 'wpjobster_request_pick_up_location'                   , trim( $_POST['wpjobster_request_pick_up_location'] ) );
			update_option( 'wpjobster_request_pick_up_location_display_condition' , trim( $_POST['wpjobster_request_pick_up_location_display_condition'] ) );
			update_option( 'wpjobster_request_drop_off_location'                  , trim( $_POST['wpjobster_request_drop_off_location'] ) );
			update_option( 'wpjobster_request_drop_off_location_display_condition', trim( $_POST['wpjobster_request_drop_off_location_display_condition'] ) );

			do_action( 'save_option_after_request_location' );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_user_settings() {
		if ( isset( $_POST['wpjobster_save_user_settings'] ) ) {

			// General Settings
			update_option( 'wpjobster_enable_jobs_title'                  , trim( $_POST['wpjobster_enable_jobs_title'] ) );
			update_option( 'wpjobster_enable_jobs_section_on_user_profile', trim( $_POST['wpjobster_enable_jobs_section_on_user_profile'] ) );
			update_option( 'wpjobster_wysiwyg_for_profile'                , trim( $_POST['wpjobster_wysiwyg_for_profile'] ) );
			update_option( 'wpjobster_en_user_online_status'              , trim( $_POST['wpjobster_en_user_online_status'] ) );
			update_option( 'wpjobster_enable_last_seen'                   , trim( $_POST['wpjobster_enable_last_seen'] ) );
			update_option( 'wpjobster_user_level_for_thumbnails'          , trim( $_POST['wpjobster_user_level_for_thumbnails'] ) );
			update_option( 'wpjobster_enable_user_vat_id'                 , trim( $_POST['wpjobster_enable_user_vat_id'] ) );
			update_option( 'wpjobster_user_min_rating'                    , trim( $_POST['wpjobster_user_min_rating'] ) );
			update_option( 'wpjobster_enable_user_social_media'           , trim( $_POST['wpjobster_enable_user_social_media'] ) );
			update_option( 'wpjobster_display_name_publicly'              , trim( $_POST['wpjobster_display_name_publicly'] ) );

			// User country & timezone
			update_option( 'wpjobster_en_country_flags'     , trim( $_POST['wpjobster_en_country_flags'] ) );
			update_option( 'wpjobster_phone_country_select' , trim( $_POST['wpjobster_phone_country_select'] ) );
			update_option( 'wpjobster_enable_country_select', trim( $_POST['wpjobster_enable_country_select'] ) );
			update_option( 'wpjobster_user_time_zone'       , trim( $_POST['wpjobster_user_time_zone'] ) );

			// User stats
			update_option( 'wpjobster_enable_user_stats' , trim( $_POST['wpjobster_enable_user_stats'] ) );
			update_option( 'wpjobster_enable_user_charts', trim( $_POST['wpjobster_enable_user_charts'] ) );

			// User login/register
			update_option( 'wpjobster_enable_phone_number', trim( $_POST['wpjobster_enable_phone_number'] ) );
			if ( get_option( 'wpjobster_enable_phone_number' ) == 'yes' ) {
				update_option( 'ajax_login_register_phone_number', 'on' );
			} else {
				update_option( 'ajax_login_register_phone_number', 'off' );
			}

			update_option( 'wpjobster_phone_number_mandatory', trim( $_POST['wpjobster_phone_number_mandatory'] ) );

			update_option( 'wpjobster_enable_user_company', trim( $_POST['wpjobster_enable_user_company'] ) );

			if (
				get_option( 'wpjobster_enable_phone_number' ) == 'yes' ||
				get_option( 'wpjobster_enable_user_company' ) == 'yes' ||
				get_option( 'wpj_as_display_on_register' ) == 'yes'
			) {
				update_option( 'wsl_settings_bouncer_profile_completion_hook_extra_fields', 1 );
			} else {
				update_option( 'wsl_settings_bouncer_profile_completion_hook_extra_fields', 2 );
			}

			if ( trim( $_POST['wpjobster_enable_user_reCaptcha'] ) == 'yes' ) {

				$recaptcha_api_key = get_option( 'wpjobster_recaptcha_api_key' );
				$recaptcha_api_secret = get_option( 'wpjobster_recaptcha_api_secret' );

				if ( ! $recaptcha_api_key ) {
					update_option( 'wpjobster_enable_user_reCaptcha', trim( 'no' ) );
					echo '<div class="error fade"><p>' . __( 'You can\'t enable recaptcha because api key field is empty! Click <a href="' . get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=general-options#wpjobster_recaptcha_api_key">here</a> to fill recaptcha api key', 'wpjobster' ) . '</p></div>';
				} elseif ( ! $recaptcha_api_secret ) {
					update_option( 'wpjobster_enable_user_reCaptcha', trim( 'no' ) );
					echo '<div class="error fade"><p>' . __( 'You can\'t enable recaptcha because api secret field is empty! Click <a href="' . get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=general-options#wpjobster_recaptcha_api_secret">here</a> to fill recaptcha api secret', 'wpjobster' ) . '</p></div>';
				} else {
					update_option( 'wpjobster_enable_user_reCaptcha', trim( $_POST['wpjobster_enable_user_reCaptcha'] ) );
				}
			} else {
				update_option( 'wpjobster_enable_user_reCaptcha', 'no' );
			}

			update_option( 'wpjobster_enable_user_2fa', trim( $_POST['wpjobster_enable_user_2fa'] ) );
			update_option( 'wpjobster_enable_login_hints', trim( $_POST['wpjobster_enable_login_hints'] ) );

			if ( ( get_option( 'wpjobster_register_tos_and_privacy' ) != 'text'
					&& get_option( 'wpjobster_register_tos_and_privacy' ) != 'checkbox'
				)
				&& ( trim( $_POST['wpjobster_register_tos_and_privacy'] ) == 'text'
					|| trim( $_POST['wpjobster_register_tos_and_privacy'] ) == 'checkbox'
				)
			) {
				echo'<div class="notice updated fade is-dismissible"><p>' .
					sprintf(
						__( 'Don\'t forget to check and update the <a href="%1$s" target="_blank">Terms of Service</a> and <a href="%2$s" target="_blank">Privacy Policy</a> pages with your own terms! You can find them in the <a href="%3$s">Page Assignments tab</a>.', 'wpjobster' ),
						get_permalink( get_option( 'wpjobster_terms_of_service_page_id' ) ),
						get_permalink( get_option( 'wpjobster_privacy_policy_page_id' ) ),
						get_site_url( null, '/wp-admin/admin.php?page=general-options&active_tab=page-assignments', null )
					)
				. '</p></div>';
			}
			update_option( 'wpjobster_register_tos_and_privacy', trim( $_POST['wpjobster_register_tos_and_privacy'] ) );

			update_option( 'wpjobster_register_redirection_page', trim( $_POST['wpjobster_register_redirection_page'] ) );

			// User portfolio
			update_option( 'wpjobster_enable_user_profile_portfolio', trim( $_POST['wpjobster_enable_user_profile_portfolio'] ) );
			update_option( 'wpjobster_profile_default_nr_of_pics'   , trim( $_POST['wpjobster_profile_default_nr_of_pics'] ) );
			update_option( 'wpjobster_profile_max_img_upload_size'  , trim( $_POST['wpjobster_profile_max_img_upload_size'] ) );
			update_option( 'wpjobster_profile_min_img_upload_width' , trim( $_POST['wpjobster_profile_min_img_upload_width'] ) );
			update_option( 'wpjobster_profile_min_img_upload_height', trim( $_POST['wpjobster_profile_min_img_upload_height'] ) );

			if ( get_option( 'wpjobster_enable_phone_number' ) == 'yes' ) {
				update_option( 'ajax_login_register_phone_number', 'on' );
			} else {
				update_option( 'ajax_login_register_phone_number', 'off' );
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_search_settings() {
		if ( isset( $_POST['wpjobster_save_search_settings'] ) ) {

			// General settings
			update_option( 'wpjobster_default_advanced_search'            , trim( $_POST['wpjobster_default_advanced_search'] ) );
			update_option( 'wpjobster_enable_jobs_for_advanced_search'    , trim( $_POST['wpjobster_enable_jobs_for_advanced_search'] ) );
			update_option( 'wpjobster_enable_requests_for_advanced_search', trim( $_POST['wpjobster_enable_requests_for_advanced_search'] ) );
			update_option( 'wpjobster_enable_users_for_advanced_search'   , trim( $_POST['wpjobster_enable_users_for_advanced_search'] ) );

			// Job search settings
			update_option( 'wpjobster_include_job_undefined_delivery'     , trim( $_POST['wpjobster_include_job_undefined_delivery'] ) );

			// Request search settings
			update_option( 'wpjobster_enable_search_request_date'         , trim( $_POST['wpjobster_enable_search_request_date'] ) );
			update_option( 'wpjobster_include_request_undefined_date'     , trim( $_POST['wpjobster_include_request_undefined_date'] ) );
			update_option( 'wpjobster_include_request_undefined_budget'   , trim( $_POST['wpjobster_include_request_undefined_budget'] ) );
			update_option( 'wpjobster_include_request_undefined_delivery' , trim( $_POST['wpjobster_include_request_undefined_delivery'] ) );

			// User search settings
			update_option( 'wpjobster_enable_search_user_location'        , trim( $_POST['wpjobster_enable_search_user_location'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_character_limits() {
		if ( isset( $_POST['wpjobster_save_character_limits'] ) ) {
			update_option( 'wpjobster_characters_jobtitle_max'               , trim( $_POST['wpjobster_characters_jobtitle_max'] ) );
			update_option( 'wpjobster_characters_jobtitle_min'               , trim( $_POST['wpjobster_characters_jobtitle_min'] ) );
			update_option( 'wpjobster_characters_description_max'            , trim( $_POST['wpjobster_characters_description_max'] ) );
			update_option( 'wpjobster_characters_description_min'            , trim( $_POST['wpjobster_characters_description_min'] ) );
			update_option( 'wpjobster_characters_job_package_title_min'      , trim( $_POST['wpjobster_characters_job_package_title_min'] ) );
			update_option( 'wpjobster_characters_job_package_title_max'      , trim( $_POST['wpjobster_characters_job_package_title_max'] ) );
			update_option( 'wpjobster_characters_job_package_description_min', trim( $_POST['wpjobster_characters_job_package_description_min'] ) );
			update_option( 'wpjobster_characters_job_package_description_max', trim( $_POST['wpjobster_characters_job_package_description_max'] ) );
			update_option( 'wpjobster_characters_instructions_max'           , trim( $_POST['wpjobster_characters_instructions_max'] ) );
			update_option( 'wpjobster_characters_instructions_min'           , trim( $_POST['wpjobster_characters_instructions_min'] ) );
			update_option( 'wpjobster_characters_extradescription_max'       , trim( $_POST['wpjobster_characters_extradescription_max'] ) );
			update_option( 'wpjobster_characters_extradescription_min'       , trim( $_POST['wpjobster_characters_extradescription_min'] ) );
			update_option( 'wpjobster_characters_personalinfo_min'           , trim( $_POST['wpjobster_characters_personalinfo_min'] ) );
			update_option( 'wpjobster_characters_personalinfo_max'           , trim( $_POST['wpjobster_characters_personalinfo_max'] ) );
			update_option( 'wpjobster_characters_message_min'                , trim( $_POST['wpjobster_characters_message_min'] ) );
			update_option( 'wpjobster_characters_message_max'                , trim( $_POST['wpjobster_characters_message_max'] ) );
			update_option( 'wpjobster_characters_request_title_min'          , trim( $_POST['wpjobster_characters_request_title_min'] ) );
			update_option( 'wpjobster_characters_request_title_max'          , trim( $_POST['wpjobster_characters_request_title_max'] ) );
			update_option( 'wpjobster_characters_request_min'                , trim( $_POST['wpjobster_characters_request_min'] ) );
			update_option( 'wpjobster_characters_request_max'                , trim( $_POST['wpjobster_characters_request_max'] ) );
			update_option( 'wpjobster_characters_customextra_min'            , trim( $_POST['wpjobster_characters_customextra_min'] ) );
			update_option( 'wpjobster_characters_customextra_max'            , trim( $_POST['wpjobster_characters_customextra_max'] ) );
			update_option( 'wpjobster_characters_feedback_min'               , trim( $_POST['wpjobster_characters_feedback_min'] ) );
			update_option( 'wpjobster_characters_feedback_max'               , trim( $_POST['wpjobster_characters_feedback_max'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster') . '</p></div>';
		}
	}

	public function save_filters_settings() {
		if ( isset( $_POST['wpjobster_save_filters_settings'] ) ) {
			update_option( 'wpjobster_filter_phonenumbers_privatemessages' , isset( $_POST['wpjobster_filter_phonenumbers_privatemessages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_email_privatemessages'        , isset( $_POST['wpjobster_filter_email_privatemessages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words_privatemessages'        , isset( $_POST['wpjobster_filter_words_privatemessages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words2_privatemessages'       , isset( $_POST['wpjobster_filter_words2_privatemessages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words3_privatemessages'       , isset( $_POST['wpjobster_filter_words3_privatemessages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_phonenumbers_transactionpages', isset( $_POST['wpjobster_filter_phonenumbers_transactionpages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_email_transactionpages'       , isset( $_POST['wpjobster_filter_email_transactionpages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words_transactionpages'       , isset( $_POST['wpjobster_filter_words_transactionpages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words2_transactionpages'      , isset( $_POST['wpjobster_filter_words2_transactionpages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words3_transactionpages'      , isset( $_POST['wpjobster_filter_words3_transactionpages'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_phonenumbers_joblistings'     , isset( $_POST['wpjobster_filter_phonenumbers_joblistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_email_joblistings'            , isset( $_POST['wpjobster_filter_email_joblistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words_joblistings'            , isset( $_POST['wpjobster_filter_words_joblistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words2_joblistings'           , isset( $_POST['wpjobster_filter_words2_joblistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words3_joblistings'           , isset( $_POST['wpjobster_filter_words3_joblistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_phonenumbers_requestlistings' , isset( $_POST['wpjobster_filter_phonenumbers_requestlistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_email_requestlistings'        , isset( $_POST['wpjobster_filter_email_requestlistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words_requestlistings'        , isset( $_POST['wpjobster_filter_words_requestlistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words2_requestlistings'       , isset( $_POST['wpjobster_filter_words2_requestlistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words3_requestlistings'       , isset( $_POST['wpjobster_filter_words3_requestlistings'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_phonenumbers_userprofiles'    , isset( $_POST['wpjobster_filter_phonenumbers_userprofiles'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_email_userprofiles'           , isset( $_POST['wpjobster_filter_email_userprofiles'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words_userprofiles'           , isset( $_POST['wpjobster_filter_words_userprofiles'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words2_userprofiles'          , isset( $_POST['wpjobster_filter_words2_userprofiles'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_filter_words3_userprofiles'          , isset( $_POST['wpjobster_filter_words3_userprofiles'] ) ? 'yes' : 'no' );
			update_option( 'wpjobster_blacklisted_words_pm'                , trim( $_POST['wpjobster_blacklisted_words_pm'] ) );
			update_option( 'wpjobster_blacklisted_words_pm_err'            , trim( $_POST['wpjobster_blacklisted_words_pm_err'] ) );
			update_option( 'wpjobster_blacklisted_words2_pm'               , trim( $_POST['wpjobster_blacklisted_words2_pm'] ) );
			update_option( 'wpjobster_blacklisted_words2_pm_err'           , trim( $_POST['wpjobster_blacklisted_words2_pm_err'] ) );
			update_option( 'wpjobster_blacklisted_words3_pm'               , trim( $_POST['wpjobster_blacklisted_words3_pm'] ) );
			update_option( 'wpjobster_blacklisted_words3_pm_err'           , trim( $_POST['wpjobster_blacklisted_words3_pm_err'] ) );
			update_option( 'wpjobster_blacklisted_email'                   , trim( $_POST['wpjobster_blacklisted_email'] ) );
			update_option( 'wpjobster_blacklisted_phone'                   , trim( $_POST['wpjobster_blacklisted_phone'] ) );
			update_option( 'wpjobster_blacklisted_prefixes_pm'             , trim( $_POST['wpjobster_blacklisted_prefixes_pm'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_page_assignments() {
		if ( isset( $_POST['wpjobster_save_page_assignments'] ) ) {
			$wp_pages = get_wpjobster_page_ids();
			foreach ($wp_pages as $key => $value) {
				update_option( $value, trim( $_POST[$value] ) );
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_permalinks() {
		if ( isset( $_POST['wpjobster_save_permalinks'] ) ) {

			/* Page permalink */
			$page_dupls = wpj_array_contain_duplicated_values( array( $_POST['wpjobster_all_requests_permalink'], $_POST['wpjobster_all_news_permalink'], $_POST['wpjobster_all_proposals_permalink'] ) );
			if ( $page_dupls ) { $error = 1;
				echo '<div class="error fade"><p>' . sprintf( __( 'For page permalink, the word %s can\'t be the same for multiple pages!', 'wpjobster' ), $page_dupls ) . '</p></div>';
			} else {
				update_option( 'wpjobster_all_requests_permalink' , trim( $_POST['wpjobster_all_requests_permalink'] ) );
				update_option( 'wpjobster_all_news_permalink'     , trim( $_POST['wpjobster_all_news_permalink'] ) );
				update_option( 'wpjobster_all_proposals_permalink', trim( $_POST['wpjobster_all_proposals_permalink'] ) );
			}

			/* Post permalink */
			$post_dupls = wpj_array_contain_duplicated_values( array( $_POST['wpjobster_jobs_permalink'], $_POST['wpjobster_requests_permalink'], $_POST['wpjobster_news_permalink'] ) );
			if ( $post_dupls ) { $error = 1;
				echo '<div class="error fade"><p>' . sprintf( __( 'For post permalink, the word %s can\'t be the same for multiple post types!', 'wpjobster' ), $post_dupls ) . '</p></div>';
			} else {
				update_option( 'wpjobster_jobs_permalink'    , trim( $_POST['wpjobster_jobs_permalink'] ) );
				update_option( 'wpjobster_requests_permalink', trim( $_POST['wpjobster_requests_permalink'] ) );
				update_option( 'wpjobster_news_permalink'    , trim( $_POST['wpjobster_news_permalink'] ) );
			}

			/* Category permalink */
			$category_dupls = wpj_array_contain_duplicated_values( array( $_POST['wpjobster_category_permalink'], $_POST['wpjobster_requests_category_permalink'], $_POST['wpjobster_news_category_permalink'] ) );
			if ( $category_dupls ) { $error = 1;
				echo '<div class="error fade"><p>' . sprintf( __( 'For category permalink, the word %s can\'t be the same for multiple categories!', 'wpjobster' ), $category_dupls ) . '</p></div>';
			} else {
				update_option( 'wpjobster_category_permalink'         , trim( $_POST['wpjobster_category_permalink'] ) );
				update_option( 'wpjobster_requests_category_permalink', trim( $_POST['wpjobster_requests_category_permalink'] ) );
				update_option( 'wpjobster_news_category_permalink'    , trim( $_POST['wpjobster_news_category_permalink'] ) );
			}

			/* Slug type */
			update_option( 'wpjobster_jobs_permalink_slug_type'    , trim( $_POST['wpjobster_jobs_permalink_slug_type'] ) );
			update_option( 'wpjobster_requests_permalink_slug_type', trim( $_POST['wpjobster_requests_permalink_slug_type'] ) );
			update_option( 'wpjobster_news_permalink_slug_type'    , trim( $_POST['wpjobster_news_permalink_slug_type'] ) );

			do_action( 'wpjobster_general_settings_permalinks_options_save' );

			if ( ! isset( $error ) ) {
				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
			}

			delete_option( 'theme_permalinks_flushed' );
		}
	}
}

$cl_gs = new GeneralSettings();
