<?php
class PaymentGateways {
	public function wpjobster_payment_gateways() {
		show_html_payment_gateways();
	}

	public function __construct() {

	}

	public function get_all_pages() {
		$pages = new WP_Query( array( "post_type" => "page", "posts_per_page" => -1 ) );

		$arr_pages[''] = __( 'Transaction Page', 'wpjobster' );
		while ( $pages->have_posts() ) {
			$pages->the_post();
			$arr_pages[get_the_ID()] = get_the_title();
		}

		return $arr_pages;
	}
}

$cl_pg = new PaymentGateways();

if ( ! function_exists( "wpjobster_payment_methods_action_function" ) ) {
	function wpjobster_payment_methods_action_function() {

		// Cash On Delivery
		if ( isset( $_POST['wpjobster_save_cod'] ) ) {
			update_option( 'wpjobster_cod_enable', trim( $_POST['wpjobster_cod_enable'] ) );

			foreach ( wpj_get_payment_types( array( 'topup', 'featured', 'withdraw', 'tips', 'subscription' ) ) as $payment_type_enable_key => $payment_type_enable ) {
				if ( isset( $_POST['wpjobster_cod_enable_' . $payment_type_enable_key] ) )
					update_option( 'wpjobster_cod_enable_' . $payment_type_enable_key, trim( $_POST['wpjobster_cod_enable_' . $payment_type_enable_key] ) );
			}

			update_option( 'wpjobster_cod_button_caption', trim( $_POST['wpjobster_cod_button_caption'] ) );
			update_option( 'wpjobster_cod_success_page'  , trim( $_POST['wpjobster_cod_success_page'] ) );
			update_option( 'wpjobster_cod_failure_page'  , trim( $_POST['wpjobster_cod_failure_page'] ) );

			echo '<div class="updated fade">' . __( 'Settings saved!', 'wpjobster' ) . '</div>';
		}

		// Bank transfer
		if ( isset( $_POST['wpjobster_save_banktransfer'] ) ) {
			update_option( 'wpjobster_banktransfer_enable', trim( $_POST['wpjobster_banktransfer_enable'] ) );

			foreach ( wpj_get_payment_types( array( 'subscription' ) ) as $payment_type_enable_key => $payment_type_enable ) {
				if ( isset( $_POST['wpjobster_banktransfer_enable_' . $payment_type_enable_key] ) )
					update_option( 'wpjobster_banktransfer_enable_' . $payment_type_enable_key, trim( $_POST['wpjobster_banktransfer_enable_' . $payment_type_enable_key] ) );
			}

			$wpjobster_bank_currency = trim( $_POST['wpjobster_bank_currency'] );
			if ( ! wpj_is_allowed( 'multi_currency' ) ) {
				delete_option( 'wpjobster_bank_currency' );
				wpj_disabled_settings_error( 'multi_currency' );
			} else {
				update_option( 'wpjobster_bank_currency', $wpjobster_bank_currency );
			}

			update_option( 'wpjobster_banktransfer_button_caption', trim( $_POST['wpjobster_banktransfer_button_caption'] ) );
			update_option( 'wpjobster_bank_details'               , trim( $_POST['wpjobster_bank_details'] ) );
			update_option( 'wpjobster_banktransfer_success_page'  , trim( $_POST['wpjobster_banktransfer_success_page'] ) );
			update_option( 'wpjobster_banktransfer_failure_page'  , trim( $_POST['wpjobster_banktransfer_failure_page'] ) );

			echo '<div class="updated fade">' . __( 'Settings saved!', 'wpjobster' ) . '</div>';
		}

	}
}

if ( ! function_exists( 'wpjobster_show_gateway_demouser' ) ) {
	function wpjobster_show_gateway_demouser( $wpjobster_success_page_id = 0 ) {

		$uid = get_current_user_id();

		$r           = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_orders WHERE uid = '{$uid}' ORDER BY id DESC" );
		$last_row    = $r[0];
		$last_row_id = $last_row->id;

		wp_redirect( get_bloginfo( 'url' ) . '/?jb_action=chat_box&oid=' . $last_row_id ); exit();

	}
}

function get_tab_id( $wpjobster_payment_gateways ) {

	global $gateway_index;

	$this_index = 0;

	foreach ( $wpjobster_payment_gateways as $index => $gateway ) {
		if ( $gateway_index == $this_index ) {
			$gateway_index++;
			return $gateway['unique_id'];
		}

		$this_index++;
	}

	$gateway_index++;
}

add_filter( 'wpjobster_take_allowed_currency_banktransfer', 'wpj_set_bank_transfer_currency' );
function wpj_set_bank_transfer_currency( $currency ) {
	if ( get_option( 'wpjobster_bank_currency' ) ) return get_option( 'wpjobster_bank_currency' );

	return $currency;
}

add_filter( 'wpj_price_classic_filter', 'wpj_change_bank_trasnfer_prices', 10, 3 );
function wpj_change_bank_trasnfer_prices( $value, $price, $cents = 2 ) {

	$wpjobster_currency_position     = get_option( 'wpjobster_currency_position' );
	$wpjobster_currency_symbol_space = get_option( 'wpjobster_currency_symbol_space' );
	$space                           = $wpjobster_currency_symbol_space == 'no' ? "" : " ";
	$currency                        = wpjobster_get_currency_symbol( wpjobster_get_currency_classic() );

	$oid = ! empty( $_REQUEST['oid'] ) ? $_REQUEST['oid'] : '';
	if ( ! $oid ) { $oid = ! empty( $_REQUEST['order_id'] ) ? $_REQUEST['order_id'] : ''; }

	if ( $oid ) {
		$order = wpjobster_get_order( $oid );

		if ( ! empty( $order->payment_gateway ) && $order->payment_gateway == 'banktransfer' ) {
			$currency_name = get_option( 'wpjobster_bank_currency' );
			if ( $currency_name ) {

				$currency = wpjobster_get_currency_symbol( $currency_name );

				if ( $wpjobster_currency_position == "front" ) return $currency .  $space . wpjobster_formats( $price, $cents, $currency_name );
				return wpjobster_formats( $price, $cents, $currency_name ) .  $space . $currency;
			}
		}

	}

	return $value;

}