<?php
class PricingSettings {

	public function __construct() {
		add_action( 'init', array( $this, 'catch_ajax_posts' ) );
	}

	public function wpjobster_pricing_settings() {
		show_html_pricing_settings();
	}

	public function catch_ajax_posts() {
		if ( ! is_demo_admin() ) {

			if ( isset( $_POST['add_variable_job_fee'] ) ) {
				if ( is_user_logged_in() && current_user_can( 'manage_options' ) ) {
					$cost = $_POST['add_variable_job_fee'];

					global $wpdb;
					$wpdb->query( "INSERT INTO {$wpdb->prefix}job_var_costs (cost) VALUES('{$cost}')" );

					echo json_encode(
						array(
							'id'    => $wpdb->insert_id,
							'price' => wpjobster_get_show_price_classic( $cost, 2 ),
						)
					);

					exit;
				}
			}

			if ( isset( $_POST['delete_variable_job_fee'] ) ) {
				if ( is_user_logged_in() && current_user_can( 'manage_options' ) ) {
					$ids = $_POST['delete_variable_job_fee'];

					global $wpdb;
					$wpdb->query( "DELETE FROM {$wpdb->prefix}job_var_costs WHERE id = {$ids}" );

					exit;
				}
			}

			if ( isset( $_POST['delete_user_package'] ) ) {
				if ( is_user_logged_in() && current_user_can( 'manage_options' ) ) {
					$ids = $_POST['delete_user_package'];

					global $wpdb;
					$wpdb->query( "DELETE FROM {$wpdb->prefix}job_topup_packages WHERE id={$ids}" );

					exit;
				}
			}
		}
	}

	public function save_main_details() {
		if ( isset( $_POST['wpjobster_save_main_details'] ) ) {
			update_option( 'wpjobster_currency_position'      , trim( $_POST['wpjobster_currency_position'] ) );
			update_option( 'wpjobster_currency_symbol_space'  , trim( $_POST['wpjobster_currency_symbol_space'] ) );
			update_option( 'wpjobster_decimal_sum_separator'  , trim( $_POST['wpjobster_decimal_sum_separator'] ) );
			update_option( 'wpjobster_thousands_sum_separator', trim( $_POST['wpjobster_thousands_sum_separator'] ) );
			update_option( 'wpjobster_replace_zero_with_free' , trim( $_POST['wpjobster_replace_zero_with_free'] ) );
			update_option( 'wpjobster_decimals'               , trim( $_POST['wpjobster_decimals'] ) );

			if ( isset( $_POST['wpjobster_unlock_site_currency_1'] ) ) {
				$wpjobster_unlock_site_currency_1_val = trim( $_POST['wpjobster_unlock_site_currency_1'] );
			} else {
				$wpjobster_unlock_site_currency_1_val = '';
			}

			update_option( 'wpjobster_unlock_site_currency_1' , $wpjobster_unlock_site_currency_1_val );

			$is_allowed_multi_currency = wpj_is_allowed( 'multi_currency' );
			$allowed_currency_error_flag = 0;

			for ( $i = 1; $i <= 10; $i++ ) {
				$currency_x        = 'wpjobster_currency_' . $i;
				$currency_symbol_x = 'wpjobster_currency_symbol_' . $i;

				$wpjobster_currency_x        = isset( $_POST[$currency_x] ) ? trim( $_POST[$currency_x] ) : '' ;
				$wpjobster_currency_symbol_x = isset( $_POST[$currency_symbol_x] ) ? trim( $_POST[$currency_symbol_x] ) : '';

				if ( ! $is_allowed_multi_currency && $i > 1 && ( $wpjobster_currency_x != '' || $wpjobster_currency_symbol_x != '' ) ) {
					$wpjobster_currency_x        = '';
					$wpjobster_currency_symbol_x = '';
					$allowed_currency_error_flag = 1;

					update_option( 'wpjobster_enable_open_exchange_api_rate', 'no' );
				} else {
					update_option( 'wpjobster_enable_open_exchange_api_rate', 'yes' );
				}

				$total_nr_job_count = wpj_get_site_jobs_count();
				$wpjobster_unlock_site_currency_1 = get_option( 'wpjobster_unlock_site_currency_1' );

				if ( $total_nr_job_count > 0 && $currency_x == "wpjobster_currency_1" && $currency_symbol_x == "wpjobster_currency_symbol_1" && $wpjobster_unlock_site_currency_1 == '' ) {

				} else {
					update_option( $currency_x, $wpjobster_currency_x );
					update_option( $currency_symbol_x, $wpjobster_currency_symbol_x );
				}

			}

			if ( ! $is_allowed_multi_currency && $allowed_currency_error_flag ) {
				wpj_disabled_settings_error( 'multi_currency' );
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster') . '</p></div>';
		}
	}

	public function save_job_fees() {
		if ( isset( $_POST['wpjobster_save_job_fees'] ) ) {

			/* For SELLERS */

			// enable site fee
			$wpjobster_enable_site_fee = trim( $_POST['wpjobster_enable_site_fee'] );
			if ( $wpjobster_enable_site_fee == "flexible" && ! wpj_is_allowed( 'flexible_fees' ) ) {
				update_option( 'wpjobster_enable_site_fee', 'percent' );
				wpj_disabled_settings_error( 'flexible_fees' );
			} else {
				update_option( 'wpjobster_enable_site_fee', $wpjobster_enable_site_fee );
			}

			// solid fee
			update_option( 'wpjobster_solid_fee_taken', trim( $_POST['wpjobster_solid_fee_taken'] ) );

			// percent fee
			update_option( 'wpjobster_percent_fee_taken', trim( $_POST['wpjobster_percent_fee_taken'] ) );

			// base fee
			update_option( 'wpjobster_percent_fee_taken_range0_level0', trim( $_POST['wpjobster_percent_fee_taken_range0_level0'] ) );
			update_option( 'wpjobster_percent_fee_taken_range0_level1', trim( $_POST['wpjobster_percent_fee_taken_range0_level1'] ) );
			update_option( 'wpjobster_percent_fee_taken_range0_level2', trim( $_POST['wpjobster_percent_fee_taken_range0_level2'] ) );
			update_option( 'wpjobster_percent_fee_taken_range0_level3', trim( $_POST['wpjobster_percent_fee_taken_range0_level3'] ) );

			// fee over 1
			update_option( 'wpjobster_percent_fee_taken_range1_base', trim( $_POST['wpjobster_percent_fee_taken_range1_base'] ) );
			update_option( 'wpjobster_percent_fee_taken_range1_level0', trim( $_POST['wpjobster_percent_fee_taken_range1_level0'] ) );
			update_option( 'wpjobster_percent_fee_taken_range1_level1', trim( $_POST['wpjobster_percent_fee_taken_range1_level1'] ) );
			update_option( 'wpjobster_percent_fee_taken_range1_level2', trim( $_POST['wpjobster_percent_fee_taken_range1_level2'] ) );
			update_option( 'wpjobster_percent_fee_taken_range1_level3', trim( $_POST['wpjobster_percent_fee_taken_range1_level3'] ) );

			// fee over 2
			update_option( 'wpjobster_percent_fee_taken_range2_base', trim( $_POST['wpjobster_percent_fee_taken_range2_base'] ) );
			update_option( 'wpjobster_percent_fee_taken_range2_level0', trim( $_POST['wpjobster_percent_fee_taken_range2_level0'] ) );
			update_option( 'wpjobster_percent_fee_taken_range2_level1', trim( $_POST['wpjobster_percent_fee_taken_range2_level1'] ) );
			update_option( 'wpjobster_percent_fee_taken_range2_level2', trim( $_POST['wpjobster_percent_fee_taken_range2_level2'] ) );
			update_option( 'wpjobster_percent_fee_taken_range2_level3', trim( $_POST['wpjobster_percent_fee_taken_range2_level3'] ) );

			// fee over 3
			update_option( 'wpjobster_percent_fee_taken_range3_base', trim( $_POST['wpjobster_percent_fee_taken_range3_base'] ) );
			update_option( 'wpjobster_percent_fee_taken_range3_level0', trim( $_POST['wpjobster_percent_fee_taken_range3_level0'] ) );
			update_option( 'wpjobster_percent_fee_taken_range3_level1', trim( $_POST['wpjobster_percent_fee_taken_range3_level1'] ) );
			update_option( 'wpjobster_percent_fee_taken_range3_level2', trim( $_POST['wpjobster_percent_fee_taken_range3_level2'] ) );
			update_option( 'wpjobster_percent_fee_taken_range3_level3', trim( $_POST['wpjobster_percent_fee_taken_range3_level3'] ) );

			/* For BUYERS */

			// enable processing fee
			$wpjobster_enable_buyer_processing_fees = trim( $_POST['wpjobster_enable_buyer_processing_fees'] );

			if ( ( $wpjobster_enable_buyer_processing_fees == 'fixed' || $wpjobster_enable_buyer_processing_fees == 'percent' ) && ! wpjobster_processing_fee_allowed() ) {
				update_option( 'wpjobster_enable_buyer_processing_fees', 'disabled' ); ?>

				<div class="error notice">
					<p>Could not enable Buyer Processing Fees. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Developer or Entrepreneur in order to use this feature.</p>
				</div>

			<?php } else {
				update_option( 'wpjobster_enable_buyer_processing_fees', $wpjobster_enable_buyer_processing_fees );
			}

			// fixed pricessing fee amount
			$wpjobster_buyer_processing_fees = trim( $_POST['wpjobster_buyer_processing_fees'] );
			if ( ! is_numeric( $wpjobster_buyer_processing_fees ) ) {
				$wpjobster_buyer_processing_fees = 0;
			}
			update_option( 'wpjobster_buyer_processing_fees', $wpjobster_buyer_processing_fees );

			// processing fee percent
			$wpjobster_buyer_processing_fees_percent = trim( $_POST['wpjobster_buyer_processing_fees_percent'] );
			if ( ! is_numeric( $wpjobster_buyer_processing_fees_percent ) ) {
				$wpjobster_buyer_processing_fees_percent = 0;
			}
			update_option( 'wpjobster_buyer_processing_fees_percent', $wpjobster_buyer_processing_fees_percent );

			// refund the fee if job cancelled
			$wpjobster_enable_refund_buyer_processing_fees = trim( $_POST['wpjobster_enable_refund_buyer_processing_fees'] );
			update_option( 'wpjobster_enable_refund_buyer_processing_fees', $wpjobster_enable_refund_buyer_processing_fees );

			/* For BUYERS - TAX */

			// enable tax
			$wpjobster_enable_site_tax = trim( $_POST['wpjobster_enable_site_tax'] );

			// tax percent
			$wpjobster_tax_percent = trim( $_POST['wpjobster_tax_percent'] );
			if ( ! is_numeric( $wpjobster_tax_percent ) ) {
				$wpjobster_tax_percent = 0;
			}
			update_option( "wpjobster_tax_percent", $wpjobster_tax_percent );

			// apply tax over processing fee
			$wpjobster_enable_processingfee_tax = trim( $_POST['wpjobster_enable_processingfee_tax'] );
			update_option( "wpjobster_enable_processingfee_tax", $wpjobster_enable_processingfee_tax );

			// refund the tax if job cancelled
			$wpjobster_enable_refund_tax = trim( $_POST['wpjobster_enable_refund_tax'] );
			update_option( "wpjobster_enable_refund_tax", $wpjobster_enable_refund_tax );

			// tax for country
			$wpjobster_country_taxes = $_POST['wpjobster_country_taxes'];
			$wpjobster_country_taxes_percentage = $_POST['wpjobster_country_taxes_percentage'];
			$last_index = count( $wpjobster_country_taxes_percentage ) - 1;
			$wpjobster_country_taxes_percent_arr = array();
			foreach ( $wpjobster_country_taxes_percentage as $index => $percent ) {
				if ( $percent != '' || (int)$percent != '0' ) {
					$wpjobster_country_taxes_percent_arr[$wpjobster_country_taxes[$index]] = $percent;
				}
			}
			update_option( "wpjobster_country_taxes_percentage", $wpjobster_country_taxes_percent_arr );

			/* ERRORS AND ACTIONS */

			// action
			do_action( 'wpj_save_fees_for_buyers' );

			// error
			if ( $wpjobster_enable_site_tax == 'yes' && ! wpjobster_processing_fee_allowed() ) {
				update_option( 'wpjobster_enable_site_tax', 'no' ); ?>
				<div class="error notice">
					<p>Could not enable Tax. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Developer or Entrepreneur in order to use this feature.</p>
				</div>
				<?php
			} else {
				update_option( 'wpjobster_enable_site_tax', $wpjobster_enable_site_tax );
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_withdraw_options() {
		if ( isset( $_POST['wpjobster_save_withdraw_options'] ) ) {
			update_option( 'wpjobster_withdraw_limit', trim( $_POST['wpjobster_withdraw_limit'] ) );
			update_option( 'wpjobster_enable_withdraw_email_verification', trim( $_POST['wpjobster_enable_withdraw_email_verification'] ) );

			if ( ! empty( $_POST['wpjobster_payoneer_enable_withdraw'] ) ) {
				update_option( 'wpjobster_payoneer_enable_withdraw', trim( $_POST['wpjobster_payoneer_enable_withdraw'] ) );
			}

			if ( $_POST['wpjobster_enable_withdraw_email_verification'] == 'yes' ) {

				// E-mail
				update_option( 'uz_email_withdraw_req_en_subject', 'You have requested a withdrawal' );
				update_option( 'uz_email_withdraw_req_en_message',
					'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

					'We have received your request. It will be processed within 2 to 3 working days.'.PHP_EOL.PHP_EOL.
					'Please click the following link in order to confirm your request: '.PHP_EOL.
					'##withdrawal_email_verification##'.PHP_EOL.PHP_EOL.

					'Withdraw details:'.PHP_EOL.
					'Amount: ##amount_withdrawn##'.PHP_EOL.
					'Method: ##withdraw_method##'.PHP_EOL.PHP_EOL.

					'Thank you,'.PHP_EOL.
					'##your_site_name## Team' );

				// SMS
				update_option( 'uz_sms_withdraw_req_en_message',

					'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

					'We have received your request. It will be processed within 2 to 3 working days.'.PHP_EOL.PHP_EOL.
					'Please click the following link in order to confirm your request: '.PHP_EOL.
					'##withdrawal_email_verification##'.PHP_EOL.PHP_EOL.

					'Amt: ##amount_withdrawn##'.PHP_EOL.
					'Method: ##withdraw_method##' );

			} else {

				// E-mail
				update_option( 'uz_email_withdraw_req_en_subject', 'You have requested a withdrawal' );
				update_option( 'uz_email_withdraw_req_en_message',
					'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

					'We have received your request. It will be processed within 2 to 3 working days.'.PHP_EOL.PHP_EOL.

					'Withdraw details:'.PHP_EOL.
					'Amount: ##amount_withdrawn##'.PHP_EOL.
					'Method: ##withdraw_method##'.PHP_EOL.PHP_EOL.

					'Thank you,'.PHP_EOL.
					'##your_site_name## Team' );

				// SMS
				update_option( 'uz_sms_withdraw_req_en_message',

					'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

					'We have received your request. It will be processed within 2 to 3 working days.'.PHP_EOL.PHP_EOL.

					'Amt: ##amount_withdrawn##'.PHP_EOL.
					'Method: ##withdraw_method##' );

			}

			do_action( 'wpjobster_save_enable_withdraw_admin_gateway' );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_price_limits() {
		if ( isset( $_POST['wpjobster_save_price_limits'] ) ) {
			// package amount
			update_option( 'wpjobster_min_package_amount' , trim( $_POST['wpjobster_min_package_amount'] ) ? trim($_POST['wpjobster_min_package_amount'] ) : 5 );
			update_option( 'wpjobster_max_package_amount' , trim( $_POST['wpjobster_max_package_amount'] ) ? trim($_POST['wpjobster_max_package_amount'] ) : 1000 );

			// custom offer amount
			update_option( 'wpjobster_offer_price_min', trim( $_POST['wpjobster_offer_price_min'] ) );
			update_option( 'wpjobster_offer_price_max', trim( $_POST['wpjobster_offer_price_max'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_job_values() {
		if ( isset( $_POST['wpjobster_save_job_values'] ) ) {
			do_action( 'wpj_save_job_values' );

			update_option( 'wpjobster_price_type'         , trim( $_POST['wpjobster_price_type'] ) );
			update_option( 'wpjobster_job_fixed_amount'   , trim( $_POST['wpjobster_job_fixed_amount'] ) );
			update_option( 'wpjobster_enable_fixed_rate'  , trim( $_POST['wpjobster_enable_fixed_rate'] ) );
			update_option( 'wpjobster_enable_hourly_rate' , trim( $_POST['wpjobster_enable_hourly_rate'] ) );
			update_option( 'wpjobster_enable_daily_rate'  , trim( $_POST['wpjobster_enable_daily_rate'] ) );
			update_option( 'wpjobster_enable_weekly_rate' , trim( $_POST['wpjobster_enable_weekly_rate'] ) );
			update_option( 'wpjobster_enable_monthly_rate', trim( $_POST['wpjobster_enable_monthly_rate'] ) );
			update_option( 'wpjobster_enable_custom_rate' , trim( $_POST['wpjobster_enable_custom_rate'] ) );

			$wpjobster_enable_packages = trim( $_POST['wpjobster_packages_enabled'] );
			if ( $wpjobster_enable_packages == "yes" && ! wpj_is_allowed( 'packages' ) ) {
				update_option( 'wpjobster_packages_enabled', 'no' );
				wpj_disabled_settings_error( 'packages' );
			} else {
				update_option( 'wpjobster_packages_enabled', $wpjobster_enable_packages );
			}

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_rates() {
		if ( isset( $_POST['wpjobster_save_rates'] ) ) {

			update_option( 'openexchangerates_appid', trim( $_POST['openexchangerates_appid'] ) );

			increment_daily_exchange_rates();

			$json = get_option( 'exchange_rates' );
			$exchangeRates = json_decode( $json );

			// Update currency value
			if ( ! empty( $exchangeRates ) ) {
				global $wpjobster_currencies_array;
				foreach ( $wpjobster_currencies_array as $wpjobster_currency ) {
					if ( $wpjobster_currency != "USD" ) {
						if ( ! empty( $_POST['wpjobster_' . $wpjobster_currency . '_currency'] ) ) {
							$exchangeRates->rates->$wpjobster_currency = $_POST['wpjobster_' . $wpjobster_currency . '_currency'];
						}
					}
				}

				update_option( 'exchange_rates', json_encode( $exchangeRates ) );
			}

			update_option( 'wpjobster_enable_open_exchange_api_rate', trim( $_POST['wpjobster_enable_open_exchange_api_rate'] ) );
			update_option( 'uz_email_admin_openexchangerates_higher_enable', trim( $_POST['uz_email_admin_openexchangerates_higher_enable'] ) );
			update_option( 'wpjobster_exchange_drop_percent', trim( $_POST['wpjobster_exchange_drop_percent'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function save_featured() {
		if ( isset( $_POST['wpjobster_save_featured'] ) ) {
			if ( wpj_is_allowed( 'featured_job' ) ) {

				$wpjobster_featured_enable             = trim( $_POST['wpjobster_featured_enable'] );
				$wpjobster_homepage_featured_enable    = trim( $_POST['wpjobster_homepage_featured_enable'] );
				$wpjobster_category_featured_enable    = trim( $_POST['wpjobster_category_featured_enable'] );
				$wpjobster_subcategory_featured_enable = trim( $_POST['wpjobster_subcategory_featured_enable'] );

				if ( $wpjobster_featured_enable == 'yes' && $wpjobster_homepage_featured_enable == 'no' && $wpjobster_category_featured_enable == 'no' && $wpjobster_subcategory_featured_enable == 'no' ) {
					$wpjobster_featured_enable = 'no'; ?>

					<div class="error notice">
						<p><?php echo __( 'You must enable the featured for at least one page to activate featured jobs!', 'wpjobster' ); ?></p>
					</div>
				<?php }

				$wpjobster_featured_interval = trim( $_POST['wpjobster_featured_interval'] );
				if ( ! is_numeric( $wpjobster_featured_interval ) ) $wpjobster_featured_interval = 7;

				$wpjobster_featured_homepage = trim( $_POST['wpjobster_featured_homepage'] );
				if ( ! is_numeric( $wpjobster_featured_homepage) ) $wpjobster_featured_homepage = 5;

				$wpjobster_featured_category = trim( $_POST['wpjobster_featured_category'] );
				if ( ! is_numeric( $wpjobster_featured_category) ) $wpjobster_featured_category = 5;

				$wpjobster_featured_subcategory = trim( $_POST['wpjobster_featured_subcategory'] );
				if ( ! is_numeric( $wpjobster_featured_subcategory) ) $wpjobster_featured_subcategory = 5;

				$wpjobster_featured_price_homepage = trim( $_POST['wpjobster_featured_price_homepage'] );
				if ( ! is_numeric( $wpjobster_featured_price_homepage) ) $wpjobster_featured_price_homepage = 5;

				$wpjobster_featured_price_category = trim( $_POST['wpjobster_featured_price_category'] );
				if ( ! is_numeric( $wpjobster_featured_price_category) ) $wpjobster_featured_price_category = 5;

				$wpjobster_featured_price_subcategory = trim( $_POST['wpjobster_featured_price_subcategory'] );
				if ( ! is_numeric( $wpjobster_featured_price_subcategory) ) $wpjobster_featured_price_subcategory = 5;

				update_option( 'wpjobster_featured_enable'            , $wpjobster_featured_enable );
				update_option( 'wpjobster_featured_interval'          , $wpjobster_featured_interval );
				update_option( 'wpjobster_homepage_featured_enable'   , $wpjobster_homepage_featured_enable );
				update_option( 'wpjobster_featured_homepage'          , $wpjobster_featured_homepage );
				update_option( 'wpjobster_category_featured_enable'   , $wpjobster_category_featured_enable );
				update_option( 'wpjobster_featured_category'          , $wpjobster_featured_category );
				update_option( 'wpjobster_subcategory_featured_enable', $wpjobster_subcategory_featured_enable );
				update_option( 'wpjobster_featured_subcategory'       , $wpjobster_featured_subcategory );
				update_option( 'wpjobster_featured_price_homepage'    , $wpjobster_featured_price_homepage );
				update_option( 'wpjobster_featured_price_category'    , $wpjobster_featured_price_category );
				update_option( 'wpjobster_featured_price_subcategory' , $wpjobster_featured_price_subcategory );

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
			} else {
				update_option( 'wpjobster_featured_enable', 'no' );
				wpj_disabled_settings_error( 'featured_job' );
			}
		}
	}

	public function save_topup() {
		if ( isset( $_POST['wpjobster_save_topup_settings'] ) ) {
			if ( wpjobster_topup_allowed() ) {
				update_option( 'wpjobster_enable_topup', trim( $_POST['wpjobster_enable_topup'] ) );

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

			} else {

				update_option( 'wpjobster_enable_topup', 'no' ); ?>
				<div class="error notice">
					<p>Could not enable Top Up. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>
			<?php }
		}

		if ( isset( $_POST['wpjobster_save_topup_packages'] ) ) {
			if ( wpjobster_topup_allowed() ) {
				global $wpdb;

				$cost   = trim( $_POST['newcost'] );
				$credit = trim( $_POST['newcredit'] );

				$wpdb->query( "INSERT INTO {$wpdb->prefix}job_topup_packages (cost,credit) VALUES('{$cost}','{$credit}')" );

				echo '<div class="updated fade"><p>' . __( 'Package added!', 'wpjobster' ) . '</p></div>';

			} else {

				update_option( 'wpjobster_enable_topup', 'no' ); ?>

				<div class="error notice">
					<p>Could not add package. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>

			<?php }
		}
	}
}

$cl_ps = new PricingSettings();
