<?php
class PrivateMessages {

	public function wpjobster_private_messages() {
		show_html_private_messages();
	}

	public function save_private_messages_settings() {
		if ( isset( $_POST['wpjobster_save_private_messages_post'] ) ) {

			update_option( 'wpjobster_pm_emoji_enable'         , trim( $_POST['wpjobster_pm_emoji_enable'] ) );
			update_option( 'wpjobster_chat_emoji_enable'       , trim( $_POST['wpjobster_chat_emoji_enable'] ) );
			update_option( 'wpjobster_transaction_emoji_enable', trim( $_POST['wpjobster_transaction_emoji_enable'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

		}
	}

	public function getRowQuery( $rows_per_page = 10, $pageno = 1, $limited = false ) {
		global $wpdb;

		$user = WPJ_Form::get( 'search_user', '' );
		$uid = ctype_digit( $user ) || is_int( $user ) ? $_GET['search_user'] : '';
		if ( ! $uid ) {
			$query  = "SELECT ID FROM {$wpdb->users} WHERE user_login = '{$user}'";
			$result = $wpdb->get_results( $query );
			$uid = count( $result ) > 0 ? $result[0]->ID : '';
		}

		if ( ! $uid ) $uid = 0;

		$query = "SELECT * FROM {$wpdb->prefix}job_pm";

		if ( $user ) { $query .= " WHERE initiator = {$uid} OR user = {$uid}"; }

		$query .= " ORDER BY id DESC";

		if ( $limited ) {
			$query .= " LIMIT " . ( $pageno - 1 ) * $rows_per_page . ',' . $rows_per_page;
		}

		return $query;
	}

	public function getOrderRow() {
		$r = array( 'all' => '', 'limited' => '', 'lastpage' => '', 'pageno' => '' );

		global $wpdb;

		$rows_per_page = 10;

		if ( isset( $_GET['pj'] ) ) $pageno = $_GET['pj'];
		else $pageno = 1;

		$s1 = $this->getRowQuery( $rows_per_page, $pageno, false );
		$s  = $this->getRowQuery( $rows_per_page, $pageno, true );

		$nr       = count( $wpdb->get_results( $s1 ) );
		$lastpage = ceil( $nr / $rows_per_page );

		$r = array(
			'all'      => $wpdb->get_results( $s ),
			'limited'  => $wpdb->get_results( $s1 ),
			'lastpage' => $lastpage,
			'pageno'   => $pageno,
			'count'    => $nr
		);

		return $r;
	}


	public function deletePrivateMessage() {
		if ( isset( $_GET['del_mess'] ) ) {
			global $wpdb;

			$message_id = $_GET['del_mess'];
			$message = wpj_get_private_message( $message_id );

			if ( $message ) {
				$query = "UPDATE {$wpdb->prefix}job_pm SET show_to_source = '0', show_to_destination = '0' WHERE id = {$message_id}";
				$wpdb->query( $query );

				wpj_refresh_user_notifications( $message->user, 'messages' );

				echo '<div class="updated fade">'.__( 'Message was deleted', 'wpjobster' ) . '</div>';
			}
		}
	}

	public function deletePermanentlyPrivateMessage() {
		if ( isset($_GET['p_del_mess'] ) ) {
			global $wpdb;

			$message_id = $_GET['p_del_mess'];
			$message = wpj_get_private_message( $message_id );

			if ( $message ) {
				$query = "DELETE FROM {$wpdb->prefix}job_pm WHERE id = {$message_id}";
				$wpdb->query( $query );

				wpj_refresh_user_notifications( $message->user, 'messages' );

				echo '<div class="updated fade">' . __( 'Message was deleted', 'wpjobster' ) . '</div>';
			} else {
				echo '<div class="error fade">' . __( 'Message already deleted', 'wpjobster' ) . '</div>';
			}
		}
	}

}

$cl_pm = new PrivateMessages();
