<?php

class Subscription {

	public function wpjobster_subscription() {
		show_html_subscriptions();
	}

	public function save_subscription_settings() {
		if ( isset( $_POST['save_subscription_settings'] ) ) {
			if ( wpjobster_subscriptions_allowed() ) {
				// Enable
				update_option( 'wpjobster_subscription_enabled', trim( $_POST['wpjobster_subscription_enabled'] ) );
				update_option( 'wpjobster_subscription_level_2_enabled', trim( $_POST['wpjobster_subscription_level_2_enabled'] ) );
				update_option( 'wpjobster_subscription_level_3_enabled', trim( $_POST['wpjobster_subscription_level_3_enabled'] ) );

				// Subscription name
				update_option( 'wpjobster_subscription_name_level0', trim( $_POST['wpjobster_subscription_name_level0'] ) );
				update_option( 'wpjobster_subscription_name_level1', trim( $_POST['wpjobster_subscription_name_level1'] ) );
				update_option( 'wpjobster_subscription_name_level2', trim( $_POST['wpjobster_subscription_name_level2'] ) );
				update_option( 'wpjobster_subscription_name_level3', trim( $_POST['wpjobster_subscription_name_level3'] ) );

				// Subscription level 1
				update_option( 'wpjobster_subscription_weekly_amount_level1', wpjobster_formats_special( $_POST['wpjobster_subscription_weekly_amount_level1'], 2 ) );
				update_option( 'wpjobster_subscription_monthly_amount_level1', wpjobster_formats_special( $_POST['wpjobster_subscription_monthly_amount_level1'], 2 ) );
				update_option( 'wpjobster_subscription_quarterly_amount_level1', wpjobster_formats_special( $_POST['wpjobster_subscription_quarterly_amount_level1'], 2 ) );
				update_option( 'wpjobster_subscription_yearly_amount_level1', wpjobster_formats_special( $_POST['wpjobster_subscription_yearly_amount_level1'], 2 ) );
				update_option( 'wpjobster_subscription_lifetime_amount_level1', wpjobster_formats_special( $_POST['wpjobster_subscription_lifetime_amount_level1'], 2 ) );

				// Subscription level 2
				update_option( 'wpjobster_subscription_weekly_amount_level2', wpjobster_formats_special( $_POST['wpjobster_subscription_weekly_amount_level2'], 2 ) );
				update_option( 'wpjobster_subscription_monthly_amount_level2', wpjobster_formats_special( $_POST['wpjobster_subscription_monthly_amount_level2'], 2 ) );
				update_option( 'wpjobster_subscription_quarterly_amount_level2', wpjobster_formats_special( $_POST['wpjobster_subscription_quarterly_amount_level2'], 2 ) );
				update_option( 'wpjobster_subscription_yearly_amount_level2', wpjobster_formats_special( $_POST['wpjobster_subscription_yearly_amount_level2'], 2 ) );
				update_option( 'wpjobster_subscription_lifetime_amount_level2', wpjobster_formats_special( $_POST['wpjobster_subscription_lifetime_amount_level2'], 2 ) );

				// Subscription level 3
				update_option( 'wpjobster_subscription_weekly_amount_level3', wpjobster_formats_special( $_POST['wpjobster_subscription_weekly_amount_level3'], 2 ) );
				update_option( 'wpjobster_subscription_monthly_amount_level3', wpjobster_formats_special( $_POST['wpjobster_subscription_monthly_amount_level3'], 2 ) );
				update_option( 'wpjobster_subscription_quarterly_amount_level3', wpjobster_formats_special( $_POST['wpjobster_subscription_quarterly_amount_level3'], 2 ) );
				update_option( 'wpjobster_subscription_yearly_amount_level3', wpjobster_formats_special( $_POST['wpjobster_subscription_yearly_amount_level3'], 2 ) );
				update_option( 'wpjobster_subscription_lifetime_amount_level3', wpjobster_formats_special( $_POST['wpjobster_subscription_lifetime_amount_level3'], 2 ) );

				// Email notification
				update_option( 'wpjobster_subscription_prior_notification', $_POST['wpjobster_subscription_prior_notification'] );

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
			} else {
				update_option( 'wpjobster_subscription_enabled', 'no' ); ?>

				<div class="error notice">
					<p>Could not save subscriptions settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>
			<?php }
		}
	}

	public function save_eligibility_settings() {
		if ( isset( $_POST['save_eligibility_settings'] ) ) {
			if ( wpjobster_subscriptions_allowed() ) {
				// Enable
				update_option( 'wpjobster_subscription_eligibility_enabled', trim( $_POST['wpjobster_subscription_eligibility_enabled'] ) );

				// Sales amount needed
				update_option( 'wpjobster_subscription_eligibility_amount_level1', wpjobster_formats_special( $_POST['wpjobster_subscription_eligibility_amount_level1'], 2 ) );
				update_option( 'wpjobster_subscription_eligibility_amount_level2', wpjobster_formats_special( $_POST['wpjobster_subscription_eligibility_amount_level2'], 2 ) );
				update_option( 'wpjobster_subscription_eligibility_amount_level3', wpjobster_formats_special( $_POST['wpjobster_subscription_eligibility_amount_level3'], 2 ) );

				echo '<div class="updated fade"><p>'.__('Settings saved!','wpjobster').'</p></div>';

			} else {
				update_option( 'wpjobster_subscription_enabled', 'no' ); ?>

				<div class="error notice">
					<p>Could not save subscriptions settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>
			<?php }
		}
	}

	public function save_features_settings() {
		if ( isset( $_POST['save_features_settings'] ) ) {
			if ( wpjobster_subscriptions_allowed() ) {
				// Fees to be charged
				update_option( 'wpjobster_fees_for_subscriber_enabled', $_POST['wpjobster_fees_for_subscriber_enabled'] );
				update_option( 'wpjobster_subscription_fees_level0', $_POST['wpjobster_subscription_fees_level0'] );
				update_option( 'wpjobster_subscription_fees_level1', $_POST['wpjobster_subscription_fees_level1'] );
				update_option( 'wpjobster_subscription_fees_level2', $_POST['wpjobster_subscription_fees_level2'] );
				update_option( 'wpjobster_subscription_fees_level3', $_POST['wpjobster_subscription_fees_level3'] );

				// Job packages
				update_option( 'wpjobster_subscription_packages_level0', $_POST['wpjobster_subscription_packages_level0'] );
				update_option( 'wpjobster_subscription_packages_level1', $_POST['wpjobster_subscription_packages_level1'] );
				update_option( 'wpjobster_subscription_packages_level2', $_POST['wpjobster_subscription_packages_level2'] );
				update_option( 'wpjobster_subscription_packages_level3', $_POST['wpjobster_subscription_packages_level3'] );

				// Tips
				update_option( 'wpjobster_subscription_tips_level0', $_POST['wpjobster_subscription_tips_level0'] );
				update_option( 'wpjobster_subscription_tips_level1', $_POST['wpjobster_subscription_tips_level1'] );
				update_option( 'wpjobster_subscription_tips_level2', $_POST['wpjobster_subscription_tips_level2'] );
				update_option( 'wpjobster_subscription_tips_level3', $_POST['wpjobster_subscription_tips_level3'] );

				// Number of extras
				update_option( 'wpjobster_subscription_noof_extras_enabled', $_POST['wpjobster_subscription_noof_extras_enabled'] );
				$wpjobster_subscription_noof_extras_level0 = $_POST['wpjobster_subscription_noof_extras_level0'];
				if ( $wpjobster_subscription_noof_extras_level0 > 10 ) {
					$wpjobster_subscription_noof_extras_level0 = 10;
				}
				update_option( 'wpjobster_subscription_noof_extras_level0', trim( $wpjobster_subscription_noof_extras_level0 ) );

				$wpjobster_subscription_noof_extras_level1 = $_POST['wpjobster_subscription_noof_extras_level1'];
				if ( $wpjobster_subscription_noof_extras_level1 > 10 ) {
					$wpjobster_subscription_noof_extras_level1 = 10;
				}
				update_option( 'wpjobster_subscription_noof_extras_level1', trim( $wpjobster_subscription_noof_extras_level1 ) );

				$wpjobster_subscription_noof_extras_level2 = $_POST['wpjobster_subscription_noof_extras_level2'];
				if( $wpjobster_subscription_noof_extras_level2 > 10 ) {
					$wpjobster_subscription_noof_extras_level2 = 10;
				}
				update_option( 'wpjobster_subscription_noof_extras_level2', trim( $wpjobster_subscription_noof_extras_level2 ) );

				$wpjobster_subscription_noof_extras_level3 = $_POST['wpjobster_subscription_noof_extras_level3'];
				if( $wpjobster_subscription_noof_extras_level3 > 10 ) {
					$wpjobster_subscription_noof_extras_level3 = 10;
				}
				update_option( 'wpjobster_subscription_noof_extras_level3', trim( $wpjobster_subscription_noof_extras_level3 ) );

				// Extra fast delivery
				update_option( 'wpjobster_subscription_ex_fast_delivery_enabled', $_POST['wpjobster_subscription_ex_fast_delivery_enabled'] );
				update_option( 'wpjobster_subscription_fast_del_multiples_level0', $_POST['wpjobster_subscription_fast_del_multiples_level0'] );
				update_option( 'wpjobster_subscription_fast_del_multiples_level1', $_POST['wpjobster_subscription_fast_del_multiples_level1'] );
				update_option( 'wpjobster_subscription_fast_del_multiples_level2', $_POST['wpjobster_subscription_fast_del_multiples_level2'] );
				update_option( 'wpjobster_subscription_fast_del_multiples_level3', $_POST['wpjobster_subscription_fast_del_multiples_level3'] );

				// Additional Revision
				update_option( 'wpjobster_subscription_additional_revision_enabled', $_POST['wpjobster_subscription_additional_revision_enabled'] );
				update_option( 'wpjobster_subscription_add_rev_multiples_level0', $_POST['wpjobster_subscription_add_rev_multiples_level0'] );
				update_option( 'wpjobster_subscription_add_rev_multiples_level1', $_POST['wpjobster_subscription_add_rev_multiples_level1'] );
				update_option( 'wpjobster_subscription_add_rev_multiples_level2', $_POST['wpjobster_subscription_add_rev_multiples_level2'] );
				update_option( 'wpjobster_subscription_add_rev_multiples_level3', $_POST['wpjobster_subscription_add_rev_multiples_level3'] );

				// Max Job Multiples
				update_option( 'wpjobster_subscription_job_multiples_enabled', $_POST['wpjobster_subscription_job_multiples_enabled'] );

				$wpjobster_subscription_job_multiples_level0 = $_POST['wpjobster_subscription_job_multiples_level0'];
				if ( $wpjobster_subscription_job_multiples_level0 < 1 || ! is_numeric( $wpjobster_subscription_job_multiples_level0 ) ) {
					$wpjobster_subscription_job_multiples_level0 = 0;
				}
				update_option( 'wpjobster_subscription_job_multiples_level0', trim( $wpjobster_subscription_job_multiples_level0 ) );

				$wpjobster_subscription_job_multiples_level1 = $_POST['wpjobster_subscription_job_multiples_level1'];
				if ( $wpjobster_subscription_job_multiples_level1 < 1 || ! is_numeric( $wpjobster_subscription_job_multiples_level1 ) ) {
					$wpjobster_subscription_job_multiples_level1 = 0;
				}
				update_option( 'wpjobster_subscription_job_multiples_level1', trim( $wpjobster_subscription_job_multiples_level1 ) );

				$wpjobster_subscription_job_multiples_level2 = $_POST['wpjobster_subscription_job_multiples_level2'];
				if ( $wpjobster_subscription_job_multiples_level2 < 1 || ! is_numeric( $wpjobster_subscription_job_multiples_level2 ) ) {
					$wpjobster_subscription_job_multiples_level2 = 0;
				}
				update_option( 'wpjobster_subscription_job_multiples_level2', trim( $wpjobster_subscription_job_multiples_level2 ) );

				$wpjobster_subscription_job_multiples_level3 = $_POST['wpjobster_subscription_job_multiples_level3'];
				if ( $wpjobster_subscription_job_multiples_level3 < 1 || ! is_numeric( $wpjobster_subscription_job_multiples_level3 ) ) {
					$wpjobster_subscription_job_multiples_level3 = 0;
				}
				update_option( 'wpjobster_subscription_job_multiples_level3', trim( $wpjobster_subscription_job_multiples_level3 ) );

				// Max Extra Multiples
				update_option( 'wpjobster_subscription_extra_multiples_enabled', $_POST['wpjobster_subscription_extra_multiples_enabled'] );

				$wpjobster_subscription_extra_multiples_level0 = $_POST['wpjobster_subscription_extra_multiples_level0'];
				if ( $wpjobster_subscription_extra_multiples_level0 < 1 || ! is_numeric( $wpjobster_subscription_extra_multiples_level0 ) ) {
					$wpjobster_subscription_extra_multiples_level0 = 0;
				}
				update_option( 'wpjobster_subscription_extra_multiples_level0', trim( $wpjobster_subscription_extra_multiples_level0 ) );

				$wpjobster_subscription_extra_multiples_level1 = $_POST['wpjobster_subscription_extra_multiples_level1'];
				if ( $wpjobster_subscription_extra_multiples_level1 < 1 || ! is_numeric( $wpjobster_subscription_extra_multiples_level1 ) ) {
					$wpjobster_subscription_extra_multiples_level1 = 0;
				}
				update_option( 'wpjobster_subscription_extra_multiples_level1', trim( $wpjobster_subscription_extra_multiples_level1 ) );

				$wpjobster_subscription_extra_multiples_level2 = $_POST['wpjobster_subscription_extra_multiples_level2'];
				if ( $wpjobster_subscription_extra_multiples_level2 < 1 || ! is_numeric( $wpjobster_subscription_extra_multiples_level2 ) ) {
					$wpjobster_subscription_extra_multiples_level2 = 0;
				}
				update_option( 'wpjobster_subscription_extra_multiples_level2', trim( $wpjobster_subscription_extra_multiples_level2 ) );

				$wpjobster_subscription_extra_multiples_level3 = $_POST['wpjobster_subscription_extra_multiples_level3'];
				if ( $wpjobster_subscription_extra_multiples_level3 < 1 || ! is_numeric( $wpjobster_subscription_extra_multiples_level3 ) ) {
					$wpjobster_subscription_extra_multiples_level3 = 0;
				}
				update_option( 'wpjobster_subscription_extra_multiples_level3', trim( $wpjobster_subscription_extra_multiples_level3 ) );

				// Max Video Multiples
				update_option( 'wpjobster_subscription_video_multiples_enabled', $_POST['wpjobster_subscription_video_multiples_enabled'] );

				$wpjobster_subscription_video_multiples_level0 = $_POST['wpjobster_subscription_video_multiples_level0'];
				if ( $wpjobster_subscription_video_multiples_level0 < 1 || ! is_numeric( $wpjobster_subscription_video_multiples_level0 ) ) {
					$wpjobster_subscription_video_multiples_level0 = 0;
				}
				update_option( 'wpjobster_subscription_video_multiples_level0', trim( $wpjobster_subscription_video_multiples_level0 ) );

				$wpjobster_subscription_video_multiples_level1 = $_POST['wpjobster_subscription_video_multiples_level1'];
				if ( $wpjobster_subscription_video_multiples_level1 < 1 || ! is_numeric( $wpjobster_subscription_video_multiples_level1 ) ) {
					$wpjobster_subscription_video_multiples_level1 = 0;
				}
				update_option( 'wpjobster_subscription_video_multiples_level1', trim( $wpjobster_subscription_video_multiples_level1 ) );

				$wpjobster_subscription_video_multiples_level2 = $_POST['wpjobster_subscription_video_multiples_level2'];
				if ( $wpjobster_subscription_video_multiples_level2 < 1 || ! is_numeric( $wpjobster_subscription_video_multiples_level2 ) ) {
					$wpjobster_subscription_video_multiples_level2 = 0;
				}
				update_option( 'wpjobster_subscription_video_multiples_level2', trim( $wpjobster_subscription_video_multiples_level2 ) );

				$wpjobster_subscription_video_multiples_level3 = $_POST['wpjobster_subscription_video_multiples_level3'];
				if ( $wpjobster_subscription_video_multiples_level3 < 1 || ! is_numeric( $wpjobster_subscription_video_multiples_level3 ) ) {
					$wpjobster_subscription_video_multiples_level3 = 0;
				}
				update_option( 'wpjobster_subscription_video_multiples_level3', trim( $wpjobster_subscription_video_multiples_level3 ) );

				// Profile label
				update_option( 'wpjobster_subscription_profile_label_enabled', $_POST['wpjobster_subscription_profile_label_enabled'] );
				update_option( 'wpjobster_subscription_profile_label_level0', $_POST['wpjobster_subscription_profile_label_level0'] );
				update_option( 'wpjobster_subscription_profile_label_level1', $_POST['wpjobster_subscription_profile_label_level1'] );
				update_option( 'wpjobster_subscription_profile_label_level2', $_POST['wpjobster_subscription_profile_label_level2'] );
				update_option( 'wpjobster_subscription_profile_label_level3', $_POST['wpjobster_subscription_profile_label_level3'] );

				// Icon URL
				update_option( 'wpjobster_subscription_icon_url_enabled', $_POST['wpjobster_subscription_icon_url_enabled'] );
				update_option( 'wpjobster_subscription_icon_url_level0', $_POST['wpjobster_subscription_icon_url_level0'] );
				update_option( 'wpjobster_subscription_icon_url_level1', $_POST['wpjobster_subscription_icon_url_level1'] );
				update_option( 'wpjobster_subscription_icon_url_level2', $_POST['wpjobster_subscription_icon_url_level2'] );
				update_option( 'wpjobster_subscription_icon_url_level3', $_POST['wpjobster_subscription_icon_url_level3'] );

				// Action
				do_action( 'save_features_options_for_subscription' );

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

			} else {
				update_option( 'wpjobster_subscription_enabled', 'no' ); ?>

				<div class="error notice">
					<p>Could not save subscriptions settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>

			<?php }
		}
	}

	public function save_price_limits_settings() {
		if ( isset( $_POST['save_price_limits_settings'] ) ) {
			if ( wpjobster_subscriptions_allowed() ) {

				// Min job price
				update_option( 'wpjobster_subscription_min_job_price_enabled', $_POST['wpjobster_subscription_min_job_price_enabled'] );
				update_option( 'wpjobster_subscription_min_job_price_level0', $_POST['wpjobster_subscription_min_job_price_level0'] );
				update_option( 'wpjobster_subscription_min_job_price_level1', $_POST['wpjobster_subscription_min_job_price_level1'] );
				update_option( 'wpjobster_subscription_min_job_price_level2', $_POST['wpjobster_subscription_min_job_price_level2'] );
				update_option( 'wpjobster_subscription_min_job_price_level3', $_POST['wpjobster_subscription_min_job_price_level3'] );

				// Max job price
				update_option( 'wpjobster_subscription_max_job_price_enabled', $_POST['wpjobster_subscription_max_job_price_enabled'] );
				update_option( 'wpjobster_subscription_max_job_price_level0', $_POST['wpjobster_subscription_max_job_price_level0'] );
				update_option( 'wpjobster_subscription_max_job_price_level1', $_POST['wpjobster_subscription_max_job_price_level1'] );
				update_option( 'wpjobster_subscription_max_job_price_level2', $_POST['wpjobster_subscription_max_job_price_level2'] );
				update_option( 'wpjobster_subscription_max_job_price_level3', $_POST['wpjobster_subscription_max_job_price_level3'] );

				// Min extras amount
				update_option( 'wpjobster_subscription_min_extra_price_enabled', trim( $_POST['wpjobster_subscription_min_extra_price_enabled'] ) );
				update_option( 'wpjobster_subscription_min_extra_price_level0', trim( $_POST['wpjobster_subscription_min_extra_price_level0'] ) );
				update_option( 'wpjobster_subscription_min_extra_price_level1', trim( $_POST['wpjobster_subscription_min_extra_price_level1'] ) );
				update_option( 'wpjobster_subscription_min_extra_price_level2', trim( $_POST['wpjobster_subscription_min_extra_price_level2'] ) );
				update_option( 'wpjobster_subscription_min_extra_price_level3', trim( $_POST['wpjobster_subscription_min_extra_price_level3'] ) );

				// Max extras amount
				$wpjobster_sub_extras_err_flag = 0;

				update_option( 'wpjobster_subscription_max_extra_price_enabled', trim( $_POST['wpjobster_subscription_max_extra_price_enabled'] ) );

				$wpjobster_subscription_max_extra_price_level0 = $_POST['wpjobster_subscription_max_extra_price_level0'];
				if ( $wpjobster_subscription_max_extra_price_level0 < 1 || ! is_numeric( $wpjobster_subscription_max_extra_price_level0 ) ) {
					$wpjobster_subscription_max_extra_price_level0 = 1; $wpjobster_sub_extras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_extra_price_level0', trim( $wpjobster_subscription_max_extra_price_level0 ) );

				$wpjobster_subscription_max_extra_price_level1 = $_POST['wpjobster_subscription_max_extra_price_level1'];
				if ( $wpjobster_subscription_max_extra_price_level1 < 1 || ! is_numeric( $wpjobster_subscription_max_extra_price_level1 ) ) {
					$wpjobster_subscription_max_extra_price_level1 = 1; $wpjobster_sub_extras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_extra_price_level1', trim( $wpjobster_subscription_max_extra_price_level1 ) );

				$wpjobster_subscription_max_extra_price_level2 = $_POST['wpjobster_subscription_max_extra_price_level2'];
				if ( $wpjobster_subscription_max_extra_price_level2 < 1 || ! is_numeric( $wpjobster_subscription_max_extra_price_level2 ) ) {
					$wpjobster_subscription_max_extra_price_level2 = 1; $wpjobster_sub_extras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_extra_price_level2', trim( $wpjobster_subscription_max_extra_price_level2 ) );

				$wpjobster_subscription_max_extra_price_level3 = $_POST['wpjobster_subscription_max_extra_price_level3'];
				if ( $wpjobster_subscription_max_extra_price_level3 < 1 || ! is_numeric( $wpjobster_subscription_max_extra_price_level3 ) ) {
					$wpjobster_subscription_max_extra_price_level3 = 1; $wpjobster_sub_extras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_extra_price_level3', trim( $wpjobster_subscription_max_extra_price_level3 ) );

				// Min custom extras amount
				update_option( 'wpjobster_subscription_min_custom_extras_enabled', trim( $_POST['wpjobster_subscription_min_custom_extras_enabled'] ) );
				update_option( 'wpjobster_subscription_min_customextrasamount_level0', trim( $_POST['wpjobster_subscription_min_customextrasamount_level0'] ) );
				update_option( 'wpjobster_subscription_min_customextrasamount_level1', trim( $_POST['wpjobster_subscription_min_customextrasamount_level1'] ) );
				update_option( 'wpjobster_subscription_min_customextrasamount_level2', trim( $_POST['wpjobster_subscription_min_customextrasamount_level2'] ) );
				update_option( 'wpjobster_subscription_min_customextrasamount_level3', trim( $_POST['wpjobster_subscription_min_customextrasamount_level3'] ) );

				// Max custom extras amount
				$wpjobster_sub_customextras_err_flag = 0;

				update_option( 'wpjobster_subscription_custom_extras_enabled', trim( $_POST['wpjobster_subscription_custom_extras_enabled'] ) );

				$wpjobster_subscription_max_customextrasamount_level0 = $_POST['wpjobster_subscription_max_customextrasamount_level0'];
				if ( $wpjobster_subscription_max_customextrasamount_level0 < 1 || ! is_numeric( $wpjobster_subscription_max_customextrasamount_level0 ) ) {
					$wpjobster_subscription_max_customextrasamount_level0 = 1; $wpjobster_sub_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_customextrasamount_level0', trim( $wpjobster_subscription_max_customextrasamount_level0 ) );

				$wpjobster_subscription_max_customextrasamount_level1 = $_POST['wpjobster_subscription_max_customextrasamount_level1'];
				if ( $wpjobster_subscription_max_customextrasamount_level1 < 1 || ! is_numeric( $wpjobster_subscription_max_customextrasamount_level1 ) ) {
					$wpjobster_subscription_max_customextrasamount_level1 = 1; $wpjobster_sub_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_customextrasamount_level1', trim( $wpjobster_subscription_max_customextrasamount_level1 ) );

				$wpjobster_subscription_max_customextrasamount_level2 = $_POST['wpjobster_subscription_max_customextrasamount_level2'];
				if ( $wpjobster_subscription_max_customextrasamount_level2 < 1 || ! is_numeric( $wpjobster_subscription_max_customextrasamount_level2 ) ) {
					$wpjobster_subscription_max_customextrasamount_level2 = 1; $wpjobster_sub_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_customextrasamount_level2', trim( $wpjobster_subscription_max_customextrasamount_level2 ) );

				$wpjobster_subscription_max_customextrasamount_level3 = $_POST['wpjobster_subscription_max_customextrasamount_level3'];
				if ( $wpjobster_subscription_max_customextrasamount_level3 < 1 || ! is_numeric( $wpjobster_subscription_max_customextrasamount_level3 ) ) {
					$wpjobster_subscription_max_customextrasamount_level3 = 1; $wpjobster_sub_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_subscription_max_customextrasamount_level3', trim( $wpjobster_subscription_max_customextrasamount_level3 ) );

				// Action
				do_action( 'save_price_limits_options_for_subscription' );

				// Errors
				if ( $wpjobster_sub_extras_err_flag ) {
					echo '<div class="error notice is-dismissible"><p>' . __( 'Max total extras amount need to be greater than or equal to 1! Default values have been saved!', 'wpjobster' ) . '</p></div>';
				}

				if ( $wpjobster_sub_customextras_err_flag ) {
					echo '<div class="error notice is-dismissible"><p>' . __( 'Max total custom extras amount need to be greater than or equal to 1! Default values have been saved!', 'wpjobster' ) . '</p></div>';
				}

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

			} else {
				update_option( 'wpjobster_subscription_enabled', 'no' ); ?>

				<div class="error notice">
					<p>Could not save subscriptions settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>

			<?php }
		}
	}

	public function list_subscription_row( $level = '' ) {
		$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) );
		$interval_arr = array( 'weekly', 'monthly', 'quarterly', 'yearly', 'lifetime' );

		if ( $level > 1 ) { ?>
			<tr>
				<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Check this option to enable the subscription.', 'wpjobster' ) ); ?></td>
				<td valign="top"><?php echo sprintf( __( 'Enable Subscription Level %d', 'wpjobster' ), $level ); ?>:</td>
				<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_level_' . $level . '_enabled', 'yes' ); ?></td>
			</tr>
		<?php } ?>

		<tr>
			<td valign="top" width="22"><?php wpjobster_theme_bullet( sprintf( __( 'Fill the subscription amount for level %d', 'wpjobster' ), $level ) ); ?></td>
			<td width="200" valign="top"><?php echo sprintf( __( 'Subscription Level %d', 'wpjobster' ), $level ); ?>:</td>
			<td>
				<label class='wpjobster-label-80' for='wpjobster_subscription_name_level<?php echo $level; ?>'><?php _e( 'Name', 'wpjobster' ); ?>:</label>

				<input class='sbc_level_name' type='text' size="10" name="wpjobster_subscription_name_level<?php echo $level; ?>" id="wpjobster_subscription_name_level<?php echo $level; ?>" value='<?php echo get_option( 'wpjobster_subscription_name_level' . $level ); ?>' placeHolder="<?php echo __( 'Leave empty for translatable string', 'wpjobster' ); ?>" /><br />

				<?php foreach ( $interval_arr as $key => $interval ) { ?>

					<label class='wpjobster-label-80' for='wpjobster_subscription_<?php echo $interval; ?>_amount_level<?php echo $level; ?>'><?php echo wpjobster_translate_string( $interval ); ?>:</label>

					<input type="number" step="0.01" size="10" name="wpjobster_subscription_<?php echo $interval; ?>_amount_level<?php echo $level; ?>" id="wpjobster_subscription_<?php echo $interval; ?>_amount_level<?php echo $level; ?>" value='<?php echo get_option( 'wpjobster_subscription_' . $interval . '_amount_level' . $level ); ?>' />

					<?php echo wpjobster_get_currency_classic(); ?>

					<input type="button" class="price_update" id="<?php echo $interval; ?>_level<?php echo $level; ?>" name="<?php echo $interval; ?>_level<?php echo $level; ?>" value="<?php _e( 'Send email', 'wpjobster' ); ?>"><br />

				<?php } ?>

			</td>
		</tr>
	<?php }

	public function list_subscription_feature_row( $params = array() ) {
		$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) );

		$default = array(
			'bullet'         => '',
			'label'          => '',
			'select_name'    => '',
			'select_default' => 'no',
			'inp_name'       => '',
			'inp_type'       => 'number',
			'inp_class'      => '',
			'inp_id'         => $params['inp_name'],
			'inp_value'      => $params['inp_name'],
			'after_input'    => '',
			'ipn_step'       => '',
		);

		foreach ( $default as $key => $param ) {
			$$key = isset( $params[$key] ) ? $params[$key] : $param;
		}

		if ( $inp_type == 'number' ) {
			$step = $ipn_step == '1' ? 'step="1"' : 'step="0.01"';
		} else {
			$step = '';
		}

		$nl = "\n"; ?>

		<tr>
			<td valign="top" width="22"><?php echo wpjobster_theme_bullet( $bullet ); ?></td>
			<td width="220" valign="top"><?php echo $label; ?>:</td>
			<td>
				<?php
				if ( $select_name ) {
					echo wpjobster_get_option_drop_down( $arr, $select_name, $select_default );
				}

				$ret = '';
				for ( $i = 0; $i <= 3; $i++ ) {
					$ret .= $nl . '<input type="' . $inp_type . '" ' . $step . ' name="' . $inp_name . $i .'" class="' . $inp_class . '" id="' . $inp_id . $i .'" value="' . get_option( $inp_value . $i ) . '" />';
				}

				echo $ret;

				echo $after_input ? $nl . $after_input : ''; ?>
			</td>
		</tr>
	<?php }
}

$subscription = new Subscription();
