<?php
class UserBadges {

	public function wpjobster_user_badges() {
		show_html_user_badges();
	}

	public function saveBadgeSettings() {
		if ( isset( $_POST['wpjobster_save_badge'] ) ) {

			// Enable badge sale
			update_option( 'wpjobster_enable_badges_sale', trim( $_POST['wpjobster_enable_badges_sale'] ) );

			// Save badges
			$badges_data = array();
			if ( $_POST['wpj_badge_text'] ) { $i = 0;
				foreach ( $_POST['wpj_badge_text'] as $key => $value ) {
					if ( $_POST['wpj_badge_text'][$i] ) {
						$badges_data[$i] = array(
							'text'        => $_POST['wpj_badge_text'][$i],
							'icon'        => $_POST['wpj_badge_icon'][$i] ? trim( $_POST['wpj_badge_icon'][$i] ) : 'check circle',
							'price'       => $_POST['wpj_badge_price'][$i] ? $_POST['wpj_badge_price'][$i] : 1,
							'min_rating'  => $_POST['wpj_badge_min_rating'][$i],
							'min_reviews' => $_POST['wpj_badge_min_reviews'][$i]
						);
					}
					$i++;
				}
			}

			update_option( 'wpj_user_badges_data', $badges_data );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ).'</p></div>';
		}
	}

	public function getRowQuery( $rows_per_page = 10, $pageno = 1, $limited = false ) {
		global $wpdb;

		$user = WPJ_Form::get( 'search_user', '' );
		$uid = ctype_digit( $user ) || is_int( $user ) ? $_GET['search_user'] : '';
		if ( ! $uid ) {
			$query  = "SELECT ID FROM {$wpdb->users} WHERE user_login = '{$user}'";
			$result = $wpdb->get_results( $query );
			$uid = count( $result ) > 0 ? $result[0]->ID : '';
		}

		$query = "SELECT * FROM {$wpdb->users}";

		if ( $user ) { $query .= " WHERE id = {$uid}"; }

		$query .= " ORDER BY user_login ASC";

		if ( $limited ) {
			$query .= " LIMIT " . ( $pageno - 1 ) * $rows_per_page . ',' . $rows_per_page;
		}

		return $query;
	}

	public function getOrderRow() {
		$r = array( 'all' => '', 'limited' => '', 'lastpage' => '', 'pageno' => '' );

		global $wpdb;

		$rows_per_page = 10;

		if ( isset( $_GET['pj'] ) ) $pageno = $_GET['pj'];
		else $pageno = 1;

		$s1 = $this->getRowQuery( $rows_per_page, $pageno, false );
		$s  = $this->getRowQuery( $rows_per_page, $pageno, true );

		$nr       = count( $wpdb->get_results( $s1 ) );
		$lastpage = ceil( $nr / $rows_per_page );

		$r = array(
			'all'      => $wpdb->get_results( $s ),
			'limited'  => $wpdb->get_results( $s1 ),
			'lastpage' => $lastpage,
			'pageno'   => $pageno,
			'count'    => $nr
		);

		return $r;
	}
}

$ub = new UserBadges();
