<?php
class UserLevels {

	public function wpjobster_user_levels() {
		show_html_user_levels();
	}

	public function saveLevelSettings() {
		if ( isset( $_POST['save_level_settings'] ) ) {

			// Default user level
			$wpjobster_default_level_nr = $_POST['wpjobster_default_level_nr'];
			if ( $wpjobster_default_level_nr > 3 || $wpjobster_default_level_nr < 0 || ! is_numeric( $wpjobster_default_level_nr ) ) {
				$wpjobster_default_level_nr = 0;
			}
			update_option( 'wpjobster_default_level_nr', trim( $wpjobster_default_level_nr ) );

			// Automatically upgrade levels
			update_option( 'wpjobster_auto_upgrade_user_level', $_POST['wpjobster_auto_upgrade_user_level'] );

			// Automatically downgrade levels
			update_option( 'wpjobster_auto_downgrade_user_level', $_POST['wpjobster_auto_downgrade_user_level'] );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function saveEligibilitySettings() {
		if ( isset( $_POST['save_eligibility_settings'] ) ) {

			// Recheck period for upgrade
			update_option( 'wpjobster_level0_recheck_interval', $_POST['wpjobster_level0_recheck_interval'] );
			update_option( 'wpjobster_level1_recheck_interval', $_POST['wpjobster_level1_recheck_interval'] );
			update_option( 'wpjobster_level2_recheck_interval', $_POST['wpjobster_level2_recheck_interval'] );

			// Required amount for upgrade
			update_option( 'wpjobster_level1_min', trim( $_POST['wpjobster_level1_min'] ) );
			update_option( 'wpjobster_level2_min', trim( $_POST['wpjobster_level2_min'] ) );

			// Required ratings for upgrade
			update_option( 'wpjobster_level1_upgrade_rating', $_POST['wpjobster_level1_upgrade_rating'] );
			update_option( 'wpjobster_level2_upgrade_rating', $_POST['wpjobster_level2_upgrade_rating'] );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function saveFeaturesSettings() {
		if ( isset( $_POST['save_features_settings'] ) ) {

			// Job packages
			if ( get_option( 'wpjobster_packages_enabled' ) == 'yes' ) {
				update_option( 'wpjobster_get_level0_packages', trim( $_POST['wpjobster_get_level0_packages'] ) );
				update_option( 'wpjobster_get_level1_packages', trim( $_POST['wpjobster_get_level1_packages'] ) );
				update_option( 'wpjobster_get_level2_packages', trim( $_POST['wpjobster_get_level2_packages'] ) );
				update_option( 'wpjobster_get_level3_packages', trim( $_POST['wpjobster_get_level3_packages'] ) );
			}

			// Tips
			if ( get_option( 'wpjobster_tips_enabled' ) == 'yes' ) {
				update_option( 'wpjobster_get_level0_tips', trim( $_POST['wpjobster_get_level0_tips'] ) );
				update_option( 'wpjobster_get_level1_tips', trim( $_POST['wpjobster_get_level1_tips'] ) );
				update_option( 'wpjobster_get_level2_tips', trim( $_POST['wpjobster_get_level2_tips'] ) );
				update_option( 'wpjobster_get_level3_tips', trim( $_POST['wpjobster_get_level3_tips'] ) );
			}

			// Extra services
			update_option( 'wpjobster_enable_extra', trim( $_POST['wpjobster_enable_extra'] ) );

				// -> level0 extra services
				$wpjobster_get_level0_extras = $_POST['wpjobster_get_level0_extras'];
				if ( $wpjobster_get_level0_extras < 1 or ! is_numeric( $wpjobster_get_level0_extras ) ) {
					$wpjobster_get_level0_extras = 0;
				} elseif ( $wpjobster_get_level0_extras > 10 ) {
					$wpjobster_get_level0_extras = 10;
				}
				update_option('wpjobster_get_level0_extras', trim( $wpjobster_get_level0_extras ) );

				// -> level1 extra services
				$wpjobster_get_level1_extras = $_POST['wpjobster_get_level1_extras'];
				if ( $wpjobster_get_level1_extras < 1 or ! is_numeric( $wpjobster_get_level1_extras ) ) {
					$wpjobster_get_level1_extras = 0;
				} elseif ( $wpjobster_get_level1_extras > 10 ) {
					$wpjobster_get_level1_extras = 10;
				}
				update_option( 'wpjobster_get_level1_extras', trim( $wpjobster_get_level1_extras ) );

				// -> level2 extra services
				$wpjobster_get_level2_extras = $_POST['wpjobster_get_level2_extras'];
				if ( $wpjobster_get_level2_extras < 1 or ! is_numeric( $wpjobster_get_level2_extras ) ) {
					$wpjobster_get_level2_extras = 0;
				} elseif ( $wpjobster_get_level2_extras > 10 ) {
					$wpjobster_get_level2_extras = 10;
				}
				update_option( 'wpjobster_get_level2_extras', trim( $wpjobster_get_level2_extras ) );

				// -> level3 extra services
				$wpjobster_get_level3_extras = $_POST['wpjobster_get_level3_extras'];
				if ( $wpjobster_get_level3_extras < 1 or ! is_numeric( $wpjobster_get_level3_extras ) ) {
					$wpjobster_get_level3_extras = 0;
				} elseif ( $wpjobster_get_level3_extras > 10 ) {
					$wpjobster_get_level3_extras = 10;
				}
				update_option( 'wpjobster_get_level3_extras', trim( $wpjobster_get_level3_extras ) );

			// Extra fast delivery
			update_option( 'wpjobster_enable_extra_fast_delivery', trim( $_POST['wpjobster_enable_extra_fast_delivery'] ) );

			update_option( 'wpjobster_get_level0_fast_delivery_multiples', trim( $_POST['wpjobster_get_level0_fast_delivery_multiples'] ) );
			update_option( 'wpjobster_get_level1_fast_delivery_multiples', trim( $_POST['wpjobster_get_level1_fast_delivery_multiples'] ) );
			update_option( 'wpjobster_get_level2_fast_delivery_multiples', trim( $_POST['wpjobster_get_level2_fast_delivery_multiples'] ) );
			update_option( 'wpjobster_get_level3_fast_delivery_multiples', trim( $_POST['wpjobster_get_level3_fast_delivery_multiples'] ) );

			// Additional revision
			update_option( 'wpjobster_enable_extra_additional_revision', trim( $_POST['wpjobster_enable_extra_additional_revision'] ) );

			update_option( 'wpjobster_get_level0_add_rev_multiples', trim( $_POST['wpjobster_get_level0_add_rev_multiples'] ) );
			update_option( 'wpjobster_get_level1_add_rev_multiples', trim( $_POST['wpjobster_get_level1_add_rev_multiples'] ) );
			update_option( 'wpjobster_get_level2_add_rev_multiples', trim( $_POST['wpjobster_get_level2_add_rev_multiples'] ) );
			update_option( 'wpjobster_get_level3_add_rev_multiples', trim( $_POST['wpjobster_get_level3_add_rev_multiples'] ) );

			// Job multiples
			$wpjobster_enable_multiples = trim( $_POST['wpjobster_enable_multiples'] );
			if ( $wpjobster_enable_multiples == "yes" && ! wpj_is_allowed( 'job_multiples' ) ) {
				update_option( 'wpjobster_enable_multiples', 'no' );
				wpj_disabled_settings_error( 'job_multiples' );
			} else {
				update_option( 'wpjobster_enable_multiples', $wpjobster_enable_multiples );
			}
				// -> level0 job multiples
				$wpjobster_get_level0_jobmultiples = $_POST['wpjobster_get_level0_jobmultiples'];
				if ( $wpjobster_get_level0_jobmultiples < 1 || ! is_numeric( $wpjobster_get_level0_jobmultiples ) ) {
					$wpjobster_get_level0_jobmultiples = 0;
				}
				update_option( 'wpjobster_get_level0_jobmultiples', trim( $wpjobster_get_level0_jobmultiples ) );

				// -> level1 job multiples
				$wpjobster_get_level1_jobmultiples = $_POST['wpjobster_get_level1_jobmultiples'];
				if ( $wpjobster_get_level1_jobmultiples < 1 || ! is_numeric( $wpjobster_get_level1_jobmultiples ) ) {
					$wpjobster_get_level1_jobmultiples = 0;
				}
				update_option( 'wpjobster_get_level1_jobmultiples', trim( $wpjobster_get_level1_jobmultiples ) );

				// -> level2 job multiples
				$wpjobster_get_level2_jobmultiples = $_POST['wpjobster_get_level2_jobmultiples'];
				if ( $wpjobster_get_level2_jobmultiples < 1 || ! is_numeric( $wpjobster_get_level2_jobmultiples ) ) {
					$wpjobster_get_level2_jobmultiples = 0;
				}
				update_option( 'wpjobster_get_level2_jobmultiples', trim( $wpjobster_get_level2_jobmultiples ) );

				// -> level3 job multiples
				$wpjobster_get_level3_jobmultiples = $_POST['wpjobster_get_level3_jobmultiples'];
				if ( $wpjobster_get_level3_jobmultiples < 1 || ! is_numeric( $wpjobster_get_level3_jobmultiples ) ) {
					$wpjobster_get_level3_jobmultiples = 0;
				}
				update_option( 'wpjobster_get_level3_jobmultiples', trim( $wpjobster_get_level3_jobmultiples ) );

			// Extra multiples
			update_option( 'wpjobster_enable_extra_multiples', trim( $_POST['wpjobster_enable_extra_multiples'] ) );

				// -> level0 extra multiples
				$wpjobster_get_level0_extramultiples = $_POST['wpjobster_get_level0_extramultiples'];
				if ( $wpjobster_get_level0_extramultiples < 1 || ! is_numeric( $wpjobster_get_level0_extramultiples ) ) {
					$wpjobster_get_level0_extramultiples = 0;
				}
				update_option( 'wpjobster_get_level0_extramultiples', trim( $wpjobster_get_level0_extramultiples ) );

				// -> level1 extra multiples
				$wpjobster_get_level1_extramultiples = $_POST['wpjobster_get_level1_extramultiples'];
				if ( $wpjobster_get_level1_extramultiples < 1 || ! is_numeric( $wpjobster_get_level1_extramultiples ) ) {
					$wpjobster_get_level1_extramultiples = 0;
				}
				update_option( 'wpjobster_get_level1_extramultiples', trim( $wpjobster_get_level1_extramultiples ) );

				// -> level2 extra multiples
				$wpjobster_get_level2_extramultiples = $_POST['wpjobster_get_level2_extramultiples'];
				if ( $wpjobster_get_level2_extramultiples < 1 || ! is_numeric( $wpjobster_get_level2_extramultiples ) ) {
					$wpjobster_get_level2_extramultiples = 0;
				}
				update_option( 'wpjobster_get_level2_extramultiples', trim( $wpjobster_get_level2_extramultiples ) );

				// -> level3 extra multiples
				$wpjobster_get_level3_extramultiples = $_POST['wpjobster_get_level3_extramultiples'];
				if ( $wpjobster_get_level3_extramultiples < 1 || ! is_numeric( $wpjobster_get_level3_extramultiples ) ) {
					$wpjobster_get_level3_extramultiples = 0;
				}
				update_option( 'wpjobster_get_level3_extramultiples', trim( $wpjobster_get_level3_extramultiples ) );

			// Video Multiples
			update_option( 'wpjobster_enable_video_multiples', trim( $_POST['wpjobster_enable_video_multiples'] ) );

			update_option( 'wpjobster_get_level0_vds', trim( $_POST['wpjobster_get_level0_vds'] ) );
			update_option( 'wpjobster_get_level1_vds', trim( $_POST['wpjobster_get_level1_vds'] ) );
			update_option( 'wpjobster_get_level2_vds', trim( $_POST['wpjobster_get_level2_vds'] ) );
			update_option( 'wpjobster_get_level3_vds', trim( $_POST['wpjobster_get_level3_vds'] ) );

			do_action( 'wpj_user_level_features_settings_save' );

			// Success
			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	public function savePriceLimits() {
		if ( isset( $_POST['save_price_limits'] ) ) {

			// Min Job amount
			update_option( 'wpjobster_enable_min_job_amount', trim( $_POST['wpjobster_enable_min_job_amount'] ) );

			update_option( 'wpjobster_get_level0_min_amount', trim( $_POST['wpjobster_get_level0_min_amount'] ) );
			update_option( 'wpjobster_get_level1_min_amount', trim( $_POST['wpjobster_get_level1_min_amount'] ) );
			update_option( 'wpjobster_get_level2_min_amount', trim( $_POST['wpjobster_get_level2_min_amount'] ) );
			update_option( 'wpjobster_get_level3_min_amount', trim( $_POST['wpjobster_get_level3_min_amount'] ) );

			// Max Job amount
			update_option( 'wpjobster_enable_max_job_amount', trim( $_POST['wpjobster_enable_max_job_amount'] ) );

			update_option( 'wpjobster_get_level0_max_amount', trim( $_POST['wpjobster_get_level0_max_amount'] ) );
			update_option( 'wpjobster_get_level1_max_amount', trim( $_POST['wpjobster_get_level1_max_amount'] ) );
			update_option( 'wpjobster_get_level2_max_amount', trim( $_POST['wpjobster_get_level2_max_amount'] ) );
			update_option( 'wpjobster_get_level3_max_amount', trim( $_POST['wpjobster_get_level3_max_amount'] ) );

			// Min extra amount
			update_option( 'wpjobster_enable_min_extra_amount', trim( $_POST['wpjobster_enable_min_extra_amount'] ) );

			update_option( 'wpjobster_get_level0_min_extra_amount', trim( $_POST['wpjobster_get_level0_min_extra_amount'] ) );
			update_option( 'wpjobster_get_level1_min_extra_amount', trim( $_POST['wpjobster_get_level1_min_extra_amount'] ) );
			update_option( 'wpjobster_get_level2_min_extra_amount', trim( $_POST['wpjobster_get_level2_min_extra_amount'] ) );
			update_option( 'wpjobster_get_level3_min_extra_amount', trim( $_POST['wpjobster_get_level3_min_extra_amount'] ) );

			// Max extra amount
			update_option( 'wpjobster_enable_max_extra_amount', trim( $_POST['wpjobster_enable_max_extra_amount'] ) );

			update_option( 'wpjobster_get_level0_max_extra_amount', trim( $_POST['wpjobster_get_level0_max_extra_amount'] ) );
			update_option( 'wpjobster_get_level1_max_extra_amount', trim( $_POST['wpjobster_get_level1_max_extra_amount'] ) );
			update_option( 'wpjobster_get_level2_max_extra_amount', trim( $_POST['wpjobster_get_level2_max_extra_amount'] ) );
			update_option( 'wpjobster_get_level3_max_extra_amount', trim( $_POST['wpjobster_get_level3_max_extra_amount'] ) );

			// Min custom extra
			$wpjobster_min_customextras_err_flag = 0;

			$wpjobster_enable_min_custom_extras = trim( $_POST['wpjobster_enable_min_custom_extras'] );
			if ( $wpjobster_enable_min_custom_extras == "yes" && ! wpj_is_allowed( 'custom_extras' ) ) {
				update_option( 'wpjobster_enable_min_custom_extras', 'no' );
				wpj_disabled_settings_error( 'custom_extras' );
			} else {
				update_option( 'wpjobster_enable_min_custom_extras', $wpjobster_enable_min_custom_extras );
			}

				// -> level0 min custom extras
				$wpjobster_get_level0_min_customextrasamount = $_POST['wpjobster_get_level0_min_customextrasamount'];
				if ( $wpjobster_get_level0_min_customextrasamount < 0 || ! is_numeric( $wpjobster_get_level0_min_customextrasamount ) ) {
					$wpjobster_get_level0_min_customextrasamount = 1; $wpjobster_min_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level0_min_customextrasamount', trim( $wpjobster_get_level0_min_customextrasamount ) );

				// -> level1 min custom extras
				$wpjobster_get_level1_min_customextrasamount = $_POST['wpjobster_get_level1_min_customextrasamount'];
				if ( $wpjobster_get_level1_min_customextrasamount < 0 || ! is_numeric( $wpjobster_get_level1_min_customextrasamount ) ) {
					$wpjobster_get_level1_min_customextrasamount = 1; $wpjobster_min_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level1_min_customextrasamount', trim( $wpjobster_get_level1_min_customextrasamount ) );

				// -> level2 min custom extras
				$wpjobster_get_level2_min_customextrasamount = $_POST['wpjobster_get_level2_min_customextrasamount'];
				if ( $wpjobster_get_level2_min_customextrasamount < 0 || ! is_numeric( $wpjobster_get_level2_min_customextrasamount ) ) {
					$wpjobster_get_level2_min_customextrasamount = 1; $wpjobster_min_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level2_min_customextrasamount', trim( $wpjobster_get_level2_min_customextrasamount ) );

				// -> level3 min custom extras
				$wpjobster_get_level3_min_customextrasamount = $_POST['wpjobster_get_level3_min_customextrasamount'];
				if ( $wpjobster_get_level3_min_customextrasamount < 0 || ! is_numeric( $wpjobster_get_level3_min_customextrasamount ) ) {
					$wpjobster_get_level3_min_customextrasamount = 1; $wpjobster_min_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level3_min_customextrasamount', trim( $wpjobster_get_level3_min_customextrasamount ) );

			if ( $wpjobster_min_customextras_err_flag ) {
				echo '<div class="error notice is-dismissible"><p>' . __( 'Min total custom extras amount need to be greater than or equal to 0! Default values have been saved!', 'wpjobster' ) . '</p></div>';
			}

			// Max custom extra
			$wpjobster_customextras_err_flag = 0;

			$wpjobster_enable_max_custom_extras = trim( $_POST['wpjobster_enable_max_custom_extras'] );
			if ( $wpjobster_enable_max_custom_extras == "yes" && ! wpj_is_allowed( 'custom_extras' ) ) {
				update_option( 'wpjobster_enable_max_custom_extras', 'no' );
				wpj_disabled_settings_error( 'custom_extras' );
			} else {
				update_option( 'wpjobster_enable_max_custom_extras', $wpjobster_enable_max_custom_extras );
			}

				// -> level0 max custom extras
				$wpjobster_get_level0_customextrasamount = $_POST['wpjobster_get_level0_customextrasamount'];
				if ( $wpjobster_get_level0_customextrasamount < 1 || ! is_numeric( $wpjobster_get_level0_customextrasamount ) ) {
					$wpjobster_get_level0_customextrasamount = 1; $wpjobster_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level0_customextrasamount', trim( $wpjobster_get_level0_customextrasamount ) );

				// -> level1 max custom extras
				$wpjobster_get_level1_customextrasamount = $_POST['wpjobster_get_level1_customextrasamount'];
				if ( $wpjobster_get_level1_customextrasamount < 1 || ! is_numeric( $wpjobster_get_level1_customextrasamount ) ) {
					$wpjobster_get_level1_customextrasamount = 1; $wpjobster_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level1_customextrasamount', trim( $wpjobster_get_level1_customextrasamount ) );

				// -> level2 max custom extras
				$wpjobster_get_level2_customextrasamount = $_POST['wpjobster_get_level2_customextrasamount'];
				if ( $wpjobster_get_level2_customextrasamount < 1 || ! is_numeric( $wpjobster_get_level2_customextrasamount ) ) {
					$wpjobster_get_level2_customextrasamount = 1; $wpjobster_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level2_customextrasamount', trim( $wpjobster_get_level2_customextrasamount ) );

				// -> level3 max custom extras
				$wpjobster_get_level3_customextrasamount = $_POST['wpjobster_get_level3_customextrasamount'];
				if ( $wpjobster_get_level3_customextrasamount < 1 || ! is_numeric( $wpjobster_get_level3_customextrasamount ) ) {
					$wpjobster_get_level3_customextrasamount = 1; $wpjobster_customextras_err_flag = 1;
				}
				update_option( 'wpjobster_get_level3_customextrasamount', trim( $wpjobster_get_level3_customextrasamount ) );

			if ( $wpjobster_customextras_err_flag ) {
				echo '<div class="error notice is-dismissible"><p>' . __( 'Max total custom extras amount need to be greater than or equal to 1! Default values have been saved!', 'wpjobster' ) . '</p></div>';
			}

			// Success
			if ( ! $wpjobster_min_customextras_err_flag && ! $wpjobster_customextras_err_flag ) {
				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
			}
		}
	}

	public function getRowQuery( $rows_per_page = 10, $pageno = 1, $limited = false ) {
		global $wpdb;

		$user = WPJ_Form::get( 'search_user', '' );
		$uid = ctype_digit( $user ) || is_int( $user ) ? $_GET['search_user'] : '';
		if ( ! $uid ) {
			$query  = "SELECT ID FROM {$wpdb->users} WHERE user_login = '{$user}'";
			$result = $wpdb->get_results( $query );
			$uid = count( $result ) > 0 ? $result[0]->ID : '';
		}

		$query = "SELECT * FROM {$wpdb->users}";

		if ( $user ) { $query .= " WHERE id = {$uid}"; }

		$query .= " ORDER BY user_login ASC";

		if ( $limited ) {
			$query .= " LIMIT " . ( $pageno - 1 ) * $rows_per_page . ',' . $rows_per_page;
		}

		return $query;
	}

	public function getOrderRow() {
		$r = array( 'all' => '', 'limited' => '', 'lastpage' => '', 'pageno' => '' );

		global $wpdb;

		$rows_per_page = 10;

		if ( isset( $_GET['pj'] ) ) $pageno = $_GET['pj'];
		else $pageno = 1;

		$s1 = $this->getRowQuery( $rows_per_page, $pageno, false );
		$s  = $this->getRowQuery( $rows_per_page, $pageno, true );

		$nr       = count( $wpdb->get_results( $s1 ) );
		$lastpage = ceil( $nr / $rows_per_page );

		$r = array(
			'all'      => $wpdb->get_results( $s ),
			'limited'  => $wpdb->get_results( $s1 ),
			'lastpage' => $lastpage,
			'pageno'   => $pageno,
			'count'    => $nr
		);

		return $r;
	}
}

$ul = new UserLevels();
