<?php
class UserReviews {
	public function wpjobster_user_reviews() {
		show_html_user_reviews();
	}

	public function getRowQuery( $rows_per_page = 10, $pageno = 1, $limited = false ) {
		global $wpdb;

		$user = WPJ_Form::get( 'search_user', '' );
		$uid = ctype_digit( $user ) || is_int( $user ) ? $_GET['search_user'] : '';
		if ( ! $uid ) {
			$query  = "SELECT ID FROM {$wpdb->users} WHERE user_login = '{$user}'";
			$result = $wpdb->get_results( $query );
			$uid = count( $result ) > 0 ? $result[0]->ID : '';
		}

		$query = "SELECT * FROM {$wpdb->prefix}job_ratings WHERE awarded > 0 ORDER BY id DESC";

		if ( $user ) {
			$query = "
				SELECT ratings.orderid, ratings.datemade, ratings.reason, ratings.grade
				FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
				WHERE orders.pid = posts.ID
					AND posts.post_author = {$uid}
					AND orders.id = ratings.orderid
					AND ratings.awarded > 0
				ORDER BY ratings.id DESC
			";
		}

		if ( $limited ) {
			$query .= " LIMIT " . ( $pageno - 1 ) * $rows_per_page . ',' . $rows_per_page;
		}

		return $query;
	}

	public function getOrderRow() {
		$r = array( 'all' => '', 'limited' => '', 'lastpage' => '', 'pageno' => '' );

		global $wpdb;

		$rows_per_page = 10;

		if ( isset( $_GET['pj'] ) ) $pageno = $_GET['pj'];
		else $pageno = 1;

		$s1 = $this->getRowQuery( $rows_per_page, $pageno, false );
		$s  = $this->getRowQuery( $rows_per_page, $pageno, true );

		$nr       = count( $wpdb->get_results( $s1 ) );
		$lastpage = ceil( $nr / $rows_per_page );

		$r = array(
			'all'      => $wpdb->get_results( $s ),
			'limited'  => $wpdb->get_results( $s1 ),
			'lastpage' => $lastpage,
			'pageno'   => $pageno,
			'count'    => $nr
		);

		return $r;
	}

	public function getReviewResponse( $row ) {
		global $wpdb;

		$s_ql     = "SELECT * FROM {$wpdb->prefix}job_orders WHERE id = {$row->orderid}";
		$r_ql     = $wpdb->get_results( $s_ql );
		$post     = get_post( $r_ql[0]->pid );
		$userdata = ( $post ) ? get_userdata( $post->post_author ) : '';
		$pid      = $r_ql[0]->pid;

		$response_row = '';
		$response_login    = '';
		$response_grade    = '';
		$response_reason   = '';
		$response_datemade = '';

		$response_sql = "SELECT * FROM {$wpdb->prefix}job_ratings_by_seller WHERE orderid = {$row->orderid} AND awarded = 1 ORDER BY id DESC";
		$response_res = $wpdb->get_results( $response_sql );
		if ( $response_res ) {
			$response_row      = $response_res[0];
			$userdata_response = get_userdata( $response_row->uid );

			$response_login    = ( $userdata_response ) ? wpj_get_user_display_type( $userdata_response->ID ) : '';
			$response_grade    = '' . wpjobster_show_stars_our_of_number( $response_row->grade );
			$response_reason   = '' . $response_row->reason;
			$response_datemade = '' . wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $response_row->datemade );
		}

		return array(
			'r_ql'              => $r_ql,
			'post'              => $post,
			'userdata'          => $userdata,
			'pid'               => $pid,
			'response_row'      => $response_row,
			'response_login'    => $response_login,
			'response_grade'    => $response_grade,
			'response_reason'   => $response_reason,
			'response_datemade' => $response_datemade
		);
	}

	public function deleteReviewRow() {
		global $wpdb;

		if ( isset( $_POST['action'] ) && $_POST['action'] == 'delete_review' ) {

			$row_review = $wpdb->get_results("
				SELECT *
				FROM {$wpdb->prefix}job_ratings
				WHERE id = {$_POST['idofreview']}
			");

			$orderid = $row_review[0]->orderid;

			$wpdb->query( "DELETE FROM {$wpdb->prefix}job_ratings_by_seller WHERE orderid = {$orderid} LIMIT 1" );
			$wpdb->query( "DELETE FROM {$wpdb->prefix}job_ratings WHERE id = {$_POST['idofreview']}" );

			echo "<meta http-equiv='refresh' content='0'>";
		} elseif ( isset( $_POST['action'] ) && $_POST['action'] == 'delete_review_response' ) {
			$wpdb->query( "DELETE FROM {$wpdb->prefix}job_ratings_by_seller WHERE id = {$_POST['idofreview_response']}" );

			echo "<meta http-equiv='refresh' content='0'>";
		}
	}
}
$ur = new UserReviews();
