<?php
if ( ! function_exists( 'wpjobster_theme_job_images' ) ) {
	function wpjobster_theme_job_images() {
		global $current_user, $post;

		$current_user = wp_get_current_user();
		$cid = $current_user->ID;

		$pid = $post->ID;

		if ( get_option( 'wpjobster_preferred_image_uploader' ) === 'html5fileupload' ) { // html5

			$cwd = str_replace( 'wp-admin', '', getcwd() );
			$cwd .= 'wp-content/uploads';

			$attachments = wpjobster_get_job_images( $pid );

			$allowed_size_mb = get_option( 'wpjobster_max_img_upload_size' ); // total images allowed by the system to be uploaded
			if ( ! $allowed_size_mb) { $allowed_size_mb = 10; }
			$allowed_size = $allowed_size_mb * 1024 * 1000; ?>

			<div id="thumbnails" data-pid="<?php echo $pid; ?>" class="cf" style="margin-top:20px">

				<?php if ( $attachments ) {
					foreach ( $attachments as $attachment ) {
						$url = wpj_get_attachment_image_url( $attachment->ID, array( 90, 90 ) ); ?>

						<div class="div_div" id="image_ss<?php echo $attachment->ID; ?>" image_id="<?php echo $attachment->ID; ?>">
							<img width="90" class="image_class" height="90" src="<?php echo $url; ?>" />
							<a href="javascript: void(0)" onclick="delete_this_file( '<?php echo $attachment->ID; ?>' )" class="delete-this"></a>
						</div>

					<?php }
				} ?>

			</div>

			<input type="hidden" name="images_order" id="images_order" />
			<input type="hidden" name="pid" id="pid" value="<?php echo $pid; ?>" />
			<input type="hidden" name="cid" id="cid" value="<?php echo $cid; ?>" />

			<div class="col-xs-12 job-images-input-container">
				<div
					class="html5fileupload demo_multi"
					data-max-filesize="<?php echo $allowed_size; ?>"
					data-remove-done="true" data-autostart="true"
					data-valid-mime="image.*"
					data-url="<?php echo get_template_directory_uri(); ?>/lib/html5fileupload/html5fileupload.php"
					data-multiple="true"
					style="width: 100%;"
				>
					<input type="file" name="file" />
				</div>
			</div>

		<?php } else { //dropzone

			if ( wpj_bool_option( 'wpjobster_enable_job_cover' ) ) {
				wpjobster_dropzone_cover_uploader( $pid );
			}

			wpjobster_dropzone_image_uploader( $pid, 'job' );

		}
	}
}

function wpjobster_theme_job_additional() {
	global $post;

	$pid = $post->ID;
	$aid = $post->post_author;

	$user_level = wpjobster_get_user_level( $aid );

	$sts = get_option( 'wpjobster_get_level' . $user_level . '_extras' );
	if ( ! is_numeric( $sts ) ) { $sts = 3; } ?>

	<h3><?php echo sprintf( __( "This user is allowed to have max %s extras.", "wpjobster" ), $sts ); ?></h3>

	<table width="100%">

		<?php for ( $k = 1; $k <= 10; $k++ ) { ?>

			<tr>

				<td>
					<?php $post_job_extra = get_post_meta( $pid, 'extra' . $k . '_extra_enabled', true ); ?>
					<input type="checkbox" name="enable_extra_<?php echo $k; ?>" <?php echo $post_job_extra == true ? 'checked' : ''; ?> />
				</td>

				<td><?php _e( 'For an extra', 'wpjobster' ); ?>
					<input type="text" size="3" name="extra<?php echo $k; ?>_price" value="<?php echo get_post_meta( $pid, 'extra' . $k . '_price', true ); ?>" />
					<?php echo wpjobster_get_currency_classic(); ?> &nbsp; &nbsp;
				</td>

				<td>
					<textarea name="extra<?php echo $k; ?>_content" cols="40" rows="2"><?php echo get_post_meta( $pid, 'extra' . $k . '_content', true ); ?></textarea>
					<?php do_action( 'wpj_after_extra_display', $pid, $k, 'admin' ); ?>
				</td>

				<td><?php _e( 'Max days to deliver', 'wpjobster' );

					$post_job_extra_max_days = get_post_meta( $pid, 'max_days_ex_' . $k, true ); ?>

					<select id="max_days_<?php echo $k; ?>" name="max_days_<?php echo $k; ?>" class="max-day-deliver">

						<option value="" disabled selected hidden><?php _e( "Please Select", "wpjobster" ); ?></option>

						<?php if ( get_option( 'wpjobster_enable_instant_deli' ) != "no" ) {

							$selected_instant = $post_job_extra_max_days == 'instant' ? ' selected="selected" ' :''; ?>
							<option <?php echo $selected_instant; ?> value="instant"><?php _e( 'Instant', 'wpjobster' ); ?></option>

						<?php }

						for ( $i_count = 1; $i_count <= 30; $i_count++ ) {

							$selected_max_days = $post_job_extra_max_days == $i_count ? ' selected="selected" ' :''; ?>
							<option value="<?php echo $i_count; ?>" <?php echo $selected_max_days; ?>><?php echo sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count ); ?></option>

						<?php } ?>

					</select>

				</td>

				<td>
					<?php $post_job_extra_multiple = get_post_meta( $pid, 'extra' . $k . '_enabled', true ); ?>
					<input type="checkbox" name="enable_multiples_<?php echo $k; ?>" <?php echo $post_job_extra_multiple == true ? 'checked' : ''; ?> /><?php _e( 'Multiple', 'wpjobster' ); ?>
				</td>

			</tr>

		<?php } ?>

	</table>

<?php }

if ( ! function_exists( 'wpjobster_theme_job_packages' ) ) {
	function wpjobster_theme_job_packages() {

		global $post;
		$pid = $post->ID;

		$packages = get_post_meta( $pid, 'job_packages', true );

		$package_name          = get_post_meta( $pid, 'package_name', true );
		$package_description   = get_post_meta( $pid, 'package_description', true );
		$package_max_days      = get_post_meta( $pid, 'package_max_days', true );
		$package_revisions     = get_post_meta( $pid, 'package_revisions', true );
		$package_price         = get_post_meta( $pid, 'package_price', true );
		$package_custom_fields = get_post_meta( $pid, 'package_custom_fields', true ); ?>

		<table class="packages" width="100%">
			<thead>
				<tr>
					<th></th>
					<th><?php echo __( 'BASIC', 'wpjobster'); ?></th>
					<th><?php echo __( 'STANDARD', 'wpjobster'); ?></th>
					<th><?php echo __( 'PREMIUM', 'wpjobster'); ?></th>
				</tr>
			</thead>

			<tbody>
				<tr>
					<th><?php echo __( 'Package name', 'wpjobster'); ?></th>
					<?php if ( $package_name ) {
							foreach ( $package_name as $p_n_key => $p_name ) { ?>
							<td>
								<input name="package_name[]" maxlength="35" type="text" placeholder="<?php echo __( 'Name your package', 'wpjobster'); ?>" value="<?php echo $p_name; ?>">
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<input name="package_name[]" maxlength="35" type="text" placeholder="<?php echo __( 'Name your package', 'wpjobster'); ?>">
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package description', 'wpjobster'); ?></th>
					<?php if ( $package_description ) {
						foreach ( $package_description as $p_d_key => $p_desc ) { ?>
							<td>
								<textarea rows="10" name="package_description[]" type="text" placeholder="<?php echo __( 'Describe the details of your offering', 'wpjobster'); ?>"><?php echo $p_desc; ?></textarea>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<textarea rows="10" name="package_description[]" type="text" placeholder="<?php echo __( 'Describe the details of your offering', 'wpjobster'); ?>"></textarea>
							</td>
						<?php }
					} ?>
				</tr>

				<?php if( $package_custom_fields ) {
					foreach ( $package_custom_fields as $key => $value ) { ?>
						<tr>
							<th><?php echo $value['name']; ?></th>
							<td>
								<?php if ( $value['basic'] == 'on' ){
									echo '<span class="dashicons dashicons-yes"></span>';
								} else {
									echo '<span class="dashicons dashicons-no-alt"></span>';
								} ?>
							</td>
							<td>
								<?php if ( $value['standard'] == 'on' ){
									echo '<span class="dashicons dashicons-yes"></span>';
								} else {
									echo '<span class="dashicons dashicons-no-alt"></span>';
								} ?>
							</td>
							<td>
								<?php if ( $value['premium'] == 'on' ){
									echo '<span class="dashicons dashicons-yes"></span>';
								} else {
									echo '<span class="dashicons dashicons-no-alt"></span>';
								} ?>
							</td>
						</tr>
					<?php }
				} ?>

				<tr>
					<th><?php echo __( 'Package delivery time', 'wpjobster'); ?></td>
					<?php if ( $package_max_days ) {
						foreach ( $package_max_days as $p_md_key => $p_max_days ) { ?>
							<td>
								<select id="max_days" name="package_max_days[]">
									<option value="" disabled selected hidden><?php echo __("Please Select","wpjobster");?></option>
									<?php for($i_count=1;$i_count<=get_option( 'wpjobster_job_max_delivery_days' );$i_count++){ ?>
										<option value="<?php echo $i_count ?>" <?php echo ($i_count==$p_max_days?' selected="selected=" ':""); ?>>
											<?php echo sprintf( _n( '%d day', '%d days',$i_count, 'wpjobster' ), $i_count);?>
										</option>
									<?php } ?>
								</select>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<select id="max_days" name="package_max_days[]">
									<option value="" disabled selected hidden><?php echo __("Please Select","wpjobster");?></option>
									<?php for($i_count=1;$i_count<=get_option( 'wpjobster_job_max_delivery_days' );$i_count++){ ?>
										<option value="<?php echo $i_count ?>">
											<?php echo sprintf( _n( '%d day', '%d days',$i_count, 'wpjobster' ), $i_count);?>
										</option>
									<?php } ?>
								</select>
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package revisions', 'wpjobster'); ?></td>
					<?php if ( $package_revisions ) {
						foreach ( $package_revisions as $p_r_key => $p_revisions ) { ?>
							<td>
								<select name="package_revisions[]">
									<option value="" disabled selected hidden><?php echo __("Please Select","wpjobster");?></option>
									<?php for($i_count=1;$i_count<=9;$i_count++){ ?>
										<option value="<?php echo $i_count ?>" <?php echo ($i_count==$p_revisions?' selected="selected=" ':""); ?>>
											<?php echo $i_count;?>
										</option>
									<?php } ?>
									<option <?php if ( $p_revisions == 'unlimited' ) echo 'selected'; ?> value="unlimited"><?php echo __( 'Unlimited', 'wpjobster' ); ?></option>
								</select>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<select name="package_revisions[]">
									<option value="" disabled selected hidden><?php echo __("Please Select","wpjobster");?></option>
									<?php for($i_count=1;$i_count<=9;$i_count++){ ?>
										<option value="<?php echo $i_count ?>">
											<?php echo $i_count;?>
										</option>
									<?php } ?>
									<option value="unlimited"><?php echo __( 'Unlimited', 'wpjobster' ); ?></option>
								</select>
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package price', 'wpjobster') . '&nbsp;('.wpjobster_get_currency_symbol(wpjobster_get_currency_classic()).')'; ?></th>
					<?php if ( $package_price ) {
						foreach ( $package_price as $p_p_key => $p_price ) { ?>
							<td>
								<input name="package_price[]" type="number" placeholder="<?php echo __( 'Insert package price', 'wpjobster'); ?>" value="<?php echo $p_price; ?>">
							</td>
						<?php }
					} else {
						for ( $i=0; $i<3; $i++ ) { ?>
							<td>
								<input name="package_price[]" type="number" placeholder="<?php echo __( 'Insert package price', 'wpjobster'); ?>" />
							</td>
						<?php }
					} ?>
				</tr>
			</tbody>
		</table>
		<?php
	}
}

if ( ! function_exists( 'wpjobster_theme_job_packages_rejected' ) ) {
	function wpjobster_theme_job_packages_rejected() {
		global $post;
		$pid = $post->ID;

		$rejected_package_name        = get_post_meta( $pid, 'rejected_package_name', true );
		$rejected_package_description = get_post_meta( $pid, 'rejected_package_description', true );
		$rejected_package_max_days    = get_post_meta( $pid, 'rejected_package_max_days', true );
		$rejected_package_revisions   = get_post_meta( $pid, 'rejected_package_revisions', true );
		$rejected_package_price       = get_post_meta( $pid, 'rejected_package_price', true ); ?>

		<table class="packages" width="100%">
			<thead>
				<tr>
					<th></th>
					<th><?php echo __( 'BASIC', 'wpjobster'); ?></th>
					<th><?php echo __( 'STANDARD', 'wpjobster'); ?></th>
					<th><?php echo __( 'PREMIUM', 'wpjobster'); ?></th>
				</tr>
			</thead>

			<tbody>
				<tr>
					<th><?php echo __( 'Package name', 'wpjobster'); ?></th>
					<?php if ( $rejected_package_name ) {
							foreach ( $rejected_package_name as $rejected_p_n_key => $rejected_p_name ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_name[]" type="text"><?php echo $rejected_p_name; ?></textarea>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_name[]" type="text"></textarea>
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package description', 'wpjobster'); ?></th>
					<?php if ( $rejected_package_description ) {
						foreach ( $rejected_package_description as $rejected_p_d_key => $rejected_p_desc ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_description[]" type="text"><?php echo $rejected_p_desc; ?></textarea>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_description[]" type="text"></textarea>
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package delivery time', 'wpjobster'); ?></td>
					<?php if ( $rejected_package_max_days ) {
						foreach ( $rejected_package_max_days as $rejected_p_md_key => $rejected_p_max_days ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_max_days[]" type="text"><?php echo $rejected_p_max_days; ?></textarea>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_max_days[]" type="text"></textarea>
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package revisions', 'wpjobster'); ?></td>
					<?php if ( $rejected_package_revisions ) {
						foreach ( $rejected_package_revisions as $rejected_p_r_key => $rejected_p_revisions ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_revisions[]" type="text"><?php echo $rejected_p_revisions; ?></textarea>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_revisions[]" type="text"></textarea>
							</td>
						<?php }
					} ?>
				</tr>

				<tr>
					<th><?php echo __( 'Package price', 'wpjobster') . '&nbsp;('.wpjobster_get_currency_symbol(wpjobster_get_currency_classic()).')'; ?></th>
					<?php if ( $rejected_package_price ) {
						foreach ( $rejected_package_price as $rejected_p_p_key => $rejected_p_price ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_price[]" type="text"><?php echo $rejected_p_price; ?></textarea>
							</td>
						<?php }
					} else {
						for( $i=0; $i<3; $i++ ) { ?>
							<td>
								<textarea rows="2" name="rejected_package_price[]" type="text"></textarea>
							</td>
						<?php }
					} ?>
				</tr>
			</tbody>
		</table>
	<?php }
}

if ( ! function_exists( 'wpjobster_theme_job_dts' ) ) {
	function wpjobster_theme_job_dts() {
		global $post;

		$pid      = $post->ID;
		$price    = get_post_meta($pid, "price", true);
		$location = get_post_meta($pid, "Location", true);
		$f        = get_post_meta($pid, "featured", true);
		$t        = get_post_meta($pid, "closed", true);
		$active   = get_post_meta($pid, "active", true); ?>

		<ul id="post-new4">
			<input name="fromadmin" type="hidden" value="1" />
		 	<li>
				<h2><?php echo __( 'Job Price', 'wpjobster' ); ?>:</h2>
				<p>
					<?php
					$post_job_type = WPJ_Form::post( 'price_type', get_post_meta( $pid, 'price_type', true ) );
					$price_type = get_option( 'wpjobster_price_type' );

					if ( $price_type == "fixed_amount" ) {
						echo wpjobster_get_show_price( get_option( 'wpjobster_job_fixed_amount' ) );
					} elseif ( $price_type == "dropdown_values" ) {
						echo wpjobster_get_variale_cost_dropdown( 'do_input', get_post_meta( $pid, 'price', true ) );
					} else {

						if (
							get_option( 'wpjobster_enable_fixed_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_hourly_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_daily_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_weekly_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_monthly_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_custom_rate', true ) == 'yes'
							|| get_option( 'wpjobster_packages_enabled' ) == 'yes'
							|| apply_filters( 'wpj_admin_price_type_condition_filter', false )
						) {

							// Multiple type of prices
							echo '<input type="text" style="width: 76px;" name="job_cost" value="' . get_post_meta( $pid, 'price', true ) . '" size="5" /> ';

							echo '<select name="price_type" style="width: 76px; height: 25px; margin-top: -4px;">';

								if ( get_option( 'wpjobster_enable_fixed_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'fixed' ? "selected='selected'" : " " ) . ' value="fixed">' . __( 'fixed', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_hourly_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'hourly' ? "selected='selected'" : " " ) . ' value="hourly">' . __( 'hourly', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_daily_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'daily' ? "selected='selected'" : " " ) . ' value="daily">' . __( 'daily', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_weekly_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'weekly' ? "selected='selected'" : " " ) . ' value="weekly">' . __( 'weekly', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_monthly_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'monthly' ? "selected='selected'" : " " ) . ' value="monthly">' . __( 'monthly', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_custom_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'custom' ? "selected='selected'" : " " ) . ' value="custom">' . __( 'custom', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_packages_enabled' ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'package' ? "selected='selected'" : " " ) . ' value="package">' . __( 'package', 'wpjobster' ) . '</option>';
								}

								do_action( 'wpj_admin_after_job_price_type_field', $pid, $post_job_type );

							echo '</select>';

						} else {

							// Free input text
							if ( wpjobster_show_price_in_front() == true ) echo wpjobster_get_currency_classic();
							echo '<input type="text" name="job_cost" class="do_input" value="' . get_post_meta( $pid, 'price', true ) . '" size="5" /> ';
							if ( wpjobster_show_price_in_front() == false ) echo wpjobster_get_currency_classic();

						}

					} ?>
				</p>
			</li>

			<?php $wpjobster_location = get_option( 'wpjobster_location' );
			// TODO: Implement TomTom API in admin
			if ( $wpjobster_location == "yes" ) { ?>
				<li>
					<h2><?php echo __( 'Location', 'wpjobster' ); ?>:</h2>
					<p class="lighter">
						<input class="grey_input js-location-autocomplete" type="text" data-replaceplaceholder="<?php _e( 'Select a valid location', 'wpjobster' ) ?>" placeholder="<?php _e( 'Location', 'wpjobster' ) ?>" id="location_input" value="<?php echo get_post_meta( $pid, 'location_input', true ); ?>" name="location_input">
						<input id="lat" type="hidden" name="lat"  id="lat" value="<?php echo get_post_meta( $pid, 'lat', true ); ?>">
						<input id="long" type="hidden" name="long"  id="long" value="<?php echo get_post_meta( $pid, 'long', true ); ?>">
					</p>
				</li>
			<?php } ?>

			<li>
				<h2><?php echo __( 'Delivery', 'wpjobster' ); ?>:</h2>
				<p><input type="text" size="10" name="max_days" class="do_input" value="<?php echo get_post_meta( $pid, 'max_days', true ); ?>" />&nbsp;<?php echo __( 'days', 'wpjobster' ); ?></p>
			</li>

			<li>
				<h2><?php echo __('Video Link(s)', 'wpjobster'); ?>:</h2>

				<?php $videos = get_post_meta( $pid, 'video_link', true );
				if ( $videos ) {

					foreach ( $videos as $key => $value ) { ?>

						<p><input type="text" size="10" name="video_link[]" class="do_input" value="<?php echo $value; ?>" /></p>

					<?php }

				} else { ?>

					<p><input type="text" size="10" name="video_link[]" class="do_input" /></p>

				<?php } ?>

			</li>

			<?php $wpjobster_enable_shipping = get_option( 'wpjobster_enable_shipping' );
			if ( $wpjobster_enable_shipping == "yes" ) { ?>
				<li>
					<h2><?php echo __( 'Requires shipping?', 'wpjobster' ); ?>:</h2>
					<p>
						<?php if ( wpjobster_show_price_in_front() ) echo wpjobster_get_currency_classic(); ?>

						<input type="text" size="5" class="do_input"  name="shipping" value="<?php echo ( empty( $shipping ) ? get_post_meta( $pid, 'shipping', true ) : $shipping ); ?>" />

						<?php if ( ! wpjobster_show_price_in_front() ) echo wpjobster_get_currency_classic(); ?>
					</p>
				</li>
			<?php } ?>

			<li>
				<h2><?php echo __( 'Fake Queue', 'wpjobster' ); ?>:</h2>
				<p><input type="text" size="5" name="fake_queue" class="do_input" value="<?php echo get_post_meta( $pid, 'fake_queue', true ); ?>" /></p>
			</li>

			<li>
				<p><input type="checkbox" value="1" name="active" <?php if ( $active == '1' ) echo ' checked="checked" '; ?> /><?php _e( "Active Job?", 'wpjobster' ); ?></p>
			</li>

			<li>
				<p><input type="checkbox" value="1" name="closed" <?php if ( $t == '1' ) echo ' checked="checked" '; ?> /><?php _e( "Closed", 'wpjobster' ); ?></p>
			</li>

			<li>
				<p><input type="checkbox" value="yes" name="lets_meet" <?php if ( get_post_meta( $pid, 'lets_meet', true ) == 'yes' ) echo ' checked="checked" '; ?> /><?php _e( "Let's Meet", 'wpjobster' ); ?></p>
			</li>
		</ul>
	<?php }
}

function wpjobster_theme_job_featured() {
	global $post;
	$pid = $post->ID;

	$dt_homepage      = get_post_meta( $pid, 'home_featured_until', true );
	$dt_categories    = get_post_meta( $pid, 'category_featured_until', true );
	$dt_subcategories = get_post_meta( $pid, 'subcategory_featured_until', true );

	$date_format = get_option( 'date_format' );

	$h_start_date = get_featured_start_date( 'homepage', $pid );
	$h_end_date   = get_featured_end_date( $h_start_date );
	$c_start_date = get_featured_start_date( 'category', $pid );
	$c_end_date   = get_featured_end_date( $c_start_date);
	$s_start_date = get_featured_start_date( 'subcategory', $pid );
	$s_end_date   = get_featured_end_date( $s_start_date ); ?>

	<ul id="post-new5">
		<li>
			<input type="checkbox" value="yes" name="f_homepage" <?php if ( is_numeric( $dt_homepage ) ) echo ' checked="checked" '; ?> />

			<?php echo __( 'Homepage', 'wpjobster' );

			if ( is_numeric( $dt_homepage ) ) {
				echo '<br><strong>';
					echo 'between(' . wpj_date( $date_format, get_featured_start_date_from_end_date($dt_homepage ) ) . " - " . wpj_date( $date_format, $dt_homepage ) . ')';
				echo '</strong>';
			} else {
				echo '<br><strong>';
					echo 'first available(' . wpj_date( $date_format, $h_start_date ) . " - " . wpj_date( $date_format, $h_end_date ) . ')';
				echo '</strong>';
			} ?>
		</li>

		<li>
			<input type="checkbox" value="yes" name="f_categories" <?php if ( is_numeric( $dt_categories ) ) echo ' checked="checked" '; ?> />

			<?php echo __( 'Categories', 'wpjobster' );

			if ( is_numeric( $dt_categories ) ) {
				echo '<br><strong>';
					echo 'between(' . wpj_date( $date_format, get_featured_start_date_from_end_date( $dt_categories ) ) . " - " . wpj_date( $date_format, $dt_categories ) . ')';
				echo '</strong>';
			} else {
				echo '<br><strong>';
					echo 'first available(' . wpj_date( $date_format, $c_start_date ) . " - " . wpj_date( $date_format, $c_end_date ) . ')';
				echo '</strong>';
			} ?>
		</li>

		<li>
			<input type="checkbox" value="yes" name="f_subcategories" <?php if ( is_numeric( $dt_subcategories ) ) echo ' checked="checked" '; ?> />

			<?php echo __( 'Subcategories', 'wpjobster' );

			if ( is_numeric( $dt_subcategories ) ) {
				echo '<br><strong>';
					echo 'between(' . wpj_date( $date_format, get_featured_start_date_from_end_date( $dt_subcategories ) ) . " - " . wpj_date( $date_format, $dt_subcategories ) . ')';
				echo '</strong>';
			} else {
				echo '<br><strong>';
					echo 'first available(' . wpj_date( $date_format, $s_start_date ) . " - " . wpj_date( $date_format, $s_end_date ) . ')';
				echo '</strong>';
			} ?>
		</li>
	</ul>
<?php }

function wpjobster_job_attchments() {
	global $post;

	$value = get_post_custom( $post->ID );
	$instant_attachments = ! empty( $value["job_any_attachments"][0] ) ? $value["job_any_attachments"][0] : '';
	if ( wpj_post_has_attachments( $instant_attachments ) ) {
		wpj_list_attachments( $instant_attachments, $post->ID, '', '', '', true, false );
	}
}

function wpjobster_preview_job_attchments() {
	global $post;

	$value = get_post_custom( $post->ID );
	$preview_job_attchments = ! empty( $value["preview_job_attchments"][0] ) ? $value["preview_job_attchments"][0] : '';
	if ( wpj_post_has_attachments( $preview_job_attchments ) ) {
		wpj_list_attachments( $preview_job_attchments, $post->ID, '', '', '', true, false );
	}
}

function wpjobster_theme_job_instructions() {
	global $post;

	if ( get_option( 'wpjobster_buyer_instructions_job_enabled' ) == 'yes' ) { ?>
		<input type="checkbox" value="yes" name="buyer_instructions" <?php if ( get_post_meta( $post->ID, 'buyer_instructions', true ) == 'yes' ) echo ' checked="checked" '; ?> /><?php _e( "Display instructions to job page", 'wpjobster' ); ?>
	<?php } ?>

	<textarea cols="60" rows="5" name="instruction_box">
		<?php echo get_post_meta( $post->ID, 'instruction_box', true ); ?>
	</textarea>
<?php }

if (!function_exists('wpjobster_theme_job_rejected')) {

	function wpjobster_theme_job_rejected() {
		global $post;

		$pid        = $post->ID;
		$aid        = $post->post_author;
		$user_level = wpjobster_get_user_level( $aid );
		$sts        = get_option( 'wpjobster_get_level' . $user_level . '_extras' );

		$rejected_name             = get_post_meta( $pid, "rejected_name", true );
		$rejected_description      = get_post_meta( $pid, "rejected_description", true );
		$rejected_instructions     = get_post_meta( $pid, "rejected_instructions", true );
		$rejected_tags             = get_post_meta( $pid, "rejected_tags", true );
		$rejected_images           = get_post_meta( $pid, "rejected_images", true );
		$rejected_audio            = get_post_meta( $pid, "rejected_audio", true );
		$rejected_video            = get_post_meta( $pid, "rejected_video", true );
		$rejected_job_preview      = get_post_meta( $pid, "rejected_job_preview", true );
		$rejected_instant_delivery = get_post_meta( $pid, "rejected_instant_delivery", true );
		$rejected_extra[1]         = get_post_meta( $pid, "rejected_extra1", true );
		$rejected_extra[2]         = get_post_meta( $pid, "rejected_extra2", true );
		$rejected_extra[3]         = get_post_meta( $pid, "rejected_extra3", true );
		$rejected_extra[4]         = get_post_meta( $pid, "rejected_extra4", true );
		$rejected_extra[5]         = get_post_meta( $pid, "rejected_extra5", true );
		$rejected_extra[6]         = get_post_meta( $pid, "rejected_extra6", true );
		$rejected_extra[7]         = get_post_meta( $pid, "rejected_extra7", true );
		$rejected_extra[8]         = get_post_meta( $pid, "rejected_extra8", true );
		$rejected_extra[9]         = get_post_meta( $pid, "rejected_extra9", true );
		$rejected_extra[10]        = get_post_meta( $pid, "rejected_extra10", true );

		$rejected_name_comment             = get_post_meta( $pid, "rejected_name_comment", true );
		$rejected_description_comment      = get_post_meta( $pid, "rejected_description_comment", true );
		$rejected_instructions_comment     = get_post_meta( $pid, "rejected_instructions_comment", true );
		$rejected_tags_comment             = get_post_meta( $pid, "rejected_tags_comment", true );
		$rejected_images_comment           = get_post_meta( $pid, "rejected_images_comment", true );
		$rejected_audio_comment            = get_post_meta( $pid, "rejected_audio_comment", true );
		$rejected_video_comment            = get_post_meta( $pid, "rejected_video_comment", true );
		$rejected_job_preview_comment      = get_post_meta( $pid, "rejected_job_preview_comment", true );
		$rejected_instant_delivery_comment = get_post_meta( $pid, "rejected_instant_delivery_comment", true );
		$rejected_extra1_comment           = get_post_meta( $pid, "rejected_extra1_comment", true );
		$rejected_extra2_comment           = get_post_meta( $pid, "rejected_extra2_comment", true );
		$rejected_extra3_comment           = get_post_meta( $pid, "rejected_extra3_comment", true );
		$rejected_extra4_comment           = get_post_meta( $pid, "rejected_extra4_comment", true );
		$rejected_extra5_comment           = get_post_meta( $pid, "rejected_extra5_comment", true );
		$rejected_extra6_comment           = get_post_meta( $pid, "rejected_extra6_comment", true );
		$rejected_extra7_comment           = get_post_meta( $pid, "rejected_extra7_comment", true );
		$rejected_extra8_comment           = get_post_meta( $pid, "rejected_extra8_comment", true );
		$rejected_extra9_comment           = get_post_meta( $pid, "rejected_extra9_comment", true );
		$rejected_extra10_comment          = get_post_meta( $pid, "rejected_extra10_comment", true);  ?>

		<table width="100%">

			<tr>
				<td><?php _e( "Rejected Name", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_name" <?php if ( $rejected_name == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_name_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_name_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Description", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_description" <?php if ( $rejected_description == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_description_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_description_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Instructions", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_instructions" <?php if ( $rejected_instructions == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_instructions_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_instructions_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Tags", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_tags" <?php if ( $rejected_tags == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_tags_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_tags_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Images", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_images" <?php if ( $rejected_images == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_images_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_images_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Audio", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_audio" <?php if ( $rejected_audio == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_audio_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_audio_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Video", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_video" <?php if ( $rejected_video == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_video_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_video_comment', true ); ?></textarea></td>
			</tr>

			<?php if ( empty( $sts ) ) { $sts = 10; }

			for ( $k = 1; $k <= $sts; $k++ ) { ?>

				<tr>
					<td><?php echo sprintf( __( "Rejected Extra %d", 'wpjobster' ), $k ); ?></td>
					<td><input type="checkbox" value="1" name="rejected_extra<?php echo $k; ?>" <?php if ( $rejected_extra[$k] == '1' ) echo ' checked="checked" '; ?> /></td>
					<td><textarea name="rejected_extra<?php echo $k; ?>_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_extra' . $k . '_comment', true ); ?></textarea></td>
				</tr>

			<?php } ?>

			<tr>
				<td><?php _e( "Rejected Job Preview", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_job_preview" <?php if ( $rejected_job_preview == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_job_preview_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_job_preview_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Instant Delivery", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="rejected_instant_delivery" <?php if ( $rejected_instant_delivery == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="rejected_instant_delivery_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'rejected_instant_delivery_comment', true ); ?></textarea></td>
			</tr>

		</table>
	<?php }
}

if ( ! function_exists( 'wpjobster_theme_job_custom_field' ) ) {
	function wpjobster_theme_job_custom_field() {
		global $post;

		$fields = get_field( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ); ?>

		<div class="cf_additional_details">
			<table cellpadding="5" width="100%">
				<?php if ( $fields ) {
					$empty = true;
					foreach ( $fields as $field ) {
						if ( strpos( $field['acf_fc_layout'], 'custom_field' ) !== false ) { $empty = false;
							if ( $field['type'] != 'link' && $field['type'] != 'button' ) {
								$custom_field  = new WPJ_Custom_Fields( $post->ID, 'job' );
								$field_content = $custom_field->getFieldsContent( $field, 'admin' ); ?>

								<tr>
									<td><label><?php echo $field['label']; ?></label></td>
									<td><?php echo $field_content['content']; ?></td>
								</tr>

							<?php }
						}
					}

					if ( $empty ) {
						_e( 'This job has no custom field.', 'wpjobster' );
					}
				} ?>
			</table>
		</div>

	<?php }
}
