<?php
if ( ! function_exists( 'wpjobster_theme_offer_details' ) ) {

	function wpjobster_theme_offer_details() {
		global $post;

		$pid        = $post->ID;
		$price      = get_post_meta( $pid, "price", true );
		$t          = get_post_meta( $pid, "closed", true );
		$active     = get_post_meta( $pid, "active", true );
		$buyer_id   = get_post_meta( $pid, "offer_buyer", true );
		$buyer_data = get_userdata( $buyer_id); ?>

		<ul id="post-new4">
			<input name="fromadmin" type="hidden" value="1" />

			<li>
				<h2><?php echo __( 'Buyer', 'wpjobster' ); ?>: <strong><?php echo wpj_get_user_display_type( $buyer_data->ID ); ?></strong></h2>
			</li>

			<li>
				<h2><?php echo __( 'Job Price', 'wpjobster' ); ?>:</h2>
				<p>
					<?php
					$post_job_type = WPJ_Form::post( 'price_type', get_post_meta( $pid, 'price_type', true ) );
					$price_type = get_option( 'wpjobster_price_type' );

					if ( $price_type == "fixed_amount" ) {
						echo wpjobster_get_show_price( get_option( 'wpjobster_job_fixed_amount' ) );
					} elseif ( $price_type == "dropdown_values" ) {
						echo wpjobster_get_variale_cost_dropdown( 'do_input', get_post_meta( $pid, 'price', true ) );
					} else {
						if (
							get_option( 'wpjobster_enable_fixed_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_hourly_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_daily_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_weekly_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_monthly_rate', true ) == 'yes'
							|| get_option( 'wpjobster_enable_custom_rate', true ) == 'yes'
						) {
							// Multiple type of prices
							echo '<input type="text" style="width: 76px;" name="job_cost" value="' . get_post_meta( $pid, 'price', true ) . '" size="5" /> ';

							echo '<select name="price_type" style="width: 76px; height: 25px; margin-top: -4px;">';

								if ( get_option( 'wpjobster_enable_fixed_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'fixed' ? "selected='selected'" : " " ) . ' value="fixed">' . __( 'fixed', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_hourly_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'hourly' ? "selected='selected'" : " " ) . ' value="hourly">' . __( 'hourly', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_daily_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'daily' ? "selected='selected'" : " " ) . ' value="daily">' . __( 'daily', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_weekly_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'weekly' ? "selected='selected'" : " " ) . ' value="weekly">' . __( 'weekly', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_monthly_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'monthly' ? "selected='selected'" : " " ) . ' value="monthly">' . __( 'monthly', 'wpjobster' ) . '</option>';
								}
								if ( get_option( 'wpjobster_enable_custom_rate', true ) == 'yes' ) {
									echo '<option ' . ( $post_job_type == 'custom' ? "selected='selected'" : " " ) . ' value="custom">' . __( 'custom', 'wpjobster' ) . '</option>';
								}

							echo '</select>';
						} else {
							// Free input text
							if ( wpjobster_show_price_in_front() == true ) echo wpjobster_get_currency_classic();
							echo '<input type="text" name="job_cost" class="do_input" value="' . get_post_meta( $pid, 'price', true ) . '" size="5" /> ';
							if ( wpjobster_show_price_in_front() == false ) echo wpjobster_get_currency_classic();
						}
					} ?>
				</p>
			</li>

			<li>
				<h2><?php _e( 'Delivery', 'wpjobster' ); ?>:</h2>
				<p><input type="text" size="10" name="max_days" class="do_input" value="<?php echo get_post_meta( $pid, 'max_days', true ); ?>" />&nbsp;<?php echo __( 'days', 'wpjobster' ); ?></p>
			</li>

			<li>
				<p>
					<input type="checkbox" value="1" name="active" <?php if ( get_post_meta( $pid, 'offer_accepted', true ) == 1 ) echo ' checked="checked" '; ?> disabled />
					<?php _e( "Offer Accepted", 'wpjobster' ); ?>
				</p>
			</li>

			<li>
				<p>
					<input type="checkbox" value="1" name="active" <?php if ( get_post_meta( $pid, 'offer_declined', true ) == 1 ) echo ' checked="checked" '; ?> disabled />
					<?php _e( "Offer Declined", 'wpjobster' ); ?>
				</p>
			</li>

			<li>
				<p>
					<input type="checkbox" value="1" name="active" <?php if ( get_post_meta( $pid, 'offer_withdrawn', true ) == 1 ) echo ' checked="checked" '; ?> disabled />
					<?php _e( "Offer Withdrawn", 'wpjobster' ); ?>
				</p>
			</li>

			<li>
				<p>
					<input type="checkbox" value="1" name="active" <?php if ( get_post_meta( $pid, 'offer_expired', true ) == 1 ) echo ' checked="checked" '; ?> disabled />
					<?php _e( "Offer Expired", 'wpjobster' ); ?>
				</p>
			</li>

		</ul>
	<?php }
}
