<?php
function wpjobster_request_budget_from() {
	global $post;
	$value = get_post_custom( $post->ID );
	$budget_from = ( ! empty( $value["request_budget_from"][0] ) && $value["request_budget_from"][0] != '' ) ? $value["request_budget_from"][0] : '';
	echo '<input type="text" name="request_budget_from" value="' . $budget_from . '" id="request_budget_from" />';
}

function wpjobster_request_budget_to() {
	global $post;
	$value = get_post_custom( $post->ID );
	$budget_to = ( ! empty( $value["request_budget_to"][0] ) && $value["request_budget_to"][0] != '' ) ? $value["request_budget_to"][0] : '';
	echo '<input type="text" name="request_budget_to" value="' . $budget_to . '" id="request_budget_to" />';
}

function wpjobster_request_max_days_to_deliver() {
	global $post;
	$value = get_post_custom( $post->ID );
	$request_delivery = ( ! empty( $value["request_delivery"][0] ) && $value["request_delivery"][0] != '' ) ? $value["request_delivery"][0] : '';
	echo '<input type="text" name="request_delivery" value="' . $request_delivery . '" id="request_delivery" />';
}

function wpjobster_request_attchments() {
	global $post;
	$value = get_post_custom( $post->ID );
	$request_attachments = ! empty( $value["request_attachments"][0] ) ? $value["request_attachments"][0] : '';
	if ( wpj_post_has_attachments( $request_attachments ) ) {
		wpj_list_attachments( $request_attachments, $post->ID, '', '', '', '', false );
	}
}

function wpjobster_request_deadline() {
	global $post;
	$value = get_post_custom( $post->ID );
	$wpjobster_safe_date_format = get_option('wpjobster_safe_date_format');
	$request_deadline = ! empty( $value["request_deadline"][0] ) ? date( 'Y-m-d', $value["request_deadline"][0] ) : '';
	echo '<input type="date" name="request_deadline" value="' . $request_deadline . '" id="request_deadline" />';
}

function wpjobster_request_autoclose() {
	global $post;
	$pid = $post->ID;
	$autoclose_value = get_post_meta( $pid, 'request_autoclose', true ); ?>

	<select name="request_autoclose">
		<option value="no" <?php if ( $autoclose_value != 'yes' ) echo 'selected="selected"'; ?>><?php _e( 'No', 'wpjobster' ); ?></option>
		<option value="yes" <?php if ( $autoclose_value == 'yes' ) echo 'selected="selected"'; ?>><?php _e( 'Yes', 'wpjobster' ); ?></option>
	</select>

<?php }

if ( ! function_exists( 'wpjobster_request_rejected' ) ) {
	function wpjobster_request_rejected() {
		global $post;
		$pid = $post->ID;

		$req_rejected_name        = get_post_meta( $pid, "req_rejected_name", true );
		$req_rejected_description = get_post_meta( $pid, "req_rejected_description", true );
		$req_rejected_tags        = get_post_meta( $pid, "req_rejected_tags", true );
		$req_rejected_deadline    = get_post_meta( $pid, "req_rejected_deadline", true );
		$req_rejected_budget_from = get_post_meta( $pid, "req_rejected_budget_from", true );
		$req_rejected_budget_to   = get_post_meta( $pid, "req_rejected_budget_to", true );
		$req_rejected_attachments = get_post_meta( $pid, "req_rejected_attachments", true ); ?>

		<input name="fromadmin" type="hidden" value="1" />

		<table width="100%">

			<tr>
				<td><?php _e( "Rejected Name", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_name" <?php if ( $req_rejected_name == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_name_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_name_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Description", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_description" <?php if ( $req_rejected_description == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_description_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_description_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Tags", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_tags" <?php if ( $req_rejected_tags == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_tags_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_tags_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Deadline", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_deadline" <?php if ( $req_rejected_deadline == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_deadline_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_deadline_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Budget From", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_budget_from" <?php if ( $req_rejected_budget_from == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_budget_from_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_budget_from_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Budget To", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_budget_to" <?php if ( $req_rejected_budget_to == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_budget_to_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_budget_to_comment', true ); ?></textarea></td>
			</tr>

			<tr>
				<td><?php _e( "Rejected Attachments", 'wpjobster' ); ?></td>
				<td><input type="checkbox" value="1" name="req_rejected_attachments" <?php if ( $req_rejected_attachments == '1' ) echo ' checked="checked" '; ?> /></td>
				<td><textarea name="req_rejected_attachments_comment" cols="40" rows="2"><?php echo get_post_meta( $pid, 'req_rejected_attachments_comment', true ); ?></textarea></td>
			</tr>

		</table>
	<?php }
}

if ( ! function_exists( 'wpjobster_request_custom_field' ) ) {
	function wpjobster_request_custom_field() {
		global $post;

		$fields = get_field( 'request_fields', get_option( 'wpjobster_new_request_page_id' ) ); ?>

		<div class="cf_additional_details">
			<table cellpadding="5" width="100%">
				<?php if ( $fields ) {
					foreach ( $fields as $field ) {
						if ( strpos( $field['acf_fc_layout'], 'custom_field' ) !== false ) {
							if ( $field['type'] != 'link' && $field['type'] != 'button' ) {
								$custom_field  = new WPJ_Custom_Fields( $post->ID, 'request' );
								$field_content = $custom_field->getFieldsContent( $field, 'admin' ); ?>

								<tr>
									<td><label><?php echo $field['label']; ?></label></td>
									<td><?php echo $field_content['content']; ?></td>
								</tr>

							<?php }
						}
					}
				} ?>
			</table>
		</div>

	<?php }
}
