<?php
function wpj_display_custom_offer_button( $offer_type = '', $title = '', $id = '', $current_user = '', $post_author = '', $page = '', $oid = '', $extra = '', $label_type = 'text' ) {

	$custom_class = '';
	if ( $offer_type == 'request' ) {
		$custom_class = is_user_logged_in() ? ' open-custom-offer-modal request-custom-offer' : ' login-link';
	} elseif ( $offer_type == 'send' ) {
		$custom_class = is_user_logged_in() ? ' open-custom-offer-modal send-custom-offer' : ' login-link';
	}

	$class = '';
	if ( $page == 'single_job' ) {
		$class = 'ui big white fluid uppercase button';
	} elseif ( $page == 'private_messages' ) {
		$class = 'ui icon button';
	} elseif ( $page == 'job' ) {
		$class = 'ui primary button';
	} elseif ( $page == 'chatbox' ) {
		$class = 'ui nomargin button';
	} elseif ( $page == 'user_profile' || $page == 'chat' ) {
		$class = '';
	} else {
		$class = 'ui primary button db';
	}

	$class .= $class ? $custom_class : trim( $custom_class );

	$is_error = '';
	if ( get_option( 'wpjobster_enable_custom_offers' ) != 'no' ) {
		if ( $offer_type == 'request' ) {
			$allow_btn = apply_filters( 'display_or_hide_section_filter', true, $post_author );
			if ( $post_author != $current_user && $allow_btn ) {
				wpj_show_custom_offer_modal_button( $id, $title, $class, '', $label_type, 'tag' );
			}
		}

		if ( $offer_type == 'send' ) {
			$allow_btn = apply_filters( 'display_or_hide_section_filter', true, $current_user );
			if ( $post_author != $current_user && $allow_btn ) {
				$active_job_required = get_option( 'wpjobster_active_job_cutom_offer' );
				if ( $active_job_required == 'yes' ) {
					if ( wpj_get_user_jobs_count( $current_user, 'active' ) > 0 ) {
						wpj_show_custom_offer_modal_button( $id, $title, $class, '', $label_type, 'tags' );
					} else {
						$is_error = true;
						wpj_show_custom_offer_modal_button( $id, $title, $class, 'error', $label_type, 'tags' );
					}
				} else {
					wpj_show_custom_offer_modal_button( $id, $title, $class, '', $label_type, 'tags' );
				}
			}
		}

		wpj_custom_offer_modal_init_content( $title, $id, $post_author, $page, $oid, $extra, $is_error );
	}
}
