<?php
function wpj_is_custom_offer( $pid ) {
	if ( $pid && get_post_type( $pid ) == 'offer' ) {
		return true;
	}

	return false;
}

function wpj_get_custom_offer_title( $pid = '', $post_author = '' ) {
	if ( $pid && $post_author && wpj_is_custom_offer( $pid ) ) {
		return sprintf( __( 'Private transaction with %s', 'wpjobster' ), wpj_get_user_display_type( $post_author ) );
	}

	return false;
}

function wpj_check_offer_veracity ( $pid = '', $uid = '' ) {

	if ( get_post_meta( $pid, "offer_buyer", true ) != get_current_user_id() ) {
		wp_redirect( get_bloginfo( 'url' ) );
		exit;
	}

	wpj_custom_offer_expired( $pid, get_post_meta( $pid, "offer_buyer", true ), $uid );

	if ( get_post_meta( $pid, "offer_expired", true ) == 1 ||
		 get_post_meta( $pid, "offer_withdrawn", true ) == 1 ||
		 get_post_meta( $pid, "offer_accepted", true ) == 1 ||
		 get_post_meta( $pid, "offer_declined", true ) == 1
		) {

		wp_redirect( get_bloginfo( 'url' ) );
		exit;
	}

}

add_action( 'init', 'wpj_update_all_cumstom_offer' );
function wpj_update_all_cumstom_offer() {
	global $wpdb;

	$current_user = wp_get_current_user();
	$uid = $current_user->ID;

	$updated = get_user_meta( $uid, "wpj_custom_offers_id_updated", true );

	if ( $updated != 'done' ) {

		try {
			$result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE ( user = {$uid} OR initiator = {$uid} ) AND custom_offer != '0'" );

			if ( count( $result ) > 0 ) {
				foreach ( $result as $row ) {
					$id = $uid . $row->id . $row->custom_offer . $row->datemade;

					update_post_meta( $id, 'custom_offer_declined', 'done' );
					update_post_meta( $id, 'custom_offer_withdrawn', 'done' );
					update_post_meta( $id, 'custom_offer_accepted', 'done' );
				}
			}

			update_user_meta( $uid, "wpj_custom_offers_id_updated", "done" );

		} catch ( Exception $e ) { return false; }

	}
}