<?php
add_action( 'wp_ajax_custom_offer_or_extra_save', 'wpj_custom_offer_or_extra_save' );
add_action( 'wp_ajax_nopriv_custom_offer_or_extra_save', 'wpj_custom_offer_or_extra_save' );
function wpj_custom_offer_or_extra_save( $content = null, $datemade = 0, $initiator = 0, $user = 0, $price = 0, $delivery = 0, $send_json = true , $oid='', $extra = '', $pid = '', $page = '' ) {

	$return_arr = array();

	$active_job_required  = get_option( 'wpjobster_active_job_cutom_offer' );
	$enable_custom_extras = get_option( 'wpjobster_enable_custom_extras' );

	$custom_extra_form = ( ! empty( $_POST['custom_extra_form'] ) && $_POST['custom_extra_form'] == 'true' );
	if ( $custom_extra_form && $enable_custom_extras != 'yes' ) {
		$msg = custom_offers_status( 'custom_extras_not_enabled' );
	} elseif ( $active_job_required == 'yes' && wpj_get_user_jobs_count( get_current_user_id(), 'active' ) < 1 ) {
		$msg = custom_offers_status( 'not_eligible' );
	} elseif ( ! isset( $_POST['token'] ) ) {
		$msg = custom_offers_status( 'csrf_empty' );
	} elseif ( ! wp_verify_nonce( $_POST['token'], 'new-custom-offer-send' ) ) {
		$msg = custom_offers_status( 'csrf_not_match' );
	} else {
		$content  = empty( $_POST['content'] )  ? $content  : trim( nl2br( strip_tags( htmlspecialchars( wpj_encode_emoji( $_POST['content'] ) ) ) ) );
		$price    = empty( $_POST['price'] )    ? $price    : $_POST['price'];
		$delivery = empty( $_POST['delivery'] ) ? $delivery : $_POST['delivery'];
		$user     = empty( $_POST['user'] )     ? $user     : $_POST['user'];
		$oid      = empty( $_POST['oid'] )      ? $oid      : $_POST['oid'];
		$extra    = empty( $_POST['extra'] )    ? $extra    : $_POST['extra'];
		$pid      = empty( $_POST['pid'] )      ? $pid      : $_POST['pid'];
		$page     = empty( $_POST['page'] )     ? $page     : $_POST['page'];

		if ( get_post_type( $pid ) == 'job' ) {
			$associate_request_id = '';
			$associate_job_id     = $pid;
		} elseif ( get_post_type( $pid ) == 'request' ) {
			$associate_request_id = $pid;
			$associate_job_id     = '';
		} else {
			$associate_request_id = '';
			$associate_job_id     = '';
		}

		$associate_job_id     = apply_filters( 'wpj_associate_job_id_filter', $associate_job_id );
		$associate_request_id = apply_filters( 'wpj_associate_request_id_filter', $associate_request_id );

		if ( $custom_extra_form ) {
			$current_user = wp_get_current_user();
			$user_level   = wpjobster_get_user_level( $current_user->ID );

			if ( wpj_get_user_feature_status( 'wpjobster_enable_min_custom_extras', 'wpjobster_subscription_custom_extras_enabled' ) != 'no' ) {
				$price_min = wpj_get_user_feature_value( 'min_customextrasamount', 'min_customextrasamount' );
			} else {
				$price_min = 0;
			}

			if ( wpj_get_user_feature_status( 'wpjobster_enable_max_custom_extras', 'wpjobster_subscription_custom_extras_enabled' ) != 'no' ) {
				$price_max = wpj_get_user_feature_value( 'customextrasamount', 'max_customextrasamount' );
			} else {
				$price_max = '';
			}
		} else {
			$price_min = get_option( 'wpjobster_offer_price_min' );
			$price_max = get_option( 'wpjobster_offer_price_max' );

			if ( ! is_numeric( $price_min ) || ! is_numeric( $price_max ) || $price_min > $price_max ) {
				$price_min = 5;
				$price_max = 5000;
			}
		}

		if ( get_current_user_id() == $user && ! $custom_extra_form ) {
			$msg = custom_offers_status( 'offer_yourself' );
		} elseif ( ! $content && apply_filters( 'wpj_send_custom_offer_display_description_filter', true ) ) {
			$msg = custom_offers_status( 'empty_offer' );
		} elseif ( ( $price < $price_min || $price > $price_max ) && apply_filters( 'wpj_send_custom_offer_display_price_filter', true ) ) {
			if ( ! $custom_extra_form ) {
				$msg = custom_offers_status( 'wrong_price' );
			} else {
				$msg = custom_offers_status( 'wrong_price', true );
			}
		} elseif ( ( $delivery < 1 || $delivery > get_option( 'wpjobster_request_max_delivery_days' ) ) && apply_filters( 'wpj_send_custom_offer_display_days_filter', true ) ) {
			$msg = custom_offers_status( 'wrong_delivery' );
		} elseif ( $custom_extra_form && ! $oid ) {
			$msg = custom_offers_status( 'something_wrong', true );
		} elseif ( $custom_extra_form && get_option( 'wpjobster_enable_custom_extras' ) != 'yes' ) {
			$msg = custom_offers_status( 'something_wrong', true );
		} else {
			$datemade       = current_time( 'timestamp', 1 );
			$initiator      = get_current_user_id();
			$initiator_data = get_userdata( $initiator );

			if ( ! $custom_extra_form ) {

				$post_title = sprintf( __( "Private transaction between %s and %s", "wpjobster" ), wpj_get_user_display_type( $initiator_data->ID ), wpj_get_user_display_type( $user ) );

				$post = array(
					'post_title'   => $post_title,
					'post_content' => $content,
					'post_author'  => $initiator,
					'post_status'  => 'publish',
					'post_type'    => 'offer'
				);
				$post_id = wp_insert_post( $post );

				if ( $post_id == 0 ) {
					$msg = custom_offers_status( 'something_wrong' );
				} else {
					if ( ! is_demo_user() ) {

						do_action( 'save_send_custom_offer_fields', $post_id, $_POST, 'send' );

						update_post_meta( $post_id, 'price', $price );
						update_post_meta( $post_id, 'max_days', $delivery );
						update_post_meta( $post_id, 'offer_buyer', $user );
						update_post_meta( $post_id, 'offer_date', $datemade );
						update_post_meta( $post_id, 'offer_date_expire', strtotime( '+7 days', $datemade ) );
						update_post_meta( $post_id, 'offer_accepted', 0 );
						update_post_meta( $post_id, 'offer_declined', 0 );
						update_post_meta( $post_id, 'offer_withdrawn', 0 );
						update_post_meta( $post_id, 'offer_expired', 0 );

						$this_pm = wpj_insert_private_message( array(
							'content'              => $content,
							'datemade'             => $datemade,
							'initiator'            => $initiator,
							'user'                 => $user,
							'custom_offer'         => $post_id,
							'associate_request_id' => $associate_request_id,
							'associate_job_id'     => $associate_job_id
						) );
					}

					$msg = custom_offers_status( 'offer_sent' );
				}
			} else {

				// is custom extra
				$order = wpjobster_get_order( $oid );
				if ( $order->uid == get_current_user_id() ) {
					$msg = custom_offers_status( 'something_wrong', true );
				} else {
					$new_custom_extra['description'] = $content;
					$new_custom_extra['price']       = $price;
					$new_custom_extra['delivery']    = $delivery;
					$new_custom_extra['time']        = current_time( 'timestamp', 1 );
					$new_custom_extra['paid']        = false;
					$new_custom_extra['declined']    = false;
					$new_custom_extra['cancelled']   = false;
					if ( ! $order->custom_extras ) {
						$order->custom_extras = array();
					} else {
						$order->custom_extras = json_decode( $order->custom_extras );
					}
					array_push( $order->custom_extras, $new_custom_extra );
					$count = count( $order->custom_extras )-1;
					wpjobster_update_order_meta( $oid, 'custom_extras', json_encode( $order->custom_extras ) );

					global $wpdb;
					$pref     = $wpdb->prefix;
					$datemade = current_time( 'timestamp', 1 );
					$g1       = "insert into " . $pref . "job_chatbox (datemade, uid, oid, content) values('$datemade','-31','$oid','$count')";
					$wpdb->query( $g1 );

					$this_notification = $wpdb->insert_id;
					wpj_update_user_notifications( $order->uid, 'notifications', +1, $this_notification );

					$msg = custom_offers_status( 'offer_sent', true );

					wpj_notify_user_translated( apply_filters( 'wpj_new_custom_extra_reason_filter', 'new_custom_extra', $oid ), $order->uid, array(
						'##sender_username##'       => wpj_get_user_display_type( $initiator_data->ID ),
						'##transaction_number##'    => wpjobster_camouflage_order_id( $order->id, $order->date_made ),
						'##transaction_page_link##' => wpj_get_order_link( $oid ),
						'##job_name##'              => $order->job_title,
						'##job_link##'              => urldecode( get_permalink( $order->pid ) )
					) );
				}
			}
		}
	}

	$message_html = '';
	if ( isset( $this_pm ) ) {
		ob_start();

		global $wpdb;
		$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE id = {$this_pm}" );
		wpjobster_pm_loop( $r, get_current_user_id(), $user );

		$message_html = ob_get_contents();
		ob_end_clean();
	}

	$return_arr = array(
		'user'            => $user,
		'pm_id'           => isset( $this_pm ) ? $this_pm : '',
		'message_date'    => isset( $r[0] ) ? wpj_chat_get_message_date( $r[0] ) : '',
		'custom_offer'    => isset( $r[0] ) ? wpj_chat_get_custom_offer_info( $r[0] ) : '',
		'message'         => $msg,
		'message_content' => $message_html
	);

	wp_send_json( $return_arr );

	wp_die();
}

function wpj_send_custom_offer_vars( $post_params = array() ) {
	$is_extra = ( isset( $post_params['extra'] ) && $post_params['extra'] );

	if ( $is_extra ) {
		$current_user = wp_get_current_user();
		$user_level   = wpjobster_get_user_level( $current_user->ID );

		if ( wpj_get_user_feature_status( 'wpjobster_enable_min_custom_extras', 'wpjobster_subscription_custom_extras_enabled' ) != 'no' ) {
			$price_min = wpj_get_user_feature_value( 'min_customextrasamount', 'min_customextrasamount' );
		} else {
			$price_min = 0;
		}

		if ( wpj_get_user_feature_status( 'wpjobster_enable_max_custom_extras', 'wpjobster_subscription_custom_extras_enabled' ) != 'no' ) {
			$price_max = wpj_get_user_feature_value( 'customextrasamount', 'max_customextrasamount' );
		} else {
			$price_max = '';
		}
	} else {
		$price_min = get_option( 'wpjobster_offer_price_min' );
		$price_max = get_option( 'wpjobster_offer_price_max' );

		if ( ! is_numeric( $price_min ) || ! is_numeric( $price_max ) || $price_min > $price_max ) {
			$price_min = 5;
			$price_max = 5000;
		}
	}

	return array(
		'price_min'         => $price_min,
		'price_max'         => $price_max,
		'is_extra'          => $is_extra,
		'offer_description' => apply_filters( 'wpj_send_custom_offer_display_description_filter', true ),
		'offer_price'       => apply_filters( 'wpj_send_custom_offer_display_price_filter', true ),
		'offer_days'        => apply_filters( 'wpj_send_custom_offer_display_days_filter', true )
	);
}
