<?php
add_action( 'wp_ajax_custom_offer_request_save', 'custom_offer_request_save' );
add_action( 'wp_ajax_nopriv_custom_offer_request_save', 'custom_offer_request_save' );
function custom_offer_request_save( $content = null, $datemade = 0, $initiator = 0, $user = 0, $attached = 0, $custom_offer = -1, $pid = null, $page = null ) {

	if ( ! isset( $_POST['token'] ) ) {

		$msg = custom_offers_status( 'csrf_empty' );

	} elseif ( ! wp_verify_nonce( $_POST['token'], 'new-custom-offer-request' ) ) {

		$msg = custom_offers_status( 'csrf_not_match' );

	} else {

		$content = empty( $_POST['content'] ) ? $content : trim( nl2br( strip_tags( htmlspecialchars( wpj_encode_emoji( $_POST['content'] ) ) ) ) );
		$user    = empty( $_POST['user'] ) ? $user : $_POST['user'];
		$page    = empty( $_POST['page'] ) ? $page : $_POST['page'];
		$pid     = empty( $_POST['pid'] ) ? $pid : $_POST['pid'];

		if ( get_current_user_id() == $user ) {
			$msg = custom_offers_status( 'request_yourself' );
		} elseif ( ! is_user_logged_in() ) {
			$msg = custom_offers_status( 'request_logged_in' );
		} elseif ( ! $content && apply_filters( 'wpj_request_custom_offer_display_description_filter', true ) ) {
			$msg = custom_offers_status( 'empty_request' );
		} else {
			$datemade  = current_time( 'timestamp', 1 );
			$initiator = get_current_user_id();
			$pid       = $page == 'single_job' ? $pid : '';
			$unique    = $page . '_' . $user;
			$attached  = empty( $_POST['hidden_files_custom_offer_attachments_' . $unique] ) ? $attached : $_POST['hidden_files_custom_offer_attachments_' . $unique];

			if ( ! is_demo_user() ) {
				$this_pm = wpj_insert_private_message( array(
					'content'          => $content,
					'datemade'         => $datemade,
					'initiator'        => $initiator,
					'user'             => $user,
					'attached'         => $attached ,
					'custom_offer'     => $custom_offer,
					'associate_job_id' => $pid
				));

				do_action( 'save_request_custom_offer_fields', $this_pm, $_POST, 'request' );
			}

			$msg = custom_offers_status( 'request_sent' );
		}

	}

	if ( isset( $this_pm ) ) {
		global $wpdb;
		$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE id = {$this_pm}" );
	}

	$return_arr = array(
		'user'            => $user,
		'pm_id'           => isset( $this_pm ) ? $this_pm : '',
		'message_date'    => ! empty( $r[0] ) ? wpj_chat_get_message_date( $r[0] ) : '',
		'custom_offer'    => ! empty( $r[0] ) ? wpj_chat_get_custom_offer_info( $r[0] ) : '',
		'message'         => $msg,
	);

	wp_send_json( $return_arr );
}
