<?php
//------------------------------------------------
//
//   (c) WPJobster
//   URL: http://wpjobster.com/
//
//------------------------------------------------

global $pagenow;

if ((is_admin() && 'themes.php' == $pagenow && isset($_GET['activated']))
	|| (is_admin() && get_option( wpjobster_update_ver_str() ) != 'done')
	|| (is_admin() && 'admin.php' == $pagenow && isset($_GET['dbupdate']))) {

	include 'first_run_sql.php';
	include 'first_run_basicoptions.php';
	include 'first_run_emails.php';
	include 'first_run_sms.php';

	update_option( wpjobster_update_ver_str(), 'done' );
	add_action( 'admin_notices', 'wpjobster_database_updated_notice', 9 );

} // endif


// generate an option name for current version's first_run
function wpjobster_update_ver_str() {
	return 'wpjobster_update_' . preg_replace( "/[^A-Za-z0-9 ]/", '', wpjobster_VERSION );
}

if ( get_option( 'wpjobster_beginner_defaults_404' ) != 'done' ) {
	$the_loop_check = the_loop_check();
	if ( $the_loop_check == 0.5 ) {
		include 'first_run_beginner.php';
	}

	if ( $the_loop_check == 0.5 || $the_loop_check == 1 || $the_loop_check == 2 || $the_loop_check == 3 ) {
		update_option( 'wpjobster_beginner_defaults_404', 'done' );
	}
}


function wpjobster_database_updated_notice() {
	?>
	<div class="updated notice is-dismissible">
		<p><?php _e('Jobster Database was successfully updated!', 'wpjobster'); ?></p>
	</div>
	<?php
}


// check if openexchangerates api key was filled
if (get_option('openexchangerates_appid') == '') {
	add_action('admin_notices', 'wpjobster_openexchangerates_appid_required_notice');
}

function wpjobster_openexchangerates_appid_required_notice() {
	?>
	<div class="notice notice-warning is-dismissible">
		<p>
		<?php _e('Please fill your Open Exchange Rates App ID!', 'wpjobster'); ?>
		&nbsp; <a class="" href="<?php echo get_bloginfo( 'url' ).'/wp-admin/admin.php?page=pricing-settings&active_tab=rates'; ?>"><?php _e('Pricing Settings', 'wpjobster'); ?></a>
		</p>
	</div>
	<?php
}


// remove the plugins which are already included in the theme
add_action( 'admin_notices', 'wpjobster_remove_plugins' );
function wpjobster_remove_plugins() {
	if ( ! PAnD::is_admin_notice_active( 'notice-remove-plugins-forever' )
		|| ! wpj_exists_theme_included_plugins() ) {
		return;
	}
	?>
	<div data-dismissible="notice-remove-plugins-forever" class="notice notice-warning is-dismissible">
		<p><?php echo __( 'Since v4.1.1, Jobster theme includes the functionality of the following plugins, so they have been automatically deactivated.', 'wpjobster' ); ?>
		<br>
		<?php echo __( 'You can delete them automatically using the button below or dismiss this notice.', 'wpjobster' ); ?></p>
		<?php
			foreach ( wpj_get_theme_included_plugins() as $plugin_slug ) {
				if ( file_exists( WP_PLUGIN_DIR . '/' . $plugin_slug ) ) {
					$plugin_data = get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin_slug );
					echo '<p>- ' . $plugin_data['Name'] . '</p>';
				}
			}
		?>
		<p><a class="button action" href="<?php echo get_bloginfo( 'url' ).'/wp-admin/admin.php?page=PT1_admin_mnu&deleteincludedplugins=true' ?>"><?php _e('Delete Now', 'wpjobster'); ?></a></p>
	</div>
	<?php
}

if ( is_admin() && 'admin.php' == $pagenow && isset( $_GET['deleteincludedplugins'] ) ) {
	add_action( 'admin_init', 'wpj_delete_theme_included_plugins' );
	add_action( 'admin_notices', 'wpjobster_plugins_deleted_notice' );
}

function wpjobster_plugins_deleted_notice() {
	?>
	<div class="updated notice is-dismissible">
		<p><?php _e( 'The unnecessary plugins have been successfully deleted!', 'wpjobster' ); ?></p>
	</div>
	<?php
}

// Footer - Move and replace social media column with categories
if ( is_admin() && 'admin.php' == $pagenow && isset( $_GET['replace_social_with_categories'] ) ) {

	if ( $_GET['replace_social_with_categories'] == 'yes' && get_option( 'wpj_replace_old_social_media_541' ) != 'done' ) {
		// Delete old widget social content
		$sidebars_widgets = get_option( 'sidebars_widgets', array() );

		$sidebars_widgets['footer-widget-5'] = array();
		$sidebars_widgets['footer-widget-5-logged-in'] = array();

		update_option( 'sidebars_widgets', $sidebars_widgets );

		// Add categories shortcode to footer-widget-5 & footer-widget-5-logged-in
		wpjobster_insert_widget_in_sidebar( 'text', array( 'title' => 'Categories', 'text' => "[wpj_list_categories taxonomy=job_cat show_childs=0 hide_empty=0]" ), 'footer-widget-5' );
		wpjobster_insert_widget_in_sidebar( 'text', array( 'title' => 'Categories', 'text' => "[wpj_list_categories taxonomy=job_cat show_childs=0 hide_empty=0]" ), 'footer-widget-5-logged-in' );
	}

	update_option( 'wpj_replace_old_social_media_541', 'done' );
}
if ( get_option( 'wpjobster_set_footer_social_media_content_541' ) == 'done' && get_option( 'wpj_replace_old_social_media_541' ) != 'done' ) {
	add_action( 'admin_notices', 'wpjobster_replace_social_with_categories_notice' );
}
function wpjobster_replace_social_with_categories_notice() { ?>
	<div class="notice notice-warning is-dismissible">
		<p><?php _e( 'The footer has been improved and the content has been reorganized. Do you want to replace the old social media column with a new column that displays the categories?', 'wpjobster' ); ?></p>
		<p>
			<a class="button action" href="<?php echo get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=PT1_admin_mnu&replace_social_with_categories=yes' ?>"><?php _e( 'Replace now', 'wpjobster' ); ?></a>&nbsp;
			<a class="button action" href="<?php echo get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=PT1_admin_mnu&replace_social_with_categories=no' ?>"><?php _e( 'Cancel', 'wpjobster' ); ?></a>
		</p>
	</div>
<?php }

// Add content to htaccess to improve the site score and speed
if ( is_admin() && 'admin.php' == $pagenow && isset( $_GET['add_content_to_htaccess'] ) ) {

	if ( $_GET['add_content_to_htaccess'] == 'yes' && get_option( 'wpj_add_content_to_htaccess_542' ) != 'done' ) {
		wpj_frun_htaccess_gzip();
		wpj_frun_htaccess_deflate();
		wpj_frun_htaccess_keep_alive();
		wpj_frun_htaccess_expires_caching();
		wpj_frun_htaccess_cache_control();
		wpj_frun_htaccess_pagespeed();
		wpj_frun_htaccess_litespeed();
		wpj_frun_htaccess_server_signature();
	}

	update_option( 'wpj_add_content_to_htaccess_542', 'done' );
}
if ( get_option( 'wpj_add_content_to_htaccess_542' ) != 'done' ) {
	add_action( 'admin_notices', 'wpjobster_add_content_to_htaccess_notice' );
}
function wpjobster_add_content_to_htaccess_notice() { ?>
	<div class="notice notice-warning is-dismissible">
		<p><?php _e( 'This theme version comes with a htaccess code that will improve site speed and score on speed and performance analyzer sites. Do you want to paste this code into htaccess?', 'wpjobster' ); ?></p>

		<p><?php _e( 'If something goes wrong and the site is down, go to cpanel, open the .htaccess file and delete everything except the code between <code># BEGIN WordPress</code> and <code># END WordPress</code>', 'wpjobster' ); ?></p>

		<p><?php _e( 'If you can\'t find .htaccess file, click <code>Settings</code> from header, check <code>Show Hidden Files (dotfiles)</code> and <code>Save</code>', 'wpjobster' ); ?></p>

		<p>
			<a class="button action" href="<?php echo get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=PT1_admin_mnu&add_content_to_htaccess=yes' ?>"><?php _e( 'Add now', 'wpjobster' ); ?></a>&nbsp;
			<a class="button action" href="<?php echo get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=PT1_admin_mnu&add_content_to_htaccess=no' ?>"><?php _e( 'Cancel', 'wpjobster' ); ?></a>
		</p>
	</div>
<?php }

if ( get_option( 'wpjobster_548_recompile_colours_after_semantic_241' ) != 'done' ) {
	update_option( 'wpjobster_548_recompile_colours_after_semantic_241', 'done' );
	update_option( 'wpjobster_compile_original_colours', '' );
}

function wpj_compile_colours_error() {
	if ( get_option( 'wpjobster_compile_original_colours' ) != 'done'
		&& ( defined( 'wpjobster_VERSION' ) && wpjobster_VERSION >= '5.0.0' ) ) {
		// display this only when updating from v4.x.x

		$upload_dir    = wp_upload_dir();
		$semantic_path = $upload_dir['basedir'] . '/wpjobster/semantic.css';
		if ( file_exists( $semantic_path ) ) {
			// only show notice if there is an old file to replace

			echo '<div class="notice notice-warning padd10">';

				$message = '<h2>' . __( "Color Options", "wpjobster" ) . '</h2>';

				$message .= __( "Your color options need to be compiled into a new CSS file.", "wpjobster" );
				$message .= '<br>';
				$message .= __( "Please visit Appearance -> Customize -> Color Options and click the Save button.", "wpjobster" );

				echo $message;
				?>
				<br><br>
				<a class="button action" href="<?php echo admin_url( 'customize.php?autofocus[section]=color_options' ); ?>"><?php _e('Color Options', 'wpjobster'); ?></a>
				<?php
			echo '</div>';
		}
	}
}
add_action( 'admin_notices', 'wpj_compile_colours_error' );

if ( isset( $_GET['settings-updated'] ) ) { update_option( 'wpj_save_permalinks554', 'done' ); }
function wpj_save_permalinks_warning() {

	if ( get_option( 'wpj_save_permalinks554' ) != 'done'
		&& ( defined( 'wpjobster_VERSION' ) && wpjobster_VERSION >= '5.5.4' ) ) { // display this only when updating from v5.5.4 ?>

		<div class="notice notice-warning is-dismissible">
			<p><?php _e( "After this update, you must go to the Settings Permalinks page and press the 'Save changes' button.", "wpjobster" ); ?></p>
			<a class="button action" href="<?php echo admin_url( 'options-permalink.php' ); ?>"><?php _e( 'Go to Permalinks', 'wpjobster' ); ?></a>
		</div>

	<?php }
}
add_action( 'admin_notices', 'wpj_save_permalinks_warning' );