<?php

global $wpdb;

// keep this for older installations compatibility
update_option( 'wpjobster_update_380', 'done' );

// insert pages
wpjobster_insert_pages( 'wpjobster_blog_home_id',
	'Blog Posts',
	'[wpjobster_theme_blog_posts]' );
wpjobster_insert_pages( 'wpjobster_my_account_page_id',
	'My Account',
	'[wpjobster_theme_my_account]' );
wpjobster_insert_pages( 'wpjobster_my_requests_page_id',
	'My Requests',
	'[wpjobster_theme_my_requests]' );
wpjobster_insert_pages( 'wpjobster_my_favorites_page_id',
	'My Favorites',
	'[wpjobster_theme_my_favorites]' );
wpjobster_insert_pages( 'wpjobster_all_categories_page_id',
	'All Categories',
	'[wpjobster_theme_all_categories]' );
wpjobster_insert_pages( 'wpjobster_my_account_personal_info_page_id',
	'Settings',
	'[wpjobster_theme_my_account_personal_info]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_my_account_payments_page_id',
	'Payments',
	'[wpjobster_theme_my_account_payments]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_my_account_shopping_page_id',
	'Shopping',
	'[wpjobster_theme_my_account_shopping]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_my_account_all_notifications_page_id',
	'All Notifications',
	'[wpjobster_theme_my_account_all_notifications]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_my_account_sales_page_id',
	'Sales',
	'[wpjobster_theme_my_account_sales]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_my_account_priv_mess_page_id',
	'Private Messages',
	'[wpjobster_theme_my_account_priv_mess]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_my_account_reviews_page_id',
	'Reviews/Feedback',
	'[wpjobster_theme_my_account_reviews]',
	get_option( 'wpjobster_my_account_page_id' ) );
wpjobster_insert_pages( 'wpjobster_search_user_page_id',
	'Search Users',
	'',
	0,
	'page-search-by-user.php'
);
wpjobster_insert_pages( 'wpjobster_email_settings_page_id',
	'Email settings',
	'',
	get_option( 'wpjobster_my_account_page_id' ),
	'page-email-settings.php'
);
wpjobster_insert_pages( 'wpjobster_advanced_search_request_page_id',
	'Search Requests',
	'[wpjobster_theme_search_requests]' );


if ( get_option( 'wpjobster_first_run_options1' ) != 'done' ) {
	update_option( 'wpjobster_first_run_options1', 'done' );

	update_option( 'wpjobster_default_level_nr', '0' );
	update_option( 'wpjobster_level1_extras',    '3' );
	update_option( 'wpjobster_level2_extras',    '3' );
	update_option( 'wpjobster_level3_extras',    '3' );

	update_option( 'wpjobster_get_level0_vds', '1' );
	update_option( 'wpjobster_get_level1_vds', '1' );
	update_option( 'wpjobster_get_level2_vds', '1' );
	update_option( 'wpjobster_get_level3_vds', '1' );

	update_option( 'wpjobster_level1_min', '50' );
	update_option( 'wpjobster_level2_min', '200' );
}

// ---------- ---------- ---------- ---------- ---------- ----------

if ( get_option( 'wpjobster_first_run_options2' ) != 'done' ) {
	update_option( 'wpjobster_first_run_options2',              'done' );
	update_option( 'wpjobster_enable_instant_deli',             'no' );
	update_option( 'wpjobster_show_main_menu',                  'yes' );
	update_option( 'wpjobster_admin_approve_job',               'no' );
	update_option( 'wpjobster_enable_extra',                    'yes' );
	update_option( 'wpjobster_job_listing',                     '0' );
	update_option( 'wpjobster_featured_job_listing',            '1' );
	update_option( 'wpjobster_enable_shipping',                 'yes' );
	update_option( 'wpjobster_enable_location_based_shipping',  'no' );
	update_option( 'wpjobster_job_attachments_enabled',         'no' );

	update_option( 'wpjobster_request_max_deliv',  'yes' );
	update_option( 'wpjobster_request_budget',  'no' );
	update_option( 'wpjobster_request_file_upload',  'no' );

	update_option( 'wpjobster_currency',                        'USD' );
	update_option( 'wpjobster_currency_1',                      'USD' );

	update_option( 'wpjobster_currency_symbol_1',               'USD' );
	update_option( 'wpjobster_currency_symbol',                 '$' );
	update_option( 'wpjobster_currency_position',               'back' );
	update_option( 'wpjobster_currency_symbol_space',           'yes' );
	update_option( 'wpjobster_decimal_sum_separator',           '.' );
	update_option( 'wpjobster_thousands_sum_separator',         ',' );

	update_option( 'wpjobster_show_limit_job_cnt',              '12' );

	update_option( 'wpjobster_withdraw_limit',                  '10' );

	update_option( 'wpjobster_home_page_layout',                '1' );

	update_option( 'wpjobster_main_how_it_works_line1',         'Welcome to Jobster Theme' );
	update_option( 'wpjobster_main_how_it_works_line2',         'World\'s best microjob marketplace<br/>theme for WordPress CMS' );
	update_option( 'wpjobster_enable_how_it_works',             'yes' );

	update_option( 'wpjobster_allow_html_emails',               'yes' );
	update_option( 'wpjobster_paypal_enable_sdbx',              'no' );
	update_option( 'wpjobster_paypal_enable_secure',            'no' );
	update_option( 'wpjobster_enable_paypal_ad',                'no' );
	update_option( 'wpjobster_paypal_ad_model',                 'parallel' );

	update_option( 'wpjobster_enable_site_fee',                 'flexible' );

	update_option( 'wpjobster_percent_fee_taken_range1_base',   '20' );
	update_option( 'wpjobster_percent_fee_taken_range2_base',   '100' );
	update_option( 'wpjobster_percent_fee_taken_range3_base',   '500' );

	update_option( 'wpjobster_percent_fee_taken_range0_level0', '20' );
	update_option( 'wpjobster_percent_fee_taken_range0_level1', '20' );
	update_option( 'wpjobster_percent_fee_taken_range0_level2', '20' );
	update_option( 'wpjobster_percent_fee_taken_range0_level3', '20' );

	update_option( 'wpjobster_percent_fee_taken_range1_level0', '19' );
	update_option( 'wpjobster_percent_fee_taken_range1_level1', '17' );
	update_option( 'wpjobster_percent_fee_taken_range1_level2', '15' );
	update_option( 'wpjobster_percent_fee_taken_range1_level3', '13' );

	update_option( 'wpjobster_percent_fee_taken_range2_level0', '18' );
	update_option( 'wpjobster_percent_fee_taken_range2_level1', '16' );
	update_option( 'wpjobster_percent_fee_taken_range2_level2', '14' );
	update_option( 'wpjobster_percent_fee_taken_range2_level3', '12' );

	update_option( 'wpjobster_percent_fee_taken_range3_level0', '11' );
	update_option( 'wpjobster_percent_fee_taken_range3_level1', '10' );
	update_option( 'wpjobster_percent_fee_taken_range3_level2', '9' );
	update_option( 'wpjobster_percent_fee_taken_range3_level3', '8' );

	update_option( 'wpjobster_offer_price_min',                 '5' );
	update_option( 'wpjobster_offer_price_max',                 '5000' );

	update_option( 'wpjobster_default_nr_of_pics',              '10' );

	update_option( 'wpjobster_max_time_to_wait',                '72' );
	update_option( 'wpjobster_clearing_period',                 '3' );

	update_option( 'wpjobster_language_1',                      'en' );
	update_option( 'wpjobster_show_pagination_homepage',        'no' );
	update_option( 'wpjobster_taxonomy_page_with_sdbr',         'yes' );
	update_option( 'wpjobster_enable_second_footer',            'yes' );
	update_option( 'wpjobster_en_country_flags',                'no' );
	update_option( 'wpjobster_ip_country_detection',            'no' );
	update_option( 'wpjobster_number_of_cancellations',         '5' );
	update_option( 'wpjobster_number_of_modifications',         '5' );
	update_option( 'wpjobster_get_total_extras',                '3' );
	update_option( 'wpjobster_enable_widget_embed_code',        'no' );
}


if ( get_option( 'wpjobster_first_run_options_224' ) != 'done' ) {
	update_option( 'wpjobster_enable_auto-load',      'no' );
	update_option( 'wpjobster_enable_jobs_title',     'yes' );
	update_option( 'wpjobster_first_run_options_224', 'done' );
	update_option( 'wpjobster_set_time_direction',    'rtl' );
}

// ---------- ---------- ---------- ---------- ---------- ----------

if ( get_option( 'wpjobster_upda_req101' ) != 'done' ) {

	$another_special_sql = "select * from ".$wpdb->prefix."job_ratings where awarded='1'";
	$another_special_res = $wpdb->get_results($another_special_sql);

	foreach ( $another_special_res as $row2 ) {
		$id     = $row2->id;
		$grade  = $row2->grade;
		$oid    = $row2->orderid;

		$s1s1   = "select * from " . $wpdb->prefix . "job_orders where id='$oid' ";
		$r1r1   = $wpdb->get_results( $s1s1 );

		$pid    = $r1r1[0]->pid;
		$pstpst = get_post( $pid );
		$uid    = $pstpst->post_author;

		if ( $grade == 0 ) {
			$sss = "update ".$wpdb->prefix."job_ratings set grade='1', uid='$uid', pid='$pid' where id='$id' ";
			$wpdb->query( $sss );
		}

		if ( $grade == 1) {
			$sss = "update " . $wpdb->prefix . "job_ratings set grade='5', uid='$uid', pid='$pid' where id='$id' ";
			$wpdb->query( $sss );
		}
	}
	update_option( "wpjobster_upda_req101", "done" );

}

// ---------- ---------- ---------- ---------- ---------- ----------

if ( get_option( 'wpjobster_up_upd1_amk81j' ) != 'DONe' ) {
	update_option( 'wpjobster_up_upd1_amk81j', "DONe" );
	wpjobster_insert_pages( 'wpjobster_all_categories_page_id',
		'All Categories',
		'[wpjobster_theme_all_categories]' );
	wpjobster_insert_pages( 'wpjobster_advanced_search_id',
		'Search Jobs',
		'[wpjobster_theme_search_jobs]' );
}


if ( get_option( 'wpjobster_up_upd1_640hj' ) != 'DONe' ) {
	query_posts( "post_type=job&order=DESC&orderby=id&posts_per_page=10000" );

	if ( have_posts() ) {
		while ( have_posts() ) {
			the_post();
			$ttl = get_the_title();
			$newttl = get_post_meta(get_the_ID(), 'title_variable', true);
			$npost = array();
			$npost['ID'] = get_the_ID();
			$npost['post_title'] = $newttl;
			wp_update_post( $npost );

		}
	}

	wp_reset_query();
	update_option( 'wpjobster_up_upd1_640hj', "DONe" );
}


if ( get_option( 'wpjobster_up_upd1_featured' ) != 'DONe' ) {
	query_posts( "post_type=job&order=DESC&orderby=id&posts_per_page=-1" );
	if ( have_posts() ) {
		while ( have_posts() ) {
			the_post();
			update_post_meta( get_the_ID(), 'home_featured_until',        "z" );
			update_post_meta( get_the_ID(), 'category_featured_until',    "z" );
			update_post_meta( get_the_ID(), 'subcategory_featured_until', "z" );
			update_post_meta( get_the_ID(), 'home_featured_now',          "z" );
			update_post_meta( get_the_ID(), 'category_featured_now',      "z" );
			update_post_meta( get_the_ID(), 'subcategory_featured_now',   "z" );
		}
	}
	wp_reset_query();
	update_option( 'wpjobster_up_upd1_featured', "DONe" );
}


if ( get_option( 'wpjobster_update_236' ) != 'done' ) {
	set_theme_mod( 'enable_responsive', 'no' );
	update_option( 'wpjobster_update_236', 'done' );
}


if ( get_option( 'wpjobster_update_254' ) != 'done' ) {
	update_option( 'wpjobster_audio',                   'no' );
	update_option( 'wpjobster_max_uploads_audio',       '1' );
	update_option( 'wpjobster_mandatory_audio_for_jbs', 'no' );
	update_option( 'wpjobster_max_audio_upload_size',   '10' );
	update_option( 'wpjobster_update_254',              'done' );
}

if ( get_option( 'wpjobster_update_259' ) != 'done' ) {
	update_option( 'wpjobster_max_img_upload_size', 10);
	update_option( 'wpjobster_update_259', 'done' );
}

if ( get_option( 'wpjobster_update_260' ) != 'done' ) {
	update_option( 'wpjobster_min_img_upload_width',        720 );
	update_option( 'wpjobster_min_img_upload_height',       405 );
	update_option( 'wpjobster_enable_job_cover',            'no' );
	update_option( 'wpjobster_min_cover_img_upload_width',  980 );
	update_option( 'wpjobster_min_cover_img_upload_height', 180 );
	update_option( 'wpjobster_update_260',                  'done' );

}

// qTranslate-X default options
if ( get_option( 'wpjobster_update_qtranslate' ) != 'done' ) {
	update_option( 'qtranslate_post_type_excluded', array(
		'acf-field-group', 'acf-field', 'job', 'offer', 'request' ) );
	update_option( 'qtranslate_qtrans_compatibility', '1' );
	update_option( 'wpjobster_update_qtranslate', 'done' );
}


if ( get_option( 'wpjobster_update_262_extras' ) != 'done' ) {
	update_option( "wpjobster_get_level0_extras", 3 );
	update_option( "wpjobster_get_level1_extras", 3 );
	update_option( "wpjobster_get_level2_extras", 3 );
	update_option( "wpjobster_get_level3_extras", 3 );
	update_option( 'wpjobster_update_262_extras', 'done' );
}

if ( get_option( 'wpjobster_update_ul_extra_fast_delivery' ) != 'done' ) {
	update_option( "wpjobster_enable_extra_fast_delivery", 'yes' );
	update_option( "wpjobster_extra_fast_devliery_level0", 'yes' );
	update_option( "wpjobster_extra_fast_devliery_level1", 'yes' );
	update_option( "wpjobster_extra_fast_devliery_level2", 'yes' );
	update_option( "wpjobster_extra_fast_devliery_level3", 'yes' );
	update_option( 'wpjobster_update_ul_extra_fast_delivery', 'done' );
}

if ( get_option( 'wpjobster_update_ul_extra_fast_delivery_multiples' ) != 'done' ) {

	update_option( 'wpjobster_get_level0_fast_delivery_multiples', 3 );
	update_option( 'wpjobster_get_level1_fast_delivery_multiples', 5 );
	update_option( 'wpjobster_get_level2_fast_delivery_multiples', 10 );
	update_option( 'wpjobster_get_level3_fast_delivery_multiples', 20 );

	update_option( 'wpjobster_subscription_fast_del_multiples_level0', 5 );
	update_option( 'wpjobster_subscription_fast_del_multiples_level1', 10 );
	update_option( 'wpjobster_subscription_fast_del_multiples_level2', 20 );
	update_option( 'wpjobster_subscription_fast_del_multiples_level3', 30 );

	update_option( 'wpjobster_update_ul_extra_fast_delivery_multiples', 'done' );
}

if ( get_option( 'wpjobster_update_sub_additional_revision' ) != 'done' ) {
	update_option( "wpjobster_enable_extra_additional_revision", 'yes' );
	update_option( "wpjobster_extra_additional_revision_level0", 'yes' );
	update_option( "wpjobster_extra_additional_revision_level1", 'yes' );
	update_option( "wpjobster_extra_additional_revision_level2", 'yes' );
	update_option( "wpjobster_extra_additional_revision_level3", 'yes' );
	update_option( 'wpjobster_update_sub_additional_revision', 'done' );
}

if ( get_option( 'wpjobster_update_sub_additional_revision_multiples' ) != 'done' ) {

	update_option( 'wpjobster_get_level0_add_rev_multiples', 3 );
	update_option( 'wpjobster_get_level1_add_rev_multiples', 5 );
	update_option( 'wpjobster_get_level2_add_rev_multiples', 10 );
	update_option( 'wpjobster_get_level3_add_rev_multiples', 20 );

	update_option( 'wpjobster_subscription_add_rev_multiples_level0', 5 );
	update_option( 'wpjobster_subscription_add_rev_multiples_level1', 10 );
	update_option( 'wpjobster_subscription_add_rev_multiples_level2', 20 );
	update_option( 'wpjobster_subscription_add_rev_multiples_level3', 30 );

	update_option( 'wpjobster_update_sub_additional_revision_multiples', 'done' );
}

if ( get_option( 'wpjobster_update_263_layout' ) != 'done' ) {
	update_option( 'wpjobster_update_263_layout', 'done' );
}


if ( get_option( 'wpjobster_update_263_character_limits' ) != 'done' ) {
	update_option( 'wpjobster_characters_jobtitle_min',         5 );
	update_option( 'wpjobster_characters_jobtitle_max',         80 );
	update_option( 'wpjobster_characters_description_min',      35 );
	update_option( 'wpjobster_characters_description_max',      1000 );
	update_option( 'wpjobster_characters_instructions_min',     35 );
	update_option( 'wpjobster_characters_instructions_max',     500 );
	update_option( 'wpjobster_characters_extradescription_min', 5 );
	update_option( 'wpjobster_characters_extradescription_max', 50 );
	update_option( 'wpjobster_characters_request_min',          35 );
	update_option( 'wpjobster_characters_request_max',          500 );
	update_option( 'wpjobster_characters_message_min',          0 );
	update_option( 'wpjobster_characters_message_max',          1200 );
	update_option( 'wpjobster_characters_personalinfo_min',     35 );
	update_option( 'wpjobster_characters_personalinfo_max',     500 );

	update_option( 'wpjobster_update_263_character_limits',     'done' );
}


if ( get_option( 'wpjobster_update_269' ) != 'done' ) {
	update_option( 'wpjobster_update_269', 'done' );
}


if ( get_option( 'wpjobster_update_270_paypal' ) != 'done' ) {
	update_option( 'wpjobster_theme_signature', '' );
	update_option( 'wpjobster_theme_apipass', '' );
	update_option( 'wpjobster_theme_apiuser', '' );
	update_option( 'wpjobster_update_270_paypal', 'done' );
}


if ( get_option( 'wpjobster_paypal_page_created' ) != 'DONe' ) {
	update_option( 'wpjobster_paypal_page_created', 'DONe' );
}


if ( get_option( 'wpjobster_update_283_insert_pages' ) != 'done' ) {
	wpjobster_insert_pages('wpjobster_subscriptions_page_id',
		'Subscriptions',
		'[wpjobstersubscriptions]' );
	update_option( 'wpjobster_update_283_insert_pages', 'done' );
}


if ( get_option( 'wpjobster_update_283_topup' ) != 'done' ) {
	update_option( 'wpjobster_enable_topup', 'no' );
	update_option( 'wpjobster_update_283_topup', 'done' );
}


if ( get_option( "wpjobster_update_300_tos" ) != 'done' ) {
	update_option( "wpjobster_update_300_tos", "done" );

	if ( get_option( "wpjobster_tos_page_link" ) != '' ) {
		update_option( "wpjobster_tos_type", 'link' );
	} else {
		update_option( "wpjobster_tos_type", 'disabled' );
	}
}


if ( get_option( 'wpjobster_update_300_locations') != 'done' ) {
	update_option( 'wpjobster_update_300_locations', 'done' );

	if ( get_option( 'wpjobster_location') == 'yes') {
		update_option( 'wpjobster_location_display_condition', 'always' );
	} else {
		update_option( 'wpjobster_location_display_condition', 'never' );
	}

	update_option( 'wpjobster_distance_display_condition', 'never' );
	update_option( 'wpjobster_location_display_map', 'no' );
}


if ( ! get_option( 'wpjobster_safe_date_format' ) ) {
	update_option( 'wpjobster_safe_date_format', 'Y-m-d' );
}


if ( get_option( 'wpjobster_update_default_charts_settings' ) != 'done' ) {
	update_option( 'wpjobster_update_default_charts_settings', 'done' );

	update_option( 'wpjobster_enable_phone_number', 'no' );
	update_option( 'wpjobster_enable_user_stats', 'yes' );
	update_option( 'wpjobster_enable_user_charts', 'yes' );
}

// ---------- ---------- ---------- ---------- ---------- ----------

if ( get_option( "DGCPTT_deactivated" ) != 'yes' ) {
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	deactivate_plugins( "gd-taxonomies-tools/gd-taxonomies-tools.php" );
	update_option( "DGCPTT_deactivated", "yes" );
}

// ---------- ---------- ---------- ---------- ---------- ----------

// this update is only for new installations
if ( get_option( 'wpjobster_update_380_default_options' ) != 'done'
	&& get_option( 'wpjobster_sql_10extras' ) != 'done' ) {

	// WP Settings
	update_option( 'users_can_register', 1 );
	update_option( 'posts_per_page', 12 );
	update_option( 'posts_per_rss', 12 );
	update_option( 'permalink_structure', '/%postname%/' );

	// WPJobster Settings // only if wpjobster_sql_10extras not done
	update_option( 'wpjobster_email_addr_from', get_option( 'admin_email', '' ) );
	update_option( 'wpjobster_email_name_from', get_option( 'blogname', '' ) );
	update_option( 'wpjobster_featured_enable', 'no' );
	update_option( 'wpjobster_featured_interval', 7 );
	update_option( 'wpjobster_featured_homepage', 5 );
	update_option( 'wpjobster_featured_price_homepage', 5 );
	update_option( 'wpjobster_featured_category', 5 );
	update_option( 'wpjobster_featured_price_category', 5 );
	update_option( 'wpjobster_featured_subcategory', 5 );
	update_option( 'wpjobster_featured_price_subcategory', 5 );
	update_option( 'wpjobster_enable_job_cover', 'yes' );
	set_theme_mod( 'enable_responsive', 'yes' );
	set_theme_mod( 'enable_lazy_loading', 'yes' );
	set_theme_mod( 'enable_video_icon_cards', 'yes' );
	set_theme_mod( 'site_width_value', '1170' );
	set_theme_mod( 'site_width_type', 'px' );
	set_theme_mod( 'cards_style', 1 );
	set_theme_mod( 'menu_style', 2 );
	update_option( 'wpjobster_blacklisted_words_pm', 'email' . PHP_EOL . 'telephone' . PHP_EOL . 'skype' );
	update_option( 'wpjobster_blacklisted_words_pm_err', 'Providing your contact details in messages is against our terms of service!' );
	update_option( 'wpjobster_blacklisted_words2_pm', 'paypal' . PHP_EOL . 'stripe' );
	update_option( 'wpjobster_blacklisted_words2_pm_err', 'You cannot offer to pay directly to users.' );
	update_option( 'wpjobster_blacklisted_email', 'Providing your contact details in messages is against our terms of service!' );
	update_option( 'wpjobster_blacklisted_phone', 'Providing your contact details in messages is against our terms of service!' );

	// zM Ajax Login & Register
	update_option( 'ajax_login_register_advanced_usage_login', '.login-link' );
	update_option( 'ajax_login_register_advanced_usage_register', '.register-link' );
	update_option( 'ajax_login_register_advanced_usage_forgot', '.forgot-password-handle' );

	// Remove Dashboard Access
	update_option( 'rda_enable_profile', '' );

	// Easy Social Share Buttons 3
	$essb_defaults = get_option( 'easy-social-share-buttons3', array() );
	$essb_args = wp_parse_args( array(
		'style' => 6,
		'button_style' => 'icon',
		'hide_social_name' => 1,
		'target_link' => 1,
		'display_where' => 'nowhere',
		'buttons_pos' => 'right',
		'force_hide_buttons_on_mobile' => 'true',
		'display_in_types' => array(
			'post',
			'news',
		),
		'networks' => array(
			'facebook',
			'twitter',
			'google',
			'pinterest',
			'linkedin',
			'whatsapp',
		),
	), $essb_defaults );
	update_option( 'easy-social-share-buttons3', $essb_args );

	// WP Social Login
	update_option( 'wsl_settings_Facebook_enabled', 1 );
	update_option( 'wsl_settings_Google_enabled',   1 );
	update_option( 'wsl_settings_Twitter_enabled',  1 );
	update_option( 'wsl_settings_social_icon_set',  'none' );
	update_option( 'wsl_settings_users_avatars',    0 );
	update_option( 'wsl_settings_use_popup',        1 );
	update_option( 'wsl_settings_widget_display',   4 );
	update_option( 'wsl_settings_bouncer_profile_completion_require_email', 1 );
	update_option( 'wsl_settings_bouncer_profile_completion_change_username', 1 );

	update_option( 'wpjobster_update_380_default_options', 'done' );
}

if ( get_option( "wpjobster_update_383_multiples") != 'done' ) {
	update_option( "wpjobster_update_383_multiples","done" );

	update_option( 'wpjobster_enable_multiples',          'yes' );
	update_option( 'wpjobster_get_level0_jobmultiples',   3 );
	update_option( 'wpjobster_get_level1_jobmultiples',   5);
	update_option( 'wpjobster_get_level2_jobmultiples',   10);
	update_option( 'wpjobster_get_level3_jobmultiples',   20);
	update_option( 'wpjobster_get_level0_extramultiples', 3);
	update_option( 'wpjobster_get_level1_extramultiples', 5);
	update_option( 'wpjobster_get_level2_extramultiples', 10);
	update_option( 'wpjobster_get_level3_extramultiples', 20);

	update_option( 'wpjobster_subscription_job_multiples_enabled',   'yes' );
	update_option( 'wpjobster_subscription_extra_multiples_enabled', 'yes' );
	update_option( 'wpjobster_subscription_job_multiples_level0',    5);
	update_option( 'wpjobster_subscription_job_multiples_level1',    10);
	update_option( 'wpjobster_subscription_job_multiples_level2',    20);
	update_option( 'wpjobster_subscription_job_multiples_level3',    30);
	update_option( 'wpjobster_subscription_extra_multiples_level0',  5);
	update_option( 'wpjobster_subscription_extra_multiples_level1',  10);
	update_option( 'wpjobster_subscription_extra_multiples_level2',  20);
	update_option( 'wpjobster_subscription_extra_multiples_level3',  30);
}

// ---------- ---------- ---------- ---------- ---------- ----------

if ( get_option( 'wpjobster_update_383_defaults' ) != 'done' ) {
	update_option( 'wpjobster_enable_live_notifications', 'yes' );
	update_option( 'wpjobster_update_383_defaults', 'done' );
}

// ---------- ---------- ---------- ---------- ---------- ----------

if ( get_option( 'wpjobster_update_390_defaults' ) != 'done' ) {
	$default_message = 'Edit this message from Admin > Options';

	if ( ! get_option( 'options_job_title_instructions' )
		|| get_option( 'options_job_title_instructions' ) == $default_message ) {
		update_option( 'options_job_title_instructions', 'This is your job title. Choose it wisely, it is the first piece of information buyers will see.' );
	}
	if ( ! get_option( 'options_job_price_instructions' )
		|| get_option( 'options_job_price_instructions' ) == $default_message ) {
		update_option( 'options_job_price_instructions', 'Choose a price for the basic job. You can add extra services below.' );
	}
	if ( ! get_option( 'options_job_category_instructions' )
		|| get_option( 'options_job_category_instructions' ) == $default_message ) {
		update_option( 'options_job_category_instructions', 'Please select the category and subcategory most suitable for your job.' );
	}
	if ( ! get_option( 'options_job_description_instructions' )
		|| get_option( 'options_job_description_instructions' ) == $default_message ) {
		update_option( 'options_job_description_instructions', 'The description should be as detailed as possible so buyers will be able to understand if this meets their needs.' );
	}
	if ( ! get_option( 'options_job_instructions_instructions' )
		|| get_option( 'options_job_instructions_instructions' ) == $default_message ) {
		update_option( 'options_job_instructions_instructions', 'Here you can tell your buyer what information you need in order to get started. This message will be displayed on the transaction page right after the job purchase.' );
	}
	if ( ! get_option( 'options_job_tags_instructions' )
		|| get_option( 'options_job_tags_instructions' ) == $default_message ) {
		update_option( 'options_job_tags_instructions', 'The tags are some keywords related to your job. Buyers will be able to find your job easier if you choose them properly.' );
	}
	if ( ! get_option( 'options_job_lets_meet_instructions' )
		|| get_option( 'options_job_lets_meet_instructions' ) == $default_message ) {
		update_option( 'options_job_lets_meet_instructions', 'Check this if you need to meet the buyer in order to provide your service.' );
	}
	if ( ! get_option( 'options_job_location_instructions' )
		|| get_option( 'options_job_location_instructions' ) == $default_message ) {
		update_option( 'options_job_location_instructions', 'Here you can fill the location where you provide this service.' );
	}
	if ( ! get_option( 'options_job_distance_instructions' )
		|| get_option( 'options_job_distance_instructions' ) == $default_message ) {
		update_option( 'options_job_distance_instructions', 'Here you can fill the distance that you can travel in order to provide this service.' );
	}
	if ( ! get_option( 'options_job_display_map_instructions' )
		|| get_option( 'options_job_display_map_instructions' ) == $default_message ) {
		update_option( 'options_job_display_map_instructions', 'Check this if you want to display a map with the location on your job page.' );
	}
	if ( ! get_option( 'options_job_delivery_time_instructions' )
		|| get_option( 'options_job_delivery_time_instructions' ) == $default_message ) {
		update_option( 'options_job_delivery_time_instructions', 'Delivery time is your deadline for delivering an order. Be careful when you choose this, because late deliveries can result in cancellations or affect your reputation.' );
	}
	if ( ! get_option( 'options_job_shipping_instructions' )
		|| get_option( 'options_job_shipping_instructions' ) == $default_message ) {
		update_option( 'options_job_shipping_instructions', 'Does this require physical shipping? If you want the buyer to pay for it, please add the shipping cost here.' );
	}
	if ( ! get_option( 'options_job_cover_image_instructions' )
		|| get_option( 'options_job_cover_image_instructions' ) == $default_message ) {
		update_option( 'options_job_cover_image_instructions', 'Sometimes a photo can say more than 1000 words. Please select the best cover image related to your job.' );
	}
	if ( ! get_option( 'options_job_images_instructions' )
		|| get_option( 'options_job_images_instructions' ) == $default_message ) {
		update_option( 'options_job_images_instructions', 'Sometimes a photo can say more than 1000 words. Please select the best photos related to your job.' );
	}
	if ( ! get_option( 'options_job_video_instructions' )
		|| get_option( 'options_job_video_instructions' ) == $default_message ) {
		update_option( 'options_job_video_instructions', 'If you want to describe your job even better, you can add the link to an YouTube or Vimeo video here.' );
	}
	if ( ! get_option( 'options_job_audio_instructions' )
		|| get_option( 'options_job_audio_instructions' ) == $default_message ) {
		update_option( 'options_job_audio_instructions', 'Here you can provide audio samples if your job is related to this.' );
	}
	if ( ! get_option( 'options_job_extra_price_instructions' )
		|| get_option( 'options_job_extra_price_instructions' ) == $default_message ) {
		update_option( 'options_job_extra_price_instructions', 'Choose a price for your additional service.' );
	}
	if ( ! get_option( 'options_job_extra_description_instructions' )
		|| get_option( 'options_job_extra_description_instructions' ) == $default_message ) {
		update_option( 'options_job_extra_description_instructions', 'Describe your additional service in one short line.' );
	}
	if ( ! get_option( 'options_job_extra_multiples_instructions' )
		|| get_option( 'options_job_extra_multiples_instructions' ) == $default_message ) {
		update_option( 'options_job_extra_multiples_instructions', 'Check this box in order to enable multiple quantity purchase for this additional service.' );
	}

	update_option( 'wpjobster_update_390_defaults', 'done' );
}

// ---------- ---------- ---------- ---------- ---------- ----------

// check if the database was updated with subscription default values
$wpjobster_subscription_job_multiples_level0 = get_option( 'wpjobster_subscription_job_multiples_level0' );
if ( empty( $wpjobster_subscription_job_multiples_level0 ) ) {
	update_option( 'wpjobster_subscription_job_multiples_level0', '1' );
}
$wpjobster_subscription_job_multiples_level1 = get_option( 'wpjobster_subscription_job_multiples_level1' );
if ( empty( $wpjobster_subscription_job_multiples_level1 ) ) {
	update_option( 'wpjobster_subscription_job_multiples_level1', '1' );
}
$wpjobster_subscription_job_multiples_level2 = get_option( 'wpjobster_subscription_job_multiples_level2' );
if ( empty( $wpjobster_subscription_job_multiples_level2 ) ) {
	update_option( 'wpjobster_subscription_job_multiples_level2', '1' );
}
$wpjobster_subscription_job_multiples_level3 = get_option( 'wpjobster_subscription_job_multiples_level3' );
if ( empty( $wpjobster_subscription_job_multiples_level3 ) ) {
	update_option( 'wpjobster_subscription_job_multiples_level3', '1' );
}
$wpjobster_subscription_extra_multiples_level0 = get_option( 'wpjobster_subscription_extra_multiples_level0' );
if ( empty( $wpjobster_subscription_extra_multiples_level0 ) ) {
	update_option( 'wpjobster_subscription_extra_multiples_level0', '1' );
}
$wpjobster_subscription_extra_multiples_level1 = get_option( 'wpjobster_subscription_extra_multiples_level1' );
if ( empty( $wpjobster_subscription_extra_multiples_level1 ) ) {
	update_option( 'wpjobster_subscription_extra_multiples_level1', '1' );
}
$wpjobster_subscription_extra_multiples_level2 = get_option( 'wpjobster_subscription_extra_multiples_level2' );
if ( empty( $wpjobster_subscription_extra_multiples_level2 ) ) {
	update_option( 'wpjobster_subscription_extra_multiples_level2', '1' );
}
$wpjobster_subscription_extra_multiples_level3 = get_option( 'wpjobster_subscription_extra_multiples_level3' );
if ( empty( $wpjobster_subscription_extra_multiples_level3 ) ) {
	update_option( 'wpjobster_subscription_extra_multiples_level3', '1' );
}

if ( get_option( 'wpjobster_update_401_defaults' ) != 'done' ) {
	update_option( 'wpjobster_update_401_defaults', 'done' );
	update_option( 'wpjobster_active_job_cutom_offer', 'yes' );
}

if ( get_option( 'wpjobster_update_402_defaults' ) != 'done' ) {
	update_option( 'wpjobster_update_402_defaults', 'done' );

	if ( get_option( 'wpjobster_mandatory_pics_for_jbs' ) == '' ) {
		update_option( 'wpjobster_mandatory_pics_for_jbs', 'yes' );
	}
}

if ( get_option( 'wpjobster_update_403_customextras' ) != 'done' ) {
	update_option( 'wpjobster_update_403_customextras', 'done' );

	update_option( 'wpjobster_enable_custom_extras', 'yes' );
	update_option( 'wpjobster_get_level0_customextrasamount', 500 );
	update_option( 'wpjobster_get_level1_customextrasamount', 1000 );
	update_option( 'wpjobster_get_level2_customextrasamount', 2000 );
	update_option( 'wpjobster_get_level3_customextrasamount', 3000 );

	update_option( 'wpjobster_subscription_custom_extras_enabled', 'yes' );
	update_option( 'wpjobster_subscription_max_customextrasamount_level0', 500 );
	update_option( 'wpjobster_subscription_max_customextrasamount_level1', 1000 );
	update_option( 'wpjobster_subscription_max_customextrasamount_level2', 2000 );
	update_option( 'wpjobster_subscription_max_customextrasamount_level3', 3000 );
}

if ( get_option( 'wpjobster_update_403_defaults' ) != 'done' ) {
	update_option( 'wpjobster_update_403_defaults', 'done' );

	$wpjobster_enable_site_fee = get_option( 'wpjobster_enable_site_fee' );
	$wpjobster_percent_fee_taken = get_option( 'wpjobster_percent_fee_taken' );
	$wpjobster_solid_fee_taken = get_option( 'wpjobster_solid_fee_taken' );

	if ( $wpjobster_enable_site_fee == '' ) {
		if ( is_numeric( $wpjobster_percent_fee_taken ) ) {
			update_option( 'wpjobster_enable_site_fee', 'percent' );
		} elseif ( is_numeric( $wpjobster_solid_fee_taken ) ) {
			update_option( 'wpjobster_enable_site_fee', 'fixed' );
		} else {
			update_option( 'wpjobster_enable_site_fee', 'flexible' );
		}
	}

	update_option( 'wpjobster_enable_custom_offers', 'yes' );
}

if ( get_option( 'wpjobster_update_404_default_instructions' ) != 'done' ) {
	$default_message = 'Edit this message from Admin > Options';

	if ( ! get_option( 'job_extra_days_to_deliver_instructions' )
		|| get_option( 'job_extra_days_to_deliver_instructions' ) == $default_message ) {
		update_option( 'job_extra_days_to_deliver_instructions', 'Delivery time for an extra.' );
	}

	if ( ! get_option( 'job_extra_enable_instructions' )
		|| get_option( 'job_extra_enable_instructions' ) == $default_message ) {
		update_option( 'job_extra_enable_instructions', 'If this is enabled, the extra is visible for buyers.' );
	}

	update_option( 'wpjobster_update_404_default_instructions', 'done' );
}

if ( get_option( 'wpjobster_update_404_defaults' ) != 'done') {
	update_option( 'wpjobster_update_404_defaults', 'done' );

	update_option( 'wpjobster_subscription_level_2_enabled', 'yes' );
	update_option( 'wpjobster_subscription_level_3_enabled', 'yes' );
}

if ( get_option( 'wpjobster_profile_slider_defaults' ) != 'done' ) {
	update_option( 'wpjobster_profile_slider_defaults', 'done' );

	update_option( 'wpjobster_enable_user_profile_portfolio', 'no' );
	update_option( 'wpjobster_profile_default_nr_of_pics', 10 );
	update_option( 'wpjobster_profile_max_img_upload_size', 10 );
	update_option( 'wpjobster_profile_min_img_upload_width', 720 );
	update_option( 'wpjobster_profile_min_img_upload_height', 405 );

	update_option( 'wpjobster_wysiwyg_for_profile', 'yes' );
	update_option( 'wpjobster_enable_jobs_section_on_user_profile', 'yes' );
}

if ( get_option( 'wpjobster_update_410_search_defaults' ) != 'done' ) {
	update_option( 'wpjobster_update_410_search_defaults', 'done' );

	update_option( 'wpjobster_default_advanced_search', 'jobs' );
	update_option( 'wpjobster_enable_jobs_for_advanced_search', 'yes' );
	update_option( 'wpjobster_enable_requests_for_advanced_search', 'no' );
	update_option( 'wpjobster_enable_users_for_advanced_search', 'yes' );
}

if ( get_option( 'wpjobster_update_411_search_defaults' ) != 'done' ) {
	update_option( 'wpjobster_update_411_search_defaults', 'done' );

	update_option( 'wpjobster_enable_search_user_location', 'yes' );
}

if ( get_option( 'wpjobster_sales_reports_update' ) != 'done' ) {
	update_option( 'wpjobster_sales_reports_update', 'done' );

	try {
		$wpdb->query(
			"
			UPDATE {$wpdb->prefix}job_orders wjo
			SET site_fees = (
				SELECT amount FROM {$wpdb->prefix}job_payment_transactions wjpt
				WHERE rid=6 AND wjpt.oid = wjo.id
			);
			"
		);
	} catch ( Exception $e ) { return false; }

	try {
		$wpdb->query(
			"
			UPDATE {$wpdb->prefix}job_orders wjo
			SET shipping = (
				SELECT wpm.meta_value FROM {$wpdb->prefix}postmeta wpm
				WHERE wpm.post_id = wjo.pid AND wpm.meta_key='shipping'
			);
			"
		);
	} catch ( Exception $e ) { return false; }
}

if ( get_option( 'wpjobster_update_412_max_delivery' ) != 'done' ) {
	update_option( 'wpjobster_update_412_max_delivery', 'done' );

	update_option( 'wpjobster_job_max_delivery_days', 30 );
	update_option( 'wpjobster_request_max_delivery_days', 30 );
}

if( get_option( 'wpjobster_rename_pm_associate_columns' ) != 'done' ){
	update_option( 'wpjobster_rename_pm_associate_columns', 'done' );

	$job_pm_pid_exists = $wpdb->get_results(
		"
		SELECT COLUMN_NAME
		FROM INFORMATION_SCHEMA.COLUMNS
		WHERE table_name = '{$wpdb->prefix}job_pm'
		AND column_name = 'pid'
		"
	);

	if ( ! empty( $job_pm_pid_exists ) ) {
		$wpdb->query( "ALTER TABLE {$wpdb->prefix}job_pm DROP associate_job_id" );
		$wpdb->query( "ALTER TABLE {$wpdb->prefix}job_pm CHANGE pid associate_job_id INT(11) NOT NULL DEFAULT '0';" );
	}

	$job_pm_associate_post_id_exists = $wpdb->get_results(
		"
		SELECT COLUMN_NAME
		FROM INFORMATION_SCHEMA.COLUMNS
		WHERE table_name = '{$wpdb->prefix}job_pm'
		AND column_name = 'associate_post_id'
		"
	);

	if ( ! empty( $job_pm_associate_post_id_exists ) ) {
		$wpdb->query( "ALTER TABLE {$wpdb->prefix}job_pm DROP associate_request_id" );
		$wpdb->query( "ALTER TABLE {$wpdb->prefix}job_pm CHANGE associate_post_id associate_request_id INT(11) NOT NULL DEFAULT '0';" );
	}
}

if( get_option( 'wpjobster_set_page_templates' ) != 'done' ){

	update_option( 'wpjobster_set_page_templates', 'done' );

	$all_page_templates = array(
		'blog-posts',
		'page-email-settings',
		'page-full-width',
		'page-homepage-public',
		'page-homepage-user',
		'page-how-it-works',
		'page-levels',
		'page-post-edit-job',
		'page-post-new-job',
		'page-search-by-user',
		'page-support',
		'page-vc-default',
		'template-meta-data-filter',
		'wpjobster-special-page-template'
	);

	foreach ($all_page_templates as $template) {
		$pages = get_posts(
			array(
				'post_type' => 'page',
				'fields' => 'ids',
				'nopaging' => true,
				'meta_key' => '_wp_page_template',
				'meta_value' => $template . '.php'
			)
		);

		foreach ($pages as $page) {
			update_post_meta( $page, '_wp_page_template', 'page-templates/' . $template . '.php' );
		}
	}
}


if( get_option( 'wpjobster_set_footer_content' ) != 'done' ){
	update_option( 'wpjobster_set_footer_content', 'done' );

	$files = array(
		get_template_directory() . '/assets/images/carts/card-visa.png',
		get_template_directory() . '/assets/images/carts/card-mastercard.png',
		get_template_directory() . '/assets/images/carts/card-americanexpress.png',
		get_template_directory() . '/assets/images/carts/card-discover.png',
		get_template_directory() . '/assets/images/carts/card-jcb.png',
		get_template_directory() . '/assets/images/carts/card-dinersclub.png',
		get_template_directory() . '/assets/images/carts/card-paypal.png'
	);
	foreach ($files as $file) {

		// Insert images to media
		$parent_post_id = 0;
		$filename = basename($file);
		$upload_file = wp_upload_bits($filename, null, file_get_contents($file));
		if (!$upload_file['error']) {
			$wp_filetype = wp_check_filetype($filename, null );
			$attachment = array(
				'post_mime_type' => $wp_filetype['type'],
				'post_parent' => $parent_post_id,
				'post_title' => preg_replace('/\.[^.]+$/', '', $filename),
				'post_content' => '',
				'post_status' => 'inherit'
			);
			$attachment_id = wp_insert_attachment( $attachment, $upload_file['file'], $parent_post_id );
			if (!is_wp_error($attachment_id)) {
				require_once(ABSPATH . "wp-admin" . '/includes/image.php');
				$attachment_data = wp_generate_attachment_metadata( $attachment_id, $upload_file['file'] );
				wp_update_attachment_metadata( $attachment_id,  $attachment_data );
			}
		}

		$arr[] = array( 'link_url' => $attachment_id );
	}
	set_theme_mod( 'image_demo', $arr );

	set_theme_mod( 'copyright_text', '&copy; ' . date( 'Y' ) . ' <a href="http://wpjobster.com">wpjobster.com</a>' );
}

if ( get_option( 'wpjobster_set_copyright_text' ) != 'done' ) {

	update_option( 'wpjobster_set_copyright_text', 'done' );

	$old_copyright_text = get_option( 'wpjobster_footer_copyright_text' );
	$current_copyright_text = get_theme_mod( 'copyright_text' );

	if ( $old_copyright_text ) {
		if ( preg_match( '/wpjobster.com/', $current_copyright_text ) || ! $current_copyright_text ) {
			set_theme_mod( 'copyright_text', $old_copyright_text );
		}
	}
}

if ( get_option( 'wpjobster_set_user_account_menu' ) != 'done' ) {

	update_option( 'wpjobster_set_user_account_menu', 'done' );

	$menu_name = 'Header User Account Menu';
	$menu_exists = wp_get_nav_menu_object( $menu_name );

	if ( ! $menu_exists ) {
		$menu_id = wp_create_nav_menu( $menu_name );

		$pages = array(
			get_option( 'wpjobster_my_account_page_id', false ),
			get_option( 'wpjobster_my_account_shopping_page_id', false ),
			get_option( 'wpjobster_my_account_sales_page_id', false ),
			get_option( 'wpjobster_my_account_payments_page_id', false ),
			get_option( 'wpjobster_my_account_priv_mess_page_id', false ),
			get_option( 'wpjobster_my_account_personal_info_page_id', false ),
			get_option( 'wpjobster_my_account_reviews_page_id', false )
		);

		if ( $pages ) {
			foreach ( $pages as $page ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page,
						'menu-item-type' => 'post_type',
						'menu-item-object' => 'page',
						'menu-item-title' => get_the_title( $page ),
						'menu-item-status' => 'publish'
					)
				);
			}
		}
	}

	$menu_header = get_term_by( 'name', 'Header User Account Menu', 'nav_menu' );
	$menu_header_id = $menu_header->term_id;
	$locations = get_theme_mod( 'nav_menu_locations' );
	$locations['wpjobster_header_user_account_menu'] = $menu_header_id;
	set_theme_mod( 'nav_menu_locations', $locations );
}

if ( get_option( 'wpjobster_set_footer_widgets_content_504' ) != 'done' ) {

	if ( get_option( 'wpjobster_democontent_import' ) == 'done' ) {

		update_option( 'wpjobster_set_footer_widgets_content_504', 'done' );

		if ( ! is_active_sidebar( 'footer-widget-1' )
			&& ! is_active_sidebar( 'footer-widget-1-logged-in' )
			&& ! is_active_sidebar( 'footer-widget-2' )
			&& ! is_active_sidebar( 'footer-widget-2-logged-in' )
			&& ! is_active_sidebar( 'footer-widget-3' )
			&& ! is_active_sidebar( 'footer-widget-3-logged-in' )
			&& ! is_active_sidebar( 'footer-widget-4' )
			&& ! is_active_sidebar( 'footer-widget-4-logged-in' )
			&& ! is_active_sidebar( 'footer-widget-5' )
			&& ! is_active_sidebar( 'footer-widget-5-logged-in' )
		) {
			// run the widget update code

			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'User Menu', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c1_footer_menu' ) ), 'footer-widget-1' );
			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'User Menu', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c1_footer_menu_logged_in' ) ), 'footer-widget-1-logged-in' );

			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Requests', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c2_footer_menu' ) ), 'footer-widget-2' );
			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Requests', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c2_footer_menu_logged_in' ) ), 'footer-widget-2-logged-in' );

			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Useful Links', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c3_footer_useful_links' ) ), 'footer-widget-3' );
			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Useful Links', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c3_footer_useful_links' ) ), 'footer-widget-3-logged-in' );

			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Legal', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c4_footer_useful_links' ) ), 'footer-widget-4' );
			wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Legal', 'nav_menu' => wpjobster_get_menu_id_by_location( 'wpjobster_c4_footer_useful_links' ) ), 'footer-widget-4-logged-in' );

			wpjobster_insert_widget_in_sidebar( 'text', array( 'title' => 'Categories', 'text' => "[wpj_list_categories taxonomy=job_cat show_childs=0 hide_empty=0]" ), 'footer-widget-5' );
			wpjobster_insert_widget_in_sidebar( 'text', array( 'title' => 'Categories', 'text' => "[wpj_list_categories taxonomy=job_cat show_childs=0 hide_empty=0]" ), 'footer-widget-5-logged-in' );
		}
	}
}

if( get_option( 'wpjobster_set_allowed_mime_types' ) != 'done' ){

	update_option( 'wpjobster_set_allowed_mime_types', 'done' );

	$default_allowed = array('zip', 'rar', 'jpg', 'png', 'psd', 'gif', 'jpeg', 'ai', 'cdr', 'eps', 'txt', 'pdf', 'doc', 'docx', 'ppt', 'pptx', 'pps', 'ppsx', 'odt', 'xls', 'xlsx', 'mp3', 'm4a', 'ogg', 'wav', 'mp4', 'm4v', 'mov', 'wmv', 'avi', 'mpg', 'ogv', 'dwg', 'svg' );

	update_option( 'wpjobster_allowed_mime_types', $default_allowed );
}

if ( get_option( 'wpjobster_update_site_identity' ) != 'done' ) {
	update_option( 'wpjobster_update_site_identity', 'done' );

	$wpjobster_logo_url = get_option( 'wpjobster_logo_url' );
	if ( $wpjobster_logo_url ) {
		set_theme_mod( 'site_logo', $wpjobster_logo_url );
	}

	$wpjobster_favicon_url = get_option( 'wpjobster_favicon_url' );
	if ( $wpjobster_favicon_url ) {
		set_theme_mod( 'site_icon', $wpjobster_favicon_url );
	}
}

if ( get_option( 'wpjobster_withdrawal_update' ) != 'done' ) {
	update_option( 'wpjobster_withdrawal_update', 'done' );

	try {
		$wpdb->query( "ALTER TABLE {$wpdb->prefix}job_withdraw ADD activation_key VARCHAR(500) NULL AFTER payedamount;" );
	} catch ( Exception $e ) { return false; }
}

if ( get_option( 'wpjobster_510_basic_options' ) != 'done' ) {
	update_option( 'wpjobster_510_basic_options', 'done' );

	update_option( 'wpjobster_packages_enabled' , 'no' );
	update_option( 'wpjobster_en_user_online_status' , 'yes_with_icon' );
	update_option( 'wpjobster_enable_last_seen' , 'no' );
	update_option( 'wpjobster_enable_user_reCaptcha' , 'no' );
}

if ( get_option( 'wpjobster_520_delivery_options' ) != 'done' ) {
	update_option( 'wpjobster_520_delivery_options', 'done' );
	update_option( 'wpjobster_enable_delivery_time', 'yes' );
}

if ( get_option( 'wpjobster_530_package_amount_options' ) != 'done' ) {
	update_option( 'wpjobster_530_package_amount_options', 'done' );
	update_option( 'wpjobster_min_package_amount', '5' );
	update_option( 'wpjobster_max_package_amount', '1000' );
}

if ( get_option( 'wpjobster_524_user_profile' ) != 'done' ) {
	update_option( 'wpjobster_524_user_profile', 'done' );

	$page = get_page_by_path( 'user-profile-new-version' );
	if ( $page ) {
		if ( $page->post_name == 'user-profile-new-version' ) {
			$new_args = array(
				'ID'           => $page->ID,
				'post_title'   => 'User Profile v2',
				'post_name'    => 'user',
			);
			wp_update_post( $new_args );
		}
	}
}

if ( get_option( 'wpjobster_524_personal_info' ) != 'done' ) {
	update_option( 'wpjobster_524_personal_info', 'done' );

	$page = get_post( get_option( 'wpjobster_my_account_personal_info_page_id' ) );
	if ( $page ) {
		if ( $page->post_name == 'personal-information' &&
			$page->post_title == 'Personal Information' ) {
			$new_args = array(
				'ID'           => $page->ID,
				'post_title'   => 'Settings',
				'post_name'    => 'settings',
			);
			wp_update_post( $new_args );
		}
	}
}

if ( get_option( 'wpjobster_534_site_width' ) != 'done' ) {
	update_option( 'wpjobster_534_site_width', 'done' );

	if ( get_theme_mod( 'site_width_value' ) == '' ) {
		set_theme_mod( 'site_width_value', '1170' );
	}

	if ( get_theme_mod( 'site_width_type' ) == '' ) {
		set_theme_mod( 'site_width_type', 'px' );
	}
}

if ( get_option( 'wpjobster_530_post_new_job_fields' ) != 'done' ) {
	update_option( 'wpjobster_530_post_new_job_fields', 'done' );

	// get new post/edit job page
	$wpjobster_post_new_page_id = get_option( 'wpjobster_post_new_page_id' );
	if ( get_page_template_slug( $wpjobster_post_new_page_id ) != 'page-templates/page-post-edit-job.php' ) {
		$wpjobster_post_new_page = get_page_by_path( 'post-new-or-edit-job' );
		$wpjobster_post_new_page_id = $wpjobster_post_new_page->ID;
	}

	// get new post/edit job page ACF fields
	$job_fields_array = get_field_object( 'job_fields', $wpjobster_post_new_page_id );


	$i = 1; // ACF rows start with 1 instead of 0

	// loop through the ACF fields and update
	foreach ( $job_fields_array['value'] as $subarray ) {

		// update title placeholder, width and instructions
		if ( isset( $subarray['acf_fc_layout']) && $subarray['acf_fc_layout'] == 'job_title' ) {
			if ( $subarray['placeholder'] == '' ) {
				$subarray['placeholder'] = 'Please enter your job title here';
			}

			if ( $subarray['width'] == 'half' ) {
				$subarray['width'] = 'full';
			}

			if ( strpos( $subarray['instructions'], 'This is your job title. Choose it wisely, it is the first piece of information buyers will see.' ) !== false ) {

				$instructions_image = get_template_directory() . '/assets/images/job/job_title_tooltip.png';
				$instructions_image_id = wpj_handle_demo_image_upload( $instructions_image, $wpjobster_post_new_page_id );
				$instructions_image_url = wpj_get_attachment_image_url( $instructions_image_id );

				$subarray['instructions'] = '<p>This is your job title. Choose it wisely, it is the first piece of information buyers will see.</p><p><img class="alignnone size-medium wp-image-299" src="' . $instructions_image_url . '" alt="" width="300" height="auto"></p>';
			}

			update_row( 'job_fields', $i, $subarray, $wpjobster_post_new_page_id );
		}


		// update price width
		if ( isset( $subarray['acf_fc_layout']) && $subarray['acf_fc_layout'] == 'job_price' ) {
			if ( $subarray['width'] == 'half' ) {
				$subarray['width'] = 'half-solo';
			}

			update_row( 'job_fields', $i, $subarray, $wpjobster_post_new_page_id );
		}


		// update description placeholder
		if ( isset( $subarray['acf_fc_layout'] ) && $subarray['acf_fc_layout'] == 'job_description' ) {
			if ( $subarray['placeholder'] == '' || $subarray['placeholder'] == 'Description Placeholder' ) {
				$subarray['placeholder'] = 'Include the most important information about your job here';
				update_row( 'job_fields', $i, $subarray, $wpjobster_post_new_page_id );
			}
		}


		// update tab bg image, icon and description
		if ( isset( $subarray['acf_fc_layout'] ) && $subarray['acf_fc_layout'] == 'job_tab_separator' ) {
			if ( $subarray['label'] == 'Job Information' ) {
				$subarray['description'] = 'Start defining your job';
				$subarray['icon'] = 'list alternate outline';

				$tab_image = get_template_directory() . '/assets/images/job/job_info.png';
				$subarray['image'] = wpj_handle_demo_image_upload( $tab_image, $wpjobster_post_new_page_id );

			} elseif ( $subarray['label'] == 'Buyer Information' ) {
				$subarray['description'] = 'Define other requirements';
				$subarray['icon'] = 'address card outline';

				$tab_image = get_template_directory() . '/assets/images/job/job_buyer_info.png';
				$subarray['image'] = wpj_handle_demo_image_upload( $tab_image, $wpjobster_post_new_page_id );

			} elseif ( $subarray['label'] == 'Media' ) {
				$subarray['description'] = 'Make a great first impression';
				$subarray['icon'] = 'image outline';

				$tab_image = get_template_directory() . '/assets/images/job/job_media.png';
				$subarray['image'] = wpj_handle_demo_image_upload( $tab_image, $wpjobster_post_new_page_id );

			} elseif ( $subarray['label'] == 'Extra' ) {
				$subarray['description'] = 'Add more variations to your job';
				$subarray['icon'] = 'plus square outline';

			}

			update_row( 'job_fields', $i, $subarray, $wpjobster_post_new_page_id );
		}

		$i++;
	}
}

if ( get_option( 'wpjobster_531_packages_price' ) != 'done' ) {
	update_option( 'wpjobster_531_packages_price', 'done' );

	$posts = get_posts(
		array(
			'post_type' => 'job',
			'posts_per_page' => -1,
			'meta_query' => array(
				array(
					'key'   => 'job_packages',
					'value' => 'yes'
				)
			)
		)
	);

	if ( $posts ) {
		foreach ( $posts as $key => $post ) {
			$pid = $post->ID;
			$package_price = get_post_meta( $pid, 'package_price', true );
			foreach ( $package_price as $key => $pck_value ) { $key++;
				update_post_meta( $pid, 'package_price_' . $key, $pck_value );
			}
		}
	}
}

if ( get_option( 'wpjobster_cod_enable_default_off' ) != 'done' ) {
	update_option( 'wpjobster_cod_enable_default_off', 'done' );

	update_option( 'wpjobster_cod_enable_topup', 'no' );
	update_option( 'wpjobster_cod_enable_featured', 'no' );
	update_option( 'wpjobster_cod_enable_tips', 'no' );
	update_option( 'wpjobster_cod_enable_subscription', 'no' );
	update_option( 'wpjobster_cod_enable_custom_extra', 'no' );
}

if ( get_option( 'wpjobster_531_cod_disable' ) != 'done' ) {
	update_option( 'wpjobster_531_cod_disable', 'done' );

	$cod_gateway = get_option( 'wpjobster_cod_enable' );
	if ( ! $cod_gateway ) {
		update_option( 'wpjobster_cod_enable', 'no' );
	}
}

if ( get_option( 'wpjobster_531_price_limits' ) != 'done' ) {
	update_option( 'wpjobster_531_price_limits', 'done' );

	// Job min amount
	$job_min_amount = get_option( 'wpjobster_min_job_amount' ) ? get_option( 'wpjobster_min_job_amount' ) : 0;
	update_option( 'wpjobster_get_level0_min_amount', $job_min_amount );
	update_option( 'wpjobster_get_level1_min_amount', $job_min_amount );
	update_option( 'wpjobster_get_level2_min_amount', $job_min_amount );
	update_option( 'wpjobster_get_level3_min_amount', $job_min_amount );

	// Job max amount
	$wpjobster_level0_max = get_option( 'wpjobster_level0_max' ) ? get_option( 'wpjobster_level0_max' ) : 5000;
	update_option( 'wpjobster_get_level0_max_amount', $wpjobster_level0_max );

	$wpjobster_level1_max = get_option( 'wpjobster_level1_max' ) ? get_option( 'wpjobster_level1_max' ) : 5000;
	update_option( 'wpjobster_get_level1_max_amount', $wpjobster_level1_max );

	$wpjobster_level2_max = get_option( 'wpjobster_level2_max' ) ? get_option( 'wpjobster_level2_max' ) : 5000;
	update_option( 'wpjobster_get_level2_max_amount', $wpjobster_level2_max );

	$wpjobster_level3_max = get_option( 'wpjobster_level3_max' ) ? get_option( 'wpjobster_level3_max' ) : 5000;
	update_option( 'wpjobster_get_level3_max_amount', $wpjobster_level3_max );

	// Job min extra amount
	$wpjobster_level0_min_extra = get_option( 'wpjobster_level0_min_extra' ) ? get_option( 'wpjobster_level0_min_extra' ) : 1;
	update_option( 'wpjobster_get_level0_min_extra_amount', $wpjobster_level0_min_extra );

	$wpjobster_level1_min_extra = get_option( 'wpjobster_level1_min_extra' ) ? get_option( 'wpjobster_level1_min_extra' ) : 1;
	update_option( 'wpjobster_get_level1_min_extra_amount', $wpjobster_level1_min_extra );

	$wpjobster_level2_min_extra = get_option( 'wpjobster_level2_min_extra' ) ? get_option( 'wpjobster_level2_min_extra' ) : 1;
	update_option( 'wpjobster_get_level2_min_extra_amount', $wpjobster_level2_min_extra );

	$wpjobster_level3_min_extra = get_option( 'wpjobster_level3_min_extra' ) ? get_option( 'wpjobster_level3_min_extra' ) : 1;
	update_option( 'wpjobster_get_level3_min_extra_amount', $wpjobster_level3_min_extra );

	// Job max extra amount
	$wpjobster_level0_max_extra = get_option( 'wpjobster_level0_max_extra' ) ? get_option( 'wpjobster_level0_max_extra' ) : 5000;
	update_option( 'wpjobster_get_level0_max_extra_amount', $wpjobster_level0_max_extra );

	$wpjobster_level1_max_extra = get_option( 'wpjobster_level1_max_extra' ) ? get_option( 'wpjobster_level1_max_extra' ) : 5000;
	update_option( 'wpjobster_get_level1_max_extra_amount', $wpjobster_level1_max_extra );

	$wpjobster_level2_max_extra = get_option( 'wpjobster_level2_max_extra' ) ? get_option( 'wpjobster_level2_max_extra' ) : 5000;
	update_option( 'wpjobster_get_level2_max_extra_amount', $wpjobster_level2_max_extra );

	$wpjobster_level3_max_extra = get_option( 'wpjobster_level3_max_extra' ) ? get_option( 'wpjobster_level3_max_extra' ) : 5000;
	update_option( 'wpjobster_get_level3_max_extra_amount', $wpjobster_level3_max_extra );
}

if ( get_option( 'wpjobster_532_request_location' ) != 'done' ) {
	update_option( 'wpjobster_532_request_location', 'done' );

	update_option( 'wpjobster_request_pick_up_location' , 'no' );
	update_option( 'wpjobster_request_pick_up_location_display_condition' , 'never' );

	update_option( 'wpjobster_request_drop_off_location' , 'no' );
	update_option( 'wpjobster_request_drop_off_location_display_condition', 'never' );
}

if ( get_option( 'wpjobster_533_acf_qtranslate' ) != 'done' ) {
	update_option( 'wpjobster_533_acf_qtranslate', 'done' );

	$options = get_option('acf_qtranslate');
	$options['translate_standard_field_types'] = 1;
	update_option( 'acf_qtranslate', $options );
}

if ( get_option( 'wpjobster_534_request_page_builder_content' ) != 'done' ) {
	update_option( 'wpjobster_534_request_page_builder_content', 'done' );

	$RequestsNewEdit = new WPJRequestsNewEdit();
	$post_id = $RequestsNewEdit->autoImport();
	$RequestsNewEdit->firstRun( $post_id );
}

if ( get_option( 'wpjobster_534_max_file_uploads_default' ) != 'done' ) {
	update_option( 'wpjobster_534_max_file_uploads_default', 'done' );

	update_option( 'wpjobster_max_message_attachments_upload_size', 50 );
}

if ( get_option( 'wpjobster_534_request_title_limits' ) != 'done' ) {
	update_option( 'wpjobster_534_request_title_limits', 'done' );

	update_option( 'wpjobster_characters_request_title_min', 5 );
	update_option( 'wpjobster_characters_request_title_max', 80 );
}

if ( get_option( 'wpjobster_535_bank_transfer_disable' ) != 'done' ) {
	update_option( 'wpjobster_535_bank_transfer_disable', 'done' );

	$banktransfer_gateway = get_option( 'wpjobster_banktransfer_enable' );
	if ( ! $banktransfer_gateway ) {
		update_option( 'wpjobster_banktransfer_enable', 'no' );
	}

	$banktransfer_topup = get_option( 'wpjobster_banktransfer_enable_topup' );
	if ( ! $banktransfer_topup ) {
		update_option( 'wpjobster_banktransfer_enable_topup', 'no' );
	}

	$banktransfer_featured = get_option( 'wpjobster_banktransfer_enable_featured' );
	if ( ! $banktransfer_featured ) {
		update_option( 'wpjobster_banktransfer_enable_featured', 'no' );
	}

	$banktransfer_tips = get_option( 'wpjobster_banktransfer_enable_tips' );
	if ( ! $banktransfer_tips ) {
		update_option( 'wpjobster_banktransfer_enable_tips', 'no' );
	}

	$banktransfer_subscription = get_option( 'wpjobster_banktransfer_enable_subscription' );
	if ( ! $banktransfer_subscription ) {
		update_option( 'wpjobster_banktransfer_enable_subscription', 'no' );
	}

	$banktransfer_ce = get_option( 'wpjobster_banktransfer_enable_custom_extra' );
	if ( ! $banktransfer_ce ) {
		update_option( 'wpjobster_banktransfer_enable_custom_extra', 'no' );
	}
}

if ( get_option( 'wpjobster_535_video_link' ) != 'done' ) {
	update_option( 'wpjobster_535_video_link', 'done' );

	$posts = get_posts(
		array(
			'post_type' => 'job',
			'posts_per_page' => -1,
		)
	);

	if ( $posts ) {
		foreach ( $posts as $key => $post ) {
			if ( get_post_meta( $post->ID, 'youtube_link1', true ) ) {
				update_post_meta( $post->ID, 'video_link', array( get_post_meta( $post->ID, 'youtube_link1', true ) ) );
			} else {
				update_post_meta( $post->ID, 'video_link', array() );
			}
		}
	}
}

if ( get_option( 'wpjobster_539_page_builders' ) != 'done' ) {
	update_option( 'wpjobster_539_page_builders', 'done' );

	if ( get_page_template_slug( get_option( 'wpjobster_post_new_page_id' ) ) != 'page-templates/page-post-edit-job.php' ) {
		$job_page = wpj_get_pages_by_template( 'page-templates/page-post-edit-job.php' );
		if ( $job_page && isset( $job_page[0]->ID ) ) {
			update_option( 'wpjobster_post_new_page_id', $job_page[0]->ID );
		}
	}

	if ( get_page_template_slug( get_option( 'wpjobster_new_request_page_id' ) ) != 'page-templates/page-post-edit-request.php' ) {
		$request_page = wpj_get_pages_by_template( 'page-templates/page-post-edit-request.php' );
		if ( $request_page && isset( $request_page[0]->ID ) ) {
			update_option( 'wpjobster_new_request_page_id', $request_page[0]->ID );
		}
	}

	if ( get_page_template_slug( get_option( 'wpjobster_user_profile_page_id' ) ) != 'page-templates/page-user-profile.php' ) {
		$user_page = wpj_get_pages_by_template( 'page-templates/page-user-profile.php' );
		if ( $user_page && isset( $user_page[0]->ID ) ) {
			update_option( 'wpjobster_user_profile_page_id', $user_page[0]->ID );
		}
	}
}

if ( get_option( 'wpjobster_540_paypal_disable' ) != 'done' ) {
	update_option( 'wpjobster_540_paypal_disable', 'done' );

	$paypal_gateway = get_option( 'wpjobster_paypal_enable' );
	if ( ! $paypal_gateway ) {
		update_option( 'wpjobster_paypal_enable', 'no' );
	}

	$paypal_job_purchase = get_option( 'wpjobster_paypal_enable_job_purchase' );
	if ( ! $paypal_job_purchase ) {
		update_option( 'wpjobster_paypal_enable_job_purchase', 'no' );
	}

	$paypal_topup = get_option( 'wpjobster_paypal_enable_topup' );
	if ( ! $paypal_topup ) {
		update_option( 'wpjobster_paypal_enable_topup', 'no' );
	}

	$paypal_featured = get_option( 'wpjobster_paypal_enable_featured' );
	if ( ! $paypal_featured ) {
		update_option( 'wpjobster_paypal_enable_featured', 'no' );
	}

	$paypal_tips = get_option( 'wpjobster_paypal_enable_tips' );
	if ( ! $paypal_tips ) {
		update_option( 'wpjobster_paypal_enable_tips', 'no' );
	}

	$paypal_subscription = get_option( 'wpjobster_paypal_enable_subscription' );
	if ( ! $paypal_subscription ) {
		update_option( 'wpjobster_paypal_enable_subscription', 'no' );
	}

	$paypal_ce = get_option( 'wpjobster_paypal_enable_custom_extra' );
	if ( ! $paypal_ce ) {
		update_option( 'wpjobster_paypal_enable_custom_extra', 'no' );
	}

	$paypal_withdrawal = get_option( 'wpjobster_paypal_enable_withdraw' );
	if ( ! $paypal_withdrawal ) {
		update_option( 'wpjobster_paypal_enable_withdraw', 'no' );
	}
}

if ( get_option( 'wpjobster_540_logo_spacing' ) != 'done' ) {
	update_option( 'wpjobster_540_logo_spacing', 'done' );

	set_theme_mod( 'logo_spacing', array(
		'top'    => '10px',
		'bottom' => '10px',
		'left'   => '0px',
		'right'  => '0px',
	) );
}

if ( get_option( 'wpjobster_set_footer_social_media_content_541' ) != 'done' ) {

	if ( get_option( 'wpjobster_democontent_import' ) == 'done' ) {

		update_option( 'wpjobster_set_footer_social_media_content_541', 'done' );

		// Create new menu for social media
		$menu_name = 'Social Media Menu';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );
		} else {
			$menu_id = $menu_exists->term_id;
		}

		// Add social items to created menu
		$existing_social = wp_get_nav_menu_items( 'C5 Footer Social' );
		if ( $existing_social ) {
			foreach ( $existing_social as $key => $value ) {
				$item_id = wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'  => $value->post_title,
					'menu-item-url'    => $value->url,
					'menu-item-status' => $value->post_status,
					'menu-item-type'   => $value->type,
				) );

				$menu_icon = get_post_meta( $value->ID, 'menu-icons', true );

				update_post_meta( $item_id, 'menu-icons', $menu_icon );
			}
		}

		// Update the widget with created menu
		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Follow us on:', 'nav_menu' => $menu_id ), 'social-media-widgets-area' );
	}

}

if ( get_option( 'wpjobster_user_level_subscription_values_542' ) != 'done' ) {

	// Level
	update_option( 'wpjobster_enable_extra_multiples', wpj_option_has_value( 'wpjobster_enable_extra_multiples', 'yes' ) );
	update_option( 'wpjobster_enable_video_multiples', wpj_option_has_value( 'wpjobster_enable_video_multiples', 'yes' ) );

	update_option( 'wpjobster_enable_min_job_amount', wpj_option_has_value( 'wpjobster_enable_min_job_amount', 'yes' ) );
	update_option( 'wpjobster_enable_max_job_amount', wpj_option_has_value( 'wpjobster_enable_max_job_amount', 'yes' ) );

	update_option( 'wpjobster_enable_min_extra_amount', wpj_option_has_value( 'wpjobster_enable_min_extra_amount', 'yes' ) );
	update_option( 'wpjobster_enable_max_extra_amount', wpj_option_has_value( 'wpjobster_enable_max_extra_amount', 'yes' ) );

	update_option( 'wpjobster_enable_min_custom_extras', wpj_option_has_value( 'wpjobster_enable_min_custom_extras', 'yes' ) );
	update_option( 'wpjobster_enable_max_custom_extras', wpj_option_has_value( 'wpjobster_enable_max_custom_extras', 'yes' ) );

	update_option( 'wpjobster_get_level0_min_customextrasamount', wpj_option_has_value( 'wpjobster_get_level0_min_customextrasamount', '0' ) );
	update_option( 'wpjobster_get_level1_min_customextrasamount', wpj_option_has_value( 'wpjobster_get_level1_min_customextrasamount', '0' ) );
	update_option( 'wpjobster_get_level2_min_customextrasamount', wpj_option_has_value( 'wpjobster_get_level2_min_customextrasamount', '0' ) );
	update_option( 'wpjobster_get_level3_min_customextrasamount', wpj_option_has_value( 'wpjobster_get_level3_min_customextrasamount', '0' ) );

	// Subscription
	update_option( 'wpjobster_subscription_noof_extras_enabled', wpj_option_has_value( 'wpjobster_subscription_noof_extras_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_noof_extras_level0', wpj_option_has_value( 'wpjobster_subscription_noof_extras_level0', '3' ) );
	update_option( 'wpjobster_subscription_noof_extras_level1', wpj_option_has_value( 'wpjobster_subscription_noof_extras_level1', '3' ) );
	update_option( 'wpjobster_subscription_noof_extras_level2', wpj_option_has_value( 'wpjobster_subscription_noof_extras_level2', '3' ) );
	update_option( 'wpjobster_subscription_noof_extras_level3', wpj_option_has_value( 'wpjobster_subscription_noof_extras_level3', '3' ) );

	update_option( 'wpjobster_subscription_ex_fast_delivery_enabled', wpj_option_has_value( 'wpjobster_subscription_ex_fast_delivery_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_additional_revision_enabled', wpj_option_has_value( 'wpjobster_subscription_additional_revision_enabled', 'yes' ) );

	// Video
	update_option( 'wpjobster_subscription_video_multiples_enabled', wpj_option_has_value( 'wpjobster_subscription_video_multiples_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_video_multiples_level0', wpj_option_has_value( 'wpjobster_subscription_video_multiples_level0', '1' ) );
	update_option( 'wpjobster_subscription_video_multiples_level1', wpj_option_has_value( 'wpjobster_subscription_video_multiples_level1', '1' ) );
	update_option( 'wpjobster_subscription_video_multiples_level2', wpj_option_has_value( 'wpjobster_subscription_video_multiples_level2', '1' ) );
	update_option( 'wpjobster_subscription_video_multiples_level3', wpj_option_has_value( 'wpjobster_subscription_video_multiples_level3', '1' ) );

	// Min job price
	update_option( 'wpjobster_subscription_min_job_price_enabled', wpj_option_has_value( 'wpjobster_subscription_min_job_price_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_min_job_price_level0', wpj_option_has_value( 'wpjobster_subscription_min_job_price_level0', '0' ) );
	update_option( 'wpjobster_subscription_min_job_price_level1', wpj_option_has_value( 'wpjobster_subscription_min_job_price_level1', '0' ) );
	update_option( 'wpjobster_subscription_min_job_price_level2', wpj_option_has_value( 'wpjobster_subscription_min_job_price_level2', '0' ) );
	update_option( 'wpjobster_subscription_min_job_price_level3', wpj_option_has_value( 'wpjobster_subscription_min_job_price_level3', '0' ) );

	// Max job price
	update_option( 'wpjobster_subscription_max_job_price_enabled', wpj_option_has_value( 'wpjobster_subscription_max_job_price_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_max_job_price_level0', wpj_option_has_value( 'wpjobster_subscription_max_job_price_level0', '5000' ) );
	update_option( 'wpjobster_subscription_max_job_price_level1', wpj_option_has_value( 'wpjobster_subscription_max_job_price_level1', '5000' ) );
	update_option( 'wpjobster_subscription_max_job_price_level2', wpj_option_has_value( 'wpjobster_subscription_max_job_price_level2', '5000' ) );
	update_option( 'wpjobster_subscription_max_job_price_level3', wpj_option_has_value( 'wpjobster_subscription_max_job_price_level3', '5000' ) );

	// Min extra price
	update_option( 'wpjobster_subscription_min_extra_price_enabled', wpj_option_has_value( 'wpjobster_subscription_min_extra_price_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_min_extra_price_level0', wpj_option_has_value( 'wpjobster_subscription_min_extra_price_level0', '0' ) );
	update_option( 'wpjobster_subscription_min_extra_price_level1', wpj_option_has_value( 'wpjobster_subscription_min_extra_price_level1', '0' ) );
	update_option( 'wpjobster_subscription_min_extra_price_level2', wpj_option_has_value( 'wpjobster_subscription_min_extra_price_level2', '0' ) );
	update_option( 'wpjobster_subscription_min_extra_price_level3', wpj_option_has_value( 'wpjobster_subscription_min_extra_price_level3', '0' ) );

	// Max extra price
	update_option( 'wpjobster_subscription_max_extra_price_enabled', wpj_option_has_value( 'wpjobster_subscription_max_extra_price_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_max_extra_price_level0', wpj_option_has_value( 'wpjobster_subscription_max_extra_price_level0', '5000' ) );
	update_option( 'wpjobster_subscription_max_extra_price_level1', wpj_option_has_value( 'wpjobster_subscription_max_extra_price_level1', '5000' ) );
	update_option( 'wpjobster_subscription_max_extra_price_level2', wpj_option_has_value( 'wpjobster_subscription_max_extra_price_level2', '5000' ) );
	update_option( 'wpjobster_subscription_max_extra_price_level3', wpj_option_has_value( 'wpjobster_subscription_max_extra_price_level3', '5000' ) );

	// Min custom extra price
	update_option( 'wpjobster_subscription_min_custom_extras_enabled', wpj_option_has_value( 'wpjobster_subscription_min_custom_extras_enabled', 'yes' ) );
	update_option( 'wpjobster_subscription_min_customextrasamount_level0', wpj_option_has_value( 'wpjobster_subscription_min_customextrasamount_level0', '0' ) );
	update_option( 'wpjobster_subscription_min_customextrasamount_level1', wpj_option_has_value( 'wpjobster_subscription_min_customextrasamount_level1', '0' ) );
	update_option( 'wpjobster_subscription_min_customextrasamount_level2', wpj_option_has_value( 'wpjobster_subscription_min_customextrasamount_level2', '0' ) );
	update_option( 'wpjobster_subscription_min_customextrasamount_level3', wpj_option_has_value( 'wpjobster_subscription_min_customextrasamount_level3', '0' ) );

	update_option( 'wpjobster_user_level_subscription_values_542', 'done' );
}

if ( get_option( 'wpjobster_change_video_option_name_542' ) != 'done' ) {
	update_option( 'wpjobster_get_level0_vds', get_option( 'wpjobster_level0_vds' ) );
	update_option( 'wpjobster_get_level1_vds', get_option( 'wpjobster_level1_vds' ) );
	update_option( 'wpjobster_get_level2_vds', get_option( 'wpjobster_level2_vds' ) );
	update_option( 'wpjobster_get_level3_vds', get_option( 'wpjobster_level3_vds' ) );

	update_option( 'wpjobster_change_video_option_name_542', 'done' );
}

if ( get_option( 'wpjobster_installed_date_544' ) != 'done' ) {

	$uid = get_current_user_id() ? get_current_user_id() : 1;
	global $wpdb;
	$query = $wpdb->prepare(
		"
		SELECT user_registered
		FROM {$wpdb->prefix}users
		WHERE ID = %d
		LIMIT 1
		",
		$uid
	);
	$query_result = $wpdb->get_row( $query );
	$admin_registered_date = strtotime( $query_result->user_registered );

	if ( ( current_time( 'timestamp', 1 ) - $admin_registered_date ) > ( 86400 * 7 ) ) {
		// if wp is older than 7 days probably theme was already installed before this runs
		$installed_date = $admin_registered_date;
	} else {
		$installed_date = current_time( 'timestamp', 1 );
	}

	update_option( 'wpjobster_installed_date', $installed_date );
	update_option( 'wpjobster_installed_date_544', 'done' );
}

if ( get_option( 'wpjobster_layout_settings_to_customizer_548' ) != 'done' ) {
	if ( get_option( 'wpjobster_site_width' ) ) {
		set_theme_mod( 'site_width_value', get_option( 'wpjobster_site_width' ) );
		set_theme_mod( 'site_width_type', get_option( 'wpjobster_site_width_type' ) );
	} else {
		set_theme_mod( 'site_width_value', 1170 );
		set_theme_mod( 'site_width_type', 'px' );
	}

	set_theme_mod( 'cards_style', get_option( 'wpjobster_job_cards_style' ) );

	set_theme_mod( 'enable_responsive', get_option( 'wpjobster_enable_responsive' ) == 'no' ? '' : 'yes' );
	set_theme_mod( 'enable_lazy_loading', get_option( 'wpjobster_enable_lazy_loading' ) == 'no' ? '' : 'yes' );
	set_theme_mod( 'enable_video_icon_cards', get_option( 'wpjobster_video_thumbnails' ) == 'no' ? '' : 'yes' );

	$current_additional_css = wp_get_custom_css();
	$current_custom_css     = get_option( 'wpjobster_custom_css_code' );

	if ( $current_additional_css && $current_custom_css ) {
		$custom_css_value = $current_additional_css . $current_custom_css;
	} elseif ( ! $current_additional_css && $current_custom_css ) {
		$custom_css_value = $current_custom_css;
	} else {
		$custom_css_value = '';
	}

	wp_update_custom_css_post( $custom_css_value );

	update_option( 'wpjobster_layout_settings_to_customizer_548', 'done' );
}

if ( get_option( 'wpjobster_html5_geolocation_549' ) != 'done' ) {
	update_option( 'wpjobster_html5_geolocation_enable', 'no' );
	update_option( 'wpjobster_default_sort_by', 'auto' );

	update_option( 'wpjobster_html5_geolocation_549', 'done' );
}

if ( get_option( 'wpjobster_post_new_request_update_fields_550' ) != 'done' ) {
	$request_fields_array = get_field( 'request_fields', get_option( 'wpjobster_new_request_page_id' ) );

	// Change category width
	foreach ( $request_fields_array as $key => $value ) {
		if ( $request_fields_array[$key]['acf_fc_layout'] == 'request_category' ) {
			$request_fields_array[$key]['width'] = 'half';
			$next_key = $key + 1;
		}
	}

	// Add subcategory field
	if ( isset( $next_key ) ) {
		$subcategory_field = array(
			'acf_fc_layout' => 'request_subcategory',
			'label'         => 'Subcategory',
			'instructions'  => '',
			'width'         => 'half'
		);

		array_splice( $request_fields_array, $next_key, 0, array( $subcategory_field ) );
	}

	update_field( 'request_fields', $request_fields_array, get_option( 'wpjobster_new_request_page_id' ) );

	update_option( 'wpjobster_post_new_request_update_fields_550', 'done' );
}

if ( get_option( 'wpjobster_image_sizes_550' ) != 'done' ) {
	update_option( 'thumb_picture_size_w', 300 );
	update_option( 'thumb_picture_size_h', 207 );
	update_option( 'thumb_picture_crop', 'on' );

	update_option( 'job_cover_image_size_w', 1170 );
	update_option( 'job_cover_image_size_h', 215 );
	update_option( 'job_cover_image_crop', 'on' );

	update_option( 'job_slider_image_size_w', 720 );
	update_option( 'job_slider_image_size_h', 405 );

	update_option( 'blog_thumbnail_big_size_w', 980 );
	update_option( 'blog_thumbnail_big_size_h', 405 );
	update_option( 'blog_thumbnail_big_crop', 'on' );

	update_option( 'news_slider_size_w', 486 );
	update_option( 'news_slider_size_h', 220 );
	update_option( 'news_slider_crop', 'on' );

	update_option( 'square_150_size_w', 150 );
	update_option( 'square_150_size_h', 150 );
	update_option( 'square_150_crop', 'on' );

	update_option( 'square_180_size_w', 180 );
	update_option( 'square_180_size_h', 180 );
	update_option( 'square_180_crop', 'on' );

	update_option( 'wpjobster_image_sizes_550', 'done' );
}

if ( get_option( 'wpjobster_custom_fields_v2_551' ) != 'done' ) {

	$fields_meta = array(
		'request_fields' => get_option( 'wpjobster_new_request_page_id' ),
		'job_fields'     => get_option( 'wpjobster_post_new_page_id' )
	);

	foreach ( $fields_meta as $field => $page ) {
		if ( have_rows( $field, $page ) ) {
			$fields = get_field( $field, $page );

			update_option( 'wpj_old_cf_' . $field . '_format', $fields );

			foreach ( $fields as $key => $value ) {
				if ( strpos( $value['acf_fc_layout'], 'custom_field' ) !== false ) {
					if ( $value['type'] == 'number' || $value['type'] == 'email' ) {
						$fields[$key]['type'] = 'text';
						$fields[$key]['input_type'] = $value['type'];
					}
				}
			}

			update_field( $field, $fields, $page );
		}
	}

	update_option( 'wpjobster_custom_fields_v2_551', 'done' );

}

if ( get_option( 'wpjobster_customizer_default_fonts' ) != 'done' ) {
	set_theme_mod( 'h1_font_size', '2' );
	set_theme_mod( 'h2_font_size', '1.714' );
	set_theme_mod( 'h3_font_size', '1.285' );
	set_theme_mod( 'h4_font_size', '1.071' );
	set_theme_mod( 'h5_font_size', '0.83' );
	set_theme_mod( 'h6_font_size', '0.67' );

	update_option( 'wpjobster_customizer_default_fonts', 'done' );
}

if ( get_option( 'wpjobster_customizer_default_fonts_size' ) != 'done' ) {
	$main_font = get_theme_mod( 'primary_font_family' );
	if ( empty( $main_font['font-family'] ) ) { $main_font['font-family'] = 'Open Sans'; }
	if ( empty( $main_font['variant'] ) ) { $main_font['variant']         = 'regular'; }
	if ( empty( $main_font['font-size'] ) ) { $main_font['font-size']     = '14px'; }
	if ( empty( $main_font['color'] ) ) { $main_font['color']             = '#333435'; }
	set_theme_mod( 'primary_font_family', $main_font );

	update_option( 'wpjobster_customizer_default_fonts_size', 'done' );
}

if ( get_option( 'wpjobster_deactivate_no_credits_jobs' ) != 'done' ) {
	if ( wpj_is_COD_only_payment() ) {
		$posts = get_posts( array(
			'post_type'      => 'job',
			'posts_per_page' => -1,
			'post_status'    => array( 'publish' ),
			'meta_query'     => array(
				array(
					'key'     => 'active',
					'value'   => '1',
					'compare' => '=',
				)
			),
		) );

		if ( $posts ) {
			foreach ( $posts as $post ) {
				if ( ! wpj_is_user_allowed_post_job( $post->post_author, get_post_meta( $post->ID, 'price', true ) ) ) {
					update_post_meta( $post->ID, 'active', 0 );
					update_post_meta( $post->ID, 'deactivation_reason', 'no_credits' );
				}
			}
		}
	}

	update_option( 'wpjobster_deactivate_no_credits_jobs', 'done' );
}

if ( get_option( 'wpj_request_autoclose_field_554' ) != 'done' ) {

	$request_fields = get_field( 'request_fields', get_option( 'wpjobster_new_request_page_id' ) );

	if ( $request_fields ) {

		update_option( 'wpj_old_request_fields_format', $request_fields );

		$request_fields[] = array(
			'acf_fc_layout' => 'request_autoclose',
			'label'         => __( 'Autoclose', 'wpjobster' ),
			'instructions'  => __( 'Enable if you want this request to be automatically closed when you accept a custom offer', 'wpjobster' ),
			'width'         => 'full'
		);

		update_field( 'request_fields', $request_fields, get_option( 'wpjobster_new_request_page_id' ) );

	}

	update_option( 'wpj_request_autoclose_field_554', 'done' );

}

if ( get_option( 'wpjobster_delete_withdraw_response_columns' ) != 'done' ){
	update_option( 'wpjobster_delete_withdraw_response_columns', 'done' );

	$column_exist = $wpdb->get_results(
		"
		SELECT COLUMN_NAME
		FROM INFORMATION_SCHEMA.COLUMNS
		WHERE table_name = '{$wpdb->prefix}job_withdraw'
		AND column_name = 'payment_response'
		"
	);

	if ( ! empty( $column_exist ) ) {
		$wpdb->query( "ALTER TABLE {$wpdb->prefix}job_withdraw DROP payment_response" );
	}
}

if ( get_option( 'wpjobster_559_first_run' ) != 'done' ) {
	update_option( 'wpjobster_559_first_run', 'done' );

	update_option( 'wpjobster_characters_job_package_title_min', 5 );
	update_option( 'wpjobster_characters_job_package_title_max', 120 );

	update_option( 'wpjobster_characters_job_package_description_min', 5 );
	update_option( 'wpjobster_characters_job_package_description_max', 1000 );

	update_option( 'wpjobster_user_min_rating', 3 );
	update_option( 'wpjobster_job_min_rating', 3 );

	set_theme_mod( 'enable_rating_count_cards', 'yes' );
}

if ( get_option( 'wpjobster_request_active_values561' ) != 'done' ) {

	update_option( 'wpjobster_request_active_values561', 'done' );

	$args = array(
		'posts_per_page' => '-1',
		'post_type'      => 'request',
		'post_status'    => array( 'publish' ),
		'meta_query'     => array(
			array(
				'key'     => 'active',
				'compare' => 'NOT EXISTS'
			)
		)
	);

	$posts = get_posts( $args );

	if ( $posts ) {
		foreach ( $posts as $post ) {
			update_post_meta( $post->ID, 'active', 1 );
		}
	}
}

if ( get_option( 'wpjobster_rates_drop_values562' ) != 'done' ) {

	update_option( 'wpjobster_rates_drop_values562', 'done' );

	update_option( 'wpjobster_exchange_drop_percent', 5 );

	global $wpjobster_currencies_array;
	if ( count( $wpjobster_currencies_array ) <= 1 || ! the_loop_check() || the_loop_check() == 0.5 ) {
		update_option( 'wpjobster_enable_open_exchange_api_rate', 'no' );
	} else {
		update_option( 'wpjobster_enable_open_exchange_api_rate', 'yes' );
	}

}

if ( get_option( 'wpj_user_social_media_field_562' ) != 'done' ) {

	$user_fields = get_field( 'transparent_sidebar', get_option( 'wpjobster_user_profile_page_id' ) );

	if ( $user_fields ) {

		update_option( 'wpj_old_user_fields_format', $user_fields );

		$user_fields[] = array(
			'acf_fc_layout' => 'social_media_links',
			'label'         => __( 'Social Media', 'wpjobster' ),
			'instructions'  => '',
			'width'         => 'full'
		);

		update_field( 'transparent_sidebar', $user_fields, get_option( 'wpjobster_user_profile_page_id' ) );

	}

	update_option( 'wpj_user_social_media_field_562', 'done' );

}

if ( get_option( 'wpjobster_jobs_order_default563' ) != 'done' ) {

	if ( get_option( 'wpjobster_jobs_order' ) == '' ) {
		update_option( 'wpjobster_jobs_order', 'new' );
	}

	update_option( 'wpjobster_jobs_order_default563', 'done' );
}

if ( get_option( 'wpjobster_job_price_type_563' ) != 'done' ) {

	if ( get_option( 'wpjobster_price_type' ) == '' ) {
		update_option( 'wpjobster_price_type', 'free_input' );
	}

	if ( get_option( 'wpjobster_enable_fixed_rate' ) == '' ) {
		update_option( 'wpjobster_enable_fixed_rate', 'yes' );
	}

	update_option( 'wpjobster_job_price_type_563', 'done' );
}

if ( get_option( 'wpjobster_work_samples_563' ) != 'done' ) {

	update_option( 'wpjobster_enable_review_work_samples', 'yes' );
	update_option( 'wpjobster_max_review_work_samples', '10' );

	delete_transient( 'wpjobster_check_secure_folder' );

	update_option( 'wpjobster_work_samples_563', 'done' );
}

if ( get_option( 'wpjobster_job_withdraw_563' ) != 'done' ) {

	update_option( 'wpjobster_paypal_enable_withdraw', get_option( 'wpjobster_enable_paypal_withdraw' ) );
	update_option( 'wpjobster_payoneer_enable_withdraw', get_option( 'wpjobster_enable_payoneer_withdraw' ) );
	update_option( 'wpjobster_banktransfer_enable_withdraw', get_option( 'wpjobster_enable_bank_withdraw' ) );

	update_option( 'wpjobster_job_withdraw_563', 'done' );
}

// Enable job purchase option for all gateways
if ( get_option( 'wpjobster_job_purchase_option_enabled_563' ) != 'done' ) {

	foreach ( wpj_get_wpjobster_plugins_list( array( 'gateways', 'withdrawals' ), true ) as $key => $value ) {
		$gateway = str_replace( '-', '_', substr( strstr( $value, "-" ), 1 ) );
		update_option( 'wpjobster_' . $gateway . '_enable_job_purchase', 'yes' );
	}
	update_option( 'wpjobster_paypal_enable_job_purchase', 'yes' );
	update_option( 'wpjobster_cod_enable_job_purchase', 'yes' );
	update_option( 'wpjobster_banktransfer_enable_job_purchase', 'yes' );

	update_option( 'wpjobster_job_purchase_option_enabled_563', 'done' );
}

if ( get_option( 'wpjobster_flush_permalinks_564' ) != 'done' ) {
	delete_option( 'theme_permalinks_flushed' );

	update_option( 'wpjobster_flush_permalinks_564', 'done' );
}

if ( get_option( 'wpjobster_acf_old_values_564' ) != 'done' ) {
	if ( get_field( 'featured', "options" ) ) {
		set_theme_mod( 'featured_simple_icon_options_job', get_field( 'featured', "options" ) );
	}

	if ( get_field( 'lets_meet', "options" ) ) {
		set_theme_mod( 'lets_meet_simple_icon_options_job', get_field( 'lets_meet', "options" ) );
	}

	if ( get_field( 'instant_delivery', "options" ) ) {
		set_theme_mod( 'instant_delivery_simple_icon_options_job', get_field( 'instant_delivery', "options" ) );
	}

	if ( get_field( 'lets_meet_icon', "options" ) ) {
		set_theme_mod( 'lets_meet_rich_icon_options_job', get_field( 'lets_meet_icon', "options" ) );
	}

	if ( get_field( 'instant_delivery_icon', "options" ) ) {
		set_theme_mod( 'instant_delivery_rich_icon_options_job', get_field( 'instant_delivery_icon', "options" ) );
	}

	if ( get_field( 'instant_delivery_icon', "options" ) ) {
		set_theme_mod( 'instant_delivery_rich_icon_options_job', get_field( 'instant_delivery_icon', "options" ) );
	}

	if ( get_field( 'request_lets_meet', "options" ) ) {
		set_theme_mod( 'lets_meet_rich_icon_options_request', get_field( 'request_lets_meet', "options" ) );
	}

	if ( get_field( 'user_level_1_icon', "options" ) ) {
		set_theme_mod( 'level1_icon_options_user', get_field( 'user_level_1_icon', "options" ) );
	}

	if ( get_field( 'user_level_2_icon', "options" ) ) {
		set_theme_mod( 'level2_icon_options_user', get_field( 'user_level_2_icon', "options" ) );
	}

	if ( get_field( 'user_level_3_icon', "options" ) ) {
		set_theme_mod( 'level3_icon_options_user', get_field( 'user_level_3_icon', "options" ) );
	}

	if ( get_field( 'user_level_1_icon_listing', "options" ) ) {
		set_theme_mod( 'level1_card_icon_options_user', get_field( 'user_level_1_icon_listing', "options" ) );
	}

	if ( get_field( 'user_level_2_icon_listing', "options" ) ) {
		set_theme_mod( 'level2_card_icon_options_user', get_field( 'user_level_2_icon_listing', "options" ) );
	}

	if ( get_field( 'user_level_3_icon_listing', "options" ) ) {
		set_theme_mod( 'level3_card_icon_options_user', get_field( 'user_level_3_icon_listing', "options" ) );
	}

	update_option( 'wpjobster_acf_old_values_564', 'done' );
}

if ( get_option( 'wpjobster_569_post_new_job_fields' ) != 'done' ) {
	update_option( 'wpjobster_569_post_new_job_fields', 'done' );

	// get new post/edit job page
	$wpjobster_post_new_page_id = get_option( 'wpjobster_post_new_page_id' );
	if ( get_page_template_slug( $wpjobster_post_new_page_id ) != 'page-templates/page-post-edit-job.php' ) {
		$wpjobster_post_new_page = get_page_by_path( 'post-new-or-edit-job' );
		$wpjobster_post_new_page_id = $wpjobster_post_new_page->ID;
	}

	// get new post/edit job page ACF fields
	$job_fields_array = get_field_object( 'job_fields', $wpjobster_post_new_page_id );


	$i = 1; // ACF rows start with 1 instead of 0

	// loop through the ACF fields and update
	foreach ( $job_fields_array['value'] as $subarray ) {

		if ( isset( $subarray['acf_fc_layout']) && $subarray['acf_fc_layout'] == 'job_tags' ) {

			if ( $subarray['width'] == 'half' ) {
				$subarray['width'] = 'half-solo';
			}

			update_row( 'job_fields', $i, $subarray, $wpjobster_post_new_page_id );
		}

		if ( isset( $subarray['acf_fc_layout']) && $subarray['acf_fc_layout'] == 'job_packages' ) {

			if ( $subarray['width'] == 'half' ) {
				$subarray['width'] = 'full';
			}

			update_row( 'job_fields', $i, $subarray, $wpjobster_post_new_page_id );
		}

		$i++;

	}
}

if ( get_option( 'wpjobster_570_zm_ajax_hooks' ) != 'done' ) {
	update_option( 'wpjobster_570_zm_ajax_hooks', 'done' );

	if (
		get_option( 'wpjobster_enable_phone_number' ) == 'yes' ||
		get_option( 'wpjobster_enable_user_company' ) == 'yes' ||
		get_option( 'wpj_as_display_on_register' ) == 'yes'
	) {
		update_option( 'wsl_settings_bouncer_profile_completion_hook_extra_fields', 1 );
	} else {
		update_option( 'wsl_settings_bouncer_profile_completion_hook_extra_fields', 2 );
	}
}

if ( get_option( 'wpjobster_571_open_exchange' ) != 'done' ) {
	update_option( 'wpjobster_571_open_exchange', 'done' );

	if ( ! get_option( 'wpjobster_enable_open_exchange_api_rate' ) ) {
		update_option( 'wpjobster_enable_open_exchange_api_rate', 'yes' );
	}
}

if ( get_option( 'wpjobster_571_purchase_this_extra' ) != 'done' ) {
	update_option( 'wpjobster_571_purchase_this_extra', 'done' );

	if ( ! get_option( 'wpjobster_purchase_this_extra_enabled' ) ) {
		update_option( 'wpjobster_purchase_this_extra_enabled', 'no' );
	}
}

if ( get_option( 'wpjobster_571_preferred_image_uploader' ) != 'done' ) {
	update_option( 'wpjobster_571_preferred_image_uploader', 'done' );

	if ( ! get_option( 'wpjobster_preferred_image_uploader' ) ) {
		update_option( 'wpjobster_preferred_image_uploader', 'dropzone' );
	}
}

if ( get_option( 'wpjobster_572_badges' ) != 'done' ) {
	update_option( 'wpjobster_572_badges', 'done' );

	$badges_data = array(
		'0' => array(
			'text'        => __( 'Verified User', 'wpjobster' ),
			'icon'        => get_theme_mod( 'badge1_icon_options_user' ) != '' ? get_theme_mod( 'badge1_icon_options_user' ) : 'check circle',
			'price'       => get_option( 'wpjobster_first_badge_price' ),
			'min_rating'  => '',
			'min_reviews' => '',
		),
		'1' => array(
			'text'        => __( 'This user has passed our verification process', 'wpjobster' ),
			'icon'        => get_theme_mod( 'badge2_icon_options_user' ) != '' ? get_theme_mod( 'badge2_icon_options_user' ) : 'check circle',
			'price'       => get_option( 'wpjobster_second_badge_price' ),
			'min_rating'  => get_option( 'wpjobster_min_rating_badge_2' ),
			'min_reviews' => get_option( 'wpjobster_min_rating_number_badge_2' )
		)
	);

	update_option( 'wpj_user_badges_data', $badges_data );
}

if ( get_option( 'wpjobster_572_post_new_job_fields' ) != 'done' ) {
	update_option( 'wpjobster_572_post_new_job_fields', 'done' );

	// get new post/edit job page
	$wpjobster_post_new_page_id = get_option( 'wpjobster_post_new_page_id' );
	if ( get_page_template_slug( $wpjobster_post_new_page_id ) != 'page-templates/page-post-edit-job.php' ) {
		$wpjobster_post_new_page = get_page_by_path( 'post-new-or-edit-job' );
		$wpjobster_post_new_page_id = $wpjobster_post_new_page->ID;
	}

	// get new post/edit job page ACF fields
	$job_fields_array = get_field( 'job_fields', $wpjobster_post_new_page_id );

	foreach ( $job_fields_array as $key => $value ) {
		if ( $job_fields_array[$key]['acf_fc_layout'] == 'job_instructions_to_buyer' ) {
			$next_key = $key + 1;
		}
	}

	if ( isset( $next_key ) ) {
		$faq_field = array(
			'acf_fc_layout' => 'job_faq',
			'label'         => 'FAQ',
			'instructions'  => '',
			'required'      => false,
			'width'         => 'full'
		);

		array_splice( $job_fields_array, $next_key, 0, array( $faq_field ) );
	}

	update_field( 'job_fields', $job_fields_array, $wpjobster_post_new_page_id );

}

if ( get_option( 'wpjobster_572_job_description_type' ) != 'done' ) {
	update_option( 'wpjobster_572_job_description_type', 'done' );

	if ( get_option( 'wpjobster_allow_wysiwyg_job_description' ) == 'no' ) {
		update_option( 'wpjobster_job_description_type', 'simple' );

	} elseif ( get_option( 'wpjobster_allow_wysiwyg_job_description' ) == 'yes' ) {
		update_option( 'wpjobster_job_description_type', 'wysiwyg' );

	} else {
		update_option( 'wpjobster_job_description_type', 'wysiwyg' );

	}

}

if ( get_option( 'wpjobster_573_messages_page_design' ) != 'done' ) {
	update_option( 'wpjobster_573_messages_page_design', 'done' );

	$messages_page = get_option( 'wpjobster_my_account_priv_mess_page_id' );
	update_post_meta( $messages_page, '_wp_page_template', 'page-templates/page-builder.php' );

}
