<?php

global $pagenow;

if ( is_admin() && 'admin.php' == $pagenow && isset($_GET['importdemo']) ) {

	// Visual Composer
	if ( $_GET['importdemo'] == 'visualcomposer' ) {
		update_option( 'wpj_page_builder_choice', 'visualcomposer' );
		include_once 'first_run_democontent_visualcomposer.php';
	}

	// Brizy
	if ( $_GET['importdemo'] == 'brizy' ) {
		update_option( 'wpj_page_builder_choice', 'brizy' );
		include_once 'first_run_democontent_brizy.php';
	}

	// Gutenberg
	if ( $_GET['importdemo'] == 'gutenberg' ) {
		update_option( 'wpj_page_builder_choice', 'gutenberg' );
		include_once 'first_run_democontent_gutenberg.php';
	}

	// Privacy, TOS, News, Colors, Categories, Menus, Widgets, RevSlider
	if ( get_option( 'wpjobster_democontent_import' ) != 'done' ) {
		update_option( 'wpjobster_democontent_import', 'done' );
		include_once 'first_run_democontent_wordpress.php';
	}

	add_action( 'admin_notices', 'wpjobster_demo_content_imported_notice' );

}


// check if the demo content can be imported
if ( get_option( 'wpjobster_democontent_import' ) != 'done'
	&& get_option( 'wpjobster_sql_10extras' ) != 'done'
	&& is_plugin_active( 'revslider/revslider.php' )
	&& ! has_action( 'admin_notices', 'wpjobster_database_update_required_notice' ) ) {
	add_action( 'admin_notices', 'wpjobster_import_demo_content_notice' );
}


function wpjobster_import_demo_content_notice() {
	if ( ! PAnD::is_admin_notice_active( 'notice-import-demo-forever' ) ) {
		return;
	}
	?>
	<div data-dismissible="notice-import-demo-forever" class="updated notice is-dismissible">
		<h2><?php _e("Please choose your preferred page builder for the demo content. This will also import the content, which could take up to a minute.", 'wpjobster'); ?></h2>

		<?php _e("If you don't know what this is and just want to make your website look like our demo, we recommend <b>Brizy</b>.", 'wpjobster'); ?>

		<h2 style="text-align: center;">

			<a class="button button-hero button-primary" href="<?php echo get_bloginfo('url').'/wp-admin/admin.php?page=PT1_admin_mnu&importdemo=brizy' ?>">
				<?php _e('Brizy (new)', 'wpjobster'); ?>
			</a>
			<span style="line-height: 46px;"></span>

			<a class="button button-hero button-secondary" href="<?php echo get_bloginfo('url').'/wp-admin/admin.php?page=PT1_admin_mnu&importdemo=gutenberg' ?>">
				<?php _e('Gutenberg', 'wpjobster'); ?>
			</a>
			<span style="line-height: 46px;"></span>

			<a class="button button-hero button-secondary" href="<?php echo get_bloginfo('url').'/wp-admin/admin.php?page=PT1_admin_mnu&importdemo=visualcomposer' ?>">
				<?php _e('Visual Composer (old)', 'wpjobster'); ?>
			</a>

		</h2>
	</div>
	<?php
}


function wpjobster_demo_content_imported_notice() {
	?>
	<div class="updated notice is-dismissible">
		<p><?php _e('Jobster demo content was successfully imported!', 'wpjobster'); ?></p>
	</div>
	<?php
}
