<?php

// Set default Visual Composer Settings
$wpj_check_visual_composer_defaults = get_option('wpj_check_visual_composer_defaults');
if (empty($wpj_check_visual_composer_defaults)) {

	update_option('wpb_js_use_custom', '1');
	update_option('wpb_js_margin', '14px');
	update_option('wpb_js_gutter', '14');
	update_option('wpb_js_responsive_max', '991');

	update_option('wpj_check_visual_composer_defaults', 'done');
}

$wpj_check_visual_composer_defaults_update1 = get_option( 'wpj_check_visual_composer_defaults_update1' );
if ( empty( $wpj_check_visual_composer_defaults_update1 )
	&& get_option( 'wpb_js_margin' ) == '10' ) {

	update_option( 'wpb_js_margin', '10px' );
	update_option( 'wpj_check_visual_composer_defaults_update1', 'done' );
}

$wpj_check_visual_composer_defaults_update2 = get_option( 'wpj_check_visual_composer_defaults_update2' );
if ( empty( $wpj_check_visual_composer_defaults_update2 ) ) {

	update_option('wpb_js_margin', '20px');
	update_option('wpb_js_gutter', '30');
	update_option( 'wpj_check_visual_composer_defaults_update2', 'done' );
}



// Create Public Homepage if doesn't exists
$wpj_check_public_homepage = get_option('wpj_check_public_homepage');
if (empty($wpj_check_public_homepage)) {
	$main_page_url = get_option('main_page_url');
	$new_page_template = 'page-templates/page-homepage-public.php';

	$main_page_object = get_post($main_page_url);
	if (!isset($main_page_object->ID)) {
		wpjobster_insert_homepage('main_page_url', 'Homepage', '' );
		$main_page_url = get_option('main_page_url');
	}

	update_post_meta( $main_page_url, '_wp_page_template', $new_page_template );

$main_page_content_public = <<<EOT
[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1460396291658{margin-bottom: 0px;}"][vc_column][rev_slider_vc alias="home" el_class="rev-slider-container"][vc_column_text][advanced-search-slider search-style = white][/vc_column_text][/vc_column][/vc_row][vc_row full_width="stretch_row"][vc_column][vc_custom_heading text="Featured Categories" font_container="tag:h2|font_size:30|text_align:left" use_theme_fonts="yes" el_class="heading-title fancy-underline"][vc_column_text][featured_categories_list][/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][vc_custom_heading text="Popular Services" font_container="tag:h2|font_size:30|text_align:left" use_theme_fonts="yes" el_class="heading-title fancy-underline"][vc_column_text][job_listings_4][/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][vc_custom_heading text="News & Stories" font_container="tag:h2|font_size:30|text_align:left" use_theme_fonts="yes" el_class="heading-title fancy-underline"][vc_column_text][news_listing articles_no = 10][/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][/vc_column][/vc_row]
EOT;

	$update_user_homepage_content = array(
		'ID'           => $main_page_url,
		'post_content' => $main_page_content_public,
	);
	wp_update_post($update_user_homepage_content);

	update_option('show_on_front', 'page');    // show on front a static page
	update_option('page_on_front', $main_page_url);  //set it as front page

	update_option('wpj_check_public_homepage', 'done');
}



// Create User Homepage if doesn't exists
$wpj_check_user_homepage = get_option('wpj_check_user_homepage');
if (empty($wpj_check_user_homepage)) {
	$main_page_url_user = get_option('main_page_url_user');
	$main_page_object_user = get_post($main_page_url_user);

	if(!isset($page_check->ID)){
		$new_page_title = 'Homepage - Logged In';
		$new_page_template = 'page-templates/page-homepage-user.php';
		$new_page = array(
			'post_type' => 'page',
			'post_name' => 'home',
			'post_title' => $new_page_title,
			'post_status' => 'publish',
			'post_author' => 1,
		);

		$main_page_url_user = wp_insert_post($new_page);
		update_option('main_page_url_user', $main_page_url_user);

	}

	update_post_meta( $main_page_url_user, '_wp_page_template', $new_page_template );

$main_page_content_user = <<<EOT
[vc_row el_class="wpj-position-container"][vc_column width="1/4" el_class="wpj-position-2"][vc_column_text][user_welcome_box][/vc_column_text][vc_column_text][popular_categories][/vc_column_text][vc_column_text][recently_viewed_jobs][/vc_column_text][vc_column_text][recently_bought_job][/vc_column_text][/vc_column][vc_column width="3/4" el_class="wpj-position-1"][rev_slider alias="logged-in-home"][vc_row_inner][vc_column_inner][vc_column_text][services_searchbar][/vc_column_text][/vc_column_inner][/vc_row_inner][vc_custom_heading text="Recommended for you" font_container="tag:h2|font_size:30|text_align:left" use_theme_fonts="yes" el_class="heading-title fancy-underline"][vc_column_text][job_listings_3][/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][vc_custom_heading text="News & Stories" font_container="tag:h2|font_size:30|text_align:left" use_theme_fonts="yes" el_class="heading-title fancy-underline"][vc_column_text][news_listing articles_no = 10][/vc_column_text][/vc_column][/vc_row]
EOT;

	$update_user_homepage_content = array(
		'ID'           => $main_page_url_user,
		'post_content' => $main_page_content_user,
	);
	wp_update_post($update_user_homepage_content);

	update_option('wpj_check_user_homepage', 'done');
}



// [page] How it Works
$how_it_works_page_id = wpjobster_insert_pages(
	'wpjobster_how_it_works_page_id',
	'How it works?',
	'<p>Secure, innovative and user friendly platform</p>
	<p>for buying and selling online services.</p>',
	0,
	'page-how-it-works.php'
);

$top_section_background = 'field_54788ff376aca';
wpjobster_acf_update_image_field_remote( $top_section_background, 'https://democontent.wpjobster.com/demo1/uploads/computer-how11.jpg', $how_it_works_page_id );
update_field( 'top_section_background_color', '#2d5767', $how_it_works_page_id );
update_field( 'top_section_background_opacity', '25', $how_it_works_page_id );
update_field( 'top_section_text_color', '#ffffff', $how_it_works_page_id );
update_field( 'top_section_title_size', '14', $how_it_works_page_id );
update_field( 'top_section_paragraph_size', '32', $how_it_works_page_id );

update_field( 'buyer_title', 'Buyers', $how_it_works_page_id );
update_field( 'buyer_description', 'Whether you need a logo design for your new blog, or a video presenter who will help your introduce your company to potential clients, you are at the right place. For everything that you do not know how to do yourself, or you simply don’t have the time, Jobster freelancers are at your service.', $how_it_works_page_id );

$buyer_repeater = 'field_547888db843c3';
update_field( $buyer_repeater, array(
	array(
		'b_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/b1_pointer.png', $how_it_works_page_id ),
		'b_title' => '1. Find a service that you need',
		'b_text' => 'Compare prices, portfolios, delivery time, and community recommendations in order to find a seller that best suits your needs. If you have a specific question, simply send them an enquiry.',
	),
	array(
		'b_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/b2_card.png', $how_it_works_page_id ),
		'b_title' => '2. Supply your brief',
		'b_text' => 'Be as detailed as possible so the seller can provide you with the quality service that you are expecting. Your payment is held secure until you confirm that the service is performed to your satisfaction.',
	),
	array(
		'b_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/b3_userred.png', $how_it_works_page_id ),
		'b_title' => '3. Manage transaction',
		'b_text' => 'Exchange files and feedback with the seller via the built-in conversation and transaction management system. The seller will deliver service within a specified time frame.',
	),
	array(
		'b_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/b4_checkgreen.png', $how_it_works_page_id ),
		'b_title' => '4. Approve service delivered',
		'b_text' => 'Once you are happy with the service performed, you can mark the transaction complete, and we\'ll make sure that the seller gets paid. Help the community by leaving a feedback for the seller.',
	),
), $how_it_works_page_id );

update_field( 'seller_title', 'Sellers', $how_it_works_page_id );
update_field( 'seller_description', 'Jobster provides you with an opportunity to turn knowledge, talent or hobby into a permanent source of income! We\'re here to provide security, privacy, and timely payments, so you can keep doing what you love the most.', $how_it_works_page_id );

$seller_repeater = 'field_54788823843bf';
update_field( $seller_repeater, array(
	array(
		's_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/s1_redlist.png', $how_it_works_page_id ),
		's_title' => '1. Post your service',
		's_text' => 'Post a service offer in accordance with your skills. Be as specific as possible so your clients will know exactly what they are getting for the money they are paying.' ),
	array(
		's_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/s2_messageblue.png', $how_it_works_page_id ),
		's_title' => '2. Communicate promptly',
		's_text' => 'Respond to customer enquiries, as well as requests for custom offers, within a reasonable time. Good communication is a prerequisite for successful cooperation.' ),
	array(
		's_icon' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/s3_staricon.png', $how_it_works_page_id ),
		's_title' => '3. Build your reputation',
		's_text' => 'Make sure you treat all of your customers the same, and try to provide the best possible service regardless of the transaction value. Satisfied customers will recommend you to their friends.' ),
), $how_it_works_page_id );



// [page] Levels
$levels_page_id = wpjobster_insert_pages(
	'wpjobster_levels_page_id',
	'Levels',
	'Jobster provides you with an opportunity to turn knowledge, talent, or hobby into a permanent source of income. Therefore, invest in self-promotion, keep your customers satisfied, perform quality service, and you\'ll be awarded with higher statuses which will open up a whole new door and opportunity for higher earnings.',
	0,
	'page-levels.php'
);

$level_1_image = 'field_54ddee39ae693';
wpjobster_acf_update_image_field_remote( $level_1_image, 'https://democontent.wpjobster.com/demo1/uploads/image1.jpg', $levels_page_id );
update_field( 'level_1_title', 'Level 1 - Rookie', $levels_page_id );
update_field( 'level_1_description', 'You\'ve completed $50 worth of orders within the past 30 days, and you\'ve kept your customers happy with a reputation of over 90%. Congratulations, you\'ve just earned yourself a Rookie status!', $levels_page_id );

$level_2_image = 'field_54ddefa0ae696';
wpjobster_acf_update_image_field_remote( $level_2_image, 'https://democontent.wpjobster.com/demo1/uploads/image2.jpg', $levels_page_id );
update_field( 'level_2_title', 'Level 2 - Master', $levels_page_id );
update_field( 'level_2_description', 'After two months of diligent work, and $200 worth of sales, like any true master of his trade, you\'ve kept your overall reputation at 95% or higher. Keep up the good work and it will only get better from here!', $levels_page_id );

$level_3_image = 'field_54ddefafae697';
wpjobster_acf_update_image_field_remote( $level_3_image, 'https://democontent.wpjobster.com/demo1/uploads/image3.jpg', $levels_page_id );
update_field( 'level_3_title', 'Top Rated Seller - Expert', $levels_page_id );
update_field( 'level_3_description', 'Welcome to Jobster Expert Elite! You\'ve worked hard and earned the highest status. For you, Jobster has already become a serious source of income and and a full time job. Work, earn, and enjoy!', $levels_page_id );

update_field( 'level_bottom_title', 'Commission', $levels_page_id );
update_field( 'level_bottom_description', 'Posting a service on Jobster is 100% free. We keep a percentage from each successfully completed transaction. The fee varies depending on the total value of the transaction and/or status of the seller.', $levels_page_id );



// Homepage Featured Categories
function wpjobster_add_homepage_featured_categories() {

	$main_page_url = get_option( 'main_page_url' );
	if ( ! $main_page_url ) {
		return;
	}

	$featured_category = 'field_55ae8aab087f8';

	$cat_programming_it = get_term_by( 'slug', 'programming-it', 'job_cat' );
	$cat_programming_it = isset( $cat_programming_it->term_id ) ? $cat_programming_it->term_id : '';

	$cat_flyers_posters = get_term_by( 'slug', 'flyers-posters', 'job_cat' );
	$cat_flyers_posters = isset( $cat_flyers_posters->term_id ) ? $cat_flyers_posters->term_id : '';

	$cat_writing_translation = get_term_by( 'slug', 'writing-translation', 'job_cat' );
	$cat_writing_translation = isset( $cat_writing_translation->term_id ) ? $cat_writing_translation->term_id : '';

	$cat_business_plan = get_term_by( 'slug', 'business-plan', 'job_cat' );
	$cat_business_plan = isset( $cat_business_plan->term_id ) ? $cat_business_plan->term_id : '';

	update_field( $featured_category, array(
		array(
			'featured_category_id' => $cat_programming_it,
			'featured_category_image' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/featured-programming-it.jpg', $main_page_url ),
		),
		array(
			'featured_category_id' => $cat_flyers_posters,
			'featured_category_image' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/featured-flyers-posters.jpg', $main_page_url ),
		),
		array(
			'featured_category_id' => $cat_writing_translation,
			'featured_category_image' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/featured-writing-translation.jpg', $main_page_url ),
		),
		array(
			'featured_category_id' => $cat_business_plan,
			'featured_category_image' => wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/featured-business-plan.jpg', $main_page_url ),
		),
	), $main_page_url );
}

add_action( 'admin_init', 'wpjobster_add_homepage_featured_categories' );
