<?php
function wpj_frun_htaccess_gzip() {
	$gzip_arr = array();
	$gzip_arr[] = '<IfModule mod_gzip.c>';
		$gzip_arr[] = 'mod_gzip_on Yes';
		$gzip_arr[] = 'mod_gzip_dechunk Yes';
		$gzip_arr[] = 'mod_gzip_item_include file \.(html?|txt|css|js|php|pl)$';
		$gzip_arr[] = 'mod_gzip_item_include handler ^cgi-script$';
		$gzip_arr[] = 'mod_gzip_item_include mime ^text/.*';
		$gzip_arr[] = 'mod_gzip_item_include mime ^application/x-javascript.*';
		$gzip_arr[] = 'mod_gzip_item_exclude mime ^image/.*';
		$gzip_arr[] = 'mod_gzip_item_exclude rspheader ^Content-Encoding:.*gzip.*';
	$gzip_arr[] = '</IfModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'GZIP COMPRESSION', $gzip_arr );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_deflate() {
	$defalte_arr = array();
	$defalte_arr[] = '<IfModule mod_deflate.c>';
		$defalte_arr[] = trim( 'AddOutputFilterByType DEFLATE "application/atom+xml" \ ' );
			$defalte_arr[] = trim( '"application/javascript" \ ' );
			$defalte_arr[] = trim( '"application/json" \ ' );
			$defalte_arr[] = trim( '"application/ld+json" \ ' );
			$defalte_arr[] = trim( '"application/manifest+json" \ ' );
			$defalte_arr[] = trim( '"application/rdf+xml" \ ' );
			$defalte_arr[] = trim( '"application/rss+xml" \ ' );
			$defalte_arr[] = trim( '"application/schema+json" \ ' );
			$defalte_arr[] = trim( '"application/vnd.geo+json" \ ' );
			$defalte_arr[] = trim( '"application/vnd.ms-fontobject" \ ' );
			$defalte_arr[] = trim( '"application/x-font" \ ' );
			$defalte_arr[] = trim( '"application/x-font-opentype" \ ' );
			$defalte_arr[] = trim( '"application/x-font-otf" \ ' );
			$defalte_arr[] = trim( '"application/x-font-truetype" \ ' );
			$defalte_arr[] = trim( '"application/x-font-ttf" \ ' );
			$defalte_arr[] = trim( '"application/x-javascript" \ ' );
			$defalte_arr[] = trim( '"application/x-web-app-manifest+json" \ ' );
			$defalte_arr[] = trim( '"application/xhtml+xml" \ ' );
			$defalte_arr[] = trim( '"application/xml" \ ' );
			$defalte_arr[] = trim( '"font/eot" \ ' );
			$defalte_arr[] = trim( '"font/otf" \ ' );
			$defalte_arr[] = trim( '"font/ttf" \ ' );
			$defalte_arr[] = trim( '"font/opentype" \ ' );
			$defalte_arr[] = trim( '"image/bmp" \ ' );
			$defalte_arr[] = trim( '"image/svg+xml" \ ' );
			$defalte_arr[] = trim( '"image/vnd.microsoft.icon" \ ' );
			$defalte_arr[] = trim( '"image/x-icon" \ ' );
			$defalte_arr[] = trim( '"text/cache-manifest" \ ' );
			$defalte_arr[] = trim( '"text/css" \ ' );
			$defalte_arr[] = trim( '"text/html" \ ' );
			$defalte_arr[] = trim( '"text/javascript" \ ' );
			$defalte_arr[] = trim( '"text/plain" \ ' );
			$defalte_arr[] = trim( '"text/vcard" \ ' );
			$defalte_arr[] = trim( '"text/vnd.rim.location.xloc" \ ' );
			$defalte_arr[] = trim( '"text/vtt" \ ' );
			$defalte_arr[] = trim( '"text/x-component" \ ' );
			$defalte_arr[] = trim( '"text/x-cross-domain-policy" \ ' );
			$defalte_arr[] = trim( '"text/xml"' );
	$defalte_arr[] = '</IfModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'DEFLATE COMPRESSION', $defalte_arr );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_keep_alive() {
	$keep_alive = array();
	$keep_alive[] = '<ifModule mod_headers.c>';
		$keep_alive[] = 'Header set Connection keep-alive';
	$keep_alive[] = '</ifModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'KEEP ALIVE', $keep_alive );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_expires_caching() {
	$expires_caching = array();
	$expires_caching[] = '<IfModule mod_expires.c>';
		$expires_caching[] = 'ExpiresActive On';
		$expires_caching[] = 'ExpiresByType text/css "access 1 month"';
		$expires_caching[] = 'ExpiresByType text/html "access 1 month"';
		$expires_caching[] = 'ExpiresByType image/gif "access 1 year"';
		$expires_caching[] = 'ExpiresByType image/png "access 1 year"';
		$expires_caching[] = 'ExpiresByType image/jpg "access 1 year"';
		$expires_caching[] = 'ExpiresByType image/jpeg "access 1 year"';
		$expires_caching[] = 'ExpiresByType image/x-icon "access 1 year"';
		$expires_caching[] = 'ExpiresByType image/svg+xml "access plus 1 month"';
		$expires_caching[] = 'ExpiresByType audio/ogg "access plus 1 year"';
		$expires_caching[] = 'ExpiresByType video/mp4 "access plus 1 year"';
		$expires_caching[] = 'ExpiresByType video/ogg "access plus 1 year"';
		$expires_caching[] = 'ExpiresByType video/webm "access plus 1 year"';
		$expires_caching[] = 'ExpiresByType application/atom+xml "access plus 1 hour"';
		$expires_caching[] = 'ExpiresByType application/rss+xml "access plus 1 hour"';
		$expires_caching[] = 'ExpiresByType application/pdf "access 1 month"';
		$expires_caching[] = 'ExpiresByType application/javascript "access 1 month"';
		$expires_caching[] = 'ExpiresByType text/x-javascript "access 1 month"';
		$expires_caching[] = 'ExpiresByType text/x-component "access plus 1 month"';
		$expires_caching[] = 'ExpiresByType application/x-shockwave-flash "access 1 month"';
		$expires_caching[] = 'ExpiresByType font/opentype "access plus 1 month"';
		$expires_caching[] = 'ExpiresByType application/vnd.ms-fontobject "access plus 1 month"';
		$expires_caching[] = 'ExpiresByType application/x-font-ttf "access plus 1 month"';
		$expires_caching[] = 'ExpiresByType application/font-woff "access plus 1 month"';
		$expires_caching[] = 'ExpiresByType application/font-woff2 "access plus 1 month"';
		$expires_caching[] = 'ExpiresDefault "access 1 month"';
	$expires_caching[] = '</IfModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'EXPIRES CACHING', $expires_caching );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_cache_control() {
	$cache_control = array();
	$cache_control[] = '<ifModule mod_headers.c>';
		$cache_control[] = '<filesMatch "\.(ico|jpe?g|png|gif|swf)$">';
			$cache_control[] = 'Header set Cache-Control "public"';
		$cache_control[] = '</filesMatch>';

		$cache_control[] = '<filesMatch "\.(css)$">';
			$cache_control[] = 'Header set Cache-Control "public"';
		$cache_control[] = '</filesMatch>';

		$cache_control[] = '<filesMatch "\.(js)$">';
			$cache_control[] = 'Header set Cache-Control "private"';
		$cache_control[] = '</filesMatch>';

		$cache_control[] = '<filesMatch "\.(x?html?|php)$">';
			$cache_control[] = 'Header set Cache-Control "private, must-revalidate"';
		$cache_control[] = '</filesMatch>';
	$cache_control[] = '</ifModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'CACHE-CONTROL HEADERS', $cache_control );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_pagespeed() {
	$mod_pagespeed = array();
	$mod_pagespeed[] = '<IfModule pagespeed_module>';
		$mod_pagespeed[] = 'ModPagespeed on';
		$mod_pagespeed[] = 'ModPagespeedEnableFilters rewrite_css,combine_css';
		$mod_pagespeed[] = 'ModPagespeedEnableFilters recompress_images';
		$mod_pagespeed[] = 'ModPagespeedEnableFilters convert_png_to_jpeg,convert_jpeg_to_webp';
		$mod_pagespeed[] = 'ModPagespeedEnableFilters collapse_whitespace,remove_comments';
	$mod_pagespeed[] = '</IfModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'MOD PAGESPEED', $mod_pagespeed );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_litespeed() {
	$litespeed = array();
	$litespeed[] = '<IfModule LiteSpeed>';
		$litespeed[] = 'CacheEnable public';
		$litespeed[] = 'RewriteEngine On';
		$litespeed[] = 'RewriteCond %{REQUEST_METHOD} ^GET|HEAD$';
		$litespeed[] = 'RewriteCond %{HTTP_HOST} ^sample.com|sample.net|sample.org [NC]';
		$litespeed[] = 'RewriteCond %{REQUEST_URI} !login|admin|register|post|cron';
		$litespeed[] = 'RewriteCond %{QUERY_STRING} !nocache';
		$litespeed[] = 'RewriteRule .* - [E=Cache-Control:max-age=300]';
	$litespeed[] = '</IfModule>';

	$result = wpj_add_content_to_htaccess( '.htaccess', 'LITESPEED CACHE', $litespeed );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}

function wpj_frun_htaccess_server_signature() {
	$server_signature = array( 'ServerSignature Off' );

	$result = wpj_add_content_to_htaccess( '.htaccess', 'SEREVER SIGNATURE', $server_signature );
	if ( $result != 1 ) { echo '<p>' . $result . '</p>'; }
}
