<?php
// Job single page
// Get taxonomies terms links
function wpjobster_display_job_categories( $pid = 0 ) {

	if ( $pid > 0 ) {
		$post = get_post( $pid );
	} else {
		global $post, $post_id;
		$post = get_post( $post->ID );
	}

	// get post type by post
	$post_type = $post->post_type;

	// get post type taxonomies
	$taxonomy = 'job_cat';

	$terms = get_the_terms( $post->ID, $taxonomy );

	if ( ! isset( $out ) ) $out = "";
	if ( ! isset( $out1 ) ) $out1 = "";

	if ( ! empty( $terms ) ) {
		foreach ( $terms as $term ) {
			if ( is_rtl() ) {
				if ( $term->parent != 0 ) {
					$out .= '<a href="' . get_term_link( $term->term_id, $taxonomy ) . '">' . $term->name . '</a> ';
				} else {
					$out1 .= '<a href="' . get_term_link( $term->term_id, $taxonomy ) . '">' . $term->name . '</a> ';
				}
			} else {
				if ( $term->parent == 0 ) {
					$out .= '<a href="' . get_term_link( $term->term_id, $taxonomy ) . '">' . $term->name . '</a> ';
				} else {
					$out1 .= '<a href="' . get_term_link( $term->term_id, $taxonomy ) . '">' . $term->name . '</a> ';
				}
			}
		}
	}

	if ( $out && $out1 ) {
		$line = '/ ';
	} else {
		$line = '';
	}

	return $out . $line . $out1;
}

// AJAX function for
// Listing subcategories when a category is selected
add_action( 'init', function() {
	if ( isset( $_GET['get_subcats_for_me'] ) ) {
		$categories = $_POST['queryString'];

		if ( $categories ) {

			echo wpjobster_get_only_subcategories(
				'job_cat',
				isset( $_POST['term_val_type'] ) ? $_POST['term_val_type'] : 'id',
				__( 'Select Subcategory', 'wpjobster' ),
				'',
				'subcat',
				'subcat',
				$categories,
				'',
				isset( $_POST['multiple'] ) && get_option( 'wpjobster_display_request_multiple_categories' ) == 'yes' ? true : false
			);

		} else {
			echo " ";
		}

		die();
	}
});

function show_popular_terms( $taxonomy, $number = 10 ) {
	$terms = get_terms( $taxonomy, array( 'orderby' => 'count', 'order' => 'DESC', 'number' => $number, 'hierarchical' => false ) );
	if ( $terms ) { ?>
		<div class="ui segment">
			<div class="most-popular-terms">
				<h4><?php _e( 'Popular categories', 'wpjobster' ); ?></h4>
				<?php foreach ( $terms as $term ) { ?>
					<a href="<?php echo get_term_link( $term->slug, $taxonomy ); ?>" title="<?php echo $term->name; ?>"><?php echo $term->name; ?></a>
				<?php } ?>
			</div>
		</div>
	<?php }
}

// All job categories page
if ( ! function_exists( 'wpjobster_all_cats_area_function' ) ) {
	function wpjobster_all_cats_area_function() {

		ob_start(); ?>

		<div id="content-full-ov">

			<div class="ui basic notpadded segment">
				<h1 class="ui header wpj-title-icon">
					<i class="unordered list icon"></i>
					<?php _e( 'All Categories', 'wpjobster' ); ?>
				</h1>
			</div>

			<div class="ui segment">

				<div class="box_content padd10">
					<?php
					global $wpdb;

					$terms = get_terms( 'job_cat', 'parent=0&hide_empty=0' );

					$arr = array(); $count = count( $terms ); $i = 0;

					if ( $count > 0 ){

						$arr         = array();
						$contor      = 0;
						$nr          = 4;
						$total_count = 0;

						if ( $terms ) {
							foreach ( $terms as $term ) {
								$content = '';
								$cnt    = 1;

								$content .= '<ul id="location-stuff">';
									$content .= '<li>';

										$terms2 = get_terms( 'job_cat', 'parent=' . $term->term_id . '&hide_empty=0' );

										$link = get_term_link( $term->slug, 'job_cat' );

										$content .= '<h3>';
											$content .= '<a href="' . $link . '">' . $term->name;
												$total_ads = $terms2 ? 0 : wpjobster_get_custom_taxonomy_count('job',$term->slug);

												$sub_content = '';
												if ( $terms2 ) {
													$sub_content .= '<ul id="taxe_project_cat_' . $term->term_id . '">';
														foreach ( $terms2 as $term2 ) { ++$cnt;
															$tt        = wpjobster_get_custom_taxonomy_count( 'job', $term2->slug );
															$total_ads += $tt;
															$link      = get_term_link( $term2->slug, 'job_cat' );
															$sub_content     .= '<li><a href="' . $link . '">' . $term2->name . ' ' . '(' . $tt . ')' . '</a></li>';

															$terms3 = get_terms( 'job_cat', 'parent=' . $term2->term_id . '&hide_empty=0' );
															if ( $terms3 ) {
																$sub_content .= '<ul class="baca_loc">';
																	foreach ( $terms3 as $term3 ) { ++$cnt;
																		$tt        = wpjobster_get_custom_taxonomy_count( 'job', $term3->slug );
																		$total_ads += $tt;
																		$link      = get_term_link( $term3->slug, 'job_cat' );

																		if ( ! is_wp_error( $link ) ) {
																			$sub_content .= '<li><a href="' . $link . '">' . $term3->name . ' ' . '(' . $tt . ')' . '</a></li>';
																		}

																		$terms4 = get_terms( 'job_cat', 'parent=' . $term3->term_id . '&hide_empty=0' );
																		if ( $terms4 ) {
																			$sub_content .= '<ul class="baca_loc">';
																				foreach ( $terms4 as $term4 ){ ++$cnt;
																					$tt        = wpjobster_get_custom_taxonomy_count( 'job', $term4->slug );
																					$total_ads += $tt;
																					$link      = get_term_link( $term4->slug, 'job_cat' );

																					if ( ! is_wp_error( $link ) ) {
																						$sub_content .= '<li><a href="' . $link . '">' . $term4->name . ' ' . '(' . $tt . ')' . '</a></li>';
																					}
																				}
																			$sub_content .= '</ul>';
																		}
																	}
																$sub_content .= '</ul>';
															}
														}
													$sub_content .= '</ul>';
												}
												$content .= '(' . $total_ads . ')';
											$content .= '</a>';
										$content .= '</h3>';

										$content .= $sub_content;

									$content .= '</li>';
								$content .= '</ul>';

								$i++;

								$arr[$contor]['content'] = $content;
								$arr[$contor]['size']    = $cnt;
								$total_count             = $total_count + $cnt;

								$contor++;
							}
						}

						$k = 0;
						for ( $i = 0; $i < $nr; $i ++ ) {
							$result[$i] = '';
						}

						foreach ( $arr as $category ) {
							$result[$k] .= $category['content']; $k++;
							if ( $k == $nr ) { $k=0; }
						}

						foreach ( $result as $res ) {
							echo '<div class="stuffa4 jobster_special_page_columns">' . $res . "</div>";
						}
					} ?>
				</div>

			</div>
		</div>

		<div class="ui hidden divider"></div>

		<?php $ret = ob_get_contents(); ob_clean();

		return $ret;

	}
}
