<?php
add_action( 'wp_head', 'wpj_custom_css', 998 );
function wpj_custom_css() {
	wpj_customizer_general_colors();
	wpj_customizer_header_options();
	wpj_customizer_footer_options();
	wpj_customizer_layout_options();
	wpj_customizer_typography_options();
	wpj_customizer_icon_options();
	wpj_customizer_chat_options();

	do_action( 'wpj_after_custom_colours_define' );
}

/* GENERAL COLORS */
function wpj_customizer_general_colors() {

	$primary_color = get_theme_mod( 'primary_color' );
	if ( ! $primary_color ) { $primary_color = '#83C124'; }

	$secondary_color = get_theme_mod( 'secondary_color' );
	if ( ! $secondary_color ) { $secondary_color = '#2d5767'; }

	do_action('custom_colors_panel');

	$primary_color   = apply_filters( 'primary_color', $primary_color );
	$secondary_color = apply_filters( 'secondary_color', $secondary_color );

	if ( get_option( 'wpjobster_set_original_colours' ) != 'done' ) {
		$pc_orig = get_theme_mod( 'primary_color', 'options' );
		$sc_orig = get_theme_mod( 'secondary_color', 'options' );

		set_theme_mod( 'primary_color', $pc_orig );
		set_theme_mod( 'secondary_color', $sc_orig );

		$primary_color   = apply_filters( 'primary_color', $pc_orig );
		$secondary_color = apply_filters( 'secondary_color', $sc_orig );

		update_option( 'wpjobster_set_original_colours', 'done' );
	} ?>

	<style>
		/* Background Primary */
		.primary-background-color /* site primary color */,
		.ui.segment.wpj-stats-segment,
		.wrapper-graph-dropdown a.graph-link .icon, /* my account graph arrow */
		.nh-user-balance, /* top user menu balance */
		.heading-title.fancy-underline:before, .heading-title.fancy-underline-after:after, /* title underline homepage */
		.level-badge-title:after, /* level page line */
		.how-it-works-title:after, .level-comission-title:after, /* line on level and how it wordks page */
		.unread-label, /* messages and notifications circle */
		.green-list li:before, /* single job bullets */
		.uploadifive-queue-item .progress-bar, /* upload progress bar */
		.new-footer-cols ul li a:hover::before, /* footer hover bullets */
		span.balance, /* witdraw success message */
		#login input[type="submit"], /* login button */
		.sn-job-rate-label, /* price rate label on single job page */
		.ui.segments.middle-menu > div > ul > li:hover:after, /* header menu bottom border */
		.subscription-wrapper .ui.table.subscription-table thead > tr > th.subscr-price.active, /* subscription active price */
		.subscription-wrapper .ui.checkbox.checked, /* subscription active billing period */
		.subscription-wrapper .ui.checkbox.checked label, /* subscription active billing period */
		.pm-offer-holder.pm-offer-green .padding-cnt:before, .pm-request-holder.pm-offer-green .padding-cnt:before, /* custom offer received left */
		.wpj-card-style-3.ui.card i.circular.bordered.icon:hover, /* fiverr cards */
		.wpj-card-style-3.ui.card .owl-video-play-icon:hover /* fiverr cards video */
		{
			background-color: <?php echo $primary_color; ?> !important;
			border-color: <?php echo $primary_color; ?> !important;
		}

		/* Background Primary Transparency */
		.wpj-card-style-3.ui.card i.circular.bordered.icon, /* fiverr cards */
		.wpj-card-style-3.ui.card .owl-video-play-icon /* fiverr cards video */
		{
			background-color: <?php echo $primary_color . '4d'; ?> !important;
		}

		/* Background Secondary */
		.pm-offer-holder.pm-offer-gray .padding-cnt:before, .pm-request-holder.pm-offer-gray .padding-cnt:before /* custom offer request/send left */
		{
			background-color: <?php echo $secondary_color; ?> !important;
			border-color: <?php echo $secondary_color; ?> !important;
		}

		/* Color */
		.request-cat a, /* request category */
		.nh-submenu a:hover, /* dropdown menu */
		.ui.segments.middle-menu ul li a:hover, ul.menu.top-user li a:hover, /* main menu */
		.ui.card>.content .card-job-price, .ui.cards>.card>.content .card-job-price, /* thumnail job price */
		.ui.card > .content > a.header:hover, .ui.cards > .card > .content > a.header:hover, /* thumnail job title */
		.footer-wrapper a:hover, /* footer hover links */
		.uploadifive-queue-item span.filename, /* upload file name */
		.ui.header.wpj-title-icon > .icon,
		.packages-sidebar .pck-sidebar-compare-packages, /* sidebar compare packages */
		.packages-sidebar .pck-price-sidebar, /* price sidebar package */
		.mobile-packages .item.active .pck-tab-title, /* price tab mobile package */
		.pc-packages .pck-center.pck-order.active .ui.button, /* package order button */
		.fill-payment-color, /* payments gateway error message */
		.wpj-card-style-3.ui.card:hover a.list-header, /* fiverr cards */
		.primary-text-color
		{
			color: <?php echo $primary_color; ?> !important;
		}

		/* Border & Box Shadow */
		.amount_section a:hover,
		.order-extras ul li .amount_section a:hover,
		.cool-message-input.focus,
		.packages-sidebar.selected {
			outline-color: <?php echo $primary_color; ?> !important;
			border-color: <?php echo $primary_color; ?> !important;
			-webkit-box-shadow: 0 0 2px <?php echo $primary_color; ?> !important;
			box-shadow: 0 0 2px <?php echo $primary_color; ?> !important;
		}

		/* Border */
		h2.small {
			outline-color: <?php echo $primary_color; ?> !important;
			border-color: <?php echo $primary_color; ?> !important;
		}

		a:hover {
			color: <?php echo $primary_color; ?>;
		}

		:focus{
			outline-color: <?php echo $primary_color; ?> !important;
		}
		input:focus,
		select:focus,
		textarea:focus,
		.pc-packages .pck-center.pck-order.active .ui.button {
			border: 1px solid <?php echo $primary_color; ?> !important;
			box-shadow: 0 0 0px <?php echo $primary_color; ?> !important;
		}
		.ui.action.input:not([class*="left action"]) > .ui.input > input:focus {
			border-right-color: <?php echo $primary_color; ?> !important;
		}

		/* Icons */
		.buy-badge-title h1:before,
		.my-favorites-title i.icon.heart:before,
		.secure-info-badge:before,
		ul.single-job-rate-delivery .queue-order:before,
		.single-job-delivery-time:before,
		.job-location .marker.location:before,
		.cf-icon,
		i.icon.announcement:before,
		i.icon.users:before,
		i.icon.payment:before,
		i.icon.edit:before,
		i.icon.write:before,
		.seller-notifications-title h1:before,
		.bookmark-icon-smaller:after,
		.level-badge-title:before,
		.single-job-feedback-title h2:before,
		.packages-sidebar i.wait.icon,
		.packages-sidebar i.refresh.icon,
		.icon-before-title h2:before
		{
			color: <?php echo $primary_color; ?> !important;
		}

		/* Customizer */
		.customize-partial-edit-shortcuts-shown .primary {
			background-color: <?php echo $primary_color; ?> !important;
			border-color: <?php echo $primary_color; ?> !important;
		}

		.customize-partial-edit-shortcuts-shown .secondary:not(.menu) {
			background-color: <?php echo $secondary_color; ?> !important;
			border-color: <?php echo $secondary_color; ?> !important;
		}

		/* Register button from slider */
		.wpjobster-button.register-link,
		.mobile-packages .ui.secondary.pointing.menu .active.item {
			border-color: <?php echo $primary_color; ?> !important;
		}
		.wpjobster-button.register-link:hover {
			background-color: <?php echo $primary_color; ?> !important;
		}

		/* All notifications */
		<?php list($r, $g, $b) = sscanf($primary_color, "#%02x%02x%02x"); ?>
		.preview-dropdown li:hover,
		.wpj-all-notifications-style li:hover,
		.wpj-all-notifications-style .wpj-notification-unread:hover,
		.box-checked {
			background: <?php echo "rgba( $r, $g, $b, .1 ) !important"; ?>;
		}

		.wpj-all-notifications-style .wpj-notification-unread a,
		.wpj-all-notifications-style li.wpj-notification-read:hover a,
		.ui.segments > .segment.pm-holder.pm-unread-message:not(.active) {
			border-color: <?php echo $primary_color; ?>;
		}


		.ui.menu.wpj-custom-bottom .item > .label,
		.amount_section a {
			background:  <?php echo $primary_color; ?> !important;
		}

		.mobile-packages .pck-price {
			color: <?php echo $primary_color; ?> !important;
		}

		/* Messenger */
		.thread-input .wrapper-pm-attachments #queue + div:hover i,
		.input-pm-settings:hover .ui.dropdown > .icon,
		.input-pm-quick-response:hover .ui.dropdown > .icon,
		.pm-settings:hover .ui.dropdown > .icon,
		.conversation-settings:hover .ui.dropdown > .icon,
		.wrapper-pm-submit .ui.button:hover,
		.thread-input .emojionearea-button:hover .emojionearea-button-open,
		.thread-input .emojionearea-button:hover .emojionearea-button-close {
			color: <?php echo $primary_color; ?> !important;
		}
	</style>

<?php }
/* END GENERAL COLORS */

/* HEADER OPTIONS */
function wpj_customizer_header_options() {
	$logo_spacing = get_theme_mod( 'logo_spacing' );
	if ( ! $logo_spacing ) {
		$logo_spacing = array(
			'top'    => '10px',
			'bottom' => '10px',
			'left'   => '0px',
			'right'  => '0px',
		);
	}

	if ( $logo_spacing['top'] || $logo_spacing['right'] || $logo_spacing['bottom'] || $logo_spacing['left'] ) { ?>

		<style>
			.background-top-menu .logo_holder{
				<?php if ( $logo_spacing['top'] ) { ?> padding-top: <?php echo (int)$logo_spacing['top']; ?>px; <?php } ?>
				<?php if ( $logo_spacing['right'] ) { ?> padding-right: <?php echo (int)$logo_spacing['right']; ?>px; <?php } ?>
				<?php if ( $logo_spacing['bottom'] ) { ?> padding-bottom: <?php echo (int)$logo_spacing['bottom']; ?>px; <?php } ?>
				<?php if ( $logo_spacing['left'] ) { ?> padding-left: <?php echo (int)$logo_spacing['left']; ?>px; <?php } ?>
			}
		</style>

	<?php }

	$logo_height = get_theme_mod( 'logo_height' );
	if ( $logo_height === false ) { $logo_height = 44; }

	$wrapper  = $logo_height + (int)$logo_spacing['top'] + (int)$logo_spacing['bottom'];
	$menu_top = ( $wrapper - 36 ) / 2;

	if ( $logo_height > 0 ) { ?>

		<style>
			.wrapper-menu-top,
			.background-top-menu .logo_holder {
				height: <?php echo $wrapper. 'px'; ?>;
			}
			.background-top-menu .logo_holder img {
				height: <?php echo $logo_height .'px'; ?>;
			}
			.wrapper-menu-top .nh-right {
				padding-top: <?php echo $menu_top .'px'; ?>;
			}
			@media only screen and (min-width:992px) {
				.ui.segment.wpj-messenger,
				.wpj-messenger {
					height: calc(100vh - <?php echo $wrapper. 'px'; ?> - 2em); /* Fallback */
					height: calc((var(--vh, 1vh) * 100) - <?php echo $wrapper. 'px'; ?> - 2em);
				}
			}
		</style>

	<?php } else { ?>

		<style>
			.background-top-menu .logo_holder {
				display: none;
			}
		</style>

	<?php } ?>

	<style>

		<?php /* Top background color */
		if ( get_theme_mod( 'header_top_background' ) ) { ?>
			.wrapper-menu-top,
			.top-menu-responsive,
			.top-menu-responsive .icon,
			.wrapper-menu-top-fixable.fixed,
			.top-menu-wrapper-responsive.fixed {
				background-color: <?php echo get_theme_mod( 'header_top_background' ); ?>;
			}
		<?php }

		/* Bottom background color */
		if ( get_theme_mod( 'header_bottom_background' ) ) { ?>
			.wrapper-menu,
			.wrapper-menu .ui.segment,
			.sub-menu-reponsive {
				background-color: <?php echo get_theme_mod( 'header_bottom_background' ); ?>;
			}
		<?php } ?>

	</style>

	<?php
	$language_colour = get_theme_mod( 'language_colour_options_header' ) != '' ? get_theme_mod( 'language_colour_options_header' ) : 'rgba(0, 0, 0, 0.6)';
	$currency_colour = get_theme_mod( 'currency_colour_options_header' ) != '' ? get_theme_mod( 'currency_colour_options_header' ) : 'rgba(0, 0, 0, 0.6)';

	$language_hover_colour = get_theme_mod( 'language_hover_colour_options_header' ) != '' ? get_theme_mod( 'language_hover_colour_options_header' ) : 'rgba(0, 0, 0, 0.8)';
	$currency_hover_colour = get_theme_mod( 'currency_hover_colour_options_header' ) != '' ? get_theme_mod( 'currency_hover_colour_options_header' ) : 'rgba(0, 0, 0, 0.8)';

	$language_hover_bg_colour = get_theme_mod( 'language_hover_bg_colour_options_header' ) != '' ? get_theme_mod( 'language_hover_bg_colour_options_header' ) : '#ffffff';
	$currency_hover_bg_colour = get_theme_mod( 'currency_hover_bg_colour_options_header' ) != '' ? get_theme_mod( 'currency_hover_bg_colour_options_header' ) : '#ffffff';
	?>

	<style>
		.background-top-menu .ui.basic.button.wpj-language-switcher {
			color: <?php echo $language_colour; ?> !important;
			box-shadow: 0px 0px 0px 1px <?php echo $language_colour; ?> inset;
		}
		.background-top-menu .ui.basic.button.wpj-language-switcher:hover {
			color: <?php echo $language_hover_colour; ?> !important;
			background-color: <?php echo $language_hover_bg_colour; ?> !important;
		}

		.background-top-menu .ui.basic.button.currency {
			color: <?php echo $currency_colour; ?> !important;
			box-shadow: 0px 0px 0px 1px <?php echo $currency_colour; ?> inset;
		}
		.background-top-menu .ui.basic.button.currency:hover {
			color: <?php echo $currency_hover_colour; ?> !important;
			background-color: <?php echo $currency_hover_bg_colour; ?> !important;
		}
	</style>

<?php }
/* END HEADER OPTIONS */

/* FOOTER */
function wpj_customizer_footer_options() { ?>

	<?php $logo_spacing = get_theme_mod( 'footer_logo_spacing' );
	if ( ! $logo_spacing ) {
		$logo_spacing = array(
			'top'    => '10px',
			'bottom' => '10px',
			'left'   => '0px',
			'right'  => '0px',
		);
	}

	if ( $logo_spacing['top'] || $logo_spacing['right'] || $logo_spacing['bottom'] || $logo_spacing['left'] ) { ?>

		<style>
			.footer-wrapper .logo_holder{
				<?php if ( $logo_spacing['top'] ) { ?> padding-top: <?php echo (int)$logo_spacing['top']; ?>px; <?php } ?>
				<?php if ( $logo_spacing['right'] ) { ?> padding-right: <?php echo (int)$logo_spacing['right']; ?>px; <?php } ?>
				<?php if ( $logo_spacing['bottom'] ) { ?> padding-bottom: <?php echo (int)$logo_spacing['bottom']; ?>px; <?php } ?>
				<?php if ( $logo_spacing['left'] ) { ?> padding-left: <?php echo (int)$logo_spacing['left']; ?>px; <?php } ?>
			}
		</style>

	<?php }

	$logo_height = get_theme_mod( 'footer_logo_height' );
	if ( $logo_height === false ) { $logo_height = 44; }

	if ( $logo_height > 0 ) { ?>

		<style>
			.footer-wrapper .logo_holder img {
				height: <?php echo $logo_height .'px'; ?>;
			}
		</style>

	<?php } else { ?>

		<style>
			.background-top-menu .logo_holder {
				display: none;
			}
		</style>

	<?php }

	if ( get_theme_mod( 'logo_grayscale_enable', true ) != '' ) { ?>

		<style>
			.footer-wrapper .logo_holder img {
				-webkit-filter: grayscale(100%);
				filter: grayscale(100%);
				opacity: .7;
			}
		</style>

	<?php } ?>

	<style>

		<?php /* Background color */
		if ( get_theme_mod( 'footer_background' ) ) { ?> .footer-wrapper{ background-color: <?php echo get_theme_mod( 'footer_background' ); ?>; } <?php } ?>

		/* Scroll to Top */
		<?php if ( get_theme_mod( 'scroll_to_top_background' ) || get_theme_mod( 'scroll_to_top_border_size' ) || get_theme_mod( 'scroll_to_top_border_style' ) || get_theme_mod( 'scroll_icon_color' ) || get_theme_mod( 'scroll_to_top_border_color' ) ) { ?>

			<?php $scroll = get_theme_mod( 'scroll_icon_color' ); ?>

			.scrollToTop{
				<?php if ( get_theme_mod( 'scroll_to_top_background' ) ) { ?> background-color: <?php echo get_theme_mod( 'scroll_to_top_background' ) ?>; <?php } ?>

				<?php if ( get_theme_mod( 'scroll_to_top_border_size' ) && get_theme_mod( 'scroll_to_top_border_style' ) && get_theme_mod( 'scroll_to_top_border_color' ) ) { ?>
					border: <?php echo get_theme_mod( 'scroll_to_top_border_size' ) . 'px ' . get_theme_mod( 'scroll_to_top_border_style' ) . ' ' . get_theme_mod( 'scroll_to_top_border_color' ); ?>;
				<?php } ?>

				<?php if ( $scroll['link'] ) { ?> color: <?php echo $scroll['link']; ?> !important; <?php } ?>
			}

			<?php if ( $scroll['hover'] ) { ?>
				.scrollToTop:hover{
					color: <?php echo $scroll['hover']; ?> !important;
				}
			<?php }

		} ?>

	</style>

<?php }
/* END FOOTER */

/* LAYOUT OPTIONS */
function wpj_customizer_layout_options() {
	if ( get_theme_mod( 'site_width_value' ) ) {

		$width_type = get_theme_mod( 'site_width_type' ) == 'percentage' ? '%' : 'px'; ?>

		<style>
			.wrapper,
			.main,
			.ui.container {
				width: <?php echo get_theme_mod( 'site_width_value' ) . $width_type; ?>;
			}
		</style>

	<?php }
}
/* END LAYOUT OPTIONS */

/* TYPOGRAPHY OPTIONS */
function wpj_customizer_typography_options() {

	$main_font = get_theme_mod( 'primary_font_family' );
	$main_font = $main_font['font-family'] ? "\"" . $main_font['font-family'] . "\", sans-serif" : '"Open Sans", sans-serif'; ?>

	<style>
		/* Base font family */
		.brz .brz-reset-all,
		input::-webkit-input-placeholder, textarea::-webkit-input-placeholder,
		body,
		h1,h2,h3,h4,h5,
		.ui.button,
		.ui.text.container,
		.ui.header,
		.ui.input>input,
		.ui.list .list>.item .header,.ui.list>.item .header,
		.ui.steps .step .title,
		.ui.form input:not([type]),.ui.form input[type=date],.ui.form input[type=datetime-local],.ui.form input[type=email],.ui.for input[type=file],.ui.form input[type=number],.ui.form input[type=password],.ui.form input[type=search],.ui.form input[type=tel],.ui.form input[type=text],.ui.form input[type=time],.ui.form input[type=url],
		.ui.menu,
		.ui.message .header,
		.ui.card>.content>.header,.ui.cards>.card>.content>.header,
		.ui.items>.item>.content>.header,
		.ui.statistic>.value,.ui.statistics .statistic>.value,
		.ui.statistic>.label,.ui.statistics .statistic>.label,
		.ui.accordion .title:not(.ui),
		.ui.modal>.header,
		.ui.popup>.header,
		.ui.search>.results .result .title,
		.ui.search>.results>.message .header,
		.ui.category.search>.results .category>.name,
		button,input,optgroup,select,textarea {
			font-family: <?php echo $main_font; ?>;
		}

		/* Elements font size */
		<?php if ( get_theme_mod( 'h1_font_size' ) && get_theme_mod( 'h1_font_size' ) <= 3.5 ) { ?> h1 { font-size: <?php echo get_theme_mod( 'h1_font_size' ) . 'rem' ?>; } <?php } ?>
		<?php if ( get_theme_mod( 'h2_font_size' ) && get_theme_mod( 'h2_font_size' ) <= 3.5 ) { ?> h2 { font-size: <?php echo get_theme_mod( 'h2_font_size' ) . 'rem' ?>; } <?php } ?>
		<?php if ( get_theme_mod( 'h3_font_size' ) && get_theme_mod( 'h3_font_size' ) <= 3.5 ) { ?> h3 { font-size: <?php echo get_theme_mod( 'h3_font_size' ) . 'rem' ?>; } <?php } ?>
		<?php if ( get_theme_mod( 'h4_font_size' ) && get_theme_mod( 'h4_font_size' ) <= 3.5 ) { ?> h4 { font-size: <?php echo get_theme_mod( 'h4_font_size' ) . 'rem' ?>; } <?php } ?>
		<?php if ( get_theme_mod( 'h5_font_size' ) && get_theme_mod( 'h5_font_size' ) <= 3.5 ) { ?> h5 { font-size: <?php echo get_theme_mod( 'h5_font_size' ) . 'rem' ?>; } <?php } ?>
		<?php if ( get_theme_mod( 'h6_font_size' ) && get_theme_mod( 'h6_font_size' ) <= 3.5 ) { ?> h6 { font-size: <?php echo get_theme_mod( 'h6_font_size' ) . 'rem' ?>; } <?php } ?>

		<?php if ( get_theme_mod( 'anchor_font_size' ) ) { ?>
			i.dropdown.icon, a:not(#wpadminbar a) {
				font-size: <?php echo get_theme_mod( 'anchor_font_size' ) . 'px' ?>;
			}
		<?php } ?>
	</style>

<?php }
/* END TYPOGRAPHY OPTIONS */

/* ICON OPTIONS */
function wpj_customizer_icon_options() {

	$message_colour      = get_theme_mod( 'message_colour_icon_options_header' ) != '' ? get_theme_mod( 'message_colour_icon_options_header' ) : '#2d5767';
	$notification_colour = get_theme_mod( 'notification_colour_icon_options_header' ) != '' ? get_theme_mod( 'notification_colour_icon_options_header' ) : '#2d5767';

	$left_menu_colour    = get_theme_mod( 'left_mobile_menu_colour_icon_options_header' ) != '' ? get_theme_mod( 'left_mobile_menu_colour_icon_options_header' ) : '#1B1C1D';
	$right_menu_colour   = get_theme_mod( 'right_mobile_menu_colour_icon_options_header' ) != '' ? get_theme_mod( 'right_mobile_menu_colour_icon_options_header' ) : '#1B1C1D'; ?>

	<style>
		/* Header */
		.nh-icon.nh-messages .icon {
			color: <?php echo $message_colour; ?> !important;
		}
		.nh-icon.nh-notifications .icon {
			color: <?php echo $notification_colour; ?> !important;
		}

		.left-menu .icon.menu .item.menu-left .icon {
			color: <?php echo $left_menu_colour; ?> !important;
			text-shadow: 0 0.1em 0 <?php echo $left_menu_colour; ?> !important;
		}
		.right-menu .icon.menu .item.menu-right .icon {
			color: <?php echo $right_menu_colour; ?> !important;
		}
	</style>

<?php }

/* CHAT OPTIONS */
function wpj_customizer_chat_options() {

	$vars = array(
		'chat_sidebar_bg_color'                   => '#f7f8f9',
		'chat_sidebar_text_hover_bg_color'        => '#dddfe2',
		'chat_sidebar_text_color'                 => '#000000',
		'chat_sidebar_text_hover_color'           => '#000000',
		'chat_sidebar_icon_bg_color'              => '#ffffff',
		'chat_sidebar_icon_color'                 => '#5a5a5a',
		'chat_responsive_sidebar_head_bg_color'   => '#FFFFFF',
		'chat_responsive_sidebar_head_color'      => '#333333',
		'chat_box_head_bg_color'                  => '#ffffff',
		'chat_box_head_hover_bg_color'            => '#f2f3f5',
		'chat_box_head_unread_text_color'         => '#ffffff',
		'chat_box_head_unread_button_color_hover' => '#ffffff',
		'chat_box_head_unread_bg_color'           => '#0084ff',
		'chat_box_head_buttons_color'             => '#dcdee2',
		'chat_box_head_hover_buttons_color'       => '#0084ff',
		'chat_box_head_focus_buttons_color'       => '#0084ff',
		'chat_box_head_user_name_color'           => '#1c1e21',
		'chat_box_head_user_status_color'         => '#90949c',
		'chat_box_body_send_bg_color'             => '#0084ff',
		'chat_box_body_send_text_color'           => '#ffffff',
		'chat_box_body_received_bg_color'         => '#f1eff0',
		'chat_box_body_received_text_color'       => '#000000',
		'chat_box_footer_buttons_color'           => '#90949c',
		'chat_box_footer_hover_buttons_color'     => '#0084ff'
	);

	foreach ( $vars as $key => $value ) {
		$$key = get_theme_mod( $key ) ? get_theme_mod( $key ) : $value;
	} ?>

	<style>
		/* Sidebar */
		.chat-sidebar-container .chat-sidebar-users-list {
			background-color: <?php echo $chat_sidebar_bg_color; ?> !important;
		}
		.chat-sidebar-container .chat-sidebar-users-list .chat-sidebar-user-box {
			color: <?php echo $chat_sidebar_text_color; ?> !important;
		}
		.chat-sidebar-container .chat-sidebar-users-list .chat-sidebar-user-box:hover {
			color: <?php echo $chat_sidebar_text_hover_color; ?> !important;
			background-color: <?php echo $chat_sidebar_text_hover_bg_color; ?> !important;
			box-shadow: 1px 0 0 <?php echo $chat_sidebar_text_hover_bg_color; ?> inset !important;
		}
		.chat-sidebar-container .chat-sidebar-anchor-text {
			background-color: <?php echo $chat_responsive_sidebar_head_bg_color; ?> !important;
		}
		.chat-sidebar-container .chat-sidebar-anchor-text {
			color: <?php echo $chat_responsive_sidebar_head_color; ?> !important;
		}
		.chat-sidebar-container .chat-sidebar-anchor-icon {
			background-color: <?php echo $chat_sidebar_icon_bg_color; ?> !important;
		}
		.chat-sidebar-container .chat-sidebar-anchor-icon {
			color: <?php echo $chat_sidebar_icon_color; ?> !important;
		}

		/* Message box head */
		.message-box-container .message-box-wrapper .message-box-head {
			background-color: <?php echo $chat_box_head_bg_color; ?> !important;
		}
		.message-box-container .message-box-wrapper .message-box-head:hover {
			background-color: <?php echo $chat_box_head_hover_bg_color; ?> !important;
		}
		.message-box-container .message-box-wrapper.unread .message-box-head {
			background-color: <?php echo $chat_box_head_unread_bg_color; ?> !important;
		}
		.message-box-container .message-box-wrapper .message-box-head .message-box-head-content .message-box-head-buttons i,
		.message-box-container .message-box-wrapper .message-box-head .message-box-head-content .message-box-head-buttons span {
			color: <?php echo $chat_box_head_buttons_color; ?> !important;
		}
		.message-box-container .message-box-wrapper .message-box-head .message-box-head-content .message-box-head-buttons i:hover,
		.message-box-container .message-box-wrapper .message-box-head .message-box-head-content .message-box-head-buttons span:hover {
			color: <?php echo $chat_box_head_hover_buttons_color; ?> !important;
		}
		.message-box-container .message-box-wrapper.unread .message-box-head .message-box-head-content .message-box-head-buttons i:hover,
		.message-box-container .message-box-wrapper.unread .message-box-head .message-box-head-content .message-box-head-buttons span:hover {
			color: <?php echo $chat_box_head_unread_button_color_hover; ?> !important;
		}
		.message-box-container .message-box-wrapper.has-focus .message-box-head .message-box-head-content .message-box-head-buttons i,
		.message-box-container .message-box-wrapper.has-focus .message-box-head .message-box-head-content .message-box-head-buttons span {
			color: <?php echo $chat_box_head_focus_buttons_color; ?> !important;
		}
		.message-box-container .message-box-wrapper .message-box-head .message-box-head-content .message-box-head-user .message-box-user-info .message-box-user-info-title {
			color: <?php echo $chat_box_head_user_name_color; ?> !important;
		}
		.message-box-container .message-box-wrapper .message-box-head .message-box-head-content .message-box-head-user .message-box-user-info .message-box-user-info-status {
			color: <?php echo $chat_box_head_user_status_color; ?> !important;
		}
		.message-box-container .message-box-wrapper.unread .message-box-head .message-box-head-content .message-box-head-user .message-box-user-info .message-box-user-info-title,
		.message-box-container .message-box-wrapper.unread .message-box-head .message-box-head-content .message-box-head-user .message-box-user-info .message-box-user-info-status {
			color: <?php echo $chat_box_head_unread_text_color; ?> !important;
		}

		/* Message box body */
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .message-text-content,
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .message-text-content a {
			color: <?php echo $chat_box_body_send_text_color; ?> !important;
			background-color: <?php echo $chat_box_body_send_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .message-text-content,
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .message-text-content a {
			color: <?php echo $chat_box_body_received_text_color; ?> !important;
			background-color: <?php echo $chat_box_body_received_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .message-text-content .message-custom-offer .custom-offer-response {
			color: <?php echo $chat_box_body_send_text_color; ?> !important;
			background-color: <?php echo $chat_box_body_send_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .message-text-content .message-custom-offer .custom-offer-response {
			color: <?php echo $chat_box_body_received_text_color; ?> !important;
			background-color: <?php echo $chat_box_body_received_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .message-text-content .message-custom-offer i.icon {
			color: <?php echo $chat_box_body_send_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .message-text-content .message-custom-offer i.icon {
			color: <?php echo $chat_box_body_received_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .pm-attachments .pm-filesize,
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .pm-attachment-rtl a:before,
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .pm-attachments .div_div2 a:before {
			color: <?php echo $chat_box_body_send_text_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .pm-attachments .pm-filesize,
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .pm-attachment-rtl a:before,
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .pm-attachments .div_div2 a:before {
			color: <?php echo $chat_box_body_received_text_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.received .message-text-content.custom-offer {
			border: 1px solid <?php echo $chat_box_body_send_bg_color; ?> !important;
		}
		.message-box-container .message-box-body .message-box-content .message-wrapper.sent .message-text-content.custom-offer {
			border: 1px solid <?php echo $chat_box_body_received_bg_color; ?> !important;
		}

		/* Message box footer */
		.message-box-attachments #queue + div,
		.message-box-quick-response,
		.emojionearea-button-open,
		.emojionearea-button-close {
			color: <?php echo $chat_box_footer_buttons_color; ?> !important;
		}
		.message-box-attachments #queue + div:hover i,
		.message-box-quick-response:hover,
		.emojionearea-button:hover .emojionearea-button-open,
		.emojionearea-button:hover .emojionearea-button-close {
			color: <?php echo $chat_box_footer_hover_buttons_color; ?> !important;
		}
	</style>

<?php }
/* END CHAT OPTIONS */
