<?php
// Add header to login/register page
add_action( 'login_head', function() { get_header(); });

// Add footer to login/register page
add_action( 'login_footer', function() { get_footer(); });

add_filter( 'shake_error_codes', function ( $shake_error_codes ) { return array(); });

add_filter( 'login_message', function() { return " "; }, 11 );

add_filter( 'login_errors', function( $errors ) {
	if ( get_option( 'wpjobster_enable_login_hints' ) != 'no' )
		return $errors;
	else
		return __( 'The login data entered is incorrect!', 'wpjobster' );
}, 10, 1 );

add_action( 'wsl_process_login_new_users_gateway_closing_body', function() {
	echo '<style>#cell_number{border: 1px solid #e5e5e5;box-shadow: 1px 1px 2px rgba(200, 200, 200, 0.2) inset;color: #555;font-size: 17px;height: 30px;line-height: 1;margin-bottom: 16px;margin-right: 6px;margin-top: 2px;outline: 0 none;padding: 3px;width: 100%;}</style>';
});

// WP Social Login Support
add_action( 'wsl_head', function() { do_action( 'wp_head' ); } );
add_action( 'wsl_footer', function() { do_action( 'wp_footer' ); } );

// Deregister 'load-style.php' style on login&register page
add_action( 'login_init', function() { if ( $GLOBALS['pagenow'] === 'wp-login.php' ) { wp_deregister_style( 'login' ); } });


function wpjobster_login_form_extra_fileds() { ?>
	<div class="field recaptcha_extra_field">
		<?php wpj_recaptcha_form('default_login'); ?>
	</div>

	<div class="field 2fa_extra_field center">
		<?php wpj_2fa_form(); ?>
	</div>

	<div id="divider_login_outer">
		<div style="margin-top:10px;z-index:10;">
			<div style="float:left">
				<div class="ui checkbox">
					<input class="input" name="rememberme" type="checkbox" id="rememberme" value="forever" />
					<label><span style="font-size:11px;" ><?php esc_attr_e('Keep me logged in', 'wpjobster'); ?> </span></label>
				</div>
			</div>
			<div style="float:right">
				<span style="font-size:11px;" >
					<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php _e( 'Forgot Password', 'wpjobster' ); ?></a>
				</span>
			</div>
		</div>

		<div id="divider_login" style="text-align: center; clear: both;">
			<div class="divider">
				<span><?php _e('or', 'wpjobster'); ?></span>
			</div>

			<?php do_action( 'wordpress_social_login' );

			$buttons_list = array(
				'register' => array(
					'label'   => __( 'Are you a member?', 'wpjobster' ),
					'url'     => wp_registration_url(),
					'a_class' => ""
				)
			);

			$buttons_list = apply_filters( 'wpj_header_button_filter', $buttons_list ); ?>

			<br/><a href="<?php echo $buttons_list['register']['url']; ?>" class="<?php echo $buttons_list['register']['a_class']; ?>"><?php echo $buttons_list['register']['label']; ?></a>

		</div>
	</div>
<?php }
add_action( 'login_form', 'wpjobster_login_form_extra_fileds' );


function wpjobster_register_form_extra_fileds() {
	$cell_number = WPJ_Form::post( 'cell_number' );
	$user_company = WPJ_Form::post( 'user_company' );

	if ( get_option('wpjobster_enable_phone_number' ) == 'yes' ) { ?>
		<div class="field phone_extra_field">
			<input data-default-country="<?php echo get_option('wpjobster_phone_country_select'); ?>" data-only-countries="<?php echo apply_filters( 'wpj_phone_prefixes_intltelinput_filter', '' ); ?>" type="tel" class="cell_number" name="cell_number" id="cell_number" size="30" maxlength="100" value="<?php echo $cell_number; ?>" placeholder="<?php _e( "Phone Number", "wpjobster" ); ?>" />
			<input type="hidden" id="country_number" name="country_number" />
		</div>
	<?php }

	if ( get_option('wpjobster_enable_user_company' ) == 'yes' ) { ?>
		<div class="field company_extra_field">
			<input type="text" class="user_company" name="user_company" id="user_company" size="30" maxlength="100" value="<?php echo $user_company; ?>" placeholder="<?php _e( "Company Name", "wpjobster" ); ?>" />
		</div>
	<?php }
}
add_action( 'register_form', 'wpjobster_register_form_extra_fileds', 10, 1 );

function wpjobster_register_form_password_fileds() {

	// only default wp-login page
	if ( isset( $_REQUEST['action'] ) && $_REQUEST['action'] == 'register' ) {

		$user_pass = WPJ_Form::post( 'user_password' );
		$user_confirm_password = WPJ_Form::post( 'user_confirm_password' );

		?>
		<div class="field pass_extra_field">
			<input type="password" name="user_password" id="user_password" size="30" maxlength="100" value="<?php echo $user_pass; ?>" placeholder="<?php _e( "Password", "wpjobster" ); ?>" />
		</div>

		<div class="field pass_extra_field">
			<input type="password" name="user_confirm_password" id="user_confirm_password" size="30" maxlength="100" value="<?php echo $user_confirm_password; ?>" placeholder="<?php _e( "Confirm Password", "wpjobster" ); ?>" />
			</label>
		</div>
		<?php
	}
}
add_action( 'register_form', 'wpjobster_register_form_password_fileds', 9, 1 );

// display agree tos and privacy
function wpjobster_register_form_tos_and_privacy_fileds() {

	// By creating an account, you agree to our Terms of Service and Privacy Policy.
	if ( get_option( 'wpjobster_register_tos_and_privacy' ) == 'text' ) {
		echo '<p>' . sprintf(
			__( 'By creating an account, you agree to our <a href="%1$s" target="_blank" class="underline">Terms of Service</a> and <a href="%2$s" target="_blank" class="underline">Privacy Policy</a>.', 'wpjobster' ),
			get_permalink( get_option( 'wpjobster_terms_of_service_page_id' ) ),
			get_permalink( get_option( 'wpjobster_privacy_policy_page_id' ) )
		) . '</p>';
	}

	// [] I have read and I agree with the Terms of Service and Privacy Policy.
	elseif ( get_option( 'wpjobster_register_tos_and_privacy' ) == 'checkbox' ) {
		echo '<p><label class="ui checkbox">';
		echo '<input type="checkbox" value="1" name="wpj_agree_tos_privacy">';
		echo '<span class="box">' .
			sprintf(
				__( 'I have read and I agree with the <a href="%1$s" target="_blank" class="underline">Terms of Service</a> and <a href="%2$s" target="_blank" class="underline">Privacy Policy</a>.', 'wpjobster' ),
				get_permalink( get_option( 'wpjobster_terms_of_service_page_id' ) ),
				get_permalink( get_option( 'wpjobster_privacy_policy_page_id' ) )
			)
		. '</span>';
		echo '</label></p>';
	}
}
add_action( 'register_form', 'wpjobster_register_form_tos_and_privacy_fileds', 15, 1 );

function wpjobster_register_form_last_fileds() {

	// only default wp-login page
	if ( isset( $_REQUEST['action'] ) && $_REQUEST['action'] == 'register' ) {
		?>
		<div class="field recaptcha_extra_field">
			<?php wpj_recaptcha_form( 'register_form' ); ?>
		</div>

		<div id="divider_login_outer">

			<div id="divider_login" style="text-align: center; clear: both;">
				<?php global $pagenow;
				if ( $pagenow == 'wp-login.php' && isset( $_GET['action'] ) && $_GET['action'] == "register" ) { ?>
					<div class="divider">
						<span><?php _e('or', 'wpjobster'); ?></span>
					</div>

					<?php do_action( 'wordpress_social_login' );

					$buttons_list = array(
						'login' => array(
							'label'   => __( 'Already Registered?', 'wpjobster' ),
							'url'     => get_bloginfo( 'wpurl' ) . '/wp-login.php',
							'a_class' => "",
						),
					);

					$buttons_list = apply_filters( 'wpj_header_button_filter', $buttons_list ); ?>

					<br/><a class="<?php echo $buttons_list['login']['a_class']; ?>" href="<?php echo $buttons_list['login']['url']; ?>"><?php echo $buttons_list['login']['label']; ?></a>
				<?php } ?>
			</div>
		</div>
	<?php }
}
add_action( 'register_form', 'wpjobster_register_form_last_fileds', 21, 1 );

function wpjobster_register_validation( $errors ) {
	if ( isset( $_REQUEST['action'] ) && $_REQUEST['action'] == 'register' ) {
		// Check the password
		if ( $_POST['user_password'] == '' ) {
			$errors->add( 'empty_password', __( '<strong>ERROR</strong>: Please enter a password.', 'wpjobster' ) );
		} elseif ( $_POST['user_password'] != $_POST['user_confirm_password'] ) {
			$errors->add( 'confirm_password', __( '<strong>ERROR</strong>: Passwords do not match', 'wpjobster' ) );
		}
	}

	if ( get_option('wpjobster_enable_phone_number') == 'yes' ) {
		if ( get_option('wpjobster_phone_number_mandatory') == 'yes' ) {
			global $wpdb;

			$user_meta_table = defined( 'CUSTOM_USER_META_TABLE' ) ? CUSTOM_USER_META_TABLE : $wpdb->prefix . 'usermeta';

			$phone = $_POST['cell_number'];
			$sql = "SELECT * FROM {$user_meta_table} WHERE meta_key = 'cell_number' AND meta_value = '{$phone}'";
			$results = $wpdb->get_results( $sql );
			if ( $results ) {
				$errors->add( 'phone_exists', __( '<strong>ERROR</strong>: This phone number is already registered, please choose another one.', 'wpjobster' ) );
			} elseif ( ! $_POST['cell_number'] ) {
				$errors->add( 'empty_cell_number', __( '<strong>ERROR</strong>: Please enter phone number.', 'wpjobster' ) );
			}
		}
	}

	// error agree tos and privacy
	if ( get_option( 'wpjobster_register_tos_and_privacy' ) == 'checkbox' ) {
		if ( ! isset( $_POST['wpj_agree_tos_privacy'] ) ) {
			$errors->add( 'error_tos_privacy', __( '<strong>ERROR</strong>: Terms of Service and Privacy Policy agreement is required.', 'wpjobster' ) );
		}
	}

	if ( isset( $_REQUEST['action'] ) && $_REQUEST['action'] == 'register' ) {
		/* reCaptcha */
		if ( get_option( 'wpjobster_enable_user_reCaptcha' ) == 'yes' ) {
			$parameters = array(
				'secret' => get_option( 'wpjobster_recaptcha_api_secret' ),
				'response' => $_POST["g-recaptcha-response"]
			);
			$url = 'https://www.google.com/recaptcha/api/siteverify?' . http_build_query($parameters);

			$response = wpj_recaptcha_open_url( $url );
			$json_response = json_decode( $response, true );

			if ( $json_response['success'] == false ) {
				$errors->add( 'captcha_error', __( '<strong>ERROR</strong>: Please verify the captcha!', 'wpjobster' ) );
			}
		}
	}

	return $errors;
}
add_filter( 'registration_errors', 'wpjobster_register_validation', 10, 3 );

function wpjobster_login_validation( $user, $password ){
	if ( get_option( 'wpjobster_enable_user_reCaptcha' ) == 'yes' ) {
		if ( ! isset( $_POST['_wp_http_referer'] ) && ! isset( $_POST['bouncer_account_linking'] ) ) {
			$post = isset( $_POST["g-recaptcha-response"] ) ? $_POST["g-recaptcha-response"] : '';
			$parameters = array(
				'secret' => get_option( 'wpjobster_recaptcha_api_secret' ),
				'response' => $post
			);
			$url = 'https://www.google.com/recaptcha/api/siteverify?' . http_build_query($parameters);

			$response = wpj_recaptcha_open_url( $url );
			$json_response = json_decode( $response, true );

			if ( $json_response['success'] == false ) {
				return new WP_Error( 'captcha_error', __( '<strong>ERROR</strong>: Please verify the captcha!', 'wpjobster' ) );
			}
		}
	}

	if ( get_option( 'wpjobster_enable_user_2fa' ) == 'yes' ) {
		include_once get_template_directory() . '/vendor/google-authenticator/FixedBitNotation.php';
		include_once get_template_directory() . '/vendor/google-authenticator/GoogleAuthenticatorInterface.php';
		include_once get_template_directory() . '/vendor/google-authenticator/GoogleAuthenticator.php';
		include_once get_template_directory() . '/vendor/google-authenticator/GoogleQrUrl.php';
		include_once get_template_directory() . '/vendor/google-authenticator/RuntimeException.php';

		$g = new \Sonata\GoogleAuthenticator\GoogleAuthenticator();

		$secret = isset( $_COOKIE['wpj_2fa_code'] ) ? $_COOKIE['wpj_2fa_code'] : '';

		if ( $g->checkCode( $secret, $_POST['2fa_code'] ) ) {}
		else {
			return new WP_Error( '2fa_error', __( '<strong>ERROR</strong>: The verification code is invalid!', 'wpjobster' ) );
		}
	}

	return $user;
}
add_filter( 'wp_authenticate_user', 'wpjobster_login_validation', 10, 2 );

function generateRandomString($length = 10) {
	$characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$charactersLength = strlen($characters);
	$randomString = '';
	for ($i = 0; $i < $length; $i++) {
		$randomString .= $characters[rand(0, $charactersLength - 1)];
	}
	return $randomString;
}

function register_form_custom_password() {
	$user_pass = WPJ_Form::post( 'user_password', '');
	if($user_pass == '') {
		$user_pass = generateRandomString();
	}
	return $user_pass;
}
add_filter( 'random_password', 'register_form_custom_password' );

function wpjobster_custom_user_register( $user_id ) {
	if ($user_id > 0) {

		if (get_option('wpjobster_enable_phone_number') == 'yes') {
			// Save phone number and country number
			update_user_meta($user_id, 'cell_number', $_POST['cell_number']);
		}

		if (get_option('wpjobster_enable_user_company') == 'yes') {
			// Save user company
			update_user_meta($user_id, 'user_company', $_POST['user_company']);
		}

		update_user_meta( $user_id, 'uz_email_verification', 0 );

		// save agree tos and privacy
		if ( get_option( 'wpjobster_register_tos_and_privacy' ) == 'text' ) {
			update_user_meta( $user_id, 'wpj_agree_tos_privacy', 1 );
		} elseif ( get_option( 'wpjobster_register_tos_and_privacy' ) == 'checkbox' ) {
			if ( isset( $_POST['wpj_agree_tos_privacy'] ) ) {
				update_user_meta( $user_id, 'wpj_agree_tos_privacy', 1 );
			}
		}

		if( is_plugin_active('di-aiosc/di-aiosc.php') ) {
			$user = new WP_User( $user_id );
			global $aiosc_settings;
			$role = $aiosc_settings->get( "default_role" );
			$user->add_cap( $role );
		}

		$user_data = get_userdata( $user_id );

		$email_key = wpjobster_email_verification_init( $user_id );
		$email_key_processed = hash( "sha256", $user_data->user_nicename . $email_key, false );
		$email_verification  = get_bloginfo( 'url' ) . "/?jb_action=verify_email&username=" . $user_data->user_nicename . "&key=" . $email_key_processed;

		wpjobster_registration_completed_functions($user_id);

		wpj_notify_user_translated( 'user_new', $user_id, array( '##username##' => wpj_get_user_display_type( $user_data->ID ), '##email_verification##' => $email_verification, '##receiver_email##' => $user_data->user_email ) );

		if ( ! function_exists( 'is_account_segregation' ) ) {
			wpj_notify_user_translated( 'user_admin_new', 'admin', array( '##username##' => wpj_get_user_display_type( $user_data->ID ), '##user_email##' => $user_data->user_email ) );
		}

	}
}
add_action( 'user_register', 'wpjobster_custom_user_register' );
remove_action( 'register_new_user', 'wp_send_new_user_notifications' );

function wpjobster_register_redirect( $user_id ) { auto_login_new_user( $user_id ); }

function wpjobster_registration_completed_functions($uid) {

	// user ip
	$ip = wpj_get_user_ip();
	update_user_meta( $uid, 'ip_reg', $ip );

	global $wpdb;
	$s = "select * from " . $wpdb->prefix . "job_ipcache where ipnr='$ip'";
	$r = $wpdb->get_results($s);
	if (count($r) > 0) {
		update_user_meta($uid, 'ip_reg_used', 1);
	}

	// user country
	$user_country = wpjobster_get_country_code_of_ip($ip);
	update_user_meta($uid, 'country_code', $user_country);

	$get_info = isset( $r[0]->info ) ? json_decode( $r[0]->info ) : '';

	if( $get_info ){
		// user city
		$user_city = $get_info->cityName;
		update_user_meta($uid, 'city', $user_city);

		//user zipcode
		$user_zipcode = $get_info->zipCode;
		update_user_meta($uid, 'zip', $user_zipcode);
	}

	//user timezone
	$wpjobster_user_time_zone = get_option('wpjobster_user_time_zone');
	if($wpjobster_user_time_zone != 'autodetect'){
		update_user_meta($uid, 'timezone_select', $wpjobster_user_time_zone);
	}else{
		if ( $user_country != '' && $user_country != '-' ) {
			$timezone = \DateTimeZone::listIdentifiers(\DateTimeZone::PER_COUNTRY, $user_country);
			update_user_meta($uid, 'timezone_select', $timezone[0]);
		}
	}

	// user level (default)
	$wpjobster_default_level_nr = get_option('wpjobster_default_level_nr');
	if (is_numeric($wpjobster_default_level_nr)
		&& $wpjobster_default_level_nr > 0
		&& $wpjobster_default_level_nr <= 3) {
		update_user_meta($uid, 'user_level', $wpjobster_default_level_nr);

		if ($wpjobster_default_level_nr == 3
			|| $wpjobster_default_level_nr == 2) {
			update_user_meta($uid, 'date_toclear', strtotime('+2 month', time()));
		} else {
			update_user_meta($uid, 'date_toclear', strtotime('+1 month', time()));
		}

	} else {
		update_user_meta($uid, 'user_level', "0");
		update_user_meta($uid, 'date_toclear', strtotime('+1 month', time()));
	}

}

function wpjobster_social_login_form($provider_id, $provider_name, $authenticate_url) {
	$return = '<a rel="nofollow" href="' . $authenticate_url . '" title="' . sprintf( __("Connect with %s", 'wpjobster'), $provider_name ) . '" class="wp-social-login-provider wp-social-login-provider-' . strtolower( $provider_id ) . '" data-provider="' . $provider_id . '">' . sprintf( __("Connect with %s", 'wpjobster'), $provider_name ) . '</a>';
	return $return;
}
add_filter('wsl_render_auth_widget_alter_provider_icon_markup', 'wpjobster_social_login_form', 10, 3);

if ( !function_exists( 'wpj_recaptcha_open_url' ) ) {
	function wpj_recaptcha_open_url( $url ) {
		if ( function_exists( 'curl_init' ) && function_exists( 'curl_setopt' ) && function_exists( 'curl_exec' ) ) {
			$ch = curl_init();
			curl_setopt( $ch, CURLOPT_URL, $url );
			curl_setopt( $ch, CURLOPT_HEADER, false );
			curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
			curl_setopt( $ch, CURLOPT_TIMEOUT, 60 );
			curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, false );
			$response = curl_exec( $ch );
			curl_close( $ch );
		} else {
			$response = file_get_contents( $url );
		}
		return trim( $response );
	}
}

if ( !function_exists( 'wpj_recaptcha_form' ) ) {
	function wpj_recaptcha_form( $identifier = 'g-recaptcha' ) {
		if ( get_option( 'wpjobster_enable_user_reCaptcha' ) == 'yes' ) { ?>
			<script src='https://www.google.com/recaptcha/api.js?onload=reCaptchaCallback'></script>

			<div class="g-recaptcha-class" data-sitekey="<?php echo get_option( 'wpjobster_recaptcha_api_key' ); ?>" id="<?php echo $identifier; ?>"></div>
			<input type="hidden" name="g-recaptcha-response" id="<?php echo $identifier; ?>_response">

			<script>
				var key        = '<?php echo get_option( 'wpjobster_recaptcha_api_key' ); ?>';
				var identifier = '<?php echo $identifier; ?>';
				var language   = '<?php echo substr( get_bloginfo ( 'language' ), 0, 2 ); ?>';

				var reCaptchaCallback = function() {
					if ( jQuery('#' + identifier).length ) {
						grecaptcha.render( identifier, { 'sitekey' : key, 'callback' : 'var_' + identifier + '_callback', 'hl' : language } );
					}
				};
				window['var_' + identifier + '_callback'] = function( response ) {
					jQuery( '#' + identifier + '_response' ).val( response );
				};
			</script>
		<?php }
	}
}

if ( ! function_exists( 'wpj_2fa_form' ) ) {
	function wpj_2fa_form() {

		if ( get_option( 'wpjobster_enable_user_2fa' ) == 'yes' ) {

			include_once get_template_directory() . '/vendor/google-authenticator/FixedBitNotation.php';
			include_once get_template_directory() . '/vendor/google-authenticator/GoogleAuthenticatorInterface.php';
			include_once get_template_directory() . '/vendor/google-authenticator/GoogleAuthenticator.php';
			include_once get_template_directory() . '/vendor/google-authenticator/GoogleQrUrl.php';
			include_once get_template_directory() . '/vendor/google-authenticator/RuntimeException.php';

			$g = new \Sonata\GoogleAuthenticator\GoogleAuthenticator();

			$secret = $g->generateSecret();

			setcookie( 'wpj_2fa_code', $secret, time() + 3600, '/' ); ?>

			<p>
				<?php _e( 'Please install Google Authenticator App on your phone, open it and then scan the above bar code to add this application. After adding this application, enter the code you see in the Google Authenticator App into the below input box to complete the login process.', 'wpjobster' ); ?>
			</p>

			<img src="<?php echo \Sonata\GoogleAuthenticator\GoogleQrUrl::generate( str_replace( array( 'http://', 'https://' ), '', get_site_url() ), $secret, get_bloginfo( 'name' ) ); ?>" class="margin10bottom" />

			<input type="text" name="2fa_code" placeholder="<?php _e( '2-Step Verification Code', 'wpjobster' ); ?>" class="mb20" />

		<?php }

	}
}

add_filter( 'login_form_middle', 'wpj_aio_recaptcha_field' );
function wpj_aio_recaptcha_field() { ob_start();

	wpj_recaptcha_form( 'aio_form' );

	wpj_2fa_form();

	$ret = ob_get_contents(); ob_clean();

	return $ret;

 }