<?php
/* Output as file instead oinline to fix wp-login page */
add_filter( 'kirki_output_inline_styles', function() {
	return false;
} );

/*** KIRKI FIELDS ***/
Kirki::add_config( 'wpjobster', array(
	'capability'  => 'edit_theme_options',
	'option_type' => 'theme_mod',
) );

// HEADER CUSTOMIZER
Kirki::add_field( 'logo_height', array(
	'type'     => 'slider',
	'settings' => 'logo_height',
	'label'    => esc_attr__( 'Logo Height', 'wpjobster' ),
	'section'  => 'header_options',
	'default'  => 44,
	'choices'  => array(
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
	),
) );

Kirki::add_field( 'logo_spacing', array(
	'type'        => 'spacing',
	'settings'    => 'logo_spacing',
	'label'       => __( 'Logo Spacing', 'wpjobster' ),
	'section'     => 'header_options',
	'description' => 'For spacing you can use only px',
	'default'     => array(
		'top'    => '10px',
		'bottom' => '10px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'priority'    => 10,
) );

Kirki::add_field( 'header_fixed', array(
	'type'     => 'switch',
	'settings' => 'header_fixed',
	'label'    => __( 'Header Fixed on Scroll', 'wpjobster' ),
	'section'  => 'header_options',
	'default'  => '1',
	'priority' => 10,
	'choices'  => array(
		'on'  => esc_attr__( 'Enable', 'wpjobster' ),
		'off' => esc_attr__( 'Disable', 'wpjobster' ),
	),
) );

Kirki::add_field( 'header_border', array(
	'type'     => 'switch',
	'settings' => 'header_border',
	'label'    => __( 'Show Header Middle Border', 'wpjobster' ),
	'section'  => 'header_options',
	'default'  => '1',
	'priority' => 10,
	'choices'  => array(
		'on'  => esc_attr__( 'Enable', 'wpjobster' ),
		'off' => esc_attr__( 'Disable', 'wpjobster' ),
	),
) );

// LAYOUT CUSTOMIZER
Kirki::add_field( 'enable_responsive', array(
	'type'     => 'switch',
	'settings' => 'enable_responsive',
	'label'    => __( 'Enable Responsive', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => 'yes',
	'priority' => 10,
	'choices'  => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

Kirki::add_field( 'enable_video_icon_cards', array(
	'type'     => 'switch',
	'settings' => 'enable_video_icon_cards',
	'label'    => __( 'Video Icon on Thumbnails', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => 'yes',
	'priority' => 10,
	'choices'  => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

Kirki::add_field( 'enable_rating_count_cards', array(
	'type'     => 'switch',
	'settings' => 'enable_rating_count_cards',
	'label'    => __( 'Enable Rating Count on Homepage Cards', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => 'yes',
	'priority' => 10,
	'choices'  => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

Kirki::add_field( 'site_width_value', array(
	'type'     => 'number',
	'settings' => 'site_width_value',
	'label'    => __( 'Site Width', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => '1170',
	'priority' => 10,
	'choices'  => array(
		'min'  => 10,
		'max'  => 2000,
		'step' => 1,
	),
) );

Kirki::add_field( 'site_width_type', array(
	'type'     => 'select',
	'settings' => 'site_width_type',
	'label'    => '',
	'section'  => 'layout_options',
	'default'  => 'px',
	'priority' => 10,
	'multiple' => 1,
	'choices'  => array(
		'px'         => esc_attr__( 'PX', 'wpjobster' ),
		'percentage' => esc_attr__( '%', 'wpjobster' ),
	),
) );

Kirki::add_field( 'cards_style', array(
	'type'     => 'select',
	'settings' => 'cards_style',
	'label'    => __( 'Job Cards (Thumbnails) Style', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => '1',
	'priority' => 10,
	'multiple' => 1,
	'choices'  => array(
		'1' => esc_attr__( '1 - Simple (sliding on hover)', 'wpjobster' ),
		'2' => esc_attr__( '2 - Rich (no hover)', 'wpjobster' ),
		'3' => esc_attr__( '3 - Fiverr', 'wpjobster' ),
	),
) );

Kirki::add_field( 'menu_style', array(
	'type'     => 'select',
	'settings' => 'menu_style',
	'label'    => __( 'Main Menu Style', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => '2',
	'priority' => 10,
	'multiple' => 1,
	'choices'  => array(
		'1' => esc_attr__( 'One column', 'wpjobster' ),
		'2' => esc_attr__( 'Two columns', 'wpjobster' ),
	),
) );

Kirki::add_field( 'enable_long_menu_arrows', array(
	'type'     => 'switch',
	'settings' => 'enable_long_menu_arrows',
	'label'    => __( 'Long Menu Arrows', 'wpjobster' ),
	'section'  => 'layout_options',
	'default'  => 'no',
	'priority' => 10,
	'choices'  => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

// TYPOGRAPHY CUSTOMIZER
add_filter( 'kirki/fields', 'wpj_customizer_typography_fields' );
function wpj_customizer_typography_fields( $fields ) {

	$fields[] = [
		'type'        => 'typography',
		'settings'    => 'primary_font_family',
		'label'       => esc_html__( 'Main Font', 'wpjobster' ),
		'section'     => 'typography_options_main',
		'default'     => [
			'font-family'    => '"Open Sans", sans-serif',
			'variant'        => 'regular',
			'font-size'      => '14px',
			'color'          => '#333435',
		],
		'choices'  => array(
			'variant' => array(
				'regular',
				'italic',
				'300',
				'300italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
			),
		),
		'priority'    => 1,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => array(
					'html, body, .brz .brz-reset-all, .brz .brz-wp-shortcode',
				),
			],
		],
	];

	$fields[] = [
		'type'        => 'typography',
		'settings'    => 'secondary_font_family',
		'label'       => esc_html__( 'Headings', 'wpjobster' ),
		'section'     => 'typography_options_headings',
		'default'     => [
			'font-family'    => '"Open Sans", sans-serif',
			'variant'        => '700',
			'color'          => '#333435',
		],
		'priority'    => 1,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => array(
					'h1', 'h2', 'h3', 'h4', 'h5', 'h6',
					'.ui.header',
				),
			],
		],
	];

	$fields[] = [
		'type'        => 'typography',
		'settings'    => 'header_font_family',
		'label'       => esc_html__( 'Header Menus', 'wpjobster' ),
		'section'     => 'typography_options',
		'default'     => [
			'font-family'    => '"Open Sans", sans-serif',
			'variant'        => 'regular',
			'font-size'      => '14px',
			'color'          => '#333435',
		],
		'priority'    => 1,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => array(
					'.wrapper-menu .middle-menu .categories-here .menu-item-type-taxonomymenu-item-object-job_cat a',
					'.wrapper-menu .middle-menu .categories-here .menu-item-object-job_cat a',
					'.nh-secondary-menu a',
					'.nh-user-name'
				),
			],
		],
	];

	$fields[] = [
		'type'        => 'typography',
		'settings'    => 'footer_font_family',
		'label'       => esc_html__( 'Footer Menus', 'wpjobster' ),
		'section'     => 'typography_options',
		'default'     => [
			'font-family'    => '"Open Sans", sans-serif',
			'variant'        => 'regular',
			'font-size'      => '14px',
			'color'          => '#999999',
		],
		'priority'    => 1,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => array(
					'.footer-row-widgets li a',
					'.footer-row-widgets h2',
					'.footer-copyright p',
					'.footer-copyright p .customize-unpreviewable',
					'.social-media-widgets-area .widget-title'
				),
			],
		],
	];

	return $fields;
}

Kirki::add_field( 'h1_font_size', array(
	'type'        => 'slider',
	'settings'    => 'h1_font_size',
	'label'       => esc_attr__( 'H1 Font Size (rem)', 'wpjobster' ),
	'description' => '',
	'section'     => 'typography_options_headings',
	'default'     => 2,
	'choices'     => array(
		'min'  => '0.5',
		'max'  => '3.5',
		'step' => '0.001',
	),
) );

Kirki::add_field( 'h2_font_size', array(
	'type'        => 'slider',
	'settings'    => 'h2_font_size',
	'label'       => esc_attr__( 'H2 Font Size (rem)', 'wpjobster' ),
	'section'     => 'typography_options_headings',
	'default'     => 1.714,
	'choices'     => array(
		'min'  => '0.5',
		'max'  => '3.5',
		'step' => '0.001',
	),
) );

Kirki::add_field( 'h3_font_size', array(
	'type'        => 'slider',
	'settings'    => 'h3_font_size',
	'label'       => esc_attr__( 'H3 Font Size (rem)', 'wpjobster' ),
	'section'     => 'typography_options_headings',
	'default'     => 1.285,
	'choices'     => array(
		'min'  => '0.5',
		'max'  => '3.5',
		'step' => '0.001',
	),
) );

Kirki::add_field( 'h4_font_size', array(
	'type'        => 'slider',
	'settings'    => 'h4_font_size',
	'label'       => esc_attr__( 'H4 Font Size (rem)', 'wpjobster' ),
	'section'     => 'typography_options_headings',
	'default'     => 1.071,
	'choices'     => array(
		'min'  => '0.5',
		'max'  => '3.5',
		'step' => '0.001',
	),
) );

Kirki::add_field( 'h5_font_size', array(
	'type'        => 'slider',
	'settings'    => 'h5_font_size',
	'label'       => esc_attr__( 'H5 Font Size (rem)', 'wpjobster' ),
	'section'     => 'typography_options_headings',
	'default'     => 0.83,
	'choices'     => array(
		'min'  => '0.5',
		'max'  => '3.5',
		'step' => '0.001',
	),
) );

Kirki::add_field( 'h6_font_size', array(
	'type'        => 'slider',
	'settings'    => 'h6_font_size',
	'label'       => esc_attr__( 'H6 Font Size (rem)', 'wpjobster' ),
	'section'     => 'typography_options_headings',
	'default'     => 0.67,
	'choices'     => array(
		'min'  => '0.5',
		'max'  => '3.5',
		'step' => '0.001',
	),
) );

// COLORS CUSTOMIZER
Kirki::add_field( 'primary_color', array(
	'type'        => 'color',
	'settings'    => 'primary_color',
	'label'       => __( 'Primary Color', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#83C124',
	'priority'    => 1,
	'choices'     => array(
		'alpha' => true,
	),
) );

Kirki::add_field( 'secondary_color', array(
	'type'        => 'color',
	'settings'    => 'secondary_color',
	'label'       => __( 'Secondary Color', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#2D5767',
	'priority'    => 2,
	'choices'     => array(
		'alpha' => true,
	),
) );

Kirki::add_field( 'separator_1_main_colours', array(
	'type'        => 'custom',
	'settings'    => 'separator_1_main_colours',
	'section'     => 'color_options_main',
	'default'     => '<hr>',
	'priority'    => 6,
) );

Kirki::add_field( 'header_top_background', array(
	'type'        => 'color',
	'settings'    => 'header_top_background',
	'label'       => __( 'Header Top Background', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#ffffff',
	'priority'    => 6,
	'choices'     => array(
		'alpha' => true,
	),
) );

Kirki::add_field( 'header_bottom_background', array(
	'type'        => 'color',
	'settings'    => 'header_bottom_background',
	'label'       => __( 'Header Bottom Background', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#ffffff',
	'priority'    => 6,
	'choices'     => array(
		'alpha' => true,
	),
) );

Kirki::add_field( 'separator_2_main_colours', array(
	'type'        => 'custom',
	'settings'    => 'separator_2_main_colours',
	'section'     => 'color_options_main',
	'default'     => '<hr>',
	'priority'    => 6,
) );


Kirki::add_field( 'language_colour_options_header', array(
	'type'        => 'color',
	'settings'    => 'language_colour_options_header',
	'label'       => __( 'Language colour', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => 'rgba(0, 0, 0, 0.6)',
	'priority'    => 6,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'language_hover_colour_options_header', array(
	'type'        => 'color',
	'settings'    => 'language_hover_colour_options_header',
	'label'       => __( 'Language hover colour', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => 'rgba(0, 0, 0, 0.8)',
	'priority'    => 6,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'language_hover_bg_colour_options_header', array(
	'type'        => 'color',
	'settings'    => 'language_hover_bg_colour_options_header',
	'label'       => __( 'Language hover background colour', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#ffffff',
	'priority'    => 6,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'separator_3_main_colours', array(
	'type'        => 'custom',
	'settings'    => 'separator_3_main_colours',
	'section'     => 'color_options_main',
	'default'     => '<hr>',
	'priority'    => 6,
) );

Kirki::add_field( 'currency_colour_options_header', array(
	'type'        => 'color',
	'settings'    => 'currency_colour_options_header',
	'label'       => __( 'Currency colour', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => 'rgba(0, 0, 0, 0.6)',
	'priority'    => 6,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'currency_hover_colour_options_header', array(
	'type'        => 'color',
	'settings'    => 'currency_hover_colour_options_header',
	'label'       => __( 'Currency hover colour', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => 'rgba(0, 0, 0, 0.8)',
	'priority'    => 6,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'currency_hover_bg_colour_options_header', array(
	'type'        => 'color',
	'settings'    => 'currency_hover_bg_colour_options_header',
	'label'       => __( 'Currency hover background colour', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#ffffff',
	'priority'    => 6,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'separator_4_main_colours', array(
	'type'        => 'custom',
	'settings'    => 'separator_4_main_colours',
	'section'     => 'color_options_main',
	'default'     => '<hr>',
	'priority'    => 6,
) );


Kirki::add_field( 'footer_background', array(
	'type'        => 'color',
	'settings'    => 'footer_background',
	'label'       => __( 'Footer Background', 'wpjobster' ),
	'section'     => 'color_options_main',
	'default'     => '#ffffff',
	'priority'    => 6,
	'choices'     => array(
		'alpha' => true,
	),
) );

// ICON OPTIONS
/* Header */
Kirki::add_field( 'search_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'search_icon_options_header',
	'label'       => '',
	'description' => __( 'Search icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: search', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'search',
	'priority'    => 10,
) );

Kirki::add_field( 'language_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'language_icon_options_header',
	'label'       => '',
	'description' => __( 'Language icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: globe americas', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'globe americas',
	'priority'    => 10,
) );

Kirki::add_field( 'currency_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'currency_icon_options_header',
	'label'       => '',
	'description' => __( 'Currency icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: money bill alternate outline', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'money bill alternate outline',
	'priority'    => 10,
) );

Kirki::add_field( 'message_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'message_icon_options_header',
	'label'       => '',
	'description' => __( 'Message icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: envelope', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'envelope',
	'priority'    => 10,
) );

Kirki::add_field( 'message_colour_icon_options_header', array(
	'type'        => 'color',
	'settings'    => 'message_colour_icon_options_header',
	'label'       => '',
	'description' => __( 'Message icon colour', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => '#2d5767',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'notification_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'notification_icon_options_header',
	'label'       => '',
	'description' => __( 'Notification icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: bell', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'bell',
	'priority'    => 10,
) );

Kirki::add_field( 'notification_colour_icon_options_header', array(
	'type'        => 'color',
	'settings'    => 'notification_colour_icon_options_header',
	'label'       => '',
	'description' => __( 'Notification icon colour', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => '#2d5767',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'left_mobile_menu_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'left_mobile_menu_icon_options_header',
	'label'       => '',
	'description' => __( 'Left mobile menu icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: envelope', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'thick bars',
	'priority'    => 10,
) );

Kirki::add_field( 'left_mobile_menu_colour_icon_options_header', array(
	'type'        => 'color',
	'settings'    => 'left_mobile_menu_colour_icon_options_header',
	'label'       => '',
	'description' => __( 'Left mobile menu icon colour', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => '#1B1C1D',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'right_mobile_menu_icon_options_header', array(
	'type'        => 'text',
	'settings'    => 'right_mobile_menu_icon_options_header',
	'label'       => '',
	'description' => __( 'Right mobile menu icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: envelope', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => 'th',
	'priority'    => 10,
) );

Kirki::add_field( 'right_mobile_menu_colour_icon_options_header', array(
	'type'        => 'color',
	'settings'    => 'right_mobile_menu_colour_icon_options_header',
	'label'       => '',
	'description' => __( 'Right mobile menu icon colour', 'wpjobster' ),
	'section'     => 'icon_options_header',
	'default'     => '#1B1C1D',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

/* Job */
Kirki::add_field( 'featured_simple_icon_options_job', array(
	'type'        => 'image',
	'settings'    => 'featured_simple_icon_options_job',
	'label'       => 'Cards - \'Simple\' type',
	'description' => __( 'Featured', 'wpjobster' ),
	'section'     => 'icon_options_job',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'lets_meet_simple_icon_options_job', array(
	'type'        => 'image',
	'settings'    => 'lets_meet_simple_icon_options_job',
	'label'       => '',
	'description' => __( 'Let\'s meet', 'wpjobster' ),
	'section'     => 'icon_options_job',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'instant_delivery_simple_icon_options_job', array(
	'type'        => 'image',
	'settings'    => 'instant_delivery_simple_icon_options_job',
	'label'       => '',
	'description' => __( 'Instant delivery', 'wpjobster' ),
	'section'     => 'icon_options_job',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'lets_meet_rich_icon_options_job', array(
	'type'        => 'text',
	'settings'    => 'lets_meet_rich_icon_options_job',
	'label'       => __( 'Cards - \'Rich & Fiverr\' type', 'wpjobster' ),
	'description' => __( 'Let\'s meet', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: blue map marker', 'wpjobster' ),
	'section'     => 'icon_options_job',
	'default'     => 'blue map marker',
	'priority'    => 10,
) );

Kirki::add_field( 'instant_delivery_rich_icon_options_job', array(
	'type'        => 'text',
	'settings'    => 'instant_delivery_rich_icon_options_job',
	'label'       => '',
	'description' => __( 'Instant delivery', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: green arrow circle down', 'wpjobster' ),
	'section'     => 'icon_options_job',
	'default'     => 'green arrow circle down',
	'priority'    => 10,
) );

Kirki::add_field( 'no_image_icon_options_job', array(
	'type'        => 'image',
	'settings'    => 'no_image_icon_options_job',
	'label'       => __( 'Job - No image', 'wpjobster' ),
	'description' => '',
	'section'     => 'icon_options_job',
	'default'     => '',
	'priority'    => 10,
) );

/* Request */
Kirki::add_field( 'lets_meet_rich_icon_options_request', array(
	'type'        => 'image',
	'settings'    => 'lets_meet_rich_icon_options_request',
	'label'       => __( 'Let\'s meet', 'wpjobster' ),
	'description' => '',
	'section'     => 'icon_options_request',
	'default'     => '',
	'priority'    => 10,
) );

/* User */
Kirki::add_field( 'level1_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'level1_icon_options_user',
	'label'       => __( 'Avatar User Level Icons', 'wpjobster' ),
	'description' => '1',
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'level2_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'level2_icon_options_user',
	'label'       => '',
	'description' => '2',
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'level3_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'level3_icon_options_user',
	'label'       => '',
	'description' => '3',
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'level1_card_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'level1_card_icon_options_user',
	'label'       => __( 'Cards User Level Icons', 'wpjobster' ),
	'description' => '1',
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'level2_card_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'level2_card_icon_options_user',
	'label'       => '',
	'description' => '2',
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'level3_card_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'level3_card_icon_options_user',
	'label'       => '',
	'description' => '3',
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'no_image_icon_options_user', array(
	'type'        => 'image',
	'settings'    => 'no_image_icon_options_user',
	'label'       => __( 'User - No image', 'wpjobster' ),
	'description' => __( 'After you change the image, please go to Dashboard -> Settings -> Discussion -> Avatars -> Default Avatar -> Select "Default WPJ Avatar" -> Save Changes', 'wpjobster' ),
	'section'     => 'icon_options_user',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'email_verified_icon_options_user', array(
	'type'        => 'text',
	'settings'    => 'email_verified_icon_options_user',
	'label'       => __( 'User - Email Verified Icon', 'wpjobster' ),
	'description' => '',
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: envelope outline', 'wpjobster' ),
	'section'     => 'icon_options_user',
	'default'     => 'envelope outline',
	'priority'    => 10,
) );

// CHAT OPTIONS
Kirki::add_field( 'all_users_to_sidebar', array(
	'type'        => 'switch',
	'settings'    => 'all_users_to_sidebar',
	'label'       => __( 'Display all users to sidebar', 'wpjobster' ),
	'description' => __( 'Up to 50 users listed by last visit to the site/marketplace', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => array(
		'on'  => esc_attr__( 'Enabled', 'wpjobster' ),
		'off' => esc_attr__( 'Disabled', 'wpjobster' ),
	),
) );

// Sidebar bg color
Kirki::add_field( 'chat_sidebar_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_sidebar_bg_color',
	'label'       => __( 'Sidebar', 'wpjobster' ),
	'description' => __( 'Background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#f7f8f9',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar text hover bg color
Kirki::add_field( 'chat_sidebar_text_hover_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_sidebar_text_hover_bg_color',
	'label'       => '',
	'description' => __( 'Hover background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#dddfe2',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar text color
Kirki::add_field( 'chat_sidebar_text_color', array(
	'type'        => 'color',
	'settings'    => 'chat_sidebar_text_color',
	'label'       => '',
	'description' => __( 'Text color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#000000',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar text hover color
Kirki::add_field( 'chat_sidebar_text_hover_color', array(
	'type'        => 'color',
	'settings'    => 'chat_sidebar_text_hover_color',
	'label'       => '',
	'description' => __( 'Hover text color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#000000',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar icon
Kirki::add_field( 'chat_sidebar_icon_name', array(
	'type'        => 'text',
	'settings'    => 'chat_sidebar_icon_name',
	'label'       => '',
	'description' => __( 'Icon name', 'wpjobster' ),
	'tooltip'     => __( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' ) . '<br><br>' . sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ) . '<br><br>' . __( 'Default: comments', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => 'comments',
	'priority'    => 10,
) );

// Sidebar icon background color
Kirki::add_field( 'chat_sidebar_icon_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_sidebar_icon_bg_color',
	'label'       => '',
	'description' => __( 'Icon background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#FFFFFF',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar icon color
Kirki::add_field( 'chat_sidebar_icon_color', array(
	'type'        => 'color',
	'settings'    => 'chat_sidebar_icon_color',
	'label'       => '',
	'description' => __( 'Icon color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#5a5a5a',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar responsive head bg color
Kirki::add_field( 'chat_responsive_sidebar_head_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_responsive_sidebar_head_bg_color',
	'label'       => '',
	'description' => __( 'Head background color (responsive)', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#FFFFFF',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Sidebar responsive head color
Kirki::add_field( 'chat_responsive_sidebar_head_color', array(
	'type'        => 'color',
	'settings'    => 'chat_responsive_sidebar_head_color',
	'label'       => '',
	'description' => __( 'Head color (responsive)', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#333333',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Separator
Kirki::add_field( 'separator_1', array(
	'type'        => 'custom',
	'settings'    => 'separator_1',
	'section'     => 'chat_options',
	'default'     => '<hr>',
	'priority'    => 10,
) );

// Message box head bg color
Kirki::add_field( 'chat_box_head_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_bg_color',
	'label'       => __( 'Mesage Box Head', 'wpjobster' ),
	'description' => __( 'Background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head hover bg color
Kirki::add_field( 'chat_box_head_hover_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_hover_bg_color',
	'label'       => '',
	'description' => __( 'Hover background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#f2f3f5',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head unread bg color
Kirki::add_field( 'chat_box_head_unread_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_unread_bg_color',
	'label'       => '',
	'description' => __( 'Message unread background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#0084ff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head unread text color
Kirki::add_field( 'chat_box_head_unread_text_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_unread_text_color',
	'label'       => '',
	'description' => __( 'Message unread text color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head unread buttons color hover
Kirki::add_field( 'chat_box_head_unread_button_color_hover', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_unread_button_color_hover',
	'label'       => '',
	'description' => __( 'Message unread hover button color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head buttons color
Kirki::add_field( 'chat_box_head_buttons_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_buttons_color',
	'label'       => '',
	'description' => __( 'Buttons color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#dcdee2',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head buttons color - hover
Kirki::add_field( 'chat_box_head_hover_buttons_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_hover_buttons_color',
	'label'       => '',
	'description' => __( 'Hover buttons color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#0084ff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head buttons color - focus
Kirki::add_field( 'chat_box_head_focus_buttons_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_focus_buttons_color',
	'label'       => '',
	'description' => __( 'Focus buttons color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#0084ff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head username color
Kirki::add_field( 'chat_box_head_user_name_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_user_name_color',
	'label'       => '',
	'description' => __( 'Username color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#1c1e21',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box head user status color
Kirki::add_field( 'chat_box_head_user_status_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_head_user_status_color',
	'label'       => '',
	'description' => __( 'User status color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#90949c',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'separator_2', array(
	'type'        => 'custom',
	'settings'    => 'separator_2',
	'section'     => 'chat_options',
	'default'     => '<hr>',
	'priority'    => 10,
) );

// Message box message send bg color
Kirki::add_field( 'chat_box_body_send_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_body_send_bg_color',
	'label'       => __( 'Message Box Body', 'wpjobster' ),
	'description' => __( 'Message sent background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#0084ff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box message send text color
Kirki::add_field( 'chat_box_body_send_text_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_body_send_text_color',
	'label'       => '',
	'description' => __( 'Message sent text color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box message received bg color
Kirki::add_field( 'chat_box_body_received_bg_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_body_received_bg_color',
	'label'       => '',
	'description' => __( 'Message received background color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#f1eff0',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box message received text color
Kirki::add_field( 'chat_box_body_received_text_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_body_received_text_color',
	'label'       => '',
	'description' => __( 'Message received text color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#000000',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

Kirki::add_field( 'separator_3', array(
	'type'        => 'custom',
	'settings'    => 'separator_3',
	'section'     => 'chat_options',
	'default'     => '<hr>',
	'priority'    => 10,
) );

// Message box footer buttons color
Kirki::add_field( 'chat_box_footer_buttons_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_footer_buttons_color',
	'label'       => __( 'Message Box Footer', 'wpjobster' ),
	'description' => __( 'Buttons color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#90949c',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// Message box footer buttons color - hover
Kirki::add_field( 'chat_box_footer_hover_buttons_color', array(
	'type'        => 'color',
	'settings'    => 'chat_box_footer_hover_buttons_color',
	'label'       => '',
	'description' => __( 'Hover buttons color', 'wpjobster' ),
	'section'     => 'chat_options',
	'default'     => '#0084ff',
	'priority'    => 10,
	'choices'     => array( 'alpha' => true ),
) );

// FOOTER CUSTOMIZER
Kirki::add_field( 'footer_logo_image', array(
	'type'        => 'image',
	'settings'    => 'footer_logo_image',
	'label'       => __( 'Footer logo', 'wpjobster' ),
	'description' => '',
	'section'     => 'footer_options',
	'default'     => '',
	'priority'    => 10,
) );

Kirki::add_field( 'footer_logo_height', array(
	'type'     => 'slider',
	'settings' => 'footer_logo_height',
	'label'    => esc_attr__( 'Logo Height', 'wpjobster' ),
	'section'  => 'footer_options',
	'default'  => 44,
	'choices'  => array(
		'min'  => '0',
		'max'  => '1000',
		'step' => '1',
	),
) );

Kirki::add_field( 'footer_logo_spacing', array(
	'type'        => 'spacing',
	'settings'    => 'footer_logo_spacing',
	'label'       => __( 'Logo Spacing', 'wpjobster' ),
	'section'     => 'footer_options',
	'description' => 'For spacing you can use only px',
	'default'     => array(
		'top'    => '10px',
		'bottom' => '10px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'priority'    => 10,
) );

Kirki::add_field( 'logo_grayscale_enable', array(
	'type'        => 'switch',
	'settings'    => 'logo_grayscale_enable',
	'label'       => __( 'Enable grayscale for footer logo', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'wpjobster' ),
		'off' => esc_attr__( 'Disable', 'wpjobster' ),
	),
) );

Kirki::add_field( 'separator_1_footer_options', array(
	'type'        => 'custom',
	'settings'    => 'separator_1_footer_options',
	'section'     => 'footer_options',
	'default'     => '<hr>',
	'priority'    => 10,
) );

Kirki::add_field( 'copyright_text', array(
	'type'     => 'textarea',
	'settings' => 'copyright_text',
	'label'    => __( 'Copyright', 'wpjobster' ),
	'section'  => 'footer_options',
	'default'  => sprintf( esc_attr__( '&copy; %d ', 'wpjobster' ), date( 'Y' ) ) . '<a href="http://wpjobster.com">wpjobster.com</a>',
	'priority' => 10,
) );

Kirki::add_field( 'separator_2_footer_options', array(
	'type'        => 'custom',
	'settings'    => 'separator_2_footer_options',
	'section'     => 'footer_options',
	'default'     => '<hr>',
	'priority'    => 10,
) );

Kirki::add_field( 'select_number_cols', array(
	'type'        => 'select',
	'settings'    => 'select_number_cols',
	'label'       => __( 'Select Footer Columns', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => '5',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'2' => esc_attr__( '2 Columns', 'wpjobster' ),
		'3' => esc_attr__( '3 Columns', 'wpjobster' ),
		'4' => esc_attr__( '4 Columns', 'wpjobster' ),
		'5' => esc_attr__( '5 Columns', 'wpjobster' ),
		'6' => esc_attr__( '6 Columns', 'wpjobster' ),
	),
) );

Kirki::add_field( 'image_demo', array(
	'type'        => 'repeater',
	'label'       => esc_attr__( 'Repeater Cards', 'wpjobster' ),
	'section'     => 'footer_options',
	'priority'    => 10,
	'row_label' => array(
		'type' => 'image',
		'value' => esc_attr__( 'Card', 'wpjobster' ),
	),
	'settings'    => 'image_demo',
	'default'     => array(
		array(
			'link_url'  => '',
		),
	),
	'fields' => array(
		'link_url' => array(
			'type'        => 'image',
			'label'       => __( 'Card', 'wpjobster' ),
			'description' => __( 'Upload card images', 'wpjobster' ),
			'default'     => '',
		),
	)
) );

Kirki::add_field( 'separator_3_footer_options', array(
	'type'        => 'custom',
	'settings'    => 'separator_3_footer_options',
	'section'     => 'footer_options',
	'default'     => '<hr>',
	'priority'    => 10,
) );

Kirki::add_field( 'scroll_to_top_enable', array(
	'type'        => 'switch',
	'settings'    => 'scroll_to_top_enable',
	'label'       => __( 'Enable scroll to top button', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'wpjobster' ),
		'off' => esc_attr__( 'Disable', 'wpjobster' ),
	),
) );

Kirki::add_field( 'scroll_to_top_background', array(
	'type'        => 'color',
	'settings'    => 'scroll_to_top_background',
	'label'       => __( 'Background Scroll to Top', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => '#737B88',
	'priority'    => 10,
	'choices'     => array(
		'alpha' => true,
	),
	'active_callback'  => array(
		array(
			'setting'  => 'scroll_to_top_enable',
			'operator' => '==',
			'value'    => 1,
		)
	)
) );

Kirki::add_field( 'scroll_to_top_border_size', array(
	'type'        => 'slider',
	'settings'    => 'scroll_to_top_border_size',
	'label'       => esc_attr__( 'Border Size Scroll to Top', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => 0,
	'priority'    => 10,
	'choices'     => array(
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
	),
	'active_callback'  => array(
		array(
			'setting'  => 'scroll_to_top_enable',
			'operator' => '==',
			'value'    => 1,
		)
	)
) );

Kirki::add_field( 'scroll_to_top_border_style', array(
	'type'        => 'select',
	'settings'    => 'scroll_to_top_border_style',
	'label'       => __( 'Border Style Scroll to Top', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => 'solid',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'none'    => esc_attr__( 'none', 'wpjobster' ),
		'hidden'  => esc_attr__( 'hidden', 'wpjobster' ),
		'dotted'  => esc_attr__( 'dotted', 'wpjobster' ),
		'dashed'  => esc_attr__( 'dashed', 'wpjobster' ),
		'solid'   => esc_attr__( 'solid', 'wpjobster' ),
		'double'  => esc_attr__( 'double', 'wpjobster' ),
		'groove'  => esc_attr__( 'groove', 'wpjobster' ),
		'ridge'   => esc_attr__( 'ridge', 'wpjobster' ),
		'inset'   => esc_attr__( 'inset', 'wpjobster' ),
		'outset'  => esc_attr__( 'outset', 'wpjobster' ),
		'initial' => esc_attr__( 'initial', 'wpjobster' ),
		'inherit' => esc_attr__( 'inherit', 'wpjobster' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'scroll_to_top_enable',
			'operator' => '==',
			'value'    => 1,
		)
	)
) );

Kirki::add_field( 'scroll_to_top_border_color', array(
	'type'        => 'color',
	'settings'    => 'scroll_to_top_border_color',
	'label'       => esc_attr__( 'Border Color Scroll to Top', 'wpjobster' ),
	'section'     => 'footer_options',
	'default'     => '#737B88',
	'priority'    => 10,
	'choices'     => array(
		'alpha' => true,
	),
	'active_callback'  => array(
		array(
			'setting'  => 'scroll_to_top_enable',
			'operator' => '==',
			'value'    => 1,
		)
	)
) );

Kirki::add_field( 'scroll_icon_color', array(
	'type'        => 'multicolor',
	'settings'    => 'scroll_icon_color',
	'label'       => esc_attr__( 'Scroll Icon Color', 'wpjobster' ),
	'section'     => 'footer_options',
	'priority'    => 10,
	'choices'     => array(
		'link'    => esc_attr__( 'Color', 'wpjobster' ),
		'hover'   => esc_attr__( 'Hover', 'wpjobster' ),
	),
	'default'     => array(
		'link'    => '#ffffff',
		'hover'   => '#83C124',
	),
	'active_callback'  => array(
		array(
			'setting'  => 'scroll_to_top_enable',
			'operator' => '==',
			'value'    => 1,
		)
	)
) );

// PERFORMANCE
Kirki::add_field( 'enable_lazy_loading', array(
	'type'     => 'switch',
	'settings' => 'enable_lazy_loading',
	'label'    => __( 'Enable Lazy Loading', 'wpjobster' ),
	'section'  => 'performance_options',
	'default'  => 'yes',
	'priority' => 10,
	'choices'  => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

Kirki::add_field( 'enable_js_defer', array(
	'type'        => 'switch',
	'settings'    => 'enable_js_defer',
	'label'       => __( 'Defer parsing of JavaScript', 'wpjobster' ),
	'section'     => 'performance_options',
	'default'     => 'no',
	'priority'    => 10,
	'choices'     => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

Kirki::add_field( 'enable_css_preload', array(
	'type'        => 'switch',
	'settings'    => 'enable_css_preload',
	'label'       => __( 'Preload CSS', 'wpjobster' ),
	'section'     => 'performance_options',
	'default'     => 'no',
	'priority'    => 10,
	'choices'     => array(
		'yes' => esc_attr__( 'Yes', 'wpjobster' ),
		'no'  => esc_attr__( 'No', 'wpjobster' ),
	),
) );

/*** WP CONTROLS ***/
add_action( 'customize_register', 'wpj_add_custom_controls_to_customizer' );
function wpj_add_custom_controls_to_customizer( $wp_customize ) {

	$wp_customize->add_section( 'header_options', array(
		'title'       => __( 'Header Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 50,
	));

	$wp_customize->add_setting( 'site_logo', array(
		'default' => ''
	));

	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'site_logo', array(
		'label'    => __( 'Logo', 'wpjobster' ),
		'section'  => 'header_options',
		'settings' => 'site_logo',
	)));

	$wp_customize->add_section( 'layout_options', array(
		'title'       => __( 'Layout Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 51,
	));

	$wp_customize->add_panel( 'typography_options', array(
		'title'       => __( 'Typography Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 52,
	));

	$wp_customize->add_section( 'typography_options', array(
		'title'       => esc_html__( 'Menus', 'wpjobster' ),
		'description' => esc_html__( 'Fonts for Header and Footer Menus', 'wpjobster' ),
		'panel'       => 'typography_options',
		'priority'    => 3,
	));

	$wp_customize->add_section( 'typography_options_headings', array(
		'title'       => esc_html__( 'Headings', 'wpjobster' ),
		'description' => esc_html__( 'Fonts for Titles', 'wpjobster' ),
		'panel'       => 'typography_options',
		'priority'    => 2,
	));

	$wp_customize->add_section( 'typography_options_main', array(
		'title'       => esc_html__( 'Main Font', 'wpjobster' ),
		'description' => esc_html__( 'Base site font. This will be used on body, paragraphs, but may be overwritten by other styles for more specific elements.', 'wpjobster' ),
		'panel'       => 'typography_options',
		'priority'    => 1,
	));

	$wp_customize->add_panel( 'color_options', array(
		'title'       => __( 'Color Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 53,
	));

	$wp_customize->add_section( 'color_options_main', array(
		'title'       => __( 'Main colours', 'wpjobster' ),
		'description' => '',
		'panel'       => 'color_options',
		'priority'    => 1,
	));

	$wp_customize->add_panel( 'icon_options', array(
		'title'       => __( 'Icon Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 54,
	));

	$wp_customize->add_section( 'icon_options_header', array(
		'title'       => __( 'Header', 'wpjobster' ),
		'description' => '',
		'panel'       => 'icon_options',
		'priority'    => 1,
	));

	$wp_customize->add_section( 'icon_options_user', array(
		'title'       => __( 'User', 'wpjobster' ),
		'description' => '',
		'panel'       => 'icon_options',
		'priority'    => 2,
	));

	$wp_customize->add_section( 'icon_options_job', array(
		'title'       => __( 'Job', 'wpjobster' ),
		'description' => '',
		'panel'       => 'icon_options',
		'priority'    => 3,
	));

	$wp_customize->add_section( 'icon_options_request', array(
		'title'       => __( 'Request', 'wpjobster' ),
		'description' => '',
		'panel'       => 'icon_options',
		'priority'    => 4,
	));

	$wp_customize->add_section( 'chat_options', array(
		'title'       => __( 'Chat Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 55,
	));

	$wp_customize->add_section( 'footer_options', array(
		'title'       => __( 'Footer Options', 'wpjobster' ),
		'description' => '',
		'priority'    => 56,
	));

	$wp_customize->add_section( 'performance_options', array(
		'title'       => __( 'Performance', 'wpjobster' ),
		'description' => '',
		'priority'    => 57,
	));

}

/*** AJAX - COLOR COMPILER ***/
add_action( 'wp_ajax_nopriv_wpjobster_save_less_css_file', 'wpjobster_save_less_css_file' );
add_action( 'wp_ajax_wpjobster_save_less_css_file', 'wpjobster_save_less_css_file' );
function wpjobster_save_less_css_file(){
	$upload_dir = wp_upload_dir();

	$dirname = $upload_dir['basedir'] . '/wpjobster';

	if ( ! file_exists( $dirname ) ) {
		wp_mkdir_p( $dirname );
	}

	$path = $upload_dir['basedir'] . '/wpjobster/semantic.css';
	file_put_contents( $path, stripslashes( $_POST['content'] ) );

	update_option( 'wpjobster_compile_original_colours', 'done' );
	update_option( 'wpj_last_css_compiled', time() );

	wp_die();
}

/*** COOKIE - FONTS AND COLORS ***/
add_action( 'customize_save_after', 'wpj_set_cookie_colors' );
function wpj_set_cookie_colors() {
	setcookie( 'primaryColor', get_theme_mod( 'primary_color' ), time() + 86400, '/' );
	setcookie( 'secondaryColor', get_theme_mod( 'secondary_color' ), time() + 86400, '/' );
}
