<?php
// Change site timezone
add_action( 'wp_loaded', 'wpjobster_timezone_change' );
function wpjobster_timezone_change( $uid = '' ) {

	global $pagenow;

	$user_id = $uid ? $uid : get_current_user_id();

	$timezone_admin = get_option( 'timezone_string' );
	$timezone_user  = stripslashes( get_user_meta( $user_id, 'timezone_select', true ) );

	$timezone = '';
	if ( is_user_logged_in() ) {

		if ( is_admin() ) { // is dashboard
			if ( $timezone_admin ) {
				$timezone = $timezone_admin;
			} elseif ( $timezone_user ) {
				$timezone = $timezone_user;
			}
		} else { // is frontend
			if ( $timezone_user ) {
				$timezone = $timezone_user;
			} elseif ( $timezone_admin ) {
				$timezone = $timezone_admin;
			}
		}
	} else {
		if ( $timezone_admin ) {
			$timezone = $timezone_admin;
		}
	}

	if ( ! $timezone || ( is_admin() && $pagenow == 'site-health.php' ) ) { $timezone = 'UTC'; }

	date_default_timezone_set( $timezone );

	return $timezone;
}
