<?php
if ( ! function_exists( 'gettrasaction_amt' ) ) {
	function gettrasaction_amt( $fromtimestamp, $totimestamp, $uid, $action = 'earning' ) {
		global $wpdb;
		$prefix = $wpdb->prefix;

		if ( $action == 'gross_earning' || $action == 'net_earning' ) {
			$s = "
				SELECT *, mc_gross AS sum_amount, from_unixtime({$fromtimestamp}) AS fromdt, from_unixtime({$totimestamp})
				FROM {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
				WHERE posts.post_author = {$uid}
					AND posts.ID = orders.pid
					AND payment_status = 'completed'
					AND seller_confirmation = '1'
					AND clearing_period = '1'
					AND orders.date_made >= {$fromtimestamp}
					AND orders.date_made < {$totimestamp}
			";
		} elseif ( $action == 'spending' ) {
			$s = "
				SELECT SUM(sum_amount) AS sum_amount
				FROM
					(
						SELECT SUM(SUBSTRING_INDEX(final_paidamount, '|', -1)) AS sum_amount
						FROM {$wpdb->prefix}job_orders
						WHERE uid = {$uid}
							AND done_seller = '0'
							AND done_buyer = '0'
							AND date_finished = '0'
							AND closed = '0' AND payment_status != 'pending'
							AND date_made>={$fromtimestamp}
							AND date_made<{$totimestamp}

						UNION ALL

						SELECT SUM(SUBSTRING_INDEX(final_paidamount, '|', -1)) AS sum_amount
						FROM {$wpdb->prefix}job_orders
						WHERE uid = {$uid}
							AND completed = '1'
							AND date_made>={$fromtimestamp}
							AND date_made<{$totimestamp}
					)sum_amount
			";
		} elseif ( $action == 'active' ) {
			$s = "
				SELECT SUM(mc_gross) AS sum_amount, from_unixtime({$fromtimestamp}) AS fromdt, from_unixtime({$totimestamp})
				FROM {$wpdb->prefix}job_orders orders
				WHERE orders.uid={$uid}
					AND orders.done_seller='0'
					AND orders.done_buyer='0'
					AND orders.closed='0'
					AND date_made>={$fromtimestamp}
					AND date_made<{$totimestamp}
			";
		} elseif ( $action == 'completed' ) {
			$s = "
				SELECT SUM(mc_gross) AS sum_amount, from_unixtime({$fromtimestamp}) AS fromdt, from_unixtime({$totimestamp}) AS todt
				FROM {$wpdb->prefix}job_orders orders
				WHERE orders.uid={$uid}
					AND orders.completed='1'
					AND orders.done_buyer='1'
					AND orders.done_seller='1'
					AND orders.clearing_period = '1'
					AND date_made>={$fromtimestamp}
					AND date_made<{$totimestamp}
			";
		} elseif ( $action == 'credit_balance' ) {
			$s = "
				SELECT credit_balance AS sum_amount, from_unixtime({$fromtimestamp}) AS fromdt, from_unixtime({$totimestamp}) AS todt
				FROM {$wpdb->prefix}job_credits_balance_log logs
				WHERE logs.uid={$uid}
					AND datemade>={$fromtimestamp}
					AND datemade<{$totimestamp}
				ORDER BY id DESC
				LIMIT 1
			";
		} elseif ( $action == 'withdraw' ) {
			$s = "
				SELECT SUM(amount) AS sum_amount, from_unixtime({$fromtimestamp}) AS fromdt, from_unixtime({$totimestamp}) AS todt
				FROM {$wpdb->prefix}job_withdraw withdrawals
				WHERE withdrawals.uid={$uid}
					AND withdrawals.done='1'
					AND datemade>={$fromtimestamp}
					AND datemade<{$totimestamp}
				ORDER BY id DESC
				LIMIT 1
			";
		} elseif ( $action == 'pending_clearance' ) {
			$s = "
				SELECT SUM(mc_gross-site_fees) AS sum_amount, from_unixtime({$fromtimestamp}) AS fromdt, from_unixtime({$totimestamp}) AS todt
				FROM {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
				WHERE posts.post_author        = {$uid}
					AND posts.ID               = orders.pid
					AND orders.done_seller     = '1'
					AND orders.done_buyer      = '1'
					AND orders.completed       = '1'
					AND orders.closed          = '0'
					AND orders.clearing_period = '2'
					AND orders.date_made>={$fromtimestamp}
					AND orders.date_made<{$totimestamp}
			";
		}

		$result_data = $wpdb->get_results( $s );
		$last_balance = 0;

		if ( $action == 'credit_balance' ) {
			foreach ( $result_data as $key => $result_row ) {
				if ( $result_row->sum_amount > 0 ) {
					$last_balance = $result_row->sum_amount;
				} else {
					$result_data[$key]->sum_amount = $last_balance ;
				}
			}
		}

		if ( $action == 'gross_earning' ) {

			$gross_value = 0;
			if ( $result_data ) {
				foreach ( $result_data as $key => $result_row ) {
					if ( $result_row->sum_amount > 0 ) {
						$gross_value += apply_filters( 'wpj_total_gross_sales_filter', wpj_get_total_order_price( $result_row )['amount'], $result_row, 'gross' );

					}
				}

				$result_data[0]->sum_amount = $gross_value;
			}

		} elseif ( $action == 'net_earning' ) {

			$net_value = 0;
			if ( $result_data ) {
				foreach ( $result_data as $key => $result_row ) {
					if ( $result_row->sum_amount > 0 ) {
						$net_value += apply_filters( 'wpj_total_net_sales_filter', wpj_get_total_order_price( $result_row )['seller_commission'], $result_row, 'net' );
					}
				}

				$result_data[0]->sum_amount = $net_value;
			}

		} else {

			foreach ( $result_data as $key => $result_row ) {
				if ( $result_row->sum_amount > 0 ) {
					$result_data[$key]->sum_amount = get_exchange_value( $result_data[$key]->sum_amount, get_option( 'wpjobster_currency_1' ), wpjobster_get_currency() );
				}
			}

		}

		if ( $result_data ) {
			return $result_data[0];
		} else {
			return array(0);
		}
	}
}

function wpj_gettrasaction_amts( $i, $j, $k, $uid ) {
	$result_earned_gross[$i]   = gettrasaction_amt( $j, $k, $uid, 'gross_earning' );
	$result_earned_net[$i]     = gettrasaction_amt( $j, $k, $uid, 'net_earning' );
	$result_spent[$i]          = gettrasaction_amt( $j, $k, $uid, 'spending' );
	$result_active[$i]         = gettrasaction_amt( $j, $k, $uid, 'active' );
	$result_completed[$i]      = gettrasaction_amt( $j, $k, $uid, 'completed' );
	$result_withdraw[$i]       = gettrasaction_amt( $j, $k, $uid, 'withdraw' );
	$result_pending[$i]        = gettrasaction_amt( $j, $k, $uid, 'pending_clearance' );
	$result_credit_balance[$i] = gettrasaction_amt( $j, $k, $uid, 'credit_balance' );

	return array(
		'result_earned_gross'   => $result_earned_gross[$i],
		'result_earned_net'     => $result_earned_net[$i],
		'result_spent'          => $result_spent[$i],
		'result_active'         => $result_active[$i],
		'result_completed'      => $result_completed[$i],
		'result_withdraw'       => $result_withdraw[$i],
		'result_pending'        => $result_pending[$i],
		'result_credit_balance' => $result_credit_balance[$i]
	);

}

function wpjobster_get_graph( $uid, $disp_type = 'all', $select_year = '', $select_month = '', $graph_page = 'my_account' ) {
	$type  = $disp_type = $disp_type == '' ? 'all' : $disp_type;
	$year  = $select_year = $select_year == '' ? date( "Y" ) : $select_year;
	$month = $select_month = $select_month == '' ? date( "m" ) : $select_month;

	if ( ! $uid ) { $uid = get_current_user_id(); }

	if ( $type == 'all' ) {
		global $wpdb;

		$result_data = $wpdb->get_results( "SELECT user_registered FROM {$wpdb->prefix}users WHERE ID = {$uid} LIMIT 1" );

		$from_number = date( "Y", strtotime( $result_data[0]->user_registered ) );
		$to_number   = date( "Y" ) + 1;
	} elseif ( $type == 'year' ) {
		$from_number = 01;
		if ( $select_year == date( 'Y' ) ) {
			$to_number = date( 'm' );
		} else {
			$to_number = 12;
		}
	} elseif ( $type == 'month' ) {
		$from_number = 01;
		$months_days = array( 1 => 31, 2 => 28, 3 => 31, 4 => 30, 5 => 31, 6 => 30, 7 => 31, 8 => 31, 9 => 30, 10 => 31, 11 => 30, 12 => 31 );

		if ( $select_month == date( 'm' ) && $select_year == date( 'Y' ) ) {
			$to_number = date( 'd' );
		} else {
			$to_number = $months_days[$month];
			if ( $year%4 == 0 && $month == 2 ) { $to_number = 29; }
		}
	} elseif ( $type == 'lastweek' ) {
		$from_number = 00;
		$to_number   = 07;
	}

	for ( $i = $from_number; $i <= $to_number; $i++ ) {
		if ( $type == 'all' ) {
			$result_month[$i] = wpjobster_get_unix_timestamp( "$i-01-01" );
		}

		if ( $type == 'year' ) {
			$result_month[$i] = wpjobster_get_unix_timestamp( "$year-$i-01" );
		}

		if ( $type == 'month' ) {
			$result_month[$i] = wpjobster_get_unix_timestamp( "$year-$month-$i" );
		}

		if ( $type == 'lastweek' ) {
			$todays_date = date_create( date( "Y-m-d" ) );
			date_add( $todays_date, date_interval_create_from_date_string( "-{$i} days" ) );
			$dt = date_format( $todays_date, "Y-m-d" );
			$week_arr[$i] = $dt;
			$result_month[$i] = wpjobster_get_unix_timestamp( $dt );
		}

		if ( $i == $from_number ) {
			if ( $type == 'lastweek' ) {
				$todays_date = date_create( date( "Y-m-d" ) );
				date_add( $todays_date, date_interval_create_from_date_string( "-{$to_number} days" ) );
				$dt = date_format( $todays_date, "Y-m-d" );

				$first_balance_timestamp = wpjobster_get_unix_timestamp( $dt );
				$first_credit_balance = get_previous_credit_balance( $uid, $first_balance_timestamp );
			} else {
				$first_credit_balance = get_previous_credit_balance( $uid, $result_month[$i] );

			}
		}

		if ( $i > $from_number ) {
			if ( $type == 'lastweek' ) {
				foreach ( wpj_gettrasaction_amts( $i, $result_month[$i], $result_month[($i-1)], $uid ) as $key => $value ) { $$key[$i] = $value; }
			} else {
				foreach ( wpj_gettrasaction_amts( $i-1, $result_month[($i-1)], $result_month[$i], $uid ) as $key => $value ) { $$key[$i-1] = $value; }
			}
		}
	}

	if ( $type == 'month' || $type == 'year' ) {
		$result_month[$i] = wpjobster_get_unix_timestamp( ( $year + 1 ) . "-01-01" );
		foreach ( wpj_gettrasaction_amts( $i-1, $result_month[($i-1)], $result_month[$i], $uid ) as $key => $value ) { $$key[$i-1] = $value; }
	}

	$data_table       = '';
	$element_count    = 0;
	$data_table_arr[] = array( "$disp_type", __( 'Gross Earned', 'wpjobster' ), __( 'Net Earned', 'wpjobster' ), __( 'Active Orders', 'wpjobster' ), __( 'Completed Orders', 'wpjobster' ), __( 'Credit Balance', 'wpjobster' ) );

	if ( $type == 'lastweek' ) {

		$todays_date = date_create( date( "Y-m-d" ) );

		date_add( $todays_date, date_interval_create_from_date_string( "+1 days" ) );

		$dt = date( "Y-m-d" );

		$result_month[-1]          = wpjobster_get_unix_timestamp( $dt );
		$week_arr[-1]              = $dt;

		foreach ( wpj_gettrasaction_amts( '-1', $result_month[0], $result_month[-1], $uid ) as $key => $value ) { $$key[-1] = $value; }

		$from_number = -1;
		$key_count   =  0;

		$result_earned_gross2   = $result_earned_gross;
		$result_earned_net2     = $result_earned_net;
		$result_spent2          = $result_spent;
		$result_active2         = $result_active;
		$result_completed2      = $result_completed;
		$result_credit_balance2 = $result_credit_balance;

		$result_earned_gross   = array();
		$result_earned_net     = array();
		$result_spent          = array();
		$result_active         = array();
		$result_completed      = array();
		$result_credit_balance = array();

		for ( $i = $to_number; $i >= $from_number; $i-- ) {
			if ( isset( $result_earned_gross2[$i-1] ) ) {
				$result_earned_gross[] = $result_earned_gross2[$i-1];
				$result_earned_net[] = $result_earned_net2[$i-1];
				$result_spent[]  = $result_spent2[$i-1];
				$result_active[] = $result_active2[$i-1];

				$result_completed[]      = $result_completed2[$i-1];
				$result_credit_balance[] = $result_credit_balance2[$i-1];

				$week_arr2[] = $week_arr[$i-1];

				$key_count++;
			}
		}

		foreach ( $result_credit_balance as $key_c => $res_credit_bal ) {
			if ( isset( $res_credit_bal->sum_amount ) ) {
				$first_credit_balance = $res_credit_bal;
			} else {
				$result_credit_balance[$key_c] = $first_credit_balance;
			}
		}

		for ( $i = 0; $i < $key_count; $i++ ) {
			$key = $i; $element_count++;

			$data_table .= "['{$week_arr2[$key]}',";

			if ( $graph_page == 'my_account' || $graph_page == 'sales' ) {
				$data_table .= ( isset( $result_earned_gross[$key]->sum_amount ) && $result_earned_gross[$key]->sum_amount ? $result_earned_gross[$key]->sum_amount : '0' ) . ", ";
				$data_table .= ( isset( $result_earned_net[$key]->sum_amount ) && $result_earned_net[$key]->sum_amount ? $result_earned_net[$key]->sum_amount : '0' ) . ", ";
				$data_table .= ( isset( $result_withdraw[$key]->sum_amount ) && $result_withdraw[$key]->sum_amount != '' ? $result_withdraw[$key]->sum_amount : '0' ) . ",";
				$data_table .= ( isset( $result_pending[$key]->sum_amount ) && $result_pending[$key]->sum_amount != '' ? $result_pending[$key]->sum_amount : '0' ) . ",";
			} else {
				$data_table .= ( isset( $result_spent[$key]->sum_amount ) && $result_spent[$key]->sum_amount ? $result_spent[$key]->sum_amount : '0' ) . ", ";
				$data_table .= ( isset( $result_active[$key]->sum_amount ) && $result_active[$key]->sum_amount != '' ? $result_active[$key]->sum_amount : '0' ) . ",";
				$data_table .= ( isset( $result_completed[$key]->sum_amount ) && $result_completed[$key]->sum_amount != '' ? $result_completed[$key]->sum_amount : '0' ) . ",";
			}
			$data_table .= ( isset( $result_credit_balance[$key]->sum_amount ) && $result_credit_balance[$key]->sum_amount != '' ? $result_credit_balance[$key]->sum_amount : '0' ) . "],";

			unset( $tmp_arr );
			$tmp_arr[] = $key;

			if ( $graph_page == 'my_account' || $graph_page == 'sales' ) {
				$tmp_arr[] = ( isset( $result_earned_gross[$key]->sum_amount ) && $result_earned_gross[$key]->sum_amount ? $result_earned_gross[$key]->sum_amount : '0' ) . ", ";
				$tmp_arr[] = ( isset( $result_earned_net[$key]->sum_amount ) && $result_earned_net[$key]->sum_amount ? $result_earned_net[$key]->sum_amount : '0' ) . ", ";
				$tmp_arr[] = ( isset( $result_withdraw[$key]->sum_amount ) && $result_withdraw[$key]->sum_amount != '' ? $result_withdraw[$key]->sum_amount : '0' );
				$tmp_arr[] = ( isset( $result_pending[$key]->sum_amount ) && $result_pending[$key]->sum_amount != '' ? $result_pending[$key]->sum_amount : '0') ;
			} else {
				$tmp_arr[] = ( isset( $result_spent[$key]->sum_amount ) && $result_spent[$key]->sum_amount ? $result_spent[$key]->sum_amount : '0' );
				$tmp_arr[] = ( isset( $result_active[$key]->sum_amount ) && $result_active[$key]->sum_amount != '' ? $result_active[$key]->sum_amount : '0' );
				$tmp_arr[] = ( isset( $result_completed[$key]->sum_amount ) && $result_completed[$key]->sum_amount != '' ? $result_completed[$key]->sum_amount : '0' );
			}
			$tmp_arr[] = ( isset( $result_credit_balance[$key]->sum_amount ) && $result_credit_balance[$key]->sum_amount != '' ? $result_credit_balance[$key]->sum_amount : '0' );

			$data_table_arr[] = $tmp_arr;
		}

	} else {

		foreach ( $result_credit_balance as $key_c => $res_credit_bal ) {
			if ( isset( $res_credit_bal->sum_amount ) ) {
				$first_credit_balance = $res_credit_bal;
			} else {
				$result_credit_balance[$key_c] = $first_credit_balance;
			}
		}

		for ( $i = $from_number; $i <= $to_number; $i++ ) {
			$key = $i; $element_count++;

			if ( $type == 'all' && $i == $to_number ) { /* do nothing */ }
			else {

				$data_table.= "['$key',";

				if ( $graph_page == 'my_account' || $graph_page == 'sales' ) {
					$data_table .= ( isset( $result_earned_gross[$key]->sum_amount ) && $result_earned_gross[$key]->sum_amount ? $result_earned_gross[$key]->sum_amount : '0' ) . ", ";
					$data_table .= ( isset( $result_earned_net[$key]->sum_amount ) && $result_earned_net[$key]->sum_amount ? $result_earned_net[$key]->sum_amount : '0' ) . ", ";
					$data_table .= ( isset( $result_withdraw[$key]->sum_amount ) && $result_withdraw[$key]->sum_amount != '' ? $result_withdraw[$key]->sum_amount : '0' ) . ",";
					$data_table .= ( isset( $result_pending[$key]->sum_amount ) && $result_pending[$key]->sum_amount != '' ? $result_pending[$key]->sum_amount : '0' ) . ",";
				} else {
					$data_table .= ( isset( $result_spent[$key]->sum_amount ) && $result_spent[$key]->sum_amount ? $result_spent[$key]->sum_amount : '0' ) . ", ";
					$data_table .= ( isset( $result_active[$key]->sum_amount ) && $result_active[$key]->sum_amount != '' ? $result_active[$key]->sum_amount : '0' ) . ",";
					$data_table .= ( isset( $result_completed[$key]->sum_amount ) && $result_completed[$key]->sum_amount != '' ? $result_completed[$key]->sum_amount : '0' ) . ",";
				}
				$data_table .= ( isset( $result_credit_balance[$key]->sum_amount ) && $result_credit_balance[$key]->sum_amount != '' ? $result_credit_balance[$key]->sum_amount : '0' ) . "],";

				$tmp_arr[] = $key;

				if ( $graph_page == 'my_account' || $graph_page == 'sales' ) {
					$tmp_arr[] = ( isset( $result_earned_gross[$key]->sum_amount ) && $result_earned_gross[$key]->sum_amount ? $result_earned_gross[$key]->sum_amount : '0' ) . ", ";
					$tmp_arr[] = ( isset( $result_earned_net[$key]->sum_amount ) && $result_earned_net[$key]->sum_amount ? $result_earned_net[$key]->sum_amount : '0' ) . ", ";
					$tmp_arr[] = ( isset( $result_withdraw[$key]->sum_amount ) && $result_withdraw[$key]->sum_amount != '' ? $result_withdraw[$key]->sum_amount : '0' );
					$tmp_arr[] = ( isset( $result_pending[$key]->sum_amount ) && $result_pending[$key]->sum_amount != '' ? $result_pending[$key]->sum_amount : '0' );
				} else {
					$tmp_arr[] = ( isset( $result_spent[$key]->sum_amount ) && $result_spent[$key]->sum_amount ? $result_spent[$key]->sum_amount : '0' );
					$tmp_arr[] = ( isset( $result_active[$key]->sum_amount ) && $result_active[$key]->sum_amount != '' ? $result_active[$key]->sum_amount : '0' );
					$tmp_arr[] = ( isset( $result_completed[$key]->sum_amount ) && $result_completed[$key]->sum_amount != '' ? $result_completed[$key]->sum_amount : '0' );
				}
				$tmp_arr[] = ( isset( $result_credit_balance[$key]->sum_amount ) && $result_credit_balance[$key]->sum_amount != '' ? $result_credit_balance[$key]->sum_amount : '0' );

				$data_table_arr[] = $tmp_arr;

			}
		}
	}

	$data_table2 = $data_table;

	$data_table = "[";
	if ( $graph_page == 'shopping' ) {
		$data_table .= "['" . $disp_type . "', '" . __( 'Total spent', 'wpjobster' ) . "', '" . __( 'Active Orders', 'wpjobster' ) . "', '" . __( 'Completed Orders', 'wpjobster' ) . "', '" . __( 'Current Balance', 'wpjobster' ) . "'], " . trim( $data_table2, "," ) . "]";
	} elseif ( $graph_page == 'my_account' || $graph_page == 'sales' ) {
		$data_table .= "['" . $disp_type . "', '" . __( 'Gross Earned', 'wpjobster' ) . "', '" . __( 'Net Earned', 'wpjobster' ) . "', '" . __( 'Withdrawal', 'wpjobster' ) . "', '" . __( 'Pending Clearance', 'wpjobster' ) . "', '" . __( 'Available Funds', 'wpjobster' ) . "'], " . trim( $data_table2, "," ) . "]";
	} else {
		$data_table .= "['" . $disp_type . "', '" . __( 'Gross Earned', 'wpjobster' ) . "', '" . __( 'Net Earned', 'wpjobster' ) . "', '" . __( 'Completed Orders', 'wpjobster' ) . "', '" . __( 'Withdrawal', 'wpjobster') . "', '" . __( 'Pending Clearance', 'wpjobster' ) . "', '" . __( 'Available Funds', 'wpjobster' ) . "'], " . trim( $data_table2, "," ) . "]";
	}

	$data_table_ajax = "['" . $disp_type . "', '" . __( 'Gross Earned', 'wpjobster' ) . "', '" . __( 'Net Earned', 'wpjobster' ) . "', '" . __( 'Active Orders', 'wpjobster' ) . "', '" . __( 'Completed Orders', 'wpjobster' ) . "', '" . __( 'Withdrawal', 'wpjobster' ) . "', '" . __( 'Credit Balance', 'wpjobster' ) . "'], " . trim( $data_table2, "," );

	return array(
		"data_table"      => $data_table,
		"type"            => $type,
		"disp_type"       => $disp_type,
		"select_month"    => $select_month,
		"select_year"     => $select_year,
		"total_elements"  => $element_count,
		"data_table_arr"  => $data_table_arr,
		"data_table_ajax" => $data_table_ajax
	);

}

function wpjobster_get_graph_ajax() {
	$uid        = $_REQUEST['uid'];
	$disp_type  = $_REQUEST['disp_type'];
	$graph_page = $_REQUEST['graph_page'];

	$select_year  = isset( $_REQUEST['select_year'] ) ? $_REQUEST['select_year'] : "";
	$select_month = isset( $_REQUEST['select_month'] ) ? $_REQUEST['select_month'] : "";

	$graph_data = wpjobster_get_graph( $uid, $disp_type, $select_year, $select_month, $graph_page );

	extract( $graph_data );

	echo json_encode( $graph_data );

	die();
}

if ( ! function_exists( 'wpjobster_show_graph_controls' ) ) {
	function wpjobster_show_graph_controls( $disp_type, $select_year, $select_month, $uid = '' ) { ?>

		<div class="cf">
			<div class="chart-controls" style="">
				<div class="cf right">
					<div class="graph-button">
						<input type="radio" name="disp_type" id="radio1" value="all" <?php echo ( $disp_type == 'all' ? 'checked' : '' ); ?> class="radio" />
						<label for="radio1"><?php _e( 'All', 'wpjobster' ); ?></label>
					</div>

					<div class="graph-button">
						<input type="radio" name="disp_type" id="radio2" value="year" <?php echo ( $disp_type == 'year' ? 'checked' : '' ); ?>  class="radio" />
						<label for="radio2"><?php _e( 'Year', 'wpjobster' ); ?></label>
					</div>

					<div class="graph-button">
						<input type="radio" name="disp_type" id="radio3" value="month" <?php echo ( $disp_type == 'month' ? 'checked' : '' ); ?> class="radio" />
						<label for="radio3"><?php _e( 'Month', 'wpjobster' ); ?></label>
					</div>

					<div class="graph-button">
						<input type="radio" name="disp_type" id="radio4" value="lastweek" <?php echo ( $disp_type == 'lastweek' ? 'checked' : '' ); ?> class="radio" />
						<label for="radio4"><?php _e( 'Last week', 'wpjobster' ); ?></label>
					</div>
				</div>

				<div class="cf left">
					<form action="" id="form_graph" class="hidden">

						<div class="graph-options borderselect" id="select_year" >
							<input type="hidden" name="disp_type" id="disp_type" value="<?php echo $disp_type;?>">

							<?php
							$current_year = date( 'Y' );

							if ( ! $uid ) { $uid = get_current_user_id(); }

							global $wpdb;
							$result_data = $wpdb->get_results( "SELECT user_registered FROM {$wpdb->prefix}users WHERE ID = {$uid} LIMIT 1" );
							$start_from   = $result_data[0]->user_registered ? date( "Y", strtotime( $result_data[0]->user_registered ) ) : 2011;

							$year_arr     = range( $start_from, $current_year );
							$year_arr     = array_combine( $year_arr, $year_arr );
							echo $year_dropdown = wpjobster_get_option_drop_down( $year_arr, 'select_year', $select_year, ' class="grey_input white lighter styledselect" ' );
							?>

						</div>

						<div class="graph-options borderselect" id="select_month" class="hidden">

							<?php
							$end_month   = 12;
							$start_month = 01;
							$month_arr   = range( $start_month, $end_month );
							$month_arr   = array_combine( $month_arr, $month_arr );
							echo $month_dropdown = wpjobster_get_option_drop_down( $month_arr, 'select_month', $select_month, ' class="grey_input white lighter styledselect" ' );
							?>

						</div>

						<div class="graph-options"><input class="ui primary button" type="button" onclick="get_wpjobster_graph();" value="<?php _e( "Go", "wpjobster" );?>" style="margin-top:0px;"></div>
					</form>
				</div>

			</div>
		</div>

		<div id="chart_div" style="width: 100%; height: 300px; display: none;"></div>
	<?php }
}