<?php

/*** PC ***/

if ( ! function_exists( 'wpj_header_body_class' ) ) {
	function wpj_header_body_class() {
		$body_class = '';

		// if (isset($_GET['jb_action'])&&$_GET['jb_action'] == 'purchase_this_widget') {
		// 	$body_class = 'widget-body';
		// }

		// will need this function later, so keeping it as an example
		return $body_class;
	}
}

if ( ! function_exists( 'wpj_header_logo' ) ) {
	function wpj_header_logo() {
		$logo = get_theme_mod( 'site_logo' );
		if ( empty( $logo ) ) {
			$logo = get_template_directory_uri() . '/assets/images/logo.png';
		}

		return $logo;
	}
}

if ( ! function_exists( 'wpjobster_header_buttons' ) ) {
	function wpjobster_header_buttons() {
		global $site_url_localized;

		$buttons_list = array(
			'login' => array(
				'label'   => __("Login","wpjobster"),
				'url'     => $site_url_localized . '/wp-login.php',
				'a_class' => "login-link primary",
			),
			'register' => array(
				'label'   => __("Register","wpjobster"),
				'url'     => $site_url_localized . '/wp-login.php?action=register',
				'a_class' => "register-link secondary",
			),
		);
		$buttons_list = apply_filters( 'wpj_header_button_filter', $buttons_list );

		return $buttons_list;
	}
}

if ( ! function_exists( 'wpj_header_language_selector' ) ) {
	function wpj_header_language_selector(){
		if ( function_exists( 'qtranxf_generateLanguageSelectCode' ) ) {
			if ( count( qtranxf_getSortedLanguages() ) > 1 && wpjobster_multilanguage_allowed() ) { ?>
				<div>
					<?php wpj_generate_language_select(); ?>
				</div>
			<?php }
		}
	}
}

if ( ! function_exists( 'wpj_header_currency_selector' ) ) {
	function wpj_header_currency_selector() {
		global $wpjobster_currencies_array;
		if ( count( $wpjobster_currencies_array ) > 1 ) { ?>

			<div>
				<?php display_currency_select_main( 'mr8' ); ?>
			</div>

		<?php }
	}
}

if ( ! function_exists( 'wpj_header_messages' ) ) {
	function wpj_header_messages() {

		$icon = get_theme_mod( 'message_icon_options_header' ) != '' ? get_theme_mod( 'message_icon_options_header' ) : 'envelope'; ?>

		<div class="nh-icon nh-messages preview-wrapper z-index-bigger" data-inverted="" data-tooltip="<?php echo __( 'Messages', 'wpjobster' ); ?>" data-position="bottom center">
			<i class="<?php echo $icon; ?> icon"></i>
			<a class="nh-link" href="<?php echo get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ); ?>">
				<div id="unread-message"></div>
			</a>

			<div class="nh-submenu preview-dropdown nh-messages-dropdown nh-messages-count"></div>
		</div>

	<?php }
}

if ( ! function_exists( 'wpj_header_notifications' ) ) {
	function wpj_header_notifications() {

		$icon = get_theme_mod( 'notification_icon_options_header' ) != '' ? get_theme_mod( 'notification_icon_options_header' ) : 'bell'; ?>

		<div class="nh-icon nh-notifications preview-wrapper z-index-bigger" data-inverted="" data-tooltip="<?php echo __( 'Notifications', 'wpjobster' ); ?>" data-position="bottom center">
			<i class="<?php echo $icon; ?> icon"></i>
			<a class="nh-link" href="<?php echo get_permalink( get_option( 'wpjobster_my_account_all_notifications_page_id' ) ); ?>">
				<div id="unread-notify"></div>
			</a>

			<div class="nh-submenu preview-dropdown nh-notifications-dropdown nh-notifications-count"></div>
		</div>

	<?php }
}

if ( ! function_exists( 'wpj_header_right_part' ) ) {
	function wpj_header_right_part(){
		global $current_user;
		$current_user = wp_get_current_user();
		$user_balance_active =  get_option( 'wpjobster_credits_enable' );

		if ( is_user_logged_in() ) { ?>

			<div class="nh-user-notifications">
				<div class="nh-icons cf">
					<?php echo wpj_header_messages(); echo wpj_header_notifications(); ?>
				</div>
			</div>

			<div class="nh-user-info nh-has-submenu nh-bigger">

				<div class="nh-user-info">
					<a href="<?php echo wpj_get_my_account_link(); ?>">
						<div class="nh-user-left">
							<img width="42" height="42" border="0" src="<?php echo wpjobster_get_avatar($current_user->ID,42,42); ?>" class="nh-user-img" />
						</div>
						<div class="nh-user-right">
							<div class="nh-user-name<?php if ( $user_balance_active == 'no' ) { echo ' no-balance'; } ?>"><?php echo wpj_get_user_display_type( $current_user->ID ); ?></div>

							<?php if ( $user_balance_active != 'no' ) { ?>
								<div class="nh-user-balance"><?php echo wpjobster_get_show_price( wpjobster_get_credits( $current_user->ID ) ); ?></div>
							<?php } ?>
						</div>
					</a>
				</div>

				<div class="nh-submenu nh-accordions">
					<?php wpjobster_display_user_dropdown_links( 'pc', '', 'user-account' ); ?>
				</div>

			</div>

		<?php } else { ?>

			<div>
				<?php $menu_buttons = wpjobster_header_buttons();
				if ( $menu_buttons ) {
					foreach ( $menu_buttons as $btn ) { ?>
						<a class="ui button <?php echo $btn['a_class']; ?>" href="<?php echo $btn['url']; ?>"><?php echo $btn['label']; ?></a>
					<?php }
				} ?>
			</div>

		<?php }
	}
}

/*** MOBILE ***/

if ( ! function_exists( 'wpj_header_mobile_menu' ) ) {
	function wpj_header_mobile_menu(){ ?>
		<div class="new-menu responsive">

			<div class="top-menu-responsive">
				<div class="top-menu-wrapper-responsive">
					<div class="cf main">
						<div class="ui grid">
							<div class="four wide column">
								<?php echo wpj_header_mobile_menu_left(); ?>
							</div>
							<div class="eight wide column">
								<div class="logo-holder-reponsive">
									<a href="<?php echo home_url('/'); ?>"><img alt="logo" class="logo" src="<?php echo wpj_header_logo(); ?>" /></a>
								</div>
							</div>
							<div class="four wide column">
								<?php echo wpj_header_mobile_menu_right(); ?>
							</div>
						</div>
					</div>
				</div>
			</div>

			<?php wpjobster_get_currency(); ?>

			<?php if (is_user_logged_in() && wpjobster_is_responsive()) { ?>
				<div class="sub-menu-reponsive">
					<div class="cf main">
						<div class="ui grid">
							<div class="seven wide column">
								<div class="nh-icons cf">
									<?php echo wpj_header_messages(); echo wpj_header_notifications(); ?>
								</div>
							</div>

							<div class="nine wide column">
								<?php echo wpj_header_mobile_menu_user_info(); ?>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>

		</div>
		<?php
	}
}

if ( ! function_exists( 'wpj_header_mobile_menu_user_info' ) ) {
	function wpj_header_mobile_menu_user_info(){
		global $current_user;
		$current_user = wp_get_current_user();
		$user_balance_active =  get_option( 'wpjobster_credits_enable' ); ?>

		<div class="nh-user-info">
			<a href="<?php echo wpj_get_my_account_link(); ?>">

				<div class="nh-user-right">
					<div class="nh-user-name<?php if ( $user_balance_active == 'no' ) { echo ' no-balance'; } ?>"><?php echo wpj_get_user_display_type( $current_user->ID ); ?></div>

					<?php if ( $user_balance_active != 'no' ) { ?>
						<div class="nh-user-balance"><?php echo wpjobster_get_show_price( wpjobster_get_credits( $current_user->ID ) ); ?></div>
					<?php } ?>
				</div>

				<div class="nh-user-left">
					<img width="42" height="42" border="0" src="<?php echo wpjobster_get_avatar($current_user->ID,42,42); ?>" class="nh-user-img" />
				</div>

			</a>
		</div>
	<?php }
}

if ( ! function_exists( 'wpj_header_mobile_menu_left' ) ) {
	function wpj_header_mobile_menu_left() {

		$icon = get_theme_mod( 'left_mobile_menu_icon_options_header' ) != '' ? get_theme_mod( 'left_mobile_menu_icon_options_header' ) : 'thick bars'; ?>

		<div class="row">
			<div class="left-menu">
				<div class="ui basic icon menu resp">
					<a class="js-mobile-menu-toggle menu-left item resp">
						<i class="<?php echo $icon; ?> icon"></i>
					</a>
				</div>
			</div>
		</div>
	<?php }
}

if ( ! function_exists( 'wpj_header_mobile_menu_right' ) ) {
	function wpj_header_mobile_menu_right() {

		$icon = get_theme_mod( 'right_mobile_menu_icon_options_header' ) != '' ? get_theme_mod( 'right_mobile_menu_icon_options_header' ) : 'th'; ?>

		<div class="row">
			<div class="right-menu">
				<div class="ui basic icon menu resp">
					<a class="js-mobile-menu-toggle menu-right item resp">
						<i class="<?php echo $icon; ?> icon"></i>
					</a>
				</div>
			</div>
		</div>
	<?php }
}

function wpj_semantic_sidebar_left(){

	global $site_url_localized;

	if ( is_user_logged_in() ) {

		wpjobster_display_user_dropdown_links( 'mobile', '', 'user-account' );

	} else { ?>

		<ul class="reset">
			<li><a class="item login-link" href="<?php echo $site_url_localized; ?>/wp-login.php"><?php echo __( "Login", "wpjobster" ); ?></a></li>
			<li><a class="item register-link" href="<?php echo $site_url_localized; ?>/wp-login.php?action=register"><?php echo __( "Register", "wpjobster" ); ?></a></li>

			<?php
			wpj_generate_language_select_responsive();
			display_currency_select_mobile();
			do_action( 'wpj_left_menu_after_currency' );
			?>
		</ul>

	<?php }
}

function wpj_semantic_sidebar_right() { ?>

	<div class="mobile-search-input-container">
		<?php wpjobster_display_reponsive_search(); ?>
	</div>

	<div class="category-menu">

		<?php
		$menu = wpj_get_menu_by_location( 'wpjobster_responsive_secondary_menu' );
		$menu = apply_filters( 'wpj_responsive_secondary_menu_filter', $menu );

		wpjobster_display_user_dropdown_links( 'mobile', $menu, 'categories' );
		?>

	</div>

<?php }