<?php
if ( function_exists( 'qtranxf_generateLanguageSelectCode' ) ) {
	function qtrans_removeLanguageURL( $url ) {
		$lang = qtranxf_getLanguage();

		$url = str_replace ( get_site_url() . '/' . $lang, get_site_url(), $url );
		$url = str_replace ( get_site_url() . '/' . $lang, get_site_url(), $url );

		return $url;
	}
}

if ( function_exists( 'qtranxf_convertURL' ) ) {

	$my_account_url = get_permalink( get_option( 'wpjobster_my_account_page_id' ) );

	global $my_account_url_localized;
	$my_account_url_localized = qtranxf_convertURL( $my_account_url );

	global $site_url_localized;
	$site_url_localized = qtranxf_convertURL( site_url() );

} else {

	$my_account_url = get_permalink( get_option( 'wpjobster_my_account_page_id' ) );

	global $my_account_url_localized;
	$my_account_url_localized = $my_account_url;

	global $site_url_localized;
	$site_url_localized = site_url();
}

if ( function_exists( 'qtranxf_getLanguage' ) ) {
	add_filter( 'post_type_link', 'qtranxf_convertURL' );
}

add_action( 'init', function() {
	if ( function_exists( 'qwpseo_stylesheet_url' ) ) {
		remove_filter( 'wpseo_stylesheet_url', 'qwpseo_stylesheet_url' );
	}
});

function wpj_generate_language_select() { // based on qtranxf_generateLanguageSelectCode();
	global $q_config;

	$url = is_404() ? get_option( 'home' ) : '';

	$icon = get_theme_mod( 'language_icon_options_header' ) != '' ? get_theme_mod( 'language_icon_options_header' ) : 'globe americas'; ?>

	<div class="ui floating dropdown labeled icon basic button wpj-language-switcher">
		<i class="<?php echo $icon; ?> icon"></i>

		<div class="default text">
			<?php echo $q_config['language_name'][$q_config['language']]; ?>
		</div>

		<?php echo PHP_EOL . '<div class="menu">' . PHP_EOL;

			foreach ( qtranxf_getSortedLanguages() as $language ) {

				$alt = $q_config['language_name'][$language] . ' (' . $language . ')';

				if ( $language == $q_config['language'] ) {
					$extra_class = " active selected";
				} else {
					$extra_class = "";
				}

				if ( $language == 'en' ) {
					$flag = 'us';
				} else {
					$flag = $language;
				}

				echo '<a href="' . qtranxf_convertURL( $url, $language, false, true ) . '"';
					echo ' class="item' . $extra_class . '" title="' . $alt . '">';
					echo '<i class="' . $flag . ' flag"></i>';
				echo $q_config['language_name'][$language].'</a>' . PHP_EOL;

			}

		echo '</div>' . PHP_EOL; ?>

	</div>

<?php }

function wpj_generate_language_select_responsive() { // based on qtranxf_generateLanguageSelectCode();
	if ( function_exists( 'qtranxf_generateLanguageSelectCode' ) ) {
		if ( count( qtranxf_getSortedLanguages() ) > 1 ) { ?>

			<li class="nh-accordion-container">
				<a class="item nh-accordion-handler"><?php _e( "Language", "wpjobster" ); ?></a>

				<div class="nh-accordion" style="display: none;">
					<ul class="reset">

						<?php global $q_config;

						$url = is_404() ? get_option( 'home' ) : '';

						foreach ( qtranxf_getSortedLanguages() as $language ) {

							$alt = $q_config['language_name'][$language] . ' (' . $language . ')';

							if ( $language == $q_config['language'] ) {
								$extra_class = " active selected";
							} else {
								$extra_class = "";
							}

							if ( $language == 'en' ) {
								$flag = 'us';
							} else {
								$flag = $language;
							}

							echo '<li><a href="' . qtranxf_convertURL( $url, $language, false, true ) . '"';
								echo ' class="item' . $extra_class . '" title="' . $alt . '">';
								echo '<i class="' . $flag . ' flag"></i>';
							echo $q_config['language_name'][$language] . '</a></li>' . PHP_EOL;

						} ?>

					</ul>
				</div>
			</li>

		<?php }
	}
}
