<?php
if ( ! function_exists( 'wpj_display_upload_form' ) ) {
	function wpj_display_upload_form( $secure = 0, $input_file_upload, $input_hidden_store_id, $unique_name, $only_icon = false ) {

		$this_class = $only_icon ? $input_file_upload . ' show-only-icon-attachment' : $input_file_upload; ?>

		<div id="queue"></div>

		<input class="<?php echo $this_class; ?>" id="<?php echo $input_file_upload; ?>" name="<?php echo $input_file_upload; ?>" type="file" multiple style="display: none;" />

		<input type="hidden" name="<?php echo $input_hidden_store_id; ?>" value="" />

		<script>

			jQuery( document ).ready( function( $ ) {

				var secure                = '<?php echo $secure; ?>';
				var input_file_upload     = '<?php echo $input_file_upload; ?>';
				var input_hidden_store_id = '<?php echo $input_hidden_store_id; ?>';
				var unique_name           = '<?php echo $unique_name; ?>';

				jQuery( "#" + input_file_upload ).uploadifive({
					'auto'             : true,
					'multi'            : true,
					'height'           : 'auto',
					'width'            : 'auto',
					'uploadScript'     : wpj_vars.theme_path + '/lib/uploadifive/uploadpm.php',
					'formData'         : { 'author': wpj_vars.uid, 'secure': secure , 'unique_name': unique_name },
					'uploadLimit'      : 10,
					'fileSizeLimit'    : parseFloat( wpj_vars.attach_max_size ) * 1024,
					'buttonText'       : wpj_vars.select_file,
					'onProgress'       : function() {
						jQuery( "input[type=submit]" ).prop( 'disabled', true );

						if ( unique_name == 'custom_offer' ) {
							jQuery( '#uploadifive-' + input_file_upload + '-queue:not(:empty)' )
							.css({
								'height' : '80px',
								'overflow-y' : 'auto'
							});
						}
					},
					'onError' : function( data ) {
						if ( data == "FILE_SIZE_LIMIT_EXCEEDED" ) {
							alert( wpj_vars.attachments_max_size_err );
						} else {
							alert( data );
						}
					},
					'onUploadComplete' : function( file, data, response ) {
						var bar = data.split( "|" );

						jQuery( "#uploadifive-" + input_file_upload + "-queue" ).addClass( "test" );
						jQuery( ".filename:contains(" + file.name + ")" ).parent().parent().attr({ 'data-fileid': bar[1], 'data-filetype': bar[2]} );

						if ( ! unique_name ) { jQuery( "input[name=" + input_hidden_store_id + "]" ).val( bar[1] ); }

						jQuery( "input[type=submit]" ).prop( 'disabled', false );

					},
					'onCancel' : function( file ) {
						if ( unique_name == 'custom_offer' ) {
							if ( jQuery( '#uploadifive-' + input_file_upload + '-queue > div' ).length == 1 ) {
								jQuery( '#uploadifive-' + input_file_upload + '-queue:not(:empty)' )
								.css({
									'height' : '0px',
									'overflow-y' : 'auto'
								});
							}
						}
					}
				});

				jQuery( "#uploadifive-" + input_file_upload + "-queue" ).bind( 'DOMSubtreeModified', function() {

					jQuery( "input[name=" + input_hidden_store_id + "]" ).val( "" );

					jQuery( ".uploadifive-queue-item.complete" ).each( function() {
						var file_id_value   = jQuery( this ).attr( "data-fileid" );
						var file_type_value = jQuery( this ).attr( "data-filetype" );

						if ( file_type_value === unique_name ) {
							jQuery( "input[name=" + input_hidden_store_id + "]" ).val( function( i,val ) {
								if ( file_id_value != undefined && file_type_value != undefined ) {
									return val + ( val ? ',' : '' ) + file_id_value;
								}
							});
						}
					});

					var disable_input = 0;
					jQuery( ".uploadifive-queue-item" ).each( function() {
						var file_id_disabled = jQuery( this ).attr( "data-fileid" );
						if ( file_id_disabled == undefined ) {
							disable_input = 1;
						}
					});

					if ( disable_input == 0 ) {
						jQuery( "input[type=submit]" ).prop( 'disabled', false );
					}
				});

			});

		</script>

	<?php }
}

// demo content image helper
function wpj_handle_demo_image_upload( $img_path, $parent_id ) {
	$filename = basename( $img_path );
	$upload_file = wp_upload_bits( $filename, null, file_get_contents( $img_path ) );
	if ( ! $upload_file['error'] ) {
		$wp_filetype = wp_check_filetype($filename, null );
		$attachment = array(
			'post_mime_type' => $wp_filetype['type'],
			'post_parent'    => $parent_id,
			'post_title'     => preg_replace('/\.[^.]+$/', '', $filename),
			'post_content'   => '',
			'post_status'    => 'inherit'
		);
		$attachment_id = wp_insert_attachment( $attachment, $upload_file['file'], $parent_id );
		if ( ! is_wp_error( $attachment_id ) ) {
			require_once( ABSPATH . "wp-admin" . '/includes/image.php' );
			$attachment_data = wp_generate_attachment_metadata( $attachment_id, $upload_file['file'] );
			wp_update_attachment_metadata( $attachment_id,  $attachment_data );
		}
	}

	return $attachment_id;
}

// demo content image helper
function wpjobster_acf_update_image_field( $acf_field = '', $image_name, $parent_id ) {
	include_once( ABSPATH . 'wp-admin/includes/image.php' );
	global $current_user;
	$current_user = wp_get_current_user();
	$uploads = wp_upload_dir();
	$content_url = $uploads['baseurl'] . '/democontent/';
	$content_dir = $uploads['basedir'] . '/democontent/';

	$attach_id = wpjobster_get_attachment_id_from_url( $content_url . $image_name );

	if ( ! $attach_id ) {
		$save_path = $content_dir . $image_name;
		if ( file_exists( $save_path ) ) {
			$file_info = @getimagesize( $save_path );
		} else {
			return false;
		}

		$attachment = array(
			'post_mime_type' => $file_info['mime'],
			'post_title'     => addslashes( $image_name ),
			'post_content'   => '',
			'post_status'    => 'inherit',
			'post_parent'    => $parent_id,
			'post_author'    => $current_user->ID,
		);

		$attach_id = wp_insert_attachment( $attachment, $save_path, $parent_id );
		$attach_data = wp_generate_attachment_metadata( $attach_id, $save_path );
		wp_update_attachment_metadata( $attach_id, $attach_data );
	}

	if ( function_exists( 'update_field' ) ) {
		if ( $acf_field ) {
			update_field( $acf_field, $attach_id, $parent_id );
		}
		return $attach_id;
	}

	return false;
}

// demo content image helper
function wpjobster_acf_update_image_field_remote( $acf_field = '', $image_url, $parent_id ) {
	include_once( ABSPATH . 'wp-admin/includes/image.php' );
	global $current_user;
	$current_user = wp_get_current_user();

	// Gives us access to the download_url() and wp_handle_sideload() functions
	require_once( ABSPATH . 'wp-admin/includes/file.php' );

	$timeout_seconds = 30;

	$temp_file = download_url( $image_url, $timeout_seconds );

	if ( !is_wp_error( $temp_file ) ) {

		// Array based on $_FILE as seen in PHP file uploads
		$file = array(
			'name'     => basename( $image_url ), // ex: wp-header-logo.png
			// 'type'     => 'application/zip',
			'tmp_name' => $temp_file,
			'error'    => 0,
			'size'     => filesize( $temp_file ),
		);

		$overrides = array(
			// Tells WordPress to not look for the POST form
			// fields that would normally be present as
			// we downloaded the file from a remote server, so there
			// will be no form fields
			// Default is true
			'test_form' => false,

			// Setting this to false lets WordPress allow empty files, not recommended
			// Default is true
			'test_size' => true,
		);

		// Move the temporary file into the uploads directory
		$results = wp_handle_sideload( $file, $overrides );

		if ( !empty( $results['error'] ) ) {

			// Insert any error handling here
			return false;

		} else {

			$filename  = $results['file']; // Full path to the file
			$local_url = $results['url'];  // URL to the file in the uploads dir
			$type      = $results['type']; // MIME type of the file

			// Perform any actions here based in the above results

			$save_path = $filename;
			if ( file_exists( $save_path ) ) {
				$file_info = @getimagesize( $save_path );
			} else {
				return false;
			}

			$attachment = array(
				'post_mime_type' => $file_info['mime'],
				'post_title'     => addslashes( basename( $image_url ) ),
				'post_content'   => '',
				'post_status'    => 'inherit',
				'post_parent'    => $parent_id,
				'post_author'    => $current_user->ID,
			);

			$attach_id = wp_insert_attachment( $attachment, $save_path, $parent_id );
			$attach_data = wp_generate_attachment_metadata( $attach_id, $save_path );
			wp_update_attachment_metadata( $attach_id, $attach_data );


			if ( function_exists( 'update_field' ) ) {
				if ( $acf_field ) {
					update_field( $acf_field, $attach_id, $parent_id );
				}
				return $attach_id;
			}
		}
	}
	return false;
}

add_filter('upload_mimes', 'wpjobster_custom_upload_mimes');
function wpjobster_custom_upload_mimes($existing_mimes = array()){
	$existing_mimes['zip'] = 'application/zip';
	$existing_mimes['psd'] = 'application/octet-stream';
	$existing_mimes['ai']  = 'application/postscript';
	$existing_mimes['cdr'] = 'application/cdr';
	$existing_mimes['eps'] = 'application/postscript';

	return $existing_mimes;
}

add_filter('upload_mimes', 'wpjobster_custom_admin_upload_mimes');
function wpjobster_custom_admin_upload_mimes( $existing_mimes = array() ) {

	$allowed = get_option( 'wpjobster_allowed_mime_types' );
	$mime_types = wpjobster_mimes_type();

	if ( ! empty( $allowed ) ) {
		foreach ( $allowed as $val ) {
			if ( isset( $mime_types[$val] ) ) {
				$existing_mimes[$val] = $mime_types[$val];
			} else {
				$existing_mimes[$val] = 'application/'.$val;
			}
		}
	} else {
		$existing_mimes[] = '';
	}

	return $existing_mimes;
}

add_filter( 'get_avatar', 'wpjobster_custom_avatar', 1, 5 );
function wpjobster_custom_avatar( $avatar, $id_or_email, $size, $default, $alt ) {
	$user = false;

	if ( is_numeric( $id_or_email ) ) {

		$id = (int) $id_or_email;
		$user = get_user_by( 'id' , $id );

	} elseif ( is_object( $id_or_email ) ) {

		if ( ! empty( $id_or_email->user_id ) ) {
			$id = (int) $id_or_email->user_id;
			$user = get_user_by( 'id' , $id );
		}

	} else {
		$user = get_user_by( 'email', $id_or_email );
	}

	if ( $user && is_object( $user ) ) {

		if ( isset( $id ) && isset( $user->data->ID ) && $user->data->ID == $id ) {

			$av = wpjobster_get_avatar( $id, 64, 64 );

			$avatar = "<img alt='{$alt}' src='{$av}' class='avatar avatar-{$size} photo' height='{$size}' width='{$size}' />";
		}

	}

	return $avatar;
}

// UPDATE PROFILE PICTURE - WP SOCIAL LOGIN
add_action( 'user_register', 'wpjobster_set_social_login_avatar', 10, 1 );
function wpjobster_set_social_login_avatar( $user_id ){
	update_user_meta( $user_id, 'wsl_photo_updated', '0' );
}

add_action( 'init','wpjobster_set_fb_user_avatar' );
function wpjobster_set_fb_user_avatar(){
	if ( function_exists( 'wsl_get_stored_hybridauth_user_profiles_by_user_id' ) ) {
		$current_user = wp_get_current_user();
		$uid = $current_user->ID;
		$is_social = wsl_get_stored_hybridauth_user_profiles_by_user_id( $uid );

		// add conditions in cascade to reduce unnecessary overload
		if( $is_social ){
			if ( $uid ) {
				$wsl_photo_updated = get_user_meta( $uid, 'wsl_photo_updated', true );
				if ( $wsl_photo_updated != 'done' ) {
					$avatar = get_user_meta( $uid, 'avatar', true );
					if ( $avatar == '' ) {
						$wsl_account = wsl_get_stored_hybridauth_user_profiles_by_user_id( $uid );
						if ( $wsl_account != '' ) {
							if( isset( $wsl_account[0]->photourl ) ){
								$wsl_avatar = $wsl_account[0]->photourl;
								update_user_meta( $uid, 'avatar', $wsl_avatar );
								update_user_meta( $uid, 'wsl_photo_updated', 'done' );
							}
						}
					}
				}
			}
		}
	}
}

// SET AUTHENTICATION TOKEN TRANSIENT
add_action( 'wp_ajax_nopriv_wpjobster_save_auth_token_transient', 'wpjobster_save_auth_token_transient' );
add_action( 'wp_ajax_wpjobster_save_auth_token_transient', 'wpjobster_save_auth_token_transient' );
function wpjobster_save_auth_token_transient(){
	set_post_meta_transient( $_POST['secure_download'], 'wpj_authentication_token', $_POST['auth_token'], 600 );
	wp_die();
}

// Hide private files from media library
add_filter( 'ajax_query_attachments_args', function( $args ) {
	$args['meta_query'] = array( 'relation' => 'AND',
		array( 'key' => 'pm_id',      'compare' => 'NOT EXISTS' ),
		array( 'key' => 'message_id', 'compare' => 'NOT EXISTS' ),
		array( 'key' => 'job_id',     'compare' => 'NOT EXISTS' )
	);
	return $args;
} );

add_action( 'wp_ajax_nopriv_update_images_order', 'wpj_save_images_order' );
add_action( 'wp_ajax_update_images_order', 'wpj_save_images_order' );
function wpj_save_images_order() {
	if ( isset( $_POST['images_order'] ) ) {
		$images_order = $_POST['images_order'];
		if ( $images_order ) {
			$i = 1;
			foreach ( $images_order as $image ) {
				if ( ! is_demo_user() ) {
					if ( ! empty ( $_POST['pid'] ) && $i == 1 ) { update_post_meta( $_POST['pid'], 'job_first_image', $image ); }
					update_post_meta( $image, 'images_order', $i );
				}
				$i++;
			}
		}
	}
}

// Dropzone Image Form
function wpjobster_dropzone_image_uploader( $pid, $uploader_purpose = 'job' ) {

	// limits
	if ( $uploader_purpose == 'job' ) {
		$attachments                   = wpjobster_get_job_images( $pid );
		$wpjobster_default_nr_of_pics  = get_option( 'wpjobster_default_nr_of_pics' );
		$wpjobster_max_img_upload_size = wpj_get_image_max_upload_size();

	} elseif ( $uploader_purpose == 'portfolio' ) {
		$attachments                   = wpjobster_get_portfolio_images( $pid );
		$wpjobster_default_nr_of_pics  = get_option( 'wpjobster_profile_default_nr_of_pics' );
		$wpjobster_max_img_upload_size = wpj_get_image_max_upload_size( 'profile' );

	}

	if ( $wpjobster_default_nr_of_pics == "" ) { $wpjobster_default_nr_of_pics = '5'; }

	$wpjobster_max_img_upload_size_mb = $wpjobster_max_img_upload_size / 1048576;

	$thumbs = '';

	if ( $attachments ) {
		foreach ( $attachments as $attachment ) {
			$img_id    = $attachment->ID;
			$img_thumb = wpj_get_attachment_image_url( $img_id, array( 110, 110 ) );

			$thumbs .= '
				<div class="dz-image-wrapper" data-id="' . $img_id . '">
					<div class="dz-preview dz-image-preview dz-complete" data-id="' . $img_id . '" id="image_ss' . $img_id . '">
						<div class="dz-image"><img data-dz-thumbnail="" alt="" src="' . $img_thumb . '"></div>
					</div>

					<a href="javascript: void(0);" onclick="delete_this_file(' . $img_id . ', \'\', \'\', \'\', \'image\');" class="delete-this"></a>
				</div>
			';
		}
	}

	$nonce_files = wp_nonce_field( 'protect_content', 'jobimages_nonce_field' );

	echo '
		<div id="dropzone-jobimages" class="dropzone needsclick dz-clickable cf" data-pid="' . $pid . '" data-maxfilesize="' . $wpjobster_max_img_upload_size . '" data-uploader_purpose="' . $uploader_purpose . '" data-maxnrofpictures="' . $wpjobster_default_nr_of_pics . '">' . $thumbs . '</div>

		<div id="dropzone-jobimages-fields">
			' . $nonce_files . '
			<input type="hidden" id="images_order" name="images_order">
		</div>
	';

	echo '<script>window.addEventListener( "load", function() { wpj_init_dropzone_job_images( ' . $wpjobster_default_nr_of_pics . ', ' . $wpjobster_max_img_upload_size . ' ); });</script>';

}

// Dropzone Image AJAX
add_action( 'wp_ajax_nopriv_submit_dropzone_image', 'wpjobster_dropzone_image_uploader_action' );
add_action( 'wp_ajax_submit_dropzone_image', 'wpjobster_dropzone_image_uploader_action' );
function wpjobster_dropzone_image_uploader_action() {
	if ( ! empty($_FILES) && wp_verify_nonce($_REQUEST['jobimages_nonce_field'], 'protect_content') ) {

		$pid = $_POST['pid'];
		$uploader_purpose = $_POST['uploader_purpose'];

		global $current_user;
		$current_user = wp_get_current_user();

		// limits
		if ( $uploader_purpose == 'job' ) {

			$wpjobster_default_nr_of_pics = get_option( 'wpjobster_default_nr_of_pics' );
			$allowed_size_width = get_option( 'wpjobster_min_img_upload_width' );
			$allowed_size_height = get_option( 'wpjobster_min_img_upload_height' );
			$wpjobster_max_img_upload_size = wpj_get_image_max_upload_size();

			$post = get_post( $pid );
			$attachments = wpjobster_get_job_images( $pid );

		} elseif ( $uploader_purpose == 'portfolio' ) {

			$wpjobster_default_nr_of_pics = get_option( 'wpjobster_profile_default_nr_of_pics' );
			$allowed_size_width = get_option( 'wpjobster_profile_min_img_upload_width' );
			$allowed_size_height = get_option( 'wpjobster_profile_min_img_upload_height' );
			$wpjobster_max_img_upload_size = wpj_get_image_max_upload_size( 'profile' );

			$uid = $pid;
			$attachments = wpjobster_get_portfolio_images( $uid );
		}

		if ( $wpjobster_default_nr_of_pics == '' ) {
			$wpjobster_default_nr_of_pics = 5;
		}

		$error = false;
		$attach_id = 0;

		$attachments_count = count( $attachments );

		$wpjobster_max_img_upload_size_mb = $wpjobster_max_img_upload_size / 1048576;

		if ( ! is_numeric( $allowed_size_width ) || ! $allowed_size_width ) { $allowed_size_width = 720; }
		if ( ! is_numeric( $allowed_size_height ) || ! $allowed_size_height ) { $allowed_size_height = 405; }
		if ( isset( $_FILES['file']['tmp_name'] ) ) {
			$tmp_name = $_FILES['file']['tmp_name'];
			list( $file_width, $file_height ) = getimagesize( $tmp_name );
		} else {
			$file_width = 0;
			$file_height = 0;
		}

		try {

			if ( $uploader_purpose == 'job' && $post->post_author != $current_user->ID && ! user_can( $current_user, 'manage_options' ) ) {
				throw new RuntimeException( __('You can upload pictures only to your own job.', 'wpjobster') );
			}

			if ( $uploader_purpose == 'portfolio' && $uid != $current_user->ID && ! user_can( $current_user, 'manage_options' ) ) {
				throw new RuntimeException( __('You can upload pictures only to your portfolio.', 'wpjobster') );
			}

			if ( $attachments_count >= $wpjobster_default_nr_of_pics ) {
				throw new RuntimeException( sprintf(__('Only %s images are allowed.', 'wpjobster'), $wpjobster_default_nr_of_pics) );
			}

			if ( ! isset($_FILES['file']['error']) || is_array($_FILES['file']['error']) ) {
				throw new RuntimeException( __('Invalid parameters.', 'wpjobster') );
			}

			// Check $_FILES['file']['error'] value.
			switch ( $_FILES['file']['error'] ) {
				case UPLOAD_ERR_OK:
					break;
				case UPLOAD_ERR_NO_FILE:
					throw new RuntimeException( __('No file sent.', 'wpjobster') );
				case UPLOAD_ERR_INI_SIZE:
				case UPLOAD_ERR_FORM_SIZE:
					throw new RuntimeException( sprintf(__('Filesize is too big. Only %sMB is allowed.', 'wpjobster'), $wpjobster_max_img_upload_size_mb) );
				default:
					throw new RuntimeException( __('Unknown errors.', 'wpjobster') );
			}

			// Check filesize again
			if ( $_FILES['file']['size'] > $wpjobster_max_img_upload_size ) {
				throw new RuntimeException( sprintf(__('Filesize is too big. Only %sMB is allowed.', 'wpjobster'), $wpjobster_max_img_upload_size_mb) );
			}

			// DO NOT TRUST $_FILES['file']['mime'] VALUE !!
			// Check MIME Type by yourself.
			if ( class_exists( 'finfo' ) ) {
				$finfo = new finfo(FILEINFO_MIME_TYPE);
				if (false === $ext = array_search(
					$finfo->file($_FILES['file']['tmp_name']),
					array(
						'jpg' => 'image/jpeg',
						'png' => 'image/png',
						'gif' => 'image/gif',
					),
					true
				)) {
					throw new RuntimeException( __('Invalid file format.', 'wpjobster') );
				}
			}

			// Check file dimensions
			if ( $file_width < $allowed_size_width || $file_height < $allowed_size_height ) {
				throw new RuntimeException( sprintf(__('Minimum file size: %1$s x %2$s px.', 'wpjobster'), $allowed_size_width, $allowed_size_height) );
			}

		} catch ( RuntimeException $e ) {
			$error = $e->getMessage();
		}

		if ( $error === false ) {

			$uploaded_bits = wp_upload_bits(
				$_FILES['file']['name'],
				null, //deprecated
				file_get_contents( $_FILES['file']['tmp_name'] )
			);

			if ( false !== $uploaded_bits['error'] ) {
				$error = $uploaded_bits['error'];

			} else {
				$uploaded_file     = $uploaded_bits['file'];
				$uploaded_url      = $uploaded_bits['url'];
				$uploaded_filetype = wp_check_filetype( basename( $uploaded_bits['file'] ), null );

				// generate metadata
				if ( $uploader_purpose == 'job' ) {
					$attachment = array(
						'post_mime_type' => $uploaded_bits['type'],
						'post_title'     => apply_filters( 'wpj_uploaded_file_name_filter', 'File' ) . ' ' . addslashes( $_FILES['file']['name'] ),
						'post_content'   => '',
						'post_status'    => 'inherit',
						'post_parent'    =>  $pid,
						'post_author'    => $current_user->ID,
					);
				} elseif ( $uploader_purpose == 'portfolio' ) {
					$attachment = array(
						'post_mime_type' => $uploaded_bits['type'],
						'post_title'     => apply_filters( 'wpj_uploaded_file_name_filter', 'File' ) . ' ' . addslashes( $_FILES['file']['name'] ),
						'post_content'   => '',
						'post_status'    => 'publish',
						'post_author'    => $uid,
					);
				}
				$attach_id = wp_insert_attachment( $attachment, $uploaded_file, $pid );
				$attach_data = wp_generate_attachment_metadata( $attach_id, $uploaded_file );
				wp_update_attachment_metadata( $attach_id, $attach_data );

				if ( $uploader_purpose == 'portfolio' ) {
					update_post_meta( $attach_id, 'is_portfolio', 1 );
				}

				if ( $uploader_purpose == 'job' ) {
					update_post_meta( $attach_id, 'is_job', 1 );
				}

				do_action( 'wpj_after_file_complete_upload_action', $attach_data, $attach_id );
			}
		}

		$return = array(
			'id' => $attach_id,
			'error' => $error,
		);

		echo wp_json_encode( $return );
	}
	die();
}

// Dropzone Cover Form
function wpjobster_dropzone_cover_uploader( $pid ) {

	$cover_id = get_post_meta( $pid, 'cover-image', 1 );

	$cover = '';

	$wpjobster_max_img_upload_size    = wpj_get_image_max_upload_size();
	$wpjobster_max_img_upload_size_mb = $wpjobster_max_img_upload_size / 1048576;

	if ( is_numeric( $cover_id ) ) { // has cover
		$cover_thumb = wpj_get_attachment_image_url( $cover_id, array( 980, 180 ) );
		if ( $cover_thumb != '' ) {

			$cover .= '
				<div class="dz-preview dz-image-preview dz-complete" data-id="' . $cover_id . '" id="image_ss' . $cover_id . '">
					<div class="dz-image"><img data-dz-thumbnail="" alt="" src="' . $cover_thumb . '"></div>
					<a href="javascript: void(0);" onclick="delete_this_file(' . $cover_id . ', \'\', \'\', ' . $pid . ', \'cover\');" class="delete-this"></a>
				</div>
			';
		}
	}

	$nonce_files = wp_nonce_field( 'protect_content', 'jobcover_nonce_field' );

	echo '
		<div id="dropzone-jobcover" class="dropzone needsclick dz-clickable cf" data-pid="' . $pid . '" data-maxfilesize="' . $wpjobster_max_img_upload_size . '">' . $cover . '</div>

		<div id="dropzone-jobcover-fields">' . $nonce_files . '</div>
	';

}

// Dropzone Cover AJAX
add_action( 'wp_ajax_nopriv_submit_dropzone_cover', 'wpjobster_dropzone_cover_uploader_action' );
add_action( 'wp_ajax_submit_dropzone_cover', 'wpjobster_dropzone_cover_uploader_action' );
function wpjobster_dropzone_cover_uploader_action() {
	if ( ! empty($_FILES) && wp_verify_nonce($_REQUEST['jobcover_nonce_field'], 'protect_content') ) {

		$pid = $_POST['pid'];
		$post = get_post( $pid );

		global $current_user;
		$current_user = wp_get_current_user();

		$error = false;
		$attach_id = 0;

		// limits
		$wpjobster_max_img_upload_size = wpj_get_image_max_upload_size();
		$wpjobster_max_img_upload_size_mb = $wpjobster_max_img_upload_size / 1048576;

		$allowed_size_width = get_option( 'wpjobster_min_cover_img_upload_width' );
		$allowed_size_height = get_option( 'wpjobster_min_cover_img_upload_height' );
		if ( ! is_numeric( $allowed_size_width ) || ! $allowed_size_width ) { $allowed_size_width = 720; }
		if ( ! is_numeric( $allowed_size_height ) || ! $allowed_size_height ) { $allowed_size_height = 405; }
		if ( isset( $_FILES['file']['tmp_name'] ) ) {
			$tmp_name = $_FILES['file']['tmp_name'];
			list( $file_width, $file_height ) = getimagesize( $tmp_name );
		} else {
			$file_width = 0;
			$file_height = 0;
		}

		try {
			if ( $post->post_author != $current_user->ID && ! user_can( $current_user, 'manage_options' ) ) {
				throw new RuntimeException( __('You can upload pictures only to your own job.', 'wpjobster') );
			}

			if ( ! isset($_FILES['file']['error']) || is_array($_FILES['file']['error']) ) {
				throw new RuntimeException( __('Invalid parameters.', 'wpjobster') );
			}

			// Check $_FILES['file']['error'] value.
			switch ( $_FILES['file']['error'] ) {
				case UPLOAD_ERR_OK:
					break;
				case UPLOAD_ERR_NO_FILE:
					throw new RuntimeException( __('No file sent.', 'wpjobster') );
				case UPLOAD_ERR_INI_SIZE:
				case UPLOAD_ERR_FORM_SIZE:
					throw new RuntimeException( sprintf(__('Filesize is too big. Only %sMB is allowed.', 'wpjobster'), $wpjobster_max_img_upload_size_mb) );
				default:
					throw new RuntimeException( __('Unknown errors.', 'wpjobster') );
			}

			// Check filesize again
			if ( $_FILES['file']['size'] > $wpjobster_max_img_upload_size ) {
				throw new RuntimeException( sprintf(__('Filesize is too big. Only %sMB is allowed.', 'wpjobster'), $wpjobster_max_img_upload_size_mb) );
			}

			// DO NOT TRUST $_FILES['file']['mime'] VALUE !!
			// Check MIME Type by yourself.
			if ( class_exists( 'finfo' ) ) {
				$finfo = new finfo(FILEINFO_MIME_TYPE);
				if (false === $ext = array_search(
					$finfo->file($_FILES['file']['tmp_name']),
					array(
						'jpg' => 'image/jpeg',
						'png' => 'image/png',
						'gif' => 'image/gif',
					),
					true
				)) {
					throw new RuntimeException( __('Invalid file format.', 'wpjobster') );
				}
			}

			// Check file dimensions
			if ( $file_width < $allowed_size_width || $file_height < $allowed_size_height ) {
				throw new RuntimeException( sprintf(__('Minimum file size: %1$s x %2$s px.', 'wpjobster'), $allowed_size_width, $allowed_size_height) );
			}

		} catch ( RuntimeException $e ) {
			$error = $e->getMessage();
		}

		if ( $error === false ) {

			$uploaded_bits = wp_upload_bits(
				$_FILES['file']['name'],
				null, //deprecated
				file_get_contents( $_FILES['file']['tmp_name'] )
			);

			if ( false !== $uploaded_bits['error'] ) {
				$error = $uploaded_bits['error'];

			} else {
				$uploaded_file     = $uploaded_bits['file'];
				$uploaded_url      = $uploaded_bits['url'];
				$uploaded_filetype = wp_check_filetype( basename( $uploaded_bits['file'] ), null );

				// generate metadata
				$attachment = array(
					'post_mime_type' => $uploaded_bits['type'],
					'post_title'     => apply_filters( 'wpj_uploaded_file_name_filter', 'File' ) . ' ' . addslashes( $_FILES['file']['name'] ),
					'post_content'   => '',
					'post_status'    => 'inherit',
					'post_parent'    =>  $pid,
					'post_author'    => $current_user->ID,
				);
				$attach_id = wp_insert_attachment( $attachment, $uploaded_file, $pid );
				$attach_data = wp_generate_attachment_metadata( $attach_id, $uploaded_file );
				wp_update_attachment_metadata( $attach_id, $attach_data );
				update_post_meta( $attach_id, 'is_cover', 1 );

				do_action( 'wpj_after_file_complete_upload_action', $attach_data, $attach_id );

				$cover_image_id_arr = get_post_meta( $pid, 'cover-image' );
				foreach ( $cover_image_id_arr as $cover_image_id ) {
					wp_delete_post( $cover_image_id );
				}
				delete_post_meta( $pid, 'cover-image' );

				update_post_meta( $pid, 'cover-image', $attach_id );
			}
		}

		$return = array(
			'id' => $attach_id,
			'error' => $error,
		);

		echo wp_json_encode( $return );
	}
	die();
}

add_filter( "mce_buttons", "wpj_tinymce_toolbar1_buttons", 99 );
function wpj_tinymce_toolbar1_buttons( $buttons ) {
	if ( ! is_admin() ) {
		$buttons = array( 'formatselect', 'fontsizeselect', 'bold', 'italic', 'underline', 'bullist', 'numlist', 'blockquote', 'alignleft', 'aligncenter', 'alignright', 'wp_adv' );
	}
	return $buttons;
}

add_filter( "mce_buttons_2", "wpj_tinymce_toolbar2_buttons", 99 );
function wpj_tinymce_toolbar2_buttons( $buttons ) {
	if ( ! is_admin() ) {
		$buttons = array( 'strikethrough', 'superscript', 'subscript', 'hr', 'forecolor', 'backcolor', 'link', 'pastetext', 'removeformat', 'charmap', 'outdent', 'indent', 'undo', 'redo' );
	}
	return $buttons;
}
