<?php
if ( ! function_exists( 'notify_after_custom_extra_pay' ) ) {
	function notify_after_custom_extra_pay( $order_id, $uid, $total, $mc_currency, $custom_extra_id ) {

		$order         = wpjobster_get_order( $order_id );
		$post_a        = get_post( $order->pid );
		$user_data     = get_userdata( $uid );
		$custom_extras = json_decode( $order->custom_extras );
		$custom_extra  = $custom_extras[$custom_extra_id];

		wpj_notify_user_translated( apply_filters( 'wpj_custom_extra_paid_new_reason_filter', 'custom_extra_paid_new', $order_id ), $uid, array(
			'##sender_username##'       => wpj_get_user_display_type( $post_a->post_author ),
			'##transaction_number##'    => wpjobster_camouflage_order_id( $order->id, $order->date_made ),
			'##transaction_page_link##' => wpj_get_order_link( $order_id ),
			'##job_name##'              => $order->job_title,
			'##job_link##'              => urldecode( get_permalink( $order->pid ) )
		) );

		wpj_notify_user_translated( apply_filters( 'wpj_custom_extra_paid_new_seller_reason_filter', 'custom_extra_paid_new_seller', $order_id ), $post_a->post_author, array(
			'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
			'##transaction_number##'    => wpjobster_camouflage_order_id( $order->id, $order->date_made ),
			'##transaction_page_link##' => wpj_get_order_link( $order_id ),
			'##job_name##'              => $order->job_title,
			'##job_link##'              => urldecode( get_permalink( $order->pid ) )
		) );

		wpj_notify_user_translated( 'custom_extra_paid_admin_new', 'admin', array(
			'##username##'              => wpj_get_user_display_type( $user_data->ID ),
			'##transaction_page_link##' => wpj_get_order_link( $order_id )
		) );

		$buyer_processing_fees_orignal = wpjobster_get_site_processing_fee( $custom_extra->price, 0, 0);
		$tax_orignal                   = wpjobster_get_site_tax( $custom_extra->price, 0, 0, $buyer_processing_fees_orignal );
		$tax                           = wpjobster_formats_special_exchange( $tax_orignal, 1, $mc_currency );
		$buyer_processing_fees         = wpjobster_formats_special_exchange( $buyer_processing_fees_orignal, 1, $mc_currency );
		$price_exchanged               = wpjobster_formats_special_exchange( $custom_extra->price, 1, $mc_currency );

		$order_url = get_bloginfo( 'url' ) . '/?jb_action=chat_box&oid=' . $order_id;
		$custom_extra_title = $custom_extra->description;

		// insert main log for buyer
		$reason = __( 'Custom extra', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $custom_extra_title . '</a>';
		wpjobster_add_history_log( '0', $reason, $custom_extra->price, $uid, '', $order_id, 18, $custom_extra_id, $mc_currency . "|" . $price_exchanged );

		// insert fee log for buyer
		if ( $buyer_processing_fees_orignal ) {
			$reason = __( 'Processing fee for custom extra', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $custom_extra_title . '</a>';
			wpjobster_add_history_log( '0', $reason, $buyer_processing_fees_orignal, $uid, '', $order_id, 16, $custom_extra_id, $mc_currency . "|" . $buyer_processing_fees );
		}

		// insert tax log for buyer
		if ( $tax_orignal ) {
			$reason = __( 'Tax for custom extra', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $custom_extra_title . '</a>';
			wpjobster_add_history_log( '0', $reason, $tax_orignal, $uid, '', $order_id, 17, $custom_extra_id, $mc_currency . "|" . $tax );
		}

		// insert collected log for seller
		$reason = __( 'Payment collected for custom extra', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $custom_extra_title . '</a>';
		wpjobster_add_history_log( '2', $reason, $custom_extra->price, $post_a->post_author, '', $order_id, 19, $custom_extra_id, $mc_currency . '|' . $price_exchanged );
	}
}

if ( ! function_exists( 'notify_after_tips_pay' ) ) {
	function notify_after_tips_pay( $order_id, $uid, $total, $mc_currency, $tips_id ) {

		$order  = wpjobster_get_order( $order_id );
		$post_a = get_post( $order->pid );
		$tips   = json_decode( $order->tips );
		$tip    = $tips[$tips_id];

		$user_data = get_userdata( $uid );

		wpj_notify_user_translated( 'tips_paid_new', $post_a->post_author, array( '##transaction_page_link##' => wpj_get_order_link( $order_id ), '##sender_username##' => wpj_get_user_display_type( $user_data->ID ) ) );

		$buyer_processing_fees_orignal = wpjobster_get_site_processing_fee( $tip->amount, 0, 0);
		$tax_orignal                   = wpjobster_get_site_tax( $tip->amount,0,0,$buyer_processing_fees_orignal);
		$tax                           = wpjobster_formats_special_exchange( $tax_orignal, 1, $mc_currency );
		$buyer_processing_fees         = wpjobster_formats_special_exchange( $buyer_processing_fees_orignal, 1, $mc_currency );
		$price_exchanged               = wpjobster_formats_special_exchange( $tip->amount, 1, $mc_currency );

		$order_url = get_bloginfo( 'url' ) . '/?jb_action=chat_box&oid=' . $order_id;

		$job_title   = $order->job_title;
		$tips_reason = $tip->reason ? ' (' . $tip->reason . ')' : '';

		// insert main log for buyer
		$reason = __( 'Tips', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $job_title . $tips_reason . '</a>';
		wpjobster_add_history_log( '0', $reason, $tip->amount, $uid, '', $order_id, 24, $tips_id, $mc_currency . "|" . $price_exchanged );

		// insert fee log for buyer
		if ( $buyer_processing_fees_orignal ) {
			$reason = __( 'Processing fee for tips', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $job_title .$tips_reason . '</a>';
			wpjobster_add_history_log( '0', $reason, $buyer_processing_fees_orignal, $uid, '', $order_id, 22, $tips_id, $mc_currency . "|" . $buyer_processing_fees );
		}

		// insert tax log for buyer
		if ( $tax_orignal ) {
			$reason = __( 'Tax for tips', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $job_title .$tips_reason . '</a>';
			wpjobster_add_history_log( '0', $reason, $tax_orignal, $uid, '', $order_id, 23, $tips_id, $mc_currency . "|" . $tax );
		}

		// insert collected log for seller
		$reason = __( 'Payment collected for tips', 'wpjobster' ) . ': <a href="' . $order_url . '">' . $job_title .$tips_reason . '</a>';
		wpjobster_add_history_log( '2', $reason, $tip->amount, $post_a->post_author, '', $order_id, 25, $tips_id, $mc_currency . '|' . $price_exchanged );
	}
}