<?php
if ( ! function_exists( 'wpjobster_pm_loop' ) ) {

	function wpjobster_pm_loop( $r, $myuid, $otheruid ) {

		global $wpjobster_currencies_array;

		$otheruid_slug = get_user_by( 'id', $otheruid );
		$otheruid_slug = is_object( $otheruid_slug ) && isset( $otheruid_slug->user_nicename ) ? $otheruid_slug->user_nicename : false;

		$using_perm = wpjobster_using_permalinks();
		if ( $using_perm ) {
			$privurl_m = get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) . "/?";
		} else {
			$privurl_m = get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_priv_mess_page_id' ) . "&";
		}

		if ( $r ) {

			foreach ( $r as $row ) {

				// mark message as read
				if ( $myuid != $row->initiator && $row->rd == 0 ) {
					wpj_read_private_message( $row );
				}

				// get message background color
				if ( $row->custom_offer == -1 ) {
					$bgcolor = $myuid == $row->initiator ? 'pm-request-holder pm-sent' : 'pm-request-holder';
				} elseif ( $row->custom_offer > 0 ) {
					$bgcolor = $myuid == $row->initiator ? 'pm-offer-holder pm-sent' : 'pm-offer-holder';
				} elseif ( $myuid == $row->initiator ) {
					$bgcolor = 'pm-sent';
				} else {
					$bgcolor = '';
				}

				// get user avatar
				$user = get_userdata( $row->initiator );
				if ( is_object( $user ) && isset( $user->ID ) ) {
					$user_avatar = '<img width="45" height="45" border="0" src="' . wpjobster_get_avatar( $user->ID, 46, 46 ) . '" class="round-avatar" />';
				} else {
					$user_avatar = '<img width="45" height="45" border="0" src="' . wpjobster_get_avatar( $row->initiator, 46, 46 ) . '" class="round-avatar" />';
				}

				// get custom offer icon
				$title_icon         = "";
				$custom_offer_class = "";

				if ( $row->custom_offer == -1 ) {

					$custom_offer_class = $myuid == $row->user ? "pm-offer-blue" : "pm-offer-gray";
					$title_icon         = "title-tag-icon";

				} elseif ( $row->custom_offer > 0 ) {

					// expired offer?
					wpj_custom_offer_expired( $row->custom_offer, $row->user, $row->initiator );

					if ( get_post_meta( $row->custom_offer, "offer_accepted", true ) == 1 ) {
						$custom_offer_class = "pm-offer-green";
						$title_icon         = "title-check-icon";
					} elseif ( get_post_meta( $row->custom_offer, "offer_declined", true ) == 1 ) {
						$custom_offer_class = "pm-offer-red";
						$title_icon         = "title-close-icon";
					} elseif ( get_post_meta( $row->custom_offer, "offer_withdrawn", true ) == 1 ) {
						$custom_offer_class = "pm-offer-gray";
						$title_icon         = "title-minus-icon";
					} elseif ( get_post_meta( $row->custom_offer, "offer_expired", true ) == 1 ) {
						$custom_offer_class = "pm-offer-gray";
						$title_icon         = "title-clock-icon";
					} elseif ( $myuid == $row->user ) {
						$custom_offer_class = "pm-offer-blue";
						$title_icon         = "title-tag-icon";
					} else {
						$custom_offer_class = "pm-offer-gray";
						$title_icon         = "title-tag-icon";
					}
				}

				// get delete link
				if ( $otheruid_slug ) {
					$delete_link = $privurl_m . '?username=' . $otheruid_slug . '&delete_pm=1&pm_id=' . $row->id;
				} elseif ( $otheruid ) {
					$delete_link = $privurl_m . '?user_id=' . $otheruid . '&delete_pm=1&pm_id=' . $row->id;
				} else {
					$delete_link = '';
				} ?>

				<!-- pm container -->
				<div id="pm_<?php echo $row->id; ?>" class="js-pm-holder pm-holder cf <?php echo $bgcolor . ' ' . $custom_offer_class . ' ' . $title_icon; ?>">
					<div class="padding-cnt relative cf">

						<?php if ( $row->custom_offer == -1 ) { ?>

							<!-- custom offer request -->
							<div class="pm-custom-offer-request-header">

								<?php if ( $myuid == $row->initiator ) {
									_e( "Custom Offer Request Sent", "wpjobster" );

									if ( $row->associate_job_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_job_id ) . '">' . ( get_the_title( $row->associate_job_id ) ? get_the_title( $row->associate_job_id ) : $row->associate_job_id ) . '</a>)';
									} elseif ( $row->associate_request_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_request_id ) . '">' . ( get_the_title( $row->associate_request_id ) ? get_the_title( $row->associate_request_id ) : $row->associate_request_id ) . '</a>)';
									}

								} elseif ( $myuid == $row->user ) {
									_e( "Custom Offer Request Received", "wpjobster" );

									if ( $row->associate_job_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_job_id ) . '">' . ( get_the_title( $row->associate_job_id ) ? get_the_title( $row->associate_job_id ) : $row->associate_job_id ) . '</a>)';
									} elseif ( $row->associate_request_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_request_id ) . '">' . ( get_the_title( $row->associate_request_id ) ? get_the_title( $row->associate_request_id ) : $row->associate_request_id ) . '</a>)';
									}

								} ?>

							</div>

						<?php } elseif ( $row->custom_offer > 0 ) { ?>

							<!-- custom offer sent -->
							<div class="pm-custom-offer-offer-header">

								<?php if ( $myuid == $row->initiator ) {
									_e( "Custom Price Offer Sent", "wpjobster" );

									if ( $row->associate_job_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_job_id ) . '">' . ( get_the_title( $row->associate_job_id ) ? get_the_title( $row->associate_job_id ) : $row->associate_job_id ) . '</a>)';
									} elseif ( $row->associate_request_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_request_id ) . '">' . ( get_the_title( $row->associate_request_id ) ? get_the_title( $row->associate_request_id ) : $row->associate_request_id ) . '</a>)';
									}

								} elseif ( $myuid == $row->user ) {
									_e( "Custom Price Offer Received", "wpjobster" );

									if ( $row->associate_job_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_job_id ) . '">' . ( get_the_title( $row->associate_job_id ) ? get_the_title( $row->associate_job_id ) : $row->associate_job_id ) . '</a>)';
									} elseif ( $row->associate_request_id ) {
										echo ' (<a href="' . get_permalink( $row->associate_request_id ) . '">' . ( get_the_title( $row->associate_request_id ) ? get_the_title( $row->associate_request_id ) : $row->associate_request_id ) . '</a>)';
									}
								} ?>

							</div>

						<?php } ?>

						<!-- message user avatar -->
						<div class="pm-avatar">
							<a href="<?php echo isset( $user->user_login ) ? wpj_get_user_profile_link( $user->user_login ) : "javascript:void(0)"; ?>">
								<?php echo $user_avatar; ?>
							</a>
						</div>

						<!-- message content -->
						<div class="pm-content cf">

							<div class="flex-parent pm-content-header">
								<?php if ( isset( $user->user_login ) ) { ?>

									<div class="pm-user overflow-ellipsis">
										<h4 class="overflow-ellipsis"><?php echo wpj_get_user_display_type( $user->ID ); ?></h4>
									</div>

								<?php } else { ?>

									<div class="pm-user">
										<h4><?php _e( "Deleted User", "wpjobster" ); ?></h4>
									</div>

								<?php } ?>

								<div class="pm-date"><?php echo wpj_date( wpj_time_or_date_format( $row->datemade ), $row->datemade ); ?></div>


								<!-- message settings -->
								<div class="pm-settings">
									<!-- TODO: initialize this on submit, load more, ajax insert -->
									<div class="ui floating <?php echo is_rtl() ? 'right' : 'left'; ?> pointing dropdown ">
										<i class="cog icon"></i>

										<div class="menu">

											<?php do_action( 'wpj_before_message_action_buttons', $row->id, $row->content ); ?>

											<div class="item js-pm-delete" data-href="<?php echo $delete_link; ?>">
												<i class="trash icon"></i>
												<?php _e( 'Delete', 'wpjobster' ); ?>
											</div>
										</div>
									</div>
								</div>

							</div>

							<!-- filtered message + errors -->
							<div class="pm-content-message">

								<?php $message = nl2br( strip_tags( htmlspecialchars_decode( $row->content ) ) );

								$message_with_title = array_map( 'trim', preg_split( '/<br[^>]*>/i', $message ) );
								if ( ! empty( $message_with_title[0] ) ) {
									$post = get_page_by_title( $message_with_title[0], OBJECT, 'request' );
									if ( ! $post ) {
										$post = get_page_by_title( $message_with_title[0], OBJECT, 'job' );
									}

									if ( $post && $post->post_status == 'publish' && ( $post->post_type == 'job' || $post->post_type == 'request' ) && get_post_meta( $post->ID, 'active', true ) == 1 && $post->post_name ) {
										echo '<div class="ui horizontal label"><a href="' . get_permalink( $post->ID ) . '">' . $post->post_title . '</a></div>';
										$message = preg_replace( '/^.+\n/', '', $message );
									}
								}

								if ( $row->custom_offer == -1 ) { $custom_offer_type = 'request'; }
								elseif ( $row->custom_offer > 0 ) { $custom_offer_type = 'send'; }
								else { $custom_offer_type = ''; }

								do_action( 'list_request_custom_offer_details', $row->id, $custom_offer_type, 'private_messages' );

								echo wpj_make_links_clickable( wpj_apply_filter_to_string( $message, true, 'privatemessages' ) ); ?>

							</div>

							<!-- message attachments -->
							<?php if ( wpj_post_has_attachments ( $row->attached ) ) {
								wpj_list_attachments( $row->attached, '', '', true, __( 'Attachments', 'wpjobster' ), true, false );
							} ?>

						</div>

						<!-- message custom offer -->
						<?php if ( $myuid == $row->user && $row->custom_offer == -1 ) {

							// create custom offer
							if ( $otheruid_slug ) { ?>

								<div class="pm-custom-offer-bottom cf">
									<div class="pm-custom-offer-actions cf">
										<?php wpj_display_custom_offer_button( 'send', __( 'Create Custom Offer', 'wpjobster' ), $row->associate_job_id, $myuid, $row->initiator, 'job' ); ?>
									</div>
								</div>

							<?php }

						} elseif ( $row->custom_offer > 0 ) {

							// custom offer message details
							$delivery_days = get_post_meta( $row->custom_offer, "max_days", true );
							$days_word     = _n( "day", "days", $delivery_days, "wpjobster" );

							$pm_custom_offer_price_filter    = apply_filters( 'wpj_pm_custom_offer_price_filter', true );
							$pm_custom_offer_duration_filter = apply_filters( 'wpj_pm_custom_offer_duration_filter', true ); ?>

							<div class="pm-custom-offer-bottom cf">

								<?php if ( $pm_custom_offer_price_filter || $pm_custom_offer_duration_filter ) { ?>

									<div class="pm-custom-offer-meta cf">
										<table>

											<?php if ( $pm_custom_offer_price_filter ) { ?>

												<tr>
													<td><?php _e( "Price", "wpjobster" ) . ':'; ?></td>
													<td><?php echo wpjobster_get_show_price_classic( get_post_meta( $row->custom_offer, "price", true ), 1 ); ?></td>
												</tr>

											<?php }

											if ( $pm_custom_offer_duration_filter ) { ?>

												<tr>
													<td><?php _e( "Duration", "wpjobster" ) . ':'; ?></td>
													<td><?php echo $delivery_days . ' ' . $days_word; ?></td>
												</tr>

											<?php } ?>

										</table>
									</div>
								<?php } ?>

								<!-- custom offer message response -->
								<div class="pm-custom-offer-actions cf">
									<div class="btn-margin-bottom-helper">

										<?php if ( $myuid == $row->initiator ) {

											if ( get_post_meta( $row->custom_offer, "offer_accepted", true ) == 1 ) { ?>

												<span class="offer-green"> <?php _e( "Your offer was accepted!", "wpjobster" ); ?></span>

											<?php } elseif (get_post_meta($row->custom_offer, "offer_declined", true) == 1) { ?>

												<span class="offer-red"><?php _e( "Your offer was declined.", "wpjobster" ); ?></span>

											<?php } elseif (get_post_meta($row->custom_offer, "offer_withdrawn", true) == 1) { ?>

												<span class="offer-red"><?php _e( "You have withdrawn your offer.", "wpjobster" ); ?></span>

											<?php } elseif (get_post_meta($row->custom_offer, "offer_expired", true) == 1) { ?>

												<span class="offer-red"><?php _e( "Your offer expired.", "wpjobster" ); ?></span>

											<?php } else {

												// withdraw custom offer
												$data_withdraw = is_user_logged_in() && is_singular( 'request' ) ? 'data-submit="[name=withdraw' . $row->custom_offer . ']"' : ''; ?>

												<a <?php echo $data_withdraw; ?> data-id="<?php echo $row->id; ?>" class="btn withdraw_custom_offer custom-offer-pm ui button">
													<?php _e( "Withdraw Custom Offer", "wpjobster" ); ?>
												</a>

												<form id="withdraw_custom_offer" method="post" name="withdraw<?php echo $row->custom_offer; ?>" action="" style="display: none;">

													<input type="hidden" value="1" name="withdraw_offer" />
													<input type="hidden" value="offer_withdrawn" name="action" />
													<input type="hidden" value="<?php echo $row->custom_offer; ?>" name="custom_offer" />

												</form>

											<?php }

										} elseif ( $myuid == $row->user ) {

											if ( get_post_meta( $row->custom_offer, "offer_accepted", true ) == 1 ) { ?>

												<span class="offer-green"><?php _e( "Your have accepted the offer!", "wpjobster" ); ?></span>

											<?php } elseif ( get_post_meta( $row->custom_offer, "offer_declined", true ) == 1 ) { ?>

												<span class="offer-red"><?php _e( "You have declined the offer.", "wpjobster" ); ?></span>

											<?php } elseif ( get_post_meta( $row->custom_offer, "offer_withdrawn", true ) == 1 ) { ?>

												<span class="offer-red"><?php _e( "The offer was withdrawn by the seller.", "wpjobster" ); ?></span>

											<?php } elseif ( get_post_meta( $row->custom_offer, "offer_expired", true ) == 1 ) { ?>

												<span class="offer-red"><?php _e( "The offer expired.", "wpjobster" ); ?></span>

											<?php } else {

												// accept custom offer
												$prc = get_post_meta( $row->custom_offer, "price", true ); ?>

												<form method="post" name="purchase<?php echo $row->custom_offer; ?>" action="<?php echo get_bloginfo( 'url' ) . '/?jb_action=purchase_this&jobid=' . $row->custom_offer; ?>">

													<button data-id="<?php echo $row->id; ?>" type="submit" class="btn custom-offer-pm ui positive button">
														<?php _e( "Accept Custom Offer", "wpjobster" ); ?>

														<strong class="total"
															data-price="<?php echo wpjobster_formats_special_exchange( $prc ); ?>"
															data-cur="<?php echo wpjobster_get_currency(); ?>"
															><?php echo wpjobster_get_show_price( $prc ); ?>
														</strong>
													</button>

													<input type="hidden" name="purchaseformvalidation" value="ok" />
												</form>

												<span>

													<?php // decline custom offer
													$data_decline = is_user_logged_in() && is_singular( 'request' ) ? 'data-submit="[name=decline' . $row->custom_offer . ']"' : ''; ?>

													<a <?php echo $data_decline; ?> data-id="<?php echo $row->id; ?>" class="btn decline_custom_offer custom-offer-pm btn ui button">
														<?php _e( "Decline Custom Offer", "wpjobster" ); ?>
													</a>

													<form id="decline_custom_offer" method="post" name="decline<?php echo $row->custom_offer; ?>" action="" style="display: none;">

														<input type="hidden" value="1" name="decline_offer" />
														<input type="hidden" value="offer_declined" name="action" />
														<input type="hidden" value="<?php echo $row->custom_offer; ?>" name="custom_offer" />

													</form>

												</span>

											<?php }
										} ?>
									</div><!-- end btn-margin-bottom-helper -->
								</div><!-- end pm-custom-offer-actions -->

							</div><!-- end pm-custom-offer-bottom -->

						<?php } // end custom offer ?>

					</div><!-- end padding-cnt relative cf -->

				</div><!-- end pm-holder -->

			<?php } // end foreach

		} // end if ( $r )

	} // end function

} // end function_exists
