<?php
if (!function_exists('wpjobster_get_news')){
	function wpjobster_get_news(){ ?>
		<div class="ui segment">
			<div class="blog_post blog_post_wrapper" id="post-<?php the_ID(); ?>">
				<h2 class="heading-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

				<a href="<?php the_permalink() ?>"><div class="blog_thumbnail"><?php the_post_thumbnail( 'blog_thumbnail_big' ); ?></div></a>

				<div class="blog_post_content white-cnt overflow-visible">
					<div class="padding-cnt">
						<?php echo get_the_excerpt(); ?>
					</div>
					<div class="extra content center">
						<i class="calendar alternate outline icon"></i><?php echo get_the_date( get_option( 'date_format' ) ); ?>
					</div>
				</div>
			</div>
		</div>
	<?php }
}

if ( ! function_exists( 'wpjobster_show_comments_on_blog_news_pages' ) ) {
	function wpjobster_show_comments_on_blog_news_pages() {

		$wpjobster_allow_comments_on_blog_news_pages = get_option( 'wpjobster_allow_comments_on_blog_news_pages' );

		if ( $wpjobster_allow_comments_on_blog_news_pages == 'yes' ) {
			if ( comments_open() ) {

				$post_id = get_the_ID();

				if ( is_user_logged_in() ) { ?>

					<div class="ui segment">

						<?php $comment_form_args = array(
							'logged_in_as'  => '',
							'class_submit'  => 'ui primary button',
							'comment_field' => '<p class="comment-form-comment ui form"><textarea id="comment" name="comment" class="wpj-grey-textarea" required="required" placeholder="' . __( 'Write a comment here', 'wpjobster' ) . '"></textarea></p>',
							'title_reply'   => __( 'Leave a Reply', 'wpjobster' ),
							'label_submit'  => __( 'Post Comment', 'wpjobster' ),
						);

						//Display comment form
						comment_form( $comment_form_args, $post_id ); ?>

					</div>

				<?php }

				//Gather comments for a specific page/post
				$comments = get_comments(array(
					'post_id' => $post_id,
					'status'  => 'approve' //Change this to the type of comments to be displayed
				));

				//Display the list of comments
				$wp_list_comment_args = array(
					'style'             => 'div',
					'type'              => 'comment',
					'callback'          => 'wpjobster_blog_news_comments_template',
					'reply_text'        => '',
					'avatar_size'       => 45,
					'reverse_top_level' => false //Show the oldest comments at the top of the list
				);

				wp_list_comments( $wp_list_comment_args, $comments );
			}
		}
	}
}

if ( ! function_exists( 'wpjobster_blog_news_comments_template' ) ) {
	function wpjobster_blog_news_comments_template( $comment, $args ) {

		$class = $comment->comment_parent != 0 ? 'child' : 'parent';
		$class .= empty( $args['has_children'] ) ? ' ui segment' : ''; ?>

		<<?php echo ( 'div' === $args['style'] ? 'div' : 'li' ) . ' '; comment_class( $class . ' comment-wrapper' ); ?> id="comment-<?php comment_ID() ?>">

		<?php if ( 'div' != $args['style'] ) { ?><div id="div-comment-<?php comment_ID() ?>" class="comment-body"><?php }

		if ( $args['has_children'] ) { ?><div class="ui segment"><?php } ?>

			<div class="ui three column stackable grid">

				<div class="one wide column">
					<div class="comment-author vcard"><?php
						if ( $args['avatar_size'] != 0 ) { ?>
							<a href="<?php echo wpj_get_user_profile_link( get_comment_author( $comment->comment_ID ) ); ?>">
								<img class="round-avatar" width="<?php echo $args['avatar_size']; ?>" height="<?php echo $args['avatar_size']; ?>" border="0" src="<?php echo wpjobster_get_avatar( $comment->user_id ); ?>" />
							</a>
						<?php } ?>
					</div>
				</div>

				<div class="fifteen wide column">
					<a class="author-link" href="<?php echo wpj_get_user_profile_link( get_comment_author( $comment->comment_ID ) ); ?>" style="font-size: 18px;">
						<?php echo ucfirst( get_comment_author( $comment->comment_ID ) ); ?>
					</a>

					<?php echo get_comment_text(); ?>
				</div>

			</div>

			<div class="comment-meta commentmetadata the_time" style="text-align: right; margin-top: 10px;">
				<?php printf(
					__( '%1$s - %2$s' ),
					get_comment_date( get_option( 'date_format' ) ),
					get_comment_time()
				); ?>
			</div>

		<?php if ( $args['has_children'] ) { ?></div><?php } ?>

		<?php if ( 'div' != $args['style'] ) { ?></div><?php }
	}
}

//------------------------------
// (c) WPJobster - Archive Posts
//------------------------------
if (!function_exists('wpjobster_get_archive_posts')){
	function wpjobster_get_archive_posts(){ ?>
		<div class="blog_post cf">
			<a href="<?php the_permalink() ?>"><div class="blog_thumbnail"><?php the_post_thumbnail('blog_thumbnail'); ?></div></a>
			<div class="blog_post_content">
				<h3><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>
				<div class="the_time"><?php echo get_the_date(get_option('date_format')); ?></div>
				<p><?php echo substr( get_the_content(), 0, 300 ); ?></p>
				<a href="<?php the_permalink(); ?>" class="btn smaller green"><?php _e("Read More",'wpjobster'); ?></a>
			</div>
			<div class="bottom-border-simulator"></div>
		</div><?php
	}
}

//------------------------
// (c) WPJobster - Archive
//------------------------
if (!function_exists('wpjobster_get_archive')){
	function wpjobster_get_archive(){ ?>
		<div class="ui segment">
			<div class="blog_post blog_post_wrapper" id="post-<?php the_ID(); ?>">
				<h2 class="heading-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

				<a href="<?php the_permalink() ?>"><div class="blog_thumbnail"><?php the_post_thumbnail( 'blog_thumbnail_big' ); ?></div></a>

				<div class="blog_post_content white-cnt overflow-visible">
					<div class="padding-cnt">
						<?php echo get_the_excerpt(); ?>
					</div>
					<div class="extra content center">
						<i class="calendar alternate outline icon"></i><?php echo get_the_date( get_option( 'date_format' ) ); ?>
					</div>
				</div>
			</div>
		</div>
	<?php }
}

//---------------------------
// (c) WPJobster - Blog Posts
//---------------------------

if (!function_exists('wpjobster_get_post_blog')) {

	function wpjobster_get_post_blog() {
		$arrImages = get_children('post_type=attachment&post_mime_type=image&post_parent=' . get_the_ID());

		if ($arrImages) {
			$arrKeys = array_keys($arrImages);
			$iNum = $arrKeys[0];
			$sThumbUrl = wp_get_attachment_thumb_url($iNum);
			$sImgString = '<a href="' . get_permalink() . '">' . '<img class="image_class" src="' . $sThumbUrl . '" width="100" height="100" />' . '</a>';
		} else {
			$sImgString = '<a href="' . get_permalink() . '">' . '<img class="image_class" src="' . apply_filters( 'wpj_placeholder_image_url_filter', get_template_directory_uri() . '/assets/images/placeholder.png', 'posts' ) . '" width="100" height="100" />' . '</a>';
		} ?>
		<div class="ui segment load-more-post" id="post-<?php the_ID(); ?>">
			<div class="blog-image-left">
				<?php echo get_the_post_thumbnail(get_the_ID(), 'thumb_picture_size'); ?>
			</div>
			<div class="blog-content-right cf">
				<h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

				<p class="mypostedon"><?php echo sprintf(__('Posted on %1$s by %2$s', 'wpjobster'), get_the_date(), get_the_author()); ?></p>

				<p class="blog_post_preview"><?php echo get_the_excerpt(); ?></p>

				<a href="<?php the_permalink(); ?>" class="ui primary button blog-read-more"><?php _e('Read More', 'wpjobster'); ?></a>
			</div>
		</div>
		<?php
	}
}