<?php
add_action( 'wp_ajax_wpj_show_exchange_values_for_js', 'wpj_show_exchange_values_for_js' );
add_action( 'wp_ajax_nopriv_wpj_show_exchange_values_for_js', 'wpj_show_exchange_values_for_js' );
function wpj_show_exchange_values_for_js() {
	echo get_option( 'exchange_rates' ); wp_die();
}

function wpjobster_get_variale_cost_dropdown( $c = '', $pr = '', $name = 'job_cost' ) {
	global $wpdb;

	$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_var_costs ORDER BY cost ASC" );

	$ret = '<select class="ui dropdown" name="' . $name . '" id="' . $name . '" class="' . $c . '" style="padding: 8px 10px;">';
		foreach ( $r as $row ) {
			$selected = $row->cost == $pr ? "selected='selected'" : "";
			$ret .= '<option value="' . $row->cost . '" ' . $selected . '>' . wpjobster_get_show_price( $row->cost ) . '</option>';
		}
	$ret .= '</select>';

	return $ret;
}

/**
* On the scheduled action hook, run a function.
*/
add_action( 'vc_daily_event', 'increment_daily_exchange_rates' );
function increment_daily_exchange_rates() {

	// Requested file
	// Could also be e.g. 'currencies.json' or 'historical/2011-01-01.json'
	$file = 'latest.json';

	// Get API ID
	$appid = get_option( 'openexchangerates_appid' );
	if ( ! $appid ) { $appid = '80f8da80d47749d9a2e845728db0fd19'; }

	// Open CURL session:
	$ch = curl_init( "http://openexchangerates.org/api/{$file}?app_id={$appid}&show_alternative=1" );

	curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
	$json_received = curl_exec( $ch );
	curl_close( $ch );

	$json_received_decoded = json_decode( $json_received, true );

	// Send email empty response
	if ( empty( $json_received_decoded['rates'] ) ) {

		wpj_notify_user_translated( 'admin_openexchangerates_not_responding', 'admin' );

		return false;
	}

	// Get exchange difference
	$current_json = get_option( 'exchange_rates' );

	$percent = get_option( 'wpjobster_exchange_drop_percent' );
	if ( ! $percent || ! is_numeric( $percent ) ) { $percent = 5; }

	$exchange_differences = array();
	if ( $current_json ) {

		global $wpjobster_currencies_array;

		$current_json_decoded = json_decode( $current_json, true );

		$exchange_currencies = $wpjobster_currencies_array;
		foreach ( $exchange_currencies as $ex_c ) {
			if ( ! empty( $json_received_decoded['rates'][$ex_c] ) && ! empty( $current_json_decoded['rates'][$ex_c] ) ) {
				if ( abs( ( ( $json_received_decoded['rates'][$ex_c] / $current_json_decoded['rates'][$ex_c] ) - 1 ) * 100 ) > $percent ) {
					array_push( $exchange_differences, $ex_c );
				}
			}
		}
	}

	// Send exchange difference email
	if ( ! empty( $exchange_differences ) ) {

		$params = array();
		foreach ( $exchange_differences as $ex_d ) {
			$params[] = array(
				'##main_currency##'      => $ex_d,
				'##old_price##'          => $current_json_decoded['rates'][$ex_d],
				'##new_price##'          => $json_received_decoded['rates'][$ex_d],
				'##percent_difference##' => abs( ( ( $json_received_decoded['rates'][$ex_d] / $current_json_decoded['rates'][$ex_d] ) - 1 ) * 100 )
			);
		}

		wpj_notify_user_translated( 'admin_openexchangerates_higher', 'admin', '', $params );

		return false;
	}

	// Update exchange with received json
	update_option( 'exchange_rates', $json_received );

}
