<?php /* HOOKS */

add_action( 'wp_login', 'wpjobster_noajax_email_verification', 10, 2 );
if ( ! function_exists( 'wpjobster_noajax_email_verification' ) ) {
	function wpjobster_noajax_email_verification( $user_login, $user ) {
		if ( get_user_meta( $user->ID, 'uz_email_verification', true ) == -1 ) {
			update_user_meta( $user->ID, 'uz_email_verification', 1 );
		}
	}
}

add_filter( 'wp_mail_from', 'wpjobster_mail_from' );
if ( ! function_exists( 'wpjobster_mail_from' ) ) {
	function wpjobster_mail_from( $old ) {
		$wpjobster_email_addr_from = get_option( 'wpjobster_email_addr_from' );
		$wpjobster_email_addr_from = trim( $wpjobster_email_addr_from );

		if ( ! empty( $wpjobster_email_addr_from ) ) {
			return $wpjobster_email_addr_from;
		} else {
			return 'info@wpjobster.com';
		}
	}
}

add_filter( 'wp_mail_from_name', 'wpjobster_mail_from_name' );
if ( ! function_exists( 'wpjobster_mail_from_name' ) ) {
	function wpjobster_mail_from_name( $old ) {
		$wpjobster_email_name_from = get_option( 'wpjobster_email_name_from' );
		$wpjobster_email_name_from = trim( $wpjobster_email_name_from );

		if ( ! empty( $wpjobster_email_name_from ) ) {
			return $wpjobster_email_name_from;
		} else {
			return 'wpjobster.com';
		}
	}
}

add_filter( 'wp_mail_content_type','wpjobster_set_email_content_type' );
if ( ! function_exists( 'wpjobster_set_email_content_type' ) ) {
	function wpjobster_set_email_content_type() {
		if ( wpj_bool_option( 'wpjobster_allow_html_emails' ) && ! is_plugin_active( 'wp-better-emails/wpbe.php' ) ) {
			return "text/html";
		} else {
			return "text/plain";
		}
	}
}

add_filter( 'retrieve_password_message', 'wpj_password_reset_msg', 10, 4 );
if ( ! function_exists( 'wpj_password_reset_msg' ) ) {
	function wpj_password_reset_msg( $message, $reset_key, $user_login, $user_data ) {
		$uid = $user_data->ID;

		$uz_email_user_forgot_password_enable = get_option( "uz_email_user_forgot_password_enable" );

		$password_reset_link = apply_filters( 'wpj_reset_password_link_filter', wp_login_url() . "?action=rp&key={$reset_key}&login=" . rawurlencode( $user_data->user_login ), $reset_key, $user_data->user_login );

		if ( $uz_email_user_forgot_password_enable != 'no' ) {
			wpj_notify_user_translated( 'user_forgot_password', $uid, array( '##password_reset_link##' => $password_reset_link, '##receiver_email##' => $user_data->user_email ) );
		} else {
			return $message;
		}
	}
}

// Stop WP Better Email to add extra spaces to HTML emails
add_filter( 'wpbe_convert_line_breaks', '__return_false' );