<?php
// VIEWS
include_once get_template_directory() . '/template-parts/pages/subscriptions/subscription_view.php';

add_action( 'init', 'wpj_update_email_sendto_id' );
function wpj_update_email_sendto_id() {
	if ( isset( $_GET['_update_email_sendto_id'] ) ) {
		if ( is_user_logged_in() ) {
			global $current_user;
			$current_user = wp_get_current_user();

			$wpjobster_subscription_enabled = get_option( 'wpjobster_subscription_enabled' );
			if ( $wpjobster_subscription_enabled == 'yes' ) {
				include_once get_template_directory() . '/lib/gateways/wpjobster_common_subscription.php';

				$wpjobster_subscription = new WPJ_Common_Subscription();
				$period_level_id = $_GET['_update_email_sendto_id'];
				$wpjobster_subscription->send_update_email_subscription( $period_level_id );
			}

		}

		exit;
	}
}

add_action( 'init', 'wpj_cancel_subscription' );
function wpj_cancel_subscription(){
	if ( isset( $_GET['_ad_cancel_subscription'] ) ) {
		if ( is_user_logged_in() && current_user_can( 'manage_options' ) ) {
			$uid = $_GET['_ad_cancel_subscription'];

			include_once get_template_directory() . '/lib/gateways/wpjobster_common_subscription.php';
			$subs = new WPJ_Common_Subscription();
			$subs->process_cancellation( $uid );
		}

		exit;
	}
}

function wpj_subscription_package_enabled( $key = '' ) {
	if ( $key ) {
		$level2 =  get_option( 'wpjobster_subscription_level_2_enabled' ) != 'yes' ? 'level2' : '';
		$level3 =  get_option( 'wpjobster_subscription_level_3_enabled' ) != 'yes' ? 'level3' : '';

		if ( $key != $level2 && $key != $level3 ) { return true; }
		else { return false; }
	} else {
		return true;
	}
}

function get_wpjobster_subscription_info( $uid = '' ) {
	$wpjobster_subscription_info['wpjobster_subscription_enabled'] = get_option( 'wpjobster_subscription_enabled' );

	if ( $wpjobster_subscription_info['wpjobster_subscription_enabled'] == 'yes' ) {
		if ( ! $uid ) {
			global $current_user;
			$current_user = wp_get_current_user();
			$uid          = $current_user->ID;
		}

		include_once get_template_directory() . '/lib/gateways/wpjobster_common_subscription.php';
		$wpjobster_subscription_new_post = new WPJ_Common_Subscription();

		$current_subscription = $wpjobster_subscription_new_post->get_current_subscription( $uid );

		$wpjobster_subscription_info['wpjobster_subscription_eligibility_enabled'] = get_option( 'wpjobster_subscription_eligibility_enabled' );
		if ( $current_subscription ) {
			if ( $current_subscription->subscription_status == 'cancelled' ) {
				$wpjobster_subscription_info['wpjobster_subscription_type']        = '';
				$wpjobster_subscription_info['wpjobster_subscription_level']       = 'level0';
				$wpjobster_subscription_info['wpjobster_subscription_amount']      = '0';
				$wpjobster_subscription_info['wpjobster_subscription_eligibility'] = false;
				$wpjobster_subscription_info['wpjobster_subscription_status']      ='cancelled';
				$wpjobster_subscription_info['wpjobster_subscription_type_old']    = $current_subscription->subscription_type;
				$wpjobster_subscription_info['wpjobster_subscription_level_old']   = $current_subscription->subscription_level;
				$wpjobster_subscription_info['wpjobster_subscription_old']         = $current_subscription;
			} else {
				$wpjobster_subscription_info['wpjobster_subscription_status'] ='active';
				$wpjobster_subscription_info['wpjobster_subscription_type']   = $current_subscription->subscription_type;
				$wpjobster_subscription_info['wpjobster_subscription_level']  = $current_subscription->subscription_level;
				$wpjobster_subscription_info['wpjobster_subscription_amount'] = get_option( 'wpjobster_subscription_' . $wpjobster_subscription_info['wpjobster_subscription_type'] . '_amount_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );

				if ( $wpjobster_subscription_info['wpjobster_subscription_eligibility_enabled'] == 'yes' ) {
					$wpjobster_subscription_info['wpjobster_subscription_eligibility'] = get_option( 'wpjobster_subscription_eligibility_amount_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
				} else {
					$wpjobster_subscription_info['wpjobster_subscription_eligibility'] = false;
				}
			}
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_status']      ='new';
			$wpjobster_subscription_info['wpjobster_subscription_type']        = '';
			$wpjobster_subscription_info['wpjobster_subscription_level']       = 'level0';
			$wpjobster_subscription_info['wpjobster_subscription_amount']      = '0';
			$wpjobster_subscription_info['wpjobster_subscription_eligibility'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_profile_label_enabled'] = get_option( 'wpjobster_subscription_profile_label_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_profile_label_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_profile_label'] = get_option('wpjobster_subscription_profile_label_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_profile_label'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_icon_url_enabled'] = get_option( 'wpjobster_subscription_icon_url_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_icon_url_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_icon_url'] = get_option( 'wpjobster_subscription_icon_url_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_icon_url'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_min_extra_price_enabled'] = get_option( 'wpjobster_subscription_min_extra_price_enabled' );
		if($wpjobster_subscription_info['wpjobster_subscription_min_extra_price_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_min_extra_price'] = get_option( 'wpjobster_subscription_min_extra_price_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_min_extra_price'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_max_extra_price_enabled'] = get_option( 'wpjobster_subscription_max_extra_price_enabled' );
		if($wpjobster_subscription_info['wpjobster_subscription_max_extra_price_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_max_extra_price'] = get_option( 'wpjobster_subscription_max_extra_price_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_max_extra_price'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_min_job_price_enabled'] = get_option( 'wpjobster_subscription_min_job_price_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_min_job_price_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_min_job_price'] = get_option( 'wpjobster_subscription_min_job_price_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_min_job_price'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_max_job_price_enabled'] = get_option( 'wpjobster_subscription_max_job_price_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_max_job_price_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_max_job_price'] = get_option( 'wpjobster_subscription_max_job_price_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_max_job_price'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_min_custom_extras_enabled'] = get_option( 'wpjobster_subscription_min_custom_extras_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_min_custom_extras_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_min_custom_extras'] = get_option( 'wpjobster_subscription_min_customextrasamount_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_min_custom_extras'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_custom_extras_enabled'] = get_option( 'wpjobster_subscription_custom_extras_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_custom_extras_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_max_custom_extras'] = get_option( 'wpjobster_subscription_max_customextrasamount_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_max_custom_extras'] = false;
		}

		$wpjobster_subscription_info['wpjobster_fees_for_subscriber_enabled'] = get_option( 'wpjobster_fees_for_subscriber_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_fees_for_subscriber_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_fees'] = get_option( 'wpjobster_subscription_fees_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_fees'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_noof_extras_enabled'] = get_option( 'wpjobster_subscription_noof_extras_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_noof_extras_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_noof_extras'] = get_option( 'wpjobster_subscription_noof_extras_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_noof_extras'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_ex_fast_delivery_enabled'] = get_option( 'wpjobster_subscription_ex_fast_delivery_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_ex_fast_delivery_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_ex_fast_delivery'] = 'yes';
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_ex_fast_delivery'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_additional_revision_enabled'] = get_option( 'wpjobster_subscription_additional_revision_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_additional_revision_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_additional_revision'] = 'yes';
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_additional_revision'] = false;
		}


		$wpjobster_subscription_info['wpjobster_subscription_job_multiples_enabled'] = get_option( 'wpjobster_subscription_job_multiples_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_job_multiples_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_job_multiples'] = get_option( 'wpjobster_subscription_job_multiples_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_job_multiples'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_extra_multiples_enabled'] = get_option( 'wpjobster_subscription_extra_multiples_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_extra_multiples_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_extra_multiples'] = get_option( 'wpjobster_subscription_extra_multiples_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_extra_multiples'] = false;
		}

		$wpjobster_subscription_info['wpjobster_subscription_video_multiples_enabled'] = get_option( 'wpjobster_subscription_video_multiples_enabled' );
		if ( $wpjobster_subscription_info['wpjobster_subscription_video_multiples_enabled'] == 'yes' ) {
			$wpjobster_subscription_info['wpjobster_subscription_video_multiples'] = get_option( 'wpjobster_subscription_video_multiples_' . $wpjobster_subscription_info['wpjobster_subscription_level'] );
		} else {
			$wpjobster_subscription_info['wpjobster_subscription_video_multiples'] = false;
		}
	} else {
		$wpjobster_subscription_info['wpjobster_subscription_type']                = false;
		$wpjobster_subscription_info['wpjobster_subscription_level']               = false;
		$wpjobster_subscription_info['wpjobster_subscription_amount']              = false;
		$wpjobster_subscription_info['wpjobster_subscription_eligibility']         = false;
		$wpjobster_subscription_info['wpjobster_subscription_noof_extras']         = false;
		$wpjobster_subscription_info['wpjobster_subscription_ex_fast_delivery']    = false;
		$wpjobster_subscription_info['wpjobster_subscription_additional_revision'] = false;
		$wpjobster_subscription_info['wpjobster_subscription_job_multiples']       = false;
		$wpjobster_subscription_info['wpjobster_subscription_extra_multiples']     = false;
		$wpjobster_subscription_info['wpjobster_subscription_max_extra_price']     = false;
		$wpjobster_subscription_info['wpjobster_subscription_fees']                = false;
		$wpjobster_subscription_info['wpjobster_subscription_profile_label']       = false;
		$wpjobster_subscription_info['wpjobster_subscription_icon_url']            = false;
		$wpjobster_subscription_info['wpjobster_subscription_max_job_price']       = false;
		$wpjobster_subscription_info['wpjobster_subscription_max_custom_extras']   = false;
	}

	return $wpjobster_subscription_info;
}

function wpj_get_subscription_features() {
	$arr = array();

	if ( get_option( 'wpjobster_fees_for_subscriber_enabled' ) != 'no' ) {
		$arr['fees'] = array(
			'label' => __( 'Commission charged', 'wpjobster' ),
			'slug'  => 'fees'
		);
	}

	if ( get_option( 'wpjobster_packages_enabled' ) != 'no' ) {
		$arr['job_packages'] = array(
			'label' => __( 'Job packages', 'wpjobster' ),
			'slug'  => 'job_packages'
		);
	}

	if ( get_option( 'wpjobster_tips_enabled' ) != 'no' ) {
		$arr['tips'] = array(
			'label' => __( 'Tips', 'wpjobster' ),
			'slug'  => 'tips'
		);
	}

	if ( get_option( 'wpjobster_subscription_noof_extras_enabled' ) != 'no' ) {
		$arr['nr_extras_allowed'] = array(
			'label' => __( 'Number of extras allowed', 'wpjobster' ),
			'slug'  => 'noof_extras'
		);
	}

	if ( get_option( 'wpjobster_subscription_ex_fast_delivery_enabled' ) != 'no' ) {
		$arr['nr_efd_allowed'] = array(
			'label' => __( 'Number of extra fast delivery allowed', 'wpjobster' ),
			'slug'  => 'noof_efd'
		);
	}

	if ( get_option( 'wpjobster_subscription_additional_revision_enabled' ) != 'no' ) {
		$arr['nr_ar_allowed'] = array(
			'label' => __( 'Number of additional revision allowed', 'wpjobster' ),
			'slug'  => 'noof_ar'
		);
	}

	if ( get_option( 'wpjobster_subscription_job_multiples_enabled' ) != 'no' ) {
		$arr['nr_job_m_allowed'] = array(
			'label' => __( 'Number of multiple jobs allowed', 'wpjobster' ),
			'slug'  => 'noof_job_m'
		);
	}

	if ( get_option( 'wpjobster_subscription_extra_multiples_enabled' ) != 'no' ) {
		$arr['nr_extra_m_allowed'] = array(
			'label' => __( 'Number of multiple extras allowed', 'wpjobster' ),
			'slug'  => 'noof_extra_m'
		);
	}

	if ( get_option( 'wpjobster_subscription_video_multiples_enabled' ) != 'no' ) {
		$arr['nr_video_m_allowed'] = array(
			'label' => __( 'Number of multiple videos allowed', 'wpjobster' ),
			'slug'  => 'noof_video_m'
		);
	}

	if ( get_option( 'wpjobster_subscription_min_job_price_enabled' ) != 'no' ) {
		$arr['price_min_job_allowed'] = array(
			'label' => __( 'Minimum price for job allowed', 'wpjobster' ),
			'slug'  => 'min_job_price'
		);
	}

	if ( get_option( 'wpjobster_subscription_max_job_price_enabled' ) != 'no' ) {
		$arr['price_job_allowed'] = array(
			'label' => __( 'Maximum price for job allowed', 'wpjobster' ),
			'slug'  => 'max_job_price'
		);
	}

	if ( get_option( 'wpjobster_subscription_min_extra_price_enabled' ) != 'no' ) {
		$arr['price_min_extra_allowed'] = array(
			'label' => __( 'Minimum price for extra allowed', 'wpjobster' ),
			'slug'  => 'min_extra_price'
		);
	}

	if ( get_option( 'wpjobster_subscription_max_extra_price_enabled' ) != 'no' ) {
		$arr['price_extra_allowed'] = array(
			'label' => __( 'Maximum price for extra allowed', 'wpjobster' ),
			'slug'  => 'max_extra_price'
		);
	}

	if ( get_option( 'wpjobster_subscription_min_custom_extras_enabled' ) != 'no' ) {
		$arr['price_min_ce_allowed'] = array(
			'label' => __( 'Minimum price for custom extra allowed', 'wpjobster' ),
			'slug'  => 'min_ce_price'
		);
	}

	if ( get_option( 'wpjobster_subscription_custom_extras_enabled' ) != 'no' ) {
		$arr['price_ce_allowed'] = array(
			'label' => __( 'Maximum price for custom extra allowed', 'wpjobster' ),
			'slug'  => 'max_ce_price'
		);
	}

	if ( get_option( 'wpjobster_subscription_profile_label_enabled' ) != 'no' ) {
		$arr['profile_label'] = array(
			'label' => __( 'Profile label', 'wpjobster' ),
			'slug'  => 'profile_label',
		);
	}

	if ( get_option( 'wpjobster_subscription_icon_url_enabled' ) != 'no' ) {
		$arr['profile_icon'] = array(
			'label' => __( 'Profile icon', 'wpjobster' ),
			'slug'  => 'icon_url'
		);
	}

	return $arr;
}

function wpj_display_subscription_billing_period( $device = 'pc',  $subscr_class = '', $subscr_key = '', $is_subscribed = 0, $subscr_action = 'new_subscription', $current_level = '', $current_type = '' ) {
	if ( $subscr_class && $subscr_key ) {

		if ( wpj_subscription_package_enabled( $subscr_key ) ) {

			if ( $device == 'pc' ) { echo '<td>'; }
				$na = 0;
				foreach ( $subscr_class->subscription_duration as $keyd => $valued ) {

					if ( $subscr_class->subscription_arr[$subscr_key][$valued] >=1 ) {

						if ( $subscr_action == 'upgrade_subscription' ) {
							$amount_chargable = $subscr_class->subscription_arr[$subscr_key][$valued] - $subscr_class->subscription_arr[$current_level][$current_type];

							if ( $subscr_class->subscription_arr[$subscr_key][$valued] >= 1 ) {
								if ( $is_subscribed == 0 ) {
									$amount_chargable = $subscr_class->subscription_arr[$subscr_key][$valued];
								}
							}
						} else {
							$amount_chargable = $subscr_class->subscription_arr[$subscr_key][$valued];
						}

						if ( $subscr_class->subscription_eligibility_enabled == 'yes' ) {

							if ( wpjobster_formats_special( $subscr_class->current_user_sales, 2 ) >= wpjobster_formats_special( $subscr_class->subscription_arr[$subscr_key]['eligility'], 2 ) ) {
								$eligible_for_sub = '';
							} else {
								$eligible_for_sub = ' disabled="disabled" ';
							}

						} else {
							$eligible_for_sub = '';
						}

						if ( $amount_chargable <= 0 ) {
							$eligible_for_sub = ' disabled="disabled" ';
						} ?>

						<div class="field">
							<div class="ui radio checkbox">

								<?php $upgr_var = $subscr_action == 'upgrade_subscription' ? '-' . $subscr_class->subscription_arr[$current_level][$current_type] : ''; ?>

								<input class="radio-input" <?php echo $eligible_for_sub; ?> type="radio" id="<?php echo $valued . '-' . $subscr_key; ?>" name="sub_id" value="<?php echo $valued . '-' . $subscr_key . $upgr_var; ?>" />

								<input type="hidden" name="sub_amt" value="<?php echo wpjobster_formats_mm( $subscr_class->subscription_arr[$subscr_key][$valued] ); ?>">

								<?php echo do_action( 'send_new_values', $subscr_class, $eligible_for_sub, $valued, $subscr_key ); ?>

								<label for="<?php echo $valued . '-' . $subscr_key; ?>" class="checkbox-wrapper">
									<span class="level-label"><?php echo wpjobster_translate_string( $valued ); ?></span>

									<!-- for js only -->
									<?php if ( $device == 'mobile' && $amount_chargable >= 1 ) { ?><a class="ui right tag label"><?php } ?>

										<span class="level-amount<?php if ( $device == 'pc' || $amount_chargable <= 0 ) { echo ' hidden'; } ?>"><?php echo wpjobster_get_show_price( $amount_chargable ); ?></span>
									<?php if ( $device == 'mobile' ) { ?></a><?php } ?>
								</label>
							</div>
						</div>

					<?php } else { $na++;
						if ( $device == 'mobile' && $na == 5 ) { echo 'NA'; }
					}

				}

			if ( $device == 'pc' ) { echo '</td>'; }
		}
	}
}

function wpj_get_subscription_min_price_by_level( $subscr_class = '', $level = 1 ) {
	$interval_arr = array( 'weekly', 'monthly', 'quarterly', 'yearly', 'lifetime' );

	$prices = array();
	foreach ( $interval_arr as $key => $period ) {
		$prices[] = floatval( $subscr_class->subscription_arr['level' . $level][$period] );
	}

	return $prices && $level != 0 ? min( array_filter( $prices ) ) : 0;
}
