<?php
add_filter( 'nav_menu_css_class' , 'custom_nav_class' , 10 , 2 );
function custom_nav_class( $classes, $item ) {
	$classes[] = "custom-class-" . $item->menu_order;
	return $classes;
}

add_filter( 'wp_nav_menu', 'add_last_item_class' );
function add_last_item_class( $strHTML ) {
	$intPos = strripos( $strHTML, 'menu-item' );
	printf( "%s last_item %s",
		substr( $strHTML, 0, $intPos ),
		substr( $strHTML, $intPos, strlen( $strHTML ) )
	);
}

add_filter( 'wp_nav_menu', 'add_first_and_last' );
function add_first_and_last($output) {
	$output = preg_replace( '/class="menu-item/', 'class="first-menu-item menu-item', $output, 1 );
	$output = substr_replace( $output, strripos( $output, 'class="menu-item' ), strlen( 'class="menu-item' ) );

	return $output;
}

add_filter( 'nav_menu_css_class', 'add_parent_css', 10, 2 );
function add_parent_css( $classes, $item ) {
	global $dd_depth, $dd_children;

	$classes[] = 'depth' . $dd_depth;

	if ( $dd_children ) {
		$classes[] = 'parent';
	}

	return $classes;
}

add_filter( 'wp_nav_menu_items', 'add_menuclass_active', 10, 2 );
function add_menuclass_active( $nav_menu, $args ) {
	if ( in_array( $args->theme_location, array(
			'wpjobster_responsive_main_menu',
			'wpjobster_responsive_secondary_menu',
	) ) ) {
		return preg_replace( '/<a /', '<a class="item" ', $nav_menu );
	} else {
		return $nav_menu;
	}
}

class DD_Wolker_Menu extends Walker_Nav_Menu {
	function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {
		$GLOBALS['dd_children'] = ( isset( $children_elements[$element->ID] ) ) ? 1 : 0;
		$GLOBALS['dd_depth']    = (int) $depth;

		parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
	}
}

class Add_Class_To_Sub_Menu extends Walker_Nav_Menu {
	function start_lvl( &$output, $depth = 0, $args = array() ) {
		$indent = str_repeat( "\t", $depth );
		$output .= "\n$indent<ul class=\"sub-menu reset\">\n";
	}
}

function link_to_menu_editor( $args = '' ) {

	if ( ! $args ) {
		$args = array(
			'menu'            => '',
			'container'       => 'div',
			'container_class' => '',
			'container_id'    => '',
			'menu_class'      => 'menu',
			'menu_id'         => '',
			'echo'            => false,
			'fallback_cb'     => 'wp_page_menu',
			'before'          => '',
			'after'           => '',
			'link_before'     => '',
			'link_after'      => '',
			'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
			'item_spacing'    => 'preserve',
			'depth'           => 0,
			'walker'          => '',
			'theme_location'  => '',
		);
	}

	if ( ! current_user_can( 'manage_options' ) ) {
		return false;
	}

	// see wp-includes/nav-menu-template.php for available arguments
	extract( $args );

	$link = $link_before . '<a href="' . admin_url( 'nav-menus.php' ) . '">' . $before . __( 'Add a menu here', 'wpjobster' ) . $after . '</a>'
		 . $link_after;

	// We have a list
	if ( FALSE !== stripos( $items_wrap, '<ul' )
		or FALSE !== stripos( $items_wrap, '<ol' ) ) {

		$link = "<li>$link</li>";
	}

	$output = sprintf( $items_wrap, $menu_id, $menu_class, $link );
	if ( ! empty( $container ) ) {
		$output  = "<$container class='$container_class' id='$container_id'>$output</$container>";
	}

	if ( $echo ) { echo $output; }

	return $output;
}