<?php
if ( ! function_exists( 'wpj_main_menu' ) ) {
	function wpj_main_menu() {
		if ( is_page( wpj_get_user_account_pages() ) || wpj_is_jb_page_allowed_in_menu() == 1 || is_post_type_archive( 'offer' ) ) {
			$menu = wpj_get_menu_by_location( 'wpjobster_header_user_account_menu' ); $location = 'user_account_menu';
		} else {
			$menu = wpj_get_menu_by_location( 'wpjobster_header_main_menu' ); $location = 'main_menu';
		}

		return apply_filters( 'wpj_main_menu_filter', $menu, $location );
	}
}

if ( ! function_exists( 'wpjobster_display_main_menu_links' ) ) {
	function wpjobster_display_main_menu_links( $main_menu = '' ) {

		if ( $main_menu && is_array( $main_menu ) ) { $num = 0; ?>

			<ul class="menu categories-here auto_cols">

				<?php $items_count = 0;
				$total_items       = count( $main_menu );
				$total_items_half  = round( $total_items / 2 );

				foreach ( $main_menu as $menu_key => $menu ) { $num++; $items_count++;

					$menu_title     = isset( $menu['label'] ) ? apply_filters( 'the_title', $menu['label'], $menu['id'] ) : '';
					$position_class = $items_count <= $total_items_half ? ' left0' : ' right0 little-right-space';
					$column_class   = get_theme_mod( 'menu_style' ) == '2' && isset( $menu['childs'] ) && count( $menu['childs'] ) >= 6 ? ' ul-two-columns' : ' ul-one-columns'; ?>

					<li class="menu-item menu-item-type-taxonomy<?php if ( ! empty( $menu['childs'] ) ) { echo ' menu-item-has-children '; } ?>menu-item-object-job_cat menu-item-<?php echo isset( $menu['id'] ) ? $menu['id'] : ''; ?> custom-class-<?php echo $num; ?> depth<?php if ( ! empty( $menu['classes'] ) ) { echo ' ' . $menu['classes']; } ?>">

						<a href="<?php echo isset( $menu['url'] ) ? $menu['url'] : ''; ?>"><?php echo $menu_title; ?></a>

						<?php if ( isset( $menu['childs'] ) && $menu['childs'] ) { ?>

							<ul class="sub-menu<?php echo $position_class . $column_class; ?>">

								<?php foreach ( $menu['childs'] as $child_key => $child ) { $num++;

									$sub_menu_title = apply_filters( 'the_title', $child['label'], $child['id'] ); ?>

									<li class="menu-item menu-item-type-post_type menu-item-object-post menu-item-<?php echo $child['id']; ?> custom-class-<?php echo $num; ?> depth<?php if ( ! empty( $child['classes'] ) ) { echo ' ' . $child['classes']; } ?>">
										<a href="<?php echo $child['url']; ?>"><?php echo $sub_menu_title; ?></a>
									</li>

								<?php } ?>

							</ul>

						<?php } ?>

					</li>

				<?php } ?>

			</ul>

		<?php } elseif ( is_string( $main_menu) ) {

			echo $main_menu;

		} else {

			echo link_to_menu_editor();

		}
	}
}

// Dropdown Menu Array
if ( ! function_exists( 'wpjobster_dropdown_menu' ) ) {
	function wpjobster_dropdown_menu() {
		$dropdown_user_menu = array(
			'jobs' => array(
				'label'  => __( 'Jobs', 'wpjobster' ),
				'url'    => '',
				'childs' => array(
					'new_job' => array(
						'label' => __( 'Post New', 'wpjobster' ),
						'url'   => get_option( 'wpjobster_post_new_page_id' ),
						'order' =>'1a',
					),
					'my_jobs' => array(
						'label' => __( 'My Jobs', 'wpjobster' ),
						'url'   => get_option( 'wpjobster_my_account_page_id' ),
						'order' => '2a',
					),
				),
				'order' => '1a',
			),
			'sales' => array(
				'label'  => __( 'Sales', 'wpjobster' ),
				'url'    => get_option( 'wpjobster_my_account_sales_page_id' ),
				'childs' => array(),
				'order'  => '2a',
			),
			'shopping' => array(
				'label'  => __( 'Shopping', 'wpjobster' ),
				'url'    => get_option( 'wpjobster_my_account_shopping_page_id' ),
				'childs' => array(),
				'order'  => '3a',
			),
			'requests' => array(
				'label'  => __( 'Requests', 'wpjobster' ),
				'url'    => '',
				'childs' => array(
					'new_request' => array(
						'label' => __( 'Post a Request', 'wpjobster' ),
						'url'   => get_option( 'wpjobster_new_request_page_id' ),
						'order' => '1a',
					),
					'my_request' => array(
						'label' => __( 'My Requests', 'wpjobster' ),
						'url'   => get_option( 'wpjobster_my_requests_page_id' ),
						'order' => '2a',
					),
					'all_request' => array(
						'label' => __( 'All Requests', 'wpjobster' ),
						'url'   => get_post_type_archive_link( 'request' ),
						'order' => '3a',
					)
				),
				'order' => '4a',
			),
			'my_favorites' => array(
				'label'  => __( 'My Favorites', 'wpjobster' ),
				'url'    => get_option( 'wpjobster_my_favorites_page_id' ),
				'childs' => array(),
				'order'  => '5a',
			),
			'payments' => array(
				'label'  => __( 'Payments', 'wpjobster' ),
				'url'    => get_option( 'wpjobster_my_account_payments_page_id' ),
				'childs' => array(),
				'order'  => '6a',
			),
			'profile' => array(
				'label'  => __( 'Profile', 'wpjobster' ),
				'url'    => '',
				'childs' => array(
					'my_profile' => array(
						'label' => __( 'Public Profile', 'wpjobster' ),
						'url'   => get_option( 'wpjobster_user_profile_page_id' ),
						'order' => '1a',
					),
					'edit_profile' => array(
						'label' => __( 'Settings', 'wpjobster' ),
						'url'   => get_option( 'wpjobster_my_account_personal_info_page_id' ),
						'order' => '2a',
					),
				),
				'order' => '7a',
			)
		);

		if ( get_option( 'wpjobster_enable_custom_offers' ) == 'yes' ) {
			$dropdown_user_menu['requests']['childs']['all_proposals'] = array(
				'label' => __( 'Proposals', 'wpjobster' ),
				'url'   => get_post_type_archive_link( 'offer' ),
				'order' => '4a',
			);
		}

		if ( get_option( 'wpjobster_subscription_enabled' ) == 'yes' ) {
			$dropdown_user_menu['subscriptions'] = array(
				'label'  => __( 'Subscriptions', 'wpjobster' ),
				'url'    => get_option( 'wpjobster_subscriptions_page_id' ),
				'childs' => array(),
				'order'  => '8a',
			);
		}

		$dropdown_user_menu['log_out'] = array(
			'label'  => __( 'Log out', 'wpjobster' ),
			'url'    => wp_logout_url( get_site_URL() ),
			'childs' => array(),
			'order'  => '9a',
		);

		$dropdown_user_menu = apply_filters( 'wpjobster_dropdown_menu_list', $dropdown_user_menu );

		return $dropdown_user_menu;
	}
}

if ( ! function_exists( 'wpjobster_display_user_dropdown_links' ) ) {
	function wpjobster_display_user_dropdown_links( $device = 'pc', $menu_arr = '', $section = '' ) {

		if ( $menu_arr && is_array( $menu_arr ) ) { // mobile categories

			$drop_down_user_menu = $menu_arr;

		} elseif ( $section == 'user-account' ) { // mobile and pc user account menu

			// show menu by device
			$menu_slug = $device == 'mobile' ? 'wpjobster_responsive_main_menu' : 'wpjobster_header_user_dropdown_extra';

			// site array menu
			$drop_down_user_menu  = wpjobster_sort_menu( wpjobster_dropdown_menu(), 'DESC' );

			// menu from wp admin
			$admin_user_menu = wpj_get_menu_by_location( $menu_slug );

			// add admin menu before logout menu item
			if ( $admin_user_menu ) {
				$drop_down_user_menu = array_merge(
					array_slice( $drop_down_user_menu, 0 , count( $drop_down_user_menu ) - 1 ),
					$admin_user_menu,
					array_slice( $drop_down_user_menu, count( $drop_down_user_menu ) - 1 )
				);
			}

		} else {
			$drop_down_user_menu = array();
		}

		if ( $drop_down_user_menu ) {

			$numItems = count( $drop_down_user_menu ); ?>

			<ul class="reset">

				<?php $i = 0; foreach ( $drop_down_user_menu as $menu ) {
					if ( ++$i !== $numItems || $section != 'user-account' ) { ?>

						<li class="<?php if ( ! empty( $menu['childs'] ) ) { echo 'nh-accordion-container'; } if ( ! empty( $menu['classes'] ) ) { echo ' ' . $menu['classes']; } ?>">

							<a class="item<?php if ( isset( $menu['childs'] ) && $menu['childs'] ) { echo ' nh-accordion-handler'; } ?>" href="<?php if ( isset( $menu['url'] ) && is_numeric( $menu['url'] ) ) { echo get_permalink( $menu['url'] ); } else { echo isset( $menu['url'] ) ? $menu['url'] : ''; } ?>"><?php echo isset( $menu['label'] ) ? $menu['label'] : ''; ?></a>

							<?php if ( isset( $menu['childs'] ) && $menu['childs'] ) {

								$childs = $section != 'categories' ? wpjobster_sort_menu( $menu['childs'], 'DESC' ) : $menu['childs']; ?>

								<div class="nh-accordion<?php if ( $device == 'pc' ) { echo ' styled'; } ?>" style="display: none;">
									<ul class="reset">

										<?php foreach ( $childs as $child ) { ?>
											<li class="<?php if ( ! empty( $child['classes'] ) ) { echo $child['classes']; } ?>">
												<a class="item" href="<?php if ( is_numeric( $child['url'] ) ) { echo get_permalink( $child['url'] ); } else { echo $child['url']; } ?>"><?php echo $child['label']; ?></a>
											</li>
										<?php } ?>

									</ul>
								</div>

							<?php } ?>

						</li>

					<?php }
				}

				if ( $device == 'mobile' && $section == 'user-account' ) {
					wpj_generate_language_select_responsive();
					display_currency_select_mobile();
				}

				$i = 0; foreach ( $drop_down_user_menu as $menu ) {
					if ( ++$i === $numItems && $section == 'user-account' ) { ?>

						<li>
							<a class="item log-out" href="<?php if ( is_numeric( $menu['url'] ) ) { echo get_permalink( $menu['url'] ); } else { echo $menu['url']; } ?>"><?php echo isset( $menu['label'] ) ? $menu['label'] : ''; ?></a>
						</li>

					<?php }
				} ?>

			</ul>

		<?php }

	}
}
