<?php
function wpjobster_get_option_drop_down( $arr, $name, $default = '', $other_atts = '', $multiple = false ) {
	$opts = get_option( $name );

	if ( ! $multiple && $opts !== false && isset( $arr[$opts] ) ) {
		$selected = $opts;
	} else {

	}

	$arr_values = $multiple ? '[]' : '';
	$multiple_attr = $multiple ? ' multiple="multiple" ' : ' ';

	$r = '<select class="ui dropdown" name="' . $name . $arr_values . '"' . $multiple_attr . 'id="'. $name .'" ' . $other_atts . '>';
		foreach ( $arr as $key => $value ) {
			if ( is_array( $opts ) ) {
				$selected = in_array( $key, $opts ) ? "selected='selected'" : " ";
			} elseif ( ! $multiple && $opts !== false ) {
				$selected = $opts == $key ? "selected='selected'" : " ";
			} else {
				$selected = $key == $default ? "selected='selected'" : " ";
			}

			$r .= '<option value="' . $key . '" ' . $selected . '>' . $value . '</option>';
		}
	$r .= '</select>';

	return $r;
}

function wpjobster_create_auto_draft( $uid = '', $post_type = 'job' ) {
	$my_post = array();
	$my_post['post_title']  = 'Auto Draft';
	$my_post['post_type']   = $post_type;
	$my_post['post_status'] = 'auto-draft';
	$my_post['post_author'] = $uid;

	return wp_insert_post( $my_post, true );
}

function wpjobster_get_auto_draft( $uid = '', $post_type = 'job' ) {
	global $wpdb;

	// check anonymous request auto-draft
	if ( ! is_user_logged_in() && $post_type == 'request' && isset( $_COOKIE['wpj_request_id'] ) && is_int( $_COOKIE['wpj_request_id'] ) ) {
		$wpj_request_id = $_COOKIE['wpj_request_id'];
		$querystr = "
			SELECT DISTINCT wposts.*
			FROM {$wpdb->posts} wposts
			WHERE wposts.post_author = {$uid}
				AND wposts.post_status = 'auto-draft'
				AND wposts.post_type = '{$post_type}'
				AND wposts.ID = '{$wpj_request_id}'
			ORDER BY wposts.ID DESC
			LIMIT 1
		";
		$row = $wpdb->get_results( $querystr, OBJECT );

		if ( count( $row ) > 0 ) {
			$row = $row[0];
			return $row->ID;
		}
	}

	// check regular auto-draft
	if ( is_user_logged_in() ) {
		$querystr = "
			SELECT DISTINCT wposts.*
			FROM {$wpdb->posts} wposts
			WHERE wposts.post_author = {$uid}
				AND wposts.post_status = 'auto-draft'
				AND wposts.post_type = '{$post_type}'
			ORDER BY wposts.ID DESC
			LIMIT 1
		";
		$row = $wpdb->get_results( $querystr, OBJECT );

		if ( count( $row ) > 0 ) {
			$row = $row[0];
			return $row->ID;
		}
	}

	$pid = wpjobster_create_auto_draft( $uid, $post_type );
	if ( ! is_user_logged_in() ) {
		if ( $post_type == 'request') {
			setcookie( 'wpj_request_id', $pid, time() + 3600, '/' ); // 1h // 60s * 60m = 3600 sec
		}
	}

	return $pid;
}

// Resolve conflit with ADS PRO Plugin
add_action( 'template_redirect', 'wpj_create_fake_query' );
function wpj_create_fake_query() {
	global $wp, $wp_query, $post;

	if( ! $post ){
		$post_id              = -99; // negative ID, to avoid clash with a valid post
		$post                 = new stdClass();
		$post->ID             = $post_id;
		$post->post_author    = 1;
		$post->post_date      = current_time( 'mysql' );
		$post->post_date_gmt  = current_time( 'mysql', 1 );
		$post->post_title     = 'Fake post';
		$post->post_content   = 'This is a fake post...';
		$post->post_status    = 'publish';
		$post->comment_status = 'closed';
		$post->ping_status    = 'closed';
		$post->post_name      = 'fake-page-' . rand( 1, 99999 );
		$post->post_type      = 'page';
		$post->filter         = 'raw'; // important

		$wp_post = new WP_Post( $post );
	}
}

function wpjobster_using_permalinks() {
	global $wp_rewrite;

	if ( $wp_rewrite->using_permalinks() )
		return true;
	else
		return false;
}

function wpjobster_get_jb_action() {
	global $wp_query;
	if ( isset( $wp_query->query_vars['jb_action'] ) ) {
		$jb_action = $wp_query->query_vars['jb_action'];
	} else {
		$jb_action = "";
	}

	return $jb_action;
}

function wpjobster_wrap_the_title($title, $pid){
	return $title;
}

function theme_apto_get_orderby($new_orderBy, $orderBy, $query) {
	return $orderBy;
}

function wpjobster_insert_pages( $page_id_meta, $page_title, $page_content, $parent_pg = 0, $wp_page_template = 'wpjobster-special-page-template.php' ) {

	$existing_page = get_option( $page_id_meta );
	if ( ! wpjobster_check_if_page_existed( $existing_page ) ) {
		$post = array(
			'post_title' => $page_title,
			'post_content' => $page_content,
			'post_status' => 'publish',
			'post_type' => 'page',
			'post_author' => 1,
			'ping_status' => 'closed',
			'post_parent' => $parent_pg
		);
		$new_page = wp_insert_post( $post );
		update_post_meta( $new_page, '_wp_page_template', 'page-templates/' . $wp_page_template );
		update_option( $page_id_meta, $new_page );

		return $new_page;
	}

	return $existing_page;
}


function wpjobster_insert_homepage( $page_ids, $page_title, $page_tag, $parent_pg = 0 ) {
	$opt = get_option( $page_ids );

	if ( ! wpjobster_check_if_page_existed( $opt ) ) {
		$post = array(
			'post_title'   => $page_title,
			'post_content' => $page_tag,
			'post_status'  => 'publish',
			'post_type'    => 'page',
			'post_author'  => 1,
			'ping_status'  => 'closed',
			'post_parent'  => $parent_pg
		);
		$post_id = wp_insert_post( $post );

		update_post_meta( $post_id, '_wp_page_template', 'page-templates/page-homepage-public.php' );
		update_option( $page_ids, $post_id );
	}
}

function wpjobster_check_if_page_existed( $pid ) {
	global $wpdb;

	if ( $pid ) {
		$query = "SELECT * FROM {$wpdb->prefix}posts WHERE post_type = 'page' AND post_status = 'publish' AND ID = {$pid}";
		$result = $wpdb->get_results( $query );

		if ( count( $result ) > 0 ) return true;
	}

	return false;
}

function get_parsed_countable_string($raw_string){
	$msg = stripslashes($raw_string);
	$msg1=str_replace(array("\r\n","\n\r")," ",$msg);
	$countable_string = str_replace(array("\n")," ",$msg1);
	return $countable_string;
}

if ( ! function_exists( 'is_demo_user' ) ) {
	//--------------------------------------
	// Check if current user is demo
	//--------------------------------------

	function is_demo_user() {
		if ( get_current_user_role() == "demo_user" ) {
			return 1;
		}
	}
}


if ( ! function_exists( 'is_demo_admin' ) ) {
	//--------------------------------------
	// Check if current user is demo admin
	//--------------------------------------

	function is_demo_admin() {
		if ( get_current_user_role() == "demo_admin" ) {
			return 1;
		}
	}
}

function displayValidationErrors( $validation_errors ) {
	if ( $validation_errors ) {

		$validation_errors_display = '<div class="pm-parse-errors">';
			foreach ( $validation_errors as $e ) {
				$validation_errors_display .= '<span class="parse-error">' . stripslashes( $e ) . '</span><br>';
			}
		$validation_errors_display .= '</div>';

	} else { $validation_errors_display = ''; }

	return $validation_errors_display;
}

function filterWords($text, $words, $replace = true) {
	$escaped = array();
	foreach ($words as $w) {
		array_push($escaped, preg_quote($w));
	}
	$re = '/(?:[[:space:]]|^)(' . implode('|', $escaped) . ')(?:[^\w]|$)/i';
	preg_match_all($re, $text, $matches, PREG_SET_ORDER);

	$matchesCount = count($matches);
	$status = 0;
	for ($i = 0; $i < $matchesCount; $i++) {
		if ($replace) {
			$text = str_replace($matches[$i], '*****', $text);
		}
		$status = 1;
	}
	return array($text, $status);
}


/* Categories available for $category param:
 * privatemessages
 * transactionpages
 * joblistings
 * requestlistings
 * userprofiles
 */
function filterMessagePlusErrors( $message, $replace = true, $category = '' ) {
	$validation_errors = array();
	$contact_details = 0;

	$message = stripslashes( $message );

	// Filter Emails
	if ( get_option( 'wpjobster_filter_email_' . $category ) != 'no' ) {
		list( $message, $status ) = filterEmails( $message, $replace );

		if ( $status == 1 ) {
			if ( get_option( 'wpjobster_blacklisted_email' ) ) {
				array_push($validation_errors, get_option( 'wpjobster_blacklisted_email' ) );
			}
		}
	}

	// Filter Phone Numbers
	if ( get_option( 'wpjobster_filter_phonenumbers_' . $category ) != 'no' ) {
		list( $message, $status ) = filterPhoneNumbersAdvanced( $message, $replace );

		if ( $status == 1 ) {
			if ( get_option( 'wpjobster_blacklisted_phone' ) ) {
				array_push( $validation_errors, get_option( 'wpjobster_blacklisted_phone' ) );
			}
		}
	}

	// Filter Words 1
	if ( get_option('wpjobster_blacklisted_words_pm' ) && get_option( 'wpjobster_filter_words_' . $category ) != 'no' ) {
		$wpjobster_blacklisted_words_pm = get_option( 'wpjobster_blacklisted_words_pm' );

		$blacklisted_words_pm = str_replace( "\r", "\n", $wpjobster_blacklisted_words_pm );
		$blacklisted_words_pm = explode( "\n", $blacklisted_words_pm );
		$blacklisted_words_clean = array();
		foreach ( $blacklisted_words_pm as $word ) {
			$word = trim( $word );
			if ( $word ) {
				array_push( $blacklisted_words_clean, $word );
			}
		}

		list($message, $status) = filterWords($message, $blacklisted_words_clean, $replace);
		if ($status == 1) {
			if (get_option('wpjobster_blacklisted_words_pm_err')) {
				array_push($validation_errors, get_option('wpjobster_blacklisted_words_pm_err'));
			}
		}
	}

	// Filter Words 2
	if ( get_option( 'wpjobster_blacklisted_words2_pm' ) && get_option( 'wpjobster_filter_words2_' . $category ) != 'no' ) {
		$wpjobster_blacklisted_words2_pm = get_option( 'wpjobster_blacklisted_words2_pm' );

		$blacklisted_words2_pm = str_replace( "\r", "\n", $wpjobster_blacklisted_words2_pm );
		$blacklisted_words2_pm = explode( "\n", $blacklisted_words2_pm );
		$blacklisted_words2_clean = array();
		foreach ( $blacklisted_words2_pm as $word ) {
			$word = trim( $word );
			if ( $word ) {
				array_push( $blacklisted_words2_clean, $word );
			}
		}

		list( $message, $status ) = filterWords( $message, $blacklisted_words2_clean, $replace );
		if ($status == 1) {
			if ( get_option( 'wpjobster_blacklisted_words2_pm_err' ) ) {
				array_push( $validation_errors, get_option( 'wpjobster_blacklisted_words2_pm_err' ) );
			}
		}
	}

	// Filter Words 3
	if ( get_option( 'wpjobster_blacklisted_words3_pm' ) && get_option( 'wpjobster_filter_words3_' . $category ) != 'no' ) {
		$wpjobster_blacklisted_words3_pm = get_option( 'wpjobster_blacklisted_words3_pm' );

		$blacklisted_words3_pm = str_replace( "\r", "\n", $wpjobster_blacklisted_words3_pm );
		$blacklisted_words3_pm = explode( "\n", $blacklisted_words3_pm );
		$blacklisted_words3_clean = array();
		foreach ( $blacklisted_words3_pm as $word ) {
			$word = trim( $word );
			if ( $word ) {
				array_push( $blacklisted_words3_clean, $word );
			}
		}

		list( $message, $status ) = filterWords( $message, $blacklisted_words3_clean, $replace );
		if ( $status == 1 ) {
			if ( get_option( 'wpjobster_blacklisted_words3_pm_err' ) ) {
				array_push( $validation_errors, get_option( 'wpjobster_blacklisted_words3_pm_err'  ));
			}
		}
	}

	return array( $message, $validation_errors );
}

function wpjobster_filter_switch_link_from_home_page( $sort_order ) {
	return add_query_arg( 'switch_filter', $sort_order, get_current_page_url() );
}

function wpjobster_post_new_with_pid_stuff_thg($pid){
	$using_perm = wpjobster_using_permalinks();

	if ($using_perm)
		return get_permalink(get_option('wpjobster_post_new_page_id')) . "?jobid=" . $pid;
	else
		return get_bloginfo('url') . "/?page_id=" . get_option('wpjobster_post_new_page_id') . "&jobid=" . $pid;
}

add_action('template_redirect', 'check_data_completion');
function check_data_completion(){
	global $current_user;
	$wpjobster_my_account_personal_info_page_id = get_option('wpjobster_my_account_personal_info_page_id');

	if (is_user_logged_in() && !is_page($wpjobster_my_account_personal_info_page_id) && isset($_GET['jb_action']) && $_GET['jb_action'] != "verify_email") {

		if (get_user_meta($current_user->ID, 'first_name', true) == '' || get_user_meta($current_user->ID, 'last_name', true) == '' || get_user_meta($current_user->ID, 'city', true) == '' || get_user_meta($current_user->ID, 'zip', true) == '' || get_user_meta($current_user->ID, 'country_code', true) == '') {
		} else {
			$last = get_user_meta( $current_user->ID, 'last_user_login', true );
			if(empty($last)) {
				add_action( 'wp_footer', 'wpjobster_analytics_registration_goal' );
				update_user_meta($current_user->ID,'last_user_login', current_time('timestamp', 1));
			}

		}

	}
}

add_filter('get_archives_link', 'translate_archive_month');
function translate_archive_month($list) {
	$patterns = array(
	'/January/', '/February/', '/March/', '/April/', '/May/', '/June/',
	'/July/', '/August/', '/September/', '/October/',  '/November/', '/December/'
	);
	$replacements = array(
	__('January','wpjobster'), __('February','wpjobster'), __('March','wpjobster'), __('April','wpjobster'), __('May','wpjobster'), __('June','wpjobster'),
	__('July','wpjobster'), __('August','wpjobster'), __('September','wpjobster'), __('October','wpjobster'), __('November','wpjobster'), __('December','wpjobster')
	);
	$list = preg_replace($patterns, $replacements, $list);
	return $list;
}

function wpjobster_database_strings_list() {
	for ( $i = 0; $i <= 3; $i++ ) {
		${'level' . $i} = get_option( 'wpjobster_subscription_name_level' . $i );
	}

	$strings_arr = array(
		'credits'      => _x( 'Credits', 'Credits gateway', 'wpjobster'),
		'paypal'       => _x( 'PayPal', 'PayPal gateway', 'wpjobster'),
		'cod'          => _x( 'COD', 'COD gateway', 'wpjobster'),
		'banktransfer' => _x( 'Bank Transfer', 'Bank Transfer gateway', 'wpjobster'),
		'fixed'        => _x( 'fixed', 'fixed rate', 'wpjobster' ),
		'hourly'       => _x( 'hourly', 'hourly rate', 'wpjobster' ),
		'daily'        => _x( 'daily', 'daily rate', 'wpjobster' ),
		'weekly'       => _x( 'weekly', 'weekly rate', 'wpjobster' ),
		'monthly'      => _x( 'monthly', 'monthly rate', 'wpjobster' ),
		'custom'       => _x( 'custom', 'custom rate', 'wpjobster' ),
		'package'      => _x( 'package', 'custom rate', 'wpjobster' ),
		'yes'          => _x( 'Yes', 'yes option', 'wpjobster' ),
		'no'           => _x( 'No', 'no option', 'wpjobster' ),
		'weekly'       => _x( 'Weekly', 'weekly subscription', 'wpjobster' ),
		'monthly'      => _x( 'Monthly', 'monthly subscription', 'wpjobster' ),
		'quarterly'    => _x( 'Quarterly', 'quarterly subscription', 'wpjobster' ),
		'yearly'       => _x( 'Yearly', 'yearly subscription', 'wpjobster' ),
		'lifetime'     => _x( 'Lifetime', 'lifetime subscription', 'wpjobster' ),
		'level0'       => $level0 ? $level0 : _x( 'Free', 'free subscription plan', 'wpjobster' ),
		'level1'       => $level1 ? $level1 : _x( 'Starter', 'starter subscription plan', 'wpjobster' ),
		'level2'       => $level2 ? $level2 : _x( 'Business', 'business subscription plan', 'wpjobster' ),
		'level3'       => $level3 ? $level3 : _x( 'Professional', 'professional subscription plan', 'wpjobster' ),
		'kilometers'   => _x( 'kilometers', 'kilometers radius placeholder', 'wpjobster' ),
		'miles'        => _x( 'miles', 'miles radius placeholder', 'wpjobster' ),
		'level0_lbl'   => _x( 'Level 0', 'level number label', 'wpjobster' ),
		'level1_lbl'   => _x( 'Level 1', 'level number label', 'wpjobster' ),
		'level2_lbl'   => _x( 'Level 2', 'level number label', 'wpjobster' ),
		'level3_lbl'   => _x( 'Level 3', 'level number label', 'wpjobster' ),
		'pending'      => _x( 'pending', 'order status', 'wpjobster' ),
		'expired'      => _x( 'expired', 'order status', 'wpjobster' ),
		'completed'    => _x( 'completed', 'order status', 'wpjobster' ),
		'payza'        => _x( 'Payza', 'Payment Gateway', 'wpjobster' ),
		'bank'         => _x( 'Bank', 'Payment Gateway', 'wpjobster' ),
	);

	$strings = apply_filters( 'wpjobster_database_strings_filter', $strings_arr );

	return $strings;
}

// TRANSLATABLE STRINGS
function wpjobster_translate_string( $string ) {
	$strings_arr = wpjobster_database_strings_list();

	if ( in_array_r( $string, $strings_arr ) ) {
		foreach ( $strings_arr as $key => $str ) {
			if ( strtolower( $string ) == $key ) {
				return $str;
			}
		}
	} else {
		return $string;
	}
}

function wpj_translate_custom_offer_title( $title = '', $pid = '' ) {
	if ( $pid ) {
		global $wpdb;
		$row = $wpdb->get_row( "SELECT * FROM {$wpdb->prefix}job_pm WHERE custom_offer = {$pid}" );

		if ( $row ) {
			return sprintf( __( 'Private transaction between %s and %s', 'wpjobster' ), wpj_get_user_display_type( $row->initiator ), wpj_get_user_display_type( $row->user ) );
		}
	}

	return $title;
}

/**
 * Returns true if currently editing the page with a known page builder
 * Supports Brizy and Visual Composer (WPBakery)
 *
 * Undefined if called too early, for example in hooks before wp_load!
 */
if ( ! function_exists( 'wpj_is_pagebuilder_editor' ) ) {
	function wpj_is_pagebuilder_editor() {
		global $vc_is_inline;
		global $pagenow;
		$vc_inline = ( function_exists( 'vc_is_inline' ) && vc_is_inline() ) ? true : false;
		if ( $vc_inline
			|| isset( $_GET['brizy-edit'] )
			|| isset( $_GET['brizy-edit-iframe'] )
			|| ( $pagenow == 'post.php' && isset( $_GET['action'] ) && $_GET['action'] == 'edit' )
			|| ( isset( $_POST['action'] ) && $_POST['action'] == 'brizy_shortcode_content' )
		) {
			return true;
		}
		return false;
	}
}

/**
 * Returns true if currently editing the page with Visual Composer
 *
 * Undefined if called too early, for example in hooks before wp_load!
 */
function wpj_vc_is_inline(){
	global $vc_is_inline;

	if ( function_exists( 'vc_is_inline' ) ) {
		if ( vc_is_inline() ) {
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

/**
 * WPJ Get Popup (ui popup)
 *
 * Generating the HTML for the tooltips from post/edit job page and post/edit request page
 *
 * @param string $var The content to be displayed when $direct == true; The key for the option when $direct == false.
 * @param string $action_type Example: new, edit
 * @param string $post_type Example: job, request
 * @param string $pid For edit pages, needed for rejected jobs
 * @param string $field
 * @param boolean $direct Whether the popup should get the content from the page (true) or from options (false)
 * @return void The generated .ui.popup HTML
 */
function wpj_get_popup( $var, $action_type = "new", $post_type = "job", $pid = "", $field = "", $direct = false, $j_field = "" ){
	$ret = '';

	if ( is_array( $j_field ) && isset( $j_field['acf_fc_layout'] ) ) {
		if ( $j_field['acf_fc_layout'] == 'job_custom_field' && isset( $j_field['slug'] ) ) {
			$unique_slug = 'job_cfield_' . $j_field['slug'];
		} elseif ( $j_field['acf_fc_layout'] == 'request_custom_field' && isset( $j_field['slug'] ) ) {
			$unique_slug = 'request_cfield_' . $j_field['slug'];
		} else {
			$unique_slug = $j_field['acf_fc_layout'];
		}
	} else {
		$unique_slug = $j_field;
	}

	if ( $var || $action_type == "edit" ) {
		if ( $action_type == "edit" && $post_type == "job" && $pid && $field ) {
			$rejected_title   = get_post_meta( $pid, "rejected_" . $field, true );
			$rejected_comment = get_post_meta( $pid, "rejected_" . $field . "_comment", true );

			// Packages
			if ( is_array( $rejected_title ) ) {
				$pck_field_nr = ( int ) filter_var( $j_field, FILTER_SANITIZE_NUMBER_INT );
				foreach ( $rejected_title as $rejected_key => $rejected_value ) {
					if ( $pck_field_nr == $rejected_key && $rejected_value ) {
						$rejected_title = 1;
						$rejected_comment = $rejected_value;
					}
				}
			} // END Packages

			$rej_class = ( get_post_status( $pid ) == 'pending' && $rejected_title == 1 ) ? 'rejected-input' : '';

			if ( $direct == true ) {
				$ret .= '<div class="ui popup ' . $rej_class . '" data-tooltip-id="' . $unique_slug . '">';
					if ( get_post_status( $pid ) == 'pending' && $rejected_title == 1 ) {
						$ret .= $rejected_comment;
					} else {
						if ( $var ) {
							$ret .= $var;
						} else {
							$ret .= __( 'Regular users will not see this message unless you fill "Instructions" input of this field.', 'wpjobster' );
						}
					}
				$ret .= '</div>';
			} else {
				$ret .= '<div class="ui popup ' . $rej_class . '" data-tooltip-id="' . $unique_slug . '">';
					if ( get_post_status( $pid ) == 'pending' && $rejected_title == 1 ) {
						$ret .= $rejected_comment;
					} else {
						if ( get_field( $var, 'options' ) ) {
							$ret .= get_field( $var, 'options' );
						} elseif ( current_user_can( 'manage_options' ) ) {
							$ret .= __( 'Regular users will not see this message unless you edit it from WP Admin > Options > Post New Job Instructions.', 'wpjobster' );
						}
					}
				$ret .= '</div>';
			}
		} elseif ( $action_type == "edit" && $post_type == "request" && $pid && $field ) {
			$rejected_title = get_post_meta( $pid, "req_rejected_" . $field, true );
			$rejected_comment = get_post_meta( $pid, "req_rejected_" . $field . "_comment", true );
			$rej_class = ( get_post_status( $pid ) == 'pending' && $rejected_title == 1 ) ? 'rejected-input' : '';

			if ( $direct == true ) {
				$ret .= '<div class="ui popup ' . $rej_class . '" data-tooltip-id="' . $unique_slug . '">';
					if ( get_post_status( $pid ) == 'pending' && $rejected_title == 1 ) {
						$ret .= $rejected_comment;
					} else {
						if ( $var ) {
							$ret .= $var;
						} else {
							$ret .= __( 'Regular users will not see this message unless you fill "Instructions" input of this field.', 'wpjobster' );
						}
					}
				$ret .= '</div>';
			} else {
				$ret .= '<div class="ui popup ' . $rej_class . '" data-tooltip-id="' . $unique_slug . '">';
					if ( get_post_status( $pid ) == 'pending' && $rejected_title == 1 ) {
						$ret .= $rejected_comment;
					} else {
						if ( get_field( $var, 'options' ) ) {
							$ret .= get_field( $var, 'options' );
						} elseif ( current_user_can( 'manage_options' ) ) {
							$ret .= __( 'Regular users will not see this message unless you edit it from WP Admin > Options > Post New Job Instructions.', 'wpjobster' );
						}
					}
				$ret .= '</div>';
			}
		} else {
			if ( $direct == true ) {
				$ret .= '<div class="ui popup" data-tooltip-id="' . $unique_slug . '">';
					$ret .= $var; // most used for new job or request
				$ret .= '</div>';
			} else {
				$ret .= '<div class="ui popup" data-tooltip-id="' . $unique_slug . '">';
					if ( get_field( $var, 'options' ) ) {
						$ret .= get_field( $var, 'options' );
					} elseif ( current_user_can( 'manage_options' ) ) {
						$ret .= __( 'Regular users will not see this message unless you edit it from WP Admin > Options > Post New Job Instructions.', 'wpjobster' );
					}
				$ret .= '</div>';
			}
		}
	} elseif ( current_user_can( 'manage_options' ) ) {
		$ret .= '<div class="ui popup" data-tooltip-id="' . $unique_slug . '">';
			$ret .= __( 'Regular users will not see this message unless you fill "Instructions" input of this field.', 'wpjobster' );
		$ret .= '</div>';
	}

	return $ret;
}

function wpjobster_is_responsive() {
	if ( get_theme_mod( 'enable_responsive' ) == 'yes' ) {
		return true;
	}
	return false;
}

function wpj_change_rate_word( $word = '', $word_type = 'singular' ) {
	if ( $word == 'hourly' ) {
		if ( $word_type == 'plural' ) { return __( 'hours', 'wpjobster' ); }
		else { return __( 'hour', 'wpjobster' ); }
	}

	if ( $word == 'daily' ) {
		if ( $word_type == 'plural' ) { return __( 'days', 'wpjobster' ); }
		else { return __( 'day', 'wpjobster' ); }
	}

	if ( $word == 'weekly' ) {
		if ( $word_type == 'plural' ) { return __( 'weeks', 'wpjobster' ); }
		else { return __( 'week', 'wpjobster' ); }
	}

	if ( $word == 'monthly' ) {
		if ( $word_type == 'plural' ) { return __( 'months', 'wpjobster' ); }
		else { return __( 'month', 'wpjobster' ); }
	}

	return $word;
}

add_filter( 'excerpt_more', 'wpj_change_excerpt_more_text' );
function wpj_change_excerpt_more_text( $more ) {
	return '...';
}

function wpj_get_pages_by_template( $template = '', $args = array() ) {
	if ( empty( $template ) ) return false;
	if ( strpos( $template, '.php' ) !== ( strlen( $template ) - 4 ) ) $template .= '.php';
	$args['meta_key']   = '_wp_page_template';
	$args['meta_value'] = $template;

	return get_pages( $args );
}
