<?php
// IN_ARRAY FOR MULTIDIMENSIONAL ARRAYS
function in_array_r( $item , $array ) {
	return preg_match( '/"' . $item . '"/i' , json_encode( $array ) );
}

function wpjobster_array_move( &$a, $oldpos, $newpos ) {
	if ( $oldpos == $newpos ) {
		return;
	}

	array_splice(
		$a,                                      // the array
		max( $newpos, 0 ),                       // location
		0,                                       // do not remove any element
		array_splice( $a, max( $oldpos, 0 ), 1 ) // remove this and insert it to location
	);
}

function wpj_move_element( &$array, $a, $b ) {
	$p1 = array_splice( $array, $a, 1 );
	$p2 = array_splice( $array, 0, $b );
	$array = array_merge( $p2, $p1, $array );
}

function wpjobster_change_array_key( $array, $old_key, $new_key ) {

	if ( ! array_key_exists( $old_key, $array ) )
		return $array;

	$keys = array_keys( $array );
	$keys[ array_search( $old_key, $keys ) ] = $new_key;

	return array_combine( $keys, $array );
}

function wpj_multidimensional_array_has_value( $arr ) {
	if ( is_array( $arr ) && $arr ) {
		foreach ( $arr as $key => $value ) {
			if ( $value ) { return true; }
		}
	}

	return false;
}

function wpj_multidimensional_array_has_all_values( $arr ) {
	if ( is_array( $arr ) && $arr ) {
		foreach ( $arr as $key => $value ) {
			if ( ! $value ) { return false; }
		}
	}

	return true;
}

function wpj_group_array_by_key( $array, $key ) {
	$return = array();

	foreach ( $array as $val ) {
		$return[$val[$key]][] = $val;
	}

	return $return;
}

function wpj_array_is_multidimensional( $a ) {
	foreach ( $a as $v ) if ( is_array( $v ) ) return true;
	return false;
}

function wpj_array_contain_duplicated_values( $array ) {

	if ( wpj_multidimensional_array_has_value( $array ) ) {

		$dupls = array_diff_key( $array, array_unique( array_map( 'strtoupper', $array ) ) );

		if ( count( $array ) !== count( array_unique( $array ) ) ) {
			return strtoupper( array_values( $dupls )[0] );
		}

	}

	return false;
}