<?php
if ( ! function_exists( 'wpjobster_get_categories_name_select' ) ) {
	function wpjobster_get_categories_name_select( $taxonomy_name = '', $term_type = '', $include_empty_option = '', $select_class = '', $select_name = '', $select_id = "", $select_value = "", $select_multiple = '' ) {

		$args  = "orderby=name&order=ASC&hide_empty=0&parent=0";
		$terms = get_terms( $taxonomy_name, $args );

		$select_name     = $select_multiple ? $select_name . '[]' : $select_name;
		$select_multiple = $select_multiple ? 'multiple="multiple"' : '';

		$ret = '<select name="' . $select_name . '" style="display: none !important;" class="ui selection fluid search full-text-search dropdown clearable ' . $select_class . '" id="' . $select_id . '" ' . $select_multiple . '>';
			if ( $include_empty_option ) {
				if ( $include_empty_option == "1" ) { $include_empty_option = "Select"; }
				$ret .= "<option value=''>" . $include_empty_option . "</option>";
			}

			if ( ! $select_value ) { $select_value = -1; }

			if ( $terms ) {
				foreach ( $terms as $term ) {
					$option_value = $term_type == 'slug' ? $term->slug : $term->name;
					if ( is_array( $select_value ) ) {
						$selected = in_array( $option_value, $select_value ) ? "selected='selected'" : "";
					} else {
						$selected = $select_value == $option_value ? "selected='selected'" : " ";
					}

					$ret .= '<option ' . $selected . ' value="' . $option_value . '">' . $term->name . '</option>';

					$args2 = "orderby=name&order=ASC&hide_empty=0&parent=" . $term->term_id;
					$terms2 = get_terms( $taxonomy_name, $args2 );
					if ( $terms2 ) {
						foreach ( $terms2 as $term2 ) {
							$option_value2 = $term_type == 'slug' ? $term2->slug : $term2->name;
							if ( is_array( $select_value ) ) {
								$selected2 = in_array( $option_value2, $select_value ) ? "selected='selected'" : "";
							} else {
								$selected2 = $select_value == $option_value2 ? "selected='selected'" : " ";
							}

							$ret .= '<option ' . $selected2 . ' value="' . $option_value2 . '">&nbsp; &nbsp;|&nbsp; ' . $term2->name . '</option>';

							$args3 = "orderby=name&order=ASC&hide_empty=0&parent=" . $option_value2;
							$terms3 = get_terms( $taxonomy_name, $args3 );
							if ( $terms3 ) {
								foreach ( $terms3 as $term3 ) {
									$option_value3 = $term3->term_id;
									if ( is_array( $select_value ) ) {
										$selected3 = in_array( $option_value3, $select_value ) ? "selected='selected'" : "";
									} else {
										$selected3 = $select_value == $option_value3 ? "selected='selected'" : " ";
									}

									$ret .= '<option ' . $selected3 . ' value="' . $option_value3 . '">&nbsp; &nbsp; &nbsp; &nbsp;|&nbsp; ' . $term3->name . '</option>';
								}
							}
						}
					}
				}
			}
		$ret .= '</select>';

		return $ret;
	}
}

if ( ! function_exists( 'wpjobster_get_only_categories' ) ) {

	function wpjobster_get_only_categories( $taxonomy_name = "job_cat", $term_type = "", $include_empty_option = "", $select_class = "", $select_name = "", $select_id = "", $select_value = "", $select_multiple = false, $xx = "" ) {
		$args  = "orderby=name&order=ASC&hide_empty=0&parent=0";
		$terms = get_terms( $taxonomy_name, $args );

		$select_name     = $select_multiple ? $select_name . '[]' : $select_name;
		$select_multiple = $select_multiple ? 'multiple="multiple"' : '';

		$ret = '<select name="' . $select_name . '" style="display: none !important;" class="ui selection fluid search dropdown full-text-search clearable ' . $select_class . '" id="' . $select_id . '" ' . $xx . ' ' . $select_multiple . '>';

			if ( ! empty( $include_empty_option ) ) {
				$ret .= "<option value=''>" . $include_empty_option . "</option>";
			}

			if ( empty( $select_value ) ) { $select_value = -1; }

			foreach ( $terms as $term ) {
				$option_value = $term_type == 'slug' ? $term->slug : $term->term_id;

				if ( is_array( $select_value ) ) {
					$selected = in_array( $option_value, $select_value ) ? "selected='selected'" : "";
				} else {
					$selected = $select_value == $option_value ? "selected='selected'" : " ";
				}

				$ret .= '<option ' . $selected . ' value="' . $option_value . '">' . $term->name . '</option>';
			}

		$ret .= '</select>';

		return $ret;
	}

}

if ( ! function_exists( 'wpjobster_get_only_subcategories' ) ) {
	function wpjobster_get_only_subcategories( $taxonomy_name = "job_cat", $term_type = "", $include_empty_option = "", $select_class = "", $select_name = "", $select_id = "", $select_category_value = "", $select_subcategory_value = "", $select_multiple = false, $xx = "" ) {

		$ret = '';

		if ( $select_category_value ) {

			if ( $select_multiple ) {

				if ( is_array( $select_category_value ) ) {
					$select_category_value = implode( ',', $select_category_value );
				}

				$categories_id = explode( ',', $select_category_value );

				if ( $categories_id ) {
					$select_category_value = array();
					foreach ( $categories_id as $key => $value ) {

						if ( ! is_numeric( $value ) ) {
							$term_details = get_term_by( 'slug', $value, 'job_cat' );
							$value = $term_details->term_id;
						}

						$terms = get_term_children( $value, 'job_cat' );

						if ( $terms ) {
							foreach ( $terms as $term ) {
								$select_category_value[] = $term;
							}
						}
					}
				}

			} else {

				if ( is_array( $select_category_value ) ) {
					$select_category_value = $select_category_value[0];
				}

				if ( ! is_numeric( $select_category_value ) ) {
					$term_details = get_term_by( 'slug', $select_category_value, 'job_cat' );
					$select_category_value = is_object( $term_details ) ? $term_details->term_id : '';
				}

			}

			if ( $select_category_value ) {

				$args2 = array(
					"orderby"    => "name",
					"order"      => "ASC",
					"hide_empty" => 0,
				);

				if ( $select_multiple && $select_category_value ) {
					$args2['include'] = $select_category_value;
				} else {
					$args2['parent'] = $select_category_value;
				}

				$sub_terms2 = get_terms( $taxonomy_name, $args2 );

				$select_name     = $select_multiple ? $select_name . '[]' : $select_name;
				$select_multiple = $select_multiple ? 'multiple="multiple"' : '';

				$ret = '<select name="' . $select_name . '" style="display: none !important;" class="ui selection fluid search dropdown full-text-search clearable ' . $select_class . '" id="' . $select_id . '" ' . $xx . ' ' . $select_multiple . '>';
					if ( ! empty( $include_empty_option ) ) {
						$ret .= '<option value="" disabled selected hidden>' . $include_empty_option . '</option>';
					}

					if ( $sub_terms2 ) {
						foreach ( $sub_terms2 as $sub_term2 ) {
							$option_value = $term_type == 'slug' ? $sub_term2->slug : $sub_term2->term_id;

							if ( is_array( $select_subcategory_value ) ) {
								$selected = in_array( $option_value, $select_subcategory_value ) ? "selected='selected'" : "";
							} else {
								$selected = $select_subcategory_value == $option_value ? "selected='selected'" : " ";
							}

							$ret .= '<option ' . $selected . ' value="' . $option_value . '">' . $sub_term2->name . '</option>';
						}
					}
				$ret .= "</select>";

			}

		}

		return $ret;

	}
}

function wpjobster_get_custom_taxonomy_count( $ptype, $pterm ) {
	global $wpdb;

	$query1   = "SELECT * FROM {$wpdb->prefix}terms WHERE slug = '{$pterm}'";
	$result1  = $wpdb->get_results( $query1 );
	$row1     = $result1[0];
	$term_id = $row1->term_id;

	$query2           = "SELECT * FROM {$wpdb->prefix}term_taxonomy WHERE term_id = '{$term_id}'";
	$result2          = $wpdb->get_results( $query2 );
	$row2             = $result2[0];
	$term_taxonomy_id = $row2->term_taxonomy_id;

	$final_query = "
		SELECT DISTINCT posts.ID
		FROM {$wpdb->prefix}term_relationships rel, {$wpdb->postmeta} wpostmeta, {$wpdb->posts} posts
		WHERE rel.term_taxonomy_id = {$term_taxonomy_id}
			AND rel.object_id = wpostmeta.post_id
			AND posts.ID = wpostmeta.post_id
			AND posts.post_status = 'publish'
			AND posts.post_type = 'job'
			AND wpostmeta.meta_key = 'closed'
			AND wpostmeta.meta_value = '0'
	";
	$final_result = $wpdb->get_results( $final_query );

	return count( $final_result );
}
