<?php
if ( ! function_exists( 'get_timezone_name' ) ) {
	function get_timezone_name( $tm_name = "" ) {
		$timezone_arr = array(
			'Pacific/Midway'                 => __( '(GMT -11:00) Pacific/Midway', 'wpjobster' ),
			'Pacific/Niue'                   => __( '(GMT -11:00) Pacific/Niue', 'wpjobster' ),
			'Pacific/Pago_Pago'              => __( '(GMT -11:00) Pacific/Pago_Pago', 'wpjobster' ),
			'America/Adak'                   => __( '(GMT -10:00) America/Adak', 'wpjobster' ),
			'Pacific/Honolulu'               => __( '(GMT -10:00) Pacific/Honolulu', 'wpjobster' ),
			'Pacific/Johnston'               => __( '(GMT -10:00) Pacific/Johnston', 'wpjobster' ),
			'Pacific/Rarotonga'              => __( '(GMT -10:00) Pacific/Rarotonga', 'wpjobster' ),
			'Pacific/Tahiti'                 => __( '(GMT -10:00) Pacific/Tahiti', 'wpjobster' ),
			'Pacific/Marquesas'              => __( '(GMT -09:30) Pacific/Marquesas', 'wpjobster' ),
			'America/Anchorage'              => __( '(GMT -09:00) America/Anchorage', 'wpjobster' ),
			'America/Juneau'                 => __( '(GMT -09:00) America/Juneau', 'wpjobster' ),
			'America/Metlakatla'             => __( '(GMT -09:00) America/Metlakatla', 'wpjobster' ),
			'America/Nome'                   => __( '(GMT -09:00) America/Nome', 'wpjobster' ),
			'America/Sitka'                  => __( '(GMT -09:00) America/Sitka', 'wpjobster' ),
			'America/Yakutat'                => __( '(GMT -09:00) America/Yakutat', 'wpjobster' ),
			'Pacific/Gambier'                => __( '(GMT -09:00) Pacific/Gambier', 'wpjobster' ),
			'America/Dawson'                 => __( '(GMT -08:00) America/Dawson', 'wpjobster' ),
			'America/Los_Angeles'            => __( '(GMT -08:00) America/Los_Angeles', 'wpjobster' ),
			'America/Tijuana'                => __( '(GMT -08:00) America/Tijuana', 'wpjobster' ),
			'America/Vancouver'              => __( '(GMT -08:00) America/Vancouver', 'wpjobster' ),
			'America/Whitehorse'             => __( '(GMT -08:00) America/Whitehorse', 'wpjobster' ),
			'Pacific/Pitcairn'               => __( '(GMT -08:00) Pacific/Pitcairn', 'wpjobster' ),
			'America/Boise'                  => __( '(GMT -07:00) America/Boise', 'wpjobster' ),
			'America/Cambridge_Bay'          => __( '(GMT -07:00) America/Cambridge_Bay', 'wpjobster' ),
			'America/Chihuahua'              => __( '(GMT -07:00) America/Chihuahua', 'wpjobster' ),
			'America/Creston'                => __( '(GMT -07:00) America/Creston', 'wpjobster' ),
			'America/Dawson_Creek'           => __( '(GMT -07:00) America/Dawson_Creek', 'wpjobster' ),
			'America/Denver'                 => __( '(GMT -07:00) America/Denver', 'wpjobster' ),
			'America/Edmonton'               => __( '(GMT -07:00) America/Edmonton', 'wpjobster' ),
			'America/Fort_Nelson'            => __( '(GMT -07:00) America/Fort_Nelson', 'wpjobster' ),
			'America/Hermosillo'             => __( '(GMT -07:00) America/Hermosillo', 'wpjobster' ),
			'America/Inuvik'                 => __( '(GMT -07:00) America/Inuvik', 'wpjobster' ),
			'America/Mazatlan'               => __( '(GMT -07:00) America/Mazatlan', 'wpjobster' ),
			'America/Ojinaga'                => __( '(GMT -07:00) America/Ojinaga', 'wpjobster' ),
			'America/Phoenix'                => __( '(GMT -07:00) America/Phoenix', 'wpjobster' ),
			'America/Yellowknife'            => __( '(GMT -07:00) America/Yellowknife', 'wpjobster' ),
			'America/Bahia_Banderas'         => __( '(GMT -06:00) America/Bahia_Banderas', 'wpjobster' ),
			'America/Belize'                 => __( '(GMT -06:00) America/Belize', 'wpjobster' ),
			'America/Chicago'                => __( '(GMT -06:00) America/Chicago', 'wpjobster' ),
			'America/Costa_Rica'             => __( '(GMT -06:00) America/Costa_Rica', 'wpjobster' ),
			'America/El_Salvador'            => __( '(GMT -06:00) America/El_Salvador', 'wpjobster' ),
			'America/Guatemala'              => __( '(GMT -06:00) America/Guatemala', 'wpjobster' ),
			'America/Indiana/Knox'           => __( '(GMT -06:00) America/Indiana/Knox', 'wpjobster' ),
			'America/Indiana/Tell_City'      => __( '(GMT -06:00) America/Indiana/Tell_City', 'wpjobster' ),
			'America/Managua'                => __( '(GMT -06:00) America/Managua', 'wpjobster' ),
			'America/Matamoros'              => __( '(GMT -06:00) America/Matamoros', 'wpjobster' ),
			'America/Menominee'              => __( '(GMT -06:00) America/Menominee', 'wpjobster' ),
			'America/Merida'                 => __( '(GMT -06:00) America/Merida', 'wpjobster' ),
			'America/Mexico_City'            => __( '(GMT -06:00) America/Mexico_City', 'wpjobster' ),
			'America/Monterrey'              => __( '(GMT -06:00) America/Monterrey', 'wpjobster' ),
			'America/North_Dakota/Beulah'    => __( '(GMT -06:00) America/North_Dakota/Beulah', 'wpjobster' ),
			'America/North_Dakota/Center'    => __( '(GMT -06:00) America/North_Dakota/Center', 'wpjobster' ),
			'America/North_Dakota/New_Salem' => __( '(GMT -06:00) America/North_Dakota/New_Salem', 'wpjobster' ),
			'America/Rainy_River'            => __( '(GMT -06:00) America/Rainy_River', 'wpjobster' ),
			'America/Rankin_Inlet'           => __( '(GMT -06:00) America/Rankin_Inlet', 'wpjobster' ),
			'America/Regina'                 => __( '(GMT -06:00) America/Regina', 'wpjobster' ),
			'America/Resolute'               => __( '(GMT -06:00) America/Resolute', 'wpjobster' ),
			'America/Swift_Current'          => __( '(GMT -06:00) America/Swift_Current', 'wpjobster' ),
			'America/Tegucigalpa'            => __( '(GMT -06:00) America/Tegucigalpa', 'wpjobster' ),
			'America/Winnipeg'               => __( '(GMT -06:00) America/Winnipeg', 'wpjobster' ),
			'Pacific/Galapagos'              => __( '(GMT -06:00) Pacific/Galapagos', 'wpjobster' ),
			'America/Atikokan'               => __( '(GMT -05:00) America/Atikokan', 'wpjobster' ),
			'America/Bogota'                 => __( '(GMT -05:00) America/Bogota', 'wpjobster' ),
			'America/Cancun'                 => __( '(GMT -05:00) America/Cancun', 'wpjobster' ),
			'America/Cayman'                 => __( '(GMT -05:00) America/Cayman', 'wpjobster' ),
			'America/Detroit'                => __( '(GMT -05:00) America/Detroit', 'wpjobster' ),
			'America/Eirunepe'               => __( '(GMT -05:00) America/Eirunepe', 'wpjobster' ),
			'America/Guayaquil'              => __( '(GMT -05:00) America/Guayaquil', 'wpjobster' ),
			'America/Havana'                 => __( '(GMT -05:00) America/Havana', 'wpjobster' ),
			'America/Indiana/Indianapolis'   => __( '(GMT -05:00) America/Indiana/Indianapolis', 'wpjobster' ),
			'America/Indiana/Marengo'        => __( '(GMT -05:00) America/Indiana/Marengo', 'wpjobster' ),
			'America/Indiana/Petersburg'     => __( '(GMT -05:00) America/Indiana/Petersburg', 'wpjobster' ),
			'America/Indiana/Vevay'          => __( '(GMT -05:00) America/Indiana/Vevay', 'wpjobster' ),
			'America/Indiana/Vincennes'      => __( '(GMT -05:00) America/Indiana/Vincennes', 'wpjobster' ),
			'America/Indiana/Winamac'        => __( '(GMT -05:00) America/Indiana/Winamac', 'wpjobster' ),
			'America/Iqaluit'                => __( '(GMT -05:00) America/Iqaluit', 'wpjobster' ),
			'America/Jamaica'                => __( '(GMT -05:00) America/Jamaica', 'wpjobster' ),
			'America/Kentucky/Louisville'    => __( '(GMT -05:00) America/Kentucky/Louisville', 'wpjobster' ),
			'America/Kentucky/Monticello'    => __( '(GMT -05:00) America/Kentucky/Monticello', 'wpjobster' ),
			'America/Lima'                   => __( '(GMT -05:00) America/Lima', 'wpjobster' ),
			'America/Nassau'                 => __( '(GMT -05:00) America/Nassau', 'wpjobster' ),
			'America/New_York'               => __( '(GMT -05:00) America/New_York', 'wpjobster' ),
			'America/Nipigon'                => __( '(GMT -05:00) America/Nipigon', 'wpjobster' ),
			'America/Panama'                 => __( '(GMT -05:00) America/Panama', 'wpjobster' ),
			'America/Pangnirtung'            => __( '(GMT -05:00) America/Pangnirtung', 'wpjobster' ),
			'America/Port-au-Prince'         => __( '(GMT -05:00) America/Port-au-Prince', 'wpjobster' ),
			'America/Rio_Branco'             => __( '(GMT -05:00) America/Rio_Branco', 'wpjobster' ),
			'America/Thunder_Bay'            => __( '(GMT -05:00) America/Thunder_Bay', 'wpjobster' ),
			'America/Toronto'                => __( '(GMT -05:00) America/Toronto', 'wpjobster' ),
			'Pacific/Easter'                 => __( '(GMT -05:00) Pacific/Easter', 'wpjobster' ),
			'America/Anguilla'               => __( '(GMT -04:00) America/Anguilla', 'wpjobster' ),
			'America/Antigua'                => __( '(GMT -04:00) America/Antigua', 'wpjobster' ),
			'America/Aruba'                  => __( '(GMT -04:00) America/Aruba', 'wpjobster' ),
			'America/Barbados'               => __( '(GMT -04:00) America/Barbados', 'wpjobster' ),
			'America/Blanc-Sablon'           => __( '(GMT -04:00) America/Blanc-Sablon', 'wpjobster' ),
			'America/Boa_Vista'              => __( '(GMT -04:00) America/Boa_Vista', 'wpjobster' ),
			'America/Campo_Grande'           => __( '(GMT -04:00) America/Campo_Grande', 'wpjobster' ),
			'America/Caracas'                => __( '(GMT -04:00) America/Caracas', 'wpjobster' ),
			'America/Cuiaba'                 => __( '(GMT -04:00) America/Cuiaba', 'wpjobster' ),
			'America/Curacao'                => __( '(GMT -04:00) America/Curacao', 'wpjobster' ),
			'America/Dominica'               => __( '(GMT -04:00) America/Dominica', 'wpjobster' ),
			'America/Glace_Bay'              => __( '(GMT -04:00) America/Glace_Bay', 'wpjobster' ),
			'America/Goose_Bay'              => __( '(GMT -04:00) America/Goose_Bay', 'wpjobster' ),
			'America/Grand_Turk'             => __( '(GMT -04:00) America/Grand_Turk', 'wpjobster' ),
			'America/Grenada'                => __( '(GMT -04:00) America/Grenada', 'wpjobster' ),
			'America/Guadeloupe'             => __( '(GMT -04:00) America/Guadeloupe', 'wpjobster' ),
			'America/Guyana'                 => __( '(GMT -04:00) America/Guyana', 'wpjobster' ),
			'America/Halifax'                => __( '(GMT -04:00) America/Halifax', 'wpjobster' ),
			'America/Kralendijk'             => __( '(GMT -04:00) America/Kralendijk', 'wpjobster' ),
			'America/La_Paz'                 => __( '(GMT -04:00) America/La_Paz', 'wpjobster' ),
			'America/Lower_Princes'          => __( '(GMT -04:00) America/Lower_Princes', 'wpjobster' ),
			'America/Manaus'                 => __( '(GMT -04:00) America/Manaus', 'wpjobster' ),
			'America/Marigot'                => __( '(GMT -04:00) America/Marigot', 'wpjobster' ),
			'America/Martinique'             => __( '(GMT -04:00) America/Martinique', 'wpjobster' ),
			'America/Moncton'                => __( '(GMT -04:00) America/Moncton', 'wpjobster' ),
			'America/Montserrat'             => __( '(GMT -04:00) America/Montserrat', 'wpjobster' ),
			'America/Port_of_Spain'          => __( '(GMT -04:00) America/Port_of_Spain', 'wpjobster' ),
			'America/Porto_Velho'            => __( '(GMT -04:00) America/Porto_Velho', 'wpjobster' ),
			'America/Puerto_Rico'            => __( '(GMT -04:00) America/Puerto_Rico', 'wpjobster' ),
			'America/Santo_Domingo'          => __( '(GMT -04:00) America/Santo_Domingo', 'wpjobster' ),
			'America/St_Barthelemy'          => __( '(GMT -04:00) America/St_Barthelemy', 'wpjobster' ),
			'America/St_Kitts'               => __( '(GMT -04:00) America/St_Kitts', 'wpjobster' ),
			'America/St_Lucia'               => __( '(GMT -04:00) America/St_Lucia', 'wpjobster' ),
			'America/St_Thomas'              => __( '(GMT -04:00) America/St_Thomas', 'wpjobster' ),
			'America/St_Vincent'             => __( '(GMT -04:00) America/St_Vincent', 'wpjobster' ),
			'America/Thule'                  => __( '(GMT -04:00) America/Thule', 'wpjobster' ),
			'America/Tortola'                => __( '(GMT -04:00) America/Tortola', 'wpjobster' ),
			'Atlantic/Bermuda'               => __( '(GMT -04:00) Atlantic/Bermuda', 'wpjobster' ),
			'America/St_Johns'               => __( '(GMT -03:30) America/St_Johns', 'wpjobster' ),
			'America/Araguaina'              => __( '(GMT -03:00) America/Araguaina', 'wpjobster' ),
			'America/Argentina/Buenos_Aires' => __( '(GMT -03:00) America/Argentina/Buenos_Aires', 'wpjobster' ),
			'America/Argentina/Catamarca'    => __( '(GMT -03:00) America/Argentina/Catamarca', 'wpjobster' ),
			'America/Argentina/Cordoba'      => __( '(GMT -03:00) America/Argentina/Cordoba', 'wpjobster' ),
			'America/Argentina/Jujuy'        => __( '(GMT -03:00) America/Argentina/Jujuy', 'wpjobster' ),
			'America/Argentina/La_Rioja'     => __( '(GMT -03:00) America/Argentina/La_Rioja', 'wpjobster' ),
			'America/Argentina/Mendoza'      => __( '(GMT -03:00) America/Argentina/Mendoza', 'wpjobster' ),
			'America/Argentina/Rio_Gallegos' => __( '(GMT -03:00) America/Argentina/Rio_Gallegos', 'wpjobster' ),
			'America/Argentina/Salta'        => __( '(GMT -03:00) America/Argentina/Salta', 'wpjobster' ),
			'America/Argentina/San_Juan'     => __( '(GMT -03:00) America/Argentina/San_Juan', 'wpjobster' ),
			'America/Argentina/San_Luis'     => __( '(GMT -03:00) America/Argentina/San_Luis', 'wpjobster' ),
			'America/Argentina/Tucuman'      => __( '(GMT -03:00) America/Argentina/Tucuman', 'wpjobster' ),
			'America/Argentina/Ushuaia'      => __( '(GMT -03:00) America/Argentina/Ushuaia', 'wpjobster' ),
			'America/Asuncion'               => __( '(GMT -03:00) America/Asuncion', 'wpjobster' ),
			'America/Bahia'                  => __( '(GMT -03:00) America/Bahia', 'wpjobster' ),
			'America/Belem'                  => __( '(GMT -03:00) America/Belem', 'wpjobster' ),
			'America/Cayenne'                => __( '(GMT -03:00) America/Cayenne', 'wpjobster' ),
			'America/Fortaleza'              => __( '(GMT -03:00) America/Fortaleza', 'wpjobster' ),
			'America/Godthab'                => __( '(GMT -03:00) America/Godthab', 'wpjobster' ),
			'America/Maceio'                 => __( '(GMT -03:00) America/Maceio', 'wpjobster' ),
			'America/Miquelon'               => __( '(GMT -03:00) America/Miquelon', 'wpjobster' ),
			'America/Montevideo'             => __( '(GMT -03:00) America/Montevideo', 'wpjobster' ),
			'America/Paramaribo'             => __( '(GMT -03:00) America/Paramaribo', 'wpjobster' ),
			'America/Recife'                 => __( '(GMT -03:00) America/Recife', 'wpjobster' ),
			'America/Santarem'               => __( '(GMT -03:00) America/Santarem', 'wpjobster' ),
			'America/Santiago'               => __( '(GMT -03:00) America/Santiago', 'wpjobster' ),
			'America/Sao_Paulo'              => __( '(GMT -03:00) America/Sao_Paulo', 'wpjobster' ),
			'Antarctica/Palmer'              => __( '(GMT -03:00) Antarctica/Palmer', 'wpjobster' ),
			'Antarctica/Rothera'             => __( '(GMT -03:00) Antarctica/Rothera', 'wpjobster' ),
			'Atlantic/Stanley'               => __( '(GMT -03:00) Atlantic/Stanley', 'wpjobster' ),
			'America/Noronha'                => __( '(GMT -02:00) America/Noronha', 'wpjobster' ),
			'Atlantic/South_Georgia'         => __( '(GMT -02:00) Atlantic/South_Georgia', 'wpjobster' ),
			'America/Scoresbysund'           => __( '(GMT -01:00) America/Scoresbysund', 'wpjobster' ),
			'Atlantic/Azores'                => __( '(GMT -01:00) Atlantic/Azores', 'wpjobster' ),
			'Atlantic/Cape_Verde'            => __( '(GMT -01:00) Atlantic/Cape_Verde', 'wpjobster' ),
			'Africa/Abidjan'                 => __( '(GMT -00:00) Africa/Abidjan', 'wpjobster' ),
			'Africa/Accra'                   => __( '(GMT -00:00) Africa/Accra', 'wpjobster' ),
			'Africa/Bamako'                  => __( '(GMT -00:00) Africa/Bamako', 'wpjobster' ),
			'Africa/Banjul'                  => __( '(GMT -00:00) Africa/Banjul', 'wpjobster' ),
			'Africa/Bissau'                  => __( '(GMT -00:00) Africa/Bissau', 'wpjobster' ),
			'Africa/Casablanca'              => __( '(GMT -00:00) Africa/Casablanca', 'wpjobster' ),
			'Africa/Conakry'                 => __( '(GMT -00:00) Africa/Conakry', 'wpjobster' ),
			'Africa/Dakar'                   => __( '(GMT -00:00) Africa/Dakar', 'wpjobster' ),
			'Africa/El_Aaiun'                => __( '(GMT -00:00) Africa/El_Aaiun', 'wpjobster' ),
			'Africa/Freetown'                => __( '(GMT -00:00) Africa/Freetown', 'wpjobster' ),
			'Africa/Lome'                    => __( '(GMT -00:00) Africa/Lome', 'wpjobster' ),
			'Africa/Monrovia'                => __( '(GMT -00:00) Africa/Monrovia', 'wpjobster' ),
			'Africa/Nouakchott'              => __( '(GMT -00:00) Africa/Nouakchott', 'wpjobster' ),
			'Africa/Ouagadougou'             => __( '(GMT -00:00) Africa/Ouagadougou', 'wpjobster' ),
			'Africa/Sao_Tome'                => __( '(GMT -00:00) Africa/Sao_Tome', 'wpjobster' ),
			'America/Danmarkshavn'           => __( '(GMT -00:00) America/Danmarkshavn', 'wpjobster' ),
			'Antarctica/Troll'               => __( '(GMT -00:00) Antarctica/Troll', 'wpjobster' ),
			'Atlantic/Canary'                => __( '(GMT -00:00) Atlantic/Canary', 'wpjobster' ),
			'Atlantic/Faroe'                 => __( '(GMT -00:00) Atlantic/Faroe', 'wpjobster' ),
			'Atlantic/Madeira'               => __( '(GMT -00:00) Atlantic/Madeira', 'wpjobster' ),
			'Atlantic/Reykjavik'             => __( '(GMT -00:00) Atlantic/Reykjavik', 'wpjobster' ),
			'Atlantic/St_Helena'             => __( '(GMT -00:00) Atlantic/St_Helena', 'wpjobster' ),
			'Europe/Dublin'                  => __( '(GMT -00:00) Europe/Dublin', 'wpjobster' ),
			'Europe/Guernsey'                => __( '(GMT -00:00) Europe/Guernsey', 'wpjobster' ),
			'Europe/Isle_of_Man'             => __( '(GMT -00:00) Europe/Isle_of_Man', 'wpjobster' ),
			'Europe/Jersey'                  => __( '(GMT -00:00) Europe/Jersey', 'wpjobster' ),
			'Europe/Lisbon'                  => __( '(GMT -00:00) Europe/Lisbon', 'wpjobster' ),
			'Europe/London'                  => __( '(GMT -00:00) Europe/London', 'wpjobster' ),
			'UTC'                            => __( '(GMT -00:00) UTC', 'wpjobster' ),
			'Africa/Algiers'                 => __( '(GMT +01:00) Africa/Algiers', 'wpjobster' ),
			'Africa/Bangui'                  => __( '(GMT +01:00) Africa/Bangui', 'wpjobster' ),
			'Africa/Brazzaville'             => __( '(GMT +01:00) Africa/Brazzaville', 'wpjobster' ),
			'Africa/Ceuta'                   => __( '(GMT +01:00) Africa/Ceuta', 'wpjobster' ),
			'Africa/Douala'                  => __( '(GMT +01:00) Africa/Douala', 'wpjobster' ),
			'Africa/Kinshasa'                => __( '(GMT +01:00) Africa/Kinshasa', 'wpjobster' ),
			'Africa/Lagos'                   => __( '(GMT +01:00) Africa/Lagos', 'wpjobster' ),
			'Africa/Libreville'              => __( '(GMT +01:00) Africa/Libreville', 'wpjobster' ),
			'Africa/Luanda'                  => __( '(GMT +01:00) Africa/Luanda', 'wpjobster' ),
			'Africa/Malabo'                  => __( '(GMT +01:00) Africa/Malabo', 'wpjobster' ),
			'Africa/Ndjamena'                => __( '(GMT +01:00) Africa/Ndjamena', 'wpjobster' ),
			'Africa/Niamey'                  => __( '(GMT +01:00) Africa/Niamey', 'wpjobster' ),
			'Africa/Porto-Novo'              => __( '(GMT +01:00) Africa/Porto-Novo', 'wpjobster' ),
			'Africa/Tunis'                   => __( '(GMT +01:00) Africa/Tunis', 'wpjobster' ),
			'Arctic/Longyearbyen'            => __( '(GMT +01:00) Arctic/Longyearbyen', 'wpjobster' ),
			'Europe/Amsterdam'               => __( '(GMT +01:00) Europe/Amsterdam', 'wpjobster' ),
			'Europe/Andorra'                 => __( '(GMT +01:00) Europe/Andorra', 'wpjobster' ),
			'Europe/Belgrade'                => __( '(GMT +01:00) Europe/Belgrade', 'wpjobster' ),
			'Europe/Berlin'                  => __( '(GMT +01:00) Europe/Berlin', 'wpjobster' ),
			'Europe/Bratislava'              => __( '(GMT +01:00) Europe/Bratislava', 'wpjobster' ),
			'Europe/Brussels'                => __( '(GMT +01:00) Europe/Brussels', 'wpjobster' ),
			'Europe/Budapest'                => __( '(GMT +01:00) Europe/Budapest', 'wpjobster' ),
			'Europe/Busingen'                => __( '(GMT +01:00) Europe/Busingen', 'wpjobster' ),
			'Europe/Copenhagen'              => __( '(GMT +01:00) Europe/Copenhagen', 'wpjobster' ),
			'Europe/Gibraltar'               => __( '(GMT +01:00) Europe/Gibraltar', 'wpjobster' ),
			'Europe/Ljubljana'               => __( '(GMT +01:00) Europe/Ljubljana', 'wpjobster' ),
			'Europe/Luxembourg'              => __( '(GMT +01:00) Europe/Luxembourg', 'wpjobster' ),
			'Europe/Madrid'                  => __( '(GMT +01:00) Europe/Madrid', 'wpjobster' ),
			'Europe/Malta'                   => __( '(GMT +01:00) Europe/Malta', 'wpjobster' ),
			'Europe/Monaco'                  => __( '(GMT +01:00) Europe/Monaco', 'wpjobster' ),
			'Europe/Oslo'                    => __( '(GMT +01:00) Europe/Oslo', 'wpjobster' ),
			'Europe/Paris'                   => __( '(GMT +01:00) Europe/Paris', 'wpjobster' ),
			'Europe/Podgorica'               => __( '(GMT +01:00) Europe/Podgorica', 'wpjobster' ),
			'Europe/Prague'                  => __( '(GMT +01:00) Europe/Prague', 'wpjobster' ),
			'Europe/Rome'                    => __( '(GMT +01:00) Europe/Rome', 'wpjobster' ),
			'Europe/San_Marino'              => __( '(GMT +01:00) Europe/San_Marino', 'wpjobster' ),
			'Europe/Sarajevo'                => __( '(GMT +01:00) Europe/Sarajevo', 'wpjobster' ),
			'Europe/Skopje'                  => __( '(GMT +01:00) Europe/Skopje', 'wpjobster' ),
			'Europe/Stockholm'               => __( '(GMT +01:00) Europe/Stockholm', 'wpjobster' ),
			'Europe/Tirane'                  => __( '(GMT +01:00) Europe/Tirane', 'wpjobster' ),
			'Europe/Vaduz'                   => __( '(GMT +01:00) Europe/Vaduz', 'wpjobster' ),
			'Europe/Vatican'                 => __( '(GMT +01:00) Europe/Vatican', 'wpjobster' ),
			'Europe/Vienna'                  => __( '(GMT +01:00) Europe/Vienna', 'wpjobster' ),
			'Europe/Warsaw'                  => __( '(GMT +01:00) Europe/Warsaw', 'wpjobster' ),
			'Europe/Zagreb'                  => __( '(GMT +01:00) Europe/Zagreb', 'wpjobster' ),
			'Europe/Zurich'                  => __( '(GMT +01:00) Europe/Zurich', 'wpjobster' ),
			'Africa/Blantyre'                => __( '(GMT +02:00) Africa/Blantyre', 'wpjobster' ),
			'Africa/Bujumbura'               => __( '(GMT +02:00) Africa/Bujumbura', 'wpjobster' ),
			'Africa/Cairo'                   => __( '(GMT +02:00) Africa/Cairo', 'wpjobster' ),
			'Africa/Gaborone'                => __( '(GMT +02:00) Africa/Gaborone', 'wpjobster' ),
			'Africa/Harare'                  => __( '(GMT +02:00) Africa/Harare', 'wpjobster' ),
			'Africa/Johannesburg'            => __( '(GMT +02:00) Africa/Johannesburg', 'wpjobster' ),
			'Africa/Kigali'                  => __( '(GMT +02:00) Africa/Kigali', 'wpjobster' ),
			'Africa/Lubumbashi'              => __( '(GMT +02:00) Africa/Lubumbashi', 'wpjobster' ),
			'Africa/Lusaka'                  => __( '(GMT +02:00) Africa/Lusaka', 'wpjobster' ),
			'Africa/Maputo'                  => __( '(GMT +02:00) Africa/Maputo', 'wpjobster' ),
			'Africa/Maseru'                  => __( '(GMT +02:00) Africa/Maseru', 'wpjobster' ),
			'Africa/Mbabane'                 => __( '(GMT +02:00) Africa/Mbabane', 'wpjobster' ),
			'Africa/Tripoli'                 => __( '(GMT +02:00) Africa/Tripoli', 'wpjobster' ),
			'Africa/Windhoek'                => __( '(GMT +02:00) Africa/Windhoek', 'wpjobster' ),
			'Asia/Amman'                     => __( '(GMT +02:00) Asia/Amman', 'wpjobster' ),
			'Asia/Beirut'                    => __( '(GMT +02:00) Asia/Beirut', 'wpjobster' ),
			'Asia/Damascus'                  => __( '(GMT +02:00) Asia/Damascus', 'wpjobster' ),
			'Asia/Gaza'                      => __( '(GMT +02:00) Asia/Gaza', 'wpjobster' ),
			'Asia/Hebron'                    => __( '(GMT +02:00) Asia/Hebron', 'wpjobster' ),
			'Asia/Jerusalem'                 => __( '(GMT +02:00) Asia/Jerusalem', 'wpjobster' ),
			'Asia/Nicosia'                   => __( '(GMT +02:00) Asia/Nicosia', 'wpjobster' ),
			'Europe/Athens'                  => __( '(GMT +02:00) Europe/Athens', 'wpjobster' ),
			'Europe/Bucharest'               => __( '(GMT +02:00) Europe/Bucharest', 'wpjobster' ),
			'Europe/Chisinau'                => __( '(GMT +02:00) Europe/Chisinau', 'wpjobster' ),
			'Europe/Helsinki'                => __( '(GMT +02:00) Europe/Helsinki', 'wpjobster' ),
			'Europe/Kaliningrad'             => __( '(GMT +02:00) Europe/Kaliningrad', 'wpjobster' ),
			'Europe/Kiev'                    => __( '(GMT +02:00) Europe/Kiev', 'wpjobster' ),
			'Europe/Mariehamn'               => __( '(GMT +02:00) Europe/Mariehamn', 'wpjobster' ),
			'Europe/Riga'                    => __( '(GMT +02:00) Europe/Riga', 'wpjobster' ),
			'Europe/Sofia'                   => __( '(GMT +02:00) Europe/Sofia', 'wpjobster' ),
			'Europe/Tallinn'                 => __( '(GMT +02:00) Europe/Tallinn', 'wpjobster' ),
			'Europe/Uzhgorod'                => __( '(GMT +02:00) Europe/Uzhgorod', 'wpjobster' ),
			'Europe/Vilnius'                 => __( '(GMT +02:00) Europe/Vilnius', 'wpjobster' ),
			'Europe/Zaporozhye'              => __( '(GMT +02:00) Europe/Zaporozhye', 'wpjobster' ),
			'Africa/Addis_Ababa'             => __( '(GMT +03:00) Africa/Addis_Ababa', 'wpjobster' ),
			'Africa/Asmara'                  => __( '(GMT +03:00) Africa/Asmara', 'wpjobster' ),
			'Africa/Dar_es_Salaam'           => __( '(GMT +03:00) Africa/Dar_es_Salaam', 'wpjobster' ),
			'Africa/Djibouti'                => __( '(GMT +03:00) Africa/Djibouti', 'wpjobster' ),
			'Africa/Juba'                    => __( '(GMT +03:00) Africa/Juba', 'wpjobster' ),
			'Africa/Kampala'                 => __( '(GMT +03:00) Africa/Kampala', 'wpjobster' ),
			'Africa/Khartoum'                => __( '(GMT +03:00) Africa/Khartoum', 'wpjobster' ),
			'Africa/Mogadishu'               => __( '(GMT +03:00) Africa/Mogadishu', 'wpjobster' ),
			'Africa/Nairobi'                 => __( '(GMT +03:00) Africa/Nairobi', 'wpjobster' ),
			'Antarctica/Syowa'               => __( '(GMT +03:00) Antarctica/Syowa', 'wpjobster' ),
			'Asia/Aden'                      => __( '(GMT +03:00) Asia/Aden', 'wpjobster' ),
			'Asia/Baghdad'                   => __( '(GMT +03:00) Asia/Baghdad', 'wpjobster' ),
			'Asia/Bahrain'                   => __( '(GMT +03:00) Asia/Bahrain', 'wpjobster' ),
			'Asia/Famagusta'                 => __( '(GMT +03:00) Asia/Famagusta', 'wpjobster' ),
			'Asia/Kuwait'                    => __( '(GMT +03:00) Asia/Kuwait', 'wpjobster' ),
			'Asia/Qatar'                     => __( '(GMT +03:00) Asia/Qatar', 'wpjobster' ),
			'Asia/Riyadh'                    => __( '(GMT +03:00) Asia/Riyadh', 'wpjobster' ),
			'Europe/Istanbul'                => __( '(GMT +03:00) Europe/Istanbul', 'wpjobster' ),
			'Europe/Kirov'                   => __( '(GMT +03:00) Europe/Kirov', 'wpjobster' ),
			'Europe/Minsk'                   => __( '(GMT +03:00) Europe/Minsk', 'wpjobster' ),
			'Europe/Moscow'                  => __( '(GMT +03:00) Europe/Moscow', 'wpjobster' ),
			'Europe/Simferopol'              => __( '(GMT +03:00) Europe/Simferopol', 'wpjobster' ),
			'Europe/Volgograd'               => __( '(GMT +03:00) Europe/Volgograd', 'wpjobster' ),
			'Indian/Antananarivo'            => __( '(GMT +03:00) Indian/Antananarivo', 'wpjobster' ),
			'Indian/Comoro'                  => __( '(GMT +03:00) Indian/Comoro', 'wpjobster' ),
			'Indian/Mayotte'                 => __( '(GMT +03:00) Indian/Mayotte', 'wpjobster' ),
			'Asia/Tehran'                    => __( '(GMT +03:30) Asia/Tehran', 'wpjobster' ),
			'Asia/Baku'                      => __( '(GMT +04:00) Asia/Baku', 'wpjobster' ),
			'Asia/Dubai'                     => __( '(GMT +04:00) Asia/Dubai', 'wpjobster' ),
			'Asia/Muscat'                    => __( '(GMT +04:00) Asia/Muscat', 'wpjobster' ),
			'Asia/Tbilisi'                   => __( '(GMT +04:00) Asia/Tbilisi', 'wpjobster' ),
			'Asia/Yerevan'                   => __( '(GMT +04:00) Asia/Yerevan', 'wpjobster' ),
			'Europe/Astrakhan'               => __( '(GMT +04:00) Europe/Astrakhan', 'wpjobster' ),
			'Europe/Samara'                  => __( '(GMT +04:00) Europe/Samara', 'wpjobster' ),
			'Europe/Saratov'                 => __( '(GMT +04:00) Europe/Saratov', 'wpjobster' ),
			'Europe/Ulyanovsk'               => __( '(GMT +04:00) Europe/Ulyanovsk', 'wpjobster' ),
			'Indian/Mahe'                    => __( '(GMT +04:00) Indian/Mahe', 'wpjobster' ),
			'Indian/Mauritius'               => __( '(GMT +04:00) Indian/Mauritius', 'wpjobster' ),
			'Indian/Reunion'                 => __( '(GMT +04:00) Indian/Reunion', 'wpjobster' ),
			'Asia/Kabul'                     => __( '(GMT +04:30) Asia/Kabul', 'wpjobster' ),
			'Antarctica/Mawson'              => __( '(GMT +05:00) Antarctica/Mawson', 'wpjobster' ),
			'Asia/Aqtau'                     => __( '(GMT +05:00) Asia/Aqtau', 'wpjobster' ),
			'Asia/Aqtobe'                    => __( '(GMT +05:00) Asia/Aqtobe', 'wpjobster' ),
			'Asia/Ashgabat'                  => __( '(GMT +05:00) Asia/Ashgabat', 'wpjobster' ),
			'Asia/Atyrau'                    => __( '(GMT +05:00) Asia/Atyrau', 'wpjobster' ),
			'Asia/Dushanbe'                  => __( '(GMT +05:00) Asia/Dushanbe', 'wpjobster' ),
			'Asia/Karachi'                   => __( '(GMT +05:00) Asia/Karachi', 'wpjobster' ),
			'Asia/Oral'                      => __( '(GMT +05:00) Asia/Oral', 'wpjobster' ),
			'Asia/Samarkand'                 => __( '(GMT +05:00) Asia/Samarkand', 'wpjobster' ),
			'Asia/Tashkent'                  => __( '(GMT +05:00) Asia/Tashkent', 'wpjobster' ),
			'Asia/Yekaterinburg'             => __( '(GMT +05:00) Asia/Yekaterinburg', 'wpjobster' ),
			'Indian/Kerguelen'               => __( '(GMT +05:00) Indian/Kerguelen', 'wpjobster' ),
			'Indian/Maldives'                => __( '(GMT +05:00) Indian/Maldives', 'wpjobster' ),
			'Asia/Colombo'                   => __( '(GMT +05:30) Asia/Colombo', 'wpjobster' ),
			'Asia/Kolkata'                   => __( '(GMT +05:30) Asia/Kolkata', 'wpjobster' ),
			'Asia/Kathmandu'                 => __( '(GMT +05:45) Asia/Kathmandu', 'wpjobster' ),
			'Antarctica/Vostok'              => __( '(GMT +06:00) Antarctica/Vostok', 'wpjobster' ),
			'Asia/Almaty'                    => __( '(GMT +06:00) Asia/Almaty', 'wpjobster' ),
			'Asia/Bishkek'                   => __( '(GMT +06:00) Asia/Bishkek', 'wpjobster' ),
			'Asia/Dhaka'                     => __( '(GMT +06:00) Asia/Dhaka', 'wpjobster' ),
			'Asia/Omsk'                      => __( '(GMT +06:00) Asia/Omsk', 'wpjobster' ),
			'Asia/Qyzylorda'                 => __( '(GMT +06:00) Asia/Qyzylorda', 'wpjobster' ),
			'Asia/Thimphu'                   => __( '(GMT +06:00) Asia/Thimphu', 'wpjobster' ),
			'Asia/Urumqi'                    => __( '(GMT +06:00) Asia/Urumqi', 'wpjobster' ),
			'Indian/Chagos'                  => __( '(GMT +06:00) Indian/Chagos', 'wpjobster' ),
			'Asia/Yangon'                    => __( '(GMT +06:30) Asia/Yangon', 'wpjobster' ),
			'Indian/Cocos'                   => __( '(GMT +06:30) Indian/Cocos', 'wpjobster' ),
			'Antarctica/Davis'               => __( '(GMT +07:00) Antarctica/Davis', 'wpjobster' ),
			'Asia/Bangkok'                   => __( '(GMT +07:00) Asia/Bangkok', 'wpjobster' ),
			'Asia/Barnaul'                   => __( '(GMT +07:00) Asia/Barnaul', 'wpjobster' ),
			'Asia/Ho_Chi_Minh'               => __( '(GMT +07:00) Asia/Ho_Chi_Minh', 'wpjobster' ),
			'Asia/Hovd'                      => __( '(GMT +07:00) Asia/Hovd', 'wpjobster' ),
			'Asia/Jakarta'                   => __( '(GMT +07:00) Asia/Jakarta', 'wpjobster' ),
			'Asia/Krasnoyarsk'               => __( '(GMT +07:00) Asia/Krasnoyarsk', 'wpjobster' ),
			'Asia/Novokuznetsk'              => __( '(GMT +07:00) Asia/Novokuznetsk', 'wpjobster' ),
			'Asia/Novosibirsk'               => __( '(GMT +07:00) Asia/Novosibirsk', 'wpjobster' ),
			'Asia/Phnom_Penh'                => __( '(GMT +07:00) Asia/Phnom_Penh', 'wpjobster' ),
			'Asia/Pontianak'                 => __( '(GMT +07:00) Asia/Pontianak', 'wpjobster' ),
			'Asia/Tomsk'                     => __( '(GMT +07:00) Asia/Tomsk', 'wpjobster' ),
			'Asia/Vientiane'                 => __( '(GMT +07:00) Asia/Vientiane', 'wpjobster' ),
			'Indian/Christmas'               => __( '(GMT +07:00) Indian/Christmas', 'wpjobster' ),
			'Asia/Brunei'                    => __( '(GMT +08:00) Asia/Brunei', 'wpjobster' ),
			'Asia/Choibalsan'                => __( '(GMT +08:00) Asia/Choibalsan', 'wpjobster' ),
			'Asia/Hong_Kong'                 => __( '(GMT +08:00) Asia/Hong_Kong', 'wpjobster' ),
			'Asia/Irkutsk'                   => __( '(GMT +08:00) Asia/Irkutsk', 'wpjobster' ),
			'Asia/Kuala_Lumpur'              => __( '(GMT +08:00) Asia/Kuala_Lumpur', 'wpjobster' ),
			'Asia/Kuching'                   => __( '(GMT +08:00) Asia/Kuching', 'wpjobster' ),
			'Asia/Macau'                     => __( '(GMT +08:00) Asia/Macau', 'wpjobster' ),
			'Asia/Makassar'                  => __( '(GMT +08:00) Asia/Makassar', 'wpjobster' ),
			'Asia/Manila'                    => __( '(GMT +08:00) Asia/Manila', 'wpjobster' ),
			'Asia/Shanghai'                  => __( '(GMT +08:00) Asia/Shanghai', 'wpjobster' ),
			'Asia/Singapore'                 => __( '(GMT +08:00) Asia/Singapore', 'wpjobster' ),
			'Asia/Taipei'                    => __( '(GMT +08:00) Asia/Taipei', 'wpjobster' ),
			'Asia/Ulaanbaatar'               => __( '(GMT +08:00) Asia/Ulaanbaatar', 'wpjobster' ),
			'Australia/Perth'                => __( '(GMT +08:00) Australia/Perth', 'wpjobster' ),
			'Asia/Pyongyang'                 => __( '(GMT +08:30) Asia/Pyongyang', 'wpjobster' ),
			'Australia/Eucla'                => __( '(GMT +08:45) Australia/Eucla', 'wpjobster' ),
			'Asia/Chita'                     => __( '(GMT +09:00) Asia/Chita', 'wpjobster' ),
			'Asia/Dili'                      => __( '(GMT +09:00) Asia/Dili', 'wpjobster' ),
			'Asia/Jayapura'                  => __( '(GMT +09:00) Asia/Jayapura', 'wpjobster' ),
			'Asia/Khandyga'                  => __( '(GMT +09:00) Asia/Khandyga', 'wpjobster' ),
			'Asia/Seoul'                     => __( '(GMT +09:00) Asia/Seoul', 'wpjobster' ),
			'Asia/Tokyo'                     => __( '(GMT +09:00) Asia/Tokyo', 'wpjobster' ),
			'Asia/Yakutsk'                   => __( '(GMT +09:00) Asia/Yakutsk', 'wpjobster' ),
			'Pacific/Palau'                  => __( '(GMT +09:00) Pacific/Palau', 'wpjobster' ),
			'Australia/Darwin'               => __( '(GMT +09:30) Australia/Darwin', 'wpjobster' ),
			'Antarctica/DumontDUrville'      => __( '(GMT +10:00) Antarctica/DumontDUrville', 'wpjobster' ),
			'Asia/Ust-Nera'                  => __( '(GMT +10:00) Asia/Ust-Nera', 'wpjobster' ),
			'Asia/Vladivostok'               => __( '(GMT +10:00) Asia/Vladivostok', 'wpjobster' ),
			'Australia/Brisbane'             => __( '(GMT +10:00) Australia/Brisbane', 'wpjobster' ),
			'Australia/Lindeman'             => __( '(GMT +10:00) Australia/Lindeman', 'wpjobster' ),
			'Pacific/Chuuk'                  => __( '(GMT +10:00) Pacific/Chuuk', 'wpjobster' ),
			'Pacific/Guam'                   => __( '(GMT +10:00) Pacific/Guam', 'wpjobster' ),
			'Pacific/Port_Moresby'           => __( '(GMT +10:00) Pacific/Port_Moresby', 'wpjobster' ),
			'Pacific/Saipan'                 => __( '(GMT +10:00) Pacific/Saipan', 'wpjobster' ),
			'Australia/Adelaide'             => __( '(GMT +10:30) Australia/Adelaide', 'wpjobster' ),
			'Australia/Broken_Hill'          => __( '(GMT +10:30) Australia/Broken_Hill', 'wpjobster' ),
			'Antarctica/Casey'               => __( '(GMT +11:00) Antarctica/Casey', 'wpjobster' ),
			'Antarctica/Macquarie'           => __( '(GMT +11:00) Antarctica/Macquarie', 'wpjobster' ),
			'Asia/Magadan'                   => __( '(GMT +11:00) Asia/Magadan', 'wpjobster' ),
			'Asia/Sakhalin'                  => __( '(GMT +11:00) Asia/Sakhalin', 'wpjobster' ),
			'Asia/Srednekolymsk'             => __( '(GMT +11:00) Asia/Srednekolymsk', 'wpjobster' ),
			'Australia/Currie'               => __( '(GMT +11:00) Australia/Currie', 'wpjobster' ),
			'Australia/Hobart'               => __( '(GMT +11:00) Australia/Hobart', 'wpjobster' ),
			'Australia/Lord_Howe'            => __( '(GMT +11:00) Australia/Lord_Howe', 'wpjobster' ),
			'Australia/Melbourne'            => __( '(GMT +11:00) Australia/Melbourne', 'wpjobster' ),
			'Australia/Sydney'               => __( '(GMT +11:00) Australia/Sydney', 'wpjobster' ),
			'Pacific/Bougainville'           => __( '(GMT +11:00) Pacific/Bougainville', 'wpjobster' ),
			'Pacific/Efate'                  => __( '(GMT +11:00) Pacific/Efate', 'wpjobster' ),
			'Pacific/Guadalcanal'            => __( '(GMT +11:00) Pacific/Guadalcanal', 'wpjobster' ),
			'Pacific/Kosrae'                 => __( '(GMT +11:00) Pacific/Kosrae', 'wpjobster' ),
			'Pacific/Norfolk'                => __( '(GMT +11:00) Pacific/Norfolk', 'wpjobster' ),
			'Pacific/Noumea'                 => __( '(GMT +11:00) Pacific/Noumea', 'wpjobster' ),
			'Pacific/Pohnpei'                => __( '(GMT +11:00) Pacific/Pohnpei', 'wpjobster' ),
			'Asia/Anadyr'                    => __( '(GMT +12:00) Asia/Anadyr', 'wpjobster' ),
			'Asia/Kamchatka'                 => __( '(GMT +12:00) Asia/Kamchatka', 'wpjobster' ),
			'Pacific/Fiji'                   => __( '(GMT +12:00) Pacific/Fiji', 'wpjobster' ),
			'Pacific/Funafuti'               => __( '(GMT +12:00) Pacific/Funafuti', 'wpjobster' ),
			'Pacific/Kwajalein'              => __( '(GMT +12:00) Pacific/Kwajalein', 'wpjobster' ),
			'Pacific/Majuro'                 => __( '(GMT +12:00) Pacific/Majuro', 'wpjobster' ),
			'Pacific/Nauru'                  => __( '(GMT +12:00) Pacific/Nauru', 'wpjobster' ),
			'Pacific/Tarawa'                 => __( '(GMT +12:00) Pacific/Tarawa', 'wpjobster' ),
			'Pacific/Wake'                   => __( '(GMT +12:00) Pacific/Wake', 'wpjobster' ),
			'Pacific/Wallis'                 => __( '(GMT +12:00) Pacific/Wallis', 'wpjobster' ),
			'Antarctica/McMurdo'             => __( '(GMT +13:00) Antarctica/McMurdo', 'wpjobster' ),
			'Pacific/Auckland'               => __( '(GMT +13:00) Pacific/Auckland', 'wpjobster' ),
			'Pacific/Enderbury'              => __( '(GMT +13:00) Pacific/Enderbury', 'wpjobster' ),
			'Pacific/Fakaofo'                => __( '(GMT +13:00) Pacific/Fakaofo', 'wpjobster' ),
			'Pacific/Tongatapu'              => __( '(GMT +13:00) Pacific/Tongatapu', 'wpjobster' ),
			'Pacific/Chatham'                => __( '(GMT +13:45) Pacific/Chatham', 'wpjobster' ),
			'Pacific/Apia'                   => __( '(GMT +14:00) Pacific/Apia', 'wpjobster' ),
			'Pacific/Kiritimati'             => __( '(GMT +14:00) Pacific/Kiritimati', 'wpjobster' )
		);

		foreach ( $timezone_arr as $value => $label ) {
			$timezone_names[$value] = $label;
		}

		if ( $tm_name && ! empty( $timezone_names[$tm_name] ) ) {
			return apply_filters( 'wpj_timezone_filter', $timezone_names[$tm_name] );
		}

		return apply_filters( 'wpj_timezones_list_filter', $timezone_names );
	}
}

function get_country_name( $code = "" ) {
	$country_names = array(
		'' => '-',
		'AF' => __( 'Afghanistan', 'wpjobster' ),
		'AX' => __( 'Aland Islands', 'wpjobster' ),
		'AL' => __( 'Albania', 'wpjobster' ),
		'DZ' => __( 'Algeria', 'wpjobster' ),
		'AS' => __( 'American Samoa', 'wpjobster' ),
		'AD' => __( 'Andorra', 'wpjobster' ),
		'AO' => __( 'Angola', 'wpjobster' ),
		'AI' => __( 'Anguilla', 'wpjobster' ),
		'AQ' => __( 'Antarctica', 'wpjobster' ),
		'AG' => __( 'Antigua and Barbuda', 'wpjobster' ),
		'AR' => __( 'Argentina', 'wpjobster' ),
		'AM' => __( 'Armenia', 'wpjobster' ),
		'AW' => __( 'Aruba', 'wpjobster' ),
		'AU' => __( 'Australia', 'wpjobster' ),
		'AT' => __( 'Austria', 'wpjobster' ),
		'AZ' => __( 'Azerbaijan', 'wpjobster' ),
		'BS' => __( 'Bahamas', 'wpjobster' ),
		'BH' => __( 'Bahrain', 'wpjobster' ),
		'BD' => __( 'Bangladesh', 'wpjobster' ),
		'BB' => __( 'Barbados', 'wpjobster' ),
		'BY' => __( 'Belarus', 'wpjobster' ),
		'BE' => __( 'Belgium', 'wpjobster' ),
		'BZ' => __( 'Belize', 'wpjobster' ),
		'BJ' => __( 'Benin', 'wpjobster' ),
		'BM' => __( 'Bermuda', 'wpjobster' ),
		'BT' => __( 'Bhutan', 'wpjobster' ),
		'BO' => __( 'Bolivia', 'wpjobster' ),
		'BQ' => __( 'Bonaire, Saint Eustatius and Saba', 'wpjobster' ),
		'BA' => __( 'Bosnia and Herzegovina', 'wpjobster' ),
		'BW' => __( 'Botswana', 'wpjobster' ),
		'BV' => __( 'Bouvet Island', 'wpjobster' ),
		'BR' => __( 'Brazil', 'wpjobster' ),
		'IO' => __( 'British Indian Ocean Territory', 'wpjobster' ),
		'VG' => __( 'British Virgin Islands', 'wpjobster' ),
		'BN' => __( 'Brunei', 'wpjobster' ),
		'BG' => __( 'Bulgaria', 'wpjobster' ),
		'BF' => __( 'Burkina Faso', 'wpjobster' ),
		'BI' => __( 'Burundi', 'wpjobster' ),
		'KH' => __( 'Cambodia', 'wpjobster' ),
		'CM' => __( 'Cameroon', 'wpjobster' ),
		'CA' => __( 'Canada', 'wpjobster' ),
		'CV' => __( 'Cape Verde', 'wpjobster' ),
		'KY' => __( 'Cayman Islands', 'wpjobster' ),
		'CF' => __( 'Central African Republic', 'wpjobster' ),
		'TD' => __( 'Chad', 'wpjobster' ),
		'CL' => __( 'Chile', 'wpjobster' ),
		'CN' => __( 'China', 'wpjobster' ),
		'CX' => __( 'Christmas Island', 'wpjobster' ),
		'CC' => __( 'Cocos Islands', 'wpjobster' ),
		'CO' => __( 'Colombia', 'wpjobster' ),
		'KM' => __( 'Comoros', 'wpjobster' ),
		'CK' => __( 'Cook Islands', 'wpjobster' ),
		'CR' => __( 'Costa Rica', 'wpjobster' ),
		'HR' => __( 'Croatia', 'wpjobster' ),
		'CU' => __( 'Cuba', 'wpjobster' ),
		'CW' => __( 'Curacao', 'wpjobster' ),
		'CY' => __( 'Cyprus', 'wpjobster' ),
		'CZ' => __( 'Czech Republic', 'wpjobster' ),
		'CD' => __( 'Democratic Republic of the Congo', 'wpjobster' ),
		'DK' => __( 'Denmark', 'wpjobster' ),
		'DJ' => __( 'Djibouti', 'wpjobster' ),
		'DM' => __( 'Dominica', 'wpjobster' ),
		'DO' => __( 'Dominican Republic', 'wpjobster' ),
		'TL' => __( 'East Timor', 'wpjobster' ),
		'EC' => __( 'Ecuador', 'wpjobster' ),
		'EG' => __( 'Egypt', 'wpjobster' ),
		'SV' => __( 'El Salvador', 'wpjobster' ),
		'GQ' => __( 'Equatorial Guinea', 'wpjobster' ),
		'ER' => __( 'Eritrea', 'wpjobster' ),
		'EE' => __( 'Estonia', 'wpjobster' ),
		'ET' => __( 'Ethiopia', 'wpjobster' ),
		'FK' => __( 'Falkland Islands', 'wpjobster' ),
		'FO' => __( 'Faroe Islands', 'wpjobster' ),
		'FJ' => __( 'Fiji', 'wpjobster' ),
		'FI' => __( 'Finland', 'wpjobster' ),
		'FR' => __( 'France', 'wpjobster' ),
		'GF' => __( 'French Guiana', 'wpjobster' ),
		'PF' => __( 'French Polynesia', 'wpjobster' ),
		'TF' => __( 'French Southern Territories', 'wpjobster' ),
		'GA' => __( 'Gabon', 'wpjobster' ),
		'GM' => __( 'Gambia', 'wpjobster' ),
		'GE' => __( 'Georgia', 'wpjobster' ),
		'DE' => __( 'Germany', 'wpjobster' ),
		'GH' => __( 'Ghana', 'wpjobster' ),
		'GI' => __( 'Gibraltar', 'wpjobster' ),
		'GR' => __( 'Greece', 'wpjobster' ),
		'GL' => __( 'Greenland', 'wpjobster' ),
		'GD' => __( 'Grenada', 'wpjobster' ),
		'GP' => __( 'Guadeloupe', 'wpjobster' ),
		'GU' => __( 'Guam', 'wpjobster' ),
		'GT' => __( 'Guatemala', 'wpjobster' ),
		'GG' => __( 'Guernsey', 'wpjobster' ),
		'GN' => __( 'Guinea', 'wpjobster' ),
		'GW' => __( 'Guinea-Bissau', 'wpjobster' ),
		'GY' => __( 'Guyana', 'wpjobster' ),
		'HT' => __( 'Haiti', 'wpjobster' ),
		'HM' => __( 'Heard Island and McDonald Islands', 'wpjobster' ),
		'HN' => __( 'Honduras', 'wpjobster' ),
		'HK' => __( 'Hong Kong', 'wpjobster' ),
		'HU' => __( 'Hungary', 'wpjobster' ),
		'IS' => __( 'Iceland', 'wpjobster' ),
		'IN' => __( 'India', 'wpjobster' ),
		'ID' => __( 'Indonesia', 'wpjobster' ),
		'IR' => __( 'Iran', 'wpjobster' ),
		'IQ' => __( 'Iraq', 'wpjobster' ),
		'IE' => __( 'Ireland', 'wpjobster' ),
		'IM' => __( 'Isle of Man', 'wpjobster' ),
		'IL' => __( 'Israel', 'wpjobster' ),
		'IT' => __( 'Italy', 'wpjobster' ),
		'CI' => __( 'Ivory Coast', 'wpjobster' ),
		'JM' => __( 'Jamaica', 'wpjobster' ),
		'JP' => __( 'Japan', 'wpjobster' ),
		'JE' => __( 'Jersey', 'wpjobster' ),
		'JO' => __( 'Jordan', 'wpjobster' ),
		'KZ' => __( 'Kazakhstan', 'wpjobster' ),
		'KE' => __( 'Kenya', 'wpjobster' ),
		'KI' => __( 'Kiribati', 'wpjobster' ),
		'XK' => __( 'Kosovo', 'wpjobster' ),
		'KW' => __( 'Kuwait', 'wpjobster' ),
		'KG' => __( 'Kyrgyzstan', 'wpjobster' ),
		'LA' => __( 'Laos', 'wpjobster' ),
		'LV' => __( 'Latvia', 'wpjobster' ),
		'LB' => __( 'Lebanon', 'wpjobster' ),
		'LS' => __( 'Lesotho', 'wpjobster' ),
		'LR' => __( 'Liberia', 'wpjobster' ),
		'LY' => __( 'Libya', 'wpjobster' ),
		'LI' => __( 'Liechtenstein', 'wpjobster' ),
		'LT' => __( 'Lithuania', 'wpjobster' ),
		'LU' => __( 'Luxembourg', 'wpjobster' ),
		'MO' => __( 'Macao', 'wpjobster' ),
		'MK' => __( 'Macedonia', 'wpjobster' ),
		'MG' => __( 'Madagascar', 'wpjobster' ),
		'MW' => __( 'Malawi', 'wpjobster' ),
		'MY' => __( 'Malaysia', 'wpjobster' ),
		'MV' => __( 'Maldives', 'wpjobster' ),
		'ML' => __( 'Mali', 'wpjobster' ),
		'MT' => __( 'Malta', 'wpjobster' ),
		'MH' => __( 'Marshall Islands', 'wpjobster' ),
		'MQ' => __( 'Martinique', 'wpjobster' ),
		'MR' => __( 'Mauritania', 'wpjobster' ),
		'MU' => __( 'Mauritius', 'wpjobster' ),
		'YT' => __( 'Mayotte', 'wpjobster' ),
		'MX' => __( 'Mexico', 'wpjobster' ),
		'FM' => __( 'Micronesia', 'wpjobster' ),
		'MD' => __( 'Moldova', 'wpjobster' ),
		'MC' => __( 'Monaco', 'wpjobster' ),
		'MN' => __( 'Mongolia', 'wpjobster' ),
		'ME' => __( 'Montenegro', 'wpjobster' ),
		'MS' => __( 'Montserrat', 'wpjobster' ),
		'MA' => __( 'Morocco', 'wpjobster' ),
		'MZ' => __( 'Mozambique', 'wpjobster' ),
		'MM' => __( 'Myanmar', 'wpjobster' ),
		'NA' => __( 'Namibia', 'wpjobster' ),
		'NR' => __( 'Nauru', 'wpjobster' ),
		'NP' => __( 'Nepal', 'wpjobster' ),
		'NL' => __( 'Netherlands', 'wpjobster' ),
		'NC' => __( 'New Caledonia', 'wpjobster' ),
		'NZ' => __( 'New Zealand', 'wpjobster' ),
		'NI' => __( 'Nicaragua', 'wpjobster' ),
		'NE' => __( 'Niger', 'wpjobster' ),
		'NG' => __( 'Nigeria', 'wpjobster' ),
		'NU' => __( 'Niue', 'wpjobster' ),
		'NF' => __( 'Norfolk Island', 'wpjobster' ),
		'KP' => __( 'North Korea', 'wpjobster' ),
		'MP' => __( 'Northern Mariana Islands', 'wpjobster' ),
		'NO' => __( 'Norway', 'wpjobster' ),
		'OM' => __( 'Oman', 'wpjobster' ),
		'PK' => __( 'Pakistan', 'wpjobster' ),
		'PW' => __( 'Palau', 'wpjobster' ),
		'PS' => __( 'Palestinian Territory', 'wpjobster' ),
		'PA' => __( 'Panama', 'wpjobster' ),
		'PG' => __( 'Papua New Guinea', 'wpjobster' ),
		'PY' => __( 'Paraguay', 'wpjobster' ),
		'PE' => __( 'Peru', 'wpjobster' ),
		'PH' => __( 'Philippines', 'wpjobster' ),
		'PN' => __( 'Pitcairn', 'wpjobster' ),
		'PL' => __( 'Poland', 'wpjobster' ),
		'PT' => __( 'Portugal', 'wpjobster' ),
		'PR' => __( 'Puerto Rico', 'wpjobster' ),
		'QA' => __( 'Qatar', 'wpjobster' ),
		'CG' => __( 'Republic of the Congo', 'wpjobster' ),
		'RE' => __( 'Reunion', 'wpjobster' ),
		'RO' => __( 'Romania', 'wpjobster' ),
		'RU' => __( 'Russia', 'wpjobster' ),
		'RW' => __( 'Rwanda', 'wpjobster' ),
		'BL' => __( 'Saint Barthelemy', 'wpjobster' ),
		'SH' => __( 'Saint Helena', 'wpjobster' ),
		'KN' => __( 'Saint Kitts and Nevis', 'wpjobster' ),
		'LC' => __( 'Saint Lucia', 'wpjobster' ),
		'MF' => __( 'Saint Martin', 'wpjobster' ),
		'PM' => __( 'Saint Pierre and Miquelon', 'wpjobster' ),
		'VC' => __( 'Saint Vincent and the Grenadines', 'wpjobster' ),
		'WS' => __( 'Samoa', 'wpjobster' ),
		'SM' => __( 'San Marino', 'wpjobster' ),
		'ST' => __( 'Sao Tome and Principe', 'wpjobster' ),
		'SA' => __( 'Saudi Arabia', 'wpjobster' ),
		'SN' => __( 'Senegal', 'wpjobster' ),
		'RS' => __( 'Serbia', 'wpjobster' ),
		'SC' => __( 'Seychelles', 'wpjobster' ),
		'SL' => __( 'Sierra Leone', 'wpjobster' ),
		'SG' => __( 'Singapore', 'wpjobster' ),
		'SX' => __( 'Sint Maarten', 'wpjobster' ),
		'SK' => __( 'Slovakia', 'wpjobster' ),
		'SI' => __( 'Slovenia', 'wpjobster' ),
		'SB' => __( 'Solomon Islands', 'wpjobster' ),
		'SO' => __( 'Somalia', 'wpjobster' ),
		'ZA' => __( 'South Africa', 'wpjobster' ),
		'GS' => __( 'South Georgia and the South Sandwich Islands', 'wpjobster' ),
		'KR' => __( 'South Korea', 'wpjobster' ),
		'SS' => __( 'South Sudan', 'wpjobster' ),
		'ES' => __( 'Spain', 'wpjobster' ),
		'LK' => __( 'Sri Lanka', 'wpjobster' ),
		'SD' => __( 'Sudan', 'wpjobster' ),
		'SR' => __( 'Suriname', 'wpjobster' ),
		'SJ' => __( 'Svalbard and Jan Mayen', 'wpjobster' ),
		'SZ' => __( 'Swaziland', 'wpjobster' ),
		'SE' => __( 'Sweden', 'wpjobster' ),
		'CH' => __( 'Switzerland', 'wpjobster' ),
		'SY' => __( 'Syria', 'wpjobster' ),
		'TW' => __( 'Taiwan', 'wpjobster' ),
		'TJ' => __( 'Tajikistan', 'wpjobster' ),
		'TZ' => __( 'Tanzania', 'wpjobster' ),
		'TH' => __( 'Thailand', 'wpjobster' ),
		'TG' => __( 'Togo', 'wpjobster' ),
		'TK' => __( 'Tokelau', 'wpjobster' ),
		'TO' => __( 'Tonga', 'wpjobster' ),
		'TT' => __( 'Trinidad and Tobago', 'wpjobster' ),
		'TN' => __( 'Tunisia', 'wpjobster' ),
		'TR' => __( 'Turkey', 'wpjobster' ),
		'TM' => __( 'Turkmenistan', 'wpjobster' ),
		'TC' => __( 'Turks and Caicos Islands', 'wpjobster' ),
		'TV' => __( 'Tuvalu', 'wpjobster' ),
		'VI' => __( 'U.S. Virgin Islands', 'wpjobster' ),
		'UG' => __( 'Uganda', 'wpjobster' ),
		'UA' => __( 'Ukraine', 'wpjobster' ),
		'AE' => __( 'United Arab Emirates', 'wpjobster' ),
		'GB' => __( 'United Kingdom', 'wpjobster' ),
		'US' => __( 'United States', 'wpjobster' ),
		'UM' => __( 'United States Minor Outlying Islands', 'wpjobster' ),
		'UY' => __( 'Uruguay', 'wpjobster' ),
		'UZ' => __( 'Uzbekistan', 'wpjobster' ),
		'VU' => __( 'Vanuatu', 'wpjobster' ),
		'VA' => __( 'Vatican', 'wpjobster' ),
		'VE' => __( 'Venezuela', 'wpjobster' ),
		'VN' => __( 'Vietnam', 'wpjobster' ),
		'WF' => __( 'Wallis and Futuna', 'wpjobster' ),
		'EH' => __( 'Western Sahara', 'wpjobster' ),
		'YE' => __( 'Yemen', 'wpjobster' ),
		'ZM' => __( 'Zambia', 'wpjobster' ),
		'ZW' => __( 'Zimbabwe', 'wpjobster' )
	);

	if ( $code && $code != '-' ) {
		return $country_names[$code];
	} else {
		return apply_filters( 'wpj_countries_list_filter', $country_names );
	}
}

function get_all_languages( $code = "" ) {
	$language_codes = array(
		'' => '-' ,
		'en' => __( 'English' , 'wpjobster' ),
		'aa' => __( 'Afar' , 'wpjobster' ),
		'ab' => __( 'Abkhazian' , 'wpjobster' ),
		'af' => __( 'Afrikaans' , 'wpjobster' ),
		'am' => __( 'Amharic' , 'wpjobster' ),
		'ar' => __( 'Arabic' , 'wpjobster' ),
		'as' => __( 'Assamese' , 'wpjobster' ),
		'ay' => __( 'Aymara' , 'wpjobster' ),
		'az' => __( 'Azerbaijani' , 'wpjobster' ),
		'ba' => __( 'Bashkir' , 'wpjobster' ),
		'be' => __( 'Byelorussian' , 'wpjobster' ),
		'bg' => __( 'Bulgarian' , 'wpjobster' ),
		'bh' => __( 'Bihari' , 'wpjobster' ),
		'bi' => __( 'Bislama' , 'wpjobster' ),
		'bn' => __( 'Bengali/Bangla' , 'wpjobster' ),
		'bo' => __( 'Tibetan' , 'wpjobster' ),
		'br' => __( 'Breton' , 'wpjobster' ),
		'ca' => __( 'Catalan' , 'wpjobster' ),
		'co' => __( 'Corsican' , 'wpjobster' ),
		'cs' => __( 'Czech' , 'wpjobster' ),
		'cy' => __( 'Welsh' , 'wpjobster' ),
		'da' => __( 'Danish' , 'wpjobster' ),
		'de' => __( 'German' , 'wpjobster' ),
		'dz' => __( 'Bhutani' , 'wpjobster' ),
		'el' => __( 'Greek' , 'wpjobster' ),
		'eo' => __( 'Esperanto' , 'wpjobster' ),
		'es' => __( 'Spanish' , 'wpjobster' ),
		'et' => __( 'Estonian' , 'wpjobster' ),
		'eu' => __( 'Basque' , 'wpjobster' ),
		'fa' => __( 'Persian' , 'wpjobster' ),
		'fi' => __( 'Finnish' , 'wpjobster' ),
		'fj' => __( 'Fiji' , 'wpjobster' ),
		'fo' => __( 'Faeroese' , 'wpjobster' ),
		'fr' => __( 'French' , 'wpjobster' ),
		'fy' => __( 'Frisian' , 'wpjobster' ),
		'ga' => __( 'Irish' , 'wpjobster' ),
		'gd' => __( 'Scots/Gaelic' , 'wpjobster' ),
		'gl' => __( 'Galician' , 'wpjobster' ),
		'gn' => __( 'Guarani' , 'wpjobster' ),
		'gu' => __( 'Gujarati' , 'wpjobster' ),
		'ha' => __( 'Hausa' , 'wpjobster' ),
		'hi' => __( 'Hindi' , 'wpjobster' ),
		'hr' => __( 'Croatian' , 'wpjobster' ),
		'hu' => __( 'Hungarian' , 'wpjobster' ),
		'hy' => __( 'Armenian' , 'wpjobster' ),
		'ia' => __( 'Interlingua' , 'wpjobster' ),
		'ie' => __( 'Interlingue' , 'wpjobster' ),
		'ik' => __( 'Inupiak' , 'wpjobster' ),
		'in' => __( 'Indonesian' , 'wpjobster' ),
		'is' => __( 'Icelandic' , 'wpjobster' ),
		'it' => __( 'Italian' , 'wpjobster' ),
		'iw' => __( 'Hebrew' , 'wpjobster' ),
		'ja' => __( 'Japanese' , 'wpjobster' ),
		'ji' => __( 'Yiddish' , 'wpjobster' ),
		'jw' => __( 'Javanese' , 'wpjobster' ),
		'ka' => __( 'Georgian' , 'wpjobster' ),
		'kk' => __( 'Kazakh' , 'wpjobster' ),
		'kl' => __( 'Greenlandic' , 'wpjobster' ),
		'km' => __( 'Cambodian' , 'wpjobster' ),
		'kn' => __( 'Kannada' , 'wpjobster' ),
		'ko' => __( 'Korean' , 'wpjobster' ),
		'ks' => __( 'Kashmiri' , 'wpjobster' ),
		'ku' => __( 'Kurdish' , 'wpjobster' ),
		'ky' => __( 'Kirghiz' , 'wpjobster' ),
		'la' => __( 'Latin' , 'wpjobster' ),
		'ln' => __( 'Lingala' , 'wpjobster' ),
		'lo' => __( 'Laothian' , 'wpjobster' ),
		'lt' => __( 'Lithuanian' , 'wpjobster' ),
		'lv' => __( 'Latvian/Lettish' , 'wpjobster' ),
		'mg' => __( 'Malagasy' , 'wpjobster' ),
		'mi' => __( 'Maori' , 'wpjobster' ),
		'mk' => __( 'Macedonian' , 'wpjobster' ),
		'ml' => __( 'Malayalam' , 'wpjobster' ),
		'mn' => __( 'Mongolian' , 'wpjobster' ),
		'mo' => __( 'Moldavian' , 'wpjobster' ),
		'mr' => __( 'Marathi' , 'wpjobster' ),
		'ms' => __( 'Malay' , 'wpjobster' ),
		'mt' => __( 'Maltese' , 'wpjobster' ),
		'my' => __( 'Burmese' , 'wpjobster' ),
		'na' => __( 'Nauru' , 'wpjobster' ),
		'ne' => __( 'Nepali' , 'wpjobster' ),
		'nl' => __( 'Dutch' , 'wpjobster' ),
		'no' => __( 'Norwegian' , 'wpjobster' ),
		'oc' => __( 'Occitan' , 'wpjobster' ),
		'om' => __( '(Afan)/Oromoor/Oriya' , 'wpjobster' ),
		'pa' => __( 'Punjabi' , 'wpjobster' ),
		'pl' => __( 'Polish' , 'wpjobster' ),
		'ps' => __( 'Pashto/Pushto' , 'wpjobster' ),
		'pt' => __( 'Portuguese' , 'wpjobster' ),
		'qu' => __( 'Quechua' , 'wpjobster' ),
		'rm' => __( 'Rhaeto-Romance' , 'wpjobster' ),
		'rn' => __( 'Kirundi' , 'wpjobster' ),
		'ro' => __( 'Romanian' , 'wpjobster' ),
		'ru' => __( 'Russian' , 'wpjobster' ),
		'rw' => __( 'Kinyarwanda' , 'wpjobster' ),
		'sa' => __( 'Sanskrit' , 'wpjobster' ),
		'sd' => __( 'Sindhi' , 'wpjobster' ),
		'sg' => __( 'Sangro' , 'wpjobster' ),
		'sh' => __( 'Serbo-Croatian' , 'wpjobster' ),
		'si' => __( 'Singhalese' , 'wpjobster' ),
		'sk' => __( 'Slovak' , 'wpjobster' ),
		'sl' => __( 'Slovenian' , 'wpjobster' ),
		'sm' => __( 'Samoan' , 'wpjobster' ),
		'sn' => __( 'Shona' , 'wpjobster' ),
		'so' => __( 'Somali' , 'wpjobster' ),
		'sq' => __( 'Albanian' , 'wpjobster' ),
		'sr' => __( 'Serbian' , 'wpjobster' ),
		'ss' => __( 'Siswati' , 'wpjobster' ),
		'st' => __( 'Sesotho' , 'wpjobster' ),
		'su' => __( 'Sundanese' , 'wpjobster' ),
		'sv' => __( 'Swedish' , 'wpjobster' ),
		'sw' => __( 'Swahili' , 'wpjobster' ),
		'ta' => __( 'Tamil' , 'wpjobster' ),
		'te' => __( 'Tegulu' , 'wpjobster' ),
		'tg' => __( 'Tajik' , 'wpjobster' ),
		'th' => __( 'Thai' , 'wpjobster' ),
		'ti' => __( 'Tigrinya' , 'wpjobster' ),
		'tk' => __( 'Turkmen' , 'wpjobster' ),
		'tl' => __( 'Tagalog' , 'wpjobster' ),
		'tn' => __( 'Setswana' , 'wpjobster' ),
		'to' => __( 'Tonga' , 'wpjobster' ),
		'tr' => __( 'Turkish' , 'wpjobster' ),
		'ts' => __( 'Tsonga' , 'wpjobster' ),
		'tt' => __( 'Tatar' , 'wpjobster' ),
		'tw' => __( 'Twi' , 'wpjobster' ),
		'uk' => __( 'Ukrainian' , 'wpjobster' ),
		'ur' => __( 'Urdu' , 'wpjobster' ),
		'uz' => __( 'Uzbek' , 'wpjobster' ),
		'vi' => __( 'Vietnamese' , 'wpjobster' ),
		'vo' => __( 'Volapuk' , 'wpjobster' ),
		'wo' => __( 'Wolof' , 'wpjobster' ),
		'xh' => __( 'Xhosa' , 'wpjobster' ),
		'yo' => __( 'Yoruba' , 'wpjobster' ),
		'zh' => __( 'Chinese' , 'wpjobster' ),
		'zu' => __( 'Zulu' , 'wpjobster' )
	);

	$language_codes = apply_filters( 'wpj_languages_list_filter', $language_codes );

	if ( $code ) {
		return $language_codes[$code];
	} else {
		return $language_codes;
	}
}

function get_all_phone_prefixes( $code = "" ) {
	$phone_prefixes = array(
		"BD" => "880",
		"BE" => "32",
		"BF" => "226",
		"BG" => "359",
		"BA" => "387",
		"BB" => "+1-246",
		"WF" => "681",
		"BL" => "590",
		"BM" => "+1-441",
		"BN" => "673",
		"BO" => "591",
		"BH" => "973",
		"BI" => "257",
		"BJ" => "229",
		"BT" => "975",
		"JM" => "+1-876",
		"BV" => "",
		"BW" => "267",
		"WS" => "685",
		"BQ" => "599",
		"BR" => "55",
		"BS" => "+1-242",
		"JE" => "+44-1534",
		"BY" => "375",
		"BZ" => "501",
		"RU" => "7",
		"RW" => "250",
		"RS" => "381",
		"TL" => "670",
		"RE" => "262",
		"TM" => "993",
		"TJ" => "992",
		"RO" => "40",
		"TK" => "690",
		"GW" => "245",
		"GU" => "+1-671",
		"GT" => "502",
		"GS" => "",
		"GR" => "30",
		"GQ" => "240",
		"GP" => "590",
		"JP" => "81",
		"GY" => "592",
		"GG" => "+44-1481",
		"GF" => "594",
		"GE" => "995",
		"GD" => "+1-473",
		"GB" => "44",
		"GA" => "241",
		"SV" => "503",
		"GN" => "224",
		"GM" => "220",
		"GL" => "299",
		"GI" => "350",
		"GH" => "233",
		"OM" => "968",
		"TN" => "216",
		"JO" => "962",
		"HR" => "385",
		"HT" => "509",
		"HU" => "36",
		"HK" => "852",
		"HN" => "504",
		"HM" => " ",
		"VE" => "58",
		"PR" => "+1-787 and 1-939",
		"PS" => "970",
		"PW" => "680",
		"PT" => "351",
		"SJ" => "47",
		"PY" => "595",
		"IQ" => "964",
		"PA" => "507",
		"PF" => "689",
		"PG" => "675",
		"PE" => "51",
		"PK" => "92",
		"PH" => "63",
		"PN" => "870",
		"PL" => "48",
		"PM" => "508",
		"ZM" => "260",
		"EH" => "212",
		"EE" => "372",
		"EG" => "20",
		"ZA" => "27",
		"EC" => "593",
		"IT" => "39",
		"VN" => "84",
		"SB" => "677",
		"ET" => "251",
		"SO" => "252",
		"ZW" => "263",
		"SA" => "966",
		"ES" => "34",
		"ER" => "291",
		"ME" => "382",
		"MD" => "373",
		"MG" => "261",
		"MF" => "590",
		"MA" => "212",
		"MC" => "377",
		"UZ" => "998",
		"MM" => "95",
		"ML" => "223",
		"MO" => "853",
		"MN" => "976",
		"MH" => "692",
		"MK" => "389",
		"MU" => "230",
		"MT" => "356",
		"MW" => "265",
		"MV" => "960",
		"MQ" => "596",
		"MP" => "+1-670",
		"MS" => "+1-664",
		"MR" => "222",
		"IM" => "+44-1624",
		"UG" => "256",
		"TZ" => "255",
		"MY" => "60",
		"MX" => "52",
		"IL" => "972",
		"FR" => "33",
		"IO" => "246",
		"SH" => "290",
		"FI" => "358",
		"FJ" => "679",
		"FK" => "500",
		"FM" => "691",
		"FO" => "298",
		"NI" => "505",
		"NL" => "31",
		"NO" => "47",
		"NA" => "264",
		"VU" => "678",
		"NC" => "687",
		"NE" => "227",
		"NF" => "672",
		"NG" => "234",
		"NZ" => "64",
		"NP" => "977",
		"NR" => "674",
		"NU" => "683",
		"CK" => "682",
		"XK" => "",
		"CI" => "225",
		"CH" => "41",
		"CO" => "57",
		"CN" => "86",
		"CM" => "237",
		"CL" => "56",
		"CC" => "61",
		"CA" => "1",
		"CG" => "242",
		"CF" => "236",
		"CD" => "243",
		"CZ" => "420",
		"CY" => "357",
		"CX" => "61",
		"CR" => "506",
		"CW" => "599",
		"CV" => "238",
		"CU" => "53",
		"SZ" => "268",
		"SY" => "963",
		"SX" => "599",
		"KG" => "996",
		"KE" => "254",
		"SS" => "211",
		"SR" => "597",
		"KI" => "686",
		"KH" => "855",
		"KN" => "+1-869",
		"KM" => "269",
		"ST" => "239",
		"SK" => "421",
		"KR" => "82",
		"SI" => "386",
		"KP" => "850",
		"KW" => "965",
		"SN" => "221",
		"SM" => "378",
		"SL" => "232",
		"SC" => "248",
		"KZ" => "7",
		"KY" => "+1-345",
		"SG" => "65",
		"SE" => "46",
		"SD" => "249",
		"DO" => "+1-809 and 1-829",
		"DM" => "+1-767",
		"DJ" => "253",
		"DK" => "45",
		"VG" => "+1-284",
		"DE" => "49",
		"YE" => "967",
		"DZ" => "213",
		"US" => "1",
		"UY" => "598",
		"YT" => "262",
		"UM" => "1",
		"LB" => "961",
		"LC" => "+1-758",
		"LA" => "856",
		"TV" => "688",
		"TW" => "886",
		"TT" => "+1-868",
		"TR" => "90",
		"LK" => "94",
		"LI" => "423",
		"LV" => "371",
		"TO" => "676",
		"LT" => "370",
		"LU" => "352",
		"LR" => "231",
		"LS" => "266",
		"TH" => "66",
		"TF" => "",
		"TG" => "228",
		"TD" => "235",
		"TC" => "+1-649",
		"LY" => "218",
		"VA" => "379",
		"VC" => "+1-784",
		"AE" => "971",
		"AD" => "376",
		"AG" => "+1-268",
		"AF" => "93",
		"AI" => "+1-264",
		"VI" => "+1-340",
		"IS" => "354",
		"IR" => "98",
		"AM" => "374",
		"AL" => "355",
		"AO" => "244",
		"AQ" => "",
		"AS" => "+1-684",
		"AR" => "54",
		"AU" => "61",
		"AT" => "43",
		"AW" => "297",
		"IN" => "91",
		"AX" => "+358-18",
		"AZ" => "994",
		"IE" => "353",
		"ID" => "62",
		"UA" => "380",
		"QA" => "974",
		"MZ" => "258"
	);

	if ( $code ) {
		return $phone_prefixes[$code];
	} else {
		return apply_filters( 'wpj_phone_prefixes_list_filter', $phone_prefixes );
	}
}

function get_preferred_languages( $code = "" ) {
	$preferred_languages_array = array();

	for ( $i = 1; $i <= 10; $i++ ) {
		$wpjobster_language_x = trim( get_option( 'wpjobster_language_' . $i ) );

		if ( $wpjobster_language_x ) {
			$preferred_languages_array[$wpjobster_language_x] = get_all_languages( $wpjobster_language_x );
		}
	}

	if ( $code ) {
		return $preferred_languages_array[$code];
	} else {
		return apply_filters( 'wpj_preferred_languages_list_filter', $preferred_languages_array );
	}
}
