<?php
if ( ! function_exists( 'wpj_date' ) ) {
	function wpj_date( $format = null, $timestamp = null, $timezone = null ) {

		if ( ! $timezone ) {
			$timezone = new DateTimeZone( wpjobster_timezone_change() );
		}

		if ( empty( $format ) ) {
			$date_format = get_option( 'date_format' ) ? get_option( 'date_format' ) : 'd-m-Y';
			$time_format = get_option( 'time_format' ) ? get_option( 'time_format' ) : 'H:i:s';
			$format = $date_format . ' ' . $time_format;
		}

		if ( version_compare( get_bloginfo( 'version' ), '5.3', '<' ) ) {
			return date_i18n( $format, $timestamp, $timezone );
		} else {
			return wp_date( $format, $timestamp, $timezone );
		}
	}
}

function wpj_time_or_date_format( $timestamp ) {

	$time_diff = time() - $timestamp;

	if ( $time_diff >= 0 && $time_diff < 86400 ) {
		$format = get_option( 'time_format' ) ? get_option( 'time_format' ) : 'H:i:s';
	} else {
		$format = get_option( 'date_format' ) ? get_option( 'date_format' ) : 'd-m-Y';
	}

	return $format;
}
