<?php
function wpj_get_my_account_link() {
	return get_permalink( get_option( 'wpjobster_my_account_page_id' ) );
}

function wpj_get_new_job_link() {
	return get_permalink( get_option( 'wpjobster_post_new_page_id' ) );
}

function wpj_get_new_request_link() {
	return get_permalink( get_option( 'wpjobster_new_request_page_id' ) );
}

function wpj_get_user_profile_link( $user = false ) {
	$user_profile_page_id = get_option( 'wpjobster_user_profile_page_id' );

	if ( $user === false ) {
		return get_permalink( $user_profile_page_id );

	} elseif ( is_object( $user ) ) {
		$userdata   = $user;
		$user_login = $userdata->user_login;

	} elseif ( is_numeric( $user ) ) {
		$userdata   = get_userdata( $user );
		$user_login = $userdata->user_login;

	} elseif ( is_string( $user ) ) {
		$user_login = $user;

	} else {
		return false;

	}

	return get_permalink( $user_profile_page_id ) . $user_login . '/';
}

function wpj_get_my_sales_link() {
	$using_perm = wpjobster_using_permalinks();

	if ( $using_perm ) {
		return get_permalink( get_option( 'wpjobster_my_account_sales_page_id' ) );
	} else {
		return get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_sales_page_id' ) . "&";
	}
}

function wpj_get_my_shopping_link() {
	$using_perm = wpjobster_using_permalinks();

	if ( $using_perm ) {
		return get_permalink( get_option( 'wpjobster_my_account_shopping_page_id' ) );
	} else {
		return get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_shopping_page_id' ) . "&";
	}
}

function wpj_get_order_link( $oid ) {
	return get_bloginfo( 'url' ) . "/?jb_action=chat_box&oid=" . $oid;
}

function wpj_get_pm_link( $user ) {
	$using_perm = wpjobster_using_permalinks();

	$pm_page_id = get_option( 'wpjobster_my_account_priv_mess_page_id' );

	if ( is_object( $user ) ) {
		$userdata = $user;
		$username = $userdata->user_login;
	} elseif ( is_int( $user ) ) {
		$userdata = get_userdata( $user );
		$username = $userdata->user_login;
	} elseif ( is_string( $user ) ) {
		$username = $user;
	} else {
		return get_permalink( $pm_page_id );
	}

	if ( $using_perm ) {
		return get_permalink( $pm_page_id ) . '?username=' . $username;
	} else {
		return get_bloginfo( 'url' ) . "/?page_id=" . $pm_page_id . "&username=" . $username;
	}
}

function wpj_get_payment_link() {
	$using_perm = wpjobster_using_permalinks();

	if ( $using_perm ) {
		return get_permalink( get_option( 'wpjobster_my_account_payments_page_id' ) );
	} else {
		return get_bloginfo( 'url' ) . "?page_id=" . get_option( 'wpjobster_my_account_payments_page_id' ) . "&";
	}
}

function wpj_get_admin_order_link( $payment_type = '' ) {
	if ( $payment_type == 'topup' ) {
		$admin_orders_url = get_admin_url() . 'admin.php?page=order-stats&active_tab=topup';
	} elseif ( $payment_type == 'feature' ) {
		$admin_orders_url = get_admin_url() . 'admin.php?page=order-stats&active_tab=featured';
	} elseif ( $payment_type == 'custom_extra' ) {
		$admin_orders_url = get_admin_url() . 'admin.php?page=order-stats&active_tab=custom-extra';
	} elseif ( $payment_type == 'tips' ) {
		$admin_orders_url = get_admin_url() . 'admin.php?page=order-stats&active_tab=tips';
	} else {
		$admin_orders_url = get_admin_url() . 'admin.php?page=order-stats';
	}

	return $admin_orders_url;
}

function wpj_get_subscription_link() {
	return get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) );
}

function wpj_get_order_link_by_payment_type( $payment_type, $id, $status = false, $message = false ) {
	if ( $payment_type == 'feature' ) {
		$status = $status ? '&status=' . $status : '';
		$message = $message ? '&message=' . $message : '';
		return get_bloginfo( 'url' ) . "/?jb_action=feature_job&jobid=" . $id . $status . $message;
	} elseif ( $payment_type == 'topup' ) {
		return get_bloginfo( 'url' ) . "/?jb_action=show_bank_details&oid={$id}&payment_type=topup";
	} elseif ( $payment_type == 'job_purchase' || $payment_type == 'custom_extra' || $payment_type == 'tips' ) {
		return wpj_get_order_link( $id );
	} elseif ( $payment_type == 'subscription' ) {
		return get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) . '?sub_action=details&thankyou=1&message_code=success';
	}
}