<?php
// Get menu object by location
function wpj_get_menu_by_location( $location ) {

	$ret_menu = array();

	$locations = get_nav_menu_locations(); // get all locations
	if ( isset( $locations[$location] ) ) {
		$object    = wp_get_nav_menu_object( $locations[$location] ); // get object id by location
		$main_menu = isset( $object->name ) ? wp_get_nav_menu_items( $object->name ) : ''; // get menu items by menu name

		if ( $main_menu ) { $i = 0; $ord = 9;
			foreach ( $main_menu as $index => $item ) {
				if ( $item->menu_item_parent != 0 ) {
					foreach ( $main_menu as $index2 => $item2 ) {
						if ( $item2->ID == $item->menu_item_parent ) {
							$main_menu[$index2]->has_child = true;

							if ( ! isset( $main_menu[$index2]->children ) ) {
								$main_menu[$index2]->children = array();
							}
							$main_menu[$index2]->children[] = $item;
						}
					}
					unset( $main_menu[$index] );
				}
			}

			foreach ( $main_menu as $key => $val ) {
				$classes = '';
				if ( ! empty( $val->classes ) ) { foreach ( $val->classes as $key => $class ) { $classes .= $class . ' '; } }

				$ret_menu[$i] = array(
					'id'      => $val->ID,
					'label'   => $val->title,
					'url'     => $val->url,
					'childs'  => array(),
					'classes' => trim( $classes ),
					'order'   => $ord . 'a',
				);

				if ( $val->has_child == 1 ) { $ord_child = 1;
					foreach ( $val->children as $key2 => $val2 ) {

						$child_classes = '';
						if ( ! empty( $val2->classes ) ) { foreach ( $val2->classes as $key3 => $class_ch ) { $child_classes .= $class_ch . ' '; } }

						$ret_menu[$i]['childs'][] = array(
							'id'      => $val2->ID,
							'label'   => $val2->title,
							'url'     => $val2->url,
							'classes' => trim( $child_classes ),
							'order'   => $ord_child . 'a'
						); $ord_child++;
					}
				}

				$i++; $ord++;
			}
		}
	}


	$ret_menu = apply_filters( 'wp_nav_menu_args', $ret_menu );
	$ret_menu = apply_filters( 'wpj_' . $location . '_filter', $ret_menu );

	return $ret_menu;
}

function wpjobster_get_menu_id_by_slug( $menu ){
	$menu_object = wp_get_nav_menu_object( $menu );
	return $menu_object->term_id;
}

function wpjobster_get_menu_id_by_location( $location ) {
	$locations = get_nav_menu_locations();
	if ( in_array( $location, $locations ) ) {
		$menu_id = $locations[ $location ];
		return $menu_id;
	} else {
		return false;
	}
}

// Sort menu
if ( ! function_exists( 'wpjobster_sort_menu' ) ) {
	function wpjobster_sort_menu( $array, $order ) {
		if ( strtolower( $order ) == strtolower( 'asc' ) ) {

			usort( $array, function ( $item1, $item2 ) {
				return $item1['order'] < $item2['order'];
			});

		} else {

			usort( $array, function ( $item1, $item2 ) {
				return $item1['order'] > $item2['order'];
			});

		}

		return $array;
	}
}

function wpj_is_jb_page_allowed_in_menu() {
	$allowed_jb = array( 'chat_box', 'purchase_this', 'feature_job', 'badges' );
	$allowed_jb = apply_filters( 'wpj_jb_pages_menu_filter', $allowed_jb );

	return isset ( $_GET['jb_action'] ) && in_array( $_GET['jb_action'], $allowed_jb ) ? 1 : 0;
}
