<?php
function wpjobster_get_job_rating( $pid ) {
	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT DISTINCT ratings.grade, ratings.id ratid
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID = orders.pid
		AND ( posts.ID = {$pid}
			OR ratings.pid IN (
				SELECT custom_offer
				FROM {$wpdb->prefix}job_pm pm, {$wpdb->prefix}job_ratings jr
				WHERE associate_job_id = {$pid}
				AND custom_offer = jr.pid
			)
		)
		AND ratings.awarded = '1'
		AND orders.id = ratings.orderid
	" );

	$good = 0;
	foreach ( $r as $row ) { $good += $row->grade; }

	$total = count( $r );
	if ( $total == 0 ) return 0;

	$prc = round( $good / $total, 2 );
	$xx  = round( ( 100 * $prc ) / 5 );

	return $xx;
}

function wpjobster_get_job_ratings_number( $pid ) {
	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT DISTINCT ratings.grade, ratings.id ratid
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID = orders.pid
		AND ( posts.ID = {$pid}
			OR ratings.pid IN (
				SELECT custom_offer
				FROM {$wpdb->prefix}job_pm pm, {$wpdb->prefix}job_ratings jr
				WHERE associate_job_id = {$pid}
				AND custom_offer = jr.pid
			)
		)
		AND ratings.awarded = '1'
		AND orders.id = ratings.orderid
	" );

	return count( $r );
}

function wpjobster_get_job_avg_rating( $pid ) {
	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT AVG(ratings.grade)
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID = orders.pid
		AND ( posts.ID = {$pid}
			OR ratings.pid IN (
				SELECT custom_offer
				FROM {$wpdb->prefix}job_pm pm, {$wpdb->prefix}job_ratings jr
				WHERE associate_job_id = {$pid}
				AND custom_offer = jr.pid
			)
		)
		AND ratings.awarded = '1'
		AND orders.id = ratings.orderid
	" );

	$rating = $r[0]->{'AVG(ratings.grade)'};

	return $rating;
}

function wpj_get_user_rating( $uid = '' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	$rtg = wpjobster_get_seller_rating( $uid );
	$ratinggrade = $rtg / 20;

	$rating_count = get_option( 'wpjobster_user_min_rating' );
	$rating_count = $rating_count && is_numeric( $rating_count ) ? $rating_count : 3;

	if ( $ratinggrade != 0 ) {
		if ( wpjobster_get_seller_ratings_number( $uid ) >= $rating_count ) {
			$rating = wpjobster_show_big_stars_our_of_number( $ratinggrade );
		} else {
			$rating = __( "Not enough ratings", "wpjobster" );
		}
	} else {
		$rating = __( 'Not rated yet', 'wpjobster' );
	}

	$rating = apply_filters( 'wpj_user_rating_filter', $rating, $uid );

	return $rating;

}

function wpjobster_get_seller_avg_rating( $uid ) {
	global $wpdb;

	$r = $wpdb->get_results( "SELECT AVG(ratings.grade) FROM {$wpdb->prefix}job_ratings ratings WHERE awarded = 1 AND ratings.uid = '{$uid}'" );
	$rating = $r[0]->{'AVG(ratings.grade)'};

	$rating = apply_filters( 'wpj_user_avg_rating_filter', $rating, $uid );

	return ( float )$rating;
}

function wpjobster_get_seller_rating( $uid ) {
	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT DISTINCT ratings.grade, ratings.id ratid
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID = orders.pid
			AND ratings.awarded = '1'
			AND orders.id = ratings.orderid
			AND posts.post_author = '{$uid}'
	" );

	$good = 0;
	foreach ( $r as $row ) { $good += $row->grade; }

	$total = count( $r );
	if ( $total == 0 ) return 0;

	$prc = round( $good / $total, 2 );
	$xx  = round( ( 100 * $prc ) / 5 );

	return $xx;
}

function wpjobster_get_seller_ratings_number( $uid ) {
	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT DISTINCT ratings.grade, ratings.id ratid
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID = orders.pid
			AND ratings.awarded = '1'
			AND orders.id = ratings.orderid
			AND posts.post_author = '{$uid}'
	" );

	$rating = apply_filters( 'wpj_user_rating_number_filter', count( $r ), $uid );

	return $rating;
}