<?php
function wpj_get_user_requests( $uid = '', $order_status = 'active', $return = 'count' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	if ( $order_status ) {
		if ( $order_status == 'active' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'request',
				'post_status'    => array( 'publish' ),
				'meta_query'     => array(
					array(
						'key'     => 'active',
						'value'   => '1',
						'compare' => '='
					)
				)
			);

		} elseif ( $order_status == 'inactive' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'request',
				'post_status'    => array( 'publish' ),
				'meta_query'     => array(
					array(
						'key'     => 'active',
						'value'   => '0',
						'compare' => '='
					)
				)
			);

		} elseif ( $order_status == 'rejected' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'request',
				'post_status'    => array( 'pending' )
			);

		} elseif ( $order_status == 'in_review' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'request',
				'post_status'    => array( 'draft' )
			);

		} elseif ( $order_status == 'assigned' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'request',
				'post_status'    => array( 'publish' ),
				'meta_query'     => array(
					'relation' => 'AND',
					array(
						'key'     => 'assigned',
						'value'   => '1',
						'compare' => '='
					)
				)
			);

		} elseif ( $order_status == 'completed' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'request',
				'post_status'    => array( 'publish' ),
				'meta_query'     => array(
					array(
						'key'     => 'completed',
						'value'   => '1',
						'compare' => '='
					)
				)
			);

		}

		if ( $uid ) {
			$args['author'] = $uid;
		}

		if ( isset( $args ) ) {
			$result = new WP_Query( $args );

			if ( $return == 'query' ) {
				return apply_filters( 'wpj_user_requests_' . $order_status . '_query_filter', $args );
			}

			if ( $return == 'result' ) {
				return apply_filters( 'wpj_user_requests_' . $order_status . '_result_filter', $result );
			}

			if ( $return == 'count' ) {
				return apply_filters( 'wpj_user_requests_' . $order_status . '_count_filter', $result->post_count );
			}
		}
	}

	return 0;
}

function wpj_get_user_offers_received_count( $rid = '', $uid = '' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT * FROM (
			SELECT * FROM {$wpdb->prefix}job_pm
			WHERE associate_request_id = '{$rid}'
			AND (
				( user = '{$uid}' AND show_to_destination = '1' ) OR ( initiator = '{$uid}' AND show_to_source = '1')
			)
			ORDER BY datemade DESC
		) AS t1
		ORDER BY datemade ASC
	" );

	return count( $r );
}

function wpj_get_user_proposals( $uid = '', $proposal_type = 'send', $return = 'count' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	if ( $proposal_type ) {
		if ( $proposal_type == 'send' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'offer',
				'author'         => get_current_user_id(),
				'post_status'    => array( 'publish' )
			);

			$result = new WPJ_Load_More_Posts( $args + array( 'function_name' => 'wpj_user_proposals_list_function', 'container_class' => 'all-requests-page', 'params' => 'send' ) );

		} elseif ( $proposal_type == 'received' ) {

			$args = array(
				'posts_per_page' => '-1',
				'post_type'      => 'offer',
				'post_status'    => array( 'publish' ),
				'meta_query'     => array(
					array(
						'key'     => 'offer_buyer',
						'value'   => get_current_user_id(),
						'compare' => '='
					)
				)
			);

			$result = new WPJ_Load_More_Posts( $args + array( 'function_name' => 'wpj_user_proposals_list_function', 'container_class' => 'all-requests-page', 'params' => 'received' ) );

		}

		if ( isset( $args ) ) {

			if ( $return == 'query' ) {
				return apply_filters( 'wpj_user_proposals_' . $proposal_type . '_query_filter', $args );
			}

			if ( $return == 'result' ) {
				return apply_filters( 'wpj_user_proposals_' . $proposal_type . '_result_filter', $result );
			}

			if ( $return == 'count' ) {
				$result_cnt = new WP_Query( $args );
				return apply_filters( 'wpj_user_proposals_' . $proposal_type . '_count_filter', $result_cnt->post_count );
			}
		}
	}

	return 0;
}