<?php
/**
 * WPJobster Engine Room.
 * This is where all Theme Functions runs.
 *
 * @package wpjobster
 */

// Setup
include_once get_template_directory() . '/includes/functions/functions-setup.php';

// Plugins //
include_once get_template_directory() . '/plugins/plugins.php';

// Mobile Detect // (needs to load before functions-helpers.php or mobile-helper-functions.php)
if ( ! class_exists( 'Mobile_Detect' ) ) {
	include_once get_template_directory() . '/vendor/Mobile-Detect/Mobile_Detect.php';
}

// TGMPA //
include_once get_template_directory() . '/vendor/tgmpa/class-tgm-plugin-activation.php';
include_once get_template_directory() . '/includes/first-run/tgmpa-config.php';

// Admin Functions //
include_once get_template_directory() . '/includes/admin/admin-functions/functions-helpers.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-admin-menu.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-bulk-action.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-custom-columns.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-filters.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-legend.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-menu.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-metaboxes.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-notifications.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-post-state.php';
include_once get_template_directory() . '/includes/admin/admin-functions/functions-save-post.php';

// Functions //
include_once get_template_directory() . '/includes/functions/functions-category.php';
include_once get_template_directory() . '/includes/functions/functions-custom-css.php';
include_once get_template_directory() . '/includes/functions/functions-custom-login.php';
include_once get_template_directory() . '/includes/functions/functions-custom-offer.php';
include_once get_template_directory() . '/includes/functions/functions-customizer.php';
include_once get_template_directory() . '/includes/functions/functions-currency.php';
include_once get_template_directory() . '/includes/functions/functions-datetime.php';
include_once get_template_directory() . '/includes/functions/functions-deprecated.php';
include_once get_template_directory() . '/includes/functions/functions-footer.php';
include_once get_template_directory() . '/includes/functions/functions-gateways.php';
include_once get_template_directory() . '/includes/functions/functions-graph.php';
include_once get_template_directory() . '/includes/functions/functions-header.php';
include_once get_template_directory() . '/includes/functions/functions-helpers.php';
include_once get_template_directory() . '/includes/functions/functions-job.php';
include_once get_template_directory() . '/includes/functions/functions-language-country.php';
include_once get_template_directory() . '/includes/functions/functions-media.php';
include_once get_template_directory() . '/includes/functions/functions-wp-menu.php';
include_once get_template_directory() . '/includes/functions/functions-wpj-menu.php';
include_once get_template_directory() . '/includes/functions/functions-my-account.php';
include_once get_template_directory() . '/includes/functions/functions-notifications.php';
include_once get_template_directory() . '/includes/functions/functions-order.php';
include_once get_template_directory() . '/includes/functions/functions-payments.php';
include_once get_template_directory() . '/includes/functions/functions-pm.php';
include_once get_template_directory() . '/includes/functions/functions-posts.php';
include_once get_template_directory() . '/includes/functions/functions-posts-listing.php';
include_once get_template_directory() . '/includes/functions/functions-price.php';
include_once get_template_directory() . '/includes/functions/functions-request.php';
include_once get_template_directory() . '/includes/functions/functions-schedule.php';
include_once get_template_directory() . '/includes/functions/functions-search.php';
include_once get_template_directory() . '/includes/functions/functions-shortcodes.php';
include_once get_template_directory() . '/includes/functions/functions-sms-mail.php';
include_once get_template_directory() . '/includes/functions/functions-sort.php';
include_once get_template_directory() . '/includes/functions/functions-subscription.php';
include_once get_template_directory() . '/includes/functions/functions-user.php';
include_once get_template_directory() . '/includes/functions/functions-wpjobster.php';

// Classes //
include_once get_template_directory() . '/classes/class-wpj-form.php';
include_once get_template_directory() . '/classes/class-wpj-search-post-filters.php';
include_once get_template_directory() . '/classes/class-wpj-posts.php';
include_once get_template_directory() . '/classes/class-wpj-queries.php';
include_once get_template_directory() . '/classes/class-wpj-custom-fields.php';
include_once get_template_directory() . '/classes/ip2locationlite.class.php';

// First Run //
add_action( 'wp_loaded', 'wpj_first_run_include' );
function wpj_first_run_include() {
	if ( is_admin() ) {
		include_once get_template_directory() . '/includes/first-run/htaccess_content.php';
		include_once get_template_directory() . '/includes/first-run/first_run.php';
		include_once get_template_directory() . '/includes/first-run/first_run_democontent.php';
	}
}

// First Run Batch Processing //
if ( is_admin() ) {
	include_once get_template_directory() . '/includes/first-run/first_run_batch_processing.php';
}

// Flush rewrite rules for existing installations //
add_action( 'init', function() {
	if ( ! get_option( 'theme_permalinks_flushed' ) ) {
		flush_rewrite_rules();
		update_option( 'theme_permalinks_flushed', 1 );
	}
}, 99 );

// Ajax //
include_once get_template_directory() . '/ajax-functions/chat-ajax-functions.php';
include_once get_template_directory() . '/ajax-functions/chatbox-ajax-functions.php';
include_once get_template_directory() . '/ajax-functions/light-ajax-functions.php';
include_once get_template_directory() . '/ajax-functions/message-ajax-functions.php';
include_once get_template_directory() . '/ajax-functions/user-profile-ajax-functions.php';

// Admin //
include_once get_template_directory() . '/vendor/persist-admin-notices-dismissal/persist-admin-notices-dismissal.php';
if ( class_exists( 'PAnD' ) ) {
	add_action( 'admin_init', array( 'PAnD', 'init' ) );
}
