<?php
add_action( 'wp_ajax_nopriv_wpj_ajax_deactivate_job', 'wpj_ajax_deactivate_job' );
add_action( 'wp_ajax_wpj_ajax_deactivate_job', 'wpj_ajax_deactivate_job' );
function wpj_ajax_deactivate_job( $pid = '', $reason = '' ) {

	if ( is_user_logged_in() ) {

		if ( ! $reason ) { $reason = 'by_user'; }

		if ( ! $pid ) { $pid = $_POST['var_post_id']; $called = false; } else { $called = true; }
		$post = get_post( $pid );

		if ( $post->post_author == get_current_user_id() || current_user_can( 'administrator' ) ) {

			update_post_meta( $pid, 'active', 0 );
			update_post_meta( $pid, 'deactivation_reason', $reason );
			delete_post_meta( $pid, 'activate_reason' );

			echo 'success';

		} else { echo 'not_your_post'; }

	} else { echo 'not_logged_in'; }

	if ( ! $called ) { wp_die(); }
}


add_action( 'wp_ajax_nopriv_wpj_ajax_activate_job', 'wpj_ajax_activate_job' );
add_action( 'wp_ajax_wpj_ajax_activate_job', 'wpj_ajax_activate_job' );
function wpj_ajax_activate_job( $pid = '', $reason = '' ) {

	if ( is_user_logged_in() ) {

		if ( ! $reason ) { $reason = 'by_user'; }

		if ( ! $pid ) { $pid = $_POST['var_post_id']; $called = false; } else { $called = true; }
		$post = get_post( $pid );

		if ( $post->post_author == get_current_user_id() || current_user_can( 'administrator' ) ) {
			if ( wpj_is_user_allowed_post_job( $post->post_author, get_post_meta( $pid, 'price', true ) ) || current_user_can( 'administrator' ) ) {

				update_post_meta( $pid, 'active', 1 );
				update_post_meta( $pid, 'activate_reason', $reason );
				delete_post_meta( $pid, 'deactivation_reason' );

				echo 'success';

			} else { echo 'no_credits'; }

		} else { echo 'not_your_post'; }

	} else { echo 'not_logged_in'; }

	if ( ! $called ) { wp_die(); }
}

add_action( 'wp_ajax_nopriv_activate_all_jobs', 'activate_all_user_jobs' );
add_action( 'wp_ajax_activate_all_jobs', 'activate_all_user_jobs' );
function activate_all_user_jobs( $user_id = '', $reason = '' ) {

	$reason  = isset( $_POST['reason'] ) ? $_POST['reason'] : $reason;
	$user_id = isset( $_POST['user_id'] ) ? $_POST['user_id'] : $user_id;

	if ( ! $user_id ) { $user_id = get_current_user_id(); }

	$args = array(
		'post_type'      => 'job',
		'posts_per_page' => -1,
		'post_status'    => array( 'publish', 'pending', 'draft', 'auto-draft', 'future', 'private', 'inherit', 'trash' ),
		'meta_query'     => array(
			array(
				'key'     => 'active',
				'value'   => "0",
				'compare' => '=',
			),
		),
	);

	if ( $user_id && $user_id != 'all' ) $args['author'] = $user_id;

	$posts = get_posts( $args );

	if ( $posts && is_user_logged_in() && ( get_current_user_id() == $user_id || current_user_can( 'administrator' ) ) ) {
		foreach ( $posts as $key ) {
			update_post_meta( $key->ID, 'active', '1' );
			if ( $reason != '' ) {
				update_post_meta( $key->ID, 'activate_reason', $reason );
				delete_post_meta( $key->ID, 'deactivation_reason' );
			}
		}
	}
}

add_action( 'wp_ajax_nopriv_deactivate_all_jobs', 'deactivate_all_user_jobs' );
add_action( 'wp_ajax_deactivate_all_jobs', 'deactivate_all_user_jobs' );
function deactivate_all_user_jobs( $user_id = '', $reason = '' ) {

	$reason  = isset( $_POST['reason'] ) ? $_POST['reason'] : $reason;
	$user_id = isset( $_POST['user_id'] ) ? $_POST['user_id'] : $user_id;

	if ( ! $user_id ) { $user_id = get_current_user_id(); }

	$args = array(
		'post_type'      => 'job',
		'posts_per_page' => -1,
		'post_status'    => array( 'publish', 'pending', 'draft', 'auto-draft', 'future', 'private', 'inherit', 'trash' ),
		'meta_query'     => array(
			array(
				'key'     => 'active',
				'value'   => "1",
				'compare' => '=',
			),
		),
	);

	if ( $user_id && $user_id != 'all' ) $args['author'] = $user_id;

	$posts = get_posts( $args );

	if ( $posts && is_user_logged_in() && ( get_current_user_id() == $user_id || current_user_can( 'administrator' ) ) ) {
		foreach ( $posts as $key ) {
			update_post_meta( $key->ID, 'active', '0' );
			if ( $reason != '' ) {
				update_post_meta( $key->ID, 'deactivation_reason', $reason );
				delete_post_meta( $key->ID, 'activate_reason' );
			}
		}
	}
}

add_action( 'wpjobster_top_up_payment_completed', 'wpj_activate_no_credits_jobs_on_topup', 10, 1 );
function wpj_activate_no_credits_jobs_on_topup( $order_id = '' ) {

	$posts = wpj_get_deactivated_jobs_by_reason( wpj_get_buyer_by_payment_type( $order_id, 'topup' ), 'no_credits' );

	if ( $posts ) { foreach ( $posts as $post ) { wpj_ajax_activate_job( $post->ID ); } }

}

add_action( 'wpjobster_job_payment_completed', 'wpj_activate_no_credits_jobs_on_job_purchase', 10, 1 );
function wpj_activate_no_credits_jobs_on_job_purchase( $order_id = '' ) {

	$current_order = wpjobster_get_order( $order_id );
	$current_post  = get_post( $current_order->pid );

	$posts = wpj_get_deactivated_jobs_by_reason( $current_post->post_author, 'no_credits' );

	if ( $posts ) {
		foreach ( $posts as $post ) {
			if ( wpj_is_user_allowed_post_job( $post->post_author, get_post_meta( $post->ID, 'price', true ) ) ) {
				update_post_meta( $post->ID, 'active', 1 );
				delete_post_meta( $post->ID, 'deactivation_reason' );
			}
		}
	}

}