<?php
if ( ! function_exists( 'wpj_latest_jobs' ) ) {
	function wpj_latest_jobs( $cols = 4, $load_type = 'load_more' ) {

		$meta_querya = array( array(
			'key'     => 'active',
			'value'   => "1",
			'compare' => '='
		) );

		$jobs_order = get_option( 'wpjobster_jobs_order' );

		if ( $jobs_order == 'new' ) {

			$orderby_featured     = array( 'meta_value' => 'ASC', 'date' => 'DESC' );
			$orderby_non_featured = array( 'date' => 'DESC' );

		} elseif ( $jobs_order == 'old' ) {

			$orderby_featured     = array( 'meta_value' => 'ASC', 'date' => 'ASC' );
			$orderby_non_featured = array( 'date' => 'ASC' );

		} else {

			$seed = '';
			if ( isset( $_SESSION['homepage_random_seed'] ) ) {
				$seed = $_SESSION['homepage_random_seed'];
			}
			if ( empty( $seed ) ) {
				$seed = rand();
				$_SESSION['homepage_random_seed'] = $seed;
			}
			$orderby_featured     = array( 'meta_value' => 'ASC', "RAND($seed)" => '' );
			$orderby_non_featured = array( "RAND($seed)" => '' );

		}

		$posts_per_page  = get_option( 'posts_per_page' ) ? get_option( 'posts_per_page' ) : 12;

		$feature_enabled = get_option( 'wpjobster_featured_enable' );

		if ( $feature_enabled == 'yes' ) {

			$args = array(
				'post_status'    =>'publish',
				'paged'          => 1,
				'posts_per_page' => $posts_per_page,
				'post_type'      => 'job',
				'meta_query'     => $meta_querya ,
				'meta_key'       => 'home_featured_now',
				'orderby'        => $orderby_featured
			);

		} else {

			$args = array(
				'post_status'    =>'publish',
				'paged'          => 1,
				'posts_per_page' => $posts_per_page,
				'post_type'      => 'job',
				'meta_query'     => $meta_querya,
				'orderby'        => $orderby_non_featured
			);

		}

		if ( $cols == 3 ) {
			$wpj_job = new WPJ_Load_More_Posts( $args + array ( 'function_name' => wpj_get_job_card_style(), 'container_class' => 'ui three cards ', 'load_type' => $load_type ) );
		} else {
			$wpj_job = new WPJ_Load_More_Posts( $args + array ( 'function_name' => wpj_get_job_card_style(), 'container_class' => 'ui four cards', 'load_type' => $load_type ) );
		} ?>

		<div class="cf relative">

			<?php if ( $load_type != 'slider' ) { echo listing_buttons_jobs( 'grid-switch-absolute' ); } ?>

			<div class="cf relative" style="width:100%">

				<?php if ( $wpj_job->have_rows() ) {
					$wpj_job->show_posts_list_func();
				} else {
					echo '<div class="no-results">' . __( "Sorry, there are no posted jobs yet.", "wpjobster" ) . '</div>';
				} ?>

			</div>

		</div>

	<?php }
}
