<?php // ADD or EDIT job page

/*
 * MAIN PAGE (SHORTCODE) STRUCTURE
 */
if ( ! function_exists( 'wpj_add_or_edit_job_function' ) ) {
	function wpj_add_or_edit_job_function( $atts ) {

		$ret = '';

		//--> ACTION 'wpjobster_check_user_role'
		ob_start(); do_action( 'wpjobster_check_user_role' );
		$ret .= ob_get_contents(); ob_end_clean();
		//<-- END ACTION

		if ( have_rows( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ) ) {
			$fields_init = wpj_aoe_initializations( $atts );
			$job_fields = $fields_init['job_fields'];
			$use_tabs = ! $job_fields[0]['tab_fields'] ? true : false;
			end( $job_fields ); $last_tab = key( $job_fields ); // get last tab

			$ret .= '<div id="content-full-ov" class="page_without_sidebar">';
				$ret .= '<div class="ui basic notpadded segment">';
					if ( WPJ_Form::get( 'jb_action' ) == 'job_edit' ) {
						$ret .= '<div class="edit-job-title">';
							$ret .= '<h1 class="ui header wpj-title-icon">';
								$ret .= '<i class="edit icon"></i>';
								$ret .= sprintf( __( 'Edit Job - %s', 'wpjobster' ), $fields_init['post']->post_title );
							$ret .= '</h1>';
						$ret .= '</div>';
					} else {
						$ret .= '<div class="post-new-job-title">';
							$ret .= '<h1 class="ui header wpj-title-icon">';
								$ret .= '<i class="edit icon"></i>';
								$ret .=  __( 'Post New Job', 'wpjobster' );
							$ret .= '</h1>';
						$ret .= '</div>';
					}
				$ret .= '</div>';

				if ( WPJ_Form::get( 'jb_action' ) == 'job_edit' && $fields_init['post']->post_author != get_current_user_id() ) {

					$ret .= '<div class="ui negative message">';
						$ret .= '<i class="close icon"></i>';
						$ret .= '<div class="header">' . __( 'Not your post!', 'wpjobster' ) . '</div>';
						$ret .= '<p>' . __( 'You are not allowed to edit this job because you are not the author.', 'wpjobster' ) . '</p>';
					$ret .= '</div>';

				} elseif ( WPJ_Form::get( 'jb_action' ) != 'job_edit' || ( WPJ_Form::get( 'jb_action' ) == 'job_edit' && $fields_init['post']->post_author == get_current_user_id() ) ) {

					//--> ACTIONS
					ob_start();
					do_action( 'wpj_after_vars_declaration_for_post_new_job' );
					do_action( 'wpj_after_vars_declaration_for_edit_job' );
					$ret .= ob_get_contents(); ob_end_clean();
					//<-- END ACTIONS

					if ( get_field( 'general_instructions' ) || current_user_can( 'manage_options' ) ) {
						$ret .= '<div class="ui segment">';
							if ( get_field( 'general_instructions' ) ) {
								$ret .= get_field( 'general_instructions' );
							} elseif ( current_user_can( 'manage_options' ) ) {
								$ret .= __( 'Regular users will not see this message unless you edit it from WP Admin > Pages > Post New or Edit Job > General Tooltip Instructions.', 'wpjobster' );
							}
						$ret .= '</div>';
					}

					$class          = $use_tabs ? 'tabs-container' : 'post-new-no-tab-wrapper';
					$last_tab_str   = wpj_number_to_string( $last_tab );
					$data_operation = isset( $_GET['jb_action'] ) ? 'edit' : 'new';

					// save form data
					wpj_aoe_save_form_post( 'publish' );

					$ret .= '<div class="' . $class . '">';
						$ret .= '<form id="add-edit-job-form" data-operation="' . $data_operation . '" class="ui form wpj-grey-form" method="post" enctype="multipart/form-data" action="">';

							ob_start(); wp_nonce_field( 'post_new_or_edit_job_action', 'post_new_or_edit_job_field' );
							$ret .= ob_get_contents(); ob_end_clean();

							$ret .= '<input type="hidden" name="action" value="save_job_post_autodraft" />';
							$ret .= '<input type="hidden" name="pid" value="' . $fields_init['pid'] . '" />';
							$ret .= '<input type="hidden" name="aoe_form_submitted" value="1" />';

							$ret .= '<div class="post-new-job-wrapper">';
								$ret .= '<div class="tabs-wrapper js-tabs-wrapper">';
									if ( $use_tabs && $last_tab > 0 ) {
										$ret .= '<div class="ui ' . $last_tab_str . ' small unstackable steps">';
											$tab_number = 0;
											foreach ( $job_fields as $job_tab ) {
												if ( $use_tabs && $tab_number > 0 ) {
													$tab_class = $tab_number == 1 ? 'active' : '';
													$icon = $job_tab['icon'] != '' ? $job_tab['icon'] : 'info';

													$ret .= '<div class="step ' . $tab_class . '" id="tab' . $tab_number . '">';
														$ret .= '<i class="' . $icon . ' icon"></i>';
														$ret .= '<div class="content">';
															$ret .= '<div class="title"><span class="tab-title">' . $job_tab['label'] . '</span></div>';
															$ret .= '<div class="description">' . $job_tab['description'] . '</div>';
														$ret .= '</div>';
													$ret .= '</div>';

												}
												$tab_number++;
											}
										$ret .= '</div><!-- .ui.small.steps -->';
									}

									// Call useful functions
									wpj_aoe_apply_character_number();
									wpj_aoe_scripts();
									wpj_aoe_show_extras_content();

									$tab_number = 0;
									foreach ( $job_fields as $job_tab ) {
										if ( $tab_number == 1 ) { $ret .= '<div class="tab-wrapper js-tab-wrapper">'; }

											if ( $use_tabs && $tab_number > 0 ) {
												$tab_class = $tab_number == 1 ? 'tab active' : 'tab';
												$ret .= '<div class="' . $tab_class . '">';
											}

												if ( $job_tab['tab_fields'] ) {
													$ret .= wpj_aoe_get_job_fields( $job_tab['tab_fields'] );

													if ( $tab_number == $last_tab ) {
														if ( WPJ_Form::get( 'jb_action' ) == 'job_edit' ) {
															$submit_btn_lbl =  __( 'Save', 'wpjobster' );
														} else {
															$submit_btn_lbl =  __( 'Publish', 'wpjobster' );
														}

														$ret .= '<input id="aoe_form_submitted" name="aoe_form_submitted" type="submit" value="' . $submit_btn_lbl . '" class="ui primary submit button" />';
													}

													$ret .= '<div class="ui error message" style="margin-top:50px"></div>';
												}

												if ( $use_tabs && $tab_number > 0 ) {
													$ret .= wpj_aoe_get_tab_image( $job_tab['image'] );
													if ( $tab_number > 1 ) {
														$ret .= wpj_aoe_get_nav_button( 'left', $job_fields[$tab_number - 1]['label'] );
													}
													if ( $tab_number < $last_tab ) {
														$ret .= wpj_aoe_get_nav_button( 'ui secondary right floated button', $job_fields[$tab_number + 1]['label'] );
													}
												}

											if ( $use_tabs && $tab_number > 0 ) { $ret .= '</div>'; } // END tab class

										if ( $use_tabs && $tab_number > 0 && $tab_number == $last_tab ) { $ret .= '</div>'; } // END tab-wrapper class

										$tab_number++;
									} // END foreach

								$ret .= '</div>'; // END tabs-wrapper
							$ret .= '</div>'; // END post-new-job-wrapper
						$ret .= '</form>'; // END ui form
					$ret .= '</div>'; // END ui segment

				}

				$ret .= '<div class="ui hidden divider"></div>';

			$ret .= '</div>'; // END content-full-ov
		} // END if ( have_rows( 'job_fields' ) )

		return $ret;
	}
}

/*
 * FIELDS BY TAB AND PID REDIRECT
 */
function wpj_aoe_initializations( $atts ) {
	$uid = get_current_user_id();

	// init new post
	if ( ! isset( $_GET['jobid'] ) ) {
		$wpjobster_post_new_page_id = get_option( 'wpjobster_post_new_page_id' );

		$pid = wpjobster_get_auto_draft( $uid, 'job' );
		update_post_meta( $pid, 'home_featured_now', "z" );
		update_post_meta( $pid, 'category_featured_now', "z" );
		update_post_meta( $pid, 'subcategory_featured_now', "z" );
		wp_redirect( add_query_arg( 'jobid', $pid, get_permalink( $wpjobster_post_new_page_id ) ) );
		exit;
	}

	// double check that we are on the right page
	global $wpdb;
	$last_draft = $wpdb->get_row(
		$wpdb->prepare(
			"
			SELECT *
			FROM $wpdb->posts
			WHERE post_type = 'job'
				AND post_status = 'auto-draft'
				AND post_author = %d
			ORDER BY ID DESC
			",
			$uid
		)
	);

	$atts = shortcode_atts( array(
		'jobid' => ''
	), $atts );

	if ( $atts['jobid'] ) {
		$pid = $atts['jobid'];
	} else {
		$pid = WPJ_Form::get( 'jobid' );
	}

	if ( $atts['jobid'] && WPJ_Form::get( 'jobid' ) != $atts['jobid'] ) {
		wp_redirect(
			add_query_arg( array(
				'jb_action' => 'job_edit',
				'jobid' => $pid,
			), get_permalink( $wpjobster_post_new_page_id ) )
		);
		exit;
	}

	if ( WPJ_Form::get( 'jb_action' ) != 'job_edit' ) {
		if ( $last_draft->ID > $pid || $uid != get_post_field( 'post_author', $pid ) ) {
			wp_redirect( add_query_arg( 'jobid', $last_draft->ID, get_permalink( $wpjobster_post_new_page_id ) ) );
			exit;
		}
	}

	$post = get_post( $pid );

	// check if the flexible content field has rows of data
	if ( have_rows( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ) ) {

		// create a multidimensional array to structure our data
		$job_fields_array = get_field_object( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) );
		$job_fields = array();

		// set up the first element for the fields without tabs
		array_push( $job_fields, array() );
		$job_fields[0]['tab_fields'] = array();

		foreach ( $job_fields_array['value'] as $job_field ) {
			if ( $job_field['acf_fc_layout'] == 'job_tab_separator' ) {

				// prepare tab with empty array for the fields
				$job_field['tab_fields'] = array();

				// insert tab
				array_push( $job_fields, $job_field );
			} else {
				// insert fields at the end for display, including all the errors
				end( $job_fields );
				$tab_key = key( $job_fields ); // get last tab's key
				array_push( $job_fields[$tab_key]['tab_fields'], $job_field );
			} // END if tab/input
		}
	}

	return array(
		'uid'        => $uid,
		'pid'        => $pid,
		'post'       => $post,
		'job_fields' => $job_fields
	);
}

/*
 * FIELDS BY COLUMN( full, half-solo, half, third )
 */
function wpj_aoe_get_job_fields( $job_fields = array(), $ret = '' ) {
	if ( $job_fields ) {
		$ji = 0; $ti = 0;

		$extra_div       = '<div id="extra_1" class="extra_wrapper" data-validate="extra_wrapper">';
		$extra_multiples = wpj_get_user_feature_status( 'wpjobster_enable_extra_multiples', 'wpjobster_subscription_extra_multiples_enabled' );

		$jb_action = WPJ_Form::get( 'jb_action' );
		$pid       = WPJ_Form::get( 'jobid' );

		foreach ( $job_fields as $j_field ) {
			$return = wpj_aoe_get_job_field_content( $j_field );
			$field  = $return['field'] != 'no' ? ' field ' : '';
			$popup  = $return['popup'] != 'no' ? ' js-tooltip-handler ' : '';
			$instr  = $return['instr'] ? $return['instr'] : '';
			$f_name = $return['f_rej_name'];
			if ( $j_field && isset( $j_field['acf_fc_layout'] ) ) {
				if ( strpos( $j_field['acf_fc_layout'], 'custom_field' ) !== false && isset( $j_field['slug'] ) ) {
					$unique_slug = 'job_cfield_' . $j_field['slug'];
				} else {
					$unique_slug = $j_field['acf_fc_layout'];
				}
			} else {
				$unique_slug = '';
			}

			if ( $j_field['width'] == 'full' ) {
				if ( strpos( $return['class'], 'extra_enable' ) !== false ) { $ret .= $extra_div; }

					$ret .= '<div class="one fields">';
					$ret .= '<div id="' . $return['id'] . '" class="' . $return['class'] . $field . $popup . '" data-handler-id="' . $unique_slug . '">';
						if ( $return['label'] != 'no' ) {
							$ret .= '<label>' . $j_field['label'] . '</label>';
						}
						$ret .= $return['content'];
					$ret .= '</div>';

					if ( $return['popup'] != 'no' ) {
						if ( $jb_action == 'job_edit' ) {
							$ret .= wpj_get_popup( $instr, 'edit', 'job', $pid, $f_name, true, $j_field );
						} else {
							$ret .= wpj_get_popup( $instr, '', '', '', '', true, $j_field );
						}
					}
					$ret .= '</div>';

				if ( strpos( $return['class'], 'extra_multiple' ) !== false ) $ret .= '</div>';
				elseif ( $extra_multiples != 'yes' && strpos( $return['class'], 'extra_max_days' ) !== false ) $ret .= '</div>';
			}

			if ( $j_field['width'] == 'half-solo' ) {
				if ( strpos( $return['class'], 'extra_enable' ) !== false ) { $ret .= $extra_div; }

					$ret .= '<div class="two fields">';
						$ret .= '<div id="' . $return['id'] . '" class="' . $return['class'] . $field . $popup . '" data-handler-id="' . $unique_slug . '">';
							if ( $return['label'] != 'no' ) {
								$ret .= '<label>' . $j_field['label'] . '</label>';
							}
							$ret .= $return['content'];
						$ret .= '</div>';

						if ( $return['popup'] != 'no' ) {
							if ( $jb_action == 'job_edit' ) {
								$ret .= wpj_get_popup( $instr, 'edit', 'job', $pid, $f_name, true, $j_field );
							} else {
								$ret .= wpj_get_popup( $instr, '', '', '', '', true, $j_field );
							}
						}

						$ret .= '<div class="field"></div>';
					$ret .= '</div>';

				if ( strpos( $return['class'], 'extra_multiple' ) !== false ) $ret .= '</div>';
				elseif ( $extra_multiples != 'yes' && strpos( $return['class'], 'extra_max_days' ) !== false ) $ret .= '</div>';
			}

			if ( $j_field['width'] == 'half' ) {
				if ( strpos( $return['class'], 'extra_enable' ) !== false ) { $ret .= $extra_div; }

					if ( $ji == 0 ) { $ret .= '<div class="two fields">'; }

						$ret .= '<div id="' . $return['id'] . '" class="' . $return['class'] . $field . $popup . '" data-handler-id="' . $unique_slug . '">';
							if ( $return['label'] != 'no' ) {
								$ret .= '<label>' . $j_field['label'] . '</label>';
							}
							$ret .= $return['content'];
						$ret .= '</div>';

						if ( $return['popup'] != 'no' ) {
							if ( $jb_action == 'job_edit' ) {
								$ret .= wpj_get_popup( $instr, 'edit', 'job', $pid, $f_name, true, $j_field );
							} else {
								$ret .= wpj_get_popup( $instr, '', '', '', '', true, $j_field );
							}
						}

						$ji++;

					if ( $ji == 2 ) { $ret .= '</div>'; $ji = 0; }

				if ( strpos( $return['class'], 'extra_multiple' ) !== false ) $ret .= '</div>';
				elseif ( $extra_multiples != 'yes' && strpos( $return['class'], 'extra_max_days' ) !== false ) $ret .= '</div>';
			}

			if ( $j_field['width'] == 'third' ) {
				if ( strpos( $return['class'], 'extra_enable' ) !== false ) { $ret .= $extra_div; }

					if ( $ti == 0 ) { $ret .= '<div class="three fields">'; }

						$ret .= '<div id="' . $return['id'] . '" class="' . $return['class'] . $field . $popup . '" data-handler-id="' . $unique_slug . '">';
							if ( $return['label'] != 'no' ) {
								$ret .= '<label>' . $j_field['label'] . '</label>';
							}
							$ret .= $return['content'];
						$ret .= '</div>';

						if ( $return['popup'] != 'no' ) {
							if ( $jb_action == 'job_edit' ) {
								$ret .= wpj_get_popup( $instr, 'edit', 'job', $pid, $f_name, true, $j_field );
							} else {
								$ret .= wpj_get_popup( $instr, '', '', '', '', true, $j_field );
							}
						}

						$ti++;

					if ( $ti == 3 ) { $ret .= '</div>'; $ti = 0; }

				if ( strpos( $return['class'], 'extra_multiple' ) !== false ) $ret .= '</div>';
				elseif ( $extra_multiples != 'yes' && strpos( $return['class'], 'extra_max_days' ) !== false ) $ret .= '</div>';
			}
		}
	}

	return $ret;
}

/*
 * TAB IMAGE
 */
function wpj_aoe_get_tab_image( $img_url = '', $ret = '' ) {
	$ret .= '<div class="tab-corner-image">';
		$ret .= '<img src="' . $img_url . '" alt="">';
	$ret .= '</div>';

	return $ret;
}

/*
 * TAB BOTTOM NAVIGATION
 */
function wpj_aoe_get_nav_button( $location = 'right', $button_name = '', $ret = '' ) {
	$ret .= '<div class="tab-controls">';
		$ret .= '<a href="#" title="" class="' . $location . '"> '. $button_name . '</a>';
	$ret .=  '</div>';

	return $ret;
}

/*
 * GET REJECTED INPUT
 */
function wpj_aoe_get_rejected_input( $input = '', $i = '' ) {
	$rejected = '';
	$pid = WPJ_Form::get( 'jobid' );

	${ 'rejected_' . $input } = get_post_meta( $pid, "rejected_" . $input, true );
	$rejected = get_post_status( $pid ) == 'pending' && ${ 'rejected_' . $input } == 1 ? 'rejected-input' : '';

	// For packages
	if ( is_array( ${ 'rejected_' . $input } ) ) {
		foreach ( ${ 'rejected_' . $input } as $rejected_p_key => $rejected_p_val ) {
			if ( $i == $rejected_p_key ) {
				$rejected = get_post_status( $pid ) == 'pending' &&  $rejected_p_val != '' ? 'rejected-input' : '';
			}
		}
	}

	return $rejected;
}

/*
 * FIRST RUN
 */
function wpj_aoe_first_run() {
	update_field( 'general_instructions', get_field( 'general_instructions', 'options' ) );

	if ( have_rows( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ) ) {
		while ( have_rows( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ) ) {
			the_row();

			update_sub_field( 'instructions', get_field( get_row_layout() . '_instructions', 'options' ) );

			if ( get_row_layout() == 'job_instructions_to_buyer' ) {
				update_sub_field( 'instructions', get_field( 'job_instructions_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_max_days_to_deliver' ) {
				update_sub_field( 'instructions', get_field( 'job_delivery_time_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_instant_delivery' ) {
				update_sub_field( 'instructions', get_field( 'job_instant_delivery_time_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_requires_shipping' ) {
				update_sub_field( 'instructions', get_field( 'job_shipping_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_video_link' ) {
				update_sub_field( 'instructions', get_field( 'job_video_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_audios' ) {
				update_sub_field( 'instructions', get_field( 'job_audio_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_extra_fast_delivery' ) {
				update_sub_field( 'instructions', get_field( 'job_extra_fast_delivery_enable_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_extra_fast_delivery_max_days_to_deliver' ) {
				update_sub_field( 'instructions', get_field( 'job_extra_fast_delivery_days_to_deliver_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_additional_revision' ) {
				update_sub_field( 'instructions', get_field( 'job_additional_revision_enable_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_additional_revision_max_days_to_deliver' ) {
				update_sub_field( 'instructions', get_field( 'job_additional_revision_days_to_deliver_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_additional_revision_multiple' ) {
				update_sub_field( 'instructions', get_field( 'job_additional_revision_multiples_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_extra' ) {
				update_sub_field( 'instructions', get_field( 'job_extra_enable_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_extra_max_days_to_deliver' ) {
				update_sub_field( 'instructions', get_field( 'job_extra_days_to_deliver_instructions', 'options' ) );
			} elseif ( get_row_layout() == 'job_extra_multiple' ) {
				update_sub_field( 'instructions', get_field( 'job_extra_multiples_instructions', 'options' ) );
			}

			update_sub_field( 'pacakge_name_instructions'         , get_field( 'job_package_name_instructions', 'options' ) );
			update_sub_field( 'pacakge_description_instructions'  , get_field( 'job_package_description_instructions', 'options' ) );
			update_sub_field( 'pacakge_delivery_time_instructions', get_field( 'job_package_delivery_time_instructions', 'options' ) );
			update_sub_field( 'pacakge_revision_instructions'     , get_field( 'job_package_revision_instructions', 'options' ) );
			update_sub_field( 'pacakge_price_instructions'        , get_field( 'job_package_price_instructions', 'options' ) );
			update_sub_field( 'pacakge_custom_field_name'         , get_field( 'job_package_custom_field_name_instructions', 'options' ) );
			update_sub_field( 'pacakge_custom_field_checklist'    , get_field( 'job_package_custom_field_checklist_instructions', 'options' ) );
		}
	}
}

/*
 * CREATE POST NEW JOB PAGE
 */
add_action( 'after_setup_theme', 'wpj_aoe_autoimport' );
function wpj_aoe_autoimport() {
	if ( get_option( 'wpj_job_page_fields_f_run' ) != 'done' ) {
		update_option( 'wpj_job_page_fields_f_run', 'done' );

		require_once TEMPLATEPATH . '/lib/autoimport/autoimporter.php';

		if ( ! class_exists( 'Auto_Importer' ) ) die( 'Auto_Importer not found' );

		$args = array(
			'file'        => TEMPLATEPATH . '/lib/autoimport/content/page_post_new_edit_job.xml',
			'map_user_id' => 1
		);
		$xml_id = auto_import( $args );

		// assumption: since only one page was imported from xml, it is next id
		$page_id = intval( $xml_id ) + 1;

		update_option( 'wpjobster_post_new_page_id', $page_id );
	}
}

/*
 * SAVE TAB POST
 */
add_action( 'wp_ajax_save_job_post_autodraft', 'wpj_aoe_save_form_post' );
add_action( 'wp_ajax_nopriv_save_job_post_autodraft', 'wpj_aoe_save_form_post' );
function wpj_aoe_save_form_post( $action_type = '' ) {
	if ( isset( $_POST['aoe_form_submitted'] ) && ! is_demo_user() ) {

		$uid = get_current_user_id();

		$pid = $action_type != 'publish' ? $_POST['pid'] : $_GET['jobid'];

		$post = get_post( $pid );

		$jb_action = WPJ_Form::get( 'jb_action' );

		if ( ! isset( $_POST['post_new_or_edit_job_field'] ) || ! wp_verify_nonce( $_POST['post_new_or_edit_job_field'], 'post_new_or_edit_job_action' ) ) {

			echo '<div class="ui negative message mt20">' . __( 'Sorry, your nonce did not verify.', 'wpjobster' ) . '</div>';

		} elseif ( $jb_action == 'job_edit' && $uid != $post->post_author ) {

			echo '<div class="ui negative message mt20">' . __( 'You are not allowed to edit this job because you are not the author.', 'wpjobster' ) . '</div>';

		} elseif ( $jb_action != 'job_edit' || ( $jb_action == 'job_edit' && $uid == $post->post_author ) ) {

			// Default
			$required_fields = array( 'job_title', 'job_cat', 'job_description', 'job_cost' );

			// Subcategories
			$subcategories = get_term_children( WPJ_Form::post( 'job_cat' ), 'job_cat' );
			if ( $subcategories && WPJ_Form::post( 'subcategory_required' ) == 'true' ) { array_push( $required_fields, 'subcat' ); }

			// Instructions to buyer
			if ( WPJ_Form::post( 'instruction_box_required' ) == 'true' ) { array_push( $required_fields, 'instruction_box' ); }

			// Packages
			if ( get_option( 'wpjobster_packages_enabled' ) == "yes" && isset( $_POST['price_type'] ) && $_POST['price_type'] == 'package' ) {
				if ( ! is_array( $required_fields ) ) { $required_fields = array(); }

				$required_fields = array_diff( $required_fields, array( 'job_cost' ) );

				$package_required_fields = apply_filters( 'wpj_job_package_required_fields_filter', array( 'package_name', 'package_description' ,'package_price' ) );

				if ( $package_required_fields ) {
					$required_fields = array_merge( $required_fields, $package_required_fields );
				} else {
					$required_fields = $package_required_fields;
				}
			}

			// Custom
			if ( isset( $_POST['price_type'] ) && $_POST['price_type'] == 'custom' ) {
				$required_fields = array_diff( $required_fields, array( 'job_cost' ) );
			}

			// Verify empty required values
			$required_fields = apply_filters( 'wpj_job_required_fields_filter', $required_fields );

			if ( $required_fields ) {
				$requirements_met = true;

				foreach ( $required_fields as $key => $field ) {
					if (
						( empty( $_POST[$field] ) && strlen( $_POST[$field] ) == 0 )
						|| ( is_array( $_POST[$field] ) && ! wpj_multidimensional_array_has_all_values( $_POST[$field] ) )
					) {
						$requirements_met = false; continue;
					}
				}
			}

			if ( ( $required_fields && $requirements_met ) || ! $required_fields || $action_type != 'publish' ) {

				$custom_field = new WPJ_Custom_Fields( $pid, 'job' ); ?>

				<script>localStorage.removeItem( "validate_subcat" );</script>

				<?php
				// Activate the job
				update_post_meta( $pid, 'active', '1' );
				update_post_meta( $pid, 'closed', '0' );

				if ( $jb_action != 'job_edit' ) {
					update_post_meta( $pid, 'job_rating', '0' );
				}

				// Custom fields
				$custom_field->saveFieldsContent();

				// Title
				$job_title = trim( htmlspecialchars( $_POST['job_title'] ) );

				update_post_meta( $pid, "title_variable", $job_title );
				update_post_meta( $pid, "job_title", $job_title );

				// Price
				$job_cost = htmlspecialchars( WPJ_Form::post( 'job_cost', '' ) );

				if ( get_option( 'wpjobster_price_type' ) == "fixed_amount" ) {
					$job_cost = get_option( 'wpjobster_job_fixed_amount' );
				}

				update_post_meta( $pid, "price", $job_cost );
				update_post_meta( $pid, "price_type", WPJ_Form::post( 'price_type', '' ) );

				if ( isset( $_POST['job_cat'] ) && isset( $_POST['subcat'] ) ) {
					do_action( 'wpj_save_job_fixed_amount', $pid, $_POST['job_cat'], $_POST['subcat'] );
				}

				// Category & Subcategory
				$job_category = isset( $_POST['job_cat'] ) ? htmlspecialchars( $_POST['job_cat'] ) : '';
				$term         = get_term( $job_category, 'job_cat' );
				$job_category = isset( $term->slug ) ? $term->slug : '';
				$arr_cats     = array();
				$arr_cats[]   = $job_category;

				if ( ! empty( $_POST['subcat'] ) ) {
					$term = get_term( $_POST['subcat'], 'job_cat' );
					$project_category2 = $term->slug;
					$arr_cats[] = $project_category2;
				}

				wp_set_object_terms( $pid, $arr_cats ,'job_cat' );

				// Descrption
				if ( get_option( 'wpjobster_job_description_type' ) == 'wysiwyg' ) { // WYSIWYG TEXTAREA
					$job_description = wpj_description_parser( $_POST['job_description'] );

				} elseif ( get_option( 'wpjobster_job_description_type' ) == 'tinymce' ) { // TINYMCE TEXTAREA
					$job_description = wp_kses_post( $_POST['job_description'] );

				} else {
					$job_description = substr( nl2br( strip_tags( htmlspecialchars( $_POST['job_description'] ) ) ), 0 , 2500 );

				}

				// Packages
				$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );
				if ( $wpjobster_packages == "yes" && isset( $_POST['price_type'] ) && $_POST['price_type'] == 'package' ) {
					update_post_meta( $pid, 'job_packages', 'yes' );

					if ( isset( $_POST['package_name'] ) ) {
						update_post_meta( $pid, 'package_name', $_POST['package_name']  );
					}
					if ( isset( $_POST['package_description'] ) ) {
						update_post_meta( $pid, 'package_description', $_POST['package_description']  );
					}
					if ( isset( $_POST['package_max_days'] ) ) {
						update_post_meta( $pid, 'package_max_days', $_POST['package_max_days']  );
					}
					if ( isset( $_POST['package_revisions'] ) ) {
						update_post_meta( $pid, 'package_revisions', $_POST['package_revisions']  );
					}
					if ( isset( $_POST['package_price'] ) ) {
						update_post_meta( $pid, 'package_price', $_POST['package_price'] );
						update_post_meta( $pid, 'package_price_1', $_POST['package_price'][0] );
						update_post_meta( $pid, 'package_price_2', $_POST['package_price'][1] );
						update_post_meta( $pid, 'package_price_3', $_POST['package_price'][2] );
					}

					$pck_custom_fields = array();
					if ( $_POST['pck-inp-custom-name'] ) {
						foreach ( $_POST['pck-inp-custom-name'] as $key => $value ) {
							if ( $value ) {
								$pck_custom_fields[] = array(
									'name'     => $value,
									'basic'    => $_POST['pck-chk-value']['basic'][$key],
									'standard' => $_POST['pck-chk-value']['standard'][$key],
									'premium'  => $_POST['pck-chk-value']['premium'][$key],
								);
							}
						}
						update_post_meta( $pid, 'package_custom_fields', $pck_custom_fields );
					}
				} else {
					update_post_meta( $pid, 'job_packages', 'no' );
				}

				// Tags
				$job_tags = isset( $_POST['job_tags'] ) ? trim( htmlspecialchars( $_POST['job_tags'] ) ) : '';
				wp_set_post_tags( $pid, $job_tags);

				// Instructions to buyer to job page
				if ( isset( $_POST['buyer_instructions'] ) ) {
					update_post_meta( $pid, "buyer_instructions", $_POST['buyer_instructions'] );
				} else {
					update_post_meta( $pid, "buyer_instructions", "no" );
				}

				// Instructions to buyer
				$instruction_box = isset( $_POST['instruction_box'] ) ? substr( nl2br( strip_tags( htmlspecialchars( $_POST['instruction_box'] ) ) ), 0 , 2500 ) : '';
				update_post_meta( $pid, 'instruction_box', $instruction_box );

				// FAQ
				$faq = array();
				if ( isset( $_POST['faq_question'] ) ) {
					foreach ( $_POST['faq_question'] as $key => $question ) {
						if ( $question && $_POST['faq_answer'][$key] ) {
							$faq[] = array(
								'question' => $question,
								'answer'   => $_POST['faq_answer'][$key]
							);
						}
					}
				}
				update_post_meta( $pid, 'faq', $faq );

				// Max Days
				$max_days = isset( $_POST['max_days'] ) ? trim( htmlspecialchars( $_POST['max_days'] ) ) : '';
				if ( $max_days == 'instant' ) {
					if ( isset( $_POST['price_type'] ) && ! in_array( $_POST['price_type'], wpj_get_job_no_days_price_types() ) ) {
						$max_days = 0;
						update_post_meta( $pid, 'instant', 1 );
					}
				}
				update_post_meta( $pid, "max_days", (int)$max_days );

				// Instant Delivery
				if ( isset( $_POST['hidden_files_instant_job_attachments'] ) && $_POST['hidden_files_instant_job_attachments'] != "" ) {
					if ( $jb_action == 'job_edit' ) {
						wpj_save_attachemtns( $_POST['hidden_files_instant_job_attachments'], $pid, 'job_any_attachments', 'edit' );
					} else {
						wpj_save_attachemtns( $_POST['hidden_files_instant_job_attachments'], $pid, 'job_any_attachments', 'new' );
					}
					update_post_meta( $pid, 'instant', 1 );
				} elseif ( $max_days != 'instant' ) {
					update_post_meta( $pid, 'instant', 0 );
				} elseif ( $max_days == 'instant' && isset( $_POST['price_type'] ) && in_array( $_POST['price_type'], wpj_get_job_no_days_price_types() ) ) {
					update_post_meta( $pid, 'instant', 0 );
				}

				// Shipping
				$wpjobster_enable_shipping = get_option( 'wpjobster_enable_shipping' );
				if ( $wpjobster_enable_shipping == 'yes' ) {
					$shipping = isset( $_POST['shipping'] ) ? trim( $_POST['shipping'] ) : '';
					if ( empty( $shipping ) || is_numeric( $shipping ) ) {
						update_post_meta( $pid, 'shipping', $shipping );
					} elseif ( $shipping != '' ) {
						update_post_meta( $pid, 'shipping', '' );
					}
				} else {
					update_post_meta( $pid, 'shipping', '' );
				}

				// Let's meet
				$lets_meet 	= trim( strip_tags( htmlspecialchars( isset( $_POST['lets_meet'] ) ? $_POST['lets_meet'] : "" ) ) );
				update_post_meta( $pid, "lets_meet", $lets_meet );

				// Location
				$wpjobster_location = get_option( 'wpjobster_location' );
				if ( $wpjobster_location == "yes" ) {
					$location_input = isset( $_POST['location_input'] ) ? htmlspecialchars( $_POST['location_input'] ) : '';
					$lat            = isset( $_POST['lat'] ) ? htmlspecialchars( $_POST['lat'] ) : '';
					$long           = isset( $_POST['long'] ) ? htmlspecialchars( $_POST['long'] ) : '';

					update_post_meta( $pid, "location_input", trim( $location_input ) );
					update_post_meta( $pid, "lat", trim( $lat ) );
					update_post_meta( $pid, "long", trim( $long ) );
				}

				// Distance
				$wpjobster_distance = get_option( 'wpjobster_distance_display_condition' );
				if ( $wpjobster_distance == 'always' || ( $wpjobster_distance == 'ifchecked' && $lets_meet == 'yes' ) ) {

					$distance_input = trim( htmlspecialchars( $_POST['distance_input'] ) );
					if ( is_numeric( $distance_input ) ) {
						update_post_meta( $pid, "distance_input", $distance_input );
					}
				} else {
					update_post_meta( $pid, "distance_input", '' );
				}

				// Display Map
				$wpjobster_location_display_map_user_choice = get_option( 'wpjobster_location_display_map_user_choice' );
				if ( $wpjobster_location_display_map_user_choice == 'yes' ) {
					$display_map = trim( strip_tags( htmlspecialchars( isset( $_POST['display_map'] ) ? $_POST['display_map'] : "" ) ) );
					update_post_meta( $pid, "display_map", $display_map );
				}

				// Cover Image & Images
				require_once( ABSPATH . "wp-admin" . '/includes/file.php' );
				require_once( ABSPATH . "wp-admin" . '/includes/image.php' );

				$default_nr = get_option( 'wpjobster_default_nr_of_pics' );

				if ( empty( $default_nr ) ) $default_nr = 5;

				for ( $j=1; $j <= $default_nr; $j++ ) {
					if ( ! empty( $_FILES['file_' . $j]['name'] ) ) {
						$upload_overrides             = array( 'test_form' => false );
						$uploaded_file                = wp_handle_upload( $_FILES['file_' . $j], $upload_overrides );
						$file_name_and_location       = $uploaded_file['file'];
						$file_title_for_media_library = $_FILES['file_' . $j]['name'];
						$arr_file_type                = wp_check_filetype( basename( $_FILES['file_' . $j]['name'] ) );
						$uploaded_file_type           = $arr_file_type['type'];

						if ( $uploaded_file_type == "image/png" or $uploaded_file_type == "image/jpg" or $uploaded_file_type == "image/jpeg" or $uploaded_file_type == "image/gif" ) {

							$attachment = array(
								'post_mime_type' => $uploaded_file_type,
								'post_title'     => apply_filters( 'wpj_uploaded_file_name_filter', 'File' ) . ' ' . addslashes( $file_title_for_media_library ),
								'post_content'   => '',
								'post_status'    => 'inherit',
								'post_parent'    => $pid,
								'post_author'    => $uid,
							);

							$attach_id   = wp_insert_attachment( $attachment, $file_name_and_location, $pid );
							$attach_data = wp_generate_attachment_metadata( $attach_id, $file_name_and_location );
							wp_update_attachment_metadata( $attach_id, $attach_data );
						}
					}
				}

				// Job Preview
				if ( isset( $_POST['hidden_files_preview_job_attachments'] ) && $_POST['hidden_files_preview_job_attachments'] != "" ) {
					if ( $jb_action == 'job_edit' ) {
						wpj_save_attachemtns( $_POST['hidden_files_preview_job_attachments'], $pid, 'preview_job_attchments', 'edit' );
					} else {
						wpj_save_attachemtns( $_POST['hidden_files_preview_job_attachments'], $pid, 'preview_job_attchments', 'new' );
					}
				}

				// Video
				$y_link = isset( $_POST['video_link'] ) ? $_POST['video_link'] : "";
				$y_link = is_array( $y_link ) ? array_filter( $y_link ) : "";

				update_post_meta( $pid, "video_link", $y_link );

				// Extra Fast Delivery
				if ( isset( $_POST['enable_extra_fast'] ) ) {
					$extra_fast_price = isset( $_POST['extra_fast_price'] ) ? trim( $_POST['extra_fast_price'] ) : '';
					$max_days_fast = isset( $_POST['max_days_fast'] ) ? trim( $_POST['max_days_fast'] ) : '';

					update_post_meta( $pid, 'extra_fast_enabled', true );
					update_post_meta( $pid, 'extra_fast_price', $extra_fast_price );
					update_post_meta( $pid, 'extra_fast_days', $max_days_fast );
				} else {
					update_post_meta( $pid, 'extra_fast_enabled', false );
				}

				// Additional Revision
				if ( isset( $_POST['enable_extra_revision'] ) ) {
					$extra_revision_price = isset( $_POST['extra_revision_price'] ) ? trim( $_POST['extra_revision_price'] ) : '';
					$max_days_revision = isset( $_POST['max_days_revision'] ) ? trim( $_POST['max_days_revision'] ) : '';

					update_post_meta( $pid, 'extra_revision_enabled', true );
					update_post_meta( $pid, 'extra_revision_price', $extra_revision_price );
					update_post_meta( $pid, 'extra_revision_days', $max_days_revision );

					if ( isset( $_POST['enable_multiples_revision'] ) ) {
						update_post_meta( $pid, 'extra_revision_multiples_enabled', true );
					} else {
						update_post_meta( $pid, 'extra_revision_multiples_enabled', false );
					}
				} else {
					update_post_meta( $pid, 'extra_revision_enabled', false );
				}

				// Extra
				for ( $i = 1; $i <= 10; $i++ ) {
					if ( isset( $_POST['enable_extra_' . $i] ) ) {
						$extra_content = trim( $_POST['extra' . $i . '_content'] );
						$extra_price = trim( $_POST['extra' . $i . '_price'] );
						$extra_days = trim( $_POST['max_days_' . $i] );

						update_post_meta( $pid, 'extra' . $i . '_extra_enabled', true );
						update_post_meta( $pid, 'extra' . $i . '_content', $extra_content );
						update_post_meta( $pid, 'extra' . $i . '_price', $extra_price );
						if ( ! empty( $extra_days ) && is_numeric( $extra_days ) && $extra_days > 0 ) {
							update_post_meta( $pid, 'max_days_ex_' . $i, $extra_days );
						} else {
							update_post_meta( $pid, 'max_days_ex_' . $i, 'instant' );
						}
						if ( isset( $_POST['enable_multiples_' . $i] ) ) {
							update_post_meta( $pid, 'extra' . $i . '_enabled', true );
						} else {
							update_post_meta( $pid, 'extra' . $i . '_enabled', false );
						}
					} else {
						update_post_meta( $pid, 'extra' . $i . '_extra_enabled', false );
					}
				}

				// Extra fields
				do_action( 'wpjobster_before_create_or_update_job_post', $uid, $pid );

				// Save the post
				$job_post = array();

				$job_post['ID']           = $pid;
				$job_post['post_title']   = $job_title;
				$job_post['post_content'] = $job_description;

				wp_update_post( $job_post );

				if ( $action_type == 'publish' ) {

					update_post_meta( $pid, 'is_draft','0' );

					wp_publish_post( $pid );

					$wpjobster_admin_approve_job = get_option( 'wpjobster_admin_approve_job' );

					$user_data = get_userdata( get_post_field( 'post_author', $pid ) );

					if ( $wpjobster_admin_approve_job == "yes" ) {

						$job_post['post_status'] = 'draft';

						update_post_meta( $pid, 'under_review', "1" );

						wpj_notify_user_translated( 'job_new', get_post_field( 'post_author', $pid ), array( '##job_name##' => $job_title ) );
						wpj_notify_user_translated( 'job_admin_new', 'admin', array( '##username##' => wpj_get_user_display_type( $user_data->ID ), '##job_name##' => $job_title, '##admin_job_link##' => admin_url( 'post.php?post=' . $pid . '&action=edit' ) ) );

						$url = get_permalink( get_option( 'wpjobster_my_account_page_id' ) ) . 'under-review';

					} else {

						$job_post['post_status'] = 'publish';

						update_post_meta( $pid, 'under_review', "0" );

						wpj_notify_user_translated( 'job_acc', get_post_field( 'post_author', $pid ), array( '##job_name##' => $job_title, '##job_link##' => get_post_permalink( $pid ) ) );
						wpj_notify_user_translated( 'job_admin_acc', 'admin', array( '##username##' => wpj_get_user_display_type( $user_data->ID ), '##job_name##' => $job_title, '##job_link##' => get_post_permalink( $pid ), '##admin_job_link##' => admin_url( 'post.php?post=' . $pid . '&action=edit' ) ) );

						do_action( 'wpjobster_new_job_completed', $uid, $pid );

						$url = get_permalink( get_option( 'wpjobster_my_account_page_id' ) );
					}

					wp_update_post( $job_post );

					if ( ! wpj_is_user_allowed_post_job( $uid, $job_cost ) ) {

						update_post_meta( $pid, 'active', '0' );
						update_post_meta( $pid, 'deactivation_reason', 'no_credits' );

						$url .= 'inactive/?no_credits=1';

					}

					$url = apply_filters( 'wpjobster_return_redirect_url_post_new', $url, $pid );

					wp_redirect( $url ); exit;

				} else { die(); }

			} else {
				echo '<div class="ui negative message mt20">' . __( 'Complete all required fields.', 'wpjobster' ) . '</div>';
			}
		}
	}
}

/*
 * TAB HTML CONTENT
 */
function wpj_aoe_get_job_field_content( $fields = '', $ret = '' ) {
	$f_name         = $fields['acf_fc_layout'];
	$f_label        = $fields['label'];
	$f_placeholder  = isset( $fields['placeholder'] ) ? $fields['placeholder'] : '';
	$f_instructions = isset( $fields['instructions'] ) ? $fields['instructions'] : '';

	$uid = get_current_user_id();

	$pid  = WPJ_Form::get( 'jobid' );
	$post = $pid ? get_post( $pid ) : array();

	$jb_action = WPJ_Form::get( 'jb_action' );
	$instr_field_name = $f_instructions;

	$allowed_size_mb = get_option( 'wpjobster_max_img_upload_size' );
	if ( ! $allowed_size_mb) { $allowed_size_mb = 10; }
	$allowed_size = $allowed_size_mb * 1024 * 1000;

	$id = ''; $class = ''; $label = ''; $popup = ''; $field = ''; $f_rej_name = '';

//-> *** GENERAL ***//

	// Field Separator
	if ( $f_name == 'job_field_separator' ) { $id = 'field_separator'; $class = 'field_separator'; $label = 'no'; $popup = 'no'; $field = 'yes';
		$ret .= '<div class="ui ' . $fields['label'] . ' divider"></div>';
	}

	// Custom Field
	if ( strpos( $f_name, 'custom_field' ) !== false ) { $class = "cf";

		$custom_field = new WPJ_Custom_Fields( $pid, 'job' );

		$jcf   = $custom_field->getFieldsContent( $fields );

		$popup = $jcf['popup']; $label = $jcf['label'];

		$ret  .= $jcf['content'];
	}

// *** END GENERAL SECTION *** <-//

//-> *** JOB INFORMATION SECTION *** //

	// Job Title
	if ( $f_name == 'job_title' ) { $f_rej_name = 'name';
		$post_job_title = WPJ_Form::post( 'job_title', ( ( isset( $post->post_title ) && $post->post_title != 'Auto Draft' ) ? $post->post_title : '' ) );

		$ret .= '<textarea placeholder="' . $f_placeholder . '" rows="2" class="job-title charlimit-jobtitle ' . wpj_aoe_get_rejected_input( 'name' ) . '" name="job_title">' . $post_job_title . '</textarea>';
		$ret .= '<span class="charscounter"> ' . __( 'characters left', 'wpjobster' ) . '.</span>';
	}

	// Job Price
	if ( $f_name == 'job_price' ) { $id = 'job_price_field';
		$post_job_price = WPJ_Form::post( 'job_cost', get_post_meta( $pid, 'price', true ) );
		$post_job_type  = WPJ_Form::post( 'price_type', get_post_meta( $pid, 'price_type', true ) );

		$price_type = get_option( 'wpjobster_price_type' );

		$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );
		$lvl_sts            = wpj_get_user_feature_value( 'packages', 'packages', 'no', $uid );
		$packages           = $wpjobster_packages == "yes" && $lvl_sts == 'yes' ? 'yes' : 'no';

		if ( get_post_meta( $pid, 'job_packages', true ) == 'yes' ) { $post_job_type = 'package'; }

		if ( $price_type == "fixed_amount" ) {

			$ret .= '<div class="job-fixed-price">';
				$ret .= wpjobster_get_show_price_classic( get_option( 'wpjobster_job_fixed_amount' ) );
				$ret .= '<input type="hidden" value="' . get_option( 'wpjobster_job_fixed_amount' ) . '" name="job_cost" />';
			$ret .= '</div>';

		} elseif ( $price_type == "dropdown_values" ) {

			$ret .= wpjobster_get_variale_cost_dropdown( 'grey_input', $post_job_price );

		} else {

			if ( wpj_exist_job_price_type_enabled() ) {

				$custom_rate_only = wpj_is_job_price_type_custom_only_enabled() ? true : false;

				// Multiple type of prices
				$ret .= '<div class="ui right labeled input">';
					$ret .= '<div class="ui action input">';

						$ret .= '<div class="ui labeled input">';
							$ret .= '<div class="ui label v-align">' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . '</div>';
							$ret .= '<input ' . ( ( $custom_rate_only || $post_job_type == 'custom' || $post_job_type == 'package' ) ? "disabled" : "" ) . ' placeholder="' . $f_placeholder . '" data-packages="' . __( 'Pacakges only', 'wpjobster' ) . '" data-customplaceholder="' . __( 'Custom offers only', 'wpjobster' ) . '" type="number" value="' . $post_job_price . '" step="any" name="job_cost" class="post-new-price" />';
						$ret .= '</div>';

						$ret .= '<select name="price_type" class="ui compact selection dropdown">';

							foreach ( wpj_get_job_price_types() as $key => $price_type ) {
								if ( wpj_is_job_price_type_enabled( $price_type ) ) {
									$ret .= '<option ' . ( $post_job_type == $price_type ? "selected='selected'" : " " ) . ' value="' . strtolower( $price_type ) . '">' . strtolower( wpjobster_translate_string( $price_type ) ) . '</option>';
								}
							}

						$ret .= '</select>';

					$ret .= '</div>';
				$ret .= '</div>';

			} else {

				// Free input text
				$ret .= '<div class="ui labeled input">';
					$ret .= '<div class="ui label">' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . '</div>';
					$ret .= '<input placeholder="' . $f_placeholder . '" type="number" value="' . $post_job_price . '" step="any" name="job_cost" class="post-new-price" />';
				$ret .= '</div>';

			}
		}
	}

	// Job Category & SubCategory
	if ( $f_name == 'job_category' || $f_name == 'job_subcategory' ) {
		$categories = wp_get_object_terms( $pid, 'job_cat', array(
				'orderby' => 'term_order',
				'order' => 'ASC',
			)
		);

		if ( isset( $categories[0] ) && $categories[0]->parent != 0 ) {
			$categories = array_reverse( $categories );
		}

		$default_job_category = isset( $categories[0]->term_id ) ? $categories[0]->term_id : 7;
		$default_job_subcategory = isset( $categories[1]->term_id ) ? $categories[1]->term_id : 8;

		$post_job_category = WPJ_Form::post( 'job_cat', $default_job_category );
		$post_job_subcategory = WPJ_Form::post( 'subcat', $default_job_subcategory );

		// Category
		if ( $f_name == 'job_category' ) { $id = ""; $class = "";
			$ret .= wpjobster_get_only_categories(
				"job_cat",
				"id",
				__( 'Select Category','wpjobster' ),
				"",
				"job_cat",
				"job_cat",
				$post_job_category,
				false
			);
		}

		// Subcategory
		if ( $f_name == 'job_subcategory' ) { $id = "job_subcategory_field"; $class = "";
			$ret .= '<span id="sub_cats" class="post-new-subcat" data-required="' . $fields['required'] . '">';
				$ret .= wpjobster_get_only_subcategories(
					'job_cat',
					'id',
					__( 'Select Subcategory', 'wpjobster' ),
					'',
					'subcat',
					'subcat',
					$post_job_category,
					$post_job_subcategory,
					false
				);
			$ret .= '</span>';

			$ret .= '<input id="subcategory_required" type="hidden" name="subcategory_required" value="' . $fields['required'] . '">';
		}
	}

	// Job Description
	if ( $f_name == 'job_description' ) { $id = "job_description_field"; $class = "post-new-job-wrapper-x"; $f_rej_name = 'description';
		$post_job_description = WPJ_Form::post( 'job_description', $post->post_content );

		if ( get_option( 'wpjobster_job_description_type' ) == 'wysiwyg' ) { // WYSIWYG TEXTAREA
			ob_start(); wpj_show_wysiwyg_content( $pid, 'job_description', 'job_description', 'job_description_toolbar', '', $f_placeholder, $post_job_description, 'job_description', $jb_action );
			$ret .= ob_get_contents(); ob_end_clean();

		} elseif ( get_option( 'wpjobster_job_description_type' ) == 'tinymce' ) { // TINYMCE TEXTAREA
			ob_start(); wp_editor( $post_job_description, 'job_description', array(
				'textarea_name'    => 'job_description',
				'editor_class'     => wpj_aoe_get_rejected_input( 'description' ),
				'drag_drop_upload' => true,
				'textarea_rows'    => 10,
				'quicktags'        => false
			) ); ?>

			<span id="chars_counter" class="lighter"><?php echo strlen( strip_tags( $post_job_description ) ); ?></span> / <?php echo sprintf( __( '%s Characters', 'wpjobster' ), get_option( 'wpjobster_characters_description_max' ) ); ?>

			<?php $ret .= ob_get_contents(); ob_end_clean();

		} else { // SIMPLE TEXTAREA
			$ret .= '<textarea placeholder="' . $f_placeholder . '" rows="6" class="charlimit-jobdescription ' . wpj_aoe_get_rejected_input( 'description' ) . '" name="job_description">' . $post_job_description . '</textarea>';
			$ret .= '<span class="charscounter">' . __( " characters left.", "wpjobster" ) . '</span>';

		}
	}

	// Job Packages
	if ( $f_name == 'job_packages' ) { $label = 'no'; $popup = 'no';
		ob_start(); wpj_aoe_show_packages_content();
		$ret .= ob_get_contents(); ob_end_clean();
	}

	// Job Tags
	if ( $f_name == 'job_tags' ) { $class = "input-block"; $f_rej_name = 'tags';
		$ret_job_tags = '';

		if ( isset( $_POST['job_tags'] ) ) {
			$post_job_tags = $_POST['job_tags'];
		} else {
			$job_tags = wp_get_post_tags( $pid );
			$i = 0; $post_job_tags = ''; $i_separator = '';
			if ( $job_tags ) {
				foreach ( $job_tags as $tag ) {
					$post_job_tags .= $i_separator . $tag->name; $i++;
					if ($i > 0) { $i_separator = ', '; }
				}
			}
		}

		$tags_id = wpj_aoe_get_rejected_input( 'tags' ) == 'rejected-input' ? 'job_tags_rejected' : 'job_tags';
		$ret_job_tags .= '<input type="text" value="' . $post_job_tags . '" id="' . $tags_id . '" name="job_tags" class="' . wpj_aoe_get_rejected_input( 'tags' ) . ' js-tags" />';
		$ret_job_tags .= '<span class="lighter">(' . __( 'separate your tags by comma', 'wpjobster' ) . ')</span></label>';

		$ret .= apply_filters( 'wpj_post_new_job_tags_field_html_filter', $ret_job_tags, $post_job_tags, $tags_id );
	}

// *** END JOB INFORMATION SECTION *** <-//

//-> *** JOB BUYER SECTION *** //

	// Job Instructions to Buyer
	if ( $f_name == 'job_instructions_to_buyer' ) { $f_rej_name = 'instructions'; $class = 'post-job-buyer-instructions';

		$buyer_instructions_op = get_option( 'wpjobster_buyer_instructions_job_enabled' );
		if ( $buyer_instructions_op == "yes" ) {
			$post_job_buyer_instructions = WPJ_Form::post( 'buyer_instructions', get_post_meta( $pid, 'buyer_instructions', true ) );
			if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['buyer_instructions'] ) ) { $post_job_lets_meet = false; }

			$ret .= '<div class="ui toggle checkbox float-right dib">';
				$checked = $post_job_buyer_instructions == 'yes' ? 'checked' : '';
				$ret .= '<input type="checkbox" value="yes" name="buyer_instructions" id="buyer_instructions" ' . $checked . ' />';
				$ret .= '<label>' . __( 'Slide to display instructions to job page', 'wpjobster' ) . '</label>';
			$ret .= '</div>';
		}

		$post_job_instruction_box = WPJ_Form::post( 'job_instruction_box', get_post_meta( $pid, 'instruction_box', true ) );
		$post_job_instruction_box = str_replace( '<br />', "", $post_job_instruction_box ); // if text contain <br /> as text
		$ret .= '<textarea data-required="' . $fields['required'] . '" placeholder="' . $f_placeholder . '" rows="6" class="charlimit-jobinstruction ' . wpj_aoe_get_rejected_input( 'instructions' ) . '" name="instruction_box">' . $post_job_instruction_box . '</textarea>';
		$ret .= '<span class="charscounter"> ' . __( 'characters left', 'wpjobster' ) . '.</span>';

		$ret .= '<input id="instruction_box_required" type="hidden" name="instruction_box_required" value="' . $fields['required'] . '">';

	}

	// Job FAQ
	if ( $f_name == 'job_faq' ) { ob_start();

		$post_job_faq = isset( $_POST['faq_question'] ) ? $_POST['faq_question'] : get_post_meta( $pid, 'faq', true );
		if ( $post_job_faq ) {
			foreach ( $post_job_faq as $key => $faq ) { ?>

				<div class="faq_wrapper">

					<div class="ui styled fluid accordion faq-item">

						<div class="title">
							<i class="dropdown icon"></i>
							<?php echo $faq['question']; ?>
						</div>

						<div class="content">

							<p><?php _e( 'Question', 'wpjobster' ); ?></p>
							<input class="faq-question" data-required="<?php echo $fields['required']; ?>" placeholder="<?php _e( 'Question', 'wpjobster' ); ?>" type="text" name="faq_question[]" value="<?php echo $faq['question']; ?>" />

							<p><?php _e( 'Answer', 'wpjobster' ); ?></p>
							<textarea class="faq-answer" data-required="<?php echo $fields['required']; ?>" placeholder="<?php _e( 'Answer', 'wpjobster' ); ?>" rows="6" name="faq_answer[]"><?php echo isset( $_POST['faq_question'] ) ? isset( $_POST['faq_answer'][$key] ) : $faq['answer']; ?></textarea>

						</div>

					</div>

					<a href="javascript:void(0);" class="delete_faq cursor_pointer"><?php _e( '- Delete FAQ', 'wpjobster' ); ?></a>

				</div>

			<?php }

		} else { ?>

			<div class="faq_wrapper">

				<div class="ui styled fluid accordion faq-item">

					<div class="title">
						<i class="dropdown icon"></i>
						<?php _e( 'Insert your question and answer', 'wpjobster' ); ?>
					</div>

					<div class="content">

						<p><?php _e( 'Question', 'wpjobster' ); ?></p>
						<input class="faq-question" data-required="<?php echo $fields['required']; ?>" placeholder="<?php _e( 'Question', 'wpjobster' ); ?>" type="text" name="faq_question[]" />

						<p><?php _e( 'Answer', 'wpjobster' ); ?></p>
						<textarea class="faq-answer" data-required="<?php echo $fields['required']; ?>" data-required="<?php echo $fields['required']; ?>" placeholder="<?php _e( 'Answer', 'wpjobster' ); ?>" rows="6" name="faq_answer[]"></textarea>

					</div>

				</div>

				<a href="javascript:void(0);" class="delete_faq cursor_pointer"><?php _e( '- Delete FAQ', 'wpjobster' ); ?></a>

			</div>

		<?php } ?>

		<a href="javascript:void(0);" id="add_faq" class="add_faq cursor_pointer"><?php _e( '+ Add New FAQ', 'wpjobster' ); ?></a>

		<?php $ret .= ob_get_contents(); ob_end_clean();

	}

	// Job Max Days to Deliver
	if ( $f_name == 'job_max_days_to_deliver' ) { $id = "job_delivery_time_field"; $label = 'no';
		$post_job_max_days = WPJ_Form::post( 'max_days', get_post_meta( $pid, 'max_days', true ) );

		if ( get_option( 'wpjobster_enable_delivery_time' ) != 'no' || get_option( 'wpjobster_enable_instant_deli' ) != 'no' ) { $label = 'yes';
			$ret .= '<select id="max_days" name="max_days" class="ui dropdown max-day-deliver">';
				$ret .= '<option value="" disabled selected hidden>' . __( "Please Select", "wpjobster" ) . '</option>';

				if ( get_option( 'wpjobster_enable_instant_deli' ) != 'no' ) {
					$instant_selected = $post_job_max_days == 'instant' || $post_job_max_days == 0 ? ' selected="selected" ' : '';
					$ret .= '<option ' . $instant_selected . ' value="instant">' . __( 'Instant', 'wpjobster' ) . '</option>';
				}

				if ( get_option( 'wpjobster_enable_delivery_time' ) != 'no' ) {
					for ( $i_count = 1; $i_count <= get_option( 'wpjobster_job_max_delivery_days' ); $i_count++ ) {
						$max_days_selected = $i_count == $post_job_max_days ? ' selected="selected=" ' : '';
						$ret .= '<option value="' . $i_count . '"' . $max_days_selected . '>';
							$ret .= sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count );
						$ret .= '</option>';
					}
				}
			$ret .= '</select>';
		}
	}

	// Job Instant Delivery
	if ( $f_name == 'job_instant_delivery' ) { $id = "job_instant_delivery_field"; $f_rej_name = 'instant_delivery'; $label = 'no';

		$wpjobster_enable_instant_deli = get_option( 'wpjobster_enable_instant_deli' );
		if ( $wpjobster_enable_instant_deli != "no" ) { $label = 'yes';
			$post_job_max_days = WPJ_Form::post( 'max_days', get_post_meta( $pid, 'max_days', true ) );
			$max_days = $post_job_max_days == 'instant' || $post_job_max_days == 0 ? 'instant' : '';
			$instant_file_class = $max_days == 'instant' ? 'instant-delivery-file' : 'instant-delivery-file hidden';

			$class = $instant_file_class;

			if ( wpj_aoe_get_rejected_input( 'instant_delivery' ) == 'rejected-input' ) { $ret .= '<div class="rejected-border rejected-border-uploader">'; }
				ob_start();
				wpj_display_upload_form( $secure = 1, "file_upload_instant_job_attachments", "hidden_files_instant_job_attachments", "instant_delivery" );
				$ret .= ob_get_contents();
				ob_end_clean();
			if ( wpj_aoe_get_rejected_input( 'instant_delivery' ) == 'rejected-input' ) { $ret .= '</div>'; }

			$post_job_instant_delivery = WPJ_Form::post( 'hidden_files_instant_job_attachments', get_post_meta( $pid, 'job_any_attachments', true ) );
			if ( wpj_post_has_attachments( $post_job_instant_delivery ) ) {
				ob_start();
				wpj_list_attachments( $post_job_instant_delivery, $pid, 'job_any_attachments' );
				$ret .= ob_get_contents();
				ob_end_clean();
			}
		}
	}

	// Job Shipping
	if ( $f_name == 'job_requires_shipping' ) { $label = 'no';
		$wpjobster_enable_shipping = get_option( 'wpjobster_enable_shipping' );
		$post_job_shipping = WPJ_Form::post( 'shipping', get_post_meta( $pid, 'shipping', true ) );

		if ( $wpjobster_enable_shipping == "yes" ) { $label = 'yes';
			$ret .= '<div class="ui labeled input">';
				$ret .= '<div class="ui label">' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . '</div>';
				$ret .= '<input type="number" step="any" size="5" placeholder="' . $f_placeholder . '" name="shipping" value="' . $post_job_shipping . '" />';
			$ret .= '</div>';
		}
	}

	// Job Let's Meet
	if ( $f_name == 'job_lets_meet' ) { $label = 'no';
		$wpjobster_lets_meet = get_option( 'wpjobster_lets_meet' );
		if ( $wpjobster_lets_meet == "yes" ) { $label = 'yes';
			$post_job_lets_meet = WPJ_Form::post( 'lets_meet', get_post_meta( $pid, 'lets_meet', true ) );
			if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['lets_meet'] ) ) { $post_job_lets_meet = false; }

			$ret .= '<div class="post-new-job-slide-box">';
				$ret .= '<div class="ui toggle checkbox">';
					$checked = $post_job_lets_meet == 'yes' ? 'checked' : '';
					$ret .= '<input type="checkbox" value="yes" name="lets_meet" id="lets_meet" ' . $checked . ' />';
					$ret .= '<label>' . __( 'Slide to enable', 'wpjobster' ) . '</label>';
				$ret .= '</div>';
			$ret .= '</div>';
		}
	}

	// Job Location
	if ( $f_name == 'job_location' ) { $label = 'no';
		$wpjobster_location_display_condition = get_option( 'wpjobster_location_display_condition' );
		if ( $wpjobster_location_display_condition == 'ifchecked' ) {
			$id = "location-input";
		}

		if ( $wpjobster_location_display_condition == 'always' || $wpjobster_location_display_condition == 'ifchecked' ) {
			$wpjobster_location = get_option( 'wpjobster_location' );
			if ( $wpjobster_location == "yes" ) { $label = 'yes';
				$post_job_location = WPJ_Form::post( 'location_input', get_post_meta( $pid, 'location_input', true ) );
				$post_job_lat = WPJ_Form::post( 'job_lat', get_post_meta( $pid, 'lat', true ) );
				$post_job_long = WPJ_Form::post( 'job_long', get_post_meta( $pid, 'long', true ) );

				$ret .= '<div class="ui search js-location-autocomplete">';
					$ret .= '<div class="ui clearable input">';
						$ret .= '<input placeholder="' . $f_placeholder . '" type="text" data-replaceplaceholder=" ' . __( 'Select a valid location', 'wpjobster' ) . '" placeholder="' . __( 'Location', 'wpjobster' ) . '" id="location_input" class="prompt" value="' . $post_job_location . '" name="location_input">';

						$ret .= '<input id="lat" type="hidden" name="lat" value="' . $post_job_lat . '">';
						$ret .= '<input id="long" type="hidden" name="long" value="' . $post_job_long . '">';
					$ret .= '</div>';
					$ret .= '<div class="results"></div>';
				$ret .= '</div>';
			}
		}
	}

	// Job Distance
	if ( $f_name == 'job_distance' ) { $label = 'no';
		$wpjobster_distance_display_condition = get_option( 'wpjobster_distance_display_condition' );
		if ( $wpjobster_distance_display_condition == 'ifchecked' ) {
			$id = "distance-input";
		}

		$post_job_distance = WPJ_Form::post( 'distance_input', get_post_meta( $pid, 'distance_input', true ) );

		if ( $wpjobster_distance_display_condition == 'always' || $wpjobster_distance_display_condition == 'ifchecked' ) {
			$label = 'yes';

			if ( get_option( 'wpjobster_locations_unit' ) == 'miles' ) {
				$radius_placeholder = __( "mi", "wpjobster" );
			} else {
				$radius_placeholder = __( "km", "wpjobster" );
			}

			$ret .= '<div class="ui labeled input">';
				$ret .= '<div class="ui label">' . $radius_placeholder . '</div>';
				$ret .= '<input placeholder="' . $f_placeholder . '" type="number" placeholder="' . __( 'Distance', 'wpjobster' ) . '" id="distance_input" value="' . $post_job_distance . '" name="distance_input">';
			$ret .= '</div>';
		}
	}

	// Job Display Map
	if ( $f_name == 'job_display_map' ) { $label = 'no';
		$wpjobster_location_display_condition = get_option( 'wpjobster_location_display_condition' );
		if ( $wpjobster_location_display_condition == 'ifchecked' ) {
			$id = "map-checkbox";
		}

		$post_job_map = WPJ_Form::post( 'display_map', get_post_meta( $pid, 'display_map', true ) );
		if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['display_map'] ) ) { $post_job_map = false; }

		$wpjobster_location_display_map_user_choice = get_option( 'wpjobster_location_display_map_user_choice' );
		$wpjobster_lets_meet = get_option( 'wpjobster_lets_meet' );
		if ( $wpjobster_location_display_map_user_choice == 'yes' && ( ( $wpjobster_location_display_condition == 'ifchecked' && $wpjobster_lets_meet == "yes" ) || $wpjobster_location_display_condition == 'always' ) ) {
			$label = 'yes';

			$ret .= '<div class="post-new-job-check-map">';
				$ret .= '<div class="ui checkbox">';
					$checked = $post_job_map == 'yes' ? 'checked' : '';
					$ret .= '<input type="checkbox" name="display_map" value="yes" id="display_map" ' . $checked . ' />';
						$ret .= '<label>' . __( 'Check to enable', 'wpjobster' ) . '</label>';
				$ret .= '</div>';
			$ret .= '</div>';
		}
	}

// *** END JOB BUYER SECTION *** <-//

//-> *** JOB MEDIA SECTION *** //

	// Job Cover Image
	if ( $f_name == 'job_cover_image' ) { $label = 'no';
		if ( get_option( 'wpjobster_enable_job_cover' ) == 'yes' ) { $label = 'yes';

			if ( get_option( 'wpjobster_preferred_image_uploader' ) === 'html5fileupload' ) {

				$ret .= '<div id="cover-image" class="cf" style="margin-top:20px">';

					$cover_image_id  = get_post_meta( $pid, "cover-image", 1 );
					$cover_image_url = wpj_get_attachment_image_url( $cover_image_id, array( 980, 180 ) );

					if ( ! empty( $cover_image_id ) ) {

						$ret .= '<div class="div_div cover_div_div" id="image_ss' . $cover_image_id . '" image_id="' . $cover_image_id . '">';

							$ret .= '<img class="image_class" src="' . $cover_image_url . '" />';

							$ret .= '<a href="javascript: void(0)" onclick="delete_this_file(\'' . $cover_image_id . '\', \'\', \'\', \'' . $pid . '\', \'cover\')" class="delete-this"></a>';

						$ret .= '</div>';

					}

				$ret .= '</div>';

				$ret .= '<div class="job-cover-input-container">';

					$ret .= '<div class="html5fileupload cover-image" data-max-filesize="' . $allowed_size . '" data-remove-done="true" data-autostart="true" data-valid-mime="image.*" data-url="' . get_template_directory_uri() . '/lib/html5fileupload/save_wp_jobcover_attachment.php" data-multiple="false" style="width: 100%;">';

						$ret .= '<input type="file" name="file" />';

					$ret .= '</div>';

				$ret .= '</div>';

			} else {

				ob_start();
				wpjobster_dropzone_cover_uploader( $pid );
				$ret .= ob_get_contents();
				ob_end_clean();

			}
		}
	}

	// Job Images
	if ( $f_name == 'job_images' ) { $f_rej_name = 'images';
		if ( wpj_aoe_get_rejected_input( 'images' ) == 'rejected-input' ) { $ret .= '<div class="rejected-border">'; }
			if ( get_option( 'wpjobster_preferred_image_uploader' ) === 'html5fileupload' ) {

				$ret .= '<div id="thumbnails" data-pid="' . $pid . '" class="cf" style="margin-top:20px">';

					$attachments = wpjobster_get_job_images( $pid );

					if ( $attachments ) {

						foreach ( $attachments as $attachment ) {

							$ret .= '<div class="div_div" id="image_ss' . $attachment->ID . '" image_id="' . $attachment->ID . '">';

								$ret .= '<img width="90" class="image_class" height="90" src="' . wpj_get_attachment_image_url( $attachment->ID, array( 90, 90 ) ) . '" />';

								$ret .= '<a href="javascript: void(0)" onclick="delete_this_file(\'' . $attachment->ID . '\', \'\', \'\', \'\', \'image-html5\')" class="delete-this"></a>';

							$ret .= '</div>';

						}

					}

				$ret .= '</div>';

				$ret .= '<input type="hidden" name="images_order" id="images_order" />';

				$ret .= '<div class="col-xs-12 job-images-input-container">';
					$ret .= '<div class="html5fileupload demo_multi" data-max-filesize="' . $allowed_size . '" data-remove-done="true" data-autostart="true" data-valid-mime="image.*" data-url="' . get_template_directory_uri() . '/lib/html5fileupload/html5fileupload.php" data-multiple="true" style="width: 100%;">';

						$ret .= '<input type="file" name="file" />';

					$ret .= '</div>';
				$ret .= '</div>';

			} else {

				ob_start();
				wpjobster_dropzone_image_uploader( $pid, 'job' );
				$ret .= ob_get_contents();
				ob_end_clean();

			}
		if ( wpj_aoe_get_rejected_input( 'images' ) == 'rejected-input' ) { $ret .= '</div>'; }
	}

	// Job Preview
	if ( $f_name == 'job_preview' ) { $f_rej_name = 'job_preview'; $label = 'no';

		$wpjobster_attachments_enable = get_option( 'wpjobster_job_attachments_enabled' );
		if ( $wpjobster_attachments_enable == "yes" ) { $label = 'yes';
			if ( wpj_aoe_get_rejected_input( 'job_preview' ) == 'rejected-input' ) { $ret .= '<div class="rejected-border rejected-border-uploader">'; }
				ob_start();
				wpj_display_upload_form( $secure = 1, "file_upload_preview_job_attachments", "hidden_files_preview_job_attachments", "work_preview" );
				$ret .= ob_get_contents();
				ob_end_clean();
			if ( wpj_aoe_get_rejected_input( 'job_preview' ) == 'rejected-input' ) { $ret .= '</div>'; }

			$post_job_preview = WPJ_Form::post( 'hidden_files_preview_job_attachments', get_post_meta( $pid, 'preview_job_attchments', true ) );
			if ( wpj_post_has_attachments( $post_job_preview ) ) {
				ob_start();
				wpj_list_attachments( $post_job_preview, $pid, 'preview_job_attchments' );
				$ret .= ob_get_contents();
				ob_end_clean();
			}
		}
	}

	// Job Videos
	if ( $f_name == 'job_video_link' ) { $f_rej_name = 'video';
		$wpjobster_enable_video_multiples = wpj_get_user_feature_status( 'wpjobster_enable_video_multiples', 'wpjobster_subscription_video_multiples_enabled' );
		if ( $wpjobster_enable_video_multiples == 'yes' && wpj_get_user_feature_value( 'vds', 'video_multiples' ) ) {
			$post_job_videos = isset( $_POST['video_link'] ) ? $_POST['video_link'] : get_post_meta( $pid, 'video_link', true );
			if ( $post_job_videos && $wpjobster_enable_video_multiples == 'yes' ) {
				foreach ( $post_job_videos as $key => $value ) {
					$ret .= '<div class="video_wrapper">';
						$ret .= '<input placeholder="' . $f_placeholder . '" class="video-link ' . wpj_aoe_get_rejected_input( 'video' ) . '" type="text" name="video_link[]" value="' . $value . '" />';

						$ret .= '<a href="javascript:void(0);" class="delete_video cursor_pointer">' . __( '- Delete Video', 'wpjobster' ) . '</a>';
					$ret .= '</div>';
				}
			} else {
				$post_job_videos = isset( $post_job_videos[0] ) && $post_job_videos[0] ? $post_job_videos[0] : false;

				$ret .= '<div class="video_wrapper">';
					$ret .= '<input placeholder="' . $f_placeholder . '" class="video-link ' . wpj_aoe_get_rejected_input( 'video' ) . '" type="text" name="video_link[]" value="' . $post_job_videos . '" />';

					$ret .= '<a href="javascript:void(0);" class="delete_video cursor_pointer">' . __( '- Delete Video', 'wpjobster' ) . '</a>';
				$ret .= '</div>';
			}

			if ( $wpjobster_enable_video_multiples == 'yes' ) {
				$ret .= '<a href="javascript:void(0);" id="add_video" class="cursor_pointer">' . __( '+ Add New Video', 'wpjobster' ) . '</a>';
			}
		} else {
			if ( $f_name == 'job_video_link' ) { $ret .= __( 'You\'re not allowed to use video link', 'wpjobster' ); }
		}
	}

	// Job Audios
	if ( $f_name == 'job_audios' ) { $f_rej_name = 'audio'; $label = 'no';

		$wpjobster_audio_enable = get_option( 'wpjobster_audio' );
		if ( $wpjobster_audio_enable == "yes" ) { $label = 'yes';

			$audio_args = array(
				'post_type'      => 'attachment',
				'post_parent'    => $pid,
				'post_mime_type' => 'audio',
				'numberposts'    => -1,
				'orderby'        => 'meta_value_num date',
				'order'          => 'ASC'
			);
			$attachments = get_posts( $audio_args );

			if ( wpj_aoe_get_rejected_input( 'audio' ) == 'rejected-input' ) { $ret .= '<div class="rejected-border">'; }

				$ret .= '<div class="audio-upload-space"></div>';

				$ret .= '<div class="hidden_input">';
					$ret .= '<div id="queue"></div>';
					$ret .= '<input id="audio_file_upload" name="audio_file_upload" type="file" multiple="false" accept="image/*">';
				$ret .= '</div>';

				$ret .= '<div id="thumbnails_audio" class="cf">';

					if ( $attachments ) {

						foreach ( $attachments as $attachment ) {

							$ret .= '<div class="div_div audio_uploaded" id="image_ss' . $attachment->ID . '" audio_id="' . $attachment->ID . '">';
								$ret .= '<p>' . basename( get_attached_file( $attachment->ID ) ) . '</p>';
								$ret .= '<a href="javascript: void(0)" onclick="delete_this_file(\'' . $attachment->ID . '\', \'\', \'\', \'\', \'audio\')" class="delete-this"></a>';
							$ret .= '</div>';

						}

					}

				$ret .= '</div>';

			if ( wpj_aoe_get_rejected_input( 'audio' ) == 'rejected-input' ) { $ret .= '</div>'; }
		}
	}

// *** END JOB MEDIA SECTION *** <-//

//-> *** JOB EXTRA SECTION *** //

	// Job Extra Fast Delivery
	if ( $f_name == 'job_extra_fast_delivery' || $f_name == 'job_extra_fast_delivery_price' || $f_name == 'job_extra_fast_delivery_max_days_to_deliver' ) {

		if ( wpj_get_user_feature_status( 'wpjobster_enable_extra_fast_delivery', 'wpjobster_subscription_ex_fast_delivery_enabled' ) != "no" && wpj_get_user_feature_value( 'fast_delivery_multiples', 'fast_del_multiples' ) ) {
			if ( $f_name == 'job_extra_fast_delivery' ) { // EFD Enable
				$label = 'no';
				$post_job_extra_fast_delivery = WPJ_Form::post( 'enable_extra_fast', get_post_meta( $pid, 'extra_fast_enabled', true ) );
				if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['enable_extra_fast'] ) ) { $post_job_extra_fast_delivery = false; }

				$ret .= '<div class="ui checkbox">';
					$checked = $post_job_extra_fast_delivery == true ? 'checked' : '';
					$ret .= '<input type="checkbox" name="enable_extra_fast" id="enable_extra_fast" ' . $checked . ' />';
					$ret .= '<label><span> ' . $f_label . '</span></label>';
				$ret .= '</div>';
			} elseif ( $f_name == 'job_extra_fast_delivery_price' ) { // EFD Price
				$class .= " lock-field";
				$post_job_efd_price = WPJ_Form::post( 'extra_fast_price', get_post_meta( $pid, 'extra_fast_price', true ) );

				$ret .= '<div class="ui labeled input">';
					$ret .= '<div class="ui label">' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . '</div>';
					$ret .= '<input placeholder="' . $f_placeholder . '" type="number" value="' . $post_job_efd_price . '" step="any" name="extra_fast_price" id="extra_fast_price" class="price-input" />';
				$ret .= '</div>';
			} elseif ( $f_name == 'job_extra_fast_delivery_max_days_to_deliver' ) { // EFD Max Days to Deliver
				$class .= " lock-field";
				$post_job_efd_max_days = WPJ_Form::post( 'max_days_fast', get_post_meta( $pid, 'extra_fast_days', true ) );

				$ret .= '<select id="max_days_fast" name="max_days_fast" class="max-day-deliver max_days_fast ui dropdown">';
					$ret .= '<option value="" disabled selected hidden>' . __("Please Select","wpjobster") . '</option>';

					$wpjobster_enable_instant_deli = get_option( 'wpjobster_enable_instant_deli' );
					if ( $wpjobster_enable_instant_deli != "no" ) {
						$selected_instant = $post_job_efd_max_days == 'instant' ? ' selected="selected" ' :'';
						$ret .= '<option' . $selected_instant . ' value="instant">' . __( 'Instant', 'wpjobster' ) . '</option>';
					}
					for ( $i_count=1; $i_count <= 30; $i_count++ ) {
						$selected_max_days = $post_job_efd_max_days == $i_count ? ' selected="selected" ' :'';
						$ret .= '<option value="' . $i_count . '"' . $selected_max_days . '>';
							$ret .= sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count );
						$ret .= '</option>';
					}
				$ret .= '</select>';
			}
		} else {
			if ( $f_name == 'job_extra_fast_delivery' ) { $ret .= __( 'You\'re not allowed to use extra fast delivery.', 'wpjobster' ); $popup = 'no'; }
			elseif ( $f_name == 'job_extra_fast_delivery_price' ) { $label = 'no'; $class = 'hidden'; $popup = 'no'; }
			elseif ( $f_name == 'job_extra_fast_delivery_max_days_to_deliver' ) { $label = 'no'; $class = 'hidden'; $popup = 'no'; }
		}
	}

	// Job Additional Revision
	if ( $f_name == 'job_additional_revision' || $f_name == 'job_additional_revision_price' || $f_name == 'job_additional_revision_max_days_to_deliver' || $f_name == 'job_additional_revision_multiple' ) {

		if ( wpj_get_user_feature_status( 'wpjobster_enable_extra_additional_revision', 'wpjobster_subscription_additional_revision_enabled' ) != "no" && wpj_get_user_feature_value( 'add_rev_multiples', 'add_rev_multiples' ) ) {
			if ( $f_name == 'job_additional_revision' ) { // AR Enable
				$label = 'no';
				$post_job_extra_additional_revision = WPJ_Form::post( 'enable_extra_revision', get_post_meta( $pid, 'extra_revision_enabled', true ) );
				if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['enable_extra_revision'] ) ) { $post_job_extra_additional_revision = false; }

				$ret .= '<div class="ui checkbox">';
					$checked = $post_job_extra_additional_revision == true ? 'checked' : '';
					$ret .= '<input type="checkbox" name="enable_extra_revision" id="enable_extra_revision" ' . $checked . ' />';
					$ret .= '<label><span> ' . $f_label . '</span></label>';
				$ret .= '</div>';
			} elseif ( $f_name == 'job_additional_revision_price' ) { // AR Price
				$post_job_ar_price = WPJ_Form::post( 'extra_revision_price', get_post_meta( $pid, 'extra_revision_price', true ) );

				$ret .= '<div class="ui labeled input">';
					$ret .= '<div class="ui label">' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . '</div>';
					$ret .= '<input placeholder="' . $f_placeholder . '" type="number" value="' . $post_job_ar_price . '" step="any" name="extra_revision_price" class="price-input" />';
				$ret .= '</div>';
			} elseif ( $f_name == 'job_additional_revision_max_days_to_deliver' ) { // AR Max Days to Deliver
				$post_job_ar_max_days = WPJ_Form::post( 'max_days_revision', get_post_meta( $pid, 'extra_revision_days', true ) );

				$ret .= '<select id="max_days_revision" name="max_days_revision" class="max-day-deliver ui dropdown">';
					$ret .= '<option value="" disabled selected hidden>' . __("Please Select","wpjobster") . '</option>';

					$wpjobster_enable_instant_deli = get_option( 'wpjobster_enable_instant_deli' );
					if ( $wpjobster_enable_instant_deli != "no" ) {
						$selected_instant = $post_job_ar_max_days == 'instant' ? ' selected="selected" ' :'';
						$ret .= '<option' . $selected_instant . ' value="instant">' . __( 'Instant', 'wpjobster' ) . '</option>';
					}
					for ( $i_count=1; $i_count <= 30; $i_count++ ) {
						$selected_max_days = $post_job_ar_max_days == $i_count ? ' selected="selected" ' :'';
						$ret .= '<option value="' . $i_count . '"' . $selected_max_days . '>';
							$ret .= sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count );
						$ret .= '</option>';
					}
				$ret .= '</select>';
			} elseif ( $f_name == 'job_additional_revision_multiple' ) { // AR Multiple
				$label = 'no'; $class .= ' multiple-box';
				$post_job_ar_multiple = WPJ_Form::post( 'enable_multiples_revision', get_post_meta( $pid, 'extra_revision_multiples_enabled', true ) );
				if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['enable_multiples_revision'] ) ) { $post_job_ar_multiple = false; }

				$ret .= '<div class="ui checkbox">';
					$checked = $post_job_ar_multiple == true ? 'checked' : '';
					$ret .= '<input type="checkbox" name="enable_multiples_revision" id="enable_multiples_revision" ' . $checked . '/>';
					$ret .= '<label><span> ' . $f_label . '</span></label>';
				$ret .= '</div>';
			}
		} else {
			if ( $f_name == 'job_additional_revision' ) { $ret .= __( 'You\'re not allowed to use additional revision.', 'wpjobster' ); $popup = 'no'; }
			elseif ( $f_name == 'job_additional_revision_price' ) { $label = 'no'; $class = 'hidden'; $popup = 'no'; }
			elseif ( $f_name == 'job_additional_revision_max_days_to_deliver' ) { $label = 'no'; $class = 'hidden'; $popup = 'no'; }
			elseif ( $f_name == 'job_additional_revision_multiple' ) { $label = 'no'; $class = 'hidden'; $popup = 'no'; }
		}
	}

	// Job Extra
	if ( $f_name == 'job_extra' || $f_name == 'job_extra_description' || $f_name == 'job_extra_price' || $f_name == 'job_extra_max_days_to_deliver' || $f_name == 'job_extra_multiple' || $f_name == 'job_add_new_extra_button' ) {

		if ( wpj_get_user_feature_status( 'wpjobster_enable_extra', 'wpjobster_subscription_noof_extras_enabled' ) != "no" && wpj_get_user_feature_value( 'extras', 'noof_extras', 0 ) ) {
			$i = 1;
			if ( $f_name == 'job_extra' ) { // Extra Enable
				$label = 'no'; $class = 'extra_enable';
				$post_job_extra = WPJ_Form::post( 'enable_extra_' . $i, get_post_meta( $pid, 'extra' . $i . '_extra_enabled', true ) );
				if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['enable_extra_' . $i] ) ) { $post_job_extra = false; }

				$ret .= '<div class="ui checkbox">';
					$checked = $post_job_extra == true ? 'checked' : '';
					$ret .= '<input type="checkbox" name="enable_extra_' . $i . '" id="enable_extra_' . $i . '" ' . $checked . ' />';
					$ret .= '<label><span> ' . $f_label . '</span></label>';
				$ret .= '</div>';

			} elseif ( $f_name == 'job_extra_description' ) { // Extra Description
				$label = 'yes'; $class = 'extra_description'; $f_rej_name = 'extra' . $i;
				$post_job_extra_description = WPJ_Form::post( 'extra' . $i . '_content', get_post_meta( $pid, 'extra' . $i . '_content', true ) );

				$ret .= '<textarea placeholder="' . $f_placeholder . '" class="one_line charlimit-extradescription charlimit-extradescription-' . $i . ' ' . wpj_aoe_get_rejected_input( 'extra' . $i ) . '" name="extra' . $i . '_content" cols="40" rows="2">' . $post_job_extra_description . '</textarea>';
				$ret .= '<span class="charscounter"> ' . __( "characters left", "wpjobster" ) . '.</span>';

			} elseif ( $f_name == 'job_extra_price' ) { // Extra Price
				$label = 'yes'; $class = 'extra_price';
				$post_job_extra_price = WPJ_Form::post( 'extra' . $i . '_price', get_post_meta( $pid, 'extra' . $i . '_price', true ) );

				$ret .= '<div class="ui labeled input">';
					$ret .= '<div class="ui label">' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . '</div>';
					$ret .= '<input placeholder="' . $f_placeholder . '" type="number" value="' . $post_job_extra_price . '" step="any" name="extra' . $i . '_price" class="price-input" />';
				$ret .= '</div>';

			} elseif ( $f_name == 'job_extra_max_days_to_deliver' ) { // Extra Max Days to Deliver
				$label = 'yes'; $class = 'extra_max_days';
				$post_job_extra_max_days = WPJ_Form::post( 'max_days_' . $i, get_post_meta( $pid, 'max_days_ex_' . $i, true ) );

				$ret .= '<select id="max_days_' . $i . '" name="max_days_' . $i . '" class="max-day-deliver ui dropdown">';
					$ret .= '<option value="" disabled selected hidden>' . __("Please Select","wpjobster") . '</option>';

					$wpjobster_enable_instant_deli = get_option( 'wpjobster_enable_instant_deli' );
					if ( $wpjobster_enable_instant_deli != "no" ) {
						$selected_instant = $post_job_extra_max_days == 'instant' ? ' selected="selected" ' :'';
						$ret .= '<option' . $selected_instant . ' value="instant">' . __( 'Instant', 'wpjobster' ) . '</option>';
					}
					for ( $i_count=1; $i_count <= 30; $i_count++ ) {
						$selected_max_days = $post_job_extra_max_days == $i_count ? ' selected="selected" ' :'';
						$ret .= '<option value="' . $i_count . '"' . $selected_max_days . '>';
							$ret .= sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count );
						$ret .= '</option>';
					}
				$ret .= '</select>';

			} elseif ( $f_name == 'job_extra_multiple' ) { // Extra Multiple
				$wpjobster_enable_multiples = wpj_get_user_feature_status( 'wpjobster_enable_extra_multiples', 'wpjobster_subscription_extra_multiples_enabled' );

				if ( $wpjobster_enable_multiples == 'yes' && wpj_get_user_feature_value( 'extramultiples', 'extra_multiples' ) > 1 ) {
					$label = 'no'; $class = 'multiple-box multiple-box-extra extra_multiple';
					$post_job_extra_multiple = WPJ_Form::post( 'enable_multiples_' . $i, get_post_meta( $pid, 'extra' . $i . '_enabled', true ) );
					if ( isset( $_POST['aoe_form_submitted'] ) && ! isset( $_POST['enable_multiples_' . $i] ) ) { $post_job_extra_multiple = false; }

					$ret .= '<div class="ui checkbox">';
						$checked = $post_job_extra_multiple == true ? 'checked' : '';
						$ret .= '<input type="checkbox" name="enable_multiples_' . $i . '" id="enable_multiples_' . $i . '" ' . $checked . '/>';
						$ret .= '<label><span> ' . $f_label . '</span></label>';
					$ret .= '</div>';

					$ret .= '<div id="delete_extra_wrapper"><a href="javascript:void(0);" id="delete_extra" class="cursor_pointer delete_extra">' .'- ' . __( 'Delete Extra', 'wpjobster' ) . '</a></div>';
				} else {
					$label = 'no';
				}
			} elseif ( $f_name == 'job_add_new_extra_button' && wpj_get_user_feature_value( 'extras', 'noof_extras' ) > 1 ) { // Add New Extra Button
			 	$label = 'no'; $popup = 'no'; $field = 'yes';
				$ret .= '<a href="javascript:void(0);" id="add_extra" class="cursor_pointer">' . $f_label . '</a>';
			} elseif( $f_name == 'job_add_new_extra_button' ) {
				$label = 'no';
			}
		} else {
			if ( $f_name == 'job_extra' ) { $ret .= __( 'You\'re not allowed to use extra.', 'wpjobster' ); $popup = 'no'; }
			elseif ( $f_name == 'job_extra_description' ) { $label = 'no'; $popup = 'no'; $class = 'hidden'; }
			elseif ( $f_name == 'job_extra_price' ) { $label = 'no'; $popup = 'no'; $class = 'hidden'; }
			elseif ( $f_name == 'job_extra_max_days_to_deliver' ) { $label = 'no'; $popup = 'no'; $class = 'hidden'; }
			elseif ( $f_name == 'job_extra_multiple' ) { $label = 'no'; $popup = 'no'; }
			elseif ( $f_name == 'job_add_new_extra_button' ) { $label = 'no'; $popup = 'no'; }
		}
	}

// *** END JOB EXTRA SECTION *** <-//

//-> *** JOB PUBLISH SECTION *** //

	// Job Terms of Service
	if ( $f_name == 'job_terms_of_service' ) { $popup = 'no'; $label = 'no';
		$wpjobster_tos_page_link = get_option( "wpjobster_tos_page_link" );
		$wpjobster_tos_type      = get_option( "wpjobster_tos_type" );

		if ( trim( $wpjobster_tos_page_link ) != '' && $wpjobster_tos_type != 'disabled' ) { $label = 'yes';

			if ( $wpjobster_tos_type=='show_on_page' ) {
				$post = get_page( url_to_postid( $wpjobster_tos_page_link ) );
				$link_page_post = function_exists( 'qtrans_use' ) ? qtrans_use( qtrans_getLanguage(), $post->post_content, false ) : $post->post_content;

				$ret .= '<div class="terms-of-services-box">';
					$ret .= $link_page_post == '[wpjobster_theme_post_new]' ? '' : wpautop( $link_page_post );
				$ret .= '</div>';
			}

			$ret .= '<div class="ui checkbox">';
				$ret .= '<input type="checkbox" name="i_agree" value="1">';
				$ret .= '<label>';
					$ret .= '<p>' . __( 'I agree to the ', 'wpjobster' ) . '<a class="underline" href="' . $wpjobster_tos_page_link . '" class="" target="_blank">' . __( 'Terms of Service', 'wpjobster' ) . '</a>.</p>';
				$ret .= '</label>';
			$ret .= '</div>';
		}
	}

// *** END JOB PUBLISH SECTION *** <-//

	$return_arr = array(
		'id'         => $id,
		'class'      => $class,
		'label'      => $label,
		'popup'      => $popup,
		'field'      => $field,
		'instr'      => $instr_field_name,
		'f_rej_name' => $f_rej_name,
		'content'    => $ret
	);

	$return_arr = apply_filters( 'wpj_post_new_job_fields_content_filter', $return_arr, $pid, $fields );

	return $return_arr;
}

/*
 * GENERAL JS SCRIPTS
 */
function wpj_aoe_scripts() {
	$sts = wpj_get_user_feature_value( 'vds', 'video_multiples', 1 );
	$blog_url = get_bloginfo( 'url' ); ?>

	<script>

		var no_days_price_types = [<?php echo '"' . implode( '","', wpj_get_job_no_days_price_types() ) . '"' ?>];

		// VIDEO URL VALIDATION (YOUTUBE OR VIMEO)
		function validateVideoUrl(url) {
			var p = /^(?:https?:\/\/)?(?:www\.)?youtube\.com\/watch\?(?=.*v=((\w|-){11}))(?:\S+)?$/;
			var p2 = /^(?:https?:\/\/)?(?:www\.)?youtu\.be\/(((\w|-){11}))(?:\S+)?$/;
			var p3 = /^(?:https?:\/\/)?(?:www\.)?vimeo\.com\//;

			return ( url.match(p) || url.match(p2) || url.match(p3) ) ? RegExp.$1 : false;
		}

		// CHECK DELIVERY TIME
		function check_delivery_time() {
			var execute      = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "yes";
			var max_days_val = jQuery( "#max_days" ).val();

			jQuery( ".max_days_fast.ui.dropdown .menu .item" ).each( function( ind, el ) {
				if ( parseInt( max_days_val ) && parseInt( jQuery( el ).data( 'value' ) ) >= parseInt( max_days_val ) && execute == 'yes' ) {
					jQuery( el ).addClass( "disabled" );
				} else {
					jQuery( el ).removeClass( "disabled" );
				}
			});

			var price_type = jQuery( 'select[name="price_type"]' ).val();

			execute = Hooks.apply_filters( 'wpj_execute_validation_filter', execute, price_type );

			if ( max_days_val == 'instant' && execute == 'yes' && price_type != 'package' ) {
				jQuery( "#max_days_fast" ).val( 'instant' );
				jQuery( "#enable_extra_fast" ).prop( "checked", false );
				jQuery( "#enable_extra_fast" ).parents( '.field' ).addClass( "disabled" );
				jQuery( "#extra_fast_price" ).parents( '.field' ).addClass( "disabled" );
				jQuery( "#max_days_fast" ).parents( '.field' ).addClass( "disabled" );

				wpj_aoe_validate_form();
			} else {
				jQuery( "#enable_extra_fast" ).parents( '.field' ).removeClass( "disabled" );
				jQuery( "#extra_fast_price" ).parents( '.field' ).removeClass( "disabled" );
				jQuery( "#max_days_fast" ).parents( '.field' ).removeClass( "disabled" );
			}
		}

		jQuery( document ).ready( function( $ ) {

			// Save autodraft post values
			// when "suggest" button is clicked
			jQuery( '#add-edit-job-form' ).click( function() {
				if ( jQuery( this ).attr( 'data-operation' ) == 'new' ) {
					jQuery.ajax({
						type: 'post',
						url : '<?php echo admin_url( 'admin-ajax.php' ); ?>',
						data: jQuery( this ).serialize(),
						success: function( data ) {}
					});
				}
			});

			check_delivery_time( 'yes' );

			jQuery( "#max_days" ).change( function( e ) {
				check_delivery_time( 'yes' );
			});

			jQuery( 'select[name="price_type"]' ).change( function() {
				if ( $.inArray( jQuery( this ).val(), no_days_price_types ) != -1 ) {
					check_delivery_time( 'no' );
				} else {
					check_delivery_time( 'yes' );
				}
			});

			/* VIDEO */

			// Vars from PHP
			var $sts = '<?php echo $sts; ?>';

			// Hide Add New Video Button
			if ( jQuery( '.video_wrapper' ).length >= $sts ) {
				jQuery( '#add_video' ).hide();
			}

			// Add New Video
			jQuery( document ).on( 'click', '#add_video', function( e ) {
				jQuery( '.video_wrapper' ).last().clone().find( 'input:text' ).val( '' ).end().insertAfter( '.video_wrapper:last' );

				if ( jQuery( '.video_wrapper' ).length >= $sts ) {
					jQuery( '#add_video' ).hide();
				}
			});

			// Delete Video
			jQuery( document ).on( 'click', '.delete_video', function( e ) {
				if ( jQuery( '.delete_video' ).length > 1 ) {
					jQuery( this ).parents( '.video_wrapper' ).remove();
				} else {
					jQuery( '.video-link' ).val( '' );
				}

				if ( jQuery( '.video_wrapper' ).length < $sts ) {
					jQuery( '#add_video' ).show();
				} else {
					jQuery( '#add_video' ).hide();
				}
			});

			/* END VIDEO */

			/* FAQ */

			// Add New FAQ
			jQuery( document ).on( 'click', '#add_faq', function( e ) {
				var last_faq_row = jQuery( '.faq_wrapper' ).last().clone();

				last_faq_row.find( '.title' ).html( '<i class="dropdown icon"></i>' + wpj_vars.insert_faq );
				last_faq_row.find( 'input, textarea' ).val( '' );

				last_faq_row.insertAfter( '.faq_wrapper:last' );

				$( '.ui.accordion' ).accordion();
			});

			// Delete FAQ
			jQuery( document ).on( 'click', '.delete_faq', function( e ) {
				if ( jQuery( '.delete_faq' ).length > 1 ) {
					jQuery( this ).parents( '.faq_wrapper' ).remove();
				} else {
					jQuery( this ).siblings( '.faq-item' ).find( '.title' ).html( '<i class="dropdown icon"></i>' + wpj_vars.insert_faq );
					jQuery( this ).siblings( '.faq-item' ).find( 'input, textarea' ).val( '' );
				}
			});

			/* END FAQ */

		});

	</script>

<?php }

/*
 * CHARACTERS LIMIT
 */
function wpj_aoe_apply_character_number() {

	$characters_jobtitle_max = get_option( 'wpjobster_characters_jobtitle_max' );
	$characters_jobtitle_max = ( empty( $characters_jobtitle_max ) || $characters_jobtitle_max == 0 ) ? 80 : $characters_jobtitle_max;

	$wpjobster_characters_description_max = get_option( 'wpjobster_characters_description_max' );
	$wpjobster_characters_description_max = ( empty($wpjobster_characters_description_max ) || $wpjobster_characters_description_max == 0 ) ? 1000 : $wpjobster_characters_description_max;

	$wpjobster_characters_instructions_max = get_option( 'wpjobster_characters_instructions_max' );
	$wpjobster_characters_instructions_max = ( empty( $wpjobster_characters_instructions_max ) || $wpjobster_characters_instructions_max == 0 ) ?350 : $wpjobster_characters_instructions_max;

	$wpjobster_characters_extradescription_max = get_option( "wpjobster_characters_extradescription_max" );
	$wpjobster_characters_extradescription_max = ( empty( $wpjobster_characters_extradescription_max ) || $wpjobster_characters_extradescription_max == 0 ) ? 50 : $wpjobster_characters_extradescription_max; ?>

	<script>
		function extradescription_charlimit() {
			jQuery( ".charlimit-extradescription-1" ).counted( { count: <?php echo $wpjobster_characters_extradescription_max; ?> } );
		}

		jQuery( document ).ready( function( $ ) {
			jQuery( ".charlimit-jobtitle" ).counted( { count: <?php echo $characters_jobtitle_max; ?> } );
			jQuery( ".charlimit-jobdescription" ).counted( { count: <?php echo $wpjobster_characters_description_max; ?> } );
			jQuery( ".charlimit-jobinstruction" ).counted( { count: <?php echo $wpjobster_characters_instructions_max; ?> } );

			<?php if ( wpj_get_user_feature_status( 'wpjobster_enable_extra', 'wpjobster_subscription_noof_extras_enabled' ) != "no" ) { ?>
				extradescription_charlimit();
			<?php } ?>
		});
	</script>

<?php }

/*
 * PACKAGES
 */
function wpj_aoe_show_packages_content() {
	$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );

	$pid         = WPJ_Form::get( 'jobid' );
	$post        = $pid ? get_post( $pid ) : array();
	$jb_action   = WPJ_Form::get( 'jb_action' );
	$action_type = $jb_action == 'job_edit' ? 'edit' : 'new';

	$post_job_packages = WPJ_Form::post( 'price_type', get_post_meta( $pid, 'job_packages', true ) );
	$display_table     = $post_job_packages == 'yes' || $post_job_packages == 'package' ? 'style="display: block;"' : 'style="display: none;"';

	if ( $wpjobster_packages == "yes" ) {

		$instr_arr = array();
		if ( have_rows( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ) ) {
			while ( have_rows( 'job_fields', get_option( 'wpjobster_post_new_page_id' ) ) ) {
				the_row();
				if ( get_row_layout() == 'job_packages' ) {
					$instr_arr[] = array(
						'pck_name'    => get_sub_field( 'pacakge_name_instructions' ),
						'pck_desc'    => get_sub_field( 'pacakge_description_instructions' ),
						'pck_deliv'   => get_sub_field( 'pacakge_delivery_time_instructions' ),
						'pck_rev'     => get_sub_field( 'pacakge_revision_instructions' ),
						'pck_price'   => get_sub_field( 'pacakge_price_instructions' ),
						'pck_cf_name' => get_sub_field( 'pacakge_custom_field_name' ),
						'pck_cf_chk'  => get_sub_field( 'pacakge_custom_field_checklist' ),
					);
				}
			}
		} ?>

		<div class="field packages" <?php echo $display_table; ?>>
			<table class="ui compact celled definition table packages-table">
				<thead>
					<tr>
						<th></th>
						<th><?php echo __( 'BASIC', 'wpjobster' ); ?></th>
						<th><?php echo __( 'STANDARD', 'wpjobster' ); ?></th>
						<th><?php echo __( 'PREMIUM', 'wpjobster' ); ?></th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td>
							<?php echo __( 'Package name', 'wpjobster' ); ?>
						</td>

						<?php for ( $i = 0; $i < 3; $i++ ) { ?>
							<td class="<?php echo wpj_aoe_get_rejected_input( 'package_name', $i ); ?>">
								<div class="ui field input js-tooltip-handler" data-handler-id="<?php echo 'package_name' . $i; ?>">
									<?php $pck_name_val = isset( $_POST['package_name'] ) ? $_POST['package_name'] : get_post_meta( $pid, 'package_name', true ); ?>
									<input data-validate="package_name<?php echo $i; ?>" class="package_name" name="package_name[]" type="text" placeholder="<?php echo __( 'Name your package', 'wpjobster' ); ?>" value="<?php echo $pck_name_val ? $pck_name_val[$i] : ''; ?>">
								</div>

								<?php echo wpj_get_popup( $instr_arr[0]['pck_name'], $action_type, 'job', $pid, 'package_name', true, 'package_name' . $i ); ?>
							</td>
						<?php } ?>
					</tr>

					<tr>
						<td>
							<?php echo __( 'Package description', 'wpjobster' ); ?>
						</td>

						<?php for ( $i = 0; $i < 3; $i++ ) { ?>
							<td class="<?php echo wpj_aoe_get_rejected_input( 'package_description', $i ); ?>">
								<div class="field js-tooltip-handler" data-handler-id="<?php echo 'package_description' . $i; ?>">
									<?php $pck_description_val = isset( $_POST['package_description'] ) ? $_POST['package_description'] : get_post_meta( $pid, 'package_description', true );
									if ( get_option( 'wpjobster_job_description_type' ) == 'wysiwyg' || get_option( 'wpjobster_job_description_type' ) == 'tinymce' ) {
										$pck_description_val = $pck_description_val ? $pck_description_val[$i] : '';

										wpj_show_wysiwyg_content( $pid, 'package_description[]', 'package_description_' . $i, 'package_description_' . $i . '_toolbar', 'package_description', __( 'Describe the details of your offering', 'wpjobster' ), $pck_description_val, 'package_description' . $i, 'packages', $i ); ?>
									<?php } else { ?>
										<textarea data-validate="package_description<?php echo $i; ?>" class="package_description" name="package_description[]" type="text" placeholder="<?php echo __( 'Describe the details of your offering', 'wpjobster' ); ?>"><?php echo $pck_description_val ? $pck_description_val[$i] : ''; ?></textarea>
									<?php } ?>
								</div>

								<?php echo wpj_get_popup( $instr_arr[0]['pck_desc'], $action_type, 'job', $pid, 'package_description', true, 'package_description' . $i ); ?>
							</td>
						<?php } ?>
					</tr>

					<tr>
						<td>
							<?php echo __( 'Package delivery time', 'wpjobster' ); ?>
						</td>

						<?php for ( $i = 0; $i < 3; $i++ ) { ?>
							<td class="<?php echo wpj_aoe_get_rejected_input( 'package_max_days', $i ); ?>">
								<div class="js-tooltip-handler" data-handler-id="<?php echo 'package_max_days' . $i; ?>">
									<?php $pck_max_days_val = isset( $_POST['package_max_days'] ) ? $_POST['package_max_days'] : get_post_meta( $pid, 'package_max_days', true );
									$max_days_val = $pck_max_days_val ? $pck_max_days_val[$i] : ''; ?>
									<select name="package_max_days[]" class="ui dropdown styledselect selection">
										<?php for ( $i_count = 1; $i_count <= get_option( 'wpjobster_job_max_delivery_days' ); $i_count++ ) { ?>
											<option value="<?php echo $i_count ?>" <?php echo ( $i_count == $max_days_val ? ' selected="selected" ' : ""); ?>>
												<?php echo sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count ); ?>
											</option>
										<?php } ?>
									</select>
								</div>

								<?php echo wpj_get_popup( $instr_arr[0]['pck_deliv'], $action_type, 'job', $pid, 'package_max_days', true, 'package_max_days' . $i ); ?>
							</td>
						<?php } ?>
					</tr>

					<tr>
						<td>
							<?php echo __( 'Package Revisions', 'wpjobster' ); ?>
						</td>

						<?php for ( $i = 0; $i < 3; $i++ ) { ?>
							<td class="<?php echo wpj_aoe_get_rejected_input( 'package_revisions', $i ); ?>">
								<div class="js-tooltip-handler" data-handler-id="<?php echo 'package_revisions' . $i; ?>">
									<?php $pck_revisions_val = isset( $_POST['package_revisions'] ) ? $_POST['package_revisions'] : get_post_meta( $pid, 'package_revisions', true );
									$revisions_val = $pck_revisions_val ? $pck_revisions_val[$i] : ''; ?>
									<select name="package_revisions[]" class="ui dropdown styledselect selection">
										<option <?php if ( $revisions_val == 'unlimited' ) echo 'selected'; ?> value="unlimited"><?php echo __( 'Unlimited', 'wpjobster' ); ?></option>
										<?php for ( $i_count = 1; $i_count <= 9; $i_count++ ) { ?>
											<option value="<?php echo $i_count ?>" <?php echo ( $i_count == $revisions_val ? ' selected="selected" ' : "" ); ?>>
												<?php echo $i_count; ?>
											</option>
										<?php } ?>
										<option <?php if ( $revisions_val == 'no_revision' ) echo 'selected'; ?> value="no_revision"><?php echo __( 'No revision', 'wpjobster' ); ?></option>
									</select>
								</div>

								<?php echo wpj_get_popup( $instr_arr[0]['pck_rev'], $action_type, 'job', $pid, 'package_revisions', true, 'package_revisions' . $i ); ?>
							</td>
						<?php } ?>
					</tr>

					<tr>
						<td>
							<?php echo __( 'Package price', 'wpjobster' ) . '&nbsp;(' . wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ) . ')'; ?>
						</td>
						<?php for ( $i = 0; $i < 3; $i++ ) { ?>
							<td class="pck-padd-left <?php echo wpj_aoe_get_rejected_input( 'package_price', $i ); ?>">
								<div class="ui labeled field input js-tooltip-handler" data-handler-id="<?php echo 'package_price' . $i; ?>">
									<?php $pck_price_val = isset( $_POST['package_price'] ) ? $_POST['package_price'] : get_post_meta( $pid, 'package_price', true ); ?>
									<div class="ui label"><?php echo wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ); ?></div>
									<input data-validate="package_price<?php echo $i; ?>" class="package_price" step="0.01" name="package_price[]" type="number" placeholder="<?php echo __( 'Insert package price', 'wpjobster' ); ?>" value="<?php echo $pck_price_val ? $pck_price_val[$i] : ''; ?>">
								</div>

								<?php echo wpj_get_popup( $instr_arr[0]['pck_price'], $action_type, 'job', $pid, 'package_price', true, 'package_price' . $i ); ?>
							</td>
						<?php } ?>
					</tr>

					<tr class="pck-repeater">
						<?php $package_custom_fields = get_post_meta( $pid, 'package_custom_fields', true ); ?>

						<td>
							<?php $pck_cf_name_value = isset( $_POST['pck-inp-custom-name'] ) ? $_POST['pck-inp-custom-name'][0] : '';
							if ( ! $pck_cf_name_value ) { $pck_cf_name_value = $package_custom_fields ? $package_custom_fields[0]['name'] : ''; } ?>

							<div class="js-tooltip-handler di" data-handler-id="<?php echo 'pck-inp-custom-name'; ?>">
								<input class="pck-inp-custom-name" name="pck-inp-custom-name[]" placeHolder="<?php echo __( 'Insert field name', 'wpjobster' ); ?>" value="<?php echo $pck_cf_name_value; ?>" />
							</div>

							<i class="pck-icon-rem remove icon" style="display: inline;"></i>

							<?php echo wpj_get_popup( $instr_arr[0]['pck_cf_name'], '', '', '', '', true, 'pck-inp-custom-name' ); ?>
						</td>

						<td class="pck-center">
							<?php $pck_cf_basic_value = isset( $_POST['pck-chk-value']['basic'][0] ) ? $_POST['pck-chk-value']['basic'][0] : '';
							if ( ! $pck_cf_basic_value ) { $pck_cf_basic_value = $package_custom_fields ? $package_custom_fields[0]['basic'] : ''; }

							$checked_basic = $pck_cf_basic_value == 'on' ? 'checked' : ''; ?>

							<div class="ui checkbox js-tooltip-handler" data-handler-id="<?php echo 'pck-chk-value-basic'; ?>">
								<input type="hidden" name="pck-chk-value[basic][]" value="<?php echo $pck_cf_basic_value == 'on' ? 'on' : 'off'; ?>" />
								<input type="checkbox" class="basic-checkbox pck_cf_chk" value="on" <?php echo $checked_basic; ?> />
								<label></label>
							</div>

							<?php echo wpj_get_popup( $instr_arr[0]['pck_cf_chk'], '', '', '', '', true, 'pck-chk-value-basic' ); ?>
						</td>

						<td class="pck-center">
							<?php $pck_cf_standard_value = isset( $_POST['pck-chk-value']['standard'][0] ) ? $_POST['pck-chk-value']['standard'][0] : '';
							if ( ! $pck_cf_standard_value ) { $pck_cf_standard_value = $package_custom_fields ? $package_custom_fields[0]['standard'] : ''; }

							$checked_standard = $pck_cf_standard_value == 'on' ? 'checked' : ''; ?>

							<div class="ui checkbox js-tooltip-handler" data-handler-id="<?php echo 'pck-chk-value-standard'; ?>">
								<input type="hidden" name="pck-chk-value[standard][]" value="<?php echo $pck_cf_standard_value == 'on' ? 'on' : 'off'; ?>" />
								<input type="checkbox" class="standard-checkbox pck_cf_chk" value="on" <?php echo $checked_standard; ?> />
								<label></label>
							</div>

							<?php echo wpj_get_popup( $instr_arr[0]['pck_cf_chk'], '', '', '', '', true, 'pck-chk-value-standard' ); ?>
						</td>

						<td class="pck-center">
							<?php $pck_cf_premium_value = isset( $_POST['pck-chk-value']['premium'][0] ) ? $_POST['pck-chk-value']['premium'][0] : '';
							if ( ! $pck_cf_premium_value ) { $pck_cf_premium_value = $package_custom_fields ? $package_custom_fields[0]['premium'] : ''; }

							$checked_premium = $pck_cf_premium_value == 'on' ? 'checked' : ''; ?>

							<div class="ui checkbox js-tooltip-handler" data-handler-id="<?php echo 'pck-chk-value-premium'; ?>">
								<input type="hidden" name="pck-chk-value[premium][]" value="<?php echo $pck_cf_premium_value == 'on' ? 'on' : 'off'; ?>" />
								<input type="checkbox" class="premium-checkbox pck_cf_chk" value="on" <?php echo $checked_premium; ?> />
								<label></label>
							</div>

							<?php echo wpj_get_popup( $instr_arr[0]['pck_cf_chk'], '', '', '', '', true, 'pck-chk-value-premium' ); ?>
						</td>
					</tr>
				</tbody>
			</table>

			<!-- ADD NEW CUSTOM FIELD - LINK -->
			<div class="field">
				<a href="javascript:void(0);" id="add_pck_custom_field" class="cursor_pointer>" ><?php _e( "+ Add New Custom Field", "wpjobster" ); ?></a>
			</div>
			<!-- END ADD NEW CUSTOM FIELD - LINK -->
		</div>

		<?php $packages = array( 'name', 'basic', 'standard', 'premium' );

		$package_custom_fields = get_post_meta( $pid, 'package_custom_fields', true );
		foreach ( $packages as $key => $pck ) {
			if ( $pck == 'name' ) {
				${ 'pck_' . $pck } = isset( $_POST['pck-inp-custom-name'] ) ? $_POST['pck-inp-custom-name'] : '';
			} else {
				${ 'pck_' . $pck } = isset( $_POST['pck-chk-value'][$pck] ) ? $_POST['pck-chk-value'][$pck] : '';
			}

			if ( ! ${ 'pck_' . $pck } ) {
				${ 'pck_' . $pck } = $package_custom_fields;
			}

			${ 'pck_cf_' . $pck } = array();

			if ( ${'pck_' . $pck} ) {
				foreach ( ${ 'pck_' . $pck } as $key2 => $cf ) {
					if ( $cf ) {
						if ( $pck != 'name' && ( $cf == 'on' || ( is_array( $cf ) && $cf[$pck] == 'on' ) ) ) {
							if ( is_array( $cf ) ) {
								${ 'pck_cf_' . $pck }[] = $cf[$pck];
							} else {
								${ 'pck_cf_' . $pck }[] = $cf;
							}
						} elseif ( $pck == 'name' ) {
							if ( is_array( $cf ) ) {
								${ 'pck_cf_' . $pck }[] = $cf['name'];
							} else {
								${ 'pck_cf_' . $pck }[] = $cf;
							}
						} else {
							${ 'pck_cf_' . $pck }[] = '';
						}
					} else {
						${ 'pck_cf_' . $pck }[] = '';
					}
				}
			}
		} ?>

		<script>

			jQuery( document ).ready( function( $ ) {

				// Trigger Add New Custom Field
				jQuery( function( $ ) {
					$.each( JSON.parse( '<?php echo json_encode( $pck_cf_name ); ?>' ), function( key, value ) {
						if ( key != 0 && value != '' ) {
							$( '#add_pck_custom_field' ).trigger( 'click' );
						}
					});
				});

				// Add New Custom Field
				var indx = 1;
				var indx_b = 1;
				var indx_s = 1;
				var indx_p = 1;

				$( document ).on( 'click', '#add_pck_custom_field', function( e ) {

					var new_field = $( '.pck-repeater:first' ).clone();

					new_field.find( ':input' ).each( function() {

						if ( ! $( this ).is( ":checked" ) ) {
							$( this ).val( 'off' );
						}

						if ( e.originalEvent !== undefined ) { // IF button is clicked
							new_field.find( 'input:text' ).val( '' );
							new_field.find( 'input:checkbox' ).removeAttr( 'checked' );
							new_field.find( '.pck-icon-rem' ).show();

							var new_handler_id = $( this ).parent().data( 'handler-id' ) + Math.floor( Math.random() * 1000001 );
							$(this).parent().attr( 'data-handler-id', new_handler_id );
							$(this).parent().siblings( '.ui.popup' ).attr( 'data-tooltip-id', new_handler_id );

						} else { // IF button is triggered( for edit job )
							var obj_cf_name = JSON.parse( '<?php echo json_encode( $pck_cf_name ); ?>' );
							if ( this.name == 'pck-inp-custom-name[]' ) {
								$( this ).val( obj_cf_name[indx] ); indx++;
							}

							var obj_cf_basic = JSON.parse( '<?php echo json_encode( $pck_cf_basic ); ?>' );
							if ( this.name == 'pck-chk-value[basic][]' ) {

								if ( obj_cf_basic[indx_b] == 'on' ) {
									$( this ).parent().checkbox( 'check' );
									$( this ).val( 'on' );
								} else {
									$( this ).parent().checkbox( 'uncheck' );
									$( this ).val( 'off' );
								} indx_b++;
							}

							var obj_cf_standard = JSON.parse( '<?php echo json_encode( $pck_cf_standard ); ?>' );
							if ( this.name == 'pck-chk-value[standard][]' ) {

								if ( obj_cf_standard[indx_s] == 'on' ) {
									$( this ).parent().checkbox( 'check' );
									$( this ).val( 'on' );
								} else {
									$( this ).parent().checkbox( 'uncheck' );
									$( this ).val( 'off' );
								} indx_s++;
							}

							var obj_cf_premium = JSON.parse( '<?php echo json_encode( $pck_cf_premium ); ?>' );
							if ( this.name == 'pck-chk-value[premium][]' ) {

								if ( obj_cf_premium[indx_p] == 'on' ) {
									$( this ).parent().checkbox( 'check' );
									$( this ).val( 'on' );
								} else {
									$( this ).parent().checkbox( 'uncheck' );
									$( this ).val( 'off' );
								} indx_p++;
							}
						}

					});

					new_field.appendTo( '.packages tbody' );

					$( '.ui.checkbox' ).checkbox();

					$( '.js-tooltip-handler' ).wpjTooltip();

				});

				// PCK CF Checkbox Change
				$( document ).on( "change", "input.pck_cf_chk", function() {
					var value = $( this ).is( ":checked" ) ? 'on' : 'off';
					$( this ).siblings( "input[type='hidden']" ).val( value );
				});

			});

		</script>

	<?php }
}

/*
 * EXTRAS
 */
function wpj_aoe_show_extras_content() {

	//--> GENERAL
	$sts = wpj_get_user_feature_value( 'extras', 'noof_extras', 10 );

	$pid = WPJ_Form::get( 'jobid' );
	$lbl_please_select = __( 'Please Select', 'wpjobster' );
	//<-- END GENERAL

	//--> EXTRA
	$extra_enable = $extra_description = $extra_price = $extra_max_days = $extra_multiple = $rej_comment = array();
	for ( $i = 1; $i <= $sts; $i++ ) {
		// enable
		$post_job_extra = WPJ_Form::post( 'enable_extra_' . $i, get_post_meta( $pid, 'extra' . $i . '_extra_enabled', true ) );
		$extra_enable[] = $post_job_extra == 'on' || ( $post_job_extra && ! isset( $_POST['aoe_form_submitted'] ) ) ? 'yes' : '';
		// description
		$post_job_extra_description = WPJ_Form::post( 'extra' . $i . '_content', get_post_meta( $pid, 'extra' . $i . '_content', true ) );
		$extra_description[] = $post_job_extra_description ? addslashes( br2nl( $post_job_extra_description ) ) : '';
		// price
		$post_job_extra_price = WPJ_Form::post( 'extra' . $i . '_price', get_post_meta( $pid, 'extra' . $i . '_price', true ) );
		$extra_price[] = $post_job_extra_price ? $post_job_extra_price : '';
		// max days
		$post_job_extra_max_days = WPJ_Form::post( 'max_days_' . $i, get_post_meta( $pid, 'max_days_ex_' . $i, true ) );
		$extra_max_days[] = $post_job_extra_max_days ? $post_job_extra_max_days : '';
		// multiple
		$post_job_extra_multiple = WPJ_Form::post( 'enable_multiples_' . $i, get_post_meta( $pid, 'extra' . $i . '_enabled', true ) );
		$extra_multiple[] = $post_job_extra_multiple == 'on' || ( $post_job_extra_multiple && ! isset( $_POST['aoe_form_submitted'] ) ) ? 'yes' : '';
		// rejected
		${ 'rejected_extra' . $i } = get_post_meta( $pid, 'rejected_extra' . $i, true );
		${ 'rejected_' . $i . '_comment' } = get_post_meta( $pid, 'rejected_extra' . $i . '_comment', true );
		$rej_comment[] = ${ 'rejected_extra' . $i } == 1 ? ${ 'rejected_' . $i . '_comment' } : '';
		$popup_content = get_field( 'job_extra_description_instructions', 'options' );
	}

	$wpjobster_characters_extradescription_max = get_option( "wpjobster_characters_extradescription_max" );
	$wpjobster_characters_extradescription_max = ( empty( $wpjobster_characters_extradescription_max ) || $wpjobster_characters_extradescription_max==0 ) ? 50 : $wpjobster_characters_extradescription_max;
	//<-- END EXTRA ?>

	<script>

		jQuery( document ).ready( function( $ ) {

			// Patch for Semantic UI Dynamic Dropdown
			$( document ).on( 'change', '.ui.dropdown.max-day-deliver', function( e ) {
				$( this ).removeClass( 'active' ).removeClass( 'visible' );
				$( this ).find( '.menu' ).removeClass( 'visible' ).addClass( 'hidden' )
			});

			// Vars from PHP
			var $sts = '<?php echo $sts; ?>';

			// Trigger Add New Extra
			jQuery( function( $ ) {
				$.each( JSON.parse( '<?php echo json_encode( $extra_enable ); ?>' ), function( key, value ) {
					if ( key != 0 && value == 'yes' ) {
						$( '#add_extra' ).trigger( 'click' );
					}
				});
			});

			var inc = [];
			$.each( JSON.parse( '<?php echo json_encode( $extra_enable ); ?>' ), function( key, value ) {
				if ( key != 0 && value == 'yes' ) {
					inc.push( key );
				}
			});

			// Add New Extra
			$( document ).on( 'click', '#add_extra', function( e ) {

				$new_extra = $( '.extra_wrapper' ).last().clone();
				$id = $new_extra.attr( 'id' ).split( '_' );
				$id = parseInt( $id[1] );

				if ( $id + 1 <= $sts ) {
					$sep = $( '<div id="field_separator" class="field_separator"><div class="ui section divider"></div></div>' ).insertAfter( $( '.extra_wrapper' ).last() );

					$next_id = $id + 1;
					$new_extra.attr( 'id', 'extra_' + $next_id );

					$new_extra.find( 'textarea' ).each( function() {
						$( this ).removeClass( 'charlimit-extradescription-' + $id );
						$( this ).addClass( 'charlimit-extradescription-' + $next_id );
					});

					$new_extra.find( '.charscounter' ).eq( 0 ).remove();

					$new_extra.find( ':input' ).each( function() {
						this.name = this.name.replace( $id, $next_id );
						this.id   = this.id.replace( $id, $next_id );

						if ( e.originalEvent !== undefined ) { // if button is clicked

							if ( this.type == 'number' || this.type == 'textarea' ) {
								$( this ).val( '' );
							}

							$( this ).parents( '.field' ).removeClass( 'error' );
							$( this ).parent().checkbox( 'uncheck' );
							$( this ).parent().children( '.text' ).addClass( 'default' ).html( '<?php echo $lbl_please_select; ?>' );
							$( this ).parent().children( '.menu' ).children( '.item.active.selected' ).removeClass( 'active' ).removeClass( 'selected' );

						} else { // if button is triggered( for edit job )

							var content_id = parseInt( $id ) - 1;

							var obj_enable_extra = JSON.parse( '<?php echo json_encode( $extra_enable ); ?>' );
							if ( this.name == 'enable_extra_' + $next_id ) {
								if ( obj_enable_extra[inc[content_id]] == 'yes' ) {
									$( this ).attr( 'checked', 'checked' );
								} else {
									$( this ).removeAttr( 'checked' );
								}
							}

							var obj_extra_description = JSON.parse( '<?php echo json_encode( $extra_description ); ?>' );
							if ( this.name == 'extra' + $next_id + '_content' ) {
								$( this ).val( obj_extra_description[inc[content_id]] );

								// job rejected
								var popup_content = '<?php echo json_encode( $popup_content ); ?>';
								var obj_rej_comment = JSON.parse( '<?php echo json_encode( $rej_comment ); ?>'.replace( /\n/g, "" ).replace( /\r/g, "" ).replace( /\t/g, "" ) );
								if ( obj_rej_comment[inc[content_id]] != "" ) {
									$( this ).addClass( 'rejected-input' );
									$( this ).parent().siblings( '.ui.popup' ).html( obj_rej_comment[inc[content_id]] );
									$( this ).parent().siblings( '.ui.popup' ).addClass( 'rejected-input' );
								} else {
									$( this ).removeClass( 'rejected-input' );
									$( this ).parent().siblings( '.ui.popup' ).html( popup_content.substring( 1, popup_content.length-1 ) );
									$( this ).parent().siblings( '.ui.popup' ).removeClass( 'rejected-input' );
								}

							}

							var obj_extra_price = JSON.parse( '<?php echo json_encode( $extra_price ); ?>' );
							if ( this.name == 'extra' + $next_id + '_price' ) {
								$( this ).val( obj_extra_price[inc[content_id]] );
							}

							var obj_extra_max_days = JSON.parse( '<?php echo json_encode( $extra_max_days ); ?>' );
							if ( this.name == 'max_days_' + $next_id ) {
								$( this ).dropdown( 'set selected', obj_extra_max_days[inc[content_id]] );
							}

							var obj_extra_multiple = JSON.parse( '<?php echo json_encode( $extra_multiple ); ?>' );
							if ( this.name == 'enable_multiples_' + $next_id ) {
								if ( obj_extra_multiple[inc[content_id]] == 'yes' ) {
									$( this ).attr( 'checked', 'checked' );
								} else {
									$( this ).removeAttr( 'checked' );
								}
							}
						}
					});

					$new_extra.insertAfter( $sep );
					$( '.ui.dropdown' ).dropdown();
					$( '.ui.checkbox' ).checkbox();
					$( '.js-tooltip-handler' ).wpjTooltip();
					wpj_aoe_validate_form();
					jQuery( ".charlimit-extradescription-" + $next_id ).counted( { count: <?php echo $wpjobster_characters_extradescription_max; ?> } );
				}
				if ( $id + 1 >= $sts ) {
					$( '#add_extra' ).hide();
				}
			});

			// Delete a Extra
			$( document ).on( 'click', '#delete_extra', function( e ) {
				if ( $( '.delete_extra' ).length > 1 ) {
					$( this ).parents( '.extra_wrapper' ).next().remove();
					$( this ).parents( '.extra_wrapper' ).remove();

					var count = 1;
					$( '.extra_wrapper' ).each( function() {
						$id = $( this ).attr( 'id' ).split( '_' );
						$id = parseInt( $id[1] );

						$( this ).attr( 'id', 'extra_' + count );
						$( this ).find( ':input' ).each( function() {
							this.name = this.name.replace( $id, count );
							this.id = this.id.replace( $id, count );
						});
						count++;
					});
				} else {
					$( this ).parents( '.extra_wrapper' ).find( '.price-input' ).val( '' );
					$( this ).parents( '.extra_wrapper' ).find( '.charlimit-extradescription' ).val( '' );
					$( this ).parents( '.extra_wrapper' ).find( '.ui.checkbox' ).each( function() {
						$( this ).checkbox( 'uncheck' );
					});

					$( this ).parents( '.extra_wrapper' ).find( '.max-day-deliver' ).children( '.text' ).addClass( 'default' ).html( '<?php echo $lbl_please_select; ?>' );
					$( this ).parents( '.extra_wrapper' ).find( '.max-day-deliver' ).children( '.menu' ).children( '.item.active.selected' ).removeClass( 'active' ).removeClass( 'selected' );
					$( this ).parents( '.extra_wrapper' ).find( '.max-day-deliver' ).prop( 'selectedIndex', 0 );
				}

				wpj_aoe_validate_form();
				$( '#add_extra' ).show();
			});

			// Delete Extra Unchecked Row Before Publish the Job
			$( document ).on( 'click', '#aoe_form_submitted', function( e ) {

				// - delete row if checkbox is disabled
				jQuery( function( $ ) {
					$( '.extra_wrapper' ).each( function() {
						$id = $( this ).attr( 'id' ).split( '_' );
						$id = parseInt( $id[1] );
						if ( ! $( this ).find( '#enable_extra_' + $id ).is( ':checked' ) ) {
							$( this ).find( '#delete_extra' ).trigger( 'click' );
						}
					});
				});
			});
		});
	</script>

<?php }

function wpj_get_job_validation_strings( $key = '' ) {

	/* Job title */
	$characters_jobtitle_min = get_option( "wpjobster_characters_jobtitle_min" );
	$characters_jobtitle_min = ( empty( $characters_jobtitle_min ) || $characters_jobtitle_min == 0 ) ? 15 : $characters_jobtitle_min;
	$characters_jobtitle_max = get_option( "wpjobster_characters_jobtitle_max" );
	$characters_jobtitle_max = ( empty( $characters_jobtitle_max ) || $characters_jobtitle_max == 0 ) ? 80 : $characters_jobtitle_max;

	/* Job description */
	$characters_jobdescription_min = get_option( "wpjobster_characters_description_min" );
	$characters_jobdescription_min = ( empty( $characters_jobdescription_min ) || $characters_jobdescription_min == 0 ) ? 0 : $characters_jobdescription_min;
	$characters_jobdescription_max = get_option( "wpjobster_characters_description_max" );
	$characters_jobdescription_max = ( empty( $characters_jobdescription_max ) || $characters_jobdescription_max == 0 ) ? 1000 : $characters_jobdescription_max;

	/* Instruction to buyer */
	$characters_jobinstr_min = get_option( "wpjobster_characters_instructions_min" );
	$characters_jobinstr_min = ( empty( $characters_jobinstr_min ) || $characters_jobinstr_min == 0 ) ? 0 : $characters_jobinstr_min;
	$characters_jobinstr_max = get_option( "wpjobster_characters_instructions_max" );
	$characters_jobinstr_max = ( empty( $characters_jobinstr_max ) || $characters_jobinstr_max == 0 ) ? 350 : $characters_jobinstr_max;

	/* Extra description */
	$characters_jobextra_description_min = get_option( "wpjobster_characters_extradescription_min" );
	$characters_jobextra_description_min = ( empty( $characters_jobextra_description_min ) || $characters_jobextra_description_min == 0 ) ? 0 : $characters_jobextra_description_min;
	$characters_jobextra_description_max = get_option( "wpjobster_characters_extradescription_max" );
	$characters_jobextra_description_max = ( empty( $characters_jobextra_description_max ) || $characters_jobextra_description_max == 0 ) ? 50 : $characters_jobextra_description_max;

	/* Package title */
	$characters_job_package_title_min = get_option( "wpjobster_characters_job_package_title_min" );
	$characters_job_package_title_min = ( empty( $characters_job_package_title_min ) || $characters_job_package_title_min == 0 ) ? 0 : $characters_job_package_title_min;
	$characters_job_package_title_max = get_option( "wpjobster_characters_job_package_title_max" );
	$characters_job_package_title_max = ( empty( $characters_job_package_title_max ) || $characters_job_package_title_max == 0 ) ? 120 : $characters_job_package_title_max;

	/* Package description */
	$characters_job_package_description_min = get_option( "wpjobster_characters_job_package_description_min" );
	$characters_job_package_description_min = ( empty( $characters_job_package_description_min ) || $characters_job_package_description_min == 0 ) ? 0 : $characters_job_package_description_min;
	$characters_job_package_description_max = get_option( "wpjobster_characters_job_package_description_max" );
	$characters_job_package_description_max = ( empty( $characters_job_package_description_max ) || $characters_job_package_description_max == 0 ) ? 1000 : $characters_job_package_description_max;

	/* Package price */
	$amount_job_pacakger_price_min = get_option( 'wpjobster_min_package_amount'   );
	if ( ! is_numeric( $amount_job_pacakger_price_min ) || ! $amount_job_pacakger_price_min || $amount_job_pacakger_price_min == '0' || $amount_job_pacakger_price_min < 0 ) {
		$amount_job_pacakger_price_min = 0;
	}
	$amount_job_pacakger_price_max = get_option( 'wpjobster_max_package_amount' );

	/* Price */
	if ( wpj_get_user_feature_status( 'wpjobster_enable_min_job_amount', 'wpjobster_subscription_min_job_price_enabled' ) != 'no' ) {
		$amount_jobprice_min = wpj_get_user_feature_value( 'min_amount', 'min_job_price' );
	} else {
		$amount_jobprice_min = 0;
	}

	if ( wpj_get_user_feature_status( 'wpjobster_enable_max_job_amount', 'wpjobster_subscription_max_job_price_enabled' ) != 'no' ) {
		$amount_jobprice_max = wpj_get_user_feature_value( 'max_amount', 'max_job_price' );
	} else {
		$amount_jobprice_max = '';
	}

	/* Extra price */
	if ( wpj_get_user_feature_status( 'wpjobster_enable_min_extra_amount', 'wpjobster_subscription_min_extra_price_enabled' ) != 'no' ) {
		$amount_jobextra_price_min = wpj_get_user_feature_value( 'min_extra_amount', 'min_extra_price' );
	} else {
		$amount_jobextra_price_min = 0;
	}

	if ( wpj_get_user_feature_status( 'wpjobster_enable_max_extra_amount', 'wpjobster_subscription_max_extra_price_enabled' ) != 'no' ) {
		$amount_jobextra_price_max = wpj_get_user_feature_value( 'max_extra_amount', 'max_extra_price' );
	} else {
		$amount_jobextra_price_max = '';
	}

	$strings = array(
		'job_title_blank'        => __( "You cannot leave the job title blank.", "wpjobster" ),
		'job_title_min'          => sprintf( __( "The job title field needs to have at least %d characters.", "wpjobster" ), $characters_jobtitle_min ),
		'job_title_max'          => sprintf( __( "The job title field needs to have at most %d characters.", "wpjobster" ), $characters_jobtitle_max ),

		'job_price_blank'        => __( "You cannot leave the job price blank.", "wpjobster" ),
		'job_price_numeric'      => __( "The job price must be numeric. No strings allowed.", "wpjobster" ),
		'job_price_min'          => sprintf( __( "The job price must be higher than or equal to %d.", "wpjobster" ), $amount_jobprice_min ),
		'job_price_max'          => sprintf( __( "The job price must be lower than or equal to %d.", "wpjobster" ), $amount_jobprice_max ),

		'job_category_blank'     => __( "You cannot leave the job category blank.", "wpjobster" ),

		'job_subcategory_blank'  => __( "You cannot leave the job subcategory blank.", "wpjobster" ),

		'job_description_blank'  => __( "You cannot leave the job description blank.", "wpjobster" ),
		'job_description_min'    => sprintf( __( "The job description field needs to have at least %d characters.", "wpjobster" ), $characters_jobdescription_min ),
		'job_description_max'    => sprintf( __( "The job description field needs to have at most %d characters.", "wpjobster" ), $characters_jobdescription_max ),

		'job_instructions_blank' => __( "You cannot leave the buyer intructions blank.", "wpjobster" ),
		'job_instructions_min'   => sprintf( __( "The buyer intructions field needs to have at least %d characters.", "wpjobster" ), $characters_jobinstr_min ),
		'job_instructions_max'   => sprintf( __( "The buyer intructions field needs to have at most %d characters.", "wpjobster" ), $characters_jobinstr_max ),

		'job_faq_blank'          => __( "You cannot leave the job faq blank.", "wpjobster" ),

		'job_max_days_blank'     => __( "You cannot leave the job max days to deliver blank.", "wpjobster" ),
		'job_instant_file_blank' => __( "You need to upload at least one instant delivery file for your job.", "wpjobster" ),

		'job_shipping_numeric'   => __( "The shipping price must be numeric. No strings allowed.", "wpjobster" ),

		'job_image_blank'        => __( "You need to upload at least one image for your job.", "wpjobster" ),
		'job_image_error'        => __( "You need to check upload image error for your job.", "wpjobster" ),

		'job_audio_blank'        => __( "You need to upload at least one audio for your job.", "wpjobster" ),

		'job_video_invalid'      => __( "The video link is invalid.", "wpjobster" ),

		'job_efd_price_blank'    => __( "You cannot leave the job extra fast delivery price blank.", "wpjobster" ),
		'job_efd_price_numeric'  => __( "The job extra fast delivery price must be numeric. No strings allowed.", "wpjobster" ),
		'job_efd_price_min'      => sprintf( __( "The job extra fast delivery price must be higher than or equal to %d.", "wpjobster" ), $amount_jobextra_price_min ),
		'job_efd_price_max'      => sprintf( __( "The job extra fast delivery price must be lower than or equal to %d.", "wpjobster" ), $amount_jobextra_price_max ),
		'job_efd_max_days_blank' => __( "You cannot leave the job extra fast delivery max days blank.", "wpjobster" ),
		'job_efd_max_days_max'   => __( "The job extra fast delivery max days must be lower than max days.", "wpjobster" ),

		'job_ar_price_blank'     => __( "You cannot leave the job additional revision price blank.", "wpjobster" ),
		'job_ar_price_numeric'   => __( "The job additional revision price must be numeric. No strings allowed.", "wpjobster" ),
		'job_ar_price_min'       => sprintf( __( "The job additional revision price must be higher than or equal to %d.", "wpjobster" ), $amount_jobextra_price_min ),
		'job_ar_price_max'       => sprintf( __( "The job additional revision price must be lower than or equal to %d.", "wpjobster" ), $amount_jobextra_price_max ),
		'job_ar_max_days_blank'  => __( "You cannot leave the job additional revision delivery max days blank.", "wpjobster" ),

		'job_tos_uncheck'        => __( "You must agree to the terms and conditions.", "wpjobster" )
	);

	for ( $i = 1; $i <= 3; $i++ ) {

		$strings['job_pck_name_blank' . $i]        = sprintf( __( "You cannot leave the package %d name blank.", "wpjobster" ), $i );
		$strings['job_pck_name_min' . $i]          = sprintf( __( "The package %d field needs to have at least %d characters.", "wpjobster" ), $i, $characters_job_package_title_min );
		$strings['job_pck_name_max' . $i]          = sprintf( __( "The package %d field needs to have at most %d characters.", "wpjobster" ), $i, $characters_job_package_title_max );

		$strings['job_pck_description_blank' . $i] = sprintf( __( "You cannot leave the package %d description blank.", "wpjobster" ), $i );
		$strings['job_pck_description_min' . $i]   = sprintf( __( "The package %d field needs to have at least %d characters.", "wpjobster" ), $i, $characters_job_package_description_min );
		$strings['job_pck_description_max' . $i]   = sprintf( __( "The package %d field needs to have at most %d characters.", "wpjobster" ), $i, $characters_job_package_description_max );

		$strings['job_pck_price_blank' . $i]       = sprintf( __( "You cannot leave the package %d price blank.", "wpjobster" ), $i );
		$strings['job_pck_price_numeric' . $i]     = sprintf( __( "The package %d price must be numeric. No strings allowed.", "wpjobster" ), $i );
		$strings['job_pck_price_min' . $i]         = sprintf( __( "The package %d price must be higher than or equal to %d.", "wpjobster" ), $i, $amount_job_pacakger_price_min );
		$strings['job_pck_price_max' . $i]         = sprintf( __( "The package %d price must be lower than or equal to %d.", "wpjobster" ), $i, $amount_job_pacakger_price_max );

	}

	for ( $j = 1; $j <= 10; $j++ ) {

		$strings['job_extra_desc_blank' . $j]     = sprintf( __( "You cannot leave the job extra %d description blank.", "wpjobster" ), $j );
		$strings['job_extra_desc_min' . $j]       = sprintf( __( "The job extra %d description field needs to have at least %d characters.", "wpjobster" ), $j, $characters_jobextra_description_min );
		$strings['job_extra_desc_max' . $j]       = sprintf( __( "The job extra %d description field needs to have at most %d characters.", "wpjobster" ), $j, $characters_jobextra_description_max );

		$strings['job_extra_max_days_blank' . $j] = sprintf( __( "You cannot leave the job extra %d delivery max days blank.", "wpjobster" ), $j );

		$strings['job_extra_price_blank' . $j]    = sprintf( __( "You cannot leave the job extra %d price blank.", "wpjobster" ), $j );
		$strings['job_extra_price_numeric' . $j]  = sprintf( __( "The job extra %d price must be numeric. No strings allowed.", "wpjobster" ), $j );
		$strings['job_extra_price_min' . $j]      = sprintf( __( "The job extra %d price must be higher than or equal to %d.", "wpjobster" ), $j, $amount_jobextra_price_min );
		$strings['job_extra_price_max' . $j]      = sprintf( __( "The job extra %d price must be lower than or equal to %d.", "wpjobster" ), $j, $amount_jobextra_price_max );

	}

	$strings = apply_filters( 'wpj_job_validation_strings_list_filter', $strings );

	if ( $key ) return $strings[$key];
	else return $strings;

}