<?php
function wpj_job_view_counter( $pid = '' ) {

	$pid = $pid;

	$post = get_post( $pid );

	$interval_number = is_numeric( get_option( 'wpjobster_job_view_interval_number' ) ) ? get_option( 'wpjobster_job_view_interval_number' ) : 5;
	$interval_type   = get_option( 'wpjobster_job_view_interval_type' ) ? get_option( 'wpjobster_job_view_interval_type' ) : 'minutes';

	if ( $interval_type == 'minutes' ) {
		$counter_interval = $interval_number * 60;
	} elseif ( $interval_type == 'hours' ) {
		$counter_interval = $interval_number * 60 * 60;
	} elseif ( $interval_type == 'days' ) {
		$counter_interval = $interval_number * 60 * 60 * 24;
	} elseif ( $interval_type == 'weeks' ) {
		$counter_interval = $interval_number * 60 * 60 * 24 * 7;
	} elseif ( $interval_type == 'months' ) {
		$counter_interval = $interval_number * 60 * 60 * 24 * 30;
	} elseif ( $interval_type == 'years' ) {
		$counter_interval = $interval_number * 60 * 60 * 24 * 365;
	} else {
		$counter_interval = 300;
	}

	$uid = is_user_logged_in() ? get_current_user_id() : preg_replace( "/\./", "_", wpj_get_user_ip() );

	if ( $uid != $post->post_author ) {

		$job_views = get_post_meta( $pid, 'job_views', true );

		if ( $job_views && is_array( $job_views ) ) {

			$last_visit = isset( $job_views[$uid]['date'] ) ? $job_views[$uid]['date'] : false;

			if ( $last_visit ) {
				if ( time() - $last_visit > $counter_interval ) {
					$update = true;
				}
			} else {
				$update = true;
			}

			if ( isset( $update ) ) {
				$job_views[$uid]['date']    = time();
				$job_views[$uid]['counter'] = isset( $job_views[$uid]['counter'] ) ? $job_views[$uid]['counter'] + 1 : 1;

				update_post_meta( $pid, 'job_views', $job_views );
			}

		} else {

			update_post_meta( $pid, 'job_views', array( $uid => array( 'date' => time(), 'counter' => 1 ) ) );

		}

	}

	$job_views_arr = get_post_meta( get_the_ID(), 'job_views', true );

	$total_views = 0;
	if ( is_array( $job_views_arr ) ) {
		foreach ( $job_views_arr as $key => $value ) {
			$total_views += $value['counter'];
		}
	}

	update_post_meta( $pid, 'job_views_counter', $total_views );

	return $total_views;

}