<?php
function wpj_email_settings_save_post() {
	if ( isset( $_POST['uz_save_notification'] ) ) {

		$email_categories_no_admin = notifications_array();
		unset( $email_categories_no_admin['admin'] );
		unset( $email_categories_no_admin['registration'] );
		unset( $email_categories_no_admin['account_segregation'] );

		if ( $email_categories_no_admin ) {

			$user_id = get_current_user_id();

			//EMAIL NOTIFICATIONS
			if ( isset($_POST['email_notifications'] ) ) {
				$email_notifications = $_POST['email_notifications'];
				$all_email_notifications = array();

				//ARRAY ALL EMAIL NOTIFICATIONS
				foreach ( $email_categories_no_admin as $email_category ) {
					foreach ( $email_category["items"] as $reason => $key ) {
						$reason_name = $key["title"];
						$all_email_notifications[] = 'uz_email_' . $reason . '_enable';
					}
				}

				//ARRAY ALL CHECKED NOTIFICATIONS
				$all_email_notifications_checked = array();
				foreach ( $all_email_notifications as $reason => $val ) {
					if ( isset( $email_notifications[$reason] ) ) {
						$all_email_notifications_checked[] = $email_notifications[$reason];
					}
				}

				//ARRAY ALL UNCHECKED NOTIFICATIONS
				$all_email_notifications_no_checked = array_diff( $all_email_notifications, $all_email_notifications_checked );

				//UPDATE CHECK NOTIFICATIONS
				foreach ( $all_email_notifications_checked as $chk ) {
					update_user_meta( $user_id, $chk, 'yes' );
				}

				//UPDATE UNCHECKED NOTIFICATION
				foreach ( $all_email_notifications_no_checked as $no_chk ) {
					update_user_meta( $user_id, $no_chk, 'no' );
				}
			} else {

				//UPDATE ALL EMAIL NOTIFICATIONS TO NO
				foreach ( $email_categories_no_admin as $email_category ) {
					foreach ( $email_category["items"] as $reason => $key ) {
						$reason_name = $key["title"];
						update_user_meta( $user_id, 'uz_email_' . $reason . '_enable', 'no' );
					}
				}
			}

			//SMS NOTIFICATIONS
			if ( get_option( 'wpjobster_sms_gateways_enable' ) != '-' && get_option( 'wpjobster_sms_gateways_enable' ) != '' ) {
				if ( isset( $_POST['sms_notifications'] ) ) {
					$sms_notifications = $_POST['sms_notifications'];
					$all_sms_notifications = array();

					//ARRAY ALL SMS NOTIFICATIONS
					foreach ( $email_categories_no_admin as $email_category ) {
						foreach ( $email_category["items"] as $reason => $key ) {
							$reason_name = $key["title"];
							$all_sms_notifications[] = 'uz_sms_' . $reason . '_enable';
						}
					}

					//ARRAY ALL CHECKED NOTIFICATIONS
					$all_sms_notifications_checked = array();
					foreach ( $all_sms_notifications as $reason => $val ) {
						if ( isset( $sms_notifications[$reason] ) ) {
							$all_sms_notifications_checked[] = $sms_notifications[$reason];
						}
					}

					//ARRAY ALL UNCHECKED NOTIFICATIONS
					$all_sms_notifications_no_checked = array_diff( $all_sms_notifications, $all_sms_notifications_checked );

					//UPDATE CHECK NOTIFICATIONS
					foreach ( $all_sms_notifications_checked as $chk ) {
						update_user_meta( $user_id, $chk, 'yes' );
					}

					//UPDATE UNCHECKED NOTIFICATION
					foreach ( $all_sms_notifications_no_checked as $no_chk ) {
						update_user_meta( $user_id, $no_chk, 'no' );
					}
				} else {

					//UPDATE ALL SMS NOTIFICATIONS TO NO
					foreach ( $email_categories_no_admin as $email_category ) {
						foreach ( $email_category["items"] as $reason => $key ) {
							$reason_name = $key["title"];
							update_user_meta( $user_id, 'uz_sms_' . $reason . '_enable', 'no' );
						}
					}
				}
			}

			return true;
		}
	}

	return false;
}

function wpj_email_settings_list_email_type() {
	$user_id = get_current_user_id();
	$email_categories_no_admin = notifications_array();
	unset( $email_categories_no_admin['admin'] );
	unset( $email_categories_no_admin['registration'] );
	unset( $email_categories_no_admin['account_segregation'] );

	if ( $email_categories_no_admin ) {
		foreach ( $email_categories_no_admin as $email_category ) {
			if ( isset( $email_category["items"] ) && $email_category["items"] ){
				foreach ( $email_category["items"] as $reason => $pair ) {
					$reason_name    = $pair["title"];
					$reason_desc    = $pair["description"];
					$emailischecked = get_user_meta( $user_id, 'uz_email_' . $reason . '_enable', true );

					if ( get_option( 'uz_email_' . $reason . '_enable' ) != 'no' ) {
						echo '<li>';
							echo '<div class="ui checkbox">';

								echo '<input type="checkbox" class="email_notifications" name="email_notifications[]"' . ( $emailischecked != "no" ? " checked " : '' ) . 'value="uz_email_' . $reason . '_enable" />';
								echo '<label>' . __( $reason_name, 'wpjobster' ) . '</label>';
							echo '</div>';
						echo '</li>';
					}
				}
			}
		}
	}
}

function wpj_email_settings_list_sms_type() {
	$user_id = get_current_user_id();
	$email_categories_no_admin = notifications_array();
	unset( $email_categories_no_admin['admin'] );
	unset( $email_categories_no_admin['registration'] );
	unset( $email_categories_no_admin['account_segregation'] );

	if ( $email_categories_no_admin ) {
		foreach ( $email_categories_no_admin as $email_category ) {
			if ( isset( $email_category["items"] ) && $email_category["items"] ) {
				foreach ( $email_category["items"] as $reason => $pair ) {
					$reason_name  = $pair["title"];
					$reason_desc  = $pair["description"];
					$smsischecked = get_user_meta( $user_id, 'uz_sms_' . $reason . '_enable', true );

					if ( get_option( 'uz_sms_' . $reason . '_enable' ) != 'no' ) {
						echo '<li>';
							echo '<div class="ui checkbox">';
								echo '<input type="checkbox" class="sms_notifications" name="sms_notifications[]"' . ( $smsischecked != "no" ? " checked " : '' ) . 'value="uz_sms_' . $reason . '_enable" />';
								echo '<label>' . __( $reason_name, 'wpjobster' ) . '</label>';
							echo '</div>';
						echo '</li>';
					}
				}
			}
		}
	}
}
