<?php
function wpj_init_my_account_page() {
	do_action( "wpjobster_check_user_role" );

	$uid = get_current_user_id();

	$last = get_user_meta( $uid, 'last_user_login', true );
	if ( empty( $last ) ) {
		add_action( 'wp_head', function() { wp_enqueue_script( 'jquery' ); });
	}

	// Update user last seen and last IP
	if ( ! is_demo_user() ) {
		update_user_meta( $uid, 'ip_reg', wpj_get_user_ip() );
		update_user_meta( $uid, 'last_user_login', current_time( 'timestamp', 1 ) );
	}

	// Modals
	wpj_deactivate_modal();
	wpj_activate_modal();
	wpj_delete_modal();
}

function wpj_load_more_my_account( $pg ) {

	$uid = get_current_user_id();

	if ( $pg == "active" ) {

		$meta_query   = array( 'key' => 'active', 'value' => '1', 'compare' => '=' );
		$post_status  = array( 'publish' );
		$no_jobs_text = __( 'No active jobs.', 'wpjobster' );

	} elseif ( $pg == "inactive" ) {

		$meta_query   = array( 'relation' => 'AND', array( 'key' => 'active', 'value' => '0', 'compare' => '=' ), array( 'key' => 'under_review', 'value' => '0', 'compare' => '=' ) );
		$post_status  = array( 'draft', 'publish' );
		$no_jobs_text = __( 'No inactive jobs.', 'wpjobster' );

	} elseif ( $pg == "under-review" ) {

		$meta_query   = array( 'key' => 'under_review', 'value' => '1', 'compare' => '=' );
		$post_status  = 'draft';
		$no_jobs_text = __( 'No pending review jobs.', 'wpjobster' );

	} elseif ( $pg == "rejected" ) {

		$post_status  = 'pending';
		$meta_query   = array();
		$no_jobs_text = __( 'No rejected jobs.', 'wpjobster' );

	} else {

		$meta_query   = array( 'key' => 'closed', 'value' => '0', 'compare' => '=' );
		$post_status  = array( 'draft', 'publish', 'pending' );
		$no_jobs_text = __( 'There are no jobs yet.', 'wpjobster' );

	}

	$wpj_job = new WPJ_Load_More_Posts(
		array(
			'post_type'      => 'job',
			'function_name'  => 'wpj_list_user_jobs_template',
			'posts_per_page' => get_option('posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
			'post_status'    => $post_status,
			'order_by'       => 'date',
			'order'          => 'DESC',
			'author'         => $uid,
			'meta_query'     => array( $meta_query ),
			'container_class' => 'my-account-job-listing'
		)
	);

	$vars = array(
		'pg'           => $pg,
		'wpj_job'      => $wpj_job,
		'no_jobs_text' => $no_jobs_text
	);

	return $vars;

}