<?php
if (!function_exists('wpj_my_favorites')) {
	function wpj_my_favorites( $display = '', $bookmarks ) {

		$delete_link = true;
		$delete_text = '<div class="bookmark-icon-smaller bookmark-remove tooltip"><span>' . __('Remove Favorite', 'wpjobster') . '</span></div>';

		foreach ( $bookmarks as $bookmark) {

			$max_days   = get_post_meta($bookmark, "max_days", true);

			$rating_count = get_option( 'wpj_min_rating_number' );
			$rating_count = $rating_count && is_numeric( $rating_count ) ? $rating_count : 3;

			$display .= '<div class="ui stackable grid my-favorites upb_bookmark bookmark-'. $bookmark .' ">';
				$display .= '<div class="eight wide column">';
					$display .= '<div class="flex-parent flex-thumb-text">';

						$display .= '<div><a href="' . get_permalink($bookmark) . '" class="upb_bookmark_link" title="' . get_the_title($bookmark) . '">';
							$display .= '<img width="60" height="60" class="round-avatar" src="' . wpjobster_get_job_image($bookmark, 61, 61) . '" />';
						$display .= '</a></div>';

						$display .= '<div>';
							$display .= '<h4 class="small-heading-title">';
								$display .= '<a href="' . get_permalink($bookmark) . '" class="upb_bookmark_link" title="' . get_the_title($bookmark) . '">';
								$display .= get_the_title($bookmark);

								$display .= '</a>';
							$display .= '</h4>';

							ob_start(); wpj_get_single_job_rating( $bookmark );
							$display .= ob_get_contents(); ob_end_clean();

						$display .= '</div>';

					$display .= '</div>'; // flex-parent flex-thumb-text
				$display .= '</div>'; // eight wide column

				$display .= '<div class="three wide column favorite-deliver-days">';
					$display .= '<div class="responsive_titles">' . __('Delivery time', 'wpjobster') . '</div>' . '<div class="favorite-time-deliver">' . $max_days . ' ' . _n("day", "days", $max_days, "wpjobster") . '</div>';
				$display .= '</div>';

				$display .= '<div class="three wide column favorite-price">';
					$display .= '<div class="responsive_titles">' . __('Job Price', 'wpjobster') . '</div>';
					$display .= '<div class="favorite-price">';

						$package_price = get_post_meta( $bookmark, 'package_price', true );
						if ( $package_price ) { sort( $package_price );
							$package_price = array_diff( $package_price, array( null ) );
						}

						if ( get_option( 'wpjobster_packages_enabled' ) == 'yes' && get_post_meta( $bookmark, 'job_packages', true ) == 'yes' && $package_price ) {
							$display .= wpjobster_get_show_price( min( $package_price ) ) . ' - ' . wpjobster_get_show_price( max( $package_price ) );
						} else {
							if ( get_post_meta( $bookmark, 'price', true ) > 0 ) {
								$display .= wpjobster_get_show_price( get_post_meta( $bookmark, 'price', true ), 1 );
							} else {
								if ( wpj_bool_option( 'wpjobster_replace_zero_with_free' ) ) {
									$display .= __( 'Free','wpjobster' );
								} else {
									$display .= wpjobster_get_show_price( get_post_meta( $bookmark, 'price', true ), 1 );
								}
							}
						}

					$display .= '</div>';
				$display .= '</div>';

				$display .= '<div class="two wide column favorites-hearts">';
					if($delete_link) {
						$display .= '<div class="responsive_titles">' . __('Favorite', 'wpjobster') .  '</div>' . '<a href="#" class="upb_del_bookmark upb_del_bookmark_' . $bookmark . '" rel="' . $bookmark . '">' . $delete_text . '</a>';
					}
				$display .= '</div>';
			$display .= '</div>';

		}

		return $display;

	}
}
