<?php
function wpj_get_current_tab_payments() {
	global $wp_query;

	$pg   = isset( $wp_query->query_vars['pg'] ) ? urldecode( $wp_query->query_vars['pg'] ) : 'home';
	$tabs = apply_filters( 'wpj_user_payments_tabs_slug_filter', array( 'home', 'transactions', 'topup', 'withdraw' ) );

	if ( ! in_array( $pg, $tabs ) ) { $pg = 'home'; }

	return $pg;
}

function wpj_get_query_payments( $query_type, $query_status, $function_name, $class_name ) {
	$wpj_job = new WPJ_Load_More_Queries(
		array(
			'query_type'     => $query_type,
			'query_status'   => $query_status,
			'function_name'  => $function_name,
			'posts_per_page' => get_option('posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
			'new_class_row'  => $class_name
		)
	);

	return $wpj_job;
}

function wpj_payment_tab_home() {
	$wpj_job = wpj_get_query_payments( 'withdrawals', 'pending', 'wpjobster_get_pending_withdrawals_queries', 'my-account-shopping-list' );

	if ( $wpj_job->have_rows() ) { ?>

		<div class="row">
			<div class="five wide column payment-title-table"><?php _e( 'Date', 'wpjobster' ); ?></div>
			<div class="four wide column payment-title-table"><?php _e( 'Amount', 'wpjobster' ); ?></div>
			<div class="four wide column payment-title-table"><?php _e( 'Type of payment', 'wpjobster' ); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Status', 'wpjobster' ); ?></div>
		</div>

		<?php $wpj_job->show_queries_list_func();

	} else { ?>

		<div class='sixteen wide column'><?php _e( 'No withdrawals pending yet.', 'wpjobster' ); ?></div>

	<?php }
}

function wpj_payment_tab_pending_incoming() {

	$wpj_job = wpj_get_query_payments( 'payments', 'pending', 'wpjobster_get_pending_payments_queries', '' );

	if ( $wpj_job->have_rows() ) { ?>

		<div class="row">
			<div class="two wide column payment-title-table"><?php _e( 'Buyer', "wpjobster"); ?></div>
			<div class="two wide column payment-title-table"><?php _e( 'Job', "wpjobster"); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Date Purchased', "wpjobster"); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Date Completed', "wpjobster"); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Date Clearing', "wpjobster"); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Amount', "wpjobster"); ?></div>
		</div>

		<?php $wpj_job->show_queries_list_func();

	} else { ?>

		<div class='sixteen wide column'><?php _e( 'No payments pending yet.', 'wpjobster' ); ?></div>

	<?php }
}

function wpj_payment_tab_transactions() {

	$wpj_job = wpj_get_query_payments( 'transactions', 'all', 'wpjobster_get_transactions_queries', 'payment-row' );

	if ( $wpj_job->have_rows() ) { ?>

		<div class="row">

			<?php global $wpjobster_currencies_array; ?>

			<div class="eight wide column payment-title-table"><?php _e( 'Description', "wpjobster" ); ?></div>
			<div class="four wide column payment-title-table"><?php _e( 'Date', "wpjobster" ); ?></div>
			<div class="two wide column payment-title-table"><?php _e( 'Amount',"wpjobster" ); ?></div>

			<?php if ( count( $wpjobster_currencies_array ) > 1 ) { ?>
				<div class="two wide column payment-title-table"><?php _e( 'Currency', 'wpjobster' ); ?></div>
			<?php } ?>

		</div>

		<?php $wpj_job->show_queries_list_func();

	} else { ?>

		<div class='sixteen wide column'><?php _e( 'No activity yet.', 'wpjobster' ); ?></div>

	<?php }

}

function wpj_payments_tab_topup_subtab_pending() {

	$wpj_topup_pending = wpj_get_query_payments( 'topup', 'pending', 'wpjobster_get_pending_topup_queries', 'my-payments-topup-pending-list' );

	if ( $wpj_topup_pending->have_rows() ) { ?>

		<div class="row">
			<div class="four wide column payment-title-table"><?php _e( 'Action', 'wpjobster' ); ?></div>
			<div class="four wide column payment-title-table"><?php _e( 'Date', 'wpjobster' ); ?></div>
			<div class="two wide column payment-title-table"><?php _e( 'Amount', 'wpjobster' ); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Type of payment', 'wpjobster' ); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Status', 'wpjobster' ); ?></div>
		</div>

		<?php $wpj_topup_pending->show_queries_list_func();

	} else { ?>

		<div class='sixteen wide column'><?php _e( 'No top up pending yet.', 'wpjobster' ); ?></div>

	<?php }
}

function wpj_payments_tab_topup_subtab_completed() {

	$wpj_topup_completed = wpj_get_query_payments( 'topup', 'completed', 'wpjobster_get_completed_topup_queries', 'my-payments-topup-completed-list' );

	if ( $wpj_topup_completed->have_rows() ) { ?>

		<div class="row">
			<div class="five wide column payment-title-table"><?php _e( 'Date', 'wpjobster' ); ?></div>
			<div class="four wide column payment-title-table"><?php _e( 'Amount', 'wpjobster' ); ?></div>
			<div class="four wide column payment-title-table"><?php _e( 'Type of payment', 'wpjobster' ); ?></div>
			<div class="three wide column payment-title-table"><?php _e( 'Status', 'wpjobster' ); ?></div>
		</div>

		<?php $wpj_topup_completed->show_queries_list_func();

	} else { ?>

		<div class='sixteen wide column'><?php _e( 'No top up completed yet.', 'wpjobster' ); ?></div>

	<?php }
}

function wpj_payment_tab_withdraw() {

	$uid = get_current_user_id();

	$post_exist = false;
	if ( wpj_get_withdrawals_gateways() ) {
		foreach ( wpj_get_withdrawals_gateways() as $key => $value ) {
			if ( isset( $_POST[$value . '_withdraw'] ) ) {
				$post_exist = true;
			}
		}
	}

	if ( $post_exist ) {
		$amount  = isset( $_POST['amount'] ) ? trim( $_POST['amount'] ) : '';
		$details = isset( $_POST['details'] ) ? esc_sql( trim( $_POST['details'] ) ) : '';
		$email = isset( $_POST['email'] ) ? esc_sql( trim( $_POST['email'] ) ) : '';

		$currency = wpjobster_get_currency();

		if ( isset( $_POST['banktransfer_withdraw'] ) ) { // bank transfer
			$details = '';

			foreach ( array(
				"bank_bank_name"        => __( 'Bank Name', 'wpjobster' ),
				"bank_bank_address"     => __( 'Bank Address', 'wpjobster' ),
				"bank_account_name"     => __( 'Account Name', 'wpjobster' ),
				"bank_account_number"   => __( 'Account Number', 'wpjobster' ),
				"bank_account_currency" => __( 'Account Currency', 'wpjobster' ),
				"bank_additional_info"  => __( 'Additional Info', 'wpjobster' ),
			) as $field_key => $field_name ) {
				if ( apply_filters( 'wpj_payments_display_' . $field_key . '_field', true ) ) {
					$details .= $field_name . ': ' . get_user_meta( $uid, $field_key, true ) . '<br>';
				}
			}

			$details = esc_sql( wpj_description_parser( $details ) );
		}

		global $wpjobster_currencies_array;
		$amount_default = get_exchange_value( $amount, $currency, $wpjobster_currencies_array[0] );

		$wpjobster_withdraw_limit = get_option( 'wpjobster_withdraw_limit' );
		if ( empty( $wpjobster_withdraw_limit ) OR ! is_numeric( $wpjobster_withdraw_limit ) ) $wpjobster_withdraw_limit = 10;

		$tm = current_time( 'timestamp', 1 );
		if ( ! empty( $_POST['tm_tm'] ) ) $tm = $_POST['tm_tm'];

		global $wpdb;
		$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_withdraw WHERE uid = '{$uid}' AND datemade = '{$tm}'" );
		if ( count( $r ) == 0 ) {

			$err_content = '';
			if ( ! is_numeric( $amount ) || $amount < 0 ) {
				$err_content = __( 'Provide a well formated amount.', 'wpjobster' );
			} elseif ( ! empty( $_POST['email'] ) && wpjobster_isValidEmail( $email ) == false ) {
				$err_content =  __( 'Invalid email provided.', 'wpjobster' );
			} elseif ( $amount_default < $wpjobster_withdraw_limit ) {
				$err_content = sprintf( __( 'The amount must be higher than: %s.', 'wpjobster' ), wpjobster_get_show_price( $wpjobster_withdraw_limit ) );
			} elseif ( wpjobster_get_credits( get_current_user_id() ) < $amount_default ) {
				$err_content = __( 'Your balance is smaller than the amount requested.', 'wpjobster' );
			}

			if ( $err_content ) { ?>

				<div class="sixteen wide column">
					<div class="ui negative message">
						<i class="close icon"></i>
						<div class="header"><?php echo __( 'ERROR', 'wpjobster' ); ?></div>
						<p><?php echo $err_content; ?></p>
					</div>
				</div>

			<?php } else {

				$method = '';

				if ( isset( $_POST['paypal_withdraw'] ) ) $method = "PayPal";
				if ( isset( $_POST['payoneer_withdraw'] ) ) $method = "Payoneer";
				if ( isset( $_POST['banktransfer_withdraw'] ) ) $method = "Bank";

				$method = apply_filters( 'wpjobster_withdraw_method', $method );

				$tm = current_time( 'timestamp', 1 );
				if ( ! empty( $_POST['tm_tm'] ) ) $tm = $_POST['tm_tm'];

				$s = "SELECT * FROM {$wpdb->prefix}job_withdraw WHERE uid = '{$uid}' AND datemade = '{$tm}'";
				$r = $wpdb->get_results( $s );
				if ( count( $r ) == 0 ) {
					$payedamount = $currency . '|' . wpjobster_formats_special( $amount, 1 );
					if ( get_option( 'wpjobster_enable_withdraw_email_verification' ) == 'yes' ) {
						$act_key = md5( uniqid( mt_rand(), true ) );
					} else {
						$act_key = '';
					}

					$s = "INSERT INTO {$wpdb->prefix}job_withdraw ( payeremail, methods, amount, datemade, uid, payedamount, activation_key ) VALUES( '{$details}', '{$method}', '{$amount_default}', '{$tm}', '{$uid}', '{$payedamount}', '{$act_key}' )";
					$wpdb->query( $s );

					$cr = wpjobster_get_credits( $uid );
					wpjobster_update_credits( $uid, $cr - $amount_default );

					do_action( 'wpj_after_withdrawal_request', $details, $method, $amount_default, $tm, $uid, $payedamount, $act_key );

					$user_data = get_userdata( $uid );

					$withdrawal_email_verification = get_bloginfo( 'url' ) . "/?jb_action=verify_email&username=" . $user_data->user_nicename . "&key=" . $act_key . "&action=withdrawal";

					wpj_notify_user_translated( 'withdraw_req', $uid, array( '##amount_withdrawn##' => wpjobster_get_show_price_precise( $amount, 2, $currency ), '##withdraw_method##' => wpjobster_translate_string( $method ), '##withdrawal_email_verification##' => $withdrawal_email_verification ) );

					// Email the admin
					if ( get_option( 'wpjobster_enable_withdraw_email_verification' ) != 'yes' ) { $uid_data = get_userdata( $uid );
						wpj_notify_user_translated( 'admin_new_withdrawal_request', 'admin', array( '##withdrawal_username##' => wpj_get_user_display_type( $uid_data->ID ), '##withdrawal_amount##' => wpjobster_get_show_price_precise( $amount, 2, $currency ), '##withdrawal_method##' => wpjobster_translate_string( $method ) ) );
					}

				} ?>

				<div class="sixteen wide column">
					<div class="ui positive message">
						<div class="header"><?php echo __( 'Redirecting...', 'wpjobster' ); ?></div>
						<i class="close icon"></i>
						<p><?php _e( 'Your request has been queued.', 'wpjobster' ); ?></p>
					</div>

					<meta http-equiv="refresh" content="0;url='<?php echo wpj_get_payment_link(); ?>" />
				</div>
			<?php }

		} else { ?>

			<div class="sixteen wide column">
				<div class="ui positive message">
					<div class="header"><?php echo __( 'Redirecting...', 'wpjobster' ); ?></div>
					<i class="close icon"></i>
					<p><?php _e( 'Your request has been queued.', 'wpjobster' ); ?></p>
				</div>

				<meta http-equiv="refresh" content="2;url='<?php echo wpj_get_payment_link(); ?>" />
			</div>

		<?php }
	}

	$wpjobster_currency_position     = get_option('wpjobster_currency_position');
	$wpjobster_currency_symbol_space = get_option('wpjobster_currency_symbol_space');

	if ( $wpjobster_currency_symbol_space == 'no' ) { $space = ""; } else { $space = " "; }

	return array( 'wpjobster_currency_position' => $wpjobster_currency_position, 'wpjobster_currency_symbol_space' => $wpjobster_currency_symbol_space );

}