<?php

function wpj_private_messages_vars() {

	$vars = array();
	global $wpdb, $current_user;
	$current_user = wp_get_current_user();
	$myuid = $current_user->ID;

	$using_perm = wpjobster_using_permalinks();
	if($using_perm) $privurl_m = get_permalink(get_option('wpjobster_my_account_priv_mess_page_id'));
	else $privurl_m = get_bloginfo('url'). "/?page_id=". get_option('wpjobster_my_account_priv_mess_page_id'). "&";

	$vars = array(
		'myuid' => $myuid,
		'wpdb' => $wpdb,
		'privurl_m' => $privurl_m
	);

	return $vars;

}

add_action( 'wp', 'wpj_pm_hide_admin_bar' );
function wpj_pm_hide_admin_bar() {
	if ( is_page( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) ) {
		add_filter( 'show_admin_bar', '__return_false' );
	}
}

add_filter( 'wpj_wrapper_class_filter', 'wpj_add_pm_class_to_wrapper' );
function wpj_add_pm_class_to_wrapper( $classes ) {
	if ( is_page( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) ) {
		$classes .= ' is-page-pm';

		if ( isset( $_GET['username'] ) || isset( $_GET['user_id'] ) ) {
			$classes .= ' is-page-pm-single';
		}
	}

	return $classes;
}

function wpj_private_messages_avatar_username($myuid, $wpdb) {

	$vars = array();

	if(isset($_GET['username'])){
		$otheruid = get_user_by('slug', $_GET['username']);
		$otheruid = $otheruid->ID;
	}else{
		$otheruid=$_GET['user_id'];
	}

	if ($otheruid == $myuid || $otheruid == false) {
		wp_redirect(get_permalink());
		die();
	}

	//display first messages
	$s = "SELECT * FROM (SELECT * FROM ".$wpdb->prefix."job_pm WHERE (user = '$otheruid' AND initiator = '$myuid' AND show_to_source = '1') OR (initiator = '$otheruid' and user = '$myuid' AND show_to_destination = '1') ORDER BY datemade DESC LIMIT 10) AS t1 ORDER BY datemade ASC";

	$r = $wpdb->get_results($s);

	$archive_class = '';
	$unarchive_class = '';

	if (isset($r[0]) &&( ($r[0]->initiator == $myuid && $r[0]->archived_to_source == 1) || ($r[0]->user == $myuid && $r[0]->archived_to_destination == 1)) ) {
		$archive_class = 'disabled';

	} else {
		$unarchive_class = 'disabled';
	}

	$user = get_userdata($otheruid);
	$user_avatar = '<img width="45" height="45" border="0" src="'.wpjobster_get_avatar($otheruid,46,46).'" class="round-avatar" />';
	$shortened_title = __( "Conversation with", "wpjobster" ) . ' ' . ( is_object( $user ) && isset( $user->user_login ) ? '<a href="' . wpj_get_user_profile_link( $user->user_login ) . '">' . wpj_get_user_display_type( $user->ID ) . '</a>' : __( 'Deleted User', 'wpjobster' ) );
	$shortened_title = mb_strlen( $shortened_title ) > 27 ? mb_substr($shortened_title, 0, 25) . '...' : $shortened_title;

	$vars = array(

		'otheruid' => $otheruid,
		'r' => $r,
		'user' => $user,
		'user_avatar' => $user_avatar,
		'archive_class' => $archive_class,
		'unarchive_class' => $unarchive_class

	);

	return $vars;

}

function wpj_pm_display_online_status( $u_id ) {
	// online icon
	$os = get_option( 'wpjobster_en_user_online_status' );
	if ( $os && $os != 'no' ) {
		$os = 'yes_with_icon'; // force icon only
		include ( locate_template( 'template-parts/pages/user/page-user-status.php' ) );
	}
}

function wpj_get_archived_private_messages() {

	global $wpdb;

	global $current_user;
	$current_user = wp_get_current_user();
	$myuid = $current_user->ID;

	$s =
	"SELECT id, other, content, datemade, author, rd, max_custom_offer, min_custom_offer "
	."FROM ("
		."SELECT id, other, content, MAX(datemade) AS datemade, author, rd, MAX(custom_offer) AS max_custom_offer, MIN(custom_offer) AS min_custom_offer, archived "
		."FROM ("
			."SELECT id, user AS other, initiator AS author, content, datemade, rd, custom_offer, archived_to_source AS archived "
			."FROM ".$wpdb->prefix."job_pm "
			."WHERE initiator = ".$myuid." "
			."AND show_to_source = '1' "

			."UNION "
			."SELECT id, initiator AS other, initiator AS author, content, datemade, rd, custom_offer, archived_to_destination AS archived "
			."FROM ".$wpdb->prefix."job_pm "
			."WHERE user = ".$myuid." "
			."AND show_to_destination = '1' "

			."ORDER BY datemade DESC"
		.") tmp "
		."GROUP BY other "
		."ORDER BY datemade DESC) tmp2 "
	."WHERE archived = '1' ";

	$r = $wpdb->get_results($s);

	return $r;

}

function wpj_get_inbox_private_messages() {

	global $wpdb;
	global $current_user;
	$current_user = wp_get_current_user();
	$myuid = $current_user->ID;

	$s =
	"SELECT id, other, content, datemade, author, rd, max_custom_offer, min_custom_offer "
	."FROM ("
		."SELECT id, other, content, MAX(datemade) AS datemade, author, rd, MAX(custom_offer) AS max_custom_offer, MIN(custom_offer) AS min_custom_offer, archived "
		."FROM ("
			."SELECT id, user AS other, initiator AS author, content, datemade, rd, custom_offer, archived_to_source AS archived "
			."FROM ".$wpdb->prefix."job_pm "
			."WHERE initiator = ".$myuid." "
			."AND show_to_source = '1' "

			."UNION "
			."SELECT id, initiator AS other, initiator AS author, content, datemade, rd, custom_offer, archived_to_destination AS archived "
			."FROM ".$wpdb->prefix."job_pm "
			."WHERE user = ".$myuid." "
			."AND show_to_destination = '1' "

			."ORDER BY datemade DESC"
		.") tmp "
		."GROUP BY other "
		."ORDER BY datemade DESC) tmp2 "
	."WHERE archived = '0' ";

	$r = $wpdb->get_results($s);

	return $r;

}


function wpj_private_messages_return_messages($r, $privurl_m, $live='') {

	if(count($r) > 0) {

		foreach($r as $row) {

			if( $live && $live != '' ){
				$row->other = $row->initiator;
				$row->author = $row->initiator;
				$row->max_custom_offer = isset( $row->custom_offer ) ? $row->custom_offer : 0;
				$row->min_custom_offer = isset( $row->custom_offer ) ? $row->custom_offer : 0;
				$row->rd = isset( $row->rd ) ? $row->rd : 0;
			}

			if($row->rd == 0) $cls = '';
			else $cls = '';

			$user = get_userdata($row->other);
			if(is_object($user) && isset($user->ID)){
				$userid_data = $user->ID;
				$user_name = wpj_get_user_display_type( $user->ID );
				$user_found = 1;
			}else{
				$userid_data = $row->other;
				$user_found = 0;
				$user_name = __("Deleted User",'wpjobster');
			}
			$user_avatar = '<img width="45" height="45" border="0" src="'.wpjobster_get_avatar($userid_data,46,46).'" class="round-avatar" />';
			if (mb_strlen($user_name)>17) {
				$user_name = mb_substr($user_name, 0, 15) . '...';
			}
			$pm_content = $row->content;
			if ($row->author == $row->other && $row->rd == 0) {
				$read_class = 'pm-unread-message';
			} else {
				$read_class = '';
			}
			if ($row->max_custom_offer != 0 && $row->min_custom_offer != 0) {
				$custom_offer_class = 'pm-custom-offer';
			} else {
				$custom_offer_class = '';
			}

			if ( ( is_object( $user ) && WPJ_Form::get( 'username' ) == $user->user_nicename )
				|| WPJ_Form::get( 'user_id' ) == $userid_data ) {
				$active_class = 'active';
			} else {
				$active_class = '';
			}

			$url_query_args = '';
			if ( isset( $_GET['type'] ) && $_GET['type'] == 'archived' ) {
				$url_query_args .= '&type=archived';
			}

			$pm_content = nl2space( strip_tags( html_entity_decode( htmlspecialchars_decode( $pm_content ) ) ) );
			$pm_content = wpj_apply_filter_to_string( $pm_content, false, 'privatemessages' );

			if (mb_strlen($pm_content)>110) {
				$pm_content = mb_substr($pm_content, 0, 108) . '...';
			}

			echo '<div id="pm_'.$row->id.'" class="ui notpadded segment js-tpm-holder pm-holder cf '.$read_class.' '.$custom_offer_class. ' ' . $active_class . ' js-' .$row->other.'">';
			if(isset($user) && is_object($user)){
				echo '<a class="link-to-pm cf" data-user-id="'.$row->other.'" href="?username='.$user->user_nicename . $url_query_args . '">';
			}else{
				echo '<a class="link-to-pm cf" data-user-id="'.$row->other.'" href="?user_id='.$userid_data . $url_query_args . '" title="'.__("This user has been deleted",'wpjobster').'">';
			}

				echo '<div class="pm-avatar message-user-avatar">' . $user_avatar;
					$uid = isset( $user->ID ) ? $user->ID : '';
					wpj_pm_display_online_status( $uid );
				echo '</div>';

				echo '<div class="pm-content cf">';
					echo '<div class="flex-parent p5b">';
						echo '<div class="pm-user overflow-ellipsis">';
							echo '<h4 class="overflow-ellipsis">' . $user_name . '</h4>';
						echo '</div>';
						echo '<div class="pm-date">' . wpj_date( wpj_time_or_date_format( $row->datemade ), $row->datemade ) . '</div>';
					echo '</div>';

					echo '<div class="flex-parent">';
						echo '<div class="overflow-ellipsis flex-both">';
						if ($custom_offer_class) {
							?>
							<i class="tags icon"></i>
							<?php
						}
						echo '<span class="js-tpm-text">' . stripslashes( $pm_content ) . '</span>';
						echo '</div>';

						echo '<div class="pm-settings">';
							echo '<div class="ui floating right pointing dropdown ">';
								echo '<i class="cog icon"></i>';

								echo '<div class="menu">';

									if ( is_object( $user ) ) {
										$unarchive_link = $privurl_m . '?username=' . $user->user_nicename . '&unarchive_conversation=1';
										$archive_link   = $privurl_m . '?username=' . $user->user_nicename . '&archive_conversation=1';
										$delete_link    = $privurl_m . '?username=' . $user->user_nicename . '&delete_conversation=1';
									} else {
										$unarchive_link = $privurl_m . '?user_id=' . $userid_data . '&unarchive_conversation=1';
										$archive_link   = $privurl_m . '?user_id=' . $userid_data . '&archive_conversation=1';
										$delete_link    = $privurl_m . '?user_id=' . $userid_data . '&delete_conversation=1';
									}

									if ( isset( $_GET['type'] ) && $_GET['type'] == 'archived' ) {
										echo '<div class="item js-tpm-action-listener" data-href="' . $unarchive_link . '">';
											echo '<i class="mail icon"></i>';
											echo __( 'Unarchive', 'wpjobster' );
										echo '</div>';

									} else {
										echo '<div class="item js-tpm-action-listener" data-href="' . $archive_link . '">';
											echo '<i class="archive icon"></i>';
											echo __( 'Archive', 'wpjobster' );
										echo '</div>';
									}

									echo '<div class="item js-tpm-action-listener" data-href="' . $delete_link . '">';
										echo '<i class="trash icon"></i>';
										echo __( 'Delete', 'wpjobster' );
									echo '</div>';

								echo '</div>';
							echo '</div>';
						echo '</div>';
					echo '</div>';

				echo '</div>';
			echo '</a></div>';
		}

	}

	if( $live == '' ){
		if(count($r) <= 0) {
			echo '<div id="no_messages" class="ui segment">';
			_e('No messages here.','wpjobster');
			echo '</div>';
		}
	}

}
