<?php
function wpj_get_current_tab_reviews() {
	global $wp_query;

	$pg   = isset( $wp_query->query_vars['pg'] ) ? urldecode( $wp_query->query_vars['pg'] ) : 'home';
	$tabs = apply_filters( 'wpj_user_reviews_tabs_slug_filter', array( 'home', 'pending-ratings', 'my-ratings' ) );

	if ( ! in_array( $pg, $tabs ) ) { $pg = 'home'; }

	return $pg;
}

function wpj_get_no_order_text_reviews( $pg = '' ) {
	if ( ! $pg ) { $pg = wpj_get_current_tab_reviews(); }

	$no_reviews_text = __( 'No reviews.', 'wpjobster' );

	if ( $pg == 'home' ) {
		$no_reviews_text = __( 'There are no reviews to be awarded.', 'wpjobster' );
	} elseif ( $pg == 'pending-ratings' ) {
		$no_reviews_text = __( 'You have no pending reviews.', 'wpjobster' );
	} elseif ( $pg == 'my-ratings' ) {
		$no_reviews_text = __( 'You have no reviews.', 'wpjobster' );
	}

	return apply_filters( 'wpj_user_reviews_no_reviews_text_filter', $no_reviews_text, $pg );
}

function wpj_get_query_reviews( $query_status, $function_name, $class_name ) {
	$wpj_job = new WPJ_Load_More_Queries(
		array(
			'query_type'     => 'reviews',
			'query_status'   => $query_status,
			'function_name'  => $function_name,
			'posts_per_page' => get_option('posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
			'new_class_row'  => $class_name
		)
	);

	return $wpj_job;
}
