<?php /* SALES FUNCTIONS */
function wpj_get_user_earned_amount( $uid ) {
	if ( ! $uid ) { $uid = get_current_user_id(); }

	global $wpdb;

	$order_results = $wpdb->get_results( "
		SELECT *
		FROM {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.post_author = '{$uid}'
			AND posts.ID = orders.pid
			AND payment_status = 'completed'
			AND seller_confirmation = '1'
			AND clearing_period = '1'
	" );

	$gross_value = 0;
	if ( $order_results ) {
		foreach ( $order_results as $key => $row ) {
			$gross_value += apply_filters( 'wpj_total_gross_sales_filter', wpj_get_total_order_price( $row )['amount'], $row, 'gross' );
		}
	}

	$net_value = 0;
	if ( $order_results ) {
		foreach ( $order_results as $key => $row ) {
			$net_value += apply_filters( 'wpj_total_net_sales_filter', wpj_get_total_order_price( $row )['seller_commission'], $row, 'net' );
		}
	}

	return array( 'gross' => $gross_value, 'net' => $net_value );
}

function wpj_get_graph_data_sales( $uid = '' ) {
	if ( ! $uid ) { $uid = get_current_user_id(); }

	$earned = wpj_get_user_earned_amount( $uid );

	$graph_data = array(
		__( 'Gross Earned'     , 'wpjobster' ) => $earned['gross'] ? wpjobster_get_show_price( $earned['gross'] ) : 0,
		__( 'Net Earned'       , 'wpjobster' ) => $earned['net'] ? wpjobster_get_show_price( $earned['net'] ) : 0,
		__( 'Withdrawals'      , 'wpjobster' ) => wpj_get_sales_total_withdrawals_price( $uid ),
		__( 'Pending Clearance', 'wpjobster' ) => wpj_get_sales_pending_clearance_price( $uid ),
		__( 'Available Funds'  , 'wpjobster' ) => wpjobster_get_show_price( wpjobster_get_credits( $uid ) )
	);

	return apply_filters( 'wpj_user_sales_graph_data_filter', $graph_data );
}

function wpj_show_graph_sales( $uid = '' ) {
	if ( ! $uid ) { $uid = get_current_user_id(); }

	$graph_data = wpjobster_get_graph(
		$uid,
		( isset( $_GET['disp_type'] ) ?$_GET['disp_type'] : "" ),
		( isset( $_GET['select_year'] ) ? $_GET['select_year'] : "" ),
		( isset( $_GET['select_month'] ) ? $_GET['select_month'] : "" ),
		'sales'
	);

	extract( $graph_data );

	wpjobster_show_graph_controls( $disp_type, $select_year, $select_month, $uid );
}

function wpj_get_tabs_data_sales( $uid = '' ) {
	if ( ! $uid ) { $uid = get_current_user_id(); }

	$tabs_data = array(
		'home' => array(
			'label' => __( "Active", "wpjobster" ),
			'count' => wpj_get_sales_orders_count( $uid, 'active' )
		),
		'pending-payment' => array(
			'label' => __( "Pending Jobs", "wpjobster" ),
			'count' => wpj_get_sales_orders_count( $uid, 'pending-payment' )
		),
		'delivered' => array(
			'label' => __( "Delivered", "wpjobster" ),
			'count' => wpj_get_sales_orders_count( $uid, 'delivered' )
		),
		'completed' => array(
			'label' => __( "Completed", "wpjobster" ),
			'count' => wpj_get_sales_orders_count( $uid, 'completed' )
		),
		'cancelled' => array(
			'label' => __( "Cancelled", "wpjobster" ),
			'count' => wpj_get_sales_orders_count( $uid, 'cancelled' )
		)
	);

	return apply_filters( 'wpj_user_sales_tabs_data_filter', $tabs_data, 'sales' );
}

function wpj_get_current_tab_sales() {
	global $wp_query;

	$pg   = isset( $wp_query->query_vars['pg'] ) ? urldecode( $wp_query->query_vars['pg'] ) : 'home';
	$tabs = apply_filters( 'wpj_user_sales_tabs_slug_filter', array( 'home', 'pending-payment', 'delivered', 'completed', 'cancelled' ) );

	if ( ! in_array( $pg, $tabs ) ) { $pg = 'home'; }

	return $pg;
}

function wpj_get_no_order_text_sales( $pg = '' ) {
	if ( ! $pg ) { $pg = wpj_get_current_tab_sales(); }

	$no_jobs_text = __( 'No jobs.', 'wpjobster' );

	if ( $pg == 'home' ) {
		$no_jobs_text = __( 'No active jobs.', 'wpjobster' );
	} elseif ( $pg == 'pending-payment' ) {
		$no_jobs_text = __( 'No pending jobs.', 'wpjobster' );
	} elseif ( $pg == 'delivered' ) {
		$no_jobs_text = __( 'No delivered jobs.', 'wpjobster' );
	} elseif ( $pg == 'cancelled' ) {
		$no_jobs_text = __( 'No cancelled jobs.', 'wpjobster' );
	} elseif ( $pg == 'completed' ) {
		$no_jobs_text = __( 'No completed jobs.', 'wpjobster' );
	}

	return apply_filters( 'wpj_user_sales_no_jobs_text_filter', $no_jobs_text, $pg );
}