<?php /* SHOPPING FUNCTIONS */

function wpj_get_graph_data_shopping( $uid = '' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	$graph_data = array(
		__( 'Total spent'     , 'wpjobster' ) => wpj_get_shopping_total_spent_price( $uid ),
		__( 'Active Orders'   , 'wpjobster' ) => wpj_get_shopping_active_orders_price( $uid ),
		__( 'Completed Orders', 'wpjobster' ) => get_user_meta( $uid, 'user_total_spendings', true ) ? wpjobster_get_show_price( get_user_meta( $uid, 'user_total_spendings', true ) ) : '0',
		__( 'Current Balance' , 'wpjobster' ) => wpjobster_get_show_price( wpjobster_get_credits( $uid ) )
	);

	return apply_filters( 'wpj_user_shopping_graph_data_filter', $graph_data );
}

function wpj_show_graph_shopping( $uid = '' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	$graph_data = wpjobster_get_graph(
		$uid,
		( isset( $_GET['disp_type'] ) ?$_GET['disp_type'] : "" ),
		( isset( $_GET['select_year'] ) ? $_GET['select_year'] : "" ),
		( isset( $_GET['select_month'] ) ? $_GET['select_month'] : "" ),
		'shopping'
	);

	extract( $graph_data );

	wpjobster_show_graph_controls( $disp_type, $select_year, $select_month, $uid );
}

function wpj_get_tabs_data_shopping( $uid = '' ) {

	if ( ! $uid ) { $uid = get_current_user_id(); }

	$tabs_data = array(
		'home' => array(
			'label' => __( "Active", "wpjobster" ),
			'count' => wpj_get_shopping_orders_count( $uid, 'active' )
		),
		'pending-review' => array(
			'label' => __( "Pending Review", "wpjobster" ),
			'count' => wpj_get_shopping_orders_count( $uid, 'pending-review' )
		),
		'completed' => array(
			'label' => __( "Completed", "wpjobster" ),
			'count' => wpj_get_shopping_orders_count( $uid, 'completed' )
		),
		'pending-payment' => array(
			'label' => __( "Pending Payment", "wpjobster" ),
			'count' => wpj_get_shopping_orders_count( $uid, 'pending-payment' )
		),
		'cancelled' => array(
			'label' => __( "Cancelled", "wpjobster" ),
			'count' => wpj_get_shopping_orders_count( $uid, 'cancelled' )
		)
	);

	return apply_filters( 'wpj_user_shopping_tabs_data_filter', $tabs_data, 'shopping' );
}

function wpj_get_current_tab_shopping() {
	global $wp_query;

	$pg   = isset( $wp_query->query_vars['pg'] ) ? urldecode( $wp_query->query_vars['pg'] ) : 'home';
	$tabs = apply_filters( 'wpj_user_shopping_tabs_slug_filter', array( 'home', 'pending-review', 'completed', 'pending-payment', 'cancelled' ) );

	if ( ! in_array( $pg, $tabs ) ) { $pg = 'home'; }

	return $pg;
}

function wpj_get_no_order_text_shopping( $pg = '' ) {

	if ( ! $pg ) { $pg = wpj_get_current_tab_shopping(); }

	$no_jobs_text = __( 'No jobs.', 'wpjobster' );

	if ( $pg == 'home' ) {
		$no_jobs_text = __( 'No active jobs.', 'wpjobster' );
	} elseif ( $pg == 'pending-payment' ) {
		$no_jobs_text = __( 'No pending payment.', 'wpjobster' );
	} elseif ( $pg == 'pending-review' ) {
		$no_jobs_text = __( 'No pending review jobs.', 'wpjobster' );
	} elseif ( $pg == 'cancelled' ) {
		$no_jobs_text = __( 'No cancelled jobs.', 'wpjobster' );
	} elseif ( $pg == 'completed' ) {
		$no_jobs_text = __( 'No completed jobs.', 'wpjobster' );
	}

	return apply_filters( 'wpj_user_shopping_no_jobs_text_filter', $no_jobs_text, $pg );
}