<?php
function wpj_get_arbitration_details_by_id( $id = '' ) {
	if ( $id ) {
		global $wpdb;

		$s = "SELECT * FROM {$wpdb->prefix}job_orders_arbitration WHERE id = '{$id}'";
		$r = $wpdb->get_results( $s );

		return isset( $r[0] ) ? $r[0] : false;
	}

	return false;
}

function wpj_get_arbitration_details_by_order_id( $order_id = '' ) {
	if ( $order_id ) {
		global $wpdb;

		$s = "SELECT * FROM {$wpdb->prefix}job_orders_arbitration WHERE order_id = '{$order_id}'";
		$r = $wpdb->get_results( $s );

		return isset( $r[0] ) ? $r[0] : false;
	}

	return false;
}

function wpj_order_has_arbitration( $order_id = '' ) {
	if ( $order_id ) {
		$arbitration_order = wpj_get_arbitration_details_by_order_id( $order_id );

		if ( $arbitration_order ) {
			if ( $arbitration_order->request_from_buyer == 0 && $arbitration_order->request_from_seller == 0 ) {
				return false;
			} elseif ( $arbitration_order->seller_arbitration == 0 && $arbitration_order->buyer_arbitration == 0 ) {
				return true;
			} elseif ( $arbitration_order->seller_arbitration == 1 ) {
				return false;
			} elseif ( $arbitration_order->buyer_arbitration == 1 ) {
				return true;
			}
		}
	}

	return false;
}

function wpj_get_user_aborting_arbitration( $order_id = '' ) {
	if ( $order_id ) {
		global $wpdb;

		$buyer  = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_chatbox WHERE oid = {$order_id} AND uid = -46" );
		$seller = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_chatbox WHERE oid = {$order_id} AND uid = -45" );

		if ( $buyer ) {
			return wpj_get_buyer_id( $order_id );
		} elseif ( $seller ) {
			return wpj_get_seller_id( $order_id );
		}
	}

	return false;
}

add_action( 'wp_ajax_nopriv_wpj_request_arbitration', 'wpj_request_arbitration' );
add_action( 'wp_ajax_wpj_request_arbitration', 'wpj_request_arbitration' );
function wpj_request_arbitration() {
	global $wpdb, $wp_rewrite, $wp_query, $current_user;

	$current_user = wp_get_current_user();
	$uid = $current_user->ID;

	$orderid          = isset( $_POST['orderid'] ) ? $_POST['orderid'] : '';
	$message_to_admin = isset( $_POST['message_to_admin'] ) ? addslashes( $_POST['message_to_admin'] ) : '';

	if ( $orderid ) {
		$seller_id = wpj_get_seller_id( $orderid );
		$buyer_id  = wpj_get_buyer_id( $orderid );

		$row       = wpjobster_get_order_details_by_orderid( $orderid );
		$date_made = $row->date_made;

		if ( $uid == $seller_id ) {
			$query_uid           = -39;
			$message_dest        = 'message_to_buyer';
			$request_from_buyer  = 0;
			$request_from_seller = 1;
			$notify_uid          = $buyer_id;
		} elseif ( $uid == $buyer_id ) {
			$query_uid           = -40;
			$message_dest        = 'message_to_seller';
			$request_from_buyer  = 1;
			$request_from_seller = 0;
			$notify_uid          = $seller_id;
		}

		if ( isset( $query_uid ) ) {
			if ( isset( $_POST['process_action'] ) && $_POST['process_action'] == 'confirm_arbitration' ) {

				if ( ! is_demo_user() ) {

					$tm = current_time( 'timestamp', 1 );

					$query_exist = "SELECT * FROM {$wpdb->prefix}job_orders_arbitration WHERE order_id = {$orderid}";
					$results = $wpdb->get_results( $query_exist );

					if ( $wpdb->num_rows <= 0 || ( is_object( $results[0] ) && $results[0]->request_from_buyer == 0 && $results[0]->request_from_seller == 0 ) ) {
						if ( $message_to_admin ) {

							if ( $results ) {
								$wpdb->query( "
									UPDATE {$wpdb->prefix}job_orders_arbitration
									SET request_from_buyer = {$request_from_buyer},
										request_from_seller = {$request_from_seller},
										date_request = {$tm},
										message_to_support = '{$message_to_admin}'
									WHERE order_id = {$orderid}
								" );
							} else {
								$order_ar_query = "INSERT INTO {$wpdb->prefix}job_orders_arbitration VALUES( '', {$orderid}, {$request_from_buyer}, {$request_from_seller}, {$tm}, '{$message_to_admin}', '', 0, 0, 0)";
								$wpdb->query( $order_ar_query );
							}

							$wpdb->insert(
								$wpdb->prefix . 'job_chatbox',
								array(
									'datemade' => current_time( 'timestamp', 1 ),
									'uid'      => $query_uid,
									'oid'      => $orderid,
									'content'  => $message_to_admin
								),
								array( '%d', '%d', '%d', '%s' )
							);

							$this_notification = $wpdb->insert_id;
							wpj_update_user_notifications( $notify_uid, 'notifications', +1, $this_notification );

							$current_order = wpjobster_get_order( $orderid );

							$post = get_post( $current_order->pid );

							wpj_notify_user_translated( 'admin_arbitration', 'admin', array(
								'##username##'              => wpj_get_user_display_type( $uid ),
								'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
								'##job_name##'              => $post->post_title,
								'##job_link##'              => urldecode( get_permalink( $current_order->pid ) ),
								'##transaction_page_link##' => wpj_get_order_link( $orderid )
							) );

							wpj_notify_user_translated( 'arb_new_request', $buyer_id, array(
								'##username##'              => wpj_get_user_display_type( $buyer_id ),
								'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
								'##job_name##'              => $post->post_title,
								'##job_link##'              => urldecode( get_permalink( $current_order->pid ) ),
								'##transaction_page_link##' => wpj_get_order_link( $orderid )
							) );

							wpj_notify_user_translated( 'arb_new_request', $seller_id, array(
								'##username##'              => wpj_get_user_display_type( $seller_id ),
								'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
								'##job_name##'              => $post->post_title,
								'##job_link##'              => urldecode( get_permalink( $current_order->pid ) ),
								'##transaction_page_link##' => wpj_get_order_link( $orderid )
							) );

							$arbitration_arr['msg'] = __( "The request for arbitration has been sent to admin. You will be notified when the support has made a decision!", "wpjobster" );
							$arbitration_arr['err'] = 0;

						} else {
							$arbitration_arr['msg'] = __( "The message can not be empty!", "wpjobster" );
							$arbitration_arr['err'] = 1;
						}
					} else {
						$arbitration_arr['msg'] = __( "There is already an arbitration for this order. You can't request multiple arbitration for the same order!", "wpjobster" );
						$arbitration_arr['err'] = 1;
					}
				} else {
					$arbitration_arr['msg'] = __( "You're not allowed to request arbitration because you are a demo user!", "wpjobster" );
					$arbitration_arr['err'] = 1;
				}
			} else {
				$arbitration_arr['msg'] = __( "Process action is not set!", "wpjobster" );
				$arbitration_arr['err'] = 1;
			}
		} else {
			$arbitration_arr['msg'] = __( "You're not the buyer or the seller of this order!", "wpjobster" );
			$arbitration_arr['err'] = 1;
		}
	} else {
		$arbitration_arr['msg'] = __( "Invalid Order ID!", "wpjobster" );
		$arbitration_arr['err'] = 1;
	}

	echo json_encode( $arbitration_arr );
	wp_die();
}

add_action( 'wp_ajax_nopriv_abort_arbitration', 'wpj_abort_arbitration' );
add_action( 'wp_ajax_abort_arbitration', 'wpj_abort_arbitration' );
function wpj_abort_arbitration() {

	global $wpdb, $current_user;

	$current_user = wp_get_current_user();
	$uid = $current_user->ID;
	$orderid = WPJ_Form::post( 'oid', '' );
	$order_arbitration = wpj_get_arbitration_details_by_order_id( $orderid );

	$seller_id = wpj_get_seller_id( $orderid );
	$buyer_id  = wpj_get_buyer_id( $orderid );

	if ( $uid == $seller_id ) {
		$is_seller   = 1;
		$is_buyer    = 0;
		$uid_to_send = $buyer_id;
		$query_uid   = -45;
	} elseif ( $uid == $buyer_id ) {
		$is_seller   = 0;
		$is_buyer    = 1;
		$uid_to_send = $seller_id;
		$query_uid   = -46;
	} else {
		$is_seller   = 0;
		$is_buyer    = 0;
		$uid_to_send = '';
		$query_uid   = '';
	}

	if ( is_object( $order_arbitration ) && $query_uid ) {
		if ( ( $order_arbitration->request_from_seller == 1 && $is_seller == 1 ) || ( $order_arbitration->request_from_buyer == 1 && $is_buyer == 1 ) ) {
			if ( ! is_demo_user() ) {
				$wpdb->query( "UPDATE {$wpdb->prefix}job_orders_arbitration SET request_from_buyer = 0, request_from_seller = 0 WHERE order_id = {$orderid}" );

				if ( $uid_to_send ) {
					$tm = current_time( 'timestamp', 1 );

					$wpdb->insert(
						$wpdb->prefix . 'job_chatbox',
						array(
							'datemade' => current_time( 'timestamp', 1 ),
							'uid'      => $query_uid,
							'oid'      => $orderid,
							'content'  => __( 'Arbitration Aborted', 'wpjobster' )
						),
						array( '%d', '%d', '%d', '%s' )
					);

					$this_notification = $wpdb->insert_id;
					wpj_update_user_notifications( $uid_to_send, 'notifications', +1, $this_notification );

					$current_order = wpjobster_get_order( $orderid );

					$user_data       = get_userdata( $uid );
					$user_abort_data = get_userdata( $uid_to_send );

					$post = get_post( $current_order->pid );

					wpj_notify_user_translated( 'arb_request_aborted', $buyer_id, array(
						'##username##'              => wpj_get_user_display_type( $user_data->ID ),
						'##username_aborting##'     => wpj_get_user_display_type( $user_abort_data->ID ),
						'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
						'##job_name##'              => $post->post_title,
						'##job_link##'              => urldecode( get_permalink( $current_order->pid ) ),
						'##transaction_page_link##' => wpj_get_order_link( $orderid )
					) );

					wpj_notify_user_translated( 'arb_request_aborted', $seller_id, array(
						'##username##'              => wpj_get_user_display_type( $user_data->ID ),
						'##username_aborting##'     => wpj_get_user_display_type( $user_abort_data->ID ),
						'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
						'##job_name##'              => $post->post_title,
						'##job_link##'              => urldecode( get_permalink( $current_order->pid ) ),
						'##transaction_page_link##' => wpj_get_order_link( $orderid )
					) );
				}
			}
		}
	}

	wp_die();
}

