<?php
function wpj_get_extended_delivery_by_oid( $oid = '', $status = '' ) {
	if ( $oid ) {
		global $wpdb;

		$query = "SELECT * FROM {$wpdb->prefix}job_orders_extended_delivery_time WHERE order_id = {$oid}";

		if ( $status || ( is_numeric( $status ) && $status == 0 ) ) {
			$query .= " AND status = {$status}";
		}

		$result = $wpdb->get_row( $query );

		return $result;
	}

	return false;
}

function wpj_get_extended_delivery_by_message( $oid = '', $message = '', $date = '' ) {
	if ( $oid ) {
		global $wpdb;

		$query = "SELECT * FROM {$wpdb->prefix}job_orders_extended_delivery_time WHERE order_id = {$oid}";

		if ( $message ) { $query .= " AND message = '{$message}'"; }
		if ( $date ) { $query .= " AND date_request = {$date}"; }

		$result = $wpdb->get_row( $query );

		return $result;
	}

	return false;
}

add_action( 'wp_ajax_nopriv_request_extend_delivery_time', 'wpj_request_extend_order_delivery_time' );
add_action( 'wp_ajax_request_extend_delivery_time', 'wpj_request_extend_order_delivery_time' );
function wpj_request_extend_order_delivery_time() {

	global $wpdb;

	$table = $wpdb->prefix . 'job_orders_extended_delivery_time';

	$time_now = current_time( 'timestamp', 1 );

	$uid = get_current_user_id();

	$data = array(
		'order_id'     => $_POST['orderid'],
		'user_id'      => $uid,
		'date_request' => $time_now,
		'message'      => $_POST['extended_days_message'],
		'days'         => $_POST['extended_days_selector']
	);

	$format = array( '%d', '%d', '%d', '%s' );

	$order_exist = $wpdb->get_results( "
		SELECT COUNT(*) AS TOTALCOUNT
		FROM {$table}
		WHERE order_id            = '{$_POST['orderid']}'
			AND user_id           = '{$uid}'
			AND date_request      = '{$time_now}'
			AND days              = '{$_POST['extended_days_selector']}'
			AND message           = '{$_POST['extended_days_message']}'
			AND status            = 0,
			AND date_modification = 0
	" );

	$count = $order_exist[0]->TOTALCOUNT;

	if ( $count > 0 ) {} else {

		$already_exist = $wpdb->get_results( "
			SELECT *
			FROM {$wpdb->prefix}job_chatbox
			WHERE datemade  = '{$time_now}'
				AND uid     = '-49'
				AND oid     = '{$_POST['orderid']}'
				AND content = '{$_POST['extended_days_message']}'
		" );

		if ( $wpdb->num_rows <= 0 ) {

			$wpdb->insert( $table, $data, $format );

			// Insert to chatbox
			$wpdb->insert(
				$wpdb->prefix . 'job_chatbox',
				array(
					'datemade' => current_time( 'timestamp', 1 ),
					'uid'      => -49,
					'oid'      => $_POST['orderid'],
					'content'  => $_POST['extended_days_message']
				),
				array( '%d', '%d', '%d', '%s' )
			);

			// Update notifications
			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( wpj_get_buyer_id( $_POST['orderid'] ), 'notifications', +1, $this_notification );

			// Send emails
			$current_order = wpjobster_get_order( $_POST['orderid'] );
			$post          = get_post( $current_order->pid );

			wpj_notify_user_translated( 'extend_delivery_request', wpj_get_buyer_id( $_POST['orderid'] ), array(
				'##transaction_number##'      => wpjobster_camouflage_order_id( $_POST['orderid'], $current_order->date_made ),
				'##transaction_page_link##'   => wpj_get_order_link( $_POST['orderid'] ),
				'##sender_username##'         => wpj_get_user_display_type( wpj_get_seller_id( $_POST['orderid'] ) ),
				'##job_name##'                => $post->post_title,
				'##job_link##'                => urldecode( get_permalink( $current_order->pid ) ),
				'##extend_delivery_message##' => $_POST['extended_days_message'],
				'##extend_delivery_days##'    => $_POST['extended_days_selector']
			) );

		}

	}

	wp_die();
}


add_action( 'wp_ajax_nopriv_abort_extend_delivery', 'wpj_abort_extend_delivery_time' );
add_action( 'wp_ajax_abort_extend_delivery', 'wpj_abort_extend_delivery_time' );
function wpj_abort_extend_delivery_time() {
	global $wpdb;

	$required_days_results = wpj_get_extended_delivery_by_oid( $_POST['orderid'], 0 );

	$table = $wpdb->prefix . 'job_orders_extended_delivery_time';

	$time_now = current_time( 'timestamp', 1 );

	$data = array(
		'order_id'          => $_POST['orderid'],
		'date_modification' => $time_now,
		'status'            => 3
	);

	$where = array( 'order_id' => $_POST['orderid'], 'status' => 0 );

	$updated = $wpdb->update( $table, $data, $where );

	if ( false === $updated ) {} else {

		$already_exist = $wpdb->get_results( "
			SELECT *
			FROM {$wpdb->prefix}job_chatbox
			WHERE datemade  = '{$time_now}'
				AND uid     = '-50'
				AND oid     = '{$_POST['orderid']}'
		" );

		if ( $wpdb->num_rows <= 0 ) {

			// Insert to chatbox
			$wpdb->insert(
				$wpdb->prefix . 'job_chatbox',
				array(
					'datemade' => current_time( 'timestamp', 1 ),
					'uid'      => -50,
					'oid'      => $_POST['orderid'],
					'content'  => __( 'Aborting the extension of the delivery time', 'wpjobster' )
				),
				array( '%d', '%d', '%d', '%s' )
			);

			// Update notifications
			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( wpj_get_buyer_id( $_POST['orderid'] ), 'notifications', +1, $this_notification );

			// Send emails
			$current_order = wpjobster_get_order( $_POST['orderid'] );
			$post          = get_post( $current_order->pid );

			wpj_notify_user_translated( 'extend_delivery_abort', wpj_get_buyer_id( $_POST['orderid'] ), array(
				'##transaction_number##'      => wpjobster_camouflage_order_id( $_POST['orderid'], $current_order->date_made ),
				'##transaction_page_link##'   => wpj_get_order_link( $_POST['orderid'] ),
				'##sender_username##'         => wpj_get_user_display_type( wpj_get_seller_id( $_POST['orderid'] ) ),
				'##job_name##'                => $post->post_title,
				'##job_link##'                => urldecode( get_permalink( $current_order->pid ) ),
				'##extend_delivery_message##' => $required_days_results->message,
				'##extend_delivery_days##'    => $required_days_results->days
			) );

		}

	}

	wp_die();
}

add_action( 'wp_ajax_nopriv_accept_extend_delivery', 'wpj_accept_extend_delivery_time' );
add_action( 'wp_ajax_accept_extend_delivery', 'wpj_accept_extend_delivery_time' );
function wpj_accept_extend_delivery_time() {
	global $wpdb;

	$required_days_results = wpj_get_extended_delivery_by_oid( $_POST['orderid'], 0 );

	$table = $wpdb->prefix . 'job_orders_extended_delivery_time';

	$time_now = current_time( 'timestamp', 1 );

	$data = array(
		'order_id'          => $_POST['orderid'],
		'date_modification' => $time_now,
		'status'            => 1
	);

	$where = array( 'order_id' => $_POST['orderid'], 'status' => 0 );

	$updated = $wpdb->update( $table, $data, $where );

	if ( false === $updated ) {} else {

		$already_exist = $wpdb->get_results( "
			SELECT *
			FROM {$wpdb->prefix}job_chatbox
			WHERE datemade  = '{$time_now}'
				AND uid     = '-51'
				AND oid     = '{$_POST['orderid']}'
		" );

		if ( $wpdb->num_rows <= 0 ) {

			// Add days
			wpj_update_expected_delivery_add_days( $_POST['orderid'], $required_days_results->days );

			// Insert to chatbox
			$wpdb->insert(
				$wpdb->prefix . 'job_chatbox',
				array(
					'datemade' => current_time( 'timestamp', 1 ),
					'uid'      => -51,
					'oid'      => $_POST['orderid'],
					'content'  => __( 'Accepted the extension of the delivery time', 'wpjobster' )
				),
				array( '%d', '%d', '%d', '%s' )
			);

			// Update notifications
			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( wpj_get_buyer_id( $_POST['orderid'] ), 'notifications', +1, $this_notification );

			// Send emails
			$current_order = wpjobster_get_order( $_POST['orderid'] );
			$post          = get_post( $current_order->pid );

			wpj_notify_user_translated( 'extend_delivery_accept', wpj_get_seller_id( $_POST['orderid'] ), array(
				'##transaction_number##'      => wpjobster_camouflage_order_id( $_POST['orderid'], $current_order->date_made ),
				'##transaction_page_link##'   => wpj_get_order_link( $_POST['orderid'] ),
				'##sender_username##'         => wpj_get_user_display_type( wpj_get_buyer_id( $_POST['orderid'] ) ),
				'##job_name##'                => $post->post_title,
				'##job_link##'                => urldecode( get_permalink( $current_order->pid ) ),
				'##extend_delivery_message##' => $required_days_results->message,
				'##extend_delivery_days##'    => $required_days_results->days
			) );

		}

	}

	wp_die();
}

add_action( 'wp_ajax_nopriv_deny_extend_delivery', 'wpj_deny_extend_delivery_time' );
add_action( 'wp_ajax_deny_extend_delivery', 'wpj_deny_extend_delivery_time' );
function wpj_deny_extend_delivery_time() {
	global $wpdb;

	$required_days_results = wpj_get_extended_delivery_by_oid( $_POST['orderid'], 0 );

	$table = $wpdb->prefix . 'job_orders_extended_delivery_time';

	$time_now = current_time( 'timestamp', 1 );

	$data = array(
		'order_id'          => $_POST['orderid'],
		'date_modification' => $time_now,
		'status'            => 2
	);

	$where = array( 'order_id' => $_POST['orderid'], 'status' => 0 );

	$updated = $wpdb->update( $table, $data, $where );

	if ( false === $updated ) {} else {

		$already_exist = $wpdb->get_results( "
			SELECT *
			FROM {$wpdb->prefix}job_chatbox
			WHERE datemade  = '{$time_now}'
				AND uid     = '-52'
				AND oid     = '{$_POST['orderid']}'
		" );

		if ( $wpdb->num_rows <= 0 ) {

			// Insert to chatbox
			$wpdb->insert(
				$wpdb->prefix . 'job_chatbox',
				array(
					'datemade' => current_time( 'timestamp', 1 ),
					'uid'      => -52,
					'oid'      => $_POST['orderid'],
					'content'  => __( 'Declined the extension of the delivery time', 'wpjobster' )
				),
				array( '%d', '%d', '%d', '%s' )
			);

			// Update notifications
			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( wpj_get_buyer_id( $_POST['orderid'] ), 'notifications', +1, $this_notification );

			// Send emails
			$current_order = wpjobster_get_order( $_POST['orderid'] );
			$post          = get_post( $current_order->pid );

			wpj_notify_user_translated( 'extend_delivery_decline', wpj_get_seller_id( $_POST['orderid'] ), array(
				'##transaction_number##'      => wpjobster_camouflage_order_id( $_POST['orderid'], $current_order->date_made ),
				'##transaction_page_link##'   => wpj_get_order_link( $_POST['orderid'] ),
				'##sender_username##'         => wpj_get_user_display_type( wpj_get_buyer_id( $_POST['orderid'] ) ),
				'##job_name##'                => $post->post_title,
				'##job_link##'                => urldecode( get_permalink( $current_order->pid ) ),
				'##extend_delivery_message##' => $required_days_results->message,
				'##extend_delivery_days##'    => $required_days_results->days
			) );

		}

	}

	wp_die();
}