<?php
if (!function_exists('wpjobster_get_order')) {
	function wpjobster_get_order($oid) {

		$oid = esc_sql($oid);

		if (is_numeric($oid)) {
			global $wpdb;
			$pref = $wpdb->prefix;

			$sql = "SELECT * FROM {$wpdb->prefix}job_orders WHERE  id = %d";
			$result = $wpdb->get_row($wpdb->prepare($sql, $oid));

			return $result;
		}

		return false;
	}
}

function wpjobster_get_order_details_by_orderid( $oid ) {
	global $wpdb;

	$s = "SELECT * FROM {$wpdb->prefix}job_orders WHERE id = {$oid}";
	$r = $wpdb->get_results( $s );

	return isset( $r[0] ) ? $r[0] : false;
}

if (!function_exists('wpjobster_get_order_meta')) {
	function wpjobster_get_order_meta($oid, $meta_key) {
		$oid = esc_sql($oid);
		$meta_key = esc_sql($meta_key);

		if (is_numeric($oid)) {
			$order = wpjobster_get_order($oid);

			if ($order) {
				if (isset($order->$meta_key)) {
					return maybe_unserialize($order->$meta_key);
				}

				// meta not exists
				return false;
			}

			// order not exists
			return false;
		}

		// order id not numeric
		return false;
	}
}
