<?php /* Insert order to database */

if ( ! function_exists( 'wpjobster_insert_order' ) ) {
	function wpjobster_insert_order( $custom, $currency = "", $separator = "|", $with_credits = 0,
		$payment_status = "completed", $payment_gateway = "", $payment_details = "",
		$buyer_chargable_fees = "", $taxable_amount = "", $wpjobster_final_payable_amount_original = "" ) {

		if ( $custom ) {
			$cust = explode( $separator, $custom );

			$pid       = $cust[0];
			$uid       = $cust[1];
			$datemade  = $cust[2];
			$amount    = $cust[3];
			$extras_nb = $cust[4];

			$xtra = array();
			$xtra_amounts = array();

			for ( $i=1; $i <= $extras_nb; $i++ ) {
				$xtra[$i] = $cust[4+$i];
				$xtra_amounts[$i] = $cust[4+$i+$extras_nb];
			}

			$my_arr = array();

			for ( $i = 1; $i <= 10; $i++ ) {
				if ( isset( $xtra[$i] ) ) {
					$my_arr['extra' . $xtra[$i]] = 0;
					if ( ! empty( $xtra[$i] ) ) {
						$my_arr['extra' . $xtra[$i]] = $xtra_amounts[$i];
					}
				}
			}

			for ( $i = 1; $i <= 10; $i++ ) {
				if ( isset( $my_arr['extra' . $i] ) ) {
					$xtra[$i] = $my_arr['extra' . $i];
				} else {
					$xtra[$i] = 0;
				}
			}

			if ( isset( $my_arr['extraf'] ) ) {
				$xtra['f'] = $my_arr['extraf'];
			} else {
				$xtra['f'] = 0;
			}

			if ( isset( $my_arr['extrar'] ) ) {
				$xtra['r'] = $my_arr['extrar'];
			} else {
				$xtra['r'] = 0;
			}

			//-----------------------------------------------------
			// calculate total
			//-----------------------------------------------------

			$post = get_post($pid);

			$sample_price = get_post_meta( $pid, 'price', true );
			$sample_price = apply_filters( 'wpjobster_gateway_job_price', $sample_price, $pid );

			$price = $sample_price * $amount;

			$job_price  = $sample_price;
			$job_amount = $amount;

			if ( ! is_numeric( $price ) || $price < 0 ) {
				$price = get_option( 'wpjobster_job_fixed_amount' );
			}

			if ( empty( $currency ) ) {
				$currency = wpjobster_get_currency();
			}

			$extr_ttl = 0;
			if ( count( $my_arr ) ) {

				for ( $i = 1; $i <= 10; $i++ ) {
					if ( isset( $my_arr['extra' . $i] ) && $my_arr['extra' . $i] != 0 ) {
						$extra_price = get_post_meta( $pid, 'extra' . $i . '_price', true );
						$extr_ttl += $extra_price * $my_arr['extra' . $i];
					}
				}

				if ( isset( $my_arr['extraf'] ) && $my_arr['extraf'] != 0 ) {
					$extra_price = get_post_meta( $pid, 'extra_fast_price', true );
					$extr_ttl += $extra_price * $my_arr['extraf'];
				}

				if ( isset( $my_arr['extrar'] ) && $my_arr['extrar'] != 0 ) {
					$extra_price = get_post_meta( $pid, 'extra_revision_price', true );
					$extr_ttl += $extra_price * $my_arr['extrar'];
				}

			}

			$shipping = get_post_meta( $pid, 'shipping', true );
			if ( empty( $shipping ) ) $shipping = 0;

			$total = $price + $extr_ttl + $shipping;
			$mc_gross = $total;
			if ( empty( $shipping ) ) $shipping = 0;

			if ( $buyer_chargable_fees == '' ) {
				$buyer_processing_fees = wpjobster_get_site_processing_fee( $price, $extr_ttl, $shipping );
			} else {
				$buyer_processing_fees = $buyer_chargable_fees;
			}

			$buyer_site_fees = wpjobster_calculate_fee( $mc_gross, '', $post->post_author );

			if ( $taxable_amount === '' ) {
				$wpjobster_tax_amount = wpjobster_get_site_tax( $price, $extr_ttl, $shipping, $buyer_processing_fees );
			} else {
				$wpjobster_tax_amount = $taxable_amount;
			}

			$nts = get_option( "purchase_notes_" . $datemade . $uid );
			delete_option( "purchase_notes_" . $datemade . $uid );
			$nts = base64_decode( $nts );

			//-----------------------------------------------------
			// check if the order was already made
			//-----------------------------------------------------

			global $wpdb;
			$pref = $wpdb->prefix;

			$r1 = $wpdb->get_results( "select * from " . $pref . "job_orders where pid='$pid' AND uid='$uid' AND date_made='$datemade'" );

			$ord_amount  = wpjobster_formats_special_exchange( $mc_gross, 1, $currency );
			$payedamount = $currency . '|' . $ord_amount;
			$final_payableamount = $currency . '|' . wpjobster_formats_special_exchange( $wpjobster_final_payable_amount_original, 1, $currency );

			$orderid = false;

			if (count($r1) == 0) {

				//-----------------------------------------------------
				// decrease credits if needed
				//-----------------------------------------------------

				if ( $with_credits == 1 ) {

					$crds = wpjobster_get_credits($uid);
					if ( $wpjobster_final_payable_amount_original > $crds ) {
						echo __( 'NO_CREDITS_LEFT', 'wpjobster' );
						wp_redirect( get_permalink( get_option( 'wpjobster_my_account_payments_page_id' ) ) . 'topup' );
						exit;
					}
					wpjobster_update_credits( $uid, $crds - $wpjobster_final_payable_amount_original );

				}

				//-----------------------------------------------------
				// insert order in db
				//-----------------------------------------------------

				$nts = addslashes( $nts );

				$job_title        = esc_sql( wpj_encode_emoji( apply_filters( 'wpjobster_insert_order_job_title', $post->post_title, $pid ) ) );
				$job_description  = esc_sql( wpj_encode_emoji( $post->post_content ) );
				$job_instructions = esc_sql( wpj_encode_emoji( get_post_meta( $pid, "instruction_box", true ) ) );
				$job_image        = wpjobster_get_job_image( $pid );

				$extra_prices  = array();
				$extra_titles  = array();
				$extra_amounts = array();

				for ( $i = 1; $i <= 10; $i++ ) {
					$extra_prices[$i] = get_post_meta( $pid, "extra" . $i . "_price", true );
					$extra_titles[$i] = esc_sql( wpj_encode_emoji( get_post_meta( $pid, "extra" . $i . "_content", true ) ) );
					$extra_days[$i] = get_post_meta( $pid, "max_days_ex_" . $i, true );

					if ( ! is_numeric( $extra_days[$i] ) )
						$extra_days[$i] = 0;
					$extra_amounts[$i] = $xtra[$i];
				}

				$extra_fast_amount = 0; $extra_fast_price = 0; $extra_fast_days = 0;
				if ( isset( $my_arr['extraf'] ) && $my_arr['extraf'] != 0 ) {
					$extra_fast_amount = $my_arr['extraf'];
					$extra_fast_price  = get_post_meta( $pid, 'extra_fast_price', true );
					$extra_fast_days   = get_post_meta( $pid, 'extra_fast_days', true );
				}

				$extra_revision_amount = 0; $extra_revision_price = 0; $extra_revision_days = 0;
				if ( isset( $my_arr['extrar'] ) && $my_arr['extrar'] != 0 ) {
					$extra_revision_amount = $my_arr['extrar'];
					$extra_revision_price  = get_post_meta( $pid, 'extra_revision_price', true );
					$extra_revision_days   = get_post_meta( $pid, 'extra_revision_days', true );
				}

				$payment_status  = esc_sql( $payment_status );
				$payment_gateway = esc_sql( $payment_gateway );
				$payment_details = esc_sql( $payment_details );

				$job_type = get_post_meta( $pid, 'price_type', true );

				$seller_confirmation = apply_filters( 'wpj_seller_confirmation_value_filter', 1, $pid );

				$s1  = "insert into " . $pref . "job_orders (payment_status, payment_gateway, payment_details, pid, uid, date_made, mc_gross,processing_fees,site_fees, tax_amount,notes_to_seller,
					extra1, extra2, extra3, extra4, extra5, extra6, extra7, extra8, extra9, extra10,
					payedamount, job_title, job_description, job_instructions, job_image, job_price, job_amount, final_paidamount,
					extra1_price, extra2_price, extra3_price, extra4_price, extra5_price, extra6_price, extra7_price, extra8_price, extra9_price, extra10_price,
					extra1_title, extra2_title, extra3_title, extra4_title, extra5_title, extra6_title, extra7_title, extra8_title, extra9_title, extra10_title, shipping,
					extra1_days, extra2_days, extra3_days, extra4_days, extra5_days, extra6_days, extra7_days, extra8_days, extra9_days, extra10_days,
					extra_fast, extra_fast_price, extra_fast_days,
					extra_revision, extra_revision_price, extra_revision_days, job_type, seller_confirmation)

				values('$payment_status', '$payment_gateway', '$payment_details', '$pid', '$uid', '$datemade', '$mc_gross','$buyer_processing_fees',$buyer_site_fees,'$wpjobster_tax_amount', '$nts',
					'$xtra[1]', '$xtra[2]', '$xtra[3]', '$xtra[4]', '$xtra[5]', '$xtra[6]', '$xtra[7]', '$xtra[8]', '$xtra[9]', '$xtra[10]',
					'$payedamount', '$job_title', '$job_description', '$job_instructions', '$job_image', '$job_price', '$job_amount', '$final_payableamount',
					'$extra_prices[1]', '$extra_prices[2]', '$extra_prices[3]', '$extra_prices[4]', '$extra_prices[5]', '$extra_prices[6]', '$extra_prices[7]', '$extra_prices[8]', '$extra_prices[9]', '$extra_prices[10]',
					'$extra_titles[1]', '$extra_titles[2]', '$extra_titles[3]', '$extra_titles[4]', '$extra_titles[5]', '$extra_titles[6]', '$extra_titles[7]', '$extra_titles[8]', '$extra_titles[9]', '$extra_titles[10]', '$shipping',
					'$extra_days[1]', '$extra_days[2]', '$extra_days[3]', '$extra_days[4]', '$extra_days[5]', '$extra_days[6]', '$extra_days[7]', '$extra_days[8]', '$extra_days[9]', '$extra_days[10]',
					'$extra_fast_amount', '$extra_fast_price', '$extra_fast_days',
					'$extra_revision_amount', '$extra_revision_price', '$extra_revision_days', '$job_type', '$seller_confirmation')";

				$wpdb->query($s1);

				//-----------------------------------------------------

				$s1      = "select * from " . $pref . "job_orders where pid='$pid' AND uid='$uid' AND date_made='$datemade'";
				$r1      = $wpdb->get_results( $s1 );
				$orderid = $r1[0]->id;

				do_action( 'wpj_after_insert_order', $orderid );

				if ( $payment_status == 'completed'){
					$wpdb->insert(
						$wpdb->prefix . 'job_chatbox',
						array(
							'datemade' => current_time( 'timestamp', 1 ),
							'uid'      => 0,
							'oid'      => $orderid,
							'content'  => ''
						),
						array( '%d', '%d', '%d', '%s' )
					);

					$this_notification = $wpdb->insert_id;
					wpj_update_user_notifications( $post->post_author, 'notifications', +1, $this_notification );
				}

				//-----------------------------------------------------

				$uid_a = get_post( $pid );
				$uid_a = $uid_a->post_author;

				$wpdb->query( "insert into " . $pref . "job_ratings (orderid, uid, pid) values('$orderid','$uid_a','$pid')" );

				//-----------------------------------------------------

				$sales = get_post_meta( $pid, 'sales', true );
				if ( empty( $sales ) )
					$sales = 1;
				else
					$sales = $sales + 1;

				update_post_meta( $pid, 'sales', $sales );

				if ( wpj_is_custom_offer( $pid ) && $payment_status == 'completed' ) {
					wpj_custom_offer_accepted( $pid, $orderid, $uid, $post->post_author );
				} else {

					if ( $payment_status == 'pending' ) {

					} else {

						$buyer_data  = get_userdata( $uid );
						$seller_data = get_userdata( $post->post_author );

						$array_to_send = array(
							'##mc_gross##'              => $mc_gross,
							'##processing_fees##'       => $buyer_processing_fees,
							'##tax_amount##'            => $wpjobster_tax_amount,
							'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $datemade ),
							'##transaction_page_link##' => wpj_get_order_link( $orderid ),
							'##job_name##'              => $job_title,
							'##job_link##'              => urldecode( get_permalink( $pid ) )
						);

						$array_to_send_buyer  = $array_to_send + array( '##sender_username##' => wpj_get_user_display_type( $seller_data->ID ) );
						$array_to_send_seller = $array_to_send + array( '##sender_username##' => wpj_get_user_display_type( $buyer_data->ID ) );

						wpj_notify_user_translated( 'purchased_buyer', $uid, $array_to_send_buyer );
						wpj_notify_user_translated( 'purchased_seller', $post->post_author, $array_to_send_seller );

					}

				}

				if ( $payment_status != 'pending' && $payment_status != 'failed' && $payment_status != 'cancelled' ) {
					wpjobster_maintain_log( $orderid, $post->post_title, $mc_gross, $uid, $pid, $post->post_author, $buyer_processing_fees, $wpjobster_tax_amount );

					do_action( 'wpjobster_job_payment_completed', $orderid, 'insert' );
				}

			}

			//-----------------------------------------------------
			// success
			//-----------------------------------------------------
			return $orderid;

		}

		return false;
	}
}
