<?php
add_action( 'wp_ajax_tips_submit', 'wpj_tips_form_submit' );
add_action( 'wp_ajax_nopriv_tips_submit', 'wpj_tips_form_submit' );
function wpj_tips_form_submit() {

	$reason = trim( nl2br( strip_tags( htmlspecialchars( wpj_encode_emoji( WPJ_Form::post( 'tips_reason', 0 ) ) ) ) ) );
	$user   = WPJ_Form::post( 'user', '' );
	$amount = WPJ_Form::post( 'tips_amount', 0 );
	$oid    = WPJ_Form::post( 'oid', 0 );

	if ( get_current_user_id() != $user ) {
		$msg = array(
			'description' => __( 'Yo\'re not the buyer!', 'wpjobster' ),
			'cssClass'    => 'negative',
			'code'        => 'error'
		);
	} elseif ( ! $amount || ! is_numeric( $amount ) || $amount <= 0 ) {
		$msg = array(
			'description' => __( 'Amount is wrong', 'wpjobster' ),
			'cssClass'    => 'negative',
			'code'        => 'error'
		);
	} else {
		$msg = array(
			'description' => __( 'Your tips was successfully sent.', 'wpjobster' ),
			'cssClass'    => 'success',
			'code'        => 'success'
		);

		$order = wpjobster_get_order( $oid );

		$new_tips['reason']    = $reason;
		$new_tips['amount']    = $amount;
		$new_tips['time']      = current_time( 'timestamp', 1 );
		$new_tips['paid']      = false;
		$new_tips['cancelled'] = false;
		if ( ! $order->tips )
			$order->tips = array();
		else
			$order->tips = json_decode( $order->tips );

		array_push( $order->tips, $new_tips );

		$count = count( $order->tips ) - 1;
		wpjobster_update_order_meta( $oid, 'tips', json_encode( $order->tips ) );

		global $wpdb;
		$datemade = current_time( 'timestamp', 1 );

		$wpdb->insert(
			$wpdb->prefix . 'job_chatbox',
			array(
				'datemade' => current_time( 'timestamp', 1 ),
				'uid'      => -36,
				'oid'      => $oid,
				'content'  => $count
			),
			array( '%d', '%d', '%d', '%s' )
		);

		wpj_notify_user_translated( 'new_tips', $order->uid, array( '##transaction_page_link##' => wpj_get_order_link( $oid ) ) );

		$msg['oid'] = $oid;
		$msg['tips_id'] = $count;
	}

	wp_send_json( $msg );
}
