<?php
if (!function_exists('wpjobster_update_order_meta')) {
	function wpjobster_update_order_meta($oid, $meta_key, $meta_value) {

		$oid = esc_sql($oid);
		$meta_key = esc_sql($meta_key);
		$meta_value = esc_sql( maybe_serialize( wpj_encode_emoji( $meta_value ) ) );

		// define what can be updated with this function
		$allowed_meta_keys = array(
			'payment_status',
			'payment_gateway',
			'payment_response',
			'payment_details',
			'custom_extras',
			'tips',
			'request_cancellation',
			'request_cancellation_from_buyer',
			'request_cancellation_from_seller',
			'date_request_cancellation',
			'accept_cancellation_request',
			'date_accept_cancellation'
		);

		if (in_array($meta_key, $allowed_meta_keys)) {
			if (is_numeric($oid)) {
				if (wpjobster_get_order($oid)) {
					global $wpdb;
					$pref = $wpdb->prefix;

					$sql = "UPDATE {$wpdb->prefix}job_orders SET $meta_key = '$meta_value' WHERE id = %d";
					$result = $wpdb->query($wpdb->prepare($sql, $oid));

					// $wpdb->query returns the number of rows updated
					// so it can be 0, which is not an error
					if ($result === false) {
						return false;
					}

					return true;
				}

				// order not exists
				return false;
			}

			// order id not numeric
			return false;
		}

		// meta not allowed
		return false;
	}
}
