<?php
/* CHATBOX CLASS */
if ( !class_exists( 'WPJobsterChatBox' ) ) {
	class WPJobsterChatBox{
		public $_orderid, $_jb_action;

		function __construct($_orderid='', $_jb_action=''){
			global $wpdb, $current_user;
			$this->_wpdb = $wpdb;
			$this->_current_user = $current_user;

			$this->orderid = $_orderid ? $_orderid : '';
			if ( ! $this->orderid ) {
				$this->orderid = WPJ_Form::get( 'oid', '' );
			}

			$this->jb_action = $_jb_action ? $_jb_action : '';
			if ( ! $this->jb_action ) {
				$this->jb_action = WPJ_Form::get( 'jb_action', '' );
			}

			$this->chat_box_init();
		}

		public function chat_box_init(){
			$wpdb = $this->_wpdb;

			$current_user = $this->_current_user;
			$uid = $current_user->ID;
			$cid = $current_user->ID;

			$orderid = $this->orderid;
			$current_order = wpjobster_get_order($orderid);

			if(!is_user_logged_in()) { wp_redirect(wp_login_url(get_current_page_url())); exit; }

			$closed = '';
			$can_request_closed = '';
			$completed = '';
			$done_seller = '';
			$request_modification = '';
			$request_cancellation_from_buyer = '';
			$request_cancellation_from_seller = '';

			$s          = "select * from ".$wpdb->prefix."job_orders where id='$orderid'";
			$r          = $wpdb->get_results($s);
			$row        = $r[0];

			$pid        = $row->pid;

			$attach     = "select * from ".$wpdb->prefix."posts where post_parent='$pid'";
			$attach_res = $wpdb->get_results($attach);

			$post_a     = get_post($row->pid);
			$other_uid  = $row->uid;
			$buyer      = $row->uid;
			$buyer_name = is_object( get_userdata( $buyer ) ) ? wpj_get_user_display_type( $buyer ) : __( 'Deleted User', 'wpjobster' );
			$buyer_link = wpj_get_user_profile_link( $buyer );

			$m          = $row->date_made;

			$user_info  = get_userdata( $post_a->post_author );
			$user_name  = is_object( $user_info ) ? wpj_get_user_display_type( $user_info->ID ) : __( 'Deleted User', 'wpjobster' );
			$user_link  = wpj_get_user_profile_link( $user_info );

			$max_days   = get_post_meta($row->pid, 'max_days', true);

			$date_made = $row->date_made;
			$expected  = wpj_get_order_expected_time( $orderid );

			//if is buyer
			$buyer_uid  = implode( ", ", wpj_get_chatbox_uid_by_user_type( 'buyer' ) );
			if ( $uid != $user_info->ID) {

				// mark as read
				$wpdb->query(
					$wpdb->prepare( "
						UPDATE {$wpdb->prefix}job_chatbox SET rd_receiver='1'
						WHERE oid=%d
						AND uid != %d
						AND ( uid > 0 OR uid IN ({$buyer_uid}))", $orderid, $uid
					)
				);

				wpj_refresh_user_notifications( $uid, 'notifications' );

				$pid = $row->pid;
				$post = get_post($row->pid);
				$done_seller = $row->done_seller;
				$closed = $row->closed;
				$completed = 0;

				$bought = wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $date_made );

				if ($row->done_buyer == 1) $completed = 1;
				$id = $row->id;
				$delivered = 0;

				if ($row->done_seller == 1) $delivered = 1;
				$can_be_closed = 0;
				$can_request_closed = 1;

				if ($uid == $row->uid) {
					$date_made = $row->date_made;
					$max_days = get_post_meta($row->pid, 'max_days', true) * 3600 * 24;
					$now = current_time('timestamp', 1);

					if ($date_made + $max_days < $now) $can_be_closed = 1;
				}

				if ($row->closed == 1) {
					$can_be_closed      = 0;
					$can_request_closed = 0;
				}

				if ($row->completed == 1) {
					$can_be_closed      = 0;
					$can_request_closed = 0;
				}
			}

			//if is seller
			$seller_uid = implode( ", ", wpj_get_chatbox_uid_by_user_type( 'seller' ) );
			if (isset($user_info) && is_object($user_info) && $uid == $user_info->ID) {

				// mark as read
				$wpdb->query(
					$wpdb->prepare( "
						UPDATE {$wpdb->prefix}job_chatbox
						SET rd_receiver = '1'
						WHERE oid = %d
						AND uid != %d
						AND ( uid > 0 OR uid IN ({$seller_uid}))", $orderid, $uid
					)
				);

				wpj_refresh_user_notifications( $uid, 'notifications' );

				$delivered = 0;
				$done_seller = $row->done_seller;

				if ($row->done_seller == 1) $delivered = 1;
				if ($row->done_seller == -1) $delivered = -1;
				$id = $row->id;
				$closed = $row->closed;
				$completed = 0;

				if ($row->done_buyer == 1) $completed = 1;
				if ($row->done_buyer == -1) $completed = -1;
				$can_request_closed = 1;

				if ($closed == 1) $can_request_closed = 0;

				if ($row->completed == 1) {
					$can_be_closed      = 0;
					$can_request_closed = 0;
				}
			}

			$can_request_closed = apply_filters( 'wpj_order_can_be_closed_filter', $can_request_closed, $row );

			$accept_cancellation_request = $row->accept_cancellation_request;
			$request_cancellation_from_seller = $row->request_cancellation_from_seller;
			$request_cancellation_from_buyer = $row->request_cancellation_from_buyer;
			$message_to_seller = $row->message_to_seller;
			$message_to_buyer = $row->message_to_buyer;

			$request_modification = $row->request_modification;
			$message_request_modification = $row->message_request_modification;

			$using_perm = wpjobster_using_permalinks();

			if($using_perm) $privurl_m = get_permalink(get_option('wpjobster_my_account_priv_mess_page_id')). "?";
			else $privurl_m = get_bloginfo( 'url' ). "/?page_id=". get_option('wpjobster_my_account_priv_mess_page_id'). "&";

			if( ($row->uid != $uid && $post_a->post_author != $uid) || count($r) == 0 ){
				if( !current_user_can('administrator') ){
					wp_redirect(get_bloginfo( 'url' ));
				}
			}

			//-----------------------------------------------------------------------------------------------

			$price      = get_post_meta($pid, 'price', true);
			$ttl        = $post_a->post_title;
			$max_days   = get_post_meta($pid, "max_days", true);
			$location   = wp_get_object_terms($pid, 'job_location');
			$cat        = wp_get_object_terms($pid, 'job_cat');

			//-----------------------------------------------------------------------------------------------

			$order_details_arr = $this->chat_box_get_order_details($current_order,$pid,$uid,$ttl,$buyer,$user_name,$buyer_name);
			$message = $order_details_arr['message'];

			$instant = get_post_meta($pid,'instant',true);

			$order_arbitration = wpj_get_arbitration_details_by_order_id( $orderid );

			return $vars = array(
				'accept_cancellation_request'      => $accept_cancellation_request      ? $accept_cancellation_request      : '',
				'attach_res'                       => $attach_res                       ? $attach_res                       : '',
				'buyer'                            => $buyer                            ? $buyer                            : '',
				'buyer_link'                       => $buyer_link                       ? $buyer_link                       : '',
				'buyer_name'                       => $buyer_name                       ? $buyer_name                       : '',
				'can_request_closed'               => $can_request_closed               ? $can_request_closed               : '',
				'closed'                           => $closed                           ? $closed                           : '',
				'completed'                        => $completed                        ? $completed                        : '',
				'current_order'                    => $current_order                    ? $current_order                    : '',
				'current_user'                     => $this->_current_user              ? $this->_current_user              : '',
				'date_made'                        => $date_made                        ? $date_made                        : '',
				'delivered'                        => $delivered                        ? $delivered                        : '',
				'done_seller'                      => $done_seller                      ? $done_seller                      : '',
				'expected'                         => $expected                         ? $expected                         : '',
				'instant'                          => $instant                          ? $instant                          : '',
				'max_days'                         => $max_days                         ? $max_days                         : '',
				'message'                          => $message                          ? $message                          : '',
				'order_arbitration'                => $order_arbitration                ? $order_arbitration                : '',
				'orderid'                          => $orderid                          ? $orderid                          : '',
				'other_uid'                        => $other_uid                        ? $other_uid                        : '',
				'pid'                              => $pid                              ? $pid                              : '',
				'post_a'                           => $post_a                           ? $post_a                           : '',
				'privurl_m'                        => $privurl_m                        ? $privurl_m                        : '',
				'request_cancellation_from_buyer'  => $request_cancellation_from_buyer  ? $request_cancellation_from_buyer  : '',
				'request_cancellation_from_seller' => $request_cancellation_from_seller ? $request_cancellation_from_seller : '',
				'request_modification'             => $request_modification             ? $request_modification             : '',
				'row'                              => $row                              ? $row                              : '',
				'ttl'                              => $ttl                              ? $ttl                              : '',
				'uid'                              => $uid                              ? $uid                              : '',
				'user_info'                        => $user_info                        ? $user_info                        : '',
				'user_link'                        => $user_link                        ? $user_link                        : '',
				'user_name'                        => $user_name                        ? $user_name                        : '',
				'wpdb'                             => $this->_wpdb                      ? $this->_wpdb                      : '',
			);
		}

		public function chat_box_current_order_status_details(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			}

			$chat_box = $this; ?>

			<!-- TIMER -->
			<?php $show_timer = apply_filters( 'wpj_show_order_timer_filter', true, $current_order );
			if ( $show_timer ) {
				$chat_box->chat_box_timer();
			} ?>
			<!-- END TIMER -->

			<!-- CURRENT ORDER PENDING DETAILS - BANK TRANSFER -->
			<?php if ($current_order->payment_status == 'pending' && $current_order->payment_gateway == 'banktransfer') {
				do_action("wpjobster_before_bank_details_display",$current_order); ?>

				<div class="chatbox_post cf ui notpadded segment">
					<div class="chatbox_post_content">
						<div class="padding-cnt">
							<strong><?php  _e('Bank Details', 'wpjobster'); ?>:</strong><br>
							<?php echo nl2br(get_option('wpjobster_bank_details')); ?><br>
						</div>
					</div>
				</div>

				<?php do_action("wpjobster_after_bank_details_display",$current_order);
			} ?>
			<!-- END CURRENT ORDER PENDING DETAILS - BANK TRANSFER -->

			<!-- CURRENT ORDER PENDING DETAILS - NO BANK TRANSFER -->

			<?php
			do_action( "wpjobster_after_order_timer", $current_order );
			if ($current_order->payment_status == 'pending') {
				// PENDING STATUS
				do_action("wpjobster_before_pending_order_details",$current_order);
				$chat_box->chat_box_order_pending();
				do_action("wpjobster_after_pending_order_details",$current_order);
				// END PENDING STATUS
			} elseif ($current_order->payment_status == 'failed') {
				// FAILED STATUS
				do_action("wpjobster_before_failed_order_details",$current_order);
				$chat_box->chat_box_order_failed();
				do_action("wpjobster_after_pending_order_details",$current_order);
				// END FAILED STATUS
			} elseif ($current_order->payment_status == 'processing') {
				// PROCESSING STATUS
				do_action("wpjobster_before_processing_order_details",$current_order);
				$chat_box->chat_box_order_processing();
				do_action("wpjobster_after_processing_order_details",$current_order);
				// END PROCESSING STATUS
			} elseif ($current_order->payment_status == 'cancelled') {
				// CANCELLED STATUS
				do_action("wpjobster_before_cancelled_order_details",$current_order);
				$chat_box->chat_box_order_cancelled();
				do_action("wpjobster_after_cancelled_order_details",$current_order);
				// END CANCELLED STATUS
			} elseif ( $current_order->payment_status == 'expired' ) {
				$chat_box->chat_box_order_general();
			}

			$arg = '';
			if( $current_order->payment_status != 'pending' && $current_order->payment_status != 'failed' && $current_order->payment_status != 'processing' && $current_order->payment_status != 'cancelled' ){
				do_action("wpjobster_before_completed_order_details",$current_order);

				// BUTTONS AND NOTIFICATIONS
				$arg = $chat_box->chat_box_buttons();
				// END BUTTONS AND NOTIFICATIONS

				if ($completed == 1) {
					// ORDER COMPLETED
					$chat_box->chat_box_order_complete();
					// END ORDER COMPLETED
				}

			} ?>

			<!-- END CURRENT ORDER PENDING DETAILS - NO BANK TRANSFER -->

			<?php return $arg;

		}

		public function chat_box_timer() {
			$vars = $this->chat_box_init();
			foreach ( $vars as $key => $value ) {
				$$key = $value;
			}
			$tm = current_time( 'timestamp', 1 );

			$order = wpjobster_get_order( $orderid );
			$arbitration = wpj_get_arbitration_details_by_order_id( $orderid );
			$buyer_arbitration = isset( $arbitration->buyer_arbitration ) && $arbitration->buyer_arbitration == 1 ? true : false;

			$show_timer = 0;
			if ( wpj_bool_option( 'wpjobster_enable_delivery_time', true ) && get_post_meta( $pid, 'max_days', true ) ) {
				if ( $instant != 1 ) {
					if ( $order->extra_fast == 1 && ( $order->extra_fast_days != 'instant' && $order->extra_fast_days != 0 ) ) {
						$show_timer = 1;
					} elseif ( $order->expected_delivery >= $tm ) {
						$show_timer = 1;
					} elseif ( wpj_is_order_time_up( $orderid ) == 1 ) {
						$show_timer = 1;
					} else {
						$show_timer = 0;
					}
				} elseif ( $order->expected_delivery >= $tm ) {
					$show_timer = 1;
				} else {
					$show_timer = 0;
				}
			}

			$now           = time();
			$expected_date = strtotime( $expected );
			$days_diff     = $now - $expected_date;

			if ( $show_timer == 1 && round( abs( $days_diff / ( 60 * 60 * 24 ) ) ) > 100 ) {
				$show_timer = 0;
			}

			if ( $show_timer == 1 && $order->payment_status != 'pending' && $order->payment_status != 'processing' && $order->closed != 1 && $completed != 1 && $closed != 1 && ! $buyer_arbitration ) {
				$class_arr           = array( 'days', 'hours','minutes', 'seconds' );
				$short_class_arr     = array( 'day', 'hour', 'min', 'sec');
				$interval_arr        = array( __( 'days', 'wpjobster' ), __( 'hours', 'wpjobster' ), __( 'minutes', 'wpjobster' ),  __( 'seconds', 'wpjobster' ) );

				$rtl_clock_dir_class = ''; ?>

				<div data-expected="<?php echo $expected; ?>" class="cf chatbox-timer <?php if ( wpj_is_order_time_up( $orderid ) == 1 && $instant != 1 ) { echo "expired"; } ?>">

					<?php if ( get_option( 'wpjobster_set_time_direction' ) == 'rtl' && is_rtl() ) {
						$class_arr           = array_reverse( $class_arr );
						$interval_arr        = array_reverse( $interval_arr );
						$short_class_arr     = array_reverse( $short_class_arr );

						$rtl_clock_dir_class = ' rtl-clock-dir';
					} ?>

					<div class="flipTimer<?php echo $rtl_clock_dir_class; ?>">
						<?php foreach ( $class_arr as $key => $class_val ) { ?>
							<div class="<?php echo $class_val; ?>"></div>
						<?php } ?>
					</div>

					<?php if ( wpj_is_order_time_up( $orderid ) == 1 && $instant != 1 ) { ?>

						<div class="order-late"><?php _e( 'This order is LATE', 'wpjobster' ); ?></div>

					<?php } else { ?>

						<div class="contentTimer">

							<?php foreach ( $short_class_arr as $key => $val ) {
								echo '<span class="' . $val . '">' . $interval_arr[$key] . '</span>';
							} ?>

						</div>

					<?php } ?>

				</div>

			<?php }
		}

		public function chat_box_list_notifications(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			}

			$notok=1;
			$s = "select DISTINCT * from ".$wpdb->prefix."job_chatbox where oid='$orderid' order by id desc";
			$r = $wpdb->get_results($s);

			foreach($r as $row){
				$sss1 = "select DISTINCT * from ".$wpdb->prefix."job_orders where id='{$row->oid}' ";
				$rrr1 = $wpdb->get_results($sss1);
				$row1 = $rrr1[0];
				$post_a = get_post($row1->pid);
				//----------------------
				$icon   = get_template_directory_uri().'/assets/images/bulb.png';
				$iconsize = 50;
				$class  = "";
				$message = __('The order has been sent to', 'wpjobster') . " <a class=\"green-username\" href=\"" . $user_link . "\">" . $user_name . "</a>.";
				$datine = wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $row->datemade );
				$class1 = "";
				if($row->uid > 0){
					$notok=0;
				}
				if($notok) break;
			}

			$s = "SELECT DISTINCT * FROM {$wpdb->prefix}job_chatbox WHERE oid = '{$orderid}' GROUP BY datemade, uid, content ORDER BY id ASC";
			$r = $wpdb->get_results($s);
			$cancellation_count = 0;
			$modification_count = 0;

			foreach($r as $row){
				// hide accept/decline/cancel custom extra or paid/failed tips messages
				if ( in_array( $row->uid, wpj_get_chatbox_hidden_notifications_uid() ) )
					continue;

				if ( ( $row->content && is_numeric( $row->content ) ) || $row->content == '0' ) {
					$tips = json_decode( $current_order->tips );
					if ( isset( $tips[$row->content] ) ) {
						$tip = $tips[$row->content];
						if ( $row->uid == -36 && $uid == $user_info->ID && ! $tip->paid ) {
							continue;
						}
					}
				}

				$sss1 = "select DISTINCT * from ".$wpdb->prefix."job_orders where id='{$row->oid}' ";
				$rrr1 = $wpdb->get_results($sss1);
				$row1 = $rrr1[0];
				$post_a = get_post($row1->pid);

				//----------------------
				$icon   = get_template_directory_uri().'/assets/images/sent.png';
				$icon2 = $icon;
				$iconsize = 50;
				$iconsize2 = $iconsize;
				$bgcolor = "blue";
				$bgcolor2 = $bgcolor;
				$class  = "";
				$class2 = $class;


				$message = __('The order has been sent to', 'wpjobster') . " <a class=\"green-username\" href=\"" . $user_link . "\">" . $user_name . "</a>.";
				$message2 = '';

				if($row->uid == 0)
				{

					$query = "SELECT * ".
								"FROM ".$wpdb->prefix."job_orders ".
								"WHERE id = ".$row->oid;
					$result = $wpdb->get_results($query);

					foreach($result as $resultrow) {

						$order_details_arr = $this->chat_box_get_order_details($resultrow,$pid,$uid,$ttl,$buyer,$user_name,$buyer_name);

						$message = $order_details_arr['message'];
						$processing_fees = $order_details_arr['processing_fees'];
						$tax_amount = $order_details_arr['tax_amount'];

						if ($resultrow->job_instructions) {
							$job_instructions = $resultrow->job_instructions;
						} elseif (get_post_meta($resultrow->pid, "instruction_box", true)) {
							$job_instructions = get_post_meta($resultrow->pid, "instruction_box", true);
						} else {
							$job_instructions = '';
						}

						$job_instructions = str_replace( '&lt;br /&gt;', "", $job_instructions ); // if text contain <br /> as text

						if ($job_instructions) {

							$filtered_message = $job_instructions;
							if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
								$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
							}

							$message .= '<div class="cp-instructions"><h3>' . __("Instructions for the buyer:","wpjobster") . '</h3>' .
								$filtered_message . '</div>';
						}

						if ( wpj_is_custom_offer( $pid ) ) {
							$filtered_message = $resultrow->job_description;
							if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
								$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
							}

							$message .= '<div class="cp-instructions"><h3>' . __("Custom offer description:","wpjobster") . '</h3>' .
								$filtered_message . '</div>';

							ob_start();
							do_action( 'list_request_custom_offer_details', $pid, 'send', 'chat_box' );
							$message .= ob_get_contents();
							ob_end_clean();
						}

						$instant = get_post_meta( $pid, 'instant', true );
						$job_any_attachments = get_post_meta( $pid, 'job_any_attachments', true );
						if ( $instant == 1 && ( $done_seller == 1 || $uid == $user_info->ID ) ) {
							if ( wpj_post_has_attachments( $job_any_attachments ) ) {
								ob_start();
								wpj_list_attachments( $job_any_attachments, $pid, 'job_any_attachments', '', '', true, false );
								$message .= ob_get_contents();
								ob_end_clean();
							} else {
								if ( isset( $attach_res ) ) {
									foreach ( $attach_res as $attach ) {
										if ( $attach->post_mime_type == 'application/zip' ) {
											$message .= '<div class="pm-attachments">';
												$message .= '<a class="download-req" href="' . wp_get_attachment_url( $attach->ID ) . '" download>';
												$message .= $attach->post_title . '</a> <span class="pm-filesize">' . size_format( filesize( get_attached_file( $attach->ID ) ) ) . '</span><br>';
											$message .= '</div>';
										}
									}
								}
							}

						}

						ob_start();
						$Custom_Fields = new WPJ_Custom_Fields( $resultrow->pid, 'job' );
						$Custom_Fields->displayFieldsContent( 'chat_box' );
						$message .= ob_get_contents();
						ob_end_clean();

						if ( strtoupper( $current_order->payment_gateway ) == strtoupper( 'cod' ) && $uid == wpj_get_seller_id( $current_order ) ) {
							$icon2 = get_template_directory_uri().'/assets/images/cash.png';
							$iconsize2 = $iconsize;
							$bgcolor2 = "orange";
							$message2 .= '<h3 class="nomargin p10b">' . __( "Payment method: Cash on Delivery", "wpjobster" ) . "</h3>";
							$message2 .= __( "Since the payment has not been secured by the platform, please make sure you have collected the payment from the buyer, before marking this transaction as delivered.", "wpjobster" );
							$class2 = $class;
						}
					}
				}

				$datine = wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $row->datemade );
				$class1 = "";
				if($row->uid > 0)
				{
					$icon = wpjobster_get_avatar($row->uid,61, 61);
					$iconsize = 60;
					$filtered_message = $row->content;
					if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
						$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
					}

					$message = nl2br( strip_tags( htmlspecialchars_decode( $filtered_message ) ) );

					$class1 = ""   ;
					$bgcolor = "white";
					$usr_dt = get_userdata($row->uid);
					$cls_m = '';

					if($row->uid == $post_a->post_author)
					{
						$class1 = ""  ;
						$bgcolor = "white";
						$cls_m = '';
					}
					$support = is_super_admin( $usr_dt->ID ) ? '&nbsp;<span class="red">(' . __( 'support', 'wpjobster' ) . ')</span>' : '';
					$username_k = '<div class="'.$cls_m.'"><a href="'.wpj_get_user_profile_link( $usr_dt->user_login ).'">'.wpj_get_user_display_type( $usr_dt->ID ).$support."</a></div>";
				}
				else
				{

					if($row->uid == -1) // marked as finished
					{
						$icon   = get_template_directory_uri().'/assets/images/delivered.png';
						$iconsize = 50;
						$bgcolor = "green";
						if ($uid == $user_info->ID) {
							$message = __('You have marked this order as delivered.','wpjobster');
						} else {
							$message = __('The order has been marked as delivered by the seller.<br/>Please confirm using the button below.','wpjobster');
						}
					}
					if($row->uid == -2) // marked as finished
					{
						$icon   = get_template_directory_uri().'/assets/images/accepted.png';
						$iconsize = 50;
						$bgcolor = "green";
						if ($uid == $user_info->ID) {
							$message = __('The order has been accepted by the buyer.','wpjobster');
						} else {
							$message = __('You have accepted the order.<br/>Please review it using the form below.','wpjobster');
						}
					}
					if($row->uid == -8) //the seller requested cancellation
					{
						$icon   = get_template_directory_uri().'/assets/images/declined.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('You have requested a mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('The seller of this job has requested a mutual cancellation for this order.','wpjobster');
						}

						$filtered_message = $row->content;
						if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
							$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
						}

						$message .= '<br>' . __('Cancellation Message:','wpjobster') . ' "' . $filtered_message . '"';
						$cancellation_count++;

					}
					if($row->uid == -9) //the buyer requested cancellation
					{
						$icon   = get_template_directory_uri().'/assets/images/declined.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('The buyer has requested a mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('You have requested a mutual cancellation for this order.','wpjobster');
						}

						$filtered_message = $row->content;
						if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
							$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
						}

						$message .= '<br>' . __('Cancellation Message:','wpjobster') . ' "' . $filtered_message . '"';
						$cancellation_count++;
					}
					if($row->uid == -10) // the buyer accepted mutual cancellation
					{
						$icon   = get_template_directory_uri().'/assets/images/accepted.png';
						$iconsize = 50;
						$bgcolor = "green";
						if ($uid == $user_info->ID) {
							$message = __('The buyer has accepted the mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('You have accepted the mutual cancellation for this order.','wpjobster');
						}
					}
					if($row->uid == -11) // the buyer declined mutual cancellation
					{
						$icon   = get_template_directory_uri().'/assets/images/declined2.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('The buyer has declined the mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('You have declined the mutual cancellation for this order.','wpjobster');
						}
					}
					if($row->uid == -12) // the seller accepted mutual cancellation
					{
						$icon   = get_template_directory_uri().'/assets/images/accepted.png';
						$iconsize = 50;
						$bgcolor = "green";
						if ($uid == $user_info->ID) {
							$message = __('You have accepted the mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('The seller has accepted the mutual cancellation for this order.','wpjobster');
						}
					}
					if($row->uid == -13) // the seller declined mutual cancellation
					{
						$icon   = get_template_directory_uri().'/assets/images/declined2.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('You have declined the mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('The seller has declined the mutual cancellation for this order.','wpjobster');
						}
					}

					if($row->uid == -14) // transaction was cancelled by admin
					{
						$icon   = get_template_directory_uri().'/assets/images/admin-action.png';
						$iconsize = 50;
						$bgcolor = "red";
						$message = __('Transaction has been cancelled by the admin based on the requested arbitrage.','wpjobster');
					}

					if($row->uid == -15) // buyer request modification
					{
						$icon   = get_template_directory_uri().'/assets/images/modification.png';
						$iconsize = 50;
						$bgcolor = "orange";
						if ($uid == $user_info->ID) {
							$message = __('The buyer has requested a modification for this order.', 'wpjobster' );
						} else {
							$message = __('You have requested a modification for this order.', 'wpjobster' );
						}

						$filtered_message = $row->content;
						if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
							$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
						}

						$message .= '<br>' . __('Modification Message:','wpjobster') . ' "' . $filtered_message . '"';
						$modification_count++;

					}

					if($row->uid == -16) // mutual cancellation was aborted by seller
					{
						$icon   = get_template_directory_uri().'/assets/images/declined2.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('You have aborted the mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('The seller has aborted the mutual cancellation for this order.','wpjobster');
						}
					}

					if($row->uid == -17) // mutual cancellation was aborted by buyer
					{
						$icon   = get_template_directory_uri().'/assets/images/declined2.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('The buyer has aborted the mutual cancellation for this order.','wpjobster');
						} else {
							$message = __('You have aborted the mutual cancellation for this order.','wpjobster');
						}
					}

					if($row->uid == -18) // buyer rating
					{
						$s_rat = "select * from " . $wpdb->prefix . "job_ratings where orderid='$orderid'";
						$r_rat = $wpdb->get_results($s_rat);

						if ( isset( $r_rat[0] ) ) {
							$buyer_given_feedback=1;
							$icon   = get_template_directory_uri().'/assets/images/staricon.png';
							$iconsize = 50;
							$bgcolor = "orange";

							$r_rat = $r_rat[0];

							$message = '';

							$message .= '<div class="flex-parent wpj-review-work-sample-wrapper">';
								$message .= '<div>';

									$message .= '<div class="cf wpj-star-rating-static">';
									$message .= wpjobster_show_big_stars_our_of_number($r_rat->grade);
									$message .= '</div>';

									if ($uid == $user_info->ID) {
										$message .= __('The buyer has rated this order.','wpjobster');
									} else {
										$message .= __('You have rated this order.','wpjobster');
									}

									$filtered_message = stripslashes($r_rat->reason);
									if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
										$filtered_message = wpj_apply_filter_to_string( $filtered_message, false, 'transactionpages' );
									}

									if ( $filtered_message ) {
										$message .= '<div class="cf">'.__("Feedback Message", "wpjobster").': "';
										$message .= $filtered_message;
										$message .= '"</div>';
									}

								$message .= '</div>';

								if ( isset( $r_rat->sample ) ) { $message .= wpj_get_work_sample_preview( $r_rat->sample ); }
							$message .= '</div>';

						} else {
							continue;
						}
					}

					if($row->uid == -19) // seller rating
					{
						$s_rat = "select * from " . $wpdb->prefix . "job_ratings_by_seller where orderid='$orderid'";
						$r_rat = $wpdb->get_results($s_rat);

						if ( isset( $r_rat[0] ) ) {
							$icon   = get_template_directory_uri().'/assets/images/staricon.png';
							$iconsize = 50;
							$bgcolor = "orange";

							$r_rat = $r_rat[0];

							$message_reply = '';
							$message_reply .= '<div class="cf wpj-star-rating-static">';
							$message_reply .= wpjobster_show_big_stars_our_of_number($r_rat->grade);
							$message_reply .= '</div>';

							if ($uid == $user_info->ID) {
								$message_reply .= __('You have replied to buyer\'s feedback.','wpjobster');
							} else {
								$message_reply .= __('Seller replied to your feedback.','wpjobster');
							}

							$filtered_message = stripslashes($r_rat->reason);
							if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
								$filtered_message = wpj_apply_filter_to_string( $filtered_message, false, 'transactionpages' );
							}

							if ( $filtered_message ) {

								if ($uid == $user_info->ID) {
									$message_reply .= '<div class="cf">'.__("Your response", "wpjobster").': "';
								}else{
									$message_reply .= '<div class="cf">'.__("Seller’s response", "wpjobster").': "';
								}

								$message_reply .= $filtered_message;
								$message_reply .= '"</div>';
							}

							$message = $message_reply;
						} else {
							continue;
						}
					}

					if($row->uid == -31) // custom extra
					{

						$icon   = get_template_directory_uri().'/assets/images/sent.png';
						$iconsize = 50;
						$bgcolor = "green";
						$message = '<div>' . apply_filters( 'wpj_custom_extra_title_string_filter', __( 'Custom extra', 'wpjobster' ) ) . '</div>';
					}

					if($row->uid == -35) // order cancellation by buyer( delivery time expired );
					{
						$icon   = get_template_directory_uri().'/assets/images/declined.png';
						$iconsize = 50;
						$bgcolor = "red";
						if ($uid == $user_info->ID) {
							$message = __('The buyer has cancelled the transaction.','wpjobster');
						} else {
							$message = __('You cancelled this transaction.','wpjobster');
						}
					}

					if ( $row->uid == -36 && ( $uid != $user_info->ID || $tip->paid ) ) // new tips
					{
						$icon   = get_template_directory_uri() . '/assets/images/tips.png';
						$iconsize = 75;
						$bgcolor = "green";
						$message = '<div>' . __( 'Tips', 'wpjobster' ) . '</div>';
					}

					$username_k = '';
				}
				if($row->uid == -21)
				{
					$icon   = get_template_directory_uri().'/assets/images/declined2.png';
					$iconsize = 50;
					$bgcolor = "red";
					if ($uid == $user_info->ID) {
						$message = __('You have aborted the mutual cancellation for this order.','wpjobster');
					} else {
						$message = __('The buyer has aborted the mutual cancellation for this order.','wpjobster');
					}
				}

				if ( $row->uid == -39 ) { //the seller requested arbitration
					$icon     = get_template_directory_uri() . '/assets/images/chatbox/arbitration_request.png';
					$iconsize = 50;
					$bgcolor  = "green";
					if ( $uid == $user_info->ID ) {
						$message = __( 'You have requested arbitration for this order.', 'wpjobster' );
					} else {
						$message = __( 'The seller has requested arbitration for this order.', 'wpjobster' );
					}

					$filtered_message  = $row->content;
					if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
						$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
					}

					$message .= '<br>' . __( 'Message to support:', 'wpjobster' ) . ' "' . $filtered_message . '"';
				}

				if ( $row->uid == -40 ) { // the buyer requested arbitration
					$icon     = get_template_directory_uri() . '/assets/images/chatbox/arbitration_request.png';
					$iconsize = 50;
					$bgcolor  = "green";

					if ( $uid == $user_info->ID ) {
						$message = __( 'The buyer has requested arbitration for this order.', 'wpjobster' );
					} else {
						$message = __( 'You have requested arbitration for this order.', 'wpjobster' );
					}


					$filtered_message = $row->content;
					if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
						$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
					}

					$message .= '<br>' . __( 'Message to support:', 'wpjobster' ) . ' "' . $filtered_message . '"';
				}

				if ( $row->uid == -41 || $row->uid == -42 || $row->uid == -43 || $row->uid == -44 ) { // arbitration response
					$icon     = get_template_directory_uri() . '/assets/images/chatbox/arbitration_response.png';
					$iconsize = 50;
					$bgcolor  = "green";

					if ( $row->uid == -41 && $uid == $post_a->post_author ) {
						$message = __( 'Arbitration was decided in your favor.', 'wpjobster' );
					} elseif ( $row->uid == -42 && ( $uid == get_userdata( $buyer )->ID || ( is_super_admin() && $uid != $post_a->post_author ) ) ) {
						$message = sprintf( __( 'Arbitration was decided in favor of %s.', 'wpjobster' ), $user_name );
						$message .= '<br>' . sprintf( __( '%s should proceed with delivering the order.', 'wpjobster' ), $user_name );
					} elseif ( $row->uid == -43 && ( $uid == $post_a->post_author || ( is_super_admin() && $uid != get_userdata( $buyer )->ID ) ) ) {
						$message = sprintf( __( 'Arbitration was decided in favor of %s', 'wpjobster' ), $buyer_name );
						$message .= '<br>' . sprintf( __( 'This order has been cancelled and %s has been refunded.', 'wpjobster' ), $buyer_name );
					} elseif ( $row->uid == -44 && $uid == get_userdata( $buyer )->ID ) {
						$message = __( 'Arbitration was decided in your favor. This transaction has been cancelled, and you have been refunded.', 'wpjobster' );
					} else {
						continue;
					}

					$filtered_message = $row->content;
					if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
						$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
					}

					$message .= '<br>' . __( 'Message from support:', 'wpjobster' ) . ' "' . $filtered_message . '"';
				}

				if ( $row->uid == -45 ) {
					$icon     = get_template_directory_uri() . '/assets/images/declined2.png';
					$iconsize = 50;
					$bgcolor  = "red";
					if ( $uid == $user_info->ID ) {
						$message = __( 'You have aborted the arbitration for this order.', 'wpjobster' );
					} else {
						$message = __( 'The seller has aborted the arbitration for this order.', 'wpjobster' );
					}
				}

				if ( $row->uid == -46 ) {
					$icon     = get_template_directory_uri() . '/assets/images/declined2.png';
					$iconsize = 50;
					$bgcolor  = "red";
					if ( $uid == $user_info->ID ) {
						$message = __( 'The buyer has aborted the arbitration for this order.', 'wpjobster' );
					} else {
						$message = __( 'You have aborted the arbitration for this order.', 'wpjobster' );
					}
				}

				if ( $row->uid == -49 ) {
					$icon     = get_template_directory_uri().'/assets/images/modification.png';
					$iconsize = 50;
					$bgcolor  = "orange";
					if ( $uid == $user_info->ID ) {
						$message = __( 'You have requested an extension of the delivery time for this order.', 'wpjobster' );
					} else {
						$message = __( 'The seller has requested an extension of the delivery time for this order.', 'wpjobster' );
					}

					$filtered_message = $row->content;
					if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
						$filtered_message = wpj_apply_filter_to_string( $filtered_message, true, 'transactionpages' );
					}

					if ( $filtered_message ) {
						$message .= '<br>' . __( 'Message:', 'wpjobster' ) . ' "' . $filtered_message . '"';
					}

					$required_days_results = wpj_get_extended_delivery_by_message( $row->oid, $row->content, $row->datemade );

					$message .= '<br>' . sprintf( __( 'Required number of days: %d', 'wpjobster' ), $required_days_results->days );
				}

				if ( $row->uid == -50 ) {
					$icon     = get_template_directory_uri() . '/assets/images/declined2.png';
					$iconsize = 50;
					$bgcolor  = "red";
					if ( $uid == $user_info->ID ) {
						$message = __( 'You have aborted the extension of the delivery time for this order.', 'wpjobster' );
					} else {
						$message = __( 'The seller has aborted the extension of the delivery time for this order.', 'wpjobster' );
					}
				}

				if ( $row->uid == -51 ) {
					$icon     = get_template_directory_uri().'/assets/images/accepted.png';
					$iconsize = 50;
					$bgcolor  = "green";
					if ( $uid == $user_info->ID ) {
						$message = __( 'The buyer has accepted the extension of the delivery time for this order.', 'wpjobster' );
					} else {
						$message = __( 'You have accepted the extension of the delivery time for this order.', 'wpjobster' );
					}
				}

				if ( $row->uid == -52 ) {
					$icon     = get_template_directory_uri().'/assets/images/declined2.png';
					$iconsize = 50;
					$bgcolor  = "red";
					if ( $uid == $user_info->ID ) {
						$message = __( 'The buyer has declined the extension of the delivery time for this order.', 'wpjobster' );
					} else {
						$message = __( 'You have declined the extension of the delivery time for this order.', 'wpjobster' );
					}
				}

				//-------------------------
				echo '<div class="chatbox_post cf ui notpadded segment ' . apply_filters( 'wpj_order_section_wrapper_class_filter', '', $current_order, $row ) . '"><div class="chatbox_post_content">';
				echo '<div class="job_post_left '.$bgcolor.' '.$class1.'"><img width="'.$iconsize.'" height="'.$iconsize.'" src="'.$icon.'" class="round-avatar" /></div>';
				echo '<div class="job_post_right">';

				if ( $row->uid == 0 ) {
					do_action( 'wpj_transaction_page_before_first_message', $current_order, $this->jb_action );
				}

				if ( $row->uid == -31 ) {
					do_action( 'wpj_transaction_page_before_custom_extra_title', $current_order, $this->jb_action, $row->content );
				}

				if ( $row->uid == -36 ) {
					do_action( 'wpj_transaction_page_before_tips_title', $current_order, $this->jb_action, $row->content );
				}

				echo '<div><strong>' . $username_k . '</strong> '. wpj_make_links_clickable( apply_filters( 'wpj_order_notification_message_filter', $message, $row, $current_order ) ) . '';

				// Display Attachments
				if ( wpj_post_has_attachments ( $row->attachment ) ) {
					wpj_list_attachments( $row->attachment, '', '', true, __( 'Attachments', 'wpjobster' ), true, false );
				}

				// display custom extra content
				if($row->uid == -31) {
					$custom_extras    = json_decode( $current_order->custom_extras );
					$custom_extra     = $custom_extras[$row->content];
					$ce_description   = $custom_extra->description;
					$custom_extra_arr = wpj_get_custom_extra( $current_order->id, $row->content );


					if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
						$ce_description = wpj_apply_filter_to_string( $ce_description, false, 'transactionpages' );
					}

					echo '<table class="pm-custom-extra-meta"><tbody>';

					echo '<tr><td><strong>'.__('Description:','wpjobster').'</strong></td>
							<td>'.$ce_description.'</td></tr>';
					echo '<tr><td><strong>'.__('Price:','wpjobster').'</strong></td>
							<td>'.wpjobster_get_show_price_classic($custom_extra->price, 1) . '</td></tr>';

					echo '<tr><td><strong>'.__('Delivery:','wpjobster').'</strong></td>
							<td>'.sprintf( _n("%s day", "%s days", $custom_extra->delivery, "wpjobster"), $custom_extra->delivery ).'</td></tr>';

					if($custom_extra->declined == true)
						echo '<tr><td><strong>'.__('Status:','wpjobster').'</td><td><span class="offer-red">'.__('declined','wpjobster').'</span></strong></td></tr>';
					elseif($custom_extra->cancelled == true)
						echo '<tr><td><strong>'.__('Status:','wpjobster').'</td><td><span class="offer-red">'.__('cancelled','wpjobster').'</span></strong></td></tr>';
					elseif($custom_extra->paid == true){
						if ( $custom_extra_arr && $custom_extra_arr->payment_gateway_name == 'cod' && $custom_extra_arr->payment_gateway_transaction_id == '-1' && $uid != $user_info->ID ) {
							$paid_status = __( 'waiting for the payment','wpjobster' );
						} else {
							$paid_status = apply_filters( 'wpj_custom_extra_paid_status_string_filter', __( 'paid','wpjobster' ), $current_order, $row );
						}
						echo '<tr><td><strong>'.__('Status:','wpjobster').'</td><td><span class="offer-green">'.$paid_status.'</span></strong></td></tr>';

					} else {
						// check if bank transfer pending
						$sql_q = " select * from ".$wpdb->prefix."job_custom_extra_orders where order_id='{$current_order->id}' and custom_extra_id='{$row->content}' and payment_status='pending' and payment_gateway_name='banktransfer' limit 1 ";
						$pend_rows = $wpdb->get_results($sql_q);
						if ( $pend_rows ) {
							echo '<tr><td><strong>'.__('Status:','wpjobster').'</strong></td><td>'.__('pending','wpjobster').'</td></tr>';
							if($uid != $user_info->ID)
								echo '<tr><td><strong>'.__('Bank Details:','wpjobster').'</strong></td><td>'.nl2br(get_option('wpjobster_bank_details')).'</td></tr>';
						} else {
							echo '<tr><td><strong>'.__('Status:','wpjobster').'</strong></td><td>'.__('waiting for the payment','wpjobster');
							if ( WPJ_Form::get( 'status' ) == 'fail' ) {
								echo ' ';
								do_action( 'wpj_gateway_transaction_cancelled_message', $orderid, 'custom_extra' );
							}
							echo '</td></tr>';
						}

					}

					if ( $custom_extra_arr ) {
						if ( $custom_extra_arr->payment_gateway_name == 'cod' && $custom_extra_arr->payment_gateway_transaction_id == '-1' ) {
							if ( $uid == $user_info->ID ) { ?>
								<tr>
									<td colspan="2">
										<div class="chatbox_post cf ui notpadded segment">
											<div class="chatbox_post_content">
												<div class="job_post_left orange">
													<img width="50" height="50" src="<?php echo get_template_directory_uri() . '/assets/images/cash.png'; ?>" />
												</div>

												<div class="job_post_right">
													<div>
														<h3 class="nomargin p10b"><?php echo __( "Payment method: Cash on Delivery", "wpjobster" ); ?></h3>
														<?php echo __( "Since the payment has not been secured by the platform, please make sure you have collected the payment from the buyer, before marking this transaction as delivered.", "wpjobster" ); ?>
													</div>

													<div class="ui clearing divider"></div>
													<a class="ui button positive mark_custom_extra_paid">
														<?php echo apply_filters( 'wpj_mark_custom_extra_paid_string_filter', __( 'Mark this custom extra as paid', 'wpjobster' ) ); ?>
													</a>
													<form id="mark_custom_extra_paid" method="post" name="mark_custom_extra_paid<?php echo $row->content; ?>" action="" style="display: none;">
														<input type="hidden" value="1" name="mark_custom_extra_paid" />
														<input type="hidden" value="<?php echo $row->content; ?>" name="custom_extra" />
														<input type="hidden" value="chat_box_mark_paid_custom_extra" name="action" />
														<input type="hidden" value="<?php echo $orderid; ?>" name="order_id" />
													</form>
												</div>
											</div>
										</div>
									</td>
								</tr>
							<?php }
						}
					}

					echo '</tbody></table>';

					if ( $uid != $user_info->ID && ! $custom_extra->paid && ! $custom_extra->cancelled && ! $custom_extra->declined && $completed != 1 && $closed != 1 ) {
						if ( $pend_rows ) { $pend_row = $pend_rows[0]; ?>

							<div class="custom_extra_chatbox_buttons pm-custom-offer-bottom cf">
								<a href="<?php bloginfo( 'url' ); ?>/?payment_response=<?php echo $pend_row->payment_gateway_name; ?>&payment_type=custom_extra&order_id=<?php echo $pend_row->id; ?>&action=cancel" class="ui button custom-offer-pm lightgrey_btn">
									<?php _e( 'Cancel', 'wpjobster' ); ?>
								</a>
							</div>

						<?php } else { ?>

							<div class="custom_extra_chatbox_buttons pm-custom-offer-bottom cf">

								<a href="#" class="ui positive button pr custom-offer-pm <?php echo apply_filters( 'wpj_accept_custom_extra_class_filter', 'btn-accept-custom-extra', $current_order, $row ); ?>"
									<?php echo is_user_logged_in() ? 'data-submit="[name=purchase_custom_extra' . $row->content . ']"' : ''; ?>>
									<?php echo apply_filters( 'wpj_accept_custom_extra_string_filter', __( 'Accept custom extra', 'wpjobster' ) ); ?>
								</a>

								<form id="accept_custom_extra" method="post" name="purchase_custom_extra<?php echo $row->content; ?>" action="<?php echo get_bloginfo( 'url' ) . '/?jb_action=purchase_this&oid=' . $orderid . '&custom_extra=' . $row->content; ?>" style="display: none;">
									<input type="hidden" name="purchaseformvalidation" value="ok" />
								</form>

								<span>
									<a class="ui button custom-offer-pm <?php echo apply_filters( 'wpj_deny_custom_extra_class_filter', 'decline_custom_extra', $current_order, $row ); ?>">
										<?php echo apply_filters( 'wpj_decline_custom_extra_string_filter', __( 'Decline custom extra', 'wpjobster' ) ); ?>
									</a>
									<form id="decline_custom_extra" method="post" name="decline_custom_extra<?php echo $row->content; ?>" action="" style="display: none;">
										<input type="hidden" value="1" name="decline_custom_extra" />
										<input type="hidden" value="<?php echo $row->content; ?>" name="custom_extra" />
										<input type="hidden" value="chat_box_deny_custom_extra" name="action" />
										<input type="hidden" value="<?php echo $orderid; ?>" name="order_id" />
									</form>
								</span>

							</div>

						<?php }
					}

					do_action( 'wpj_after_ce_buttons', $current_order, $row );

					if ($uid == $user_info->ID && !$custom_extra->paid && !$custom_extra->cancelled && !$custom_extra->declined && !$pend_rows && $completed != 1 && $closed != 1) { ?>

						<div class="custom_extra_chatbox_buttons pm-custom-offer-bottom cf">

							<a class="ui button <?php echo apply_filters( 'wpj_cancel_custom_extra_class_filter', 'cancel_custom_extra', $current_order, $row ); ?>">
								<?php echo apply_filters( 'wpj_cancel_custom_extra_string_filter', __( 'Cancel custom extra', 'wpjobster' ) ); ?>
							</a>
							<form id="cancel_custom_extra" method="post" name="cancel_custom_extra<?php echo $row->content; ?>" action="" style="display: none;">
								<input type="hidden" value="1" name="cancel_custom_extra" />
								<input type="hidden" value="<?php echo $row->content; ?>" name="custom_extra" />
								<input type="hidden" value="chat_box_cancel_custom_extra" name="action" />
								<input type="hidden" value="<?php echo $orderid; ?>" name="order_id" />
							</form>
						</div>

					<?php }

				}

				// display tips
				if ( $row->uid == -36 ) {
					if ( $uid != $user_info->ID || $tip->paid ) {
						echo '<table class="pm-tips-meta">';
							echo '<tbody>';
								$reason = $tip->reason;
								if ( $reason ) {

									if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
										$reason = wpj_apply_filter_to_string( $reason, false, 'transactionpages' );
									}

									echo '<tr>
										<td><strong>' . __( 'Reason:', 'wpjobster' ) . '</strong></td>
										<td>' . $reason . '</td>
									</tr>';
								}
								echo '<tr>
									<td><strong>' . __( 'Price:', 'wpjobster' ) . '</strong></td>
									<td>' . wpjobster_get_show_price_classic( $tip->amount, 1 ) . '</td>
								</tr>';
							echo '</tbody>';
						echo '</table>';
					}

					if ( $uid != $user_info->ID ) { ?>
						<div class="tips_chatbox_buttons pm-tips-bottom cf">
							<?php if ( $tip->paid ) { ?>
								<?php echo __( 'Status:', 'wpjobster' ); ?>
								<span class="offer-green"><?php echo __( 'paid', 'wpjobster' ); ?></span>
							<?php } elseif ( ! $tip->paid && ! $tip->cancelled ) {

								$sql_qp = "SELECT * FROM {$wpdb->prefix}job_tips_orders WHERE order_id = '{$current_order->id}' AND tips_id = '{$row->content}' AND payment_status = 'pending' LIMIT 1";
								$pend_rows_p = $wpdb->get_results( $sql_qp );
								if ( $pend_rows_p ) {
									do_action( 'transaction_incomplete', $current_order->id );
								}

								// check if bank transfer pending
								$btp_query = "SELECT * FROM {$wpdb->prefix}job_tips_orders WHERE order_id = '{$current_order->id}' AND tips_id = '{$row->content}' AND payment_status = 'pending' AND payment_gateway_name = 'banktransfer' LIMIT 1";
								$btp_rows = $wpdb->get_results( $btp_query );

								if ( $btp_rows ) { // pending
									echo __( 'Status:', 'wpjobster' ); ?>
									<span class="offer-orange"><?php echo __( 'pending', 'wpjobster' ); ?></span>
									<?php echo '<br>' . __( 'Bank Details:', 'wpjobster' ); ?>
									<span><?php echo nl2br( get_option( 'wpjobster_bank_details' ) ); ?></span><br><br>
								<?php } else { // not paid ?>
									<a href="#" class="ui positive button pr"
										<?php echo is_user_logged_in() ? 'data-submit="[name=purchase_tips'.$row->content.']"' : ''; ?>>
										<?php _e( 'Pay', 'wpjobster' ); ?>
									</a>
									<form id="accept_tips" method="post" name="purchase_tips<?php echo $row->content; ?>" action="<?php echo get_bloginfo( 'url' ) . '/?jb_action=purchase_this&oid=' . $orderid . '&tips=' . $row->content; ?>" style="display: none;">
										<input type="hidden" name="purchaseformvalidation" value="ok" />
									</form>
								<?php }
							}

							if ( $tip->cancelled ) { // cancelled ?>
								<?php echo __( 'Status:', 'wpjobster' ); ?>
								<span class="offer-red"><?php echo __( 'cancelled', 'wpjobster' ); ?></span>
							<?php } elseif ( ! $tip->paid && ! $tip->cancelled ) { ?>
								<a class="ui button cancel_tips">
									<?php _e( 'Cancel', 'wpjobster' ); ?>
								</a>
								<form id="cancel_tips" method="post" name="cancel_tips<?php echo $row->content; ?>" action="" style="display: none;">
									<input type="hidden" value="1" name="cancel_tips" />
									<input type="hidden" value="<?php echo $row->content; ?>" name="tips" />
									<input type="hidden" value="chat_box_cancel_tips" name="action" />
									<input type="hidden" value="<?php echo $orderid; ?>" name="order_id" />
								</form>
							<?php } ?>
						</div>
					<?php }
				} ?>

				<div class="the_time"><?php echo $datine; ?></div>
				</div></div>
				</div></div>

				<?php if ( $message2 ) {
					// this is not an entry in chatbox, but an additional message displayed right after an existing entry only for the transaction page
					echo '<div class="chatbox_post cf ui notpadded segment"><div class="chatbox_post_content">';
						echo '<div class="job_post_left '.$bgcolor2.' '.$class2.'"><img width="'.$iconsize2.'" height="'.$iconsize2.'" src="'.$icon2.'" /></div>';
						echo '<div class="job_post_right"><div>'.$message2.'';
							echo '<div class="the_time">'.$datine.'</div>';
						echo '</div></div>';
					echo '</div></div>';
					// reset variable so this message doesn't display again
					$message2 = '';
				}
			}

			return $vars = array(
				'cancellation_count'   => ( isset( $cancellation_count )   && $cancellation_count )   ? $cancellation_count   : 0,
				'modification_count'   => ( isset( $modification_count )   && $modification_count )   ? $modification_count   : 0,
				'buyer_given_feedback' => ( isset( $buyer_given_feedback ) && $buyer_given_feedback ) ? $buyer_given_feedback : ''

			);
		}

		// first order message
		public function chat_box_get_order_details($current_order,$pid,$uid,$ttl,$buyer,$user_name,$buyer_name){

			$resultrow = $current_order;

			if($current_order->payment_status=='pending'){
				$order_status=' <span class="title-status pending">('.__('Pending','wpjobster').')</span>';
			}elseif($current_order->payment_status=='failed'){
				$order_status=' <span class="title-status failed">('.__('Failed','wpjobster').')</span>';
			}elseif($current_order->payment_status=='cancelled'){
				$order_status=' <span class="title-status">('.__('Cancelled','wpjobster').')</span>';
			}elseif($current_order->payment_status!='completed'){
				$order_status=' <span class="title-status">( ' . wpjobster_translate_string( $current_order->payment_status ) . ' )</span>';
			}else{
				$order_status='';
			}

			$message = '';
			$offer_class = '';
			if ( wpj_is_custom_offer( $pid ) ) {
				$offer_class = 'cp-offer-class';

			}

			$message .= '<div class="ui two column stackable grid job-avatar-title-price">';


			if (!$offer_class) {
				$message .= '<div class="two wide column">';
					if ($resultrow->job_image) {
						$message .= '<img width="60" height="60" class="round-avatar" src="' . wpj_get_attachment_image_url( $resultrow->job_image, array( 60, 60 ) ) . '" />';

					} else {
						$message .= '<img width="60" height="60" class="round-avatar" src="'. wpjobster_get_job_image( $pid, 60, 60 ) .'" />';
					}
				$message .= '</div>';
			}
			$no = $offer_class ? "ten" : "eight";
			$message .= '<div class="' . $no . ' wide column chat-box-title-job ' . $offer_class . '">';
				$message .= '<h2>';

					if ( wpj_is_custom_offer( $pid ) ) {
						$message .= __("Private transaction with", "wpjobster") . ' ';

						$message .= $uid == $buyer ? $user_name : $buyer_name;
					} else {
						if ($resultrow->job_title) {
							$message .= '<a href="' . get_permalink( $pid ) . '">' . wpjobster_wrap_the_title( $resultrow->job_title, $pid ) . '</a>';

						} else {
							$message .= wpjobster_wrap_the_title($ttl, $pid);
						}
					}

				$message .= '</h2>';
				$message .= sprintf( __( "Order: #%s%s", 'wpjobster' ), wpjobster_camouflage_order_id( $current_order->id, $current_order->date_made ), $order_status );

				$message .= ' &nbsp; | &nbsp; ';

				if ( $uid == wpj_get_seller_id( $current_order ) ) {
					$message .= sprintf( __( 'Buyer: %s', 'wpjobster' ), '<a href="' . wpj_get_user_profile_link( $buyer_name ) . '">' . $buyer_name . '</a>' );
				} else {
					$message .= sprintf( __( 'Seller: %s', 'wpjobster' ), '<a href="' . wpj_get_user_profile_link( $user_name ) . '">' . $user_name . '</a>' );
				}

			$message .= '</div>';

			$message .= '<div class="six wide column chat-box-job-price">';
			$message .= '<div class="chat-box-price-job">';
				if ( apply_filters( 'wpj_order_price_filter', true, $resultrow ) ) {
					if ($resultrow->job_price) {
						if($resultrow->job_amount != 1)
							$message .= '<span class="amount-nr">' . $resultrow->job_amount . "<span class='x-sign'> x </span></span>";
						$message .= wpjobster_get_show_price_classic($resultrow->job_price, 1);
						if ( $resultrow->job_type && $resultrow->job_type != 'fixed' ) {
							$message .= ' ' . wpjobster_translate_string( $resultrow->job_type );
						}
					} else {
						if ( $resultrow->job_amount != 1 ) {
							$message .= '<span class="amount-nr">' . $resultrow->job_amount . "<span class='x-sign'> x </span></span>";
						}

						if ( wpj_bool_option( 'wpjobster_replace_zero_with_free' ) ) {
							$message .= __( 'Free', 'wpjobster' );
						} else {
							$message .= wpjobster_get_show_price( $resultrow->job_price );
						}
					}
				}
			$message .= '</div></div></div>';

			$message .= '<ul class="cp-extras">';

			// default extras
			$extran = 'extra_fast';
			$extran_price = 'extra_fast_price';
			$extran_title = __( 'Extra fast delivery', 'wpjobster' );

			if ( $resultrow->$extran != 0 ) {
				if ($resultrow->$extran_price) {
					$message .= '<li>';
					$message .= '<div class="cp-price-extra">';
					if($resultrow->$extran>1)
						$message .= '<span class="amount-nr">' . $resultrow->$extran . ' </span> x ';
					$message .= wpjobster_get_show_price_classic($resultrow->$extran_price, 1) .'</div>';
					$message .= '<div class="cp-title-extra">' .$extran_title. '</div>';
					$message .= '</li>';
				}
			}
			$extran = 'extra_revision';
			$extran_price = 'extra_revision_price';
			$extran_title = __( 'Extra revision', 'wpjobster' );

			if ( $resultrow->$extran != 0 ) {
				if ($resultrow->$extran_price) {
					$message .= '<li>';
					$message .= '<div class="cp-price-extra">';
					if($resultrow->$extran>1)
						$message .= '<span class="amount-nr">' . $resultrow->$extran . '</span> x ';
					$message .= wpjobster_get_show_price_classic($resultrow->$extran_price, 1) .'</div>';
					$message .= '<div class="cp-title-extra">' .$extran_title. '</div>';
					$message .= '</li>';
				}
			}

			for ( $n = 1; $n <= 10; $n++ ) {
				$extran = 'extra' . $n;
				$extran_price = 'extra' . $n . '_price';
				$extran_title = 'extra' . $n . '_title';
				$extran_content = 'extra' . $n . '_content';


				if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
					$extran_content = wpj_apply_filter_to_string( $extran_content, false, 'transactionpages' );
				}

				if ( $resultrow->$extran != 0 ) {
					if ($resultrow->$extran_price) {
						$message .= '<li>';
						$message .= '<div class="cp-price-extra">';
						if($resultrow->$extran>1)
							$message .= '<span class="amount-nr">' . $resultrow->$extran . '</span> x ';
						$message .= wpjobster_get_show_price_classic($resultrow->$extran_price, 1) .'</div>';
						$message .= '<div class="cp-title-extra">' .$resultrow->$extran_title. '</div>';
						ob_start();
						do_action( 'wpj_after_extra_display', $resultrow->pid, $n, 'chatbox' );
						$message .= ob_get_contents();
						ob_end_clean();
						$message .= '</li>';
					} elseif ( get_post_meta( $resultrow->pid, $extran_content, true ) ) {
						$message .= '<li>';
						$message .= '<div class="cp-title-extra">' .get_post_meta($resultrow->pid, $extran_content, true). '</div>';
						$message .= '</li>';
					}
				}
			}

			// show custom extras
			$custom_extras = json_decode($resultrow->custom_extras);
			$total_custom_extras = 0;
			$processing_fees_custom_extras = 0;
			$tax_custom_extras = 0;

			if($custom_extras){
				$i = -1;
				foreach ($custom_extras as $custom_extra){
					$i++;
					if($custom_extra->paid){
						// get order from custom_extras_orders
						global $wpdb;
						$select_extra_ord = "select * from ".$wpdb->prefix."job_custom_extra_orders where order_id='$resultrow->id' and custom_extra_id='$i'";
						$r = $wpdb->get_results($select_extra_ord);
						if($r){
							$custom_extra_ord = $r[0];

							$ce_description = $custom_extra->description;

							if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
								$ce_description = wpj_apply_filter_to_string( $ce_description, false, 'transactionpages' );
							}

							$custom_extra_payment = wpj_get_payment( array(
								'payment_type' => 'custom_extra',
								'payment_type_id' => $custom_extra_ord->id,
							 ) );

							$processing_fees_custom_extras += $custom_extra_payment->fees;
							$tax_custom_extras             += $custom_extra_payment->tax;
							$total_custom_extras           += $custom_extra_payment->amount;

							$message .= '<li>';
							$message .= '<div class="cp-price-extra">' . wpjobster_get_show_price_classic( apply_filters( 'wpj_custom_extra_price_filter', $custom_extra_ord->custom_extra_amount, $custom_extra_ord, $resultrow ), 1 ) .'</div>';
							$message .= '<div class="cp-title-extra">' . apply_filters( 'wpj_custom_extra_string_filter', __( 'Custom extra:', 'wpjobster' ) ) . ' ' . $ce_description;
							$message .= '</div>';
							$message .= '</li>';
						}
					}
				}
			}

			// show tips
			$tips = json_decode($resultrow->tips);
			$total_tips = 0;
			$processing_fees_tips = 0;
			$tax_tips = 0;

			if($tips){
				$i = -1;
				foreach ($tips as $tip){
					$i++;
					if($tip->paid){
						// get order from tips_orders
						global $wpdb;
						$select_tips_ord = "select * from ".$wpdb->prefix."job_tips_orders where order_id='$resultrow->id' and tips_id='$i'";
						$r = $wpdb->get_results($select_tips_ord);
						if($r){
							$tips_ord = $r[0];

							$tips_payment = wpj_get_payment( array(
								'payment_type' => 'tips',
								'payment_type_id' => $tips_ord->id,
							 ) );

							$processing_fees_tips += $tips_payment->fees;
							$tax_tips             += $tips_payment->tax;
							$total_tips           += $tips_payment->amount;

							$reason = $tip->reason;

							if ( get_option( 'wpjobster_enable_filters_for_transaction_page' ) == 'yes' ) {
								$reason = wpj_apply_filter_to_string( $reason, false, 'transactionpages' );
							}

							$message .= '<li>';
							$message .= '<div class="cp-price-extra">' . wpjobster_get_show_price_classic($tips_ord->tips_amount, 1) .'</div>';
							$message .= '<div class="cp-title-extra">' . __( 'Tips:', 'wpjobster' ) . ' ' . $reason;
							$message .= '</div>';
							$message .= '</li>';
						}
					}
				}
			}

			ob_start();
			do_action( 'list_before_shipping_price', 'chat_box', $resultrow );
			$message .= ob_get_contents();
			ob_end_clean();

			// display shipping
			$shipping = get_post_meta($resultrow->pid, 'shipping', true);
			if ( ! empty( $shipping ) ) {
				$message .= '<li>';
				$message .= '<div class="cp-price-extra">' . wpjobster_get_show_price_classic( $shipping, 1 ) .'</div>';
				$message .= '<div class="cp-title-extra">' .__("Shipping:", "wpjobster"). '</div>';
				$message .= '</li>';
			}

			// display processing fees
			$processing_fees = apply_filters( 'wpj_order_processing_fees_price_filter', $resultrow->processing_fees, $resultrow );
			if ( ! is_numeric( $processing_fees ) ) {
				$processing_fees = 0;
			}
			$processing_fees += $processing_fees_custom_extras;
			$processing_fees += $processing_fees_tips;
			if ( $processing_fees > 0 ) {
				$message .= '<li>';
				$message .= '<div class="cp-price-extra">' . wpjobster_get_show_price_classic( $processing_fees, 1 ) .'</div>';
				$message .= '<div class="cp-title-extra">' .__("Processing fees:", "wpjobster"). '</div>';
				$message .= '</li>';
			}

			$total_price_without_tax = $resultrow->mc_gross + $processing_fees + $total_custom_extras + $total_tips;

			ob_start();
			do_action( 'list_before_tax_price', 'chat_box', $resultrow );
			$message .= ob_get_contents();
			ob_end_clean();

			// display tax
			$tax_amount = apply_filters( 'wpj_order_tax_price_filter', $resultrow->tax_amount, $resultrow );
			if ( ! is_numeric( $tax_amount ) ) {
				$tax_amount = 0;
			}
			$tax_amount += $tax_custom_extras;
			$tax_amount += $tax_tips;
			if ( $tax_amount > 0 ) {
				$message .= '<li>';
				$message .= '<div class="cp-price-extra">' . wpjobster_get_show_price_classic( $tax_amount, 1 ) .'</div>';
				$message .= '<div class="cp-title-extra">' .__("Tax:", "wpjobster"). '</div>';
				$message .= '</li>';
			}

			$total_price = $resultrow->mc_gross + $processing_fees + $tax_amount + $total_custom_extras + $total_tips;
			$total_price_without_custom_extra = $total_price - $total_custom_extras - $total_tips - $processing_fees + $resultrow->processing_fees;

			ob_start();
			do_action( 'list_after_tax_price', $total_price_without_custom_extra, 'chat_box', $resultrow->payment_gateway, $resultrow );
			$message .= ob_get_contents();
			ob_end_clean();

			$message .= '</ul>';

			$message .= '<div class="cp-total">';
			$message .= __("Total:", "wpjobster") . ' <strong>' . wpjobster_get_show_price_classic( apply_filters( 'wpj_price_filter', $total_price, $resultrow, 'chat_box' ), 1 );
			$message .= '</strong></div>';

			return array('message'=>wpj_make_links_clickable( $message ),'tax_amount'=>$tax_amount,'processing_fees'=>$processing_fees);

		}

		public function chat_box_buttons(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			}

			$vars2 = $this->chat_box_list_notifications();
			foreach ($vars2 as $key => $value) {
				$$key = $value;
			} ?>

			<script>
				var oid   = "<?php echo $orderid ?>";
				var pid   = "<?php echo $pid ?>";
				var buyer = "<?php echo $buyer ?>";
			</script>

			<?php if ( $uid == $buyer || $uid == $user_info->ID ) {

				// REQUEST MUTUAL CANCELLATION
				if ( $uid == $buyer && $completed != 1 && $closed != 1 && wpj_is_order_time_up( $orderid ) == 1 && $instant != 1 && $request_cancellation_from_buyer != 1 && $request_cancellation_from_seller != 1 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) {
					// -> ORDER CANCELLATION BUTTON
				} else {
					if ( isset( $can_request_closed ) && $can_request_closed == 1 ) {
						if (
							! wpj_order_has_arbitration( $orderid )
							&& ! wpj_get_extended_delivery_by_oid( $orderid, 0 )
							&& $request_cancellation_from_seller == 0
							&& $request_cancellation_from_buyer == 0
							&& $cancellation_count < get_option( 'wpjobster_number_of_cancellations', 0 )
						) { ?>

							<div class="request-cancellation-modal-wrapper">
								<a href="#" onclick="event.preventDefault();" class="open-modal-resolution-center green"><?php _e("Resolution Center", "wpjobster"); ?></a>
								<?php do_action( 'wpj_after_mutual_cancellation_link', $buyer, $orderid ); ?>
							</div>

						<?php }
					}
				}
				// END REQUEST MUTUAL CANCELLATION BUTTON ?>

				<div class="cp-center-button">

					<!-- CURRENT USER - CONTENT - SELLER -->
					<?php if ($uid == $user_info->ID) {

						if ( isset( $can_request_closed ) && $can_request_closed == 1 && $accept_cancellation_request != -1 && $request_cancellation_from_buyer == 1 ) { ?>

							<!-- ACCEPT/DENY CANCELLATION -->
							<div class="cf pr">
								<a class="ui huge positive uppercase button accept_cancellation submit-button" onclick="clickAndDisable(this);"><?php _e('Accept Cancellation','wpjobster') ?></a>  &nbsp;

								<a class="ui huge negative uppercase button deny_cancellation submit-button" onclick="clickAndDisable(this);"><?php _e('Deny Cancellation','wpjobster') ?></a>

								<span style="display: none;" class="chatbox-loading"></span>
							</div>
							<!-- END ACCEPT/DENY CANCELLATION -->

						<?php } elseif ( $closed != 1 && $request_cancellation_from_seller == 1 ) { ?>

							<!-- ABORT CANCELLATION -->
							<a class="ui huge uppercase button abort_mutual_cancelation submit-button" onclick="clickAndDisable(this);"><?php _e("Abort Cancellation", "wpjobster"); ?>
								<span style="display: none;" class="chatbox-loading"></span>
							</a>
							<!-- END ABORT CANCELLATION -->

						<?php } elseif ( $delivered == 0 && $closed != 1 && $request_cancellation_from_buyer != 1 && $request_cancellation_from_seller != 1 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) {

							do_action( 'wpj_before_mark_delivered_button', $orderid );

							$show_deliver_btn = apply_filters( 'wpj_mark_delivered_btn_filter', true );

							if ( $show_deliver_btn ) { ?>

								<!-- MARK AS DELIVERED -->
								<a class="ui huge positive uppercase button mark_delivered submit-button" onclick="clickAndDisable(this);"><?php _e("Mark as Delivered", "wpjobster"); ?>
									<span style="display: none;" class="chatbox-loading"></span>
								</a>
								<!-- END MARK AS DELIVERED -->

							<?php }

						} elseif ( $completed != 1 && $closed != 1 && $request_cancellation_from_buyer != 1 && $request_cancellation_from_seller != 1 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) {

							if ( $completed == -1 ) { ?>

								<!-- DISPUTE -->
								<span class="ui huge disabled uppercase button alwaysdisabled"><?php _e( 'A dispute has been initiated for this order', 'wpjobster' ); ?></span>

							<?php } else { ?>

								<!-- WAITING BUYER TO CONFIRM -->
								<span class="ui huge disabled uppercase button alwaysdisabled"><?php _e( 'Waiting for the buyer to confirm', 'wpjobster' ); ?></span>
								<!-- END WAITING BUYER TO CONFIRM -->

							<?php }

						} elseif ( is_object( $order_arbitration ) && $order_arbitration->buyer_arbitration == 0 && $order_arbitration->seller_arbitration == 0 && $order_arbitration->request_from_seller == 1 ) { ?>

							<!-- ABORT ARBITRATION -->
							<a class="ui huge uppercase button abort_arbitration submit-button" onclick="clickAndDisable(this);"><?php _e( "Abort Arbitration", "wpjobster" ); ?>
								<span style="display: none;" class="chatbox-loading"></span>
							</a>
							<!-- END ABORT ARBITRATION -->

						<?php } elseif ( wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) { ?>

							<!-- ABORT EXTEND DELIVERY -->
							<a class="ui huge uppercase button abort_extend_delivery submit-button" onclick="clickAndDisable( this );"><?php _e( "Abort Extended Delivery Time", "wpjobster" ); ?>
								<span style="display: none;" class="chatbox-loading"></span>
							</a>
							<!-- END ABORT EXTEND DELIVERY -->

						<?php }

					}
					// END CURRENT USER - CONTENT

					// OTHER USER - CONTENT -BUYER
					if ( $uid != $user_info->ID ) {

						if ( isset( $can_request_closed ) && $can_request_closed == 1 && $accept_cancellation_request != -1 && $request_cancellation_from_seller == 1 ) { ?>

							<!-- ACCEPT/DENY CANCELLATION -->
							<div class="cf pr">
								<a class="ui huge positive uppercase button accept_cancellation submit-button" onclick="clickAndDisable(this);"><?php _e('Accept Cancellation','wpjobster') ?></a> &nbsp;

								<a class="ui huge negative uppercase button deny_cancellation submit-button" onclick="clickAndDisable(this);"><?php _e('Deny Cancellation','wpjobster') ?></a>

								<span style="display: none;" class="chatbox-loading"></span>
							</div>
							<!-- END ACCEPT/DENY CANCELLATION -->

						<?php } elseif ( $closed != 1 && $request_cancellation_from_buyer == 1 ) { ?>

							<!-- ABORT CANCELLATION -->
							<a class="ui huge uppercase button abort_mutual_cancelation submit-button" onclick="clickAndDisable(this);"><?php _e("Abort Cancellation", "wpjobster"); ?>
								<span style="display: none;" class="chatbox-loading"></span>
							</a>
							<!-- END ABORT CANCELLATION -->

						<?php } elseif ( $completed == 0 && $done_seller == 1 && $closed != 1 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) { ?>

							<!-- ADD TIPS -->
							<?php
							$wpjobster_tips = get_option( 'wpjobster_tips_enabled' );
							$buyer_level    = $this->chatbox_get_user_tips_status( $uid );
							$seller_level   = $this->chatbox_get_user_tips_status( $user_info->ID );

							if ( $wpjobster_tips != 'no' && $buyer_level != 'no' && $seller_level != 'no' ) { ?>
								<a data-tips="true" data-user="<?php echo $uid; ?>" class="open-modal-tips-chatbox ui huge labeled icon uppercase button" onclick="clickAndDisable(this);">
									<i class="dollar sign icon"></i>
									<?php _e("Tip Seller", "wpjobster"); ?>
								</a> &nbsp;
							<?php } ?>
							<!-- END ADD TIPS -->

							<!-- MARK COMPLETED -->
							<?php
							$mark_completed = true;

							// payment for custom extra with cod
							$custom_extras_arr = wpj_get_custom_extras( $current_order->id );
							if ( $custom_extras_arr ) {
								foreach ( $custom_extras_arr as $key => $ce_value ) {
									if ( $ce_value->payment_gateway_transaction_id == -1 ) {
										$mark_completed = false;
									}
								}
							}

							if ( $mark_completed ) { ?>
								<a class="ui huge positive uppercase button mark_completed submit-button" onclick="clickAndDisable(this);">
									<?php _e("Mark Completed", "wpjobster"); ?>
									<span style="display: none;" class="chatbox-loading"></span>
								</a> &nbsp;
							<?php } ?>
							<!-- END MARK COMPLETED -->

							<!-- REQUEST MODIFICATION -->
							<?php if ( $modification_count < get_option( 'wpjobster_number_of_modifications', 0 ) ) { ?>
								<a href="#" onclick="event.preventDefault();" class="ui huge yellow uppercase button open-modal-request-modifications submit-button" onclick="clickAndDisable(this);"><?php _e('Request Modification', 'wpjobster'); ?></a>
							<?php } ?>

							<!-- END REQUEST MODIFICATION -->

						<?php } elseif ( $delivered != 1 && $closed != 1 && $request_cancellation_from_seller == 0 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) {

							if ( $delivered == -1 ) { ?>

								<!-- DISPUTE -->
								<span class="ui huge disabled uppercase button alwaysdisabled"><?php _e( 'A dispute has been initiated for this order', 'wpjobster' ); ?></span>

							<?php } else { ?>

								<!-- WAITING SELLER TO DELIVER -->
								<div>
									<span class="ui huge disabled uppercase button waiting-seller-deliver"><?php echo apply_filters( 'wpj_seller_deliver_msg_filter', __( 'Waiting for the seller to deliver', 'wpjobster' ), $orderid ); ?></span>
								</div>
								<!-- END WAITING SELLER TO DELIVER -->

							<?php }

						} elseif ( is_object( $order_arbitration ) && $order_arbitration->buyer_arbitration == 0 && $order_arbitration->seller_arbitration == 0 && $order_arbitration->request_from_buyer == 1 ) { ?>

							<!-- ABORT ARBITRATION -->
							<a class="ui huge uppercase button abort_arbitration submit-button" onclick="clickAndDisable(this);"><?php _e( "Abort Arbitration", "wpjobster" ); ?>
								<span style="display: none;" class="chatbox-loading"></span>
							</a>
							<!-- END ABORT ARBITRATION -->

						<?php } elseif ( wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) { ?>

							<!-- ACCEPT/DENY EXTEND DELIVERY -->
							<div class="cf pr">
								<a class="ui huge positive uppercase button accept_extend_delivery submit-button" onclick="clickAndDisable( this );"><?php _e( 'Accept Extended Delivery Time', 'wpjobster' ); ?></a> &nbsp;

								<a class="ui huge negative uppercase button deny_extend_delivery submit-button" onclick="clickAndDisable( this );"><?php _e( 'Deny Extended Delivery Time', 'wpjobster' ); ?></a>

								<span style="display: none;" class="chatbox-loading"></span>
							</div>
							<!-- END ACCEPT/DENY EXTEND DELIVERY -->

						<?php }

						if ( $completed != 1 && $closed != 1 && wpj_is_order_time_up( $orderid ) == 1 && $instant != 1 && $request_cancellation_from_buyer != 1 && $request_cancellation_from_seller != 1 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) {

							if ( apply_filters( 'wpj_cancel_order_btn_filter', true, $orderid ) ) { ?>

								<!-- ORDER CANCELLATION -->
								<a class="ui huge negative uppercase button order_cancellation submit-button" onclick="clickAndDisable(this);">
									<?php echo apply_filters( 'wpj_cancel_order_string_filter', __( "Cancel Order", "wpjobster" ) ); ?>
									<span style="display: none;" class="chatbox-loading"></span>
								</a>
								<!-- END ORDER CANCELLATION -->

							<?php }

						}

					} ?>
					<!-- END OTHER USER - CONTENT -->

				</div>

			<?php }

			return $buyer_given_feedback;

		}

		public function chat_box_send_message_form(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			}
			$order = wpjobster_get_order( $orderid );

			$arbitration = wpj_get_arbitration_details_by_order_id( $orderid );
			$buyer_arbitration = isset( $arbitration->buyer_arbitration ) && $arbitration->buyer_arbitration == 1 ? true : false;
			if ( $completed != 1 && $closed != 1 && $order->force_cancellation != 2 && ! $buyer_arbitration ) {

				if ( $uid != $user_info->ID && $closed != 1 && $delivered != 1 && $request_cancellation_from_seller == 0 && $request_cancellation_from_buyer == 0 && $request_modification == 0 && ! wpj_order_has_arbitration( $orderid ) && ! wpj_get_extended_delivery_by_oid( $orderid, 0 ) ) { ?>
					<div class="w100 center">
						<img src="<?php echo get_template_directory_uri().'/assets/images/arrow-down.png'; ?>" />
					</div>
				<?php } ?>

				<div class="wrapper-pm-errors"></div>

				<div class="ui padded segment cool-message-input<?php if ( get_option( 'wpjobster_transaction_emoji_enable' ) != 'no' ) { echo ' emoji-enabled'; } ?>">
					<form id="chatbox_message_form" method="post" enctype="multipart/form-data" class="ui form">

						<div class="ui grid">
							<div class="eight wide column">
								<div class="cmi-top message-title-chat-box">
									<?php _e('Send a message', 'wpjobster'); ?>
								</div>
							</div>

							<!-- Custom Extra or Add Tips Button -->
							<div class="eight wide column">
								<?php
								// Custom extra
								if ($uid == $user_info->ID && get_option('wpjobster_enable_custom_extras')=='yes'){ ?>
									<div class="right">
										<?php wpj_display_custom_offer_button( 'send', apply_filters( 'wpj_add_custom_extra_string_filter', __( 'Add Custom Extra', 'wpjobster' ) ), $pid, $user_info->ID, $other_uid, 'chatbox', $orderid, true ); ?>
									</div>
								<?php }

								// Tips
								$wpjobster_tips = get_option( 'wpjobster_tips_enabled' );
								$buyer_level    = $this->chatbox_get_user_tips_status( $uid );
								$seller_level   = $this->chatbox_get_user_tips_status( $user_info->ID );

								if ( $uid != $user_info->ID && $wpjobster_tips != 'no' && $buyer_level != 'no' && $seller_level != 'no' ) { ?>
									<div class="right">
										<a data-tips="true" data-user="<?php echo $uid; ?>" class="ui nomargin button open-modal-tips-chatbox"><?php _e( "Tip Seller", "wpjobster" ); ?></a>
									</div>
								<?php } ?>
							</div>
						</div>
						<div class="ui grid">
							<div class="sixteen wide column">
								<input type="hidden" name="action" value="chat_box_send_message_post" />
								<input type="hidden" name="order_id" value="<?php echo $orderid; ?>" />

								<?php $uid_to_send = $uid == $post_a->post_author ? $other_uid : $post_a->post_author;
								wpj_display_quick_response_button( $uid_to_send, 'order' ); ?>

								<textarea class="wpj-grey-textarea chat_box_messages charlimit-message resizevertical cmi-listen message-field" name="messaje"><?php if ( isset( $_POST['messaje'] ) ) echo $_POST['messaje']; ?></textarea>

								<span class="charscounter"> <?php echo __( 'characters left.', 'wpjobster' ); ?></span>

								<div class="ui slider checkbox right mobile-hidden send-message-enter-key mt5">
									<input type="checkbox" id="pm-enter-key"<?php if ( get_user_meta( get_current_user_id(), 'pm_enter_key_enabled', true ) == 1 ) { echo ' checked'; } ?> />
									<label for="pm-enter-key"><?php _e( 'Send message with Enter key', 'wpjobster' ); ?></label>
								</div>
							</div>
						</div>
						<div class="ui grid">
							<div class="eight wide column">
								<?php do_action('wpjobster_add_stuff_to_chat_box_form');
								if ( get_option( 'wpjobster_message_attachments_enable' ) != 'no' ) {
									wpj_display_upload_form(1,"file_upload_chat_box_attachments", "hidden_files_chat_box_attachments", "chat_box");
								} ?>
							</div>
							<div class="eight wide column">
								<button class="ui primary button send-message right" type="submit" onclick="clickAndDisable(this);" name="send-message">
									<?php _e('Send','wpjobster'); ?>
								</button>
							</div>
						</div><!-- end grid -->
					</form>
				</div>
				<?php
			}
		}

		public function chat_box_rating( $deprecated = false ) {
			$vars = $this->chat_box_init(); extract( $vars );

			$buyer_given_feedback = $this->buyer_given_feedback();

			global $wpdb;

			$buyer_info   = get_userdata( $buyer );
			$user_infonew = get_userdata( $user_info->ID );
			$seller_login = wpj_get_user_display_type( $user_infonew->ID );

			if ( $uid != $user_info->ID && isset( $completed ) && $completed == 1 && isset( $done_seller ) && $done_seller == 1 ) { // buyer

				$r = $wpdb->get_results( "SELECT DISTINCT * FROM {$wpdb->prefix}job_ratings WHERE awarded = '0' AND orderid = '{$orderid}' AND uid = '{$user_info->ID}'" );

				$user      = $seller_login;
				$user_type = 'buyer';
				$class     = 'buyer_rating';

			} elseif ( $uid == $user_info->ID && $completed == 1 && $done_seller == 1 && isset( $buyer_given_feedback ) && $buyer_given_feedback == 1 ) { // seller

				$r = $wpdb->get_results( "SELECT DISTINCT * FROM {$wpdb->prefix}job_ratings WHERE awarded = '1' AND orderid = '{$orderid}' AND orderid NOT IN ( SELECT orderid FROM {$wpdb->prefix}job_ratings_by_seller WHERE orderid = '{$orderid}' )" );

				$user      = wpj_get_user_display_type( $buyer_info->ID );
				$user_type = 'seller';
				$class     = 'seller_rating';

			}

			if ( isset( $r ) && count( $r ) > 0 ) {
				$row  = $r[0];
				$post = get_post( $row->pid );
			} else {
				$user      = '';
				$user_type = '';
				$class     = '';
			}

			if ( $user_type ) { ?>

				<div class="cf cb-rating-input">

					<div class="cf cb-message-input green js-review-form" id="post-<?php echo $row->id; ?>">

						<p class="center p0b inelse">
							<?php echo sprintf( __( 'Please rate your experience with %s.', 'wpjobster' ), $user ); ?>
						</p>

						<div class="center p10b">
							<form class="rating" id="rating-<?php echo $row->id; ?>">
								<input type="radio" name="stars" id="5_stars" value="5" >
								<label class="stars" for="5_stars"></label>

								<input type="radio" name="stars" id="4_stars" value="4" >
								<label class="stars" for="4_stars"></label>

								<input type="radio" name="stars" id="3_stars" value="3" >
								<label class="stars" for="3_stars"></label>

								<input type="radio" name="stars" id="2_stars" value="2" >
								<label class="stars" for="2_stars"></label>

								<input type="radio" name="stars" id="1_stars" value="1" required>
								<label class="stars" for="1_stars"></label>
							</form>
						</div>

						<div class="p10b">
							<div class="flex-parent wpj-review-work-sample-wrapper">
								<div>
									<textarea placeholder="<?php _e( 'Help the community by sharing your order experience...', 'wpjobster' ); ?>" class="<?php echo $class; ?> grey_input white" id="reason-<?php echo $row->id; ?>" rows="2"></textarea>
								</div>

								<?php // Review work samples
									wpj_display_work_sample_select( $orderid, $user_type );
								?>

							</div>
						</div>

						<div class="cf center">
							<div class="ui buttons">
								<a href="#" data-user="<?php echo $user_type; ?>" rel="<?php echo $row->id; ?>" class="ui big yellow button submit-user-rating"><?php _e( 'Submit Rating', 'wpjobster' ); ?></a>
							</div>
						</div>
					</div>

				</div>

			<?php }

		}

		public function chat_box_order_pending(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			} ?>

			<div class="chatbox_post cf ui notpadded segment">
				<div class="chatbox_post_content">
					<div class="padding-cnt">
						<?php
						echo $message."<br />";
						_e('Deposit Waiting!', 'wpjobster');
						echo '<br>';
						echo __('Method','wpjobster') .': ' . wpjobster_translate_string($current_order->payment_gateway);
						echo '<br>';
						if ($uid != $user_info->ID) { // if is buyer
							_e('The transaction will start as soon as you complete the payment process.', 'wpjobster');
							do_action( 'transaction_incomplete', $orderid );

							echo '<br>';

							$pid = $row->pid;
							$post = get_post($row->pid);
							if( isset($post->post_status) && $post->post_status == 'publish') {
								?>

								<br />

								<a class="redlink" href='javascript:void(0)' onclick='take_to_gateway_cancel_order( "cancel", "<?php echo $row->id;?>", "<?php echo $row->payment_gateway;?>" )'><?php _e( 'Cancel', 'wpjobster' ); ?></a>

								<?php
								$show_process_link = apply_filters( 'wpj_show_process_link_order_page_filter', true );

								if($row->payment_gateway!='banktransfer' && $show_process_link){ ?>
										| <a class="greenlink" href='javascript:void(0)' onclick='take_to_gateway_cancel_order( "process", "<?php echo $row->id;?>", "<?php echo $row->payment_gateway;?>" )'><?php _e( 'Process', 'wpjobster' ); ?></a>
								<?php } // for every gateway other than banktransfer
							} else {
								echo '<br />';
								_e('This job is not available anymore', 'wpjobster');
							}
						} else {
								_e('The transaction will start as soon as the buyer pays.', 'wpjobster');
								echo '<br>';
						} ?>
					</div>
				</div>
			</div>
			<div class="ui hidden divider"></div>
		<?php }

		public function chat_box_order_complete(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			}

			do_action( 'wpj_order_completed', $orderid );

			if ($uid == $user_info->ID) { //seller here
				$other_uid_data = get_userdata($other_uid); ?>
				<p class="center p0b"><?php echo sprintf(__("This order is complete. Click %s to contact the buyer",'wpjobster'), '<a href="'.$privurl_m.'username='.$other_uid_data->user_login.'">'.__("here","wpjobster").'</a>'); ?></p>
			<?php } else { //buyer here ?>
				<p class="center p0b"><?php echo sprintf(__("This order is complete. Click %s to contact the seller",'wpjobster'), '<a href="'.$privurl_m.'username='.$user_info->user_login.'">'.__("here","wpjobster").'</a>'); ?></p>
			<?php }
		}

		public function chat_box_order_failed(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			} ?>

			<div class="chatbox_post cf ui notpadded segment">
				<div class="chatbox_post_content">
					<div class="padding-cnt">
						<?php echo $message."<br />"; ?>
						<?php _e('Failed!', 'wpjobster'); ?><br>
						<?php echo __('Method','wpjobster') .': ' . wpjobster_translate_string($current_order->payment_gateway); ?><br>
					</div>
				</div>
			</div>

			<div class="ui divider hidden"></div>

		<?php }

		public function chat_box_order_processing(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			} ?>

			<div class="chatbox_post cf ui notpadded segment">
				<div class="chatbox_post_content">
					<div class="padding-cnt">
						<?php echo $message."<br />"; ?>
						<?php _e('Processing!', 'wpjobster'); ?><br>
						<?php echo __('Method','wpjobster') .': ' . wpjobster_translate_string($current_order->payment_gateway); ?><br>
					</div>
				</div>
			</div>

			<div class="ui divider hidden"></div>

		<?php }

		public function chat_box_order_cancelled(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			} ?>

			<div class="chatbox_post cf ui notpadded segment">
				<div class="chatbox_post_content">
					<div class="padding-cnt"><?php echo $message; ?></div>
				</div>
			</div>

			<?php $cancel_arr = wpj_get_order_cancellation_message( $row ); ?>

			<div class="chatbox_post cf ui notpadded segment">
				<div class="chatbox_post_content">
					<div class="job_post_left red">
						<img width="50" height="50" src="<?php echo get_template_directory_uri() . '/assets/images/declined.png'; ?>" class="round-avatar" />
					</div>

					<div class="job_post_right">

						<div><?php echo $cancel_arr['message']; ?></div>

						<?php do_action( 'wpj_gateway_transaction_cancelled_message', $orderid, 'job_purchase'  );

						if ( $cancel_arr['reason'] ) { ?>
							<div><?php echo sprintf( __( 'Reason: %s', 'wpjobster' ), $cancel_arr['reason'] ); ?></div>
						<?php } ?>

						<div><?php echo sprintf( __( 'Method: %s', 'wpjobster' ), wpjobster_translate_string( $current_order->payment_gateway ) ); ?></div>

						<?php if ( strtolower( $current_order->payment_gateway ) == 'paypal' ) { ?>

							<div><i><?php echo sprintf( __( 'If you didn\'t cancel your order and still view the order as canceled, wait a few minutes until we receive the response from %s and mark the order as paid.', 'wpjobster' ), wpjobster_translate_string( $current_order->payment_gateway ) ); ?></i></div>

						<?php } ?>

					</div>
				</div>
			</div>

			<div class="ui divider hidden"></div>

		<?php }

		public function chat_box_order_general(){
			$vars = $this->chat_box_init();
			foreach ($vars as $key => $value) {
				$$key = $value;
			} ?>

			<div class="chatbox_post cf ui notpadded segment">
				<div class="chatbox_post_content">
					<div class="padding-cnt">
						<?php
						echo $message."<br />";
						echo __( 'Order', 'wpjobster' ) . ' ' . wpjobster_translate_string( $current_order->payment_status ) . ' !';
						echo '<br>';
						echo __('Method','wpjobster') .': ' . wpjobster_translate_string($current_order->payment_gateway); ?><br>
					</div>
				</div>
			</div>

			<div class="ui divider hidden"></div>

		<?php }

		public function chatbox_get_user_tips_status( $uid ) {
			return wpj_get_user_feature_value( 'tips', 'tips', 'no', $uid );
		}

		public function buyer_given_feedback() {
			$orderid      = $this->orderid;
			global $wpdb;

			$buyer_feedback = $wpdb->get_results( $wpdb->prepare(
				"
				SELECT DISTINCT *
				FROM {$wpdb->prefix}job_chatbox
				WHERE oid = %d
				AND uid = '-18'
				ORDER BY id ASC
				",
				$orderid
			) );

			if ( count( $buyer_feedback ) ) {
				$buyer_given_feedback = 1;
			} else {
				$buyer_given_feedback = 0;
			}

			return $buyer_given_feedback;
		}
	} /* END CHATBOX CLASS */
} /* END CHATBOX CLASS IF EXISTS STATEMENT */

/* CHATBOX AJAX FUNCTIONS */

// AJAX Send Message System
add_action( 'wp_ajax_chat_box_send_message_post', 'chat_box_send_message_post' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_chat_box_send_message_post', 'chat_box_send_message_post' ); // ajax for not logged in users
function chat_box_send_message_post(){
	$chat_box = new WPJobsterChatBox( $_POST['order_id'], 'chat_box' );

	$vars = $chat_box->chat_box_init();
	foreach ($vars as $key => $value) {
		$$key = $value;
	}

	$wpjobster_characters_message_max = get_option("wpjobster_characters_message_max");
	$wpjobster_characters_message_max = (empty($wpjobster_characters_message_max)|| $wpjobster_characters_message_max==0)?1200:$wpjobster_characters_message_max;
	$wpjobster_characters_message_min = get_option("wpjobster_characters_message_min");
	$wpjobster_characters_message_min = (empty($wpjobster_characters_message_min))?0:$wpjobster_characters_message_min;

	$messaje = trim(nl2br(strip_tags(htmlspecialchars(wpj_encode_emoji($_POST['messaje'])))));
	$datemade = current_time('timestamp', 1);

	global $wpdb;
	$pref = $wpdb->prefix;
	$msg2 = get_parsed_countable_string($_POST['messaje']);

	// attach files
	$attachment = $_POST['hidden_files_chat_box_attachments'] ? $_POST['hidden_files_chat_box_attachments'] : '';
	if ( ! is_demo_user() ) {
		$wpdb->query( "INSERT INTO {$pref}job_chatbox (datemade, uid, oid, content, attachment) VALUES('$datemade','$uid','$orderid','$messaje', '$attachment')" );
		$this_message = $wpdb->insert_id;

		$attachments = explode( ',', $attachment );
		wpj_save_attachemtns( $attachments, $this_message, 'message_id', 'new', 'post' );
	}

	$uid_to_send = $uid == $post_a->post_author ? $other_uid : $post_a->post_author;

	$user_data = get_userdata( get_current_user_id() );

	if ( ! is_demo_user() ) {
		if ( is_super_admin( $uid ) && $uid != $other_uid && $uid != $post_a->post_author ) {
			wpj_update_user_notifications( $other_uid, 'notifications', +1, $this_message );

			wpj_notify_user_translated( 'order_message', $other_uid, array(
				'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
				'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
				'##transaction_page_link##' => wpj_get_order_link( $orderid ),
				'##job_name##'              => $post_a->post_title,
				'##job_link##'              => urldecode( get_permalink( $pid ) )
			) );
		}

		wpj_update_user_notifications( $uid_to_send, 'notifications', +1, $this_message );

		wpj_notify_user_translated( 'order_message', $uid_to_send, array(
			'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
			'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
			'##transaction_page_link##' => wpj_get_order_link( $orderid ),
			'##job_name##'              => $post_a->post_title,
			'##job_link##'              => urldecode( get_permalink( $pid ) )
		) );
	}

	wp_die();
}

// AJAX Cancel Custom Extra
add_action( 'wp_ajax_chat_box_cancel_custom_extra', 'chat_box_cancel_custom_extra' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_chat_box_cancel_custom_extra', 'chat_box_cancel_custom_extra' ); // ajax for not logged in users
function chat_box_cancel_custom_extra(){
	$chat_box = new WPJobsterChatBox( $_POST['order_id'], 'chat_box' );

	$vars = $chat_box->chat_box_init();
	foreach ($vars as $key => $value) {
		$$key = $value;
	}

	if (isset($_POST['cancel_custom_extra'] ) && $_POST['cancel_custom_extra'] == 1 && isset($_POST['custom_extra']) && $uid!=$current_order->uid) {
		$ind = $_POST['custom_extra'];
		$custom_extras = json_decode($current_order->custom_extras);
		if($custom_extras[$ind]->cancelled == false && $custom_extras[$ind]->declined == false && $custom_extras[$ind]->paid == false && $completed != 1 && $closed != 1){
			// check if payment is pending
			$q = "select * from ".$wpdb->prefix."job_custom_extra_orders where order_id='".$current_order->id."' and custom_extra_id='".$ind."'";
			$r = $wpdb->get_results($q);
			if( ! isset( $r[0] ) && ! $r[0] ) {
				$current_custom_extra_arr = wpj_get_custom_extra( $current_order->id, $ind );

				$custom_extras[ $ind ]->cancelled = true;
				wpjobster_update_order_meta( $current_order->id, 'custom_extras', json_encode( $custom_extras ) );

				$user_data = get_userdata( get_current_user_id() );

				wpj_notify_user_translated( apply_filters( 'wpj_cancel_custom_extra_reason_filter', 'cancel_custom_extra', $orderid ), $current_order->uid, array(
					'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
					'##transaction_number##'    => wpjobster_camouflage_order_id( $current_order->id, $current_order->date_made ),
					'##transaction_page_link##' => wpj_get_order_link( $current_order->id ),
					'##job_name##'              => $current_order->job_title,
					'##job_link##'              => urldecode( get_permalink( $current_order->pid ) )
				) );

				$pref     = $wpdb->prefix;
				$datemade = current_time( 'timestamp', 1 );
				$g1       = "insert into " . $pref . "job_chatbox (datemade, uid, oid, content) values('$datemade','-32','$current_order->id','$ind')";
				$wpdb->query( $g1 );

				$this_notification = $wpdb->insert_id;
				wpj_update_user_notifications( $current_order->uid, 'notifications', +1, $this_notification );
			}
		}
	}

	wp_die();
}

// AJAX Deny Custom Extra
add_action( 'wp_ajax_chat_box_deny_custom_extra', 'chat_box_deny_custom_extra' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_chat_box_deny_custom_extra', 'chat_box_deny_custom_extra' ); // ajax for not logged in users
function chat_box_deny_custom_extra(){
	$chat_box = new WPJobsterChatBox( $_POST['order_id'], 'chat_box' );

	$vars = $chat_box->chat_box_init();
	foreach ($vars as $key => $value) {
		$$key = $value;
	}

	if (isset($_POST['decline_custom_extra'] ) && $_POST['decline_custom_extra'] == 1 && isset($_POST['custom_extra']) && $uid==$current_order->uid) {
		$ind = $_POST['custom_extra'];
		$custom_extras = json_decode($current_order->custom_extras);
		$current_custom_extra_arr = wpj_get_custom_extra( $current_order->id, $ind );

		if($custom_extras[$ind]->declined == false && $custom_extras[$ind]->declined == false && $custom_extras[$ind]->paid == false && $completed != 1 && $closed != 1){
			$custom_extras[$ind]->declined = true;
			wpjobster_update_order_meta($current_order->id, 'custom_extras', json_encode($custom_extras));

			wpj_notify_user_translated( apply_filters( 'wpj_decline_custom_extra_reason_filter', 'decline_custom_extra', $orderid ), $post_a->post_author, array(
				'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
				'##transaction_number##'    => wpjobster_camouflage_order_id( $current_order->id, $current_order->date_made ),
				'##transaction_page_link##' => wpj_get_order_link( $current_order->id ),
				'##job_name##'              => $current_order->job_title,
				'##job_link##'              => urldecode( get_permalink( $current_order->pid ) )
			) );

			$pref = $wpdb->prefix;
			$datemade = current_time( 'timestamp', 1 );
			$g1 = "insert into " . $pref . "job_chatbox (datemade, uid, oid, content) values('$datemade','-33','$current_order->id','$ind')";
			$wpdb->query($g1);

			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( $post_a->post_author, 'notifications', +1, $this_notification );
		}
	}

	wp_die();
}

// AJAX Mark Custom Extra as Paid
add_action( 'wp_ajax_chat_box_mark_paid_custom_extra', 'chat_box_mark_paid_custom_extra' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_chat_box_mark_paid_custom_extra', 'chat_box_mark_paid_custom_extra' ); // ajax for not logged in users
function chat_box_mark_paid_custom_extra(){
	$chat_box = new WPJobsterChatBox( $_POST['order_id'], 'chat_box' );

	$vars = $chat_box->chat_box_init();
	foreach ($vars as $key => $value) {
		$$key = $value;
	}

	if (isset($_POST['mark_custom_extra_paid'] ) && $_POST['mark_custom_extra_paid'] == 1 && isset($_POST['custom_extra']) && $uid == $user_info->ID) {
		$ind = $_POST['custom_extra'];

		$custom_extra_arr = wpj_get_custom_extra( $current_order->id, $ind );
		if ( $custom_extra_arr ) {
			if ( $custom_extra_arr->payment_gateway_name == 'cod' && $custom_extra_arr->payment_gateway_transaction_id == '-1' ) {
				global $wpdb;

				$query = "
					UPDATE {$wpdb->prefix}job_custom_extra_orders
					SET payment_gateway_transaction_id = ''
					WHERE order_id = {$_POST['order_id']}
						AND custom_extra_id = {$ind}
				";
				$wpdb->query( $query );
			}
		}
	}

	wp_die();
}

// AJAX Cancel Tips
add_action( 'wp_ajax_chat_box_cancel_tips', 'chat_box_cancel_tips' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_chat_box_cancel_tips', 'chat_box_cancel_tips' ); // ajax for not logged in users
function chat_box_cancel_tips(){
	global $wpdb;

	$current_order = wpjobster_get_order( $_POST['order_id'] );
	$uid = get_current_user_id();

	if ( isset( $_POST['cancel_tips'] ) && $_POST['cancel_tips'] == 1 && isset( $_POST['tips'] ) && $uid == $current_order->uid ) {
		$ind = $_POST['tips'];
		$tips = json_decode( $current_order->tips );
		if ( $tips[$ind]->cancelled == false && $tips[$ind]->paid == false ) {
			$q = "SELECT * FROM {$wpdb->prefix}job_tips_orders WHERE order_id = {$current_order->id} AND tips_id = {$ind}";
			$r = $wpdb->get_results( $q );
			if ( ( ! isset( $r[0] ) && ! $r[0] ) || $r[0]->payment_gateway_name == 'banktransfer' ) {
				$tips[$ind]->cancelled = true;
				wpjobster_update_order_meta( $current_order->id, 'tips', json_encode( $tips ) );

				wpj_notify_user_translated( 'cancel_tips', $current_order->uid, array( '##transaction_page_link##' => wpj_get_order_link( $current_order->id ) ) );

				$datemade = current_time( 'timestamp', 1 );

				$wpdb->query( "INSERT INTO {$wpdb->prefix}job_chatbox (datemade, uid, oid, content) VALUES('{$datemade}', '-38', {$current_order->id}, {$ind})" );

				$wpdb->query( "UPDATE {$wpdb->prefix}job_tips_orders SET payment_status = 'cancelled' WHERE order_id = {$current_order->id} AND tips_id = {$ind}" );
			}
		}
	}

	wp_die();
}

/* END CHATBOX AJAX FUNCTIONS */
