<?php
//--------------------------------
// (c) WPJobster - List User Jobs
//--------------------------------
function wpj_get_job_card_style() {
	if ( get_theme_mod( 'cards_style' ) == '2' ) {
		$style = 'wpj_get_user_post_tumb_card_2';
	} elseif ( get_theme_mod( 'cards_style' ) == '3' ) {
		$style = 'wpj_get_user_post_tumb_card_3';
	} else {
		$style = 'wpj_get_user_post_tumb_card';
	}

	return apply_filters( 'wpj_get_job_card_style', $style );
}

function wpj_display_job_card_rating( $pid ) {
	if ( get_theme_mod( 'enable_rating_count_cards' ) == 'yes' ) {
		$ratinggrade = wpjobster_get_job_rating( $pid );
		$ratinggrade = $ratinggrade / 20;

		$rating_count = get_option( 'wpjobster_job_min_rating' );
		$rating_count = $rating_count && is_numeric( $rating_count ) ? $rating_count : 3; ?>

		<div class="wpj-star-rating-static-single">

			<i class="star icon static"></i>

			<?php if ( $ratinggrade != 0 && wpjobster_get_job_ratings_number( $pid ) >= $rating_count ) { ?>

				<span class="wpj-star-text-style"><strong><?php echo number_format( wpjobster_get_job_avg_rating( $pid ), 1 ); ?></strong></span>
				<span class="meta">(<?php echo wpjobster_get_job_ratings_number( $pid ); ?>)</span>

			<?php } else { ?>

				<span class="wpj-star-text-style"><strong>0</strong></span>
				<span class="meta">(<?php echo wpjobster_get_job_ratings_number( $pid ); ?>)</span>

			<?php } ?>

		</div>

	<?php }
}

if (!function_exists('wpj_get_user_post_tumb_card')) {
function wpj_get_user_post_tumb_card( $post = '' ) {

	if ( ! $post ) { global $post; }

	$pid = $post->ID;

	$img = wpjobster_get_job_image( $pid );

	$job_price = get_post_meta( $pid, 'price', true );
	$job_price_display = wpjobster_get_show_price( $job_price, 2, true );

	$usr = get_userdata( $post->post_author );
	$userdata = get_userdata( $post->post_author );

	$enable_distance = wpj_bool_option( 'wpjobster_html5_geolocation_enable' );
	$enable_lets_meet = wpj_bool_option( 'wpjobster_lets_meet' );
	$video_thumbnails = get_theme_mod( 'enable_video_icon_cards' );
	$enable_instant_delivery = wpj_bool_option( 'wpjobster_enable_instant_deli' );

	$lets_meet = get_post_meta( $pid, 'lets_meet', true );
	$video_link = get_post_meta( $pid, 'video_link', true );
	$instant = get_post_meta( $pid, "instant", true );

	$home_featured_now = get_post_meta( $pid, 'home_featured_now', true );
	$category_featured_now = get_post_meta( $pid, 'category_featured_now', true );
	$subcategory_featured_now = get_post_meta( $pid, 'subcategory_featured_now', true );
	$job_is_featured = ( $home_featured_now != 'z' || $category_featured_now != 'z' || $subcategory_featured_now != 'z' ) ? true : false;

	$postthumb_cnt_classes = '';
	$postthumb_cnt_classes .= ( $home_featured_now != 'z' ) ? ' featured_home ' : '';
	$postthumb_cnt_classes .= ( $category_featured_now != 'z' ) ? ' featured_category ' : '';
	$postthumb_cnt_classes .= ( $subcategory_featured_now != 'z' ) ? ' featured_subcategory ' : '';
	$postthumb_cnt_classes .= ( $video_thumbnails = 'yes' && wpj_multidimensional_array_has_value( $video_link ) ) ? ' video_thumbnail ' : ''; ?>

	<div class="ui card wpj-card-style-1 overflow-hidden <?php echo $postthumb_cnt_classes; ?>">
		<div class="content card-pusher-master list-70-right">
			<a class="card-username" href="<?php echo wpj_get_user_profile_link( $userdata->user_login ); ?>">
				<img alt="avatar" class="ui wpj-small avatar image" src="<?php echo wpjobster_get_avatar( $userdata->ID, 28, 28 ); ?>">
				<?php echo wpjobster_better_trim( wpj_get_user_display_type( $userdata->ID ), 22 ); ?>
			</a>
			<div class="card-rating meta">
				<?php wpj_display_job_card_rating( $pid ); ?>
			</div>
		</div>

		<a class="image card-pusher-slave" href="<?php the_permalink( $pid ); ?>">
			<div class="card-image-clipper">
				<div class="card-image-helper">
					<img class="card-blurry-bg" src="<?php echo $img; ?>" alt="<?php the_title( $pid ); ?>" />
					<img class="my_image" src="<?php echo $img; ?>" alt="<?php the_title( $pid ); ?>" />
				</div>
			</div>
		</a>

		<div class="content card-pusher-cover list-70-right relative">
			<!-- Distance -->
			<?php if ( $enable_distance && ( $distance = wpj_get_distance_to( 'post', $pid ) ) ) { ?>
				<div class="ui small horizontal label right z-index-bigger wpj-distance-label">
					<?php echo $distance; ?>
				</div>
			<?php } ?>

			<a class="header" href="<?php the_permalink( $pid ); ?>">
				<?php echo wpjobster_better_trim( $post->post_title, 65 ); ?>
			</a>
			<div class="description visible-on-list" style="display: none;">
				<?php echo wpjobster_better_trim( wpj_apply_filter_to_string( wp_strip_all_tags( $post->post_content, true ), false, 'joblistings' ), 200 ); ?>

			</div>
		</div>

		<div class="extra content list-70-right">
			<?php if ( $job_is_featured ) { ?>
				<div class="featured-job card-old-icon">
					<div class="featured-icon" data-tooltip="<?php _e( "Featured", "wpjobster" ); ?>" data-position="top left" data-inverted="">
						<?php if ( get_theme_mod( 'featured_simple_icon_options_job' ) ) { ?>
							<img src="<?php echo get_theme_mod( 'featured_simple_icon_options_job' ); ?>" alt="featured">
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri() . '/assets/images/circle-featured.png'; ?>" alt="featured">
						<?php } ?>
					</div>
				</div>
			<?php } ?>

			<?php if ( $enable_lets_meet && $lets_meet ) { ?>
				<div class="lets-meet card-old-icon">
					<div class="lets-meet-icon" data-tooltip="<?php _ex( "Let's meet", "Job Section", "wpjobster" ); ?>" data-position="top left" data-inverted="">
						<?php if ( get_theme_mod( 'lets_meet_simple_icon_options_job' ) ) { ?>
							<img src="<?php echo get_theme_mod( 'lets_meet_simple_icon_options_job' ); ?>" alt="lets-meet">
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri() . '/assets/images/shake-icon.png'; ?>" alt="lets-meet">
						<?php } ?>
					</div>
				</div>
			<?php } ?>

			<?php if ( $enable_instant_delivery && $instant ) { ?>
				<div class="instant-job card-old-icon">
					<div class="instant-icon" data-tooltip="<?php _e( "Instant", "wpjobster" ); ?>" data-position="top left" data-inverted="">
						<?php if ( get_theme_mod( 'instant_delivery_simple_icon_options_job' ) ) { ?>
							<img src="<?php echo get_theme_mod( 'instant_delivery_simple_icon_options_job' ); ?>" alt="instant">
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri() . '/assets/images/circle-instant.png'; ?>" alt="instant">
						<?php } ?>
					</div>
				</div>
			<?php }

			if( get_option( 'wpjobster_user_level_for_thumbnails' ) == 'yes' ){
				if ( wpjobster_get_user_level( $post->post_author ) == 1 ) { ?>
					<div class="top-user-badge card-old-icon">
						<div class="top-user-badge-icon" data-tooltip="<?php _e( "Rookie Seller", "wpjobster"); ?>" data-position="top left" data-inverted="">
							<?php if ( get_theme_mod('level1_card_icon_options_user' ) ) { ?>
								<img src="<?php echo get_theme_mod( 'level1_card_icon_options_user' ); ?>" alt="user-badge">
							<?php } else { ?>
								<img src="<?php echo get_template_directory_uri() . '/assets/images/top-user-badge-icon-lvl1.png'; ?>" alt="user-badge-server">
							<?php } ?>
						</div>
					</div>
				<?php }

				if ( wpjobster_get_user_level( $post->post_author ) == 2 ) { ?>
					<div class="top-user-badge card-old-icon">
						<div class="top-user-badge-icon" data-tooltip="<?php _e( "Master Seller", "wpjobster"); ?>" data-position="top left" data-inverted="">
							<?php if ( get_theme_mod('level2_card_icon_options_user' ) ) { ?>
								<img src="<?php echo get_theme_mod( 'level2_card_icon_options_user' ); ?>" alt="user-badge">
							<?php } else { ?>
								<img src="<?php echo get_template_directory_uri() . '/assets/images/top-user-badge-icon-lvl2.png'; ?>" alt="user-badge-server">
							<?php } ?>
						</div>
					</div>
				<?php }
			}

			if ( wpjobster_get_user_level( $post->post_author ) == 3 ) { ?>
				<div class="top-user-badge card-old-icon">
					<div class="top-user-badge-icon" data-tooltip="<?php _e( "Top Rated Seller", "wpjobster"); ?>" data-position="top left" data-inverted="">
						<?php if ( get_theme_mod('level3_card_icon_options_user' ) ) { ?>
							<img src="<?php echo get_theme_mod( 'level3_card_icon_options_user' ); ?>" alt="user-badge">
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri() . '/assets/images/top-user-badge-icon-lvl3.png'; ?>" alt="user-badge-server">
						<?php } ?>
					</div>
				</div>
			<?php } ?>

			<div class="right floated meta">
				<span class="card-job-price">
					<?php
					$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );
					$packages           = get_post_meta( $pid, 'job_packages', true );
					$package_price      = get_post_meta( $pid, 'package_price', true );

					if ( $wpjobster_packages == 'yes' && $packages == 'yes' && $package_price ) {
						$package_price = array_diff( $package_price, array( null ) );
						echo '<span class="small-job">' . __( 'Starting at', 'wpjobster' ) . ' </span>' . wpjobster_get_show_price( min( $package_price ) );
					} elseif ( get_post_meta( $pid, 'price_type', true ) ) {
						echo '<span class="small-job">' . apply_filters( 'wpj_price_type_filter', sprintf( __( '%s Rate', 'wpjobster' ), wpjobster_translate_string( get_post_meta( $pid, 'price_type', true ) ) ), $pid ) . ' </span>' . $job_price_display;
					} else {
						echo $job_price_display;
					} ?>
				</span>
			</div>
		</div>
	</div>
<?php }
}

if ( ! function_exists( 'wpj_get_user_post_tumb_card_2' ) ) {
	function wpj_get_user_post_tumb_card_2( $post = '' ) {

		if ( ! $post ) { global $post; }

		$pid = $post->ID;

		$img = wpjobster_get_job_image( $pid );

		$job_price = get_post_meta( $pid, 'price', true );
		$job_price_display = wpjobster_get_show_price( $job_price, 2, true );

		$usr = get_userdata( $post->post_author );
		$userdata = get_userdata( $post->post_author );

		$enable_distance = wpj_bool_option( 'wpjobster_html5_geolocation_enable' );
		$enable_lets_meet = wpj_bool_option( 'wpjobster_lets_meet' );
		$video_thumbnails = get_theme_mod( 'enable_video_icon_cards' );
		$enable_instant_delivery = wpj_bool_option( 'wpjobster_enable_instant_deli' );

		$lets_meet = get_post_meta( $pid, 'lets_meet', true );
		$location_display = get_post_meta( $pid, 'location_input', true );
		$location_display = $location_display ? ' - ' . $location_display : '';
		$video_link = get_post_meta( $pid, 'video_link', true );
		$instant = get_post_meta( $pid, "instant", true );

		$home_featured_now = get_post_meta( $pid, 'home_featured_now', true );
		$category_featured_now = get_post_meta( $pid, 'category_featured_now', true );
		$subcategory_featured_now = get_post_meta( $pid, 'subcategory_featured_now', true );
		$job_is_featured = ( $home_featured_now != 'z' || $category_featured_now != 'z' || $subcategory_featured_now != 'z' ) ? true : false;

		$postthumb_cnt_classes = '';
		$postthumb_cnt_classes .= ( $video_thumbnails == 'yes' && wpj_multidimensional_array_has_value( $video_link ) ) ? ' video_thumbnail ' : '';
		?>

		<!-- Job Card -->
		<div class="ui card wpj-card-style-2 <?php echo $postthumb_cnt_classes; ?>">

			<!-- Job Image -->
			<a class="image" href="<?php the_permalink( $pid ); ?>">
				<div class="card-image-clipper">
					<div class="card-image-helper">
						<img class="card-blurry-bg" src="<?php echo $img; ?>" alt="<?php the_title( $pid ); ?>" />
						<img class="my_image" src="<?php echo $img; ?>" alt="<?php the_title( $pid ); ?>" />
					</div>
				</div>

				<!-- Top Icons -->
				<div class="card-image-icons top">
					<!-- Featured -->
					<?php if ( $job_is_featured ) { ?>
						<span class="ui mini pink label uppercase"><?php echo __( 'Featured', 'wpjobster' ); ?></span>
					<?php } ?>
				</div>

				<!-- Bottom Icons -->
				<div class="card-image-icons bottom text-right">

					<!-- Distance -->
					<?php if ( $enable_distance && ( $distance = wpj_get_distance_to( 'post', $pid ) ) ) { ?>
							<div class="ui small horizontal label di z-index-bigger wpj-distance-label">
								<?php echo $distance; ?>
							</div>
					<?php } ?>

					<!-- Let's Meet -->
					<?php if ( $enable_lets_meet && $lets_meet ) { ?>
						<div class="di z-index-bigger" data-inverted="" data-tooltip="<?php echo _x( 'Let\'s meet', 'Job Section', 'wpjobster' ) . $location_display; ?>" data-position="top right">
							<?php if ( get_theme_mod( 'lets_meet_rich_icon_options_job' ) ) { ?>
								<i class="small circular inverted bordered <?php echo get_theme_mod( 'lets_meet_rich_icon_options_job' ); ?> icon"></i>
							<?php } else { ?>
								<i class="small circular inverted bordered blue map marker icon"></i>
							<?php } ?>
						</div>
					<?php } ?>

					<!-- Instant Delivery -->
					<?php if ( $enable_instant_delivery && $instant ) { ?>
						<div class="di z-index-bigger" data-inverted="" data-tooltip="<?php echo __( 'Instant Delivery', 'wpjobster' ); ?>" data-position="top right">
							<?php if ( get_theme_mod( 'instant_delivery_rich_icon_options_job' ) ) { ?>
								<i class="small circular inverted bordered <?php echo get_theme_mod( 'instant_delivery_rich_icon_options_job' ); ?> icon"></i>
							<?php } else { ?>
								<i class="small circular inverted bordered green arrow circle down icon"></i>
							<?php } ?>
						</div>
					<?php } ?>
				</div>
			</a>

			<!-- Title -->
			<div class="content wpj-small list-70-right">
				<a class="list-header" href="<?php the_permalink( $pid ); ?>" title="">
					<?php echo wpjobster_better_trim( $post->post_title, 65 ); ?>
				</a>
				<div class="description visible-on-list" style="display: none;">
					<?php echo wpjobster_better_trim( wpj_apply_filter_to_string( wp_strip_all_tags( $post->post_content, true ), false, 'joblistings' ), 200 ); ?>
				</div>
			</div>

			<!-- User, Rating, Price -->
			<div class="content wpj-small flex-parent list-70-right">

				<!-- Avatar -->
				<div class="flex-slave text-vertical-center">
					<a class="ui wpj-big avatar image" href="<?php echo wpj_get_user_profile_link( $userdata->user_login ); ?>">

						<img src="<?php echo wpjobster_get_avatar( $userdata->ID, 28, 28 ); ?>" alt="">

						<?php if( get_option( 'wpjobster_user_level_for_thumbnails' ) == 'yes' ){ ?>
							<?php if ( wpjobster_get_user_level( $post->post_author ) == 1 ) { ?>
								<span class="avatar-badge" data-tooltip="<?php _e( 'Rookie Seller', 'wpjobster' ); ?>" data-position="top left" data-inverted="">
									<?php if ( get_theme_mod( 'level1_card_icon_options_user' ) ) { ?>
										<img src="<?php echo get_theme_mod( 'level1_card_icon_options_user' ); ?>" alt="user-badge">
									<?php } else { ?>
										<img src="<?php echo get_template_directory_uri() . '/assets/images/top-user-badge-icon-lvl1.png'; ?>" alt="user-badge-server">
									<?php } ?>
								</span>
							<?php } elseif ( wpjobster_get_user_level( $post->post_author ) == 2 ) { ?>
								<span class="avatar-badge" data-tooltip="<?php _e( 'Master Seller', 'wpjobster' ); ?>" data-position="top left" data-inverted="">
									<?php if ( get_theme_mod('level2_card_icon_options_user' ) ) { ?>
										<img src="<?php echo get_theme_mod( 'level2_card_icon_options_user' ); ?>" alt="user-badge">
									<?php } else { ?>
										<img src="<?php echo get_template_directory_uri() . '/assets/images/top-user-badge-icon-lvl2.png'; ?>" alt="user-badge-server">
									<?php } ?>
								</span>
							<?php } ?>
						<?php } ?>

						<?php if ( wpjobster_get_user_level( $post->post_author ) == 3 ) { ?>
							<span class="avatar-badge" data-tooltip="<?php _e( 'Top Rated Seller', 'wpjobster' ); ?>" data-position="top left" data-inverted="">
								<?php if ( get_theme_mod('level3_card_icon_options_user' ) ) { ?>
									<img src="<?php echo get_theme_mod( 'level3_card_icon_options_user' ); ?>" alt="user-badge">
								<?php } else { ?>
									<img src="<?php echo get_template_directory_uri() . '/assets/images/top-user-badge-icon-lvl3.png'; ?>" alt="user-badge-server">
								<?php } ?>
							</span>
						<?php } ?>
					</a>

				</div>

				<!-- Name, Rating -->
				<div class="flex-slave ellipsis text-vertical-center">
					<div class="name ellipsis">
						<a href="<?php echo wpj_get_user_profile_link( $userdata->user_login ); ?>"><strong>
							<?php echo wpjobster_better_trim( wpj_get_user_display_type( $userdata->ID ), 22 ); ?>
						</strong></a>
					</div>

					<?php wpj_display_job_card_rating( $pid ); ?>
				</div>

				<!-- Price -->
				<div class="flex-master card-job-price text-right text-vertical-center">
					<?php
					$wpjobster_packages = get_option( 'wpjobster_packages_enabled' );
					$packages           = get_post_meta( $pid, 'job_packages', true );
					$package_price      = get_post_meta( $pid, 'package_price', true );

					if ( $wpjobster_packages == 'yes' && $packages == 'yes' && $package_price ) {
						$package_price = array_diff( $package_price, array( null ) );
						echo '<span class="small-job">' . __( 'Starting at', 'wpjobster' ) . ' </span>' . wpjobster_get_show_price( min( $package_price ) );
					} elseif ( get_post_meta( $pid, 'price_type', true ) ) {
						echo '<span class="small-job">' . apply_filters( 'wpj_price_type_filter', sprintf( __( '%s Rate', 'wpjobster' ), wpjobster_translate_string( get_post_meta( $pid, 'price_type', true ) ) ), $pid ) . ' </span>' . $job_price_display;
					} else {
						echo $job_price_display;
					} ?>
				</div>
			</div>
		</div>
	<?php }
}

if ( ! function_exists( 'wpj_get_user_post_tumb_card_3' ) ) {
	function wpj_get_user_post_tumb_card_3( $post = '' ) {

		if ( ! $post ) { global $post; }

		$pid = $post->ID;

		$userdata = get_userdata( $post->post_author );

		$location_display = get_post_meta( $pid, 'location_input', true );
		$location_display = $location_display ? ' - ' . $location_display : '';

		$home_featured_now        = get_post_meta( $pid, 'home_featured_now', true );
		$category_featured_now    = get_post_meta( $pid, 'category_featured_now', true );
		$subcategory_featured_now = get_post_meta( $pid, 'subcategory_featured_now', true );
		$job_is_featured          = ( $home_featured_now != 'z' || $category_featured_now != 'z' || $subcategory_featured_now != 'z' ) ? true : false;

		$video_arr       = get_post_meta( $pid, 'video_link', true );
		$images_arr      = wpjobster_get_post_images_ids( $pid, get_option( 'wpjobster_default_nr_of_pics' ) );
		$slider_elements = $video_arr ? count( $images_arr ) + 1 : count( $images_arr );

		if ( get_option( 'wpjobster_enable_review_work_samples' ) == 'yes' ) {
			$review_samples  = wpjobster_get_review_images_and_details( $pid, get_option( 'wpjobster_max_review_work_samples' ) );
			$slider_elements = $slider_elements + count( $review_samples );
		}

		$package_price      = get_post_meta( $pid, 'package_price', true );
		$package_price_vals = $package_price ? array_diff( $package_price, array( null ) ) : ''; ?>

		<!-- Job Card -->
		<div class="ui card wpj-card-style-3<?php if ( $job_is_featured || get_theme_mod( 'enable_rating_count_cards' ) == 'yes' ) { echo " extra-slider-height"; } ?>">

			<!-- Job Image -->
			<div class="image">

				<!-- Show until slider, load then remove -->
				<div class="card-image-clipper">
					<div class="card-image-helper">
						<img class="card-blurry-bg" src="<?php echo wpjobster_get_job_image( $pid ); ?>" alt="<?php the_title( $pid ); ?>" />
						<img class="my_image" src="<?php echo wpjobster_get_job_image( $pid ); ?>" alt="<?php the_title( $pid ); ?>" />
					</div>
				</div>

				<!-- Show slider -->
				<div class="wpj-carousel owl-carousel owl-theme">

					<?php if ( $slider_elements > 0 ) {

						// Video
						if ( $video_arr ) {
							foreach ( $video_arr as $key => $value ) {
								if ( $value && wpj_get_video_url_type( $value ) ) { ?>
									<a class="owl-video" href="<?php echo $value; ?>"></a>
								<?php }
							}
						}

						// Images
						$counter = 0;
						foreach ( $images_arr as $imageid ) {
							$image_src = wpj_get_attachment_image_url( $imageid, 'job_slider_image' );

							if ( $counter > 0 ) {
								$lazy_class = 'bx-lazy owl-lazy';
								$lazy_src = get_template_directory_uri() . '/assets/images/blank.gif';
							} else {
								$lazy_class = '';
								$lazy_src = $image_src;
							} ?>

							<a href="<?php the_permalink( $pid ); ?>">
								<div>
									<img src="<?php echo $lazy_src; ?>" class="job-blurry-bg <?php echo $lazy_class; ?>" data-src="<?php echo $image_src; ?>" />
									<img src="<?php echo $lazy_src; ?>" class="<?php echo $lazy_class; ?>" data-src="<?php echo $image_src; ?>" />
								</div>
							</a>

							<?php $counter++;
						}

						// Review work samples
						if ( get_option( 'wpjobster_enable_review_work_samples' ) == 'yes' ) {
							foreach ( $review_samples as $sample ) {
								$image_src = wpj_get_attachment_image_url( $sample->ID, 'job_slider_image' );
								$lazy_class = 'bx-lazy owl-lazy';
								$lazy_src = get_template_directory_uri() . '/assets/images/blank.gif';
								?>

								<a href="<?php the_permalink( $pid ); ?>">
									<div>
										<img src="<?php echo $lazy_src; ?>" class="job-blurry-bg <?php echo $lazy_class; ?>" data-src="<?php echo $image_src; ?>" />
										<img src="<?php echo $lazy_src; ?>" class="<?php echo $lazy_class; ?>" data-src="<?php echo $image_src; ?>" />
										<div class="work-sample-caption">
											<small>
												<blockquote><b><?php echo $sample->review; ?></b></blockquote>
												<?php echo sprintf( __( 'Reviewed by %1$s', "wpjobster" ), wpj_get_user_display_type( $sample->uid ) ); ?>
											</small>
										</div>
									</div>
								</a>

								<?php $counter++;
							}
						}

					} else {

						$lazy_class = 'bx-lazy owl-lazy';
						$image_src = get_theme_mod( 'no_image_icon_options_job' ) != '' ? get_theme_mod( 'no_image_icon_options_job' ) : get_template_directory_uri() . '/assets/images/placeholder.png';
						$lazy_src = $image_src; ?>

						<a href="<?php the_permalink( $pid ); ?>">
							<div>
								<img src="<?php echo $lazy_src; ?>" class="job-blurry-bg <?php echo $lazy_class; ?>" data-src="<?php echo $image_src; ?>" />
								<img src="<?php echo $lazy_src; ?>" class="<?php echo $lazy_class; ?>" data-src="<?php echo $image_src; ?>" />
							</div>
						</a>

					<?php } ?>

				</div>

				<!-- Bottom Icons -->
				<div class="card-image-icons bottom text-right">

					<!-- Distance -->
					<?php if ( wpj_bool_option( 'wpjobster_html5_geolocation_enable' ) && ( $distance = wpj_get_distance_to( 'post', $pid ) ) ) { ?>
						<div class="di z-index-big" data-inverted="" data-tooltip="<?php echo $distance; ?>" data-position="top left">
							<i class="small circular inverted bordered arrow location icon"></i>
						</div>
					<?php } ?>

					<!-- Let's Meet -->
					<?php if ( wpj_bool_option( 'wpjobster_lets_meet' ) && get_post_meta( $pid, 'lets_meet', true ) ) { ?>
						<div class="di z-index-big" data-inverted="" data-tooltip="<?php echo _x( 'Let\'s meet', 'Job Section', 'wpjobster' ) . $location_display; ?>" data-position="top left">
							<?php if ( get_theme_mod( 'lets_meet_rich_icon_options_job' ) ) { ?>
								<i class="small circular inverted bordered <?php echo get_theme_mod( 'lets_meet_rich_icon_options_job' ); ?> icon"></i>
							<?php } else { ?>
								<i class="small circular inverted bordered map marker icon"></i>
							<?php } ?>
						</div>
					<?php } ?>

					<!-- Instant Delivery -->
					<?php if ( wpj_bool_option( 'wpjobster_enable_instant_deli' ) && get_post_meta( $pid, "instant", true ) ) { ?>
						<div class="di z-index-big" data-inverted="" data-tooltip="<?php echo __( 'Instant Delivery', 'wpjobster' ); ?>" data-position="top left">
							<?php if ( get_theme_mod( 'instant_delivery_rich_icon_options_job' ) ) { ?>
								<i class="small circular inverted bordered <?php echo get_theme_mod( 'instant_delivery_rich_icon_options_job' ); ?> icon"></i>
							<?php } else { ?>
								<i class="small circular inverted bordered arrow circle down icon"></i>
							<?php } ?>
						</div>
					<?php } ?>
				</div>
			</div>



			<?php $height_class = get_option( 'wpjobster_user_level_for_thumbnails' ) != 'yes' ? 'height-class' : '' ;?>
			<!-- User -->
			<div class="content wpj-small flex-parent list-70-right <?php echo $height_class; ?>">

				<!-- User Avatar -->
				<div class="flex-slave text-vertical-center">
					<a class="ui wpj-big avatar image" href="<?php echo wpj_get_user_profile_link( $userdata->user_login ); ?>">
						<img src="<?php echo wpjobster_get_avatar( $userdata->ID, 28, 28 ); ?>" alt="">
					</a>
				</div>

				<!-- Username & Level -->
				<div class="flex-slave ellipsis text-vertical-center">
					<div class="name ellipsis">
						<a href="<?php echo wpj_get_user_profile_link( $userdata->user_login ); ?>" class="cards-user-link">

							<!-- Name -->
							<div><?php echo wpjobster_better_trim( wpj_get_user_display_type( $userdata->ID ), 22 ); ?></div>

							<!-- Level -->
							<?php if ( get_option( 'wpjobster_user_level_for_thumbnails' ) == 'yes' ) {
								if ( wpjobster_get_user_level( $post->post_author ) == 1 ) { ?>
									<span class="normal_seller_colour"><?php _e( 'Rookie Seller', 'wpjobster' ); ?></span>
								<?php } elseif ( wpjobster_get_user_level( $post->post_author ) == 2 ) { ?>
									<span class="normal_seller_colour"><?php _e( 'Master Seller', 'wpjobster' ); ?></span>
								<?php } elseif ( wpjobster_get_user_level( $post->post_author ) == 3 ) { ?>
									<span class="top_rated_seller_colour"><?php _e( 'Top Rated Seller', 'wpjobster' ); ?></span>
								<?php } else { ?>
									<span class="normal_seller_colour"><?php _e( 'New Arrival', 'wpjobster' ); ?></span>
								<?php }
							} ?>

						</a>
					</div>
				</div>

			</div>

			<!-- Title -->
			<div class="cards-title list-70-right">
				<a class="list-header" href="<?php the_permalink( $pid ); ?>" title="">
					<?php echo wpjobster_better_trim( $post->post_title, 65 ); ?>
				</a>
				<div class="description visible-on-list" style="display: none;">
					<?php echo wpjobster_better_trim( wpj_apply_filter_to_string( wp_strip_all_tags( $post->post_content, true ) ), 200 ); ?>
				</div>
			</div>

			<!-- Rating & Featured -->
			<div class="cards-rating content flex-parent list-70-right">

				<!-- Rating -->
				<?php if ( get_theme_mod( 'enable_rating_count_cards' ) == 'yes' ) { ?>
					<div class="flex-slave ellipsis text-vertical-center">
						<?php wpj_display_job_card_rating( $pid ); ?>
					</div>
				<?php } ?>

				<!-- Featured -->
				<?php if ( $job_is_featured ) { ?>
					<div class="cards-featured">
						<span class="ui mini pink label uppercase"><?php echo __( 'Featured', 'wpjobster' ); ?></span>
					</div>
				<?php } ?>

			</div>

			<!-- Favorites & Price -->
			<div class="content wpj-small flex-parent list-70-right">

				<!-- Favorites -->
				<div data-inverted="" data-tooltip="<?php _e( 'Favorites', 'wpjobster' ); ?>" data-position="top left">
					<?php echo wpj_show_add_to_favorite_btn( '<i class="heart red icon"></i>', '<i class="heart grey icon"></i>', $pid ); ?>
				</div>

				<!-- Price -->
				<div class="flex-master card-job-price text-right text-vertical-center">

					<?php if ( get_option( 'wpjobster_packages_enabled' ) == 'yes' && get_post_meta( $pid, 'job_packages', true ) == 'yes' && $package_price_vals ) { ?>

						<span class="small-job"><?php _e( 'Starting at', 'wpjobster' ); ?></span>
						<span class="display-price-card"><?php echo wpjobster_get_show_price( min( $package_price_vals ) ); ?></span>

					<?php } elseif ( get_post_meta( $pid, 'price_type', true ) ) { ?>

						<span class="small-job"><?php echo apply_filters( 'wpj_price_type_filter', sprintf( __( '%s Rate', 'wpjobster' ), wpjobster_translate_string( get_post_meta( $pid, 'price_type', true ) ) ), $pid ); ?></span>
						<span class="display-price-card"><?php echo wpjobster_get_show_price( get_post_meta( $pid, 'price', true ), 2, true ); ?></span>

					<?php } else { echo wpjobster_get_show_price( get_post_meta( $pid, 'price', true ), 2, true ); } ?>

				</div>

			</div>

		</div>
	<?php }
}
