<?php
function wpj_display_search_sidebar_content( $page = 'job' ) {
	// Filters
	$filter_term       = apply_filters( 'wpj_' . $page . '_search_display_search_term_filter', true );
	$filter_location   = apply_filters( 'wpj_' . $page . '_search_display_location_filter', true );
	$filter_radius     = apply_filters( 'wpj_' . $page . '_search_display_radius_filter', true );
	$filter_category   = apply_filters( 'wpj_' . $page . '_search_display_categories_filter', true );
	$filter_tag        = apply_filters( 'wpj_' . $page . '_search_display_tags_filter', true );
	$filter_min_rating = apply_filters( 'wpj_' . $page . '_search_display_min_rating_filter', true );
	$filter_price_type = apply_filters( 'wpj_' . $page . '_search_display_price_type_filter', true );
	$filter_price_min  = apply_filters( 'wpj_' . $page . '_search_display_min_price_filter', true );
	$filter_price_max  = apply_filters( 'wpj_' . $page . '_search_display_max_price_filter', true );
	$filter_deadline   = apply_filters( 'wpj_' . $page . '_search_display_deadline_filter', true );
	$filter_delivery   = apply_filters( 'wpj_' . $page . '_search_display_delivery_days_filter', true );
	$filter_date       = apply_filters( 'wpj_' . $page . '_search_display_date_filter', true );


	/* Options */
	$op_radius_type    = get_option( 'wpjobster_locations_unit' );
	$op_price_type     = get_option( 'wpjobster_price_type' );
	$op_fixed_rate     = get_option( 'wpjobster_enable_fixed_rate', true );
	$op_hourly_rate    = get_option( 'wpjobster_enable_hourly_rate', true );
	$op_daily_rate     = get_option( 'wpjobster_enable_daily_rate', true );
	$op_weekly_rate    = get_option( 'wpjobster_enable_weekly_rate', true );
	$op_monthly_rate   = get_option( 'wpjobster_enable_monthly_rate', true );
	$op_custom_only    = get_option( 'wpjobster_enable_custom_rate', true );
	$op_budget         = get_option( 'wpjobster_' . $page . '_budget', true );
	$op_deadline       = get_option( 'wpjobster_' . $page . '_deadline' );
	$op_date           = get_option( 'wpjobster_enable_search_' . $page . '_date' );
	$op_empty_date     = get_option( 'wpjobster_include_' . $page . '_undefined_date' );
	$op_empty_budget   = get_option( 'wpjobster_include_' . $page . '_undefined_budget' );
	$op_empty_delivery = get_option( 'wpjobster_include_' . $page . '_undefined_delivery' );
	$op_tags           = get_terms( array( 'taxonomy' => 'post_tag', 'post_type' => $page, 'hide_empty' => true ) );


	/* Select category or tag when the page is archive */
	$archive_val = isset( get_queried_object()->slug ) ? get_queried_object()->slug : '';
	if ( $page == 'request' ) { $archive_val = $archive_val ? substr( $archive_val, 0, -4 ) : ''; }
	$archive_val_arr = $archive_val ? array( $archive_val ) : '';

	/* Values */
	$val_term            = wpj_validate_input_content( WPJ_Form::get( 'term', '' ) );
	$val_location        = wpj_validate_input_content( WPJ_Form::get( 'location', '' ) );
	$val_latitude        = WPJ_Form::get( 'latitude', '' );
	$val_longitude       = WPJ_Form::get( 'longitude', '' );
	$val_radius          = wpj_validate_input_content( WPJ_Form::get( 'radius', '' ) );
	$val_category        = wpjobster_get_categories_name_select( 'job_cat', 'slug', __( 'Categories', 'wpjobster' ), '', 'category', '', WPJ_Form::get( 'category', $archive_val_arr ) );
	$val_tag             = WPJ_Form::get( 'tag', $archive_val_arr );
	$val_min_rating      = WPJ_Form::get( 'min_rating', '' );
	$val_price_type      = WPJ_Form::get( 'price_type', '' );
	$val_min_price       = wpj_validate_input_content( WPJ_Form::get( 'min_price', '' ) );
	$val_max_price       = wpj_validate_input_content( WPJ_Form::get( 'max_price', '' ) );
	$val_budget_toggle   = WPJ_Form::get( 'without_budget', '' );
	$val_deadline        = wpj_validate_input_content( WPJ_Form::get( 'deadline', '' ) );
	$val_start_date      = wpj_validate_input_content( WPJ_Form::get( 'start_date', '' ) );
	$val_end_date        = wpj_validate_input_content( WPJ_Form::get( 'end_date', '' ) );
	$val_date_toggle     = WPJ_Form::get( 'without_date', '' );
	$val_max_days        = WPJ_Form::get( 'max_days', '' );
	$val_delivery_toggle = WPJ_Form::get( 'without_delivery', '' );

	/* Vars */
	if ( ! $val_max_days ) { $val_max_days = get_option( 'wpjobster_' . $page . '_max_delivery_days' ); }
	if ( ! $val_max_days ) { $val_max_days = 30; }

	$op_location  = get_option( 'wpjobster_location' );
	$op_delivery  = get_option( 'wpjobster_enable_delivery_time' );
	$page_url     = get_permalink( get_option( 'wpjobster_advanced_search_id' ) );
	$filter_price = $filter_price_min || $filter_price_max ? true : false;
	if ( $page != 'job' && $page != 'tag' ) { // request
		$op_location  = get_option( 'wpjobster_' . $page . '_location' );
		$op_delivery  = get_option( 'wpjobster_' . $page . '_max_deliv' );
		$page_url     = get_permalink( get_option( 'wpjobster_advanced_search_' . $page . '_page_id' ) );
		$filter_price = $filter_price && $op_budget == 'yes' ? true : false;
	} else { // job & tags
		$op_empty_budget = false;
	}

	$filter_location   = $filter_location && $op_location == 'yes' ? true : false;
	$filter_deadline   = $filter_deadline && $page == 'request' && $op_deadline == "yes" ? true : false;
	$filter_date       = $filter_date && $page == 'request' && $op_date == 'yes' ? true : false;
	$filter_min_rating = $filter_min_rating && $page == 'job' ? true : false;
	$filter_price_type = $filter_price_type && $page == 'job' && $op_price_type == 'free_input' && ( $op_fixed_rate == 'yes' || $op_hourly_rate == 'yes' || $op_daily_rate == 'yes' || $op_weekly_rate == 'yes' || $op_monthly_rate == 'yes' || $op_custom_only == 'yes' ) ? true : false;
	$filter_delivery   = $filter_delivery && $op_delivery == 'yes' ? true : false;

	$price_type_arr = wpj_get_job_price_types();

	$min_rating_arr = array(
		'5' => sprintf( _n( '%d Star', '%d Stars', 5, 'wpjobster' ), 5 ),
		'4' => sprintf( _n( '%d Star', '%d Stars', 4, 'wpjobster' ), 4 ),
		'3' => sprintf( _n( '%d Star', '%d Stars', 3, 'wpjobster' ), 3 ),
		'2' => sprintf( _n( '%d Star', '%d Stars', 2, 'wpjobster' ), 2 ),
		'1' => sprintf( _n( '%d Star', '%d Stars', 1, 'wpjobster' ), 1 ),
	);

	// Include HTML
	include ( locate_template( 'template-parts/posts/content-sidebar-search.php' ) );
}

add_action( 'wp_ajax_day_translation', 'wpj_get_day_translation' );
add_action( 'wp_ajax_nopriv_day_translation', 'wpj_get_day_translation' );
function wpj_get_day_translation() {
	$days = WPJ_Form::post( 'value' );
	echo _n( 'day ', 'days ', $days, 'wpjobster' );
	wp_die();
}