<?php if ( ! function_exists( 'wpj_tag_vars' ) ) {
	function wpj_tag_vars() {

		global $query_string;

		$my_order = wpjobster_get_current_order_by_thing();

		$meta_query = array(
			'key'     => 'active',
			'value'   => '1',
			'compare' => '='
		);

		$prs_string_qu = wp_parse_args( $query_string );
		$prs_string_qu['meta_query'] = array( $meta_query );
		$prs_string_qu['post_status'] = 'publish';
		$prs_string_qu['post_type'] = 'job';

		$force_no_custom_order = "TRUE";

		if ( $my_order == "auto" ) {
			$prs_string_qu['meta_key'] = "";
			$prs_string_qu['orderby']  = "date";
			$prs_string_qu['order']    = "ASC";
			$force_no_custom_order     = "FALSE";
		}

		if ( $my_order == "new" ) {
			$prs_string_qu['meta_key'] = "";
			$prs_string_qu['orderby']  = "date";
			$prs_string_qu['order']    = "DESC";
		}

		if ( $my_order == "old" ) {
			$prs_string_qu['meta_key'] = "";
			$prs_string_qu['orderby']  = "date";
			$prs_string_qu['order']    = "ASC";
		}

		if ( $my_order == "rating" ) {
			$prs_string_qu['meta_key'] = "job_rating";
			$prs_string_qu['orderby']  = "meta_value_num";
			$prs_string_qu['order']    = "DESC";
		}

		if ( $my_order == "distance"
			&& get_option( 'wpjobster_location' ) == 'yes' ) {
			$prs_string_qu['orderby']  = "distance";
			$prs_string_qu['order']    = "ASC";
		}

		$prs_string_qu['force_no_custom_order'] = $force_no_custom_order;
		$prs_string_qu = $prs_string_qu + array( 'function_name' => wpj_get_job_card_style(), 'container_class' => 'ui three cards' );

		if ( get_option( 'wpjobster_html5_geolocation_enable' ) == 'yes'
			&& wpjobster_get_current_order_by_thing() == 'distance'
		) {
			// add these out of search only if
			// browser location enabled and sort by is distance
			$prs_string_qu['search_args'] = array(
				'latitude'  => WPJ_Form::cookie( 'wpj_lat', '' ),
				'longitude' => WPJ_Form::cookie( 'wpj_lng', '' ),
				'location'  => WPJ_Form::cookie( 'wpj_location', '' ),
				'radius'    => '99999',
			);
		}

		$wpj_job = new WPJ_Load_More_Posts( $prs_string_qu );

		return array(
			'prs_string_qu' => $prs_string_qu,
			'wpj_job'       => $wpj_job,
			'my_order'      => $my_order
		);
	}
}