<?php
if ( ! function_exists( 'wpj_taxonomy_request_title_filter' ) ) {
	function wpj_taxonomy_request_title_filter() {
		$term              = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
		$term_title        = $term->name;

		return array( 'title' => $term_title );
	}
}

if ( ! function_exists( 'wpj_taxonomy_request_category_list_sidebar' ) ) {
	function wpj_taxonomy_request_category_list_sidebar() {
		$hide_empty_categories = ( get_option( 'wpjobster_display_request_empty_categories' ) == 'yes' ) ? false : true;

		$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );

		if ( $term->parent == 0 ) {
			$term_id = $term->term_id;
		} else {
			$term_id = $term->parent;
		}

		$taxonomy_name = get_query_var( 'taxonomy' );
		$termchildren  = get_terms( $taxonomy_name, array( 'child_of' => $term_id, 'hide_empty' => $hide_empty_categories ) );
		$terms         = get_term( $term_id, $taxonomy_name );

		if ( count( $termchildren ) > 0 || $terms->parent ) { ?>

			<ul class="xoxo xyxy">
				<div class="new-subcategory-listing">
					<ul class="subcat-list">
						<?php if ( count( $termchildren ) > 0 ) {
							foreach( $termchildren as $ch ) { ?>
								<li><a href="<?php echo get_term_link( $ch, $taxonomy_name ); ?>" <?php if( $term->term_id == $ch->term_id ) { ?> style="font-weight: 900; font-style: italic; color: rgba(0,0,0,.6)" <?php } ?> ><?php echo $ch->name; ?></a></li>
							<?php }
						}
						if ( $term->parent ) {
							$termParent = get_term( $term->parent, $taxonomy_name ); ?>
							<li><a href="<?php echo get_term_link( $termParent ); ?>"><?php echo $termParent->name; ?></a></li>
						<?php }
						?>
					</ul>
				</div>
			</ul>

		<?php }
	}
}

function wpj_taxonomy_request_posts() {
	$category_description = category_description();

	if ( ! empty( $category_description ) ) {
		echo apply_filters( 'category_archive_meta', '<div class="cat-description">' . html_entity_decode( stripslashes( $category_description ) ) . '</div>' );
	}

	global $query_string;

	$my_order = wpjobster_get_current_order_by_thing();

	$force_no_custom_order = TRUE;

	if ( $my_order == "auto" || $my_order == "rating" ) {
		$force_no_custom_order = FALSE;
		$orderby = '';
		$order   = '';
	}

	if ( $my_order == "new" ) {
		$orderby = "date";;
		$order   = "DESC";
	}

	if ( $my_order == "old" ) {
		$orderby = "date";;
		$order   = "ASC";
	}

	if ( $my_order == "distance"
		&& get_option( 'wpjobster_request_location' ) == 'yes' ) {
		$orderby = "distance";
		$order   = "ASC";
	}

	$args = array(
		'post_status'    => 'publish',
		'post_type'      => 'request',
		'function_name'  => 'wpj_show_request_content',
		'posts_per_page' => get_option('posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
		'orderby'        => $orderby,
		'order'          => $order,
		'params'         => 'request_category',
		'meta_query'     => wpj_get_user_requests( '', 'active', 'query' )
	);

	$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
	if ( $term ) {
		$args['tax_query'] = array(
			array(
				'taxonomy' => get_query_var( 'taxonomy' ),
				'field'    => 'term_id',
				'terms'    => $term->term_id,
			)
		);
	};

	if ( get_option( 'wpjobster_html5_geolocation_enable' ) == 'yes'
		&& wpjobster_get_current_order_by_thing() == 'distance'
	) {
		// add these out of search only if
		// browser location enabled and sort by is distance
		$args['search_args'] = array(
			'latitude'  => WPJ_Form::cookie( 'wpj_lat', '' ),
			'longitude' => WPJ_Form::cookie( 'wpj_lng', '' ),
			'location'  => WPJ_Form::cookie( 'wpj_location', '' ),
			'radius'    => '99999',
		);
	}

	$wpj_request = new WPJ_Load_More_Posts( $args );

	if ( $wpj_request->have_rows() ) {
		echo '<div id="suggest_jobs">' . $wpj_request->show_posts_list_func() . '</div>';
	} else {
		echo '<div class="ui segment">' . __( 'No results found.', 'wpjobster' ) . '</div>';
	}
}
