<?php if ( ! function_exists( 'wpj_taxonomy_title_filter' ) ) {
	function wpj_taxonomy_title_filter() {

		global $query_string;

		$my_order = wpjobster_get_current_order_by_thing();

		$closed = array(
			'key'     => 'closed',
			'value'   => "0",
			'compare' => '='
		);
		$active = array(
			'key'     => 'active',
			'value'   => "1",
			'compare' => '='
		);

		$no_packages = array(
			'key'     => 'price_type',
			'value'   => 'package',
			'compare' => '!='
		);

		$prs_string_qu = wp_parse_args( $query_string );

		if ( $my_order == "price_lowest" || $my_order == "price_highest" ) {
			$prs_string_qu['meta_query'] = array( $closed, $active, $no_packages );
		} else {
			$prs_string_qu['meta_query'] = array( $closed, $active );
		}

		$force_no_custom_order = "TRUE";
		if ( $my_order == "auto" ) {

			if ( is_subcategory() ) {
				$meta_option = "subcategory_featured_now";
			} else {
				$meta_option = "category_featured_now";
			}

			$jobs_order = get_option( 'wpjobster_jobs_order' );
			if ( $jobs_order == 'new' ){
				$orderby_featured   = array( 'meta_value' => 'ASC', 'date' => 'DESC' );
				$order_non_featured = 'DESC';
			} elseif ( $jobs_order == 'old' ) {
				$orderby_featured   = array( 'meta_value' => 'ASC', 'date' => 'ASC' );
				$order_non_featured = 'ASC';
			} else {
				$orderby_featured   = array( 'meta_value' => 'ASC', 'rand' => 'rand' );
				$order_non_featured = 'RAND';
			}

			$feature_enabled = get_option( 'wpjobster_featured_enable' );
			if ( $feature_enabled == 'yes' ) {
				$prs_string_qu['meta_key'] = $meta_option;
				$prs_string_qu['orderby']  = $orderby_featured;
				$prs_string_qu['order']    = "ASC";
				$force_no_custom_order     = "FALSE";
			} else {
				$prs_string_qu['meta_key'] = "";
				$prs_string_qu['order']    = $order_non_featured;
				$force_no_custom_order     = "FALSE";
			}
		}

		if ( $my_order == "new" ) {
			$prs_string_qu['meta_key'] = "";
			$prs_string_qu['orderby']  = "date";
			$prs_string_qu['order']    = "DESC";

			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "old" ) {
			$prs_string_qu['meta_key'] = "";
			$prs_string_qu['orderby']  = "date";
			$prs_string_qu['order']    = "ASC";

			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "rating" ) {
			$prs_string_qu['meta_key'] = "job_rating";
			$prs_string_qu['orderby']  = "meta_value_num";
			$prs_string_qu['order']    = "DESC";

			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "views" && get_option( 'wpjobster_enable_job_views' ) == 'yes' ) {
			$prs_string_qu['meta_key'] = "job_views_counter";
			$prs_string_qu['orderby']  = "meta_value_num";
			$prs_string_qu['order']    = "DESC";

			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "distance" && get_option( 'wpjobster_location' ) == 'yes' ) {
			$prs_string_qu['orderby']  = "distance";
			$prs_string_qu['order']    = "ASC";
		}

		if ( $my_order == "price_lowest" ) {
			$prs_string_qu['meta_key'] = "price";
			$prs_string_qu['orderby']  = "meta_value_num";
			$prs_string_qu['order']    = "ASC";

			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "price_highest" ) {
			$prs_string_qu['meta_key'] = "price";
			$prs_string_qu['orderby']  = "meta_value_num";
			$prs_string_qu['order']    = "DESC";

			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		$prs_string_qu['force_no_custom_order'] = $force_no_custom_order;

		query_posts( $prs_string_qu );

		$term       = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
		$term_title = $term->name;

		return array( 'title' => $term_title, 'my_order' => $my_order );
	}
}

if ( ! function_exists( 'wpj_taxonomy_category_list_sidebar' ) ) {
	function wpj_taxonomy_category_list_sidebar() {
		$hide_empty_categories = ( get_option( 'wpjobster_display_job_empty_categories' ) == 'yes' ) ? false : true;

		$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );

		if( $term->parent == 0 ) {
			$term_id = $term->term_id;
		} else {
			$term_id = $term->parent;
		}

		$taxonomy_name = get_query_var( 'taxonomy' );
		$termchildren  = get_terms( $taxonomy_name, array( 'child_of' => $term_id, 'hide_empty' => $hide_empty_categories ) ); ?>

		<ul class="xoxo xyxy"><?php
			if ( count ( $termchildren ) > 0 ) { ?>
				<div class="new-subcategory-listing mobile-segment segment ui"><?php

					$the_number     = count ( $termchildren );
					$three_elements = array_slice( $termchildren, 0, 3 );
					$the_rest       = array_slice( $termchildren, 3 );

					if ( count ($termchildren) > 3 ) { ?>
						<ul class="subcat-list js-three-elements">
							<?php foreach ( $three_elements as $one_element ) { ?>
								<li><a href="<?php echo get_term_link( $one_element, $taxonomy_name ) ?>" <?php if( $term->term_id == $one_element->term_id ) { ?> style="font-weight: 900; font-style: italic; color: rgba(0,0,0,.6)" <?php } ?> ><?php echo $one_element->name ?></a></li>
							<?php } ?>
						</ul>

						<ul class="subcat-list js-all-elements js-show-categories show-categories">
							<?php foreach ( $the_rest as $a_child ) { ?>
								<li><a href="<?php echo get_term_link( $a_child, $taxonomy_name ) ?>" <?php if( $term->term_id == $a_child->term_id ) { ?> style="font-weight: 900; font-style: italic; color: rgba(0,0,0,.6)" <?php } ?> ><?php echo $a_child->name ?></a></li>
							<?php } ?>
						</ul>
				</div>

				<div class="ui button custom-segment hide-on-desktop text center js-more-elements">
					<a class="more-elements"><i class="angle double down icon"></i></a>
				</div>

			<?php } elseif ( count ( $termchildren ) <= 3 ) { ?>

				<ul class="subcat-list"><?php
					foreach ( $three_elements as $one_element ) { ?>
						<li><a href="<?php echo get_term_link( $one_element, $taxonomy_name ) ?>" <?php if( $term->term_id == $one_element->term_id ) { ?> style="font-weight: 900; font-style: italic; color: rgba(0,0,0,.6)" <?php } ?> ><?php echo $one_element->name ?></a></li>
					<?php } ?>

					</div>

			<?php } ?>

		</ul>

			<?php } else { ?>

				<div class="ui segment"><?php echo __( 'There are no categories yet.', 'wpjobster' ); ?></div>
			<?php }
	}
}

if ( ! function_exists( 'wpj_display_thumbs_taxonomy' ) ) {
	function wpj_display_thumbs_taxonomy() {
		$category_description = category_description();

		if ( ! empty( $category_description ) ) {
			echo apply_filters( 'category_archive_meta', '<div class="cat-description">' . html_entity_decode( stripslashes( $category_description ) ) . '</div>' );
		}

		global $wp_query;

		$args = $wp_query->query_vars;

		if ( get_option( 'wpjobster_html5_geolocation_enable' ) == 'yes'
			&& wpjobster_get_current_order_by_thing() == 'distance'
		) {
			// add these out of search only if
			// browser location enabled and sort by is distance
			$args['search_args'] = array(
				'latitude'  => WPJ_Form::cookie( 'wpj_lat', '' ),
				'longitude' => WPJ_Form::cookie( 'wpj_lng', '' ),
				'location'  => WPJ_Form::cookie( 'wpj_location', '' ),
				'radius'    => '99999',
			);
		}

		$wpj_job = new WPJ_Load_More_Posts( $args + array( 'post_status' => 'publish', 'function_name' => wpj_get_job_card_style(), 'container_class' => 'ui three cards' ) );

		echo '<div class="cf" style="width:100%">';
			if ( $wpj_job->have_rows() ) { $wpj_job->show_posts_list_func(); }
			else { echo '<div class="ui segment">' . __( "Sorry, there are no posted jobs yet.", "wpjobster" ) . '</div>'; }
		echo '</div>';
	}
}
