<?php /*** CRON ***/

add_action( 'vc_daily_event', 'wpj_inactive_expired_requests' );
function wpj_inactive_expired_requests() {
	$args = array(
		'posts_per_page' => '-1',
		'post_type'      => 'request',
		'post_status'    => array( 'publish' ),
		'meta_query'     => array(
			'relation' => 'AND',
			array(
				array(
					'key'     => 'active',
					'value'   => '1',
					'compare' => '='
				)
			),
			array(
				'relation' => 'OR',
				array(
					'relation' => 'AND',
					array(
						'key'     => 'request_end_date',
						'compare' => 'EXISTS'
					),
					array(
						'key'     => 'request_end_date',
						'compare' => '!=',
						'value'   => ''
					),
					array(
						'key'     => 'request_end_date',
						'value'   => current_time( 'timestamp', 1 ),
						'compare' => '<=',
					)
				),
				array(
					'relation' => 'AND',
					array(
						'key'     => 'request_deadline',
						'compare' => 'EXISTS'
					),
					array(
						'key'     => 'request_deadline',
						'compare' => '!=',
						'value'   => ''
					),
					array(
						'key'     => 'request_deadline',
						'value'   => current_time( 'timestamp', 1 ),
						'compare' => '<=',
					)
				)
			)
		)
	);

	$result = get_posts( $args );

	if ( $result ) {
		foreach ( $result as $key => $value ) {
			update_post_meta( $value->ID, 'active', 0 );
		}
	}
}
