<?php
class WPJRequestsView {
	public function Vars( $page = '', $directlink = false ) {
		$post = get_post( get_the_ID() );

		$using_perm = wpjobster_using_permalinks();
		$privurl_m  = $using_perm ? get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) . '?' : get_bloginfo( 'url' ) . '/?page_id=' . get_option( 'wpjobster_my_account_priv_mess_page_id' ) . '&';

		$auth_slug  = get_userdata( $post->post_author );
		$auth_slug  = $auth_slug->user_nicename;

		$delivery   = get_post_meta( get_the_ID(), 'request_delivery', true );

		$i = 0; $separator  = ''; $request_tags = '';
		$tags = wp_get_post_tags( get_the_ID() );
		if ( $tags ) {
			foreach ( $tags as $tag ) {
				$request_tags .= $separator . $tag->name;
				$i++;
				if ( $i > 0 ) { $separator = ', '; }
			}
		}

		$column1_class = $page == 'single_request' ? 'three' : 'two';
		$column2_class = $page == 'single_request' ? 'nine' : 'ten';
		$column3_class = 'four';

		$avatar_class  = $page == 'single_request' ? 'user-link' : '';
		$avatar_width  = $page == 'single_request' ? '100' : '45';
		$avatar_height = $page == 'single_request' ? '100' : '45';

		$content_class = $page == 'single_request' ? 'desc-wrapper' : 'request-content-view-more';

		return array(
			'author_url'                               => wpj_get_user_profile_link( get_the_author_meta( 'user_login' ) ),
			'auth'                                     => $post->post_author,
			'author'                                   => get_the_author_meta( 'user_login' ),
			'active_job_required'                      => get_option( 'wpjobster_active_job_cutom_offer' ),
			'budget_from'                              => get_post_meta( get_the_ID(), 'request_budget_from', true ),
			'budget_to'                                => get_post_meta( get_the_ID(), 'request_budget_to', true ),
			'class'                                    => is_user_logged_in() ? '' : ' login-link',
			'contact_link'                             => $privurl_m . 'username=' . $auth_slug,
			'delivery'                                 => $delivery,
			'days_plural'                              => sprintf( _n( '%d day', '%d days', $delivery, 'wpjobster' ), $delivery ),
			'deadline'                                 => get_post_meta( get_the_ID(), 'request_deadline', true ),
			'display_custom_offer_button'              => apply_filters( 'display_or_hide_section_filter', true ),
			'display_contact_button'                   => apply_filters( 'wpj_request_view_contact_button_filter', true ),
			'drop_off_enable'                          => get_option( 'wpjobster_request_drop_off_location_display_condition' ),
			'directlink'                               => $directlink,
			'lets_meet'                                => get_post_meta( get_the_ID(), 'request_lets_meet', true ),
			'location_enable'                          => get_option( 'wpjobster_request_location' ),
			'post'                                     => $post,
			'post_title'                               => get_the_title(),
			'post_content'                             => wpj_apply_filter_to_string( wpautop( strip_tags( get_the_content() ) ), false, 'requestlistings' ),
			'pick_up_enable'                           => get_option( 'wpjobster_request_pick_up_location_display_condition' ),
			'post_id'                                  => get_the_ID(),
			'page'                                     => $page,
			'request_start_date'                       => get_post_meta( get_the_ID(), 'request_start_date', true ),
			'request_end_date'                         => get_post_meta( get_the_ID(), 'request_end_date', true ),
			'request_pick_up_value'                    => get_post_meta( get_the_ID(), 'request_pick_up_location', true ),
			'request_address_value'                    => get_post_meta( get_the_ID(), 'request_location', true ),
			'request_drop_off_value'                   => get_post_meta( get_the_ID(), 'request_drop_off_location', true ),
			'request_attachments'                      => get_post_meta( get_the_ID(), 'request_attachments', true ),
			'RequestsNewEdit'                          => new WPJRequestsNewEdit(),
			'Custom_Fields'                            => new WPJ_Custom_Fields( get_the_ID(), 'request' ),
			'tags'                                     => $request_tags,
			'view_more_link'                           => get_permalink(),
			'view_more_action'                         => get_option( 'wpjobster_view_more_action' ),
			'wpjobster_request_date_display_condition' => get_option( 'wpjobster_request_date_display_condition' ),
			'wpjobster_request_lets_meet'              => get_option( 'wpjobster_request_lets_meet' ),
			'wpjobster_request_location_display_map'   => get_option( 'wpjobster_request_location_display_map' ),
			'column1_class'                            => $column1_class,
			'column2_class'                            => $column2_class,
			'column3_class'                            => $column3_class,
			'avatar_class'                             => $avatar_class,
			'avatar_width'                             => $avatar_width,
			'avatar_height'                            => $avatar_height,
			'content_class'                            => $content_class,
		);
	}

	public function getFieldLabel( $keyword = '', $default = '', $by = '' ) {
		$label = $default;

		$request_fields = get_field( 'request_fields', get_option( 'wpjobster_new_request_page_id' ) );
		if ( $request_fields ) {
			foreach ( $request_fields as $key => $field ) {
				if ( $by == 'label' && $field['label'] && strtolower( trim( $field['label'] ) ) == strtolower( trim( $keyword ) ) ) {
					$label = $field['label'];
				} elseif ( $by == 'slug' && isset( $field['slug'] ) && $field['slug'] == $keyword && $field['label'] ) {
					$label = $field['label'];
				} else {
					if ( $field['acf_fc_layout'] == $keyword && $field['label'] ) {
						$label = $field['label'];
					}
				}
			}
		}

		return $label ? $label . '<span class="punctuation-colon">:</span>' : '';
	}
}
