<?php

function wpj_advanced_search_request_post_result() {
	$my_order = wpjobster_get_current_order_by_thing(); ?>

	<div class="post_results">
		<?php
		$meta_querya = array();
		$force_no_custom_order = TRUE;

		global $term;
		$term = trim( strip_tags( WPJ_Form::get( 'term', '' ) ) );

		if ( get_option( 'wpjobster_html5_geolocation_enable' ) == 'yes' ) {
			$location_default = WPJ_Form::cookie( 'wpj_location', '' );
			$lat_default      = WPJ_Form::cookie( 'wpj_lat', '' );
			$lng_default      = WPJ_Form::cookie( 'wpj_lng', '' );
		} else {
			$location_default = '';
			$lat_default      = '';
			$lng_default      = '';
		}

		$order    = WPJ_Form::get( 'order', 'DESC' );
		$orderby  = WPJ_Form::get( 'orderby', 'meta_value' );
		$meta_key = WPJ_Form::get( 'meta_key', '' );

		if ( $my_order == "auto" || $my_order == "rating" ) {
			$force_no_custom_order = FALSE;
		}

		if ( $my_order == "new" ) {
			$orderby  = "date";
			$order    = "DESC";
			$meta_key = "";
			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "old" ) {
			$orderby  = "date";
			$order    = "ASC";
			$meta_key = "";
			add_filter( 'apto_get_orderby', 'theme_apto_get_orderby', 10, 3 );
		}

		if ( $my_order == "distance"
			&& get_option( 'wpjobster_request_location' ) == 'yes'
			&& WPJ_Form::get( 'location', $location_default ) ) {
			$orderby = "distance";
			$order   = "ASC";
			$meta_key = "";
		}

		$budget_comparator = WPJ_Form::get( 'request_without_budget' ) ? '==' : '!=';
		$budget_logical_op = WPJ_Form::get( 'request_without_budget' ) ? 'OR' : 'AND';

		if ( WPJ_Form::get( 'min_price' ) ) {
			$budget_from = array(
				'relation' => $budget_logical_op,
				array(
					'key'     => 'request_budget_from',
					'value'   => WPJ_Form::get( 'min_price' ),
					'type'    => 'numeric',
					'compare' => '>='
				),
				array(
					'key'     => 'request_budget_from',
					'value'   => 0,
					'type'    => 'numeric',
					'compare' => $budget_comparator
				),
				array(
					'key'     => 'request_budget_from',
					'value'   => null,
					'type'    => 'numeric',
					'compare' => $budget_comparator
				),
			);
		}

		if ( WPJ_Form::get( 'max_price' ) ) {
			$budget_to = array(
				'relation' => $budget_logical_op,
				array(
					'key'     => 'request_budget_to',
					'value'   => WPJ_Form::get( 'max_price' ),
					'type'    => 'numeric',
					'compare' => '<='
				),
				array(
					'key'     => 'request_budget_to',
					'value'   => 0,
					'type'    => 'numeric',
					'compare' => $budget_comparator
				),
				array(
					'key'     => 'request_budget_to',
					'value'   => null,
					'type'    => 'numeric',
					'compare' => $budget_comparator
				),
			);
		}

		$delivery_comparator = WPJ_Form::get( 'request_without_delivery' ) ? '==' : '!=';
		$delivery_logical_op = WPJ_Form::get( 'request_without_delivery' ) ? 'OR' : 'AND';
		if ( WPJ_Form::get( 'max_days', '' ) ) {
			if ( WPJ_Form::get( 'max_days' ) != get_option( 'wpjobster_request_max_delivery_days' ) ) {
				$max_days = array(
					'relation' => $delivery_logical_op,
					array(
						'key'     => 'request_delivery',
						'value'   => WPJ_Form::get( 'max_days' ),
						'type'    => 'numeric',
						'compare' => '<='
					),
					array(
						'key'     => 'request_delivery',
						'value'   => 0,
						'type'    => 'numeric',
						'compare' => $delivery_comparator
					),
					array(
						'key'     => 'request_delivery',
						'value'   => null,
						'type'    => 'numeric',
						'compare' => $delivery_comparator
					),
				);
			}
		}

		if ( WPJ_Form::get( 'request_deadline' ) ) {
			$request_deadline = array(
				'relation' => 'AND',
				array(
					'key'     => 'request_deadline',
					'value'   => trim( htmlspecialchars( WPJ_Form::get( 'request_deadline' ) ) ),
					'type'    => 'numeric',
					'compare' => '<='
				),
				array(
					'key'     => 'request_deadline',
					'value'   => 0,
					'type'    => 'numeric',
					'compare' => '!='
				),
				array(
					'key'     => 'request_deadline',
					'value'   => null,
					'type'    => 'numeric',
					'compare' => '!='
				),
			);
		}

		$date_comparator = WPJ_Form::get( 'request_without_date' ) ? '==' : '!=';
		$date_logical_op = WPJ_Form::get( 'request_without_date' ) ? 'OR' : 'AND';

		$start_date_key_filter = apply_filters( 'wpj_search_request_start_date_key_filter', 'request_start_date' );
		if ( WPJ_Form::get( 'start_date' ) ) {
			$start_date = array(
				'relation' => $date_logical_op,
				array(
					'key'     => $start_date_key_filter,
					'value'   => WPJ_Form::get( 'start_date' ),
					'type'    => 'numeric',
					'compare' => '>='
				),
				array(
					'key'     => $start_date_key_filter,
					'value'   => 0,
					'type'    => 'numeric',
					'compare' => $date_comparator
				),
				array(
					'key'     => $start_date_key_filter,
					'value'   => null,
					'type'    => 'numeric',
					'compare' => $date_comparator
				),
			);
		}

		$end_date_key_filter = apply_filters( 'wpj_search_request_end_date_key_filter', 'request_end_date' );
		if ( WPJ_Form::get( 'end_date' ) ) {
			$end_date = array(
				'relation' => $date_logical_op,
				array(
					'key'     => $end_date_key_filter,
					'value'   => WPJ_Form::get( 'end_date' ),
					'type'    => 'numeric',
					'compare' => '<='
				),
				array(
					'key'     => $end_date_key_filter,
					'value'   => 0,
					'type'    => 'numeric',
					'compare' => $date_comparator
				),
				array(
					'key'     => $end_date_key_filter,
					'value'   => null,
					'type'    => 'numeric',
					'compare' => $date_comparator
				),
			);
		}

		if ( WPJ_Form::get( 'category' ) ) {
			$request_category = array(
				'taxonomy' => 'request_cat',
				'field'    => 'slug',
				'terms'    => WPJ_Form::get( 'category' ) . '-req'
			);
		} else {
			$request_category = '';
		}

		$meta_querya = apply_filters( 'wpj_slider_search_extra_fields', $meta_querya );

		isset( $budget_from )      && $budget_from      ? array_push( $meta_querya, $budget_from )      : "";
		isset( $budget_to )        && $budget_to        ? array_push( $meta_querya, $budget_to )        : "";
		isset( $start_date )       && $start_date       ? array_push( $meta_querya, $start_date )       : "";
		isset( $end_date )         && $end_date         ? array_push( $meta_querya, $end_date )         : "";
		isset( $max_days )         && $max_days         ? array_push( $meta_querya, $max_days )         : "";
		isset( $request_deadline ) && $request_deadline ? array_push( $meta_querya, $request_deadline ) : "";
		array_push( $meta_querya, wpj_get_user_requests( '', 'active', 'query' ) );

		$request_tag = WPJ_Form::get( 'tag', '' ) ? str_replace( ' ', '-', WPJ_Form::get( 'tag', '' ) ) : '';

		$args = array(
			'posts_per_page'        => get_option( 'posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
			'post_status'           => 'publish',
			'post_type'             => 'request',
			'tag'                   => $request_tag,
			'order'                 => $order,
			'meta_query'            => $meta_querya,
			'meta_key'              => $meta_key,
			'orderby'               => $orderby,
			'force_no_custom_order' => $force_no_custom_order,
			'tax_query'             => array( $request_category ),
			'params'                => 'search_request',
			'search_args'           => array(
				'latitude'  => WPJ_Form::get( 'latitude', $lat_default ),
				'longitude' => WPJ_Form::get( 'longitude', $lng_default ),
				'location'  => WPJ_Form::get( 'location', $location_default ),
				'radius'    => WPJ_Form::get( 'radius', '' ),
				'term'      => WPJ_Form::get( 'term', '' ),
			)
		);

		$args = $args + array( 'function_name' => 'wpj_show_request_content', 's' => $term );

		$wpj_job = new WPJ_Load_More_Posts( $args );

		if ( $wpj_job->have_rows() ) {
			$wpj_job->show_posts_list_func();
		} else {
			echo '<div class="no-results">' . __( 'No results found.', 'wpjobster' ) . '</div>';
		} ?>

	</div>

<?php }
