<?php
// Show job categories
wpj_add_shortcode( 'wpj_list_categories', 'wpjobster_list_all_job_categories_function' );
if ( ! function_exists( 'wpjobster_list_all_job_categories_function' ) ) {
	function wpjobster_list_all_job_categories_function( $atts = '' ) {
		$ret = '';

		$attr = shortcode_atts( array(
			'taxonomy'    => 'job_cat',
			'show_childs' => false,
			'hide_empty'  => false,
		), $atts );

		$cond_arr = array( 'taxonomy' => $attr['taxonomy'], 'orderby' => 'name', 'order' => 'ASC' );
		if ( ! $attr['show_childs'] ) { $cond_arr['parent'] = 0; }
		if ( ! $attr['hide_empty'] ) { $cond_arr['hide_empty'] = 0; }

		$cats = get_categories( $cond_arr );
		if ( $cats ) {
			$ret .= '<ul class="categories-list">';
				foreach ( $cats as $cat ) {
					$ret .= '<li><a href="' . get_category_link( $cat->term_id ) . '">' . $cat->name . '</a></li>';
				}
			$ret .= '</ul>';
		}

		return $ret;
	}
}

// Show request categories
wpj_add_shortcode( 'request-category-lists', 'wpjobster_list_all_request_categories_function' );
if ( ! function_exists( 'wpjobster_list_all_request_categories_function' ) ) {
	function wpjobster_list_all_request_categories_function( $atts = '' ) { ob_start();

		$taxonomy_name         = 'request_cat';
		$term                  = get_term_by( 'slug', '', $taxonomy_name );
		$hide_empty_categories = get_option( 'wpjobster_display_request_empty_categories' ) == 'yes' ? false : true;
		$terms                 = get_terms($taxonomy_name, array( 'hide_empty' => $hide_empty_categories ) );

		if ( count( $terms ) > 0 ) { ?>

			<div class="ui segment">
				<ul class="xoxo xyxy">
					<div class="new-subcategory-listing">
						<ul>
							<?php foreach( $terms as $trm ) {
								if ( $trm->parent == 0 ) { ?>
									<li><a href="<?php echo get_term_link( $trm, $taxonomy_name ) ?>"><?php echo $trm->name ?></a></li>
								<?php }
							} ?>
						</ul>
					</div>
				</ul>
			</div>

		<?php }

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

// Show category URL
wpj_add_shortcode( 'wpj_category_url', 'wpj_get_job_category_link' );
function wpj_get_job_category_link( $atts ) {

	$a = shortcode_atts( array(
		'category'  => 0,
	), $atts );
	$category       = $a['category'];

	// if id
	if ( ctype_digit( $category ) || is_int( $category ) ) {
		return get_category_link( $category );
	}

	// if slug
	$this_term = get_term_by( 'slug', $category, 'job_cat' );

	// if name
	if ( ! $this_term ) {
		$this_term = get_term_by( 'name', $category, 'job_cat' );
	}

	// avoid warnings
	if ( isset( $this_term->term_id ) && is_numeric( $this_term->term_id ) ) {
		$category_id = $this_term->term_id;
	} else {
		$category_id = 0;
	}

	return get_category_link( $category_id );
}

// Popular categories shortcode - [popular_categories]
wpj_add_shortcode( 'popular_categories', 'popular_categories_s' );
if ( ! function_exists( 'popular_categories_s' ) ) {
	function popular_categories_s() { ob_start();

		show_popular_terms( 'job_cat', 6 );

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}
