<?php
wpj_add_shortcode( 'total_posted_jobs', 'wpj_count_total_posted_jobs_fnc' );
function wpj_count_total_posted_jobs_fnc() {
	return wp_count_posts( 'job' )->publish;
}

wpj_add_shortcode( 'total_posted_requests', 'wpj_count_total_posted_requests_fnc' );
function wpj_count_total_posted_requests_fnc() {
	return wp_count_posts( 'request' )->publish;
}

wpj_add_shortcode( 'total_amount_spent', 'wpj_count_total_amount_spent_fnc' );
function wpj_count_total_amount_spent_fnc( $atts = '' ) {
	$atts = shortcode_atts( array(
		'by_user' => false,
	), $atts );

	if ( $atts['by_user'] ) {
		return wpj_get_shopping_total_spent_price( get_current_user_id() );
	} else {
		global $wpdb;

		$query = "
			SELECT * FROM {$wpdb->prefix}job_orders WHERE done_seller = '0' AND done_buyer = '0' AND date_finished = '0' AND closed = '0' AND payment_status != 'pending'
			UNION ALL
			SELECT * FROM {$wpdb->prefix}job_orders WHERE completed = '1' OR done_seller = '1'
		";

		$total_spent_results = $wpdb->get_results( $query );

		$transaction_amount_total = 0;

		if ( $total_spent_results ) {
			foreach ( $total_spent_results as $key => $row ) {

				$trans_amount = explode( '|', $row->final_paidamount );

				if ( $trans_amount[0] && $trans_amount[0] != wpjobster_get_currency_classic() ) {
					$currency_from = $trans_amount[0];
					$currency_to   = wpjobster_get_currency_classic();

					$transaction_amount = get_exchange_value( $trans_amount[1], $currency_from, $currency_to );
				} else {
					$transaction_amount = $trans_amount[1];
				}

				$transaction_amount_total += floatval( $transaction_amount );
			}
		}

		return $transaction_amount_total > 0 ? wpjobster_get_show_price( $transaction_amount_total ) : "0";
	}
}



wpj_add_shortcode( 'total_completed_jobs', 'wpj_count_total_completed_jobs_fnc' );
function wpj_count_total_completed_jobs_fnc( $atts = '' ) {
	$atts = shortcode_atts( array(
		'by_user' => false,
	), $atts );

	if ( $atts['by_user'] ) {

		if ( $atts['by_user'] != 'sales' ) {
			return wpj_get_shopping_orders_count( get_current_user_id(), 'completed' ) ? intval( wpj_get_shopping_orders_count( get_current_user_id(), 'completed' ) ) : __( 'None', 'wpjobster' );
		} else {
			return wpj_get_sales_orders_count( get_current_user_id(), 'completed' ) ? intval( wpj_get_sales_orders_count( get_current_user_id(), 'completed' ) ) : __( 'None', 'wpjobster' );
		}

	} else {

		global $wpdb;
		return count( $wpdb->get_results( "SELECT id FROM {$wpdb->prefix}job_orders WHERE completed = '1'" ) );

	}
}
