<?php
function wpj_get_email_shortcode_attr_value( $shortcode = array(), $param ) {
	if ( isset( $shortcode[1] ) ) {

		$shortcode_atts = explode( ' ', $shortcode[1] );

		if ( $shortcode_atts ) {
			foreach ( $shortcode_atts as $key => $value ) {

				if ( strpos( $value, $param ) !== false ) {
					$val_arr = explode( '=', $value );
					return ! empty( $val_arr[1] ) ? $val_arr[1] : false;
				}

			}
		}

	}

	return false;
}

/* Template - Cards */
function wpj_get_email_shortcode_template( $results = array() ) {

	$jobs_list = '<table align="center">';

		if ( $results ) { $i = 0;

			$count = count( $results );

			foreach ( $results as $key => $result ) {

				$userdata = get_userdata( $result->post_author );

				$packages          = get_post_meta( $result->ID, 'job_packages', true );
				$package_price     = get_post_meta( $result->ID, 'package_price', true );
				$job_price_display = wpjobster_get_show_price( get_post_meta( $result->ID, 'price', true ), 2, true );

				if ( $count >= 3 ) { $width_value = '33.33333333%'; }
				if ( $count == 2 ) { $width_value = '50%'; }
				if ( $count == 1 ) { $width_value = '100%'; }

				if ( $i == 0 ) { $jobs_list .= '<tr style="display: flex;">'; }

					$jobs_list .= '<td width="' . $width_value . '" style="margin: .5em; max-width: 100%; min-height: 0px; background: #fdfdfd; padding-bottom: 5px; border: 1px solid #e7e8e9;">';

						// Image
						$jobs_list .= '<a href="' . get_permalink( $result->ID ) . '" style="display: block; width: 100%; background: #000; padding: 0em; cursor: pointer;">';

							$jobs_list .= '<div style="width:100%; height: 100px; display: flex;">';

								$jobs_list .= '<img style="display: block; height: auto; max-width: 100%; max-height: 100%; margin: 0 auto;" src="' . wpjobster_get_job_image( $result->ID ) . '" />';

							$jobs_list .= '</div>';

						$jobs_list .= '</a>';

						// Title
						$jobs_list .= '<div style="padding: .75em 1em; border: none; border-top: 1px solid rgba(34, 36, 38, 0.1); background: none; margin: 0em; font-size: 1em; text-overflow: ellipsis; overflow: hidden; width: 160px; white-space: nowrap;">';

							$jobs_list .= '<a href="' . get_permalink( $result->ID ) . '" title="">' . $result->post_title . '</a>';

						$jobs_list .= '</div>';

						// User & Price
						$jobs_list .= '<div style="padding: .6em .5em .75em .1em; border: none; border-top: 1px solid rgba(34, 36, 38, 0.1); background: none; margin: 0em; font-size: 1em;">';

							// Avatar
							$jobs_list .= '<div style="float: left;">';

								$jobs_list .= '<a style="width: 2.5em; height: 2.5em; margin-top: -2px; margin-left: 0; margin-right: .5em; cursor: pointer; position: relative; display: inline-block; vertical-align: middle; max-width: 100%; background-color: transparent;" href="' . wpj_get_user_profile_link( $userdata->user_login ) . '">';

									$jobs_list .= '<img style="width: 2.5em; height: 2.5em; margin-left: 0; margin-right: .5em; display: inline-block; vertical-align: middle;max-width: 100%;" src="' . wpjobster_get_avatar( $result->post_author, 28, 28 ) . '">';

								$jobs_list .= '</a>';

							$jobs_list .= '</div>';

							// Price
							$jobs_list .= '<div style="font-size: 1.2em; font-weight: 700; line-height: 15px; float: right; text-align: right;">';

								if ( $packages == 'yes' && $package_price ) {

									$package_price = array_diff( $package_price, array( null ) );

									$jobs_list .= '<span style="text-transform: uppercase; font-size: .714rem; vertical-align: middle; font-weight: 700; display: block;">' . __( 'Starting at', 'wpjobster' ) . ' </span>' . wpjobster_get_show_price( min( $package_price ) );

								} elseif ( get_post_meta( $result->ID, 'price_type', true ) ) {

									$jobs_list .= '<span style="text-transform: uppercase; font-size: .714rem; vertical-align: middle; font-weight: 700; display: block;">' . apply_filters( 'wpj_price_type_filter', sprintf( __( '%s Rate', 'wpjobster' ), wpjobster_translate_string( get_post_meta( $result->ID, 'price_type', true ) ) ), $result->ID ) . ' </span>' . $job_price_display;

								} else {

									$jobs_list .= $job_price_display;

								}

							$jobs_list .= '</div>';

						$jobs_list .= '</div>';

					$jobs_list .= '</td>';

					$i++;

				if ( $i == 3 ) { $jobs_list .= '</tr>'; $i = 0; }
			}
		} else {
			$jobs_list .= __( 'No active jobs', 'wpjobster' );
		}

	$jobs_list .= '</table>';

	return $jobs_list;
}

/**
 * List Latest Jobs - Email Shortcode {job_listings}
 *
 * arguments      | accepts         | default
 * ----------------------------------------------------
 * category       | (id/slug/name)  | all
 * featured       | true/false      | false
 * posts_per_page | (int)           | 12
 */

add_filter( "newsletter_replace", "wpj_email_job_listings_shortcode", 10, 3 ); // newsletter plugin
add_filter( "wpj_email_message_filter", "wpj_email_job_listings_shortcode", 10, 1 ); // wpj emails
function wpj_email_job_listings_shortcode( $text = '', $user_data = '', $email = '' ) {

	$user    = isset( $user_data->email ) ? get_user_by( 'email', $user_data->email ) : ( $email ? get_user_by( 'email', $email ) : '' );
	$user_id = is_object( $user ) ? $user->ID : get_current_user_id();

	/* LATEST JOBS */
	if ( strpos( $text, '{job_listings' ) !== false ) {

		preg_match( '~\{job_listings([^}]*)\}~', $text, $shortcode );
		$shortcode = array_map( 'trim', $shortcode );

		$posts_per_page = wpj_get_email_shortcode_attr_value( $shortcode, 'posts_per_page' );
		$posts_per_page = $posts_per_page ? intval( $posts_per_page ) : 12;

		$category = wpj_get_email_shortcode_attr_value( $shortcode, 'category' );
		$featured = wpj_get_email_shortcode_attr_value( $shortcode, 'featured' );

		// Category
		$this_term = ctype_digit( $category ) || is_int( $category ) ? get_term_by( 'id', $category, 'job_cat' ) : false;
		$this_term = ! $this_term ? get_term_by( 'slug', $category, 'job_cat' ) : $this_term;
		$this_term = ! $this_term ? get_term_by( 'name', $category, 'job_cat' ) : $this_term;

		$category_id = isset( $this_term->term_id ) && is_numeric( $this_term->term_id ) ? $this_term->term_id : 0;

		$tax_query = $category_id ? array(
			array(
				'taxonomy' => 'job_cat',
				'field'    => 'term_id',
				'terms'    => array( $category_id ),
			),
		) : array();

		// Query
		$args = array(
			'post_status'    =>'publish',
			'posts_per_page' => $posts_per_page,
			'post_type'      => 'job',
			'tax_query'      => $tax_query,
			'order'          => 'DESC',
			'meta_query'     => array(
				array(
					'key'     => 'active',
					'value'   => '1',
					'compare' => '='
				)
			)
		);

		// Featured
		if ( $featured && get_option( 'wpjobster_featured_enable' ) == 'yes' ) {
			$args['meta_key'] = 'home_featured_now';
			$args['orderby']  = array( 'meta_value' => 'ASC', 'date' => 'DESC' );
		} else {
			$args['orderby']  = 'date';
		}

		$results   = get_posts( $args );

		$jobs_list = wpj_get_email_shortcode_template( $results );

		$text      = str_replace( $shortcode[0], $jobs_list, $text );
	}

	/* JOBS VIEWED */
	if ( strpos( $text, '{job_viewed_listings' ) !== false ) {

		preg_match( '~\{job_viewed_listings([^}]*)\}~', $text, $shortcode );
		$shortcode = array_map( 'trim', $shortcode );

		$user_id_param = wpj_get_email_shortcode_attr_value( $shortcode, 'user_id' );
		$user_id = $user_id_param ? intval( $user_id_param ) : $user_id;

		$posts_per_page = wpj_get_email_shortcode_attr_value( $shortcode, 'posts_per_page' );
		$posts_per_page = $posts_per_page ? intval( $posts_per_page ) : 12;

		$args = array(
			'post_type'           => 'job',
			'posts_per_page'      => $posts_per_page,
			'post__in'            => get_user_meta( $user_id, 'last_viewed', true ),
			'ignore_sticky_posts' => true,
			'orderby'             => 'post__in'
		);

		$results   = get_user_meta( $user_id, 'last_viewed', true ) ? get_posts( $args ) : '';

		$jobs_list = wpj_get_email_shortcode_template( $results );

		$text      = str_replace( $shortcode[0], $jobs_list, $text );

	}

	/* JOBS CHECKOUT VIEWED */
	if ( strpos( $text, '{job_checkout_viewed_listings' ) !== false ) {

		preg_match( '~\{job_checkout_viewed_listings([^}]*)\}~', $text, $shortcode );
		$shortcode = array_map( 'trim', $shortcode );

		$user_id_param = wpj_get_email_shortcode_attr_value( $shortcode, 'user_id' );
		$user_id = $user_id_param ? intval( $user_id_param ) : $user_id;

		$posts_per_page = wpj_get_email_shortcode_attr_value( $shortcode, 'posts_per_page' );
		$posts_per_page = $posts_per_page ? intval( $posts_per_page ) : 12;

		$args = array(
			'post_type'           => 'job',
			'posts_per_page'      => $posts_per_page,
			'post__in'            => get_user_meta( $user_id, 'last_checkout_viewed', true ),
			'ignore_sticky_posts' => true,
			'orderby'             => 'post__in'
		);

		$results   = get_user_meta( $user_id, 'last_checkout_viewed', true ) ? get_posts( $args ) : '';

		$jobs_list = wpj_get_email_shortcode_template( $results );

		$text      = str_replace( $shortcode[0], $jobs_list, $text );

	}

	return apply_filters( 'wpj_email_job_listings_filter', $text, $user_data );
}