<?php
// [wpj_site_url]
wpj_add_shortcode( 'wpj_site_url', 'wpj_get_site_url' );
function wpj_get_site_url() {
	return get_site_url();
}

// [wpj_empty_placeholder]
wpj_add_shortcode( 'wpj_empty_placeholder', 'wpj_empty_shortcode' );
function wpj_empty_shortcode() {
	// does nothing;
	// useful as a space placeholder in pagebuilder's code,
	// when other shortcodes like [rev_slider] display 0px x 0px
	return;
}

// [user_welcome_box]
wpj_add_shortcode( 'user_welcome_box', 'welcomebox_s' );
if ( ! function_exists( 'welcomebox_s' ) ) {
	function welcomebox_s( $atts = '' ) { ob_start();
		global $current_user;

		$atts = shortcode_atts( array(
			'include_job' => false,
		), $atts );

		$is_seller = apply_filters( 'display_or_hide_section_filter', true, $current_user->ID ); ?>

		<div class="ui segment">

			<div class="floating-objects">

				<h3><?php echo sprintf( __( "Hi, %s", "wpjobster" ), wpj_get_user_display_type( $current_user->ID ) ); ?></h3>

				<p><?php _e( "Request the service you are looking for.", "wpjobster" ); ?></p>

				<div class="sidebar-request-btn">
					<a href="<?php echo wpj_get_new_request_link(); ?>" class="ui fluid button" title=""><?php _e( "Post a Request", "wpjobster" ); ?></a>
				</div>

				<?php if ( $is_seller && $atts['include_job'] ) { ?>

					<p><?php _e( "Post the service you offer.", "wpjobster" ); ?></p>

					<div class="sidebar-request-btn">
						<a href="<?php echo wpj_get_new_job_link(); ?>" class="ui fluid button" title=""><?php _e( "Post a Service", "wpjobster" ); ?></a>
					</div>

				<?php } ?>

			</div>

		</div>

		<?php $output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}
