<?php
// Job Listing Shortcode for 3 columns [job_listings_3]
wpj_add_shortcode( 'job_listings_3', 'job_listings_3_s' );
if ( ! function_exists( 'job_listings_3_s' ) ) {
	function job_listings_3_s(  $atts ) { ob_start();

		$atts = shortcode_atts( array(
			'type' => 'load_more'
		), $atts );

		$load_type = $atts['type'] ? $atts['type'] : 'load_more';

		wpj_latest_jobs( 3, $load_type );

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

// Job Listing Shortcode for 4 columns [job_listings_4]
wpj_add_shortcode( 'job_listings_4', 'job_listings_4_s' );
if ( ! function_exists( 'job_listings_4_s' ) ) {
	function job_listings_4_s( $atts ) { ob_start();

		$atts = shortcode_atts( array(
			'type' => 'load_more'
		), $atts );

		$load_type = $atts['type'] ? $atts['type'] : 'load_more';

		wpj_latest_jobs( 4, $load_type );

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

/**
 * List Jobs Shortcode [list_jobs]
 *
 * arguments  | accepts         | default
 * ----------------------------------------------------
 * category   | (id/slug/name)  | all
 * featured   | true/false      | false
 * jobs       | (int)           | 4
 * columns    | 3/4             | 4
 * showtitle  | true/false      | true
 * order      | new/old/random  | false (site settings)
 */

wpj_add_shortcode( 'list_jobs', 'wpjobster_list_jobs_s' );
if ( ! function_exists( 'wpjobster_list_jobs_s' ) ) {
	function wpjobster_list_jobs_s( $atts ) {

		ob_start();

		$a = shortcode_atts( array(
			'category'  => 0,
			'jobs'      => 4,
			'columns'   => 4,
			'showtitle' => true,
			'order'     => false,
			'featured'  => false,
		), $atts );

		$posts_per_page = $a['jobs'];
		$category       = $a['category'];
		$columns        = $a['columns'];
		$columns_class  = ( $columns == 3 ) ? 'ui three cards' : 'ui four cards';
		$showtitle      = filter_var( $a['showtitle'], FILTER_VALIDATE_BOOLEAN );
		$order          = $a['order'];
		$featured       = filter_var( $a['featured'], FILTER_VALIDATE_BOOLEAN );

		if ( ctype_digit( $category ) || is_int( $category ) ) {
			$this_term = get_term_by( 'id', $category, 'job_cat' );
		} else {
			$this_term = false;
		}

		if ( ! $this_term ) {
			$this_term = get_term_by( 'slug', $category, 'job_cat' );
		}

		if ( ! $this_term ) {
			$this_term = get_term_by( 'name', $category, 'job_cat' );
		}

		if ( isset( $this_term->term_id ) && is_numeric( $this_term->term_id ) ) {
			$category_id = $this_term->term_id;
		} else {
			$category_id = 0;
		}

		if ( isset( $this_term->name ) && ! empty( $this_term->name ) ) {
			$category_link = '<a href="' . get_term_link( $this_term ) . '">' . $this_term->name . '</a>';
		} elseif ( $featured ) {
			$category_link = __( 'Featured Services', 'wpjobster' );
		} else {
			$category_link = __( 'Popular Services', 'wpjobster' );
		}

		if ( $order == 'new' || $order == 'old' || $order == 'random' || $order == 'rand' ) {
			$jobs_order = $order;
		} else {
			$jobs_order = get_option( 'wpjobster_jobs_order' );
		}

		if ( $jobs_order == 'new' ) {
			$orderby_featured     = array( 'meta_value' => 'ASC', 'date' => 'DESC' );
			$order_non_featured   = 'DESC';
			$orderby_non_featured = 'date';
		}
		elseif ( $jobs_order == 'old' ) {
			$orderby_featured     = array( 'meta_value' => 'ASC', 'date' => 'ASC' );
			$order_non_featured   = 'ASC';
			$orderby_non_featured = 'date';
		}
		else {
			$orderby_featured     = array( 'meta_value' => 'ASC', 'rand' => 'rand' );
			$order_non_featured   = 'RAND';
			$orderby_non_featured = 'rand';
		}

		$meta_query = array(
			array(
				'key'     => 'active',
				'value'   => '1',
				'compare' => '='
			)
		);

		$tax_query = $category_id ? array(
			array(
				'taxonomy' => 'job_cat',
				'field'    => 'term_id',
				'terms'    => array( $category_id ),
			),
		) : array();

		$paged = 1;

		$featured_enabled = get_option( 'wpjobster_featured_enable' );
		if ( $featured && $featured_enabled == 'yes' ) {
			$args = array(
				'post_type'      => 'job',
				'tax_query'      => $tax_query,
				'paged'          => $paged,
				'posts_per_page' => $posts_per_page,
				'post_status'    => 'publish',
				'order'          => 'DESC',
				'meta_query'     => $meta_query,
				'meta_key'       => 'home_featured_now',
				'orderby'        => $orderby_featured
			);
		} else {
			$args = array(
				'post_type'      => 'job',
				'tax_query'      => $tax_query,
				'paged'          => $paged,
				'posts_per_page' => $posts_per_page,
				'post_status'    => 'publish',
				'order'          => $order_non_featured,
				'meta_query'     => $meta_query,
				'orderby'        => $orderby_non_featured,
			);
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) {

			if ( $showtitle ) {
				echo '<h2 class="heading-title fancy-underline heading-homepage">' . $category_link . '</h2>';
			}

			echo '<div class="' . $columns_class . '">';

				$card_style = wpj_get_job_card_style();
				while ( $the_query->have_posts() ) {
					$the_query->the_post();
					if ( ! $card_style ) {
						wpj_get_user_post_tumb_card();
					} else {
						$card_style();
					}
				}

			echo '</div>';

			wp_reset_postdata();
		}

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

// Featured Categories Shortcode [featured_categories_list]
wpj_add_shortcode( 'featured_categories_list', 'featured_categories_s' );
if ( ! function_exists( 'featured_categories_s' ) ) {
	function featured_categories_s() { ob_start();

		$homepage_id = get_option( "main_page_url" ); ?>

		<div class="ui four cards">

			<?php if ( have_rows( 'featured_category', $homepage_id ) ) {
				while ( have_rows( 'featured_category', $homepage_id ) ) { the_row();

					$featured_category_object = get_sub_field( 'featured_category_id' );
					if ( $featured_category_object ) {
						$featured_category_id    = $featured_category_object->term_id;
						$featured_category_image = get_sub_field( 'featured_category_image' );

						$image_src = get_theme_mod( 'no_image_icon_options_job' ) != '' ? get_theme_mod( 'no_image_icon_options_job' ) : get_template_directory_uri() . '/assets/images/placeholder.png';
						$img = apply_filters( 'wpj_placeholder_image_url_filter', $image_src, 'jobs' ); ?>

						<div class="ui card">
							<a class="image" href="<?php echo get_term_link( $featured_category_id, 'job_cat' ); ?>">
								<div class="card-image-helper">

									<?php if ( $featured_category_image['sizes']['thumb_picture_size'] ) { ?>
										<img src="<?php echo $featured_category_image['sizes']['thumb_picture_size']; ?>" alt="<?php echo $featured_category_object->name; ?>">
									<?php } else {
										echo '<a href="' . get_permalink() . '">' . '<img class="image_class" src="' . $img . '" width="100" height="100" />' . '</a>';
									} ?>

								</div>
							</a>

							<div class="content card-pusher-cover">
								<a class="header center" href="<?php echo get_term_link( $featured_category_id, 'job_cat' ); ?>">
									<?php echo $featured_category_object->name; ?>
								</a>
							</div>
						</div>

					<?php }
				}
			} wp_reset_query(); ?>

		</div>

		<?php $output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

// Recently viewed jobs shortcode - [recently_viewed_jobs]
wpj_add_shortcode( 'recently_viewed_jobs', 'recently_viewed_jobs_s' );
if ( ! function_exists( 'recently_viewed_jobs_s' ) ) {
	function recently_viewed_jobs_s() { ob_start();

		$last_viewed = get_user_meta( get_current_user_id(), 'last_viewed', true );

		if ( $last_viewed ) {
			$args = array(
				'post_type'           => 'job',
				'posts_per_page'      => 5,
				'post__in'            => $last_viewed,
				'ignore_sticky_posts' => true,
				'orderby'             => 'post__in'
			);

			query_posts( $args );

			if ( have_posts() ) { ?>

				<div class="ui segment">
					<div class="last-viewed-posts">

						<h4><?php _e( "Recently Viewed", "wpjobster" ); ?></h4>

						<?php while( have_posts() ) { the_post(); ?>

							<div class="recently-v-box">
								<div class="image">
									<a href="<?php the_permalink(); ?>">
										<?php $img = wpjobster_get_job_image(); ?>
										<img src="<?php echo $img; ?>" alt="">
									</a>
								</div>

								<h5><a href="<?php the_permalink(); ?>"><?php echo wpjobster_better_trim( get_the_title(), 55, '...' ); ?></a></h5>
							</div>

						<?php } ?>

					</div>

					<?php wp_reset_query(); ?>
				</div>

			<?php }
		}

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

// Recently bought job shortcode - [recently_bought_job]
wpj_add_shortcode( 'recently_bought_job', 'recently_bought_job_s' );
if ( ! function_exists( 'recently_bought_job_s' ) ) {
	function recently_bought_job_s() { ob_start();

		global $wpdb;

		$uid = get_current_user_id();

		$query = "
			SELECT pid AS last_bought
			FROM {$wpdb->prefix}job_orders orders
			WHERE orders.uid           = '{$uid}'
				AND orders.completed   = '1'
				AND orders.done_buyer  = '1'
				AND orders.done_seller = '1'
				AND orders.closed      = '0'
			ORDER BY orders.date_made DESC
		";

		$get_bought_jobs = $wpdb->get_results( $query );

		$last_bought_job_only_id = '';

		foreach ( $get_bought_jobs as $row_get_bought_jobs ) {
			$last_bought_job_only = get_post( $row_get_bought_jobs->last_bought );

			if ( $last_bought_job_only && $last_bought_job_only->post_type == 'job' && $last_bought_job_only->post_status == 'publish' ) {
				$last_bought_job_only_id    = $last_bought_job_only->ID;
				$last_bought_job_only_title = $last_bought_job_only->post_title;
				break;
			}
		}

		if ( $last_bought_job_only_id ) { ?>

			<div class="ui segment">
				<div class="last-viewed-posts recently-bought">
					<h4><?php _e( "Recently Bought", "wpjobster" ); ?></h4>

					<div class="recently-v-box">
						<div class="image">
							<a href="<?php echo get_post_permalink( $last_bought_job_only_id ); ?>">
								<?php $pic_id = wpjobster_get_first_post_image_by( $last_bought_job_only_id );

								if ( $pic_id != false ) {
									$img = wpj_get_attachment_image_url( $pic_id, 'thumb_picture_size' );
								} else {
									$img = apply_filters( 'wpj_placeholder_image_url_filter', get_template_directory_uri() . '/assets/images/placeholder.png', 'jobs' );
								} ?>
								<img src="<?php echo $img; ?>" alt="">
							</a>
						</div>

						<h5><a href="<?php echo get_post_permalink( $last_bought_job_only_id ); ?>"><?php echo $last_bought_job_only_title; ?></a></h5>
					</div>

					<a class="ui fluid button" href="<?php echo get_post_permalink( $last_bought_job_only_id ); ?>" class="green btn"><?php _e( "Buy it Again", "wpjobster" ); ?></a>
				</div>
			</div>

		<?php }

		$output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}
