<?php

// Level 1 shortcode [show_level_one]
wpj_add_shortcode( 'show_level_one', 'show_level_one_s' );
if ( ! function_exists( 'show_level_one_s' ) ) {
	function show_level_one_s() { ob_start(); ?>

		<div class="level-container">
			<div class="level-photo">

				<?php if ( get_field( 'level_1_image' ) ) { ?>

					<img src="<?php the_field( 'level_1_image' ); ?>" width="255" height="255" />

				<?php } else { ?>

					<img src="<?php echo get_template_directory_uri(); ?>/assets/images/image1.jpg" alt="server">

				<?php } ?>

				<div class="level-icon">

					<?php if ( get_theme_mod( 'level1_icon_options_user' ) ) { ?>

						<img src="<?php echo get_theme_mod( 'level1_icon_options_user' ); ?>" width="255" height="255" />

					<?php } else { ?>

						<img src="<?php echo get_template_directory_uri(); ?>/assets/images/level-1-icon.png" alt="server">

					<?php } ?>

				</div>

			</div>
		</div>

		<?php $output = ob_get_contents(); ob_end_clean();

		return $output;

	}
}

// Level 2 shortcode [show_level_two]
wpj_add_shortcode( 'show_level_two', 'show_level_two_s' );
if ( ! function_exists( 'show_level_two_s' ) ) {
	function show_level_two_s() { ob_start(); ?>

		<div class="level-container">
			<div class="level-photo">

				<?php if ( get_field( 'level_2_image' ) ) { ?>

					<img src="<?php the_field( 'level_2_image' ); ?>" width="255" height="255" />

				<?php } else { ?>

					<img src="<?php echo get_template_directory_uri(); ?>/assets/images/image2.jpg" alt="server">

				<?php } ?>

				<div class="level-icon">

					<?php if ( get_theme_mod( 'level2_icon_options_user' ) ) { ?>

						<img src="<?php echo get_theme_mod( 'level2_icon_options_user' ); ?>" width="255" height="255" />

					<?php } else { ?>

						<img src="<?php echo get_template_directory_uri(); ?>/assets/images/level-2-icon.png" alt="server">

					<?php } ?>

				</div>

			</div>
		</div>

		<?php $output = ob_get_contents(); ob_end_clean();

		return $output;

	}
}

// Level 3 shortcode [show_level_three]
wpj_add_shortcode( 'show_level_three', 'show_level_three_s' );
if ( ! function_exists( 'show_level_three_s' ) ) {
	function show_level_three_s() { ob_start(); ?>

		<div class="level-container">
			<div class="level-photo">

				<?php if ( get_field( 'level_3_image' ) ) { ?>

					<img src="<?php the_field( 'level_3_image' ); ?>" width="255" height="255" />

				<?php } else { ?>

					<img src="<?php echo get_template_directory_uri(); ?>/assets/images/image3.jpg" alt="server">

				<?php } ?>

				<div class="level-icon">

					<?php if ( get_theme_mod( 'level3_icon_options_user' ) ) { ?>

						<img src="<?php echo get_theme_mod( 'level3_icon_options_user' ); ?>" width="255" height="255" />

					<?php } else { ?>

						<img src="<?php echo get_template_directory_uri(); ?>/assets/images/level-3-icon.png" alt="server">

					<?php } ?>

				</div>

			</div>
		</div>

		<?php $output = ob_get_contents(); ob_end_clean();

		return $output;

	}
}

// Commissions Table shortcode [show_commissions_table]
wpj_add_shortcode( 'show_commissions_table', 'show_commissions_table_s' );
if ( ! function_exists( 'show_commissions_table_s' ) ) {
	function show_commissions_table_s() { ob_start();
		if ( get_option( 'wpjobster_enable_site_fee' ) == 'flexible' ) { ?>

			<div class="commissions-table">
				<div class="ui grid">

					<!-- Table header -->

					<div class="eight wide computer only or tablet only column"><?php _e( "Percent per level", "wpjobster" ); ?></div>

					<?php for ( $i = 0; $i <= 3; $i++ ) { ?>

						<div class="two wide computer only or tablet only column"><span class="primary-text-color"><?php echo wpjobster_translate_string( 'level' . $i . '_lbl' ); ?></span></div>

					<?php }

					// Table body

					for ( $j = 0; $j <= 3; $j++ ) {

						$first_price  = get_option( 'wpjobster_percent_fee_taken_range' . $j . '_base' );
						$first_price  = $first_price ? wpjobster_get_show_price( $first_price ) : wpjobster_get_show_price( 0 );

						$second_price = get_option( 'wpjobster_percent_fee_taken_range' . ( $j + 1 ) . '_base' );
						$second_price = $second_price ? wpjobster_get_show_price( $second_price ) : '';

						$separator    = $second_price ? ' - ' : ' + '; ?>

						<div class="sixteen wide mobile eight wide tablet eight wide computer column"><?php echo sprintf( __( "Commission for values: %s", "wpjobster" ), $first_price . $separator . $second_price ); ?></div>

						<?php for ( $k = 0; $k <= 3; $k++ ) { ?>

							<div class="eight wide mobile two wide tablet two wide computer column">
								<span class="primary-text-color mobile-only-el"><?php echo wpjobster_translate_string( 'level' . $k . '_lbl' ); ?>:</span>
								<?php echo get_option( "wpjobster_percent_fee_taken_range" . $j . "_level" . $k ); ?>%
							</div>

						<?php }
					} ?>

				</div>

			</div>

			<?php $output = ob_get_contents(); ob_end_clean();

			return $output;

		}
	}
}
