<?php
wpj_add_shortcode( 'wpj_site_searchform', 'wpj_site_searchform_fnc' );
if ( ! function_exists( 'wpj_site_searchform_fnc' ) ) {
	function wpj_site_searchform_fnc( $atts ) {
		$a = shortcode_atts( array(
			'post_type'      => 'all',
			'full_searchbar' => 'no',
			'align_center'   => 'yes'
		), $atts );

		$post_type      = $a['post_type'];
		$full_searchbar = $a['full_searchbar'];
		$align_center   = $a['align_center'];

		ob_start(); ?>

		<div class="site-search-bar-wrapper" style="<?php echo $align_center == 'yes' ? 'text-align: center;' : ''; ?>">
			<form method="get" action="<?php echo get_bloginfo( 'url' ); ?>" class="ui form">
				<div class="ui action <?php echo $full_searchbar == 'yes' ? 'fluid' : ''; ?> input">
					<input name="s" type="text" placeholder="<?php _e( 'Search...', 'wpjobster' ); ?>">

					<?php if ( $post_type && in_array( $post_type, array( 'post', 'news', 'job', 'request' ) ) ) { ?>

						<input name="post_type" type="hidden" value="<?php echo $post_type; ?>">

					<?php } ?>

					<button type="submit" class="ui primary button"><?php _e( 'Search', 'wpjobster' ); ?></button>
				</div>
			</form>
		</div>

		<?php $search_html = ob_get_contents(); ob_end_clean();

		return $search_html;
	}
}

// Services search bar - [services_searchbar]
wpj_add_shortcode( 'services_searchbar', 'searchbar_s' );
if ( ! function_exists( 'searchbar_s' ) ) {
	function searchbar_s() { ob_start(); ?>

		<div class="ui segment search-bar">
			<form method="get" action="<?php echo get_default_search(); ?>" class="ui form autocomplete-search">
				<!-- Desktop Search Bar -->
				<div class="ui grid">
					<div class="sixteen wide column hide-on-mobile">
						<div class="ui fluid action input">
							<input type="text" name="term" autocomplete="off" value="<?php if ( ! empty( $term_search ) ) echo htmlspecialchars( $term_search ); ?>" placeholder="<?php _e( 'What are you looking for?', 'wpjobster' ); ?>">
							<button type="submit" class="ui button"><?php _e( 'Find Services', 'wpjobster' ); ?></button>
						</div>
					</div>
				<!-- Mobile Search bar -->
					<div class="sixteen wide column mobile only">
						<div class="ui fluid action input">
							<input type="text" name="term" autocomplete="off" value="<?php if ( ! empty( $term_search ) ) echo htmlspecialchars( $term_search ); ?>" type="text" placeholder="<?php _e( 'Find Services', 'wpjobster' ); ?>">
							<button type="submit" class="ui icon button">
								<i class="search icon"></i>
							</button>
						</div>
					</div>
				</div>
			</form>
		</div>

		<?php $output = ob_get_contents(); ob_end_clean();

		return $output;
	}
}

// Advanced Search Bar for the Slider [advanced-search-slider]
wpj_add_shortcode( 'advanced-search-slider', 'advanced_search_slider' );
if ( ! function_exists( 'advanced_search_slider' ) ) {
	function advanced_search_slider( $atts ) {
		$a = shortcode_atts( array(
			'search-style' => 'white'
		), $atts );

		$search_style       = $a['search-style'];
		$search_style_class = ( $search_style == 'black' ) ? "advanced-search-black" : "advanced-search-white";

		$keyword_placeholder  = __( 'Keyword', 'wpjobster' );
		$invalid_placeholder  = __( 'Invalid Location','wpjobster' );
		$location_placeholder = __( 'Location', 'wpjobster' );
		$search_placeholder   = __( 'Search', 'wpjobster' );

		$search_page_url = get_default_search();
		$selected        = WPJ_Form::get( 'category', '' );
		$category_select = wpjobster_get_categories_name_select( 'job_cat', 'slug', __( 'Categories', 'wpjobster' ), 'adv-srh', 'category', '', $selected );

		$search_keyword    = apply_filters( 'wpj_homepage_search_display_keyword_filter', true );
		$search_location   = apply_filters( 'wpj_homepage_search_display_location_filter', true );
		$search_categories = apply_filters( 'wpj_homepage_search_display_categories_filter', true );

		ob_start(); ?>

		<div class="advanced-search-section <?php echo $search_style_class; ?>">
			<div class="wrapper">
				<form class="hd-advanced-search" method="get" action="<?php echo $search_page_url; ?>">
					<div class="ui large action input dbw100">
						<?php if ( $search_keyword ) { ?>
							<div class="ui icon input wpj-search-autocomplete dbw100">
								<input type="text" class="dbw100" placeholder="<?php echo $keyword_placeholder; ?>" id="term" name="term">
								<i class="icon"></i>
							</div>
						<?php } ?>

						<?php if ( $search_location ) { ?>
							<div class="ui search js-location-autocomplete dbw100">
								<div class="ui clearable input dbw100">
									<input type="text" class="prompt dbw100" placeholder="<?php echo $location_placeholder; ?>" data-replaceplaceholder="<?php echo $invalid_placeholder; ?>" id="location_input" value="" name="location">
									<input type="hidden" name="latitude" id="latitude" value="">
									<input type="hidden" name="longitude" id="longitude" value="">
								</div>
								<div class="results"></div>
							</div>
						<?php } ?>

						<?php if ( $search_categories ) {
							echo $category_select;
						} ?>

						<button class="ui right labeled dbw100 primary icon button">
							<i class="search icon"></i>
							<?php echo $search_placeholder; ?>
						</button>
					</div>
				</form>
			</div>
		</div>

		<?php $search_html = ob_get_contents(); ob_end_clean();

		return $search_html;
	}
}

// Advanced Search Bar [advanced-search]
wpj_add_shortcode( 'advanced-search', 'wpj_advanced_search_shortcode' );
if ( ! function_exists( 'wpj_advanced_search_shortcode' ) ) {
	function wpj_advanced_search_shortcode($atts) {
		$a = shortcode_atts( array(
			'search-style' => 'white'
		), $atts );

		$search_style = $a['search-style'];
		$search_style_class = ( $search_style == 'black' ) ? "advanced-search-black" : "advanced-search-white";

		$keyword_placeholder    = __( 'Keyword', 'wpjobster' );
		$invalid_placeholder    = __( 'Invalid Location','wpjobster' );
		$location_placeholder   = __( 'Location', 'wpjobster' );
		$search_placeholder     = __( 'Search', 'wpjobster' );

		$search_page_url = get_default_search();

		$selected = WPJ_Form::get( 'category', '' );

		$category_select = wpjobster_get_categories_name_select( 'job_cat', 'slug', __( 'Categories', 'wpjobster' ), 'categories_select', 'category', '', $selected );

		$search_keyword    = apply_filters( 'wpj_homepage_search_display_keyword_filter', true );
		$search_location   = apply_filters( 'wpj_homepage_search_display_location_filter', true );
		$search_categories = apply_filters( 'wpj_homepage_search_display_categories_filter', true );

		ob_start(); ?>

		<div class="advanced-search-section advanced-search-regular <?php echo $search_style_class; ?>">
			<div class="cf">
				<div class="advanced-search-wrapper">
					<form class="hd-advanced-search" method="get" action="<?php echo $search_page_url; ?>">
						<?php if ( $search_keyword ) { ?>
							<div class="text-block">
								<input type="text" placeholder="<?php echo $keyword_placeholder; ?>" class="hd-big-search" id="term" name="term">
							</div>
						<?php } ?>

						<?php if ( $search_location ) { ?>
							<div class="text-block">
								<input type="text" data-replaceplaceholder="<?php echo $invalid_placeholder; ?>" placeholder="<?php echo $location_placeholder; ?>" class="hd-big-search js-location-autocomplete" id="location_input" value="" name="location">
								<input type="hidden" name="latitude" id="latitude" value="">
								<input type="hidden" name="longitude" id="longitude" value="">
							</div>
						<?php } ?>

						<?php if ( $search_categories ) { ?>
							<div class="select-block">
								<?php echo $category_select; ?>
							</div>
						<?php } ?>

						<input type="submit" value="<?php echo $search_placeholder; ?>">
					</form>
				</div>
			</div>
		</div>

		<?php $search_html = ob_get_contents(); ob_end_clean();

		return $search_html;
	}
}

// Basic Search Bar for the Slider [basic_search]
wpj_add_shortcode( 'basic_search', 'wpj_basic_search_shortcode' );
if ( ! function_exists( 'wpj_basic_search_shortcode' ) ) {
	function wpj_basic_search_shortcode( $atts = '' ) {

		$attr = shortcode_atts( array(
			'button_icon'         => 'yes',
			'keyword_placeholder' => '',
			'search_placeholder'  => ''
		), $atts );

		$keyword_placeholder  = $attr['keyword_placeholder'] ? $attr['keyword_placeholder'] : _x( 'Keyword', 'keyword front-end slider', 'wpjobster' );
		$search_placeholder   = $attr['search_placeholder'] ? $attr['search_placeholder'] : _x( 'Search', 'search front-end slider','wpjobster' );

		$search_page_url   = get_default_search();
		$search_keyword    = apply_filters( 'wpj_homepage_search_display_keyword_filter', true );

		ob_start(); ?>

		<div class="basic-search-section">
			<form class="hd-basic-search" method="get" action="<?php echo $search_page_url; ?>">
				<div class="ui large fluid action input">
					<?php if ( $search_keyword ) { ?>
						<div class="ui icon input wpj-search-autocomplete flex-master">
							<input type="text" class="wpj-mobile-small" placeholder="<?php echo $keyword_placeholder; ?>" name="term">
							<i class="icon"></i>
						</div>
					<?php } ?>

					<button class="ui <?php if ( $attr['button_icon'] == 'yes' ) { echo 'right labeled icon'; } ?> primary button flex-slave">
						<?php if ( $attr['button_icon'] == 'yes' ) { ?>
							<i class="search icon"></i>
						<?php }

						echo $search_placeholder; ?>
					</button>
				</div>
			</form>
		</div>

		<?php $search_html = ob_get_contents(); ob_end_clean();

		return $search_html;
	}
}
