<?php
wpj_add_shortcode( 'list_site_users', 'wpj_list_site_users' );
function wpj_list_site_users( $atts = '' ) {
	global $wpdb;

	$atts = shortcode_atts( array(
		'rated_type' => '',
		'user_type'  => '',
		'no'         => '',
		'order'      => ''
	), $atts );

	$rated_type = strtolower( $atts['rated_type'] );
	$user_type  = strtolower( $atts['user_type'] );
	$no         = $atts['no'];
	$order      = $atts['order'];

	if ( strtolower( $order ) == 'username' ) { $order = 'user_login'; }
	elseif ( strtolower( $order ) == 'id' ) { $order = 'ID'; }
	elseif ( strtolower( $order ) == 'new' ) { $order = 'user_registered DESC'; }
	elseif ( strtolower( $order ) == 'old' ) { $order = 'user_registered ASC'; }
	elseif ( strtolower( $order ) == 'rating_asc' ) { $order = 'AVG(rtg.grade) ASC'; }
	elseif ( strtolower( $order ) == 'rating_desc' ) { $order = 'AVG(rtg.grade) DESC'; }

	$all_users_query = "SELECT * FROM {$wpdb->prefix}users";

	if ( strtolower( $atts['order'] ) == 'rating_asc' || strtolower( $atts['order'] ) == 'rating_desc' ) {
		$all_users_query = "SELECT usr.ID, usr.user_login FROM {$wpdb->prefix}users usr, {$wpdb->prefix}job_ratings rtg WHERE usr.ID = rtg.uid AND awarded = 1 GROUP BY usr.ID";
	}
	if ( $order ) {
		$all_users_query .= " ORDER BY {$order}";
	}
	if ( $no ) {
		$all_users_query .= " LIMIT {$no}";
	}
	$all_users_result = $wpdb->get_results( $all_users_query );

	$ret = '<div class="site-users">';

		if ( $all_users_result ) {

			$ret .= '<div class="ui relaxed divided list">';

				foreach ( $all_users_result as $key => $user ) {

					if ( $rated_type == 1 || $rated_type == 'rookie' ) { $user_level = 1; }
					elseif ( $rated_type == 2 || $rated_type == 'master' ) { $user_level = 2; }
					elseif ( $rated_type == 3 || $rated_type == 'top_rated' ) { $user_level = 3; }
					else { $user_level = false; }

					if (
						( $user_level && wpjobster_get_user_level( $user->ID ) == $user_level )
						|| ! $user_level
					) {

						$user_type_defined = $user_type && function_exists( 'is_account_segregation' ) ? true : false;
						if (
							( $user_type_defined && strtolower( wpj_get_user_account_type( $user->ID ) ) == strtolower( $user_type ) )
							|| ! $user_type_defined
						) {

							$rated_users_exists = true;

							$ret .= '<div class="item">';
								$ret .= '<img class="ui avatar image" src="' . wpjobster_get_avatar( $user->ID, 30, 30 ) . '" width="28" height="28" alt="" />';

								$ret .= '<div class="content">';
									$ret .= '<a href="' . wpj_get_user_profile_link( $user->user_login ) . '" class="header">' . wpj_get_user_name_by_id( $user->ID ) . '</a>';
									$ret .= '<div class="description">' . wpj_get_last_visit( $user->ID ) . '</div>';
								$ret .= '</div>';
							$ret .= '</div>';

						}

					}
				}

				if ( ! isset( $rated_users_exists ) ) {
					$ret .= __( 'No rated users.', 'wpjobster' );
				}

			$ret .= '</div>';

		} else {

			$ret .= __( 'No users.', 'wpjobster' );

		}

	$ret .= '</div>';

	return $ret;
}

wpj_add_shortcode( 'count_site_users', 'wpj_count_site_users' );
function wpj_count_site_users( $atts = '' ) {
	$atts = shortcode_atts( array(
		'rated_type' => '',
		'user_type'  => ''
	), $atts );

	$rated_type = strtolower( $atts['rated_type'] );
	$user_type  = strtolower( $atts['user_type'] );

	$ret = '<div class="site-users-count">';

		global $wpdb;

		$all_users_sql = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}users" );

		if ( $all_users_sql ) {
			$user_type_cnt = 0;
			$user_level_cnt = 0;
			$user_type_level_cnt = 0;

			foreach ( $all_users_sql as $key => $user ) {

				// user type
				if (
					$user_type
					&& function_exists( 'is_account_segregation' )
					&& strtolower( wpj_get_user_account_type( $user->ID ) ) == strtolower( $user_type )
				) {
					$user_type_cnt++;
				}

				// user level
				if ( $rated_type == 1 || $rated_type == 'rookie' ) { $user_level = 1; }
				elseif ( $rated_type == 2 || $rated_type == 'master' ) { $user_level = 2; }
				elseif ( $rated_type == 3 || $rated_type == 'top_rated' ) { $user_level = 3; }
				else { $user_level = false; }

				if (
					$rated_type
					&& wpjobster_get_user_level( $user->ID ) == $user_level
				) {
					$user_level_cnt++;
				}

				// user type && user level
				if (
					$user_type && $rated_type
					&& function_exists( 'is_account_segregation' )
					&& strtolower( wpj_get_user_account_type( $user->ID ) ) == strtolower( $user_type )
					&& wpjobster_get_user_level( $user->ID ) == $user_level
				) {
					$user_type_level_cnt++;
				}
			}
		}

		if ( $user_type && $rated_type ) {
			$ret .= $user_type_level_cnt;
		} elseif ( $user_type ) {
			$ret .= $user_type_cnt;
		} elseif ( $rated_type ) {
			$ret .= $user_level_cnt;
		} else {
			$users = count_users();
			$ret .= $users['total_users'];
		}

	$ret .= '</div>';

	return $ret;
}
