<?php
add_action( 'switch_theme', 'wpj_theme_deactivation', 10, 2 );
function wpj_theme_deactivation( $theme_name, $new_theme ) {
	unset( $_GET['action'] );
	include_once ABSPATH . 'wp-admin/themes.php';

	$wpj_plugins    = wpj_get_wpjobster_plugins_list();
	$active_plugins = get_option( 'active_plugins' );
	$common_plugins = array_intersect( $wpj_plugins, $active_plugins );

	if ( ! is_a( $new_theme->parent(), '\WP_Theme' )
		&& $theme_name != 'Jobster'
		&& $theme_name != 'Jobster Child Theme'
		&& $new_theme->get( 'Author' ) != 'WPJobster'
	) {
		if ( $common_plugins ) {
			update_option( 'wpj_active_plugins', $common_plugins );

			include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			deactivate_plugins( $common_plugins );

			foreach ( $common_plugins as $common_plugin ) {
				$plugin_arr = explode( '/', $common_plugin );
				$plugin_name = isset( $plugin_arr[0] ) ? ucwords( str_replace( '-', ' ', $plugin_arr[0] ) ) : __( 'Unknown', 'wpjobster' );

				echo '<div class="error">';
					echo '<p>' . sprintf( __( 'The current theme is not compatible with the plugin %s. Activate the WPJobster theme before installing this plugin.', 'wpjobster' ), $plugin_name ) . '</p>';
				echo '</div>';
			}
		}
	}
}

add_action( 'after_switch_theme', 'wpj_theme_activation' );
function wpj_theme_activation() {
	$wpj_active_plugins = get_option( 'wpj_active_plugins' );

	if ( $wpj_active_plugins && is_array( $wpj_active_plugins ) ) {
		foreach ( $wpj_active_plugins as $wpj_active_plugin ) {
			include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			activate_plugin( $wpj_active_plugin );
		}
	}

	if ( function_exists( 'wpj_get_wpjobster_plugins_list' ) ) {
		$locations = get_theme_mod( 'nav_menu_locations' );
		$locations['wpjobster_header_secondary_menu'] = 0;
		set_theme_mod( 'nav_menu_locations', $locations );
	}

	/* Remove and recreate rewrite rules */
	wpjobster_create_post_type();
	flush_rewrite_rules();
}

/* Keep theme mod from parent to child */
if ( get_stylesheet() !== get_template() ) {

	add_filter( 'pre_update_option_theme_mods_' . get_stylesheet(), function ( $value, $old_value ) {
		update_option( 'theme_mods_' . get_template(), $value );
		return $old_value; // prevent update to child theme mods
	}, 10, 2 );

	add_filter( 'pre_option_theme_mods_' . get_stylesheet(), function ( $default ) {
		return get_option( 'theme_mods_' . get_template(), $default );
	});

}

add_action( 'after_switch_theme', 'wpj_deregister_footer_1_sidebar_default_widgets' );
function wpj_deregister_footer_1_sidebar_default_widgets () {
	$sidebars_widgets = get_option( 'sidebars_widgets', array() );

	$footer_widget_1_sidebar = ! empty( $sidebars_widgets ) ? $sidebars_widgets['footer-widget-1'] : '';
	if ( $footer_widget_1_sidebar ) {
		foreach ( $footer_widget_1_sidebar as $k => $v ) {
			$widgets = array( 'archives', 'archives-2', 'categories', 'categories-2', 'meta', 'meta-2' );
			if ( in_array( $v, $widgets ) ) {
				unset( $sidebars_widgets['footer-widget-1'][$k] );
			}
		}
	}

	update_option( 'sidebars_widgets', $sidebars_widgets );
}