<?php
add_action( 'wp_head', 'wpjobster_header_meta_info' );
function wpjobster_header_meta_info() {
	global $wp_query;
	global $is_profile_pg; ?>

	<meta name="jobster-license" content="<?php echo wpjobster_return_license_name(); ?>" />

	<?php if ( wpjobster_is_responsive() ) { ?>
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<?php }

	if ( is_singular( 'job' ) ) {
		$job_image_url = wpj_get_attachment_image_url( wpjobster_get_first_post_image_by( get_the_ID() ), 'job_slider_image' ); ?>

		<meta name="twitter:image" content="<?php echo $job_image_url; ?>" />
		<meta property="og:image" content="<?php echo $job_image_url; ?>" />
		<meta property="og:image:width" content="720" />
		<meta property="og:image:height" content="405" />
	<?php }

	if ( $is_profile_pg ) {
		$username = urldecode( $wp_query->query_vars['username'] );
		$user_object = get_user_by( 'login', $username );
		$user_avatar = wpjobster_get_avatar( $user_object->ID, 180, 180 ); ?>

		<meta name="twitter:image" content="<?php echo $user_avatar; ?>" />
		<meta property="og:image" content="<?php echo $user_avatar; ?>" />
		<meta property="og:image:width" content="180" />
		<meta property="og:image:height" content="180" />
	<?php }
}