<?php
add_action( 'admin_enqueue_scripts', 'wpj_localize_vars' );
add_action( 'wp_enqueue_scripts', 'wpj_localize_vars' );
function wpj_localize_vars() {
	/* Globals */
	global $post, $wp_rewrite, $wp_query, $current_user, $wpdb;

	$is_page_my_account  = is_page( get_option( 'wpjobster_my_account_page_id' ) );
	$is_page_my_sales    = is_page( get_option( 'wpjobster_my_account_sales_page_id' ) );
	$is_page_my_shopping = is_page( get_option( 'wpjobster_my_account_shopping_page_id' ) );

	if ( $is_page_my_account ) {
		$graph_page = 'my_account';
	} elseif ( $is_page_my_sales ) {
		$graph_page = 'sales';
	} elseif ( $is_page_my_shopping ) {
		$graph_page = 'shopping';
	}

	if ( ! empty ( $graph_page ) ) {
		$graph_data = wpjobster_get_graph( get_current_user_id(), WPJ_Form::get( 'disp_type' ), WPJ_Form::get( 'select_year' ), WPJ_Form::get( 'select_month' ), $graph_page );
	}

	/* Is private message page */
	$is_page_pm = is_page( get_option( 'wpjobster_my_account_priv_mess_page_id' ) );

	/* PM page url */
	$using_perm = wpjobster_using_permalinks();
	if ( $using_perm ) {
		$privurl_m = get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) . "?";
	} else {
		$privurl_m = get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_priv_mess_page_id' ) . "&";
	}

	/* Request & job search delivery days */
	if ( is_page ( get_option( 'wpjobster_advanced_search_request_page_id' ) ) || ( isset( $post->post_type ) && $post->post_type == 'request' ) ) {
		$max_default_days = get_option( 'wpjobster_request_max_delivery_days' );
	} else {
		$max_default_days = get_option( 'wpjobster_job_max_delivery_days' );
	}

	/* Location restrictions */
	if ( get_option( 'wpjobster_location_restrict_country' ) != '' ) {
		$locations_country = array_map( 'trim', explode( ',', get_option( 'wpjobster_location_restrict_country' ) ) );
	} else {
		$locations_country = array();
	}
	$locations_types = array_map( 'trim', array( get_option( 'wpjobster_location_restrict_type', '(cities)' ) ) );

	/* Location fields */
	if ( get_option( 'wpjobster_location_fields' ) != '' ) {
		$location_fields = json_encode( array_map( 'trim', explode( ',', get_option( 'wpjobster_location_fields' ) ) ) );
	} else {
		$location_fields = '';
	}

	/* User description */
	$current_user      = wp_get_current_user();
	$username_from_url = isset( $wp_query->query_vars['username'] ) ? urldecode( $wp_query->query_vars['username'] ) : '';
	$username          = $username_from_url ? $username_from_url : $current_user->user_login;
	$user              = get_user_by( 'login', $username );
	$user_desc_content = isset( $user->ID ) ? get_user_meta( $user->ID, 'personal_info', true ) : '';

	/* User characters limit */
	$wpjobster_characters_personalinfo_min = get_option( "wpjobster_characters_personalinfo_min" );
	$wpjobster_characters_personalinfo_min = ( empty( $wpjobster_characters_personalinfo_min ) || $wpjobster_characters_personalinfo_min == 0 ) ? 0 : $wpjobster_characters_personalinfo_min;

	$wpjobster_characters_personalinfo_max = get_option( "wpjobster_characters_personalinfo_max" );
	$wpjobster_characters_personalinfo_max = ( empty( $wpjobster_characters_personalinfo_max ) || $wpjobster_characters_personalinfo_max == 0 ) ? 500 : $wpjobster_characters_personalinfo_max;

	/* Request title */
	$characters_request_title_min = get_option( "wpjobster_characters_request_title_min" );
	$characters_request_title_min = empty( $characters_request_title_min ) ? 0 : $characters_request_title_min;
	$characters_request_title_max = get_option( "wpjobster_characters_request_title_max" );
	$characters_request_title_max = empty( $characters_request_title_max ) || $characters_request_title_max == 0 ? 80 : $characters_request_title_max;

	/* Request description */
	$characters_request_description_min = get_option( "wpjobster_characters_request_min" );
	$characters_request_description_min = empty( $characters_request_description_min ) ? 0 : $characters_request_description_min;
	$characters_request_description_max = get_option( "wpjobster_characters_request_max" );
	$characters_request_description_max = empty( $characters_request_description_max ) || $characters_request_description_max == 0 ? 1000 : $characters_request_description_max;

	/* Feedback message */
	$characters_feedback_min = get_option( "wpjobster_characters_feedback_min" );
	$characters_feedback_min = empty( $characters_feedback_min ) ? 0 : $characters_feedback_min;
	$characters_feedback_max = get_option( "wpjobster_characters_feedback_max" );
	$characters_feedback_max = empty( $characters_feedback_max ) || $characters_feedback_max == 0 ? 1000 : $characters_feedback_max;

	/* Private message */
	$characters_pm_min = get_option( "wpjobster_characters_message_min" );
	$characters_pm_min = empty( $characters_pm_min ) ? 0 : $characters_pm_min;
	$characters_pm_max = get_option( "wpjobster_characters_message_max" );
	$characters_pm_max = empty( $characters_pm_max ) || $characters_pm_max == 0 ? 1200 : $characters_pm_max;

	/* Job title */
	$characters_jobtitle_min = get_option( "wpjobster_characters_jobtitle_min" );
	$characters_jobtitle_min = ( empty( $characters_jobtitle_min ) || $characters_jobtitle_min == 0 ) ? 15 : $characters_jobtitle_min;
	$characters_jobtitle_max = get_option( "wpjobster_characters_jobtitle_max" );
	$characters_jobtitle_max = ( empty( $characters_jobtitle_max ) || $characters_jobtitle_max == 0 ) ? 80 : $characters_jobtitle_max;

	/* Job description */
	$characters_jobdescription_min = get_option( "wpjobster_characters_description_min" );
	$characters_jobdescription_min = ( empty( $characters_jobdescription_min ) || $characters_jobdescription_min == 0 ) ? 0 : $characters_jobdescription_min;
	$characters_jobdescription_max = get_option( "wpjobster_characters_description_max" );
	$characters_jobdescription_max = ( empty( $characters_jobdescription_max ) || $characters_jobdescription_max == 0 ) ? 1000 : $characters_jobdescription_max;

	/* Instruction to buyer */
	$characters_jobinstr_min = get_option( "wpjobster_characters_instructions_min" );
	$characters_jobinstr_min = ( empty( $characters_jobinstr_min ) || $characters_jobinstr_min == 0 ) ? 0 : $characters_jobinstr_min;
	$characters_jobinstr_max = get_option( "wpjobster_characters_instructions_max" );
	$characters_jobinstr_max = ( empty( $characters_jobinstr_max ) || $characters_jobinstr_max == 0 ) ? 350 : $characters_jobinstr_max;

	/* Extra description */
	$characters_jobextra_description_min = get_option( "wpjobster_characters_extradescription_min" );
	$characters_jobextra_description_min = ( empty( $characters_jobextra_description_min ) || $characters_jobextra_description_min == 0 ) ? 0 : $characters_jobextra_description_min;
	$characters_jobextra_description_max = get_option( "wpjobster_characters_extradescription_max" );
	$characters_jobextra_description_max = ( empty( $characters_jobextra_description_max ) || $characters_jobextra_description_max == 0 ) ? 50 : $characters_jobextra_description_max;

	/* Package title */
	$characters_job_package_title_min = get_option( "wpjobster_characters_job_package_title_min" );
	$characters_job_package_title_min = ( empty( $characters_job_package_title_min ) || $characters_job_package_title_min == 0 ) ? 0 : $characters_job_package_title_min;
	$characters_job_package_title_max = get_option( "wpjobster_characters_job_package_title_max" );
	$characters_job_package_title_max = ( empty( $characters_job_package_title_max ) || $characters_job_package_title_max == 0 ) ? 120 : $characters_job_package_title_max;

	/* Package description */
	$characters_job_package_description_min = get_option( "wpjobster_characters_job_package_description_min" );
	$characters_job_package_description_min = ( empty( $characters_job_package_description_min ) || $characters_job_package_description_min == 0 ) ? 0 : $characters_job_package_description_min;
	$characters_job_package_description_max = get_option( "wpjobster_characters_job_package_description_max" );
	$characters_job_package_description_max = ( empty( $characters_job_package_description_max ) || $characters_job_package_description_max == 0 ) ? 1000 : $characters_job_package_description_max;

	/* Package price */
	$amount_job_pacakger_price_min = get_option( 'wpjobster_min_package_amount'   );
	if ( ! is_numeric( $amount_job_pacakger_price_min ) || ! $amount_job_pacakger_price_min || $amount_job_pacakger_price_min == '0' || $amount_job_pacakger_price_min < 0 ) {
		$amount_job_pacakger_price_min = 0;
	}
	$amount_job_pacakger_price_max = get_option( 'wpjobster_max_package_amount' );

	/* Price */
	if ( wpj_get_user_feature_status( 'wpjobster_enable_min_job_amount', 'wpjobster_subscription_min_job_price_enabled' ) != 'no' ) {
		$amount_jobprice_min = wpj_get_user_feature_value( 'min_amount', 'min_job_price' );
	} else {
		$amount_jobprice_min = 0;
	}

	if ( wpj_get_user_feature_status( 'wpjobster_enable_max_job_amount', 'wpjobster_subscription_max_job_price_enabled' ) != 'no' ) {
		$amount_jobprice_max = wpj_get_user_feature_value( 'max_amount', 'max_job_price' );
	} else {
		$amount_jobprice_max = '';
	}

	/* Extra price */
	if ( wpj_get_user_feature_status( 'wpjobster_enable_min_extra_amount', 'wpjobster_subscription_min_extra_price_enabled' ) != 'no' ) {
		$amount_jobextra_price_min = wpj_get_user_feature_value( 'min_extra_amount', 'min_extra_price' );
	} else {
		$amount_jobextra_price_min = 0;
	}

	if ( wpj_get_user_feature_status( 'wpjobster_enable_max_extra_amount', 'wpjobster_subscription_max_extra_price_enabled' ) != 'no' ) {
		$amount_jobextra_price_max = wpj_get_user_feature_value( 'max_extra_amount', 'max_extra_price' );
	} else {
		$amount_jobextra_price_max = '';
	}

	/* Audio */
	$audio_attch_arr = array();
	if ( is_singular( 'job' ) ) {
		if ( ! empty( $post->ID ) ) {
			$args = array(
				'post_type'      => 'attachment',
				'post_parent'    => $post->ID,
				'post_mime_type' => 'audio',
				'numberposts'    => -1,
				'orderby'        => 'meta_value_num date',
				'order'          => 'ASC'
			);

			$attachments_audio = get_posts( $args );

			foreach ( $attachments_audio as $attachment_audio ) {
				$audio_attch_arr[] = array(
					'attachment_id' => $attachment_audio->ID,
					'url'           => wp_get_attachment_url( $attachment_audio->ID ),
					'filename'      => basename( get_attached_file( $attachment_audio->ID ) )
				);
			}
		}
	}

	/* Max attachment size */
	$max_file_size = get_option( 'wpjobster_max_message_attachments_upload_size' );
	if ( ! is_numeric( $max_file_size ) || $max_file_size == '' || $max_file_size < 0 ) { $max_file_size = 50; }

	/* Max image attachment size */
	$max_image_file_size = get_option( 'wpjobster_max_img_upload_size' );
	if ( ! $max_image_file_size ) $max_image_file_size = 10;

	/* Max audio attachment size */
	$max_audio_filesize = get_option( 'wpjobster_max_audio_upload_size' );
	if ( ! is_numeric( $max_audio_filesize ) ) $max_audio_filesize = 10;

	/* Admin arbitration */
	$results = $wpdb->get_results( "
		SELECT * FROM {$wpdb->prefix}job_orders_arbitration
		WHERE seller_arbitration = 0
			AND buyer_arbitration = 0
			AND ( request_from_seller = 1 || request_from_buyer = 1 )
		" );
	$arbitration_number = $results ? count( $results ) : 0;

	/* Homepage TAB Pages */
	$homepage_arr = wpj_site_homepage_use_tabs( true );
	if ( $homepage_arr['use'] && is_page( $homepage_arr['hid'] ) ) {
		$homepage_id   = $homepage_arr['hid'];

		$homepage_post = $homepage_id ? get_post( $homepage_id ) : '';
		$parent_post   = $homepage_post ? get_post( $homepage_post->post_parent ) : '';

		if ( $homepage_id == get_option( 'wpjobster_my_account_page_id' ) || $homepage_id == get_option( 'wpjobster_my_requests_page_id' ) ) {
			$homepage_slug = $homepage_post ? $homepage_post->post_name : '';
		} else {
			$homepage_slug = $parent_post ? $parent_post->post_name . '/' . $homepage_post->post_name : '';
		}

	} else {
		$homepage_slug = '';
	}

	/* Localize scripts */
	$localize_arr_strings = array(
		/* General */
		'home_url'          => get_site_URL(),
		'blog_url'          => get_bloginfo( 'url' ),
		'theme_path'        => get_template_directory_uri(),
		'admin_url'         => get_admin_url(),
		'uid'               => get_current_user_id(),
		'pid'               => wpj_get_post_id( WPJ_Form::get( 'jobid' ) ),
		'current_role'      => get_current_user_role(),
		'light_ajax_url'    => get_light_ajax_url(),
		'ajaxurl'           => admin_url( 'admin-ajax.php' ),
		'_ajax_nonce'       => wp_create_nonce( 'modals' ),
		'is_rtl'            => is_rtl() ? 'true' : 'false',
		'h_margin_name'     => is_rtl() ? 'left' : 'right',
		'is_user_logged_in' => is_user_logged_in() ? 1 : 0,
		'is_in_app'         => ( wpj_is_handheld() && wpj_is_iframe_previous_pageload() !== false ) ? 'true' : 'false',
		'language_attr'     => substr( get_bloginfo ( 'language' ), 0, 2 ),
		'url_params'        => $_SERVER['QUERY_STRING'],

		/* Options */
		'chat_enabled'              => get_option( 'wpjobster_chat_enable' ),
		'pm_emoji_enabled'          => get_option( 'wpjobster_pm_emoji_enable' ),
		'chat_emoji_enabled'        => get_option( 'wpjobster_chat_emoji_enable' ),
		'transaction_emoji_enabled' => get_option( 'wpjobster_transaction_emoji_enable' ),
		'starting_day'              => get_option( 'start_of_week' ),
		'extra_prch_page'           => get_option( 'wpjobster_purchase_this_extra_enabled' ),
		'force_allow'               => apply_filters( 'wpj_force_allow_filter', false, 'checkout' ),
		'allow_job'                 => get_option( 'wpjobster_enable_jobs_for_advanced_search' ),
		'allow_request'             => get_option( 'wpjobster_enable_requests_for_advanced_search' ),
		'allow_users'               => get_option( 'wpjobster_enable_users_for_advanced_search' ),
		'user_chr_limit'            => get_option( 'wpjobster_characters_personalinfo_max' ),
		'wysiwyg_enabled'           => get_option( 'wpjobster_wysiwyg_for_profile' ),
		'live_notify'               => get_option( 'wpjobster_enable_live_notifications' ),
		'price_min'                 => get_option( 'wpjobster_offer_price_min' ),
		'price_max'                 => get_option( 'wpjobster_offer_price_max' ),
		'deliv_max'                 => get_option( 'wpjobster_request_max_delivery_days' ),
		'position'                  => get_option( 'wpjobster_currency_position' ),
		'space'                     => get_option( 'wpjobster_currency_symbol_space' ),
		'posts_per_page'            => get_option( 'posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
		'request_multiple'          => get_option( 'wpjobster_display_request_multiple_categories' ) == 'yes' ? true : false,
		'allowed_mime_types'        => json_encode( get_option( 'wpjobster_allowed_mime_types' ) ),
		'header_fixed'              => get_theme_mod( 'header_fixed', true ),
		'primaryColor'              => get_theme_mod( 'primary_color' ),
		'secondaryColor'            => get_theme_mod( 'secondary_color' ),
		'lazy_loading_enabled'      => get_theme_mod( 'enable_lazy_loading' ),
		'locations_api'             => get_option( 'wpjobster_location_api_provider' ),
		'tomtom_api_key'            => get_option( 'wpjobster_tomtom_search_api_key' ),
		'locations_country'         => $locations_country,
		'locations_types'           => $locations_types,
		'location_fields'           => $location_fields,
		'html5_geolocation'         => get_option( 'wpjobster_html5_geolocation_enable' ),
		'long_menu_arrows'          => get_theme_mod( 'enable_long_menu_arrows' ),
		'allow_html_emails'         => WPJ_Form::post( 'wpjobster_allow_html_emails', get_option( 'wpjobster_allow_html_emails' ) ),
		'quick_responses'           => get_user_meta( get_current_user_id(), 'quick_responses', true ),
		'max_days_enabled'          => get_option( 'wpjobster_enable_delivery_time' ),
		'op_enable_shipping'        => get_option( "wpjobster_enable_shipping" ),
		'op_mandatory_job_image'    => get_option( "wpjobster_mandatory_pics_for_jbs" ),
		'op_mandatory_job_audio'    => get_option( "wpjobster_mandatory_audio_for_jbs" ),
		'op_enable_audio'           => get_option( "wpjobster_audio" ),
		'op_enable_tos'             => get_option( "wpjobster_tos_type" ),
		'preferred_image_uploader'  => get_option( 'wpjobster_preferred_image_uploader' ),

		/* Characters limit */
		'characters_request_title_min'           => $characters_request_title_min,
		'characters_request_title_max'           => $characters_request_title_max,
		'characters_request_desc_min'            => $characters_request_description_min,
		'characters_request_desc_max'            => $characters_request_description_max,
		'characters_feedback_min'                => $characters_feedback_min,
		'characters_feedback_max'                => $characters_feedback_max,
		'characters_pm_min'                      => $characters_pm_min,
		'characters_pm_max'                      => $characters_pm_max,
		'characters_job_title_min'               => $characters_jobtitle_min,
		'characters_job_title_max'               => $characters_jobtitle_max,
		'characters_job_desc_min'                => $characters_jobdescription_min,
		'characters_job_desc_max'                => $characters_jobdescription_max,
		'characters_job_instr_min'               => $characters_jobinstr_min,
		'characters_job_instr_max'               => $characters_jobinstr_max,
		'characters_extradesc_min'               => $characters_jobextra_description_min,
		'characters_extradesc_max'               => $characters_jobextra_description_max,
		'characters_job_package_title_min'       => $characters_job_package_title_min,
		'characters_job_package_title_max'       => $characters_job_package_title_max,
		'characters_job_package_description_min' => $characters_job_package_description_min,
		'characters_job_package_description_max' => $characters_job_package_description_max,

		/* Media */
		'attach_max_size'    => $max_file_size,
		'attachments_audio'  => $audio_attch_arr ? json_encode( $audio_attch_arr ) : '',
		'max_audio_uploads'  => get_option( 'wpjobster_max_uploads_audio' ),
		'max_audio_filesize' => $max_audio_filesize,
		'audio_filesize_msg' => sprintf( __( "Maximum file size is %s MB!", "wpjobster" ), $max_audio_filesize ),
		'audio_filetype_msg' => __( 'Allowed file types: .mp3, .wav', 'wpjobster' ),
		'max_cover_filesize' => $max_image_file_size,
		'cover_filesize_msg' => sprintf( __( "Maximum file size is %s MB!", "wpjobster" ), $max_image_file_size ),
		'cover_filetype_msg' => __( 'Allowed file types: .jpg, .jpeg, .png, .gif', 'wpjobster' ),
		'min_filesize_250'   => __( 'Minimum file size: 250px x 250px', 'wpjobster' ),

		/* Dropzone */
		'dictFallbackMessage'          => addslashes( __( "Your browser does not support drag'n'drop file uploads.", "wpjobster" ) ),
		'dictFallbackText'             => addslashes( __( "Please use the fallback form below to upload your files like in the olden days.", "wpjobster" ) ),
		'dictFileTooBig'               => addslashes( __( "File is too big ({{filesize}}MiB). Max filesize: {{maxFilesize}}MiB.", "wpjobster" ) ),
		'dictInvalidFileType'          => addslashes( __( "You can't upload files of this type.", "wpjobster" ) ),
		'dictResponseError'            => addslashes( __( "Server responded with {{statusCode}} code.", "wpjobster" ) ),
		'dictCancelUpload'             => addslashes( __( "Cancel upload", "wpjobster" ) ),
		'dictCancelUploadConfirmation' => addslashes( __( "Are you sure you want to cancel this upload?", "wpjobster" ) ),
		'dictRemoveFile'               => addslashes( __( "Remove file", "wpjobster" ) ),
		'dictMaxFilesExceeded'         => addslashes( __( "You cannot upload any more files.", "wpjobster" ) ),
		'cover_max_file_size'          => wpj_get_image_max_upload_size() / 1048576,

		/* Amount limit */
		'amount_jobprice_min'           => $amount_jobprice_min,
		'amount_jobprice_max'           => $amount_jobprice_max,
		'amount_job_pacakger_price_min' => $amount_job_pacakger_price_min,
		'amount_job_pacakger_price_max' => $amount_job_pacakger_price_max,
		'amount_jobextra_price_min'     => $amount_jobextra_price_min,
		'amount_jobextra_price_max'     => $amount_jobextra_price_max,

		/* Links */
		'page_url'            => get_permalink( $post ),
		'search_jobs_url'     => get_permalink( get_option( 'wpjobster_advanced_search_id' ) ),
		'search_requests_url' => get_permalink( get_option( 'wpjobster_advanced_search_request_page_id' ) ),
		'search_users_url'    => get_permalink( get_option( 'wpjobster_search_user_page_id' ) ),
		'subscr_page_id'      => get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ),
		'user_profile_url'    => wpj_get_user_profile_link(),
		'semantic_file_url'   => get_template_directory_uri() . '/vendor/semantic-ui/src/app.php',
		'my_account_url'      => get_permalink( get_option( 'wpjobster_my_account_page_id' ) ),

		/* isPage */
		'is_page_pm'          => ( $is_page_pm && ! isset( $_GET['username'] ) ) ? $is_page_pm : 0,
		'is_page_pm_single'   => ( isset ( $_GET['username'] ) && $is_page_pm ) ? 1 : 0,
		'is_page_chatbox'     => ( isset ( $_GET['jb_action'] ) && $_GET['jb_action'] == 'chat_box' ) ? 1 : 0,
		'is_demo_admin'       => is_demo_admin(),
		'is_page_my_account'  => $is_page_my_account,
		'is_page_my_sales'    => $is_page_my_sales,
		'is_page_my_shopping' => $is_page_my_shopping,

		/* Vars */
		'arbitration_number'         => $arbitration_number,
		'desc_content'               => $user_desc_content,
		'desc_min'                   => $wpjobster_characters_personalinfo_min,
		'desc_max'                   => $wpjobster_characters_personalinfo_max,
		'characters_title_min'       => $characters_request_title_min,
		'characters_title_max'       => $characters_request_title_max,
		'characters_description_min' => $characters_request_description_min,
		'characters_description_max' => $characters_request_description_max,
		'characters_feedback_min'    => $characters_feedback_min,
		'characters_feedback_max'    => $characters_feedback_max,
		'characters_pm_min'          => $characters_pm_min,
		'characters_pm_max'          => $characters_pm_max,
		'homepage_slug'              => $homepage_slug,
		'max_default_days'           => $max_default_days,
		'live_notifications_enabled' => wpjobster_live_notifications_enabled(),
		'privurl_m'                  => $privurl_m,
		'symbol'                     => wpjobster_get_currency_symbol( wpjobster_get_currency() ),
		'user_credits'               => wpjobster_get_credits( get_current_user_id() ),
		'data_table'                 => ! empty( $graph_data ) ? $graph_data['data_table'] : '',
		'order_expected_delivery'    => wpj_get_order_expected_time( WPJ_Form::get( 'oid' ) ),

		/* Text with Vars */
		'lbl_request_title_min'       => sprintf( __( 'The title field needs to have at least %d characters', 'wpjobster' ), $characters_request_title_min ),
		'lbl_request_title_max'       => sprintf( __( 'The title field needs to have at most %d characters', 'wpjobster' ), $characters_request_description_max ),
		'lbl_request_description_min' => sprintf( __( 'The description field needs to have at least %d characters', 'wpjobster' ), $characters_request_description_min ),
		'lbl_request_description_max' => sprintf( __( 'The description field needs to have at most %d characters', 'wpjobster' ), $characters_request_description_max ),
		'price_min_err'               => sprintf( __( 'Money amount must be bigger than %s', 'wpjobster' ), wpjobster_get_show_price_classic( get_option( 'wpjobster_offer_price_min' ) ) ),
		'price_max_err'               => sprintf( __( 'Maximum money amount is %s', 'wpjobster' ), wpjobster_get_show_price_classic( get_option( 'wpjobster_offer_price_max' ) ) ),
		'deliv_max_err'               => sprintf( __( 'Delivery days must be less than or equal to %s', 'wpjobster' ), get_option( 'wpjobster_request_max_delivery_days' ) ),
		'attachments_max_size_err'    => sprintf( __( 'Maximum file size is %s MB!', 'wpjobster' ), $max_file_size ),
		'feedback_min_desc'           => sprintf( __( 'The description field needs to have at least %d characters', 'wpjobster' ), $characters_feedback_min ),
		'feedback_max_desc'           => sprintf( __( 'The description field needs to have at most %d characters', 'wpjobster' ), $characters_feedback_max ),
		'pm_min_content'              => sprintf( __( 'The message needs to have at least %d characters', 'wpjobster' ), $characters_pm_min ),
		'pm_max_content'              => sprintf( __( 'The message needs to have at most %d characters', 'wpjobster' ), $characters_pm_max ),

		/* Text Array */
		'days' => array(
			'sun' => _x( 'S', 'Abbreviation of: Sunday', 'wpjobster' ),
			'mon' => _x( 'M', 'Abbreviation of: Monday', 'wpjobster' ),
			'tue' => _x( 'T', 'Abbreviation of: Tuesday', 'wpjobster' ),
			'wed' => _x( 'W', 'Abbreviation of: Wednesday', 'wpjobster' ),
			'thu' => _x( 'T', 'Abbreviation of: Thursday', 'wpjobster' ),
			'fri' => _x( 'F', 'Abbreviation of: Friday', 'wpjobster' ),
			'sat' => _x( 'S', 'Abbreviation of: Saturday', 'wpjobster' ),
		),
		'days2' => array(
			'su' => _x( 'Su', 'Abbreviation of: Sunday', 'wpjobster' ),
			'mo' => _x( 'Mo', 'Abbreviation of: Monday', 'wpjobster' ),
			'tu' => _x( 'Tu', 'Abbreviation of: Tuesday', 'wpjobster' ),
			'we' => _x( 'We', 'Abbreviation of: Wednesday', 'wpjobster' ),
			'th' => _x( 'Th', 'Abbreviation of: Thursday', 'wpjobster' ),
			'fr' => _x( 'Fr', 'Abbreviation of: Friday', 'wpjobster' ),
			'sa' => _x( 'Sa', 'Abbreviation of: Saturday', 'wpjobster' ),
		),
		'monthsShort' => array(
			'jan' => _x( 'Jan', 'Abbreviation of: January', 'wpjobster' ),
			'feb' => _x( 'Feb', 'Abbreviation of: February', 'wpjobster' ),
			'mar' => _x( 'Mar', 'Abbreviation of: March', 'wpjobster' ),
			'apr' => _x( 'Apr', 'Abbreviation of: April', 'wpjobster' ),
			'may' => _x( 'May', 'Abbreviation of: May', 'wpjobster' ),
			'jun' => _x( 'Jun', 'Abbreviation of: June', 'wpjobster' ),
			'jul' => _x( 'Jul', 'Abbreviation of: July', 'wpjobster' ),
			'aug' => _x( 'Aug', 'Abbreviation of: August', 'wpjobster' ),
			'sep' => _x( 'Sep', 'Abbreviation of: September', 'wpjobster' ),
			'oct' => _x( 'Oct', 'Abbreviation of: October', 'wpjobster' ),
			'nov' => _x( 'Nov', 'Abbreviation of: November', 'wpjobster' ),
			'dec' => _x( 'Dec', 'Abbreviation of: December', 'wpjobster' ),
		),
		'months' => array(
			'jan' => _x( 'January', 'Full name of: January', 'wpjobster' ),
			'feb' => _x( 'February', 'Full name of: February', 'wpjobster' ),
			'mar' => _x( 'March', 'Full name of: March', 'wpjobster' ),
			'apr' => _x( 'April', 'Full name of: April', 'wpjobster' ),
			'may' => _x( 'May', 'Full name of: May', 'wpjobster' ),
			'jun' => _x( 'June', 'Full name of: June', 'wpjobster' ),
			'jul' => _x( 'July', 'Full name of: July', 'wpjobster' ),
			'aug' => _x( 'August', 'Full name of: August', 'wpjobster' ),
			'sep' => _x( 'September', 'Full name of: September', 'wpjobster' ),
			'oct' => _x( 'October', 'Full name of: October', 'wpjobster' ),
			'nov' => _x( 'November', 'Full name of: November', 'wpjobster' ),
			'dec' => _x( 'December', 'Full name of: December', 'wpjobster' ),
		),

		/* Text */
		'accepted'                         => __( 'Accepted', 'wpjobster' ),
		'activate'                         => __( 'Activate', 'wpjobster' ),
		'add_lbl'                          => __( 'Add', 'wpjobster' ),
		'add_new_lbl'                      => __( 'Add New', 'wpjobster' ),
		'am'                               => __( 'AM', 'wpjobster' ),
		'amount'                           => __( 'Amount', 'wpjobster' ),
		'amount_err'                       => __( 'Please type an amount of money.', 'wpjobster' ),
		'add_quick_response'               => __( 'Create a new quick response', 'wpjobster' ),
		'cancelled'                        => __( 'Cancelled', 'wpjobster' ),
		'check_all_email'                  => __( 'Check all', 'wpjobster' ),
		'check_all_sms'                    => __( 'Check all', 'wpjobster' ),
		'clear'                            => __( 'Clear', 'wpjobster' ),
		'close'                            => __( 'Close', 'wpjobster' ),
		'completed_jobs'                   => __( 'Completed Jobs:', 'wpjobster' ),
		'contact'                          => __( 'Contact', 'wpjobster' ),
		'custom'                           => __( 'Custom', 'wpjobster' ),
		'date'                             => __( 'Date', 'wpjobster' ),
		'deactivate'                       => __( 'Deactivate', 'wpjobster' ),
		'declined'                         => __( 'Declined', 'wpjobster' ),
		'delete_lbl'                       => __( 'Delete', 'wpjobster' ),
		'deliv_err'                        => __( 'Please type delivery days.', 'wpjobster' ),
		'deliv_min_err'                    => __( 'Delivery days must be greater than or equal to 1', 'wpjobster' ),
		'edit_desc_lbl'                    => __( 'Edit Description', 'wpjobster' ),
		'edit_lbl'                         => __( 'Edit', 'wpjobster' ),
		'email_send_lbl'                   => __( 'Email sent', 'wpjobster' ),
		'err'                              => __( 'Error', 'wpjobster' ),
		'err_already_in_vacation'          => __( 'You already have vacation mode active.', 'wpjobster' ),
		'err_empty_start_date'             => __( 'Please select the start date.', 'wpjobster' ),
		'err_small_start_date'             => __( 'You can\'t select a date from the past.', 'wpjobster' ),
		'err_empty_end_date'               => __( 'Please select the end date.', 'wpjobster' ),
		'err_small_end_date'               => __( 'Please select a date in the future.', 'wpjobster' ),
		'err_something_wrong'              => __( 'Something went wrong.', 'wpjobster' ),
		'err_try_again'                    => __( 'Try again', 'wpjobster' ),
		'err_try_again_later'              => __( 'Please try again later.', 'wpjobster' ),
		'err_unknown'                      => __( 'Unknown error', 'wpjobster' ),
		'error_404'                        => __( '404 Error', 'wpjobster' ),
		'error_403'                        => __( '403 Forbidden', 'wpjobster' ),
		'edit_quick_response'              => __( 'Edit quick response', 'wpjobster' ),
		'empty_quick_response'             => __( 'You must enter a name and a quick response', 'wpjobster' ),
		'badge_empty'                      => __( 'Please select at least one badge.', 'wpjobster' ),
		'featured_empty'                   => __( 'Please select at least one page.', 'wpjobster' ),
		'featured_interval'                => __( 'The interval was changed in the meantime.', 'wpjobster' ),
		'feedback_min'                     => __( 'Please insert a longer description for your rating', 'wpjobster' ),
		'feedback_max'                     => __( 'Please insert a shorter description for your rating', 'wpjobster' ),
		'feedback_stars'                   => __( 'Please select the amount of stars', 'wpjobster' ),
		'finished'                         => __( 'Finished', 'wpjobster' ),
		'forbidden_file_type'              => __( 'Forbidden file type', 'wpjobster' ),
		'from'                             => __( 'From', 'wpjobster' ),
		'invalid_file_type'                => __( 'Invalid file type.', 'wpjobster' ),
		'insert_faq'                       => __( 'Insert your question and answer', 'wpjobster' ),
		'jobs_label'                       => __( 'Jobs', 'wpjobster' ),
		'language_lbl'                     => __( 'Language', 'wpjobster' ),
		'last_7_days'                      => __( 'Last 7 Days', 'wpjobster' ),
		'last_30_days'                     => __( 'Last 30 Days', 'wpjobster' ),
		'last_month'                       => __( 'Last Month', 'wpjobster' ),
		'lbl_cost'                         => __( 'Cost', 'wpjobster' ),
		'lbl_loading'                      => __( 'Loading...', 'wpjobster' ),
		'lbl_options'                      => __( 'Options', 'wpjobster' ),
		'lbl_request_budget'               => __( 'Budget from is equal or higher than budget to!', 'wpjobster' ),
		'lbl_request_category'             => __( 'Please select a category!', 'wpjobster' ),
		'lbl_request_date'                 => __( 'Start date is equal or higher than end date!', 'wpjobster' ),
		'lbl_request_description_empty'    => __( 'You cannot leave the description request empty!', 'wpjobster' ),
		'lbl_request_title_empty'          => __( 'You cannot leave the title request empty!', 'wpjobster' ),
		'lbl_request_cf_empty'             => __( 'You cannot leave empty the following field:', 'wpjobster' ),
		'lvl_update_lbl'                   => __( 'Update', 'wpjobster' ),
		'lvl_saved_lbl'                    => __( 'Saved', 'wpjobster' ),
		'msg_err'                          => __( 'Please write something in the text field.', 'wpjobster' ),
		'maximum_file_size_exceeded'       => __( 'Maximum file size exceeded', 'wpjobster' ),
		'maximum_number_of_files_exceeded' => __( 'Maximum number of files exceeded.', 'wpjobster '),
		'no_certifications'                => __( 'Click on "Add New" to add a new Certification!', 'wpjobster' ),
		'no_description'                   => __( 'Click on "Edit Description" to add a Description!', 'wpjobster' ),
		'no_educations'                    => __( 'Click on "Add New" to add a new Education!', 'wpjobster' ),
		'no_gateway_enabled'               => __( 'Payment methods are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ),
		'no_tagline'                       => __( 'Click here to add a tagline!', 'wpjobster' ),
		'no_languages'                     => __( 'Click on "Add New" to add a new Language!', 'wpjobster' ),
		'no_messages'                      => __( 'No messages here', 'wpjobster' ),
		'no_skills'                        => __( 'Click on "Add New" to add a new Skill!', 'wpjobster' ),
		'no_credits'                       => __( 'The selected job can\'t be activated until you add credits to your account.', 'wpjobster' ),
		'no_active_jobs'                   => __( 'No active jobs.', 'wpjobster' ),
		'no_inactive_jobs'                 => __( 'No inactive jobs.', 'wpjobster' ),
		'no_under-review_jobs'             => __( 'No under review jobs.', 'wpjobster' ),
		'no_rejected_jobs'                 => __( 'No rejected jobs.', 'wpjobster' ),
		'nothing_found'                    => __( 'No results found.', 'wpjobster' ),
		'no_requests'                      => __( 'There are no requests yet.', 'wpjobster' ),
		'not_enough_credits'               => __( 'You don\'t have enough money in your balance. Choose one of the other payment methods.', 'wpjobster' ),
		'now'                              => __( 'Now', 'wpjobster' ),
		'no_quick_responses'               => __( 'No quick responses', 'wpjobster' ),
		'offer_declined'                   => __( 'You have declined the offer.', 'wpjobster' ),
		'offer_withdrawn'                  => __( 'You have withdrawn your offer.', 'wpjobster' ),
		'open_in_messages'                 => __( 'Open in Messages', 'wpjobster' ),
		'paused'                           => __( 'paused', 'wpjobster' ),
		'payment_type'                     => __( 'Payment type', 'wpjobster' ),
		'please_wait_lbl'                  => __( 'Please wait', 'wpjobster' ),
		'pm'                               => __( 'PM', 'wpjobster' ),
		'proficiency_lbl'                  => __( 'Proficiency', 'wpjobster' ),
		'published'                        => __( 'published', 'wpjobster' ),
		'rating'                           => __( 'Rating:', 'wpjobster' ),
		'read_less'                        => __( 'Read Less', 'wpjobster' ),
		'read_more'                        => __( 'Read More', 'wpjobster' ),
		'registered'                       => __( 'Registered:', 'wpjobster' ),
		'requests_label'                   => __( 'Requests', 'wpjobster' ),
		'report_user'                      => __( 'Report user', 'wpjobster' ),
		'save_lbl'                         => __( 'Save', 'wpjobster' ),
		'search_users_label'               => __( 'Search users containing', 'wpjobster' ),
		'select_file'                      => __( 'Select file', 'wpjobster' ),
		'send_email_lbl'                   => __( 'Send email', 'wpjobster' ),
		'sent_lbl'                         => __( 'Sent', 'wpjobster' ),
		'show_less'                        => __( 'Show Less', 'wpjobster' ),
		'skill_lbl'                        => __( 'Skill', 'wpjobster' ),
		'submit'                           => __( 'Submit', 'wpjobster' ),
		'success'                          => __( 'Success', 'wpjobster' ),
		'success_saved'                    => __( 'Your settings have been saved.', 'wpjobster' ),
		'this_month'                       => __( 'This Month', 'wpjobster' ),
		'to'                               => __( 'To', 'wpjobster' ),
		'today'                            => __( 'Today', 'wpjobster' ),
		'topup_package_empty'              => __( 'Please select the package first', 'wpjobster' ),
		'uncheck_all_email'                => __( 'Uncheck all', 'wpjobster' ),
		'uncheck_all_sms'                  => __( 'Uncheck all', 'wpjobster' ),
		'unknown_error'                    => __( 'Unknown Error', 'wpjobster' ),
		'url_error_lbl'                    => __( 'The url you provided doesn\'t contain a valid image.', 'wpjobster' ),
		'users_label'                      => __( 'Users', 'wpjobster' ),
		'view_more'                        => __( 'View More', 'wpjobster' ),
		'yesterday'                        => __( 'Yesterday', 'wpjobster' ),
		'withdrawn'                        => __( 'Withdrawn', 'wpjobster' ),
		'write_message'                    => __( 'Write a message...', 'wpjobster' ),

		/* Login & Register Text */
		'login'            => addslashes( __( 'Login', 'wpjobster' ) ),
		'register'         => addslashes( __( 'Register', 'wpjobster' ) ),
		'forgot'           => addslashes( __( 'Forgot Password', 'wpjobster' ) ),
		'reset'            => addslashes( __( 'Reset Password', 'wpjobster' ) ),
		'user_name'        => addslashes( __( 'Username', 'wpjobster' ) ),
		'user_email'       => addslashes( __( 'Username / Email Address', 'wpjobster' ) ),
		'email'            => addslashes( __( 'Email', 'wpjobster' ) ),
		'password'         => addslashes( __( 'Password', 'wpjobster' ) ),
		'confirm_password' => addslashes( __( 'Confirm Password', 'wpjobster' ) ),
		'phone_number'     => addslashes( __( 'Phone Number', 'wpjobster' ) ),
		'company'          => addslashes( __( 'Company', 'wpjobster' ) ),

		/* Payment Buttons */
		'account_balance'  => __( 'Account Balance', 'wpjobster' ),
		'get_for_free'     => __( 'Get for free', 'wpjobster' ),

		// User Settings Validation
		'old_wrong_password' => __( 'Your old password was incorrectly typed.', 'wpjobster' ),
		'blank_password'     => __( 'You cannot use a blank password.', 'wpjobster'),
		'repeat_password'    => __( 'You must enter the same password twice in order to confirm it.','wpjobster' ),
		'password_not_match' => __( 'Passwords do not match.', 'wpjobster' ),

		/* Featured */
		'h_date_start' => WPJ_Form::get( 'jb_action' ) == 'feature_job' && isset( $_GET['jobid'] ) ? get_featured_start_date( 'homepage', WPJ_Form::get( 'jobid' ) ) : '',
		'c_date_start' => WPJ_Form::get( 'jb_action' ) == 'feature_job' && isset( $_GET['jobid'] ) ? get_featured_start_date( 'category', WPJ_Form::get( 'jobid' ) ) : '',
		's_date_start' => WPJ_Form::get( 'jb_action' ) == 'feature_job' && isset( $_GET['jobid'] ) ? get_featured_start_date( 'subcategory', WPJ_Form::get( 'jobid' ) ) : '',
	);

	/* Localize scripts */
	wp_localize_script( 'wpj-common-scripts', 'wpj_vars', array_merge( $localize_arr_strings, wpj_get_job_validation_strings() ) );
}

add_action( 'wp_head', 'wpj_php_vars_for_js', 1 );
function wpj_php_vars_for_js() {
	$scheme = is_ssl() ? 'https' : 'http'; ?>

	<script>
		var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', $scheme ); ?>';
		var is_user_logged_in ='<?php echo is_user_logged_in(); ?>';
	</script>

<?php }
