<?php
//ARRAY FOR PAGE ASSIGNMENTS
if ( ! function_exists( 'get_wpjobster_page_ids' ) ) {
	function get_wpjobster_page_ids(){
		$pages = array(
			__( 'Homepage', 'wpjobster' )              => 'main_page_url',
			__( 'Homepage Logged In', 'wpjobster' )    => 'main_page_url_user',
			__( 'Blog Posts','wpjobster' )             => 'wpjobster_blog_home_id',
			__( 'Post New Job','wpjobster' )           => 'wpjobster_post_new_page_id',
			__( 'Post New Request','wpjobster' )       => 'wpjobster_new_request_page_id',
			__( 'My Account','wpjobster' )             => 'wpjobster_my_account_page_id',
			__( 'My Requests','wpjobster' )            => 'wpjobster_my_requests_page_id',
			__( 'My Favorites','wpjobster' )           => 'wpjobster_my_favorites_page_id',
			__( 'Shopping','wpjobster' )               => 'wpjobster_my_account_shopping_page_id',
			__( 'Sales','wpjobster' )                  => 'wpjobster_my_account_sales_page_id',
			__( 'Settings','wpjobster' )               => 'wpjobster_my_account_personal_info_page_id',
			__( 'Reviews/Feedback','wpjobster' )       => 'wpjobster_my_account_reviews_page_id',
			__( 'Payments','wpjobster' )               => 'wpjobster_my_account_payments_page_id',
			__( 'Private Messages','wpjobster' )       => 'wpjobster_my_account_priv_mess_page_id',
			__( 'All Notifications','wpjobster' )      => 'wpjobster_my_account_all_notifications_page_id',
			__( 'All Categories','wpjobster' )         => 'wpjobster_all_categories_page_id',
			__( 'Search Jobs','wpjobster' )            => 'wpjobster_advanced_search_id',
			__( 'Search Requests','wpjobster' )        => 'wpjobster_advanced_search_request_page_id',
			__( 'Search Users','wpjobster' )           => 'wpjobster_search_user_page_id',
			__( 'Email settings','wpjobster' )         => 'wpjobster_email_settings_page_id',
			__( 'User Profile','wpjobster' )           => 'wpjobster_user_profile_page_id',
			__( 'Levels','wpjobster' )                 => 'wpjobster_levels_page_id',
			__( 'Subscriptions','wpjobster' )          => 'wpjobster_subscriptions_page_id',
			__( 'Privacy Policy','wpjobster' )         => 'wpjobster_privacy_policy_page_id',
			__( 'Terms of Service','wpjobster' )       => 'wpjobster_terms_of_service_page_id',
			__( 'How it Works ','wpjobster' )          => 'wpjobster_how_it_works_page_id',
			__( 'New Ticket Page URL','wpjobster' )    => 'wpjobster_new_ticket_page_id',
			__( 'Single Ticket Page URL','wpjobster' ) => 'wpjobster_single_ticket_page_id',
			__( 'Support Page URL','wpjobster' )       => 'wpjobster_ticket_list_page_id',
		);

		$pages = apply_filters( 'wpjobster_page_assignments_list', $pages );

		return $pages;
	}
}

add_action( 'query_vars', 'wpjobster_add_query_vars' );
function wpjobster_add_query_vars( $public_query_vars ) {
	$public_query_vars[] = 'jb_action';
	$public_query_vars[] = 'orderid';
	$public_query_vars[] = 'step';
	$public_query_vars[] = 'username';
	$public_query_vars[] = 'pid';
	$public_query_vars[] = 'term_search';
	$public_query_vars[] = 'method';
	$public_query_vars[] = 'jobid';
	$public_query_vars[] = 'page';
	$public_query_vars[] = 'job_category';
	$public_query_vars[] = 'job_sort';
	$public_query_vars[] = 'job_tax';
	$public_query_vars[] = 'pg';

	return $public_query_vars;
}

// hook our homepage option to wp homepage option change
add_action( 'update_option_page_on_front', 'wpj_update_option_page_on_front_action', 10, 3 );
function wpj_update_option_page_on_front_action( $old_value, $value, $option ) {
	// no need to worry for update loop, wp already checks that
	update_option( 'main_page_url', $value );
}

// hook wp homepage option to our homepage option change
add_action( 'update_option_main_page_url', 'wpj_update_option_main_page_url_action', 10, 3 );
function wpj_update_option_main_page_url_action( $old_value, $value, $option ) {
	// no need to worry for update loop, wp already checks that
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $value );
}

// hook wp homepage option to our homepage option add
add_action( 'add_option_main_page_url', 'wpj_add_option_main_page_url_action', 10, 2 );
function wpj_add_option_main_page_url_action( $option, $value ) {
	// no need to worry for update loop, wp already checks that
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $value );
}