<?php
// Jobs
function wpj_get_job_single_permalink() {
	return ! empty( get_option( 'wpjobster_jobs_permalink' ) ) ? get_option( 'wpjobster_jobs_permalink' ) : 'job';
}

function wpj_get_job_category_permalink() {
	return ! empty( get_option( 'wpjobster_category_permalink' ) ) ? get_option( 'wpjobster_category_permalink' ) : 'job-categories';
}

add_filter( 'term_link', 'wpj_change_job_category_link', 1, 3 ); // category link
function wpj_change_job_category_link( $post_link, $id = 0, $leavename = FALSE ) {

	if ( ! wpjobster_using_permalinks() ) return $post_link;

	$post = get_post( $id );

	if ( ! is_object( $post ) || $post->post_type != 'job' ) {
		$category_url_link = wpj_get_job_category_permalink();
		return str_replace( "job_cat", $category_url_link, $post_link );
	}

	return $post_link;
}

add_filter( 'post_type_link', 'wpj_change_single_job_link_to_author', 1, 3 ); // single link
function wpj_change_single_job_link_to_author( $post_link, $post = '', $leavename = false ) {

	if ( strpos( '%author%', $post_link ) === 'FALSE' ) { return $post_link; }

	if ( ! is_object( $post ) || ( $post->post_type != 'job' && $post->post_type != 'request' && $post->post_type != 'news' ) ) {
		return $post_link;
	}

	$user_data = get_userdata( $post->post_author );

	return isset( $user_data->user_login ) ? str_replace( '%author%', $user_data->user_login, $post_link ) : $post_link;
}

add_filter( 'post_type_link', 'wpj_change_single_job_link', 1, 3 ); // single link
function wpj_change_single_job_link( $post_link, $id = 0, $leavename = FALSE ) {
	$category_url_link = wpj_get_job_category_permalink();

	if ( strpos( '%job_cat%', $post_link ) === 'FALSE' ) { return $post_link; }

	$post = get_post( $id );

	if ( ! is_object( $post ) || $post->post_type != 'job' ) {
		return str_replace( "job_cat", $category_url_link, $post_link );
	}

	$terms = wp_get_object_terms( $post->ID, 'job_cat' );

	if ( ! $terms ) {
		return str_replace( '%job_cat%', 'uncategorized', $post_link );
	}

	return str_replace( '%job_cat%', $terms[0]->slug, $post_link );
}

// Requests
function wpj_get_all_requests_permalink() {
	return ! empty( get_option( 'wpjobster_all_requests_permalink' ) ) ? get_option( 'wpjobster_all_requests_permalink' ) : 'request';
}

function wpj_get_request_single_permalink() {
	return ! empty( get_option( 'wpjobster_requests_permalink' ) ) ? get_option( 'wpjobster_requests_permalink' ) : 'request';
}

function wpj_get_request_category_permalink() {
	return ! empty( get_option( 'wpjobster_requests_category_permalink' ) ) ? get_option( 'wpjobster_requests_category_permalink' ) : 'request-categories';
}

add_filter( 'term_link', 'wpj_change_request_category_link', 1, 3 ); // category link
function wpj_change_request_category_link( $post_link, $id = 0, $leavename = FALSE ) {
	if ( ! wpjobster_using_permalinks() ) return $post_link;

	$post = get_post( $id );

	if ( ! is_object( $post ) || $post->post_type != 'request' ) {
		$category_url_link = wpj_get_request_category_permalink();
		return str_replace( "request_cat", $category_url_link, $post_link );
	}

	return $post_link;
}

add_filter( 'post_type_link', 'wpj_change_single_request_link', 1, 3 ); // single link
function wpj_change_single_request_link( $post_link, $id = 0, $leavename = FALSE ) {
	$category_url_link = wpj_get_request_category_permalink();

	if ( strpos( '%request_cat%', $post_link ) === 'FALSE' ) { return $post_link; }

	$post = get_post( $id );

	if ( ! is_object( $post ) || $post->post_type != 'request' ) {
		return str_replace( "request_cat", $category_url_link, $post_link );
	}

	$terms = wp_get_object_terms( $post->ID, 'request_cat' );

	if ( ! $terms ) {
		return str_replace( '%request_cat%', 'uncategorized', $post_link );
	}

	return str_replace( '%request_cat%', $terms[0]->slug, $post_link );
}

// News
function wpj_get_all_news_permalink() {
	return ! empty( get_option( 'wpjobster_all_news_permalink' ) ) ? get_option( 'wpjobster_all_news_permalink' ) : 'news';
}

function wpj_get_news_single_permalink() {
	return ! empty( get_option( 'wpjobster_news_permalink' ) ) ? get_option( 'wpjobster_news_permalink' ) : 'news';
}

function wpj_get_news_category_permalink() {
	return ! empty( get_option( 'wpjobster_news_category_permalink' ) ) ? get_option( 'wpjobster_news_category_permalink' ) : 'news-categories';
}

// Offers
function wpj_get_all_proposals_permalink() {
	return ! empty( get_option( 'wpjobster_all_proposals_permalink' ) ) ? get_option( 'wpjobster_all_proposals_permalink' ) : 'proposals';
}

add_filter( 'term_link', 'wpj_change_news_category_link', 1, 3 ); // category link
function wpj_change_news_category_link( $post_link, $id = 0, $leavename = FALSE ) {
	if ( ! wpjobster_using_permalinks() ) return $post_link;

	$post = get_post( $id );

	if ( ! is_object( $post ) || $post->post_type != 'news' ) {
		$category_url_link = wpj_get_news_category_permalink();
		return str_replace( "news_cat", $category_url_link, $post_link );
	}

	return $post_link;
}

add_filter( 'post_type_link', 'wpj_change_single_news_link', 1, 3 ); // single link
function wpj_change_single_news_link( $post_link, $id = 0, $leavename = FALSE ) {
	$category_url_link = wpj_get_news_category_permalink();

	if ( strpos( '%news_cat%', $post_link ) === 'FALSE' ) { return $post_link; }

	$post = get_post( $id );

	if ( ! is_object( $post ) || $post->post_type != 'news' ) {
		return str_replace( "news_cat", $category_url_link, $post_link );
	}

	$terms = wp_get_object_terms( $post->ID, 'news_cat' );

	if ( ! $terms ) {
		return str_replace( '%news_cat%', 'uncategorized', $post_link );
	}

	return str_replace( '%news_cat%', $terms[0]->slug, $post_link );
}