<?php
add_action( 'init', 'wpj_rewrite_rules', 10, 0 );
function wpj_rewrite_rules() {

	// User account slugs
	$user_account_slugs = array();

	$pages_id = array(
		get_option( 'wpjobster_my_requests_page_id' ),
		get_option( 'wpjobster_my_account_priv_mess_page_id' ),
		get_option( 'wpjobster_my_account_all_notifications_page_id' ),
		get_option( 'wpjobster_email_settings_page_id' ),
		get_option( 'wpjobster_my_account_personal_info_page_id' ),
		get_option( 'wpjobster_my_account_payments_page_id' ),
		get_option( 'wpjobster_my_account_shopping_page_id' ),
		get_option( 'wpjobster_my_account_sales_page_id' ),
		get_option( 'wpjobster_my_account_reviews_page_id' ),
		get_option( 'wpjobster_my_account_page_id' ),
	);

	foreach ( $pages_id as $page ) {

		$post_page = get_post( $page );

		if ( isset( $post_page->post_name ) ) {

			if ( $post_page->post_parent > 0 ) {
				$parent_post = get_post( $post_page->post_parent );
				$parent_slug = isset( $parent_post->post_name ) ? $parent_post->post_name : '';

				$user_account_slugs[] = $parent_slug . '/' . $post_page->post_name;

			} else {
				$user_account_slugs[] = $post_page->post_name;

			}
		}

	}
	$user_account_slugs = apply_filters( 'wpj_theme_user_account_slugs_filter', $user_account_slugs );

	// User profile slug
	$user_profile_id = get_option( 'wpjobster_user_profile_page_id' );
	if ( ! empty( $user_profile_id ) ) {
		$post = get_post( $user_profile_id );
		$user_profile_slug = $post->post_name;
	} else {
		$user_profile_slug = 'user-profile';
	}

	// Post type category slugs
	$post_category_slugs = array(
		'job_cat'     => wpj_get_job_category_permalink(),
		'request_cat' => wpj_get_request_category_permalink(),
		'category'    => wpj_get_news_category_permalink()
	);

	/* RULES */

	add_rewrite_rule( 'page/([^/]+)/?$', 'index.php?paged=$matches[1]', 'top' );

	// User account
	foreach ( $user_account_slugs as $post_key => $post_slug ) {

		add_rewrite_rule( $post_slug . '/?([^/]*)/?', 'index.php?pagename=' . $post_slug . '&pg=$matches[1]', 'top' );

	}

	// Proposals
	add_rewrite_rule( wpj_get_all_proposals_permalink() . '/?([^/]*)/?', 'index.php?post_type=offer&pg=$matches[1]', 'top' );

	// User Profile
	add_rewrite_rule( $user_profile_slug . '/([^/]+)/?$', 'index.php?pagename=' . $user_profile_slug . '&username=$matches[1]', 'top' );

	// Category
	foreach ( $post_category_slugs as $category_key => $category_slug ) {

		add_rewrite_rule( $category_slug . '/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$', 'index.php?' . $category_key . '=$matches[1]&feed=$matches[2]', 'top' );

		add_rewrite_rule( $category_slug . '/([^/]+)/(feed|rdf|rss|rss2|atom)/?$', 'index.php?' . $category_key . '=$matches[1]&feed=$matches[2]', 'top' );

		add_rewrite_rule( $category_slug . '/([^/]+)/page/?([0-9]{1,})/?$', 'index.php?' . $category_key . '=$matches[1]&paged=$matches[2]', 'top' );

		add_rewrite_rule( $category_slug . '/([^/]+)/?$', 'index.php?' . $category_key . '=$matches[1]', 'top' );

	}

}