<?php
// Common Scripts & Styles
add_action( 'admin_enqueue_scripts', 'wpjobster_add_common_scripts', 9 );
add_action( 'wp_enqueue_scripts', 'wpjobster_add_common_scripts', 9 );
function wpjobster_add_common_scripts() {
	// Google Maps
	if ( get_option( 'wpjobster_location_api_provider' ) == ''
		|| get_option( 'wpjobster_location_api_provider' ) == 'google' ) {
		$maps_key_url = get_option( 'wpjobster_google_maps_api_key' ) ? 'key=' . get_option( 'wpjobster_google_maps_api_key' ) . '&' : '';
		wp_enqueue_script( 'maps-api', 'https://maps.googleapis.com/maps/api/js?' . $maps_key_url . 'v=3.exp&libraries=places', array( 'jquery' ), false, true );
	}

	// Common
	wp_enqueue_script( 'wpj-common-scripts', get_template_directory_uri() . '/assets/min/js/common.min.js', array( 'jquery' ), wpjobster_VERSION, false );
	wp_enqueue_style( 'wpj-common-styles', get_template_directory_uri() . '/assets/min/css/common.min.css', array(), wpjobster_VERSION, 'all' );

	// No-defer
	wp_enqueue_script( 'wpj-no-defer-scripts', get_template_directory_uri() . '/assets/min/js/no-defer.min.js', array( 'jquery' ), wpjobster_VERSION, true );
}

// Front Scripts & Styles
add_action( 'wp_enqueue_scripts', 'wpjobster_add_theme_styles', 10 );
function wpjobster_add_theme_styles() {
	// jQuery libraries
	wp_enqueue_script( 'jquery-effects-slide' );
	wp_enqueue_script( 'jquery-touch-punch' );
	wp_enqueue_script( 'jquery-ui-autocomplete' );
	wp_enqueue_script( 'jquery-ui-slider' );
	wp_enqueue_script( 'jquery-ui-sortable' );

	// Semantic UI
	wpjobster_add_semantic_scripts( 'front' );

	// Vendor
	wp_enqueue_style( 'wpj-front-vendor-styles', get_template_directory_uri() . '/assets/min/css/front.vendor.min.css', array(), wpjobster_VERSION, 'all' );
	wp_enqueue_script( 'wpj-front-vendor-scripts', get_template_directory_uri() . '/assets/min/js/front.vendor.min.js', array( 'jquery' ), wpjobster_VERSION, true );

	// WPJ
	wp_enqueue_script( 'main-script', get_template_directory_uri() . '/assets/min/js/front.min.js', array( 'jquery', 'underscore' ), wpjobster_VERSION, true );
}

// Front Main Style
add_action( 'wp_enqueue_scripts', 'wpjobster_add_theme_styles_last', 11 );
function wpjobster_add_theme_styles_last() {
	if ( is_rtl() ) {
		wp_enqueue_style( 'main-stylesheet', get_template_directory_uri() . '/assets/min/css/front.rtl.min.css', array(), wpjobster_VERSION, 'all' );
	} else {
		wp_enqueue_style( 'main-stylesheet', get_template_directory_uri() . '/assets/min/css/front.min.css', array(), wpjobster_VERSION, 'all' );
	}
}

// Admin Scripts & Styles
add_action( 'admin_enqueue_scripts', 'wpjobster_load_admin_scripts' );
function wpjobster_load_admin_scripts( $hook ) {
	// jQuery libraries
	wp_enqueue_script( "jquery-ui-widget" );
	wp_enqueue_script( "jquery-ui-mouse" );
	wp_enqueue_script( "jquery-ui-tabs" );
	wp_enqueue_script( "jquery-ui-datepicker" );
	wp_enqueue_script( "jquery-ui-sortable" );

	// Vendor
	wp_enqueue_style( 'wpj-admin-vendor-styles', get_template_directory_uri() . '/assets/min/css/admin.vendor.min.css', array(), wpjobster_VERSION, 'all' );
	wp_enqueue_script( 'wpj-admin-vendor-scripts', get_template_directory_uri() . '/assets/min/js/admin.vendor.min.js', array(), wpjobster_VERSION, true );

	// WPJ
	wp_enqueue_style( 'wpj-admin-styles', get_template_directory_uri() . '/assets/min/css/admin.min.css', array(), wpjobster_VERSION, 'all' );
	wp_enqueue_script( 'wpj-admin-scripts', get_template_directory_uri() . '/assets/min/js/admin.min.js', array(), wpjobster_VERSION, true );
}