<?php
add_filter( 'login_title', 'wpj_authentication_title' );
function wpj_authentication_title( $login_title ) {
	return str_replace( array( ' &lsaquo;', ' &#8212; WordPress' ), array( ' &lsaquo;', '' ), $login_title );
}

add_action( 'after_setup_theme', 'wpjobster_init_title' );
function wpjobster_init_title() {
	add_theme_support( 'title-tag' );
}

add_action( 'after_setup_theme', 'wpjobster_add_wide_option' );
function wpjobster_add_wide_option() {
	// Adds the wide option to Gutenberg
	add_theme_support( 'align-wide' );
}

add_action( 'pre_get_posts', 'wpjobster_setup_title' );
function wpjobster_setup_title() {
	// wp_query and jb_action are defined now
	// hook custom titles for custom pages, where wp_query is useless
	// hook Yoast SEO titles for regular WP pages

	$jb_action = wpjobster_get_jb_action();

	if (
		in_array( $jb_action, array(
			'chat_box',
			'loader_page',
			'purchase_this',
			'feature_job',
			'badges',
			'verify_email',
			'verify_phone',
		) )
		|| get_query_var( 'username' )
		|| is_post_type_archive( 'offer' )
	) {

		add_filter( 'document_title_parts', 'wpjobster_custom_titles', 10 );

	}
}

function wpjobster_custom_titles( $title_parts ) {

	global $wp_query;

	$custom_title = $title_parts['title'];
	$jb_action    = wpjobster_get_jb_action();

	if ( $jb_action == "chat_box" ) {
		$custom_title = sprintf( __( "Transaction #%s", "wpjobster" ), wpjobster_camouflage_order_id( $_GET['oid'] ) );
	}
	elseif ( $jb_action == "loader_page" ) {
		$custom_title = __( "Please wait...", "wpjobster" );
	}
	elseif ( $jb_action == "purchase_this" ) {
		$custom_title = __( "Review and Choose Payment Method", "wpjobster" );
	}
	elseif ( $jb_action == "feature_job" ) {
		$custom_title = __( "Feature Job", "wpjobster" );
	}
	elseif ( $jb_action == "badges" ) {
		$custom_title = __( "Buy Badges", "wpjobster" );
	}
	elseif ( $jb_action == "verify_email" ) {
		$custom_title = __( "Verify Email", "wpjobster" );
	}
	elseif ( $jb_action == "verify_phone" ) {
		$custom_title = __( "Verify Phone", "wpjobster" );
	}
	elseif ( is_page( get_option( 'wpjobster_user_profile_page_id' ) ) ) {
		$user = get_user_by( 'login', urldecode( $wp_query->query_vars['username'] ) );
		$custom_title = isset( $user->ID ) ? wpj_get_user_display_type( $user->ID ) : wpj_get_user_display_type( get_current_user_id() );
	}
	elseif ( is_post_type_archive( 'offer' ) ) {
		$custom_title = __( "Proposals", "wpjobster" );
	}

	$title_parts['title'] = $custom_title;

	return $title_parts;
}