<?php
if ( ! function_exists( 'wpjobster_get_user_badges' ) ) {
	function wpjobster_get_user_badges( $uid ) {
		$html = '';

		$tooltip_postition = is_rtl() ? 'top right' : 'top center';

		$user_badge = get_user_meta( $uid, 'user_badge', true );
		if ( $user_badge && ! is_array( $user_badge ) ) $user_badge = array( $user_badge );

		$badges_data = get_option( 'wpj_user_badges_data' );

		if ( $badges_data && is_array( $badges_data ) ) {
			foreach ( $badges_data as $key => $badge ) { $key++;
				if ( $user_badge && in_array( $key, $user_badge ) ) {

					$html .= '<div class="user-badge-wrapper z-index-bigger" data-inverted="" data-tooltip="' . $badge['text'] . '" data-position="' . $tooltip_postition . '">';

						$html .= '<i class="' . ( $badge['icon'] ? $badge['icon'] : 'check circle' ) . ' icon"></i>';

					$html .= '</div>';

				}
			}
		}

		if ( $uid == get_current_user_id() ) {
			if ( get_option( 'wpjobster_enable_badges_sale' ) == 'yes' && get_option( 'wpjobster_credits_enable' ) != 'no' ) {

				$html .= '<div class="user-badge-wrapper z-index-bigger" data-inverted="" data-tooltip="' . __( 'Click to buy more badges', 'wpjobster' ) . '" data-position="' . $tooltip_postition . '">';

					$html .= '<a href="' . get_bloginfo( 'url' ) . '/?jb_action=badges"><i class="plus square outline icon"></i></a>';

				$html .= '</div>';

			}
		}

		return $html;
	}
}

add_action( 'wp_ajax_update_badge_user', 'wpjobster_update_badge_user' );
function wpjobster_update_badge_user() {
	if ( ( current_user_can( 'manage_options' ) || get_current_user_id() == $_POST['uid'] ) && $_POST['action'] == "update_badge_user" ) {
		$uid = $_POST['uid'];

		$crds = wpjobster_get_credits( $uid );

		$badges_price = WPJ_Form::post( 'badges_price' );
		$badges       = WPJ_Form::post( 'badge', '' );

		if ( current_user_can( 'manage_options' ) || $badges_price <= $crds ) {
			if ( ! is_demo_user() ) {

				if ( ! isset( $_POST['no_credit'] ) )
					wpjobster_update_credits( $uid, $crds - $badges_price );

				if ( $badges )
					update_user_meta( $uid, 'user_badge', $badges );
				else
					delete_user_meta( $uid, 'user_badge' );
			}
		}
	}

	wp_die();
}