<?php
add_action('wp_ajax_update_users_balance', 'wpjobster_update_users_balance');
if (!function_exists('wpjobster_update_users_balance')) {
	function wpjobster_update_users_balance() {
		if (current_user_can('manage_options'))
		if ($_POST['action'] == "update_users_balance") {
			$uid = $_POST['uid'];
			$user_data = get_userdata( $uid );

			if (!empty($_POST['increase_credits'])) {

				if ($_POST['increase_credits'] > 0)
				if (is_numeric($_POST['increase_credits'])) {
					$cr = wpjobster_get_credits($uid);
					wpjobster_update_credits($uid, $cr + $_POST['increase_credits']);
					$reason = __('Payment received from Site Admin', 'wpjobster');

					wpjobster_add_history_log('1', $reason, $_POST['increase_credits'], $uid, '', '', 1, '');

					wpj_notify_user_translated( 'balance_up', $uid, array( '##amount_updated##' => $_POST['increase_credits'] ) );
					wpj_notify_user_translated( 'balance_admin_up', 'admin', array( '##amount_updated##' => $_POST['increase_credits'], '##username##' => wpj_get_user_display_type( $user_data->ID ) ) );
				}

			} else {

				if ($_POST['decrease_credits'] > 0)
				if (is_numeric($_POST['decrease_credits'])) {
					$cr = wpjobster_get_credits($uid);
					wpjobster_update_credits($uid, $cr - $_POST['decrease_credits']);
					$reason = __('Payment withdrawn by Site Admin', 'wpjobster');

					wpjobster_add_history_log('0', $reason, $_POST['decrease_credits'], $uid, '', '', 2, '');

					wpj_notify_user_translated( 'balance_down', $uid, array( '##amount_updated##' => $_POST['decrease_credits'] ) );
					wpj_notify_user_translated( 'balance_admin_down', 'admin', array( '##amount_updated##' => $_POST['decrease_credits'], '##username##' => wpj_get_user_display_type( $user_data->ID ) ) );
				}

			}

			$cr = wpjobster_get_credits($uid);
			if($cr < 0) {
				wpj_notify_user_translated( 'balance_negative', $uid, array( '##amount_updated##' => $cr ) );
			}

			//echo auctionTheme_get_credits($uid);
			if(isset($sign)){
				echo $sign;
			}
			echo wpjobster_get_show_price(wpjobster_get_credits($uid));
		}
	}
}

function wpjobster_get_credits($uid){
	$c = get_user_meta($uid, 'credits', true);

	if (empty($c)) {
		update_user_meta($uid, 'credits', "0");
		return 0;
	}

	return $c;
}

function wpjobster_update_credits($uid, $am){
	update_user_meta($uid, 'credits', $am);
}

function update_user_credits_balance($payment_transaction_id,$uid){
	global $wpdb;
	$balance =wpjobster_get_credits($uid);
	$sql_credit_update = " insert into {$wpdb->prefix}job_credits_balance_log set datemade='".time()."',"
			. " uid = '{$uid}',"
			. " credit_balance='{$balance}',"
			. " job_payment_transaction_id='{$payment_transaction_id}'";
	$wpdb->query($sql_credit_update);
	return $wpdb->insert_id;
}

function get_previous_credit_balance($uid,$from_bal){
	global $wpdb;
	$s = "select credit_balance as sum_amount ,from_unixtime({$from_bal}) as fromdt FROM {$wpdb->prefix}job_credits_balance_log logs where logs.uid={$uid}  and datemade<={$from_bal} order by datemade desc limit 1 ";
	$result_data = $wpdb->get_results($s);
	if($result_data){
		return $result_data[0];
	}else{
		return 0;
	}
}
