<?php
/* E-MAIL/PHONE VERIFICATION CONTENT */
add_action('wpjobster_shopping_after_title', 'email_phone_verification');
add_action('wpjobster_my_account_after_title', 'email_phone_verification');
if ( ! function_exists( 'email_phone_verification' ) ) {
	function email_phone_verification($uid){
		if ( get_option( 'wpjobster_verify_email' ) != 'no' ) {
			if ( get_user_meta( $uid, 'uz_email_verification', true ) != 1 ) {
				$email_verification_url = get_bloginfo( 'url' ) . "/?jb_action=verify_email&resend=true";
				?>
				<div class="ui negative message center">
					<i class="close icon"></i>
					<?php echo sprintf( __( "Please verify your email. If you haven't received the verification link please <a href=\"%s\">click here</a> to resend it.", "wpjobster" ), $email_verification_url ); ?>
				</div>
			<?php
			}
		}

		if( get_option('wpjobster_verify_phone_numbers') == 'yes'){
			if (get_user_meta($uid, 'cell_number', true) == ''
			) {
				$edit_profile_url = get_permalink(get_option('wpjobster_my_account_personal_info_page_id'));
				?>
				<div class="ui negative message center">
					<i class="close icon"></i>
					<?php echo sprintf(__("Phone verification is required, please %sedit your profile%s and fill your phone number.", "wpjobster"), "<a href='$edit_profile_url'>","</a>"); ?>
				</div>
				<?php
			} elseif (get_user_meta($uid, 'cell_number', true) != '' && get_user_meta($uid, 'uz_phone_verification', true) != 1) {
				$phone_verification_url = get_bloginfo('url') . "/?jb_action=verify_phone&resend=true";
				?>
				<div class="ui negative message center">
					<i class="close icon"></i>
					<?php echo sprintf(__("Please verify your phone number. Please <a href=\"%s\">click here</a> to receive a verification code.", "wpjobster"), $phone_verification_url); ?>
				</div>
			<?php
			}
		}
	}
}

if ( ! function_exists( 'wpjobster_email_verification_init' ) ) {
	function wpjobster_email_verification_init($uid) {
		$key = hash("sha256", rand(0,1000000), false);
		update_user_meta( $uid, 'uz_email_verification_key', $key );
		update_user_meta( $uid, 'uz_email_verification', 0 );

		return $key;
	}
}

if ( ! function_exists( 'filterEmails' ) ) {
	function filterEmails( $text, $replace = true ) {
		preg_match_all( '/([a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]+)/', $text, $matches, PREG_SET_ORDER );

		$matchesCount = count( $matches );
		$status = 0;
		for ( $i = 0; $i < $matchesCount; $i++ ) {
			if ( filter_var( $matches[$i][0], FILTER_VALIDATE_EMAIL ) ) {
				if ( $replace ) {
					$text = str_replace( $matches[$i][0], '*****', $text );
				}
				$status = 1;
			}
		}

		return array( $text, $status );
	}
}

/* FILTERS */
function wpjobster_get_user_email_status( $uid ) {
	$html = '';
	$tooltip_postition = is_rtl() ? 'top right' : 'top center';
	$user_email_verification = get_user_meta( $uid, 'uz_email_verification', true );

	$icon = get_theme_mod( 'email_verified_icon_options_user' ) != '' ? get_theme_mod( 'email_verified_icon_options_user' ) : 'envelope outline';

	if ( $user_email_verification == 1 ) {

		$html .= '<div class="user-email-verified-wrapper z-index-bigger" data-inverted="" data-tooltip="' . __( 'This user verified his email address', 'wpjobster' ) . '" data-position="' . $tooltip_postition . '">';

			$html .= '<i class="' . $icon . ' icon"></i>';

		$html .= '</div>';

	}

	return $html;
}
function wpj_user_email_vars(){
	$vars = array();

	global $wp_query, $wpdb, $site_url_localized;
	$my_account_url = get_permalink(get_option('wpjobster_my_account_page_id'));
	$my_payments_url = get_permalink(get_option('wpjobster_my_account_payments_page_id'));

	$status = "";
	$title = "";
	$message = "";

	// check if logged in
	if(is_user_logged_in()) {
		global $current_user;
		$current_user = wp_get_current_user();
	}

	//check GET data & verify
	if (isset($_GET['username']) && !empty($_GET['username']) AND isset($_GET['key']) && !empty($_GET['key'])) {
		$user = get_user_by('slug', $_GET['username']);

		if (!$user) {
			wp_redirect(get_bloginfo('url'));
		}
		elseif (is_user_logged_in() && $current_user->ID != $user->ID) {
			wp_redirect(get_bloginfo('url'));
		}

		do_action( 'wpj_key_verification', WPJ_Form::post( 'action', '' ), WPJ_Form::post( 'key', '' ), $user );

		if ( isset( $_GET['action'] ) && $_GET['action'] == 'withdrawal' ) {
			global $wpdb;

			$key = isset( $_GET['key'] ) && $_GET['key'] ? $_GET['key'] : '';
			if ( !is_user_logged_in() ) {
				wp_redirect( $my_account_url );
			}
			if ( $key ) {
				$s = "select * from ".$wpdb->prefix."job_withdraw where uid='$user->ID' and activation_key='$key'";
				$row = $wpdb->get_results($s);
				$row = $row[0];
				$id = isset( $row->id ) ? $row->id : '';
				if ( $id ) {
					$ss = "update ".$wpdb->prefix."job_withdraw set activation_key=NULL where id='$id'";
					$wpdb->query($ss);

					$data = explode( '|', $row->payedamount );
					$currency = $data[0];
					$amount = $data[1];

					// Email the admin
					wpj_notify_user_translated( 'admin_new_withdrawal_request', 'admin', array( '##withdrawal_username##' => wpj_get_user_display_type( $user->ID ), '##withdrawal_amount##' => wpjobster_get_show_price_precise( $amount, 2, $currency ), '##withdrawal_method##' => $row->methods ) );

					$title = __("Withdrawal Confirmed", "wpjobster");
					$message = __("Your withdrawal request was successfully confirmed.", "wpjobster");
				} else {
					$status = "wrongkey";
					$title = __("Wrong Link", "wpjobster");
					$message = __("Oops. It seems that the withdrawal verification link is wrong or the request was already verified.", "wpjobster");
				}
			}
		} else {
			if (get_user_meta($user->ID, 'uz_email_verification', true) == 1 ) {
				if (is_user_logged_in()) {
					wp_redirect($my_account_url);
				}
				if (hash("sha256", $user->user_nicename . get_user_meta($user->ID, 'uz_email_verification_key', true), false) == $_GET['key']) {
					$status = "alreadyok";
					$title = __("Email Verified", "wpjobster");
					$message = __("Your email was already verified.", "wpjobster");
				}
				else {
					$status = "wrongkey";
					$title = __("Wrong Link", "wpjobster");
					$message = __("Oops. It seems that the email verification link is wrong. Please try again or login to your account and generate a new one.", "wpjobster");
				}

			}
			elseif (hash("sha256", $user->user_nicename . get_user_meta($user->ID, 'uz_email_verification_key', true), false) == $_GET['key']) {
				update_user_meta( $user->ID, 'uz_email_verification', 1 );
				$status = "ok";
				$title = __("Email Verified", "wpjobster");
				$message = __("Your email was successfully verified.", "wpjobster");

				//to_do send email successfully activated here
			}
			else {
				$status = "wrongkey";
				$title = __("Wrong Link", "wpjobster");
				$message = __("Oops. It seems that the email verification link is wrong. Please try again or login to your account and generate a new one.", "wpjobster");
			}
		}
	}

	elseif (is_user_logged_in() && isset($_GET['resend']) && $_GET['resend'] == "true" && get_user_meta($current_user->ID, 'uz_email_verification', true) != 1) {
		$user_data = get_userdata( $current_user->ID );

		$email_key = wpjobster_email_verification_init( $current_user->ID );
		$email_key_processed = hash( "sha256", $user_data->user_nicename . $email_key, false );
		$email_verification  = get_bloginfo( 'url' ) . "/?jb_action=verify_email&username=" . $user_data->user_nicename . "&key=" . $email_key_processed;

		if ( get_option( 'wpjobster_verify_email' ) != 'no' ) {
			wpj_notify_user_translated( 'user_verification', $current_user->ID, array( '##email_verification##' => $email_verification, '##receiver_email##' => $user_data->user_email ) );
		}

		$status = "resent";
		$title = __("Verification Email Sent", "wpjobster");
		$message = __("The verification email was sent to your email address.", "wpjobster");
	}

	else {
		wp_redirect(get_bloginfo('url'));
	}

	$vars = array(
		'site_url_localized' => $site_url_localized,
		'my_account_url'     => $my_account_url,
		'my_payments_url'    => $my_payments_url,
		'title'              => $title,
		'message'            => $message,
		'key'                => isset( $key ) ? true : false
	);

	return $vars;
}

function wpj_confirm_withdrawal_email( $uid, $act_key ) {
	global $wpdb;
	$s = "select * from ".$wpdb->prefix."job_withdraw where uid='$uid' and activation_key='$act_key'";
	$row = $wpdb->get_results($s);
	$id = isset($row[0]->id) ? $row[0]->id : '';
	$row = $row[0];

	$data = explode( '|', $row->payedamount );
	$currency = $data[0];
	$amount = $data[1];

	$user_data = get_userdata( $uid );

	$withdrawal_email_verification = get_bloginfo( 'url' ) . "/?jb_action=verify_email&username=" . $user_data->user_nicename . "&key=" . $act_key . "&action=withdrawal";

	wpj_notify_user_translated( 'withdraw_req', $uid, array( '##amount_withdrawn##' => wpjobster_get_show_price_precise( $amount, 2, $currency ), '##withdraw_method##' => wpjobster_translate_string( $row->methods ), '##withdrawal_email_verification##' => $withdrawal_email_verification ) );

	$using_perm = wpjobster_using_permalinks();
	if($using_perm) $pay_pg_lnk = get_permalink(get_option('wpjobster_my_account_payments_page_id'));
	else $pay_pg_lnk = get_bloginfo('url'). "?page_id=". get_option('wpjobster_my_account_payments_page_id'). "&";

	wp_redirect( $pay_pg_lnk );
}
