<?php
// VALIDATE USERNAME
add_filter( 'validate_username' , 'wpj_validate_username', 10, 2 );
function wpj_validate_username( $valid = '', $username = '' ) {
	if ( preg_match( "/\\s/", $username ) || preg_match( "/@/", $username ) ) {
		return $valid = false;
	}

	return $valid;
}

// GET USER ROLE
if ( ! function_exists( 'get_current_user_role' ) ) {
	function get_current_user_role() {
		global $current_user;

		$user_roles = $current_user->roles;
		if ( isset( $user_roles[0] ) ) {
			return $user_roles[0];
		}

		return false;
	}
}

// GET USER TYPE
function wpj_get_user_account_type( $uid ) {
	if ( $uid ) {
		if ( function_exists( 'wpjobster_user_type' ) ) {

			$wpjobsterusertype = get_user_meta( $uid, 'wpjobster_user_type', true );
			if ( $wpjobsterusertype == 'buyer' ) {
				return __( 'Buyer', 'wpjobster' );
			} else {
				return __( 'Seller', 'wpjobster' );
			}

		} else {

			return __( 'Seller', 'wpjobster' );

		}
	}
}

function wpj_is_seller( $user_id = '' ) {
	$user_id = $user_id ? $user_id : get_current_user_id();

	if ( function_exists( 'wpjobster_user_type_allowed' ) ) {
		if (
			wpjobster_user_type_allowed( $user_id ) == 'seller'
			|| ( wpjobster_user_type_allowed( $user_id ) == 'buyer' && get_option( 'wpj_as_hide_menu' ) != 'yes' )
		) {
			return true;
		} else {
			return false;
		}
	} else {
		return true;
	}
}

add_filter( 'avatar_defaults', 'wpj_change_default_wp_avatar' );
function wpj_change_default_wp_avatar ( $avatar_defaults ) {
	$no_image_src = get_theme_mod( 'no_image_icon_options_user' ) != '' ? get_theme_mod( 'no_image_icon_options_user' ) : get_template_directory_uri() . '/assets/images/noav.jpg';
	$avatar_defaults[$no_image_src] = __( 'Default WPJ Avatar', 'wpjobster' );

	return $avatar_defaults;
}