<?php
function wpj_user_phone_vars(){

	$status  = "";
	$title   = "";
	$message = "";

	// check if logged in
	if ( is_user_logged_in() ) {
		global $current_user;
		$current_user = wp_get_current_user();
	}

	//check GET data & verify
	if (
		isset( $_POST['phone_key'] )
		&& ! empty( $_POST['phone_key'] )
		&& get_option( 'wpjobster_verify_phone_numbers' ) == 'yes'
	) {

		if ( get_user_meta( $current_user->ID, 'uz_phone_verification', true ) == 1 ) {

			if ( is_user_logged_in( 'wpjobster_verify_phone_numbers' ) ) {
				wp_redirect( get_permalink( get_option( 'wpjobster_my_account_page_id' ) ) );
			}

		} elseif ( get_user_meta( $current_user->ID, 'uz_phone_verification', true ) != 1 && get_user_meta( $current_user->ID, 'uz_phone_verification_key', true ) == $_POST['phone_key'] ) {

			update_user_meta( $current_user->ID, 'uz_phone_verification', 1 );
			$status = "ok";
			$title = __("Phone Verified", "wpjobster");
			$message = __("Your phone number was successfully verified.", "wpjobster");

		} else {
			$status  = "wrongkey";
			$title   = __( "Wrong Code", "wpjobster" );
			$message = __( "Oops. It seems that the phone verification code is wrong. Please try again or login to your account and generate a new one.", "wpjobster" );
		}

	} elseif (
		is_user_logged_in()
		&& isset( $_GET['resend'] )
		&& $_GET['resend'] == "true"
		&& get_user_meta( $current_user->ID, 'uz_phone_verification', true ) != 1
		&& get_option( 'wpjobster_verify_phone_numbers' ) == 'yes'
	) {

		$verification_key = get_rand_alphanumeric(6);

		update_user_meta( $current_user->ID, 'uz_phone_verification_key', $verification_key );

		$verification_key = apply_filters( 'wpj_phone_verification_key_message_filter', $verification_key );
		wpjobster_send_sms( $current_user->ID, $verification_key );

		$status  = "resent";
		$title   = __( "SMS Code Sent", "wpjobster" );
		$message = __( "The verification code was sent to your phone number. Please fill it below and click submit.", "wpjobster" );

	} else {

		wp_redirect( get_bloginfo( 'url' ) );

	}

	return array( 'status' => $status, 'title' => $title, 'message' => $message );
}

/* HELPERS */
if ( ! function_exists( 'wpjobster_phone_number_format' ) ) {
	function wpjobster_phone_number_format($uid, $phone_number){
		$country_code = get_user_meta( $uid, 'country_code', true );

		$phone_prefixes = get_all_phone_prefixes();

		if($phone_prefixes){
			foreach ($phone_prefixes as $key => $value) {
				if($country_code == $key){
					$user_code = $value;
				}
			}
		}

		if($phone_number){
			if(substr( $phone_number, 0, 2 ) === "00"){
				$phone_number = substr_replace($phone_number,'+',0,2);
			}
			if(substr( $phone_number, 0, 2 ) != "00" && substr( $phone_number, 0, 1 ) === "0"){
				if(isset($user_code))
					$phone_number = substr_replace($phone_number,'+'.$user_code,0,1);
			}
		}

		update_user_meta($uid, 'cell_number', $phone_number);
		return $phone_number;
	}
}

/* FILTERS */
if ( ! function_exists( 'filterPhoneNumbersAdvanced' ) ) {
	function filterPhoneNumbersAdvanced( $text, $replace = true ) {
		$wpjobster_blacklisted_prefixes_pm = get_option( 'wpjobster_blacklisted_prefixes_pm' );

		$blacklisted_prefixes_pm    = str_replace( "\r", "\n", $wpjobster_blacklisted_prefixes_pm );
		$blacklisted_prefixes_pm    = str_replace( "+", "", $blacklisted_prefixes_pm );
		$blacklisted_prefixes_pm    = explode( "\n", $blacklisted_prefixes_pm );
		$blacklisted_prefixes_clean = array();

		foreach ( $blacklisted_prefixes_pm as $prefix ) {
			$prefix = trim( $prefix );
			if ( $prefix && ctype_digit( $prefix ) ) {
				array_push( $blacklisted_prefixes_clean, $prefix );
			}
		}

		if ( ! $blacklisted_prefixes_clean ) {
			$regex_match_str = '/(\(?)(\+?)(?<!\$)(?<!\#)\b(([0-9])([\/() -]|[0-9]){8,12}([0-9]))(?!\$)\b/';
		} else {
			$prefixes_str    = implode( "|", $blacklisted_prefixes_clean );
			$regex_match_str = '/(\(?)(\+?)(?<!\$)(?<!\#)\b((' . $prefixes_str . ')([\/() -]|[0-9]){2,10}([0-9]))(?!\$)\b/';
		}

		preg_match_all( $regex_match_str, $text, $matches, PREG_SET_ORDER );

		$matchesCount = count( $matches );
		$status = 0;

		if ( $matchesCount > 0 ) {
			$status = 1;
			if ( $replace) {
				$text = preg_replace( $regex_match_str, '*****', $text );
			}
		}

		return array( $text, $status );
	}
}