<?php
function wpj_user_profile_vars() {
	// Initialize array
	$user_vars = array();

	// Global VARS
	global $wpdb, $wp_rewrite, $wp_query, $current_user;

	// Current User
	$current_user = wp_get_current_user();
	$username_curent = $current_user->user_login;

	// Username from URL
	$username_from_url = isset( $wp_query->query_vars['username'] ) ? urldecode( $wp_query->query_vars['username'] ) : '';

	// Generate User ID
	$username = $username_from_url ? $username_from_url : $username_curent;
	$user     = get_user_by( 'login', $username );
	$uid      = $user->ID;

	// Position for tooltip
	$tooltip_postition = is_rtl() ? 'top right' : 'top center';

	$user_vars = array(
		'wpdb'              => $wpdb,
		'user'              => $user,
		'uid'               => $uid,
		'username'          => $username,
		'current_user'      => $current_user,
		'username_curent'   => $username_curent,
		'username_from_url' => $username_from_url,
		'tooltip_postition' => $tooltip_postition
	);

	return $user_vars;
}

function wpj_show_user_field_content( $section = '', $label = '', $value = '', $class = '', $button = false, $no_ul = false, $tooltip = false ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( $section ) {
		if ( $value ) {
			if ( $section == 'white_sidebar' ) { ?>

				<div class="user-info-list content-wrapper user-<?php echo $class; ?>-wrapper"<?php echo $tooltip ? ' data-html="' . $tooltip . '" data-position="top right"' : ''; ?>>

					<?php if ( $no_ul != true ) { echo '<ul><li>'; } ?>

						<!-- Label -->
						<p><?php if ( $label ) { echo $label . ':'; } ?></p>

						<!-- Value -->
						<?php echo $class == 'vacation_mode' ? $value : '<span>' . $value . '</span>';

					if ( $no_ul != true ) { echo '</li></ul>'; } ?>

				</div>

			<?php } elseif ( $section == 'transparent_sidebar' ) { ?>

				<div class="info-widget user-<?php echo $class; ?>-wrapper">
					<h3 class="widget-title"><?php if ( $label ) { echo $label; } ?></h3>

					<?php if ( $uid == $current_user->ID ) {
						if ( $button && $button == 'edit' ) { ?>
							<a data-type="<?php echo $class; ?>" class="edit-info user-edit-item"><?php echo __( 'Edit Description', 'wpjobster' ); ?></a>
						<?php } elseif ( $button && $button == 'new' ) { ?>
							<a data-type="<?php echo $class; ?>" class="edit-info user-new-item"><?php echo __( 'Add New', 'wpjobster' ); ?></a>
						<?php }
					} ?>

					<div class="content-wrapper <?php echo $class; ?>-content"<?php echo $tooltip ? ' data-html="' . $tooltip . '" data-position="top left"' : ''; ?>>
						<?php echo $value; ?>
					</div>
				</div>

			<?php } elseif ( $section == 'main_content' ) { ?>

				<div class="profile-main-content user-<?php echo $class; ?>-wrapper">
					<h3 class="widget-title"><b><?php if ( $label ) { echo $label; } ?></b></h3>

					<?php if ( $uid == $current_user->ID ) {
						if ( $button && $button == 'edit' ) { ?>
							<a data-type="<?php echo $class; ?>" class="edit-info user-edit-item"><?php echo __( 'Edit Description', 'wpjobster' ); ?></a>
						<?php } elseif ( $button && $button == 'new' ) { ?>
							<a data-type="<?php echo $class; ?>" class="edit-info user-new-item"><?php echo __( 'Add New', 'wpjobster' ); ?></a>
						<?php }
					} ?>

					<div class="content-wrapper <?php echo $class; ?>-content"<?php echo $tooltip ? ' data-html="' . $tooltip . '" data-position="top left"' : ''; ?>>
						<?php echo $value; ?>
					</div>

					<div class="ui hidden divider"></div>
				</div>

			<?php } elseif ( $section == 'icons' ) {

				$field = wpj_get_acf_field_by_slug( $section, $class, 'user' );

				$icon          = ! empty( $field['icon'] ) ? $field['icon'] : 'settings';
				$icon_colour   = ! empty( $field['icon_colour'] ) ? $field['icon_colour'] : '#333333';

				$label_colour  = ! empty( $field['label_colour'] ) ? $field['label_colour'] : '#000000';
				$value_colour  = ! empty( $field['value_colour'] ) ? $field['value_colour'] : '#ababab;';

				$display_label    = ! empty( $field['display_label'] ) ? $field['display_label'] : 'yes';
				$display_location = ! empty( $field['display_location'] ) ? $field['display_location'] : '';

				if (
					( $display_location == 'current_user' && $uid == $current_user->ID )
					|| ( $display_location == 'other_user' && $uid != $current_user->ID )
					|| $display_location == 'both_users'
					|| $display_location == ''
				) { ?>

					<div class="ui card icons-wrapper">

						<h3 class="ui center aligned icon header">

							<i style="color: <?php echo $icon_colour; ?>;" class="<?php echo $icon; ?> icon"></i>

							<div class="content">

								<?php if ( $display_label == 'yes' ) { echo '<span class="header" style="color: ' . $label_colour . ';">' . $label . '</span>'; }; ?>

								<div style="color: <?php echo $value_colour; ?>;" class="sub header content-wrapper"<?php echo $tooltip ? ' data-html="' . $tooltip . '" data-position="bottom center"' : ''; ?>><?php echo $value; ?></div>

							</div>

						</h3>

					</div>

				<?php }
			}
		}
	}
}

function wpj_show_user_profile_fields_content( $section ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $value ) {
		$$key = $value;
	}

	$Custom_Fields = new WPJ_Custom_Fields( $uid, 'up' );

	do_action( 'wpj_user_profile_before_current_content', $section, $uid );

	if ( have_rows( $section ) ) {
		foreach ( get_field( $section ) as $ws_key => $ws_value ) {
			$f_name = $ws_value['acf_fc_layout'];

			if ( strpos( $f_name, 'custom_field' ) !== false ) {
				$Custom_Fields->displayFieldsContent( $section, $ws_value );
			}

			if ( $f_name == 'custom_icons_link' ) {
				wpj_up_show_user_custom_icons_link( $section, $f_name );
			}

			if ( $f_name == 'country' ) {
				wpj_up_show_user_country( $section, $f_name );
			}

			if ( $f_name == 'distance' ) {
				wpj_up_show_user_distance( $section, $f_name );
			}

			if ( $f_name == 'registered_date' ) {
				wpj_up_show_user_registered_date( $section, $f_name );
			}

			if ( $f_name == 'avg_response_time' ) {
				wpj_up_show_user_avg_response_time( $section, $f_name );
			}

			if ( $f_name == 'recent_delivery' ) {
				wpj_up_show_user_recent_delivery( $section, $f_name );
			}

			if ( $f_name == 'last_seen' ) {
				wpj_up_show_user_last_seen( $section, $f_name );
			}

			if ( $f_name == 'completed_jobs' ) {
				wpj_up_show_user_completed_jobs_count( $section, $f_name );
			}

			if ( $f_name == 'cancelled_jobs' ) {
				wpj_up_show_user_cancelled_jobs_count( $section, $f_name );
			}

			if ( $f_name == 'ongoing_jobs' ) {
				wpj_up_show_user_ongoing_jobs_count( $section, $f_name );
			}

			if ( $f_name == 'posted_jobs' ) {
				wpj_up_show_user_posted_jobs_count( $section, $f_name );
			}

			if ( $f_name == 'completed_requests' ) {
				wpj_up_show_user_completed_requests_count( $section, $f_name );
			}

			if ( $f_name == 'cancelled_requests' ) {
				wpj_up_show_user_cancelled_requests_count( $section, $f_name );
			}

			if ( $f_name == 'ongoing_requests' ) {
				wpj_up_show_user_ongoing_requests_count( $section, $f_name );
			}

			if ( $f_name == 'posted_requests' ) {
				wpj_up_show_user_posted_requests_count( $section, $f_name );
			}

			if ( $f_name == 'vacation_mode' ) {
				wpj_up_show_user_vacation_mode( $section, $f_name );
			}

			if ( $f_name == 'edit_profile_link' ) {
				wpj_up_show_user_edit_profile_link( $section, $f_name );
			}

			if ( $f_name == 'contact_me' ) {
				wpj_up_show_user_contact( $section, $f_name );
			}

			if ( $f_name == 'request_custom_offer' ) {
				wpj_up_show_user_custom_offer( $section, $f_name );
			}

			if ( $f_name == 'social_media_links' ) {
				wpj_up_show_user_social_media_links( $section, $f_name );
			}

			if ( $f_name == 'description' ) {
				wpj_up_show_user_description( $section, $f_name );
			}

			if ( $f_name == 'languages' ) {
				wpj_up_show_user_languages( $section, $f_name );
			}

			if ( $f_name == 'skills' ) {
				wpj_up_show_user_skills( $section, $f_name );
			}

			if ( $f_name == 'education' ) {
				wpj_up_show_user_education( $section, $f_name );
			}

			if ( $f_name == 'certification' ) {
				wpj_up_show_user_certification( $section, $f_name );
			}

			if ( $f_name == 'portfolio' ) {
				wpj_up_show_user_portfolio( $section, $f_name );
			}

			if ( $f_name == 'jobs' ) {
				wpj_up_show_user_jobs( $section, $f_name );
			}

			if ( $f_name == 'reviews' ) {
				wpj_up_show_user_review( $section, $f_name );
			}
			// END if f_name
		} // END foreach field
	} // END if has rows
}

function wpj_up_show_user_custom_icons_link( $section = 'white_sidebar', $f_name = 'custom_icons_link' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$field = wpj_get_acf_field_by_slug( $section, $f_name, 'user' );

	$label_value = ! empty( $field['label_value'] ) ? $field['label_value'] : '';
	$link_url    = ! empty( $field['link_url'] ) ? $field['link_url'] : '#';
	$link_text   = ! empty( $field['link_text'] ) ? $field['link_text'] : __( 'Click To View', 'wpjobster' );
	$link_colour = ! empty( $field['link_colour'] ) ? $field['link_colour'] : '#000000';


	$value = '<a style="color: ' . $link_colour . '" class="font-14pt" href="' . $link_url . '">' . $link_text . '</a>';

	wpj_show_user_field_content( $section, $label_value, $value, $f_name, '', true );
}

function wpj_up_show_user_cover() {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	// User Cover Image VARS
	$banner_id = get_user_meta( $uid, 'banner_id', true );
	$banner = get_user_meta( $uid, 'banner', true );

	if ( $banner_id ) {
		$banner = wpj_get_attachment_image_url( $banner_id, 'job_cover_image' );
	}

	if ( $banner ) {
		$style = 'background-image: url( \'' . $banner . '\' );';
		$class = 'ub-cover-photo';
	} else {
		$style = '';
		$class = '';
	} ?>

	<div class="profile-top-cover <?php echo $class; ?>" id="banner" data-attach_id="<?php echo $banner_id; ?>" style="<?php echo $style; ?>">

		<?php if ( $uid == get_current_user_id() ) { ?>

			<div id="banner_upload_input" class="hidden_input" style="display: none;">
				<div id="queue"></div>
				<input id="file_upload_banner" name="file_upload_banner" type="file" multiple="false" accept="image/*">
			</div>

			<?php if ( empty( $banner ) ) { ?>

				<div class="banner_input">
					<div id="contentbanner">
						<a class='change-cover'><i class='camera icon'></i></a>
						<span style='display:none;' id='dvloader' class="dvloader-new">
							<img src='<?php echo get_template_directory_uri() . '/assets/images/notifications-loading.gif'; ?>' />
						</span>
					</div>
				</div>

			<?php } else { ?>

				<div id="contentbanner">
					<a class='change-cover'><i class='close icon'></i></a>
					<span style='display:none;' id='dvloader' class="dvloader-new">
						<img src='<?php echo get_template_directory_uri() . '/assets/images/notifications-loading.gif'; ?>' />
					</span>
				</div>

			<?php }

		} ?>

	</div>

<?php }

function wpj_up_show_user_photo() {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	} ?>

	<div class="profile-photo-section">
		<div class="profile-photo">

			<?php if ( $uid == $current_user->ID ) { ?>

				<div class="hidden_input">

					<div id="queue"></div>
					<input id="file_upload" name="file_upload" type="file" multiple="false" accept="image/*">

				</div>

				<div class="avatar_input avatar_input_new" style="width: 150px; height: 150px">

					<img src="<?php echo wpjobster_get_avatar( get_current_user_id(), 150, 150 ); ?>" width="150" height="150">

					<a class="change-profile-photo">
						<i class="camera icon"></i>
					</a>

				</div>

				<script>window.addEventListener( 'load', function() { wpj_init_avatar_upload_form( 150, 150, 'user-profile' ); });</script>

			<?php } else { ?>

				<img border="0" src="<?php echo wpjobster_get_avatar( $uid, 150, 150 ); ?>" class="user_img round-avatar" />

			<?php } ?>

		</div>

		<!-- User Level -->
		<?php $badge_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
		if ( $badge_section ) { echo wpjobster_get_user_level_badge( $uid ); } ?>

	</div>
<?php }

function wpj_up_show_user_status() {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( $uid != $current_user->ID ) {
		$wpjobster_en_user_online_status = get_option( 'wpjobster_en_user_online_status' );
		if ( $wpjobster_en_user_online_status && $wpjobster_en_user_online_status != 'no' ) {
			$u_id = $uid; include ( locate_template( 'template-parts/pages/user/page-user-status.php' ) );
		}
	}
}

function wpj_up_show_user_company() {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( get_option( 'wpjobster_enable_user_company' ) == 'yes' ) {
		$user_company = get_user_meta( $uid, 'user_company', true );
		if( $user_company ) { echo ' <span class="user-company">(' . get_user_meta( $uid, 'user_company', true ) . ')</span>'; }
	}
}

function wpj_up_show_user_tagline() {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$tagline_meta    = get_user_meta( $uid, 'user_tagline', true );
	$edit            = $uid == $current_user->ID ? 'user-edit-item' : '';
	$tagline_content = trim( $tagline_meta ) ? $tagline_meta : '';
	$tagline_class   = ! $tagline_content ? ' no_item' : '';

	if ( ! $tagline_content ) {
		$tagline_content = $uid == $current_user->ID ? __( 'Click here to add a tagline!', 'wpjobster' ) : '';
	}

	if ( $tagline_content ) { ?>
		<div class="user-tagline-wrapper">
			<p data-type="tagline" class="tagline <?php echo $edit . $tagline_class; ?>"><?php echo wpj_apply_filter_to_string( $tagline_content, false, 'userprofiles' ); ?></p>
			<div class="tagline-content"></div>
		</div>
	<?php }
}

function wpj_up_show_user_rating() {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	} ?>

	<div class="user-rating user-profile">
		<?php echo wpj_get_user_rating( $uid ); ?>

		<p>
			<a href="#all-feedback-box">
				<?php $rating_count = get_option( 'wpjobster_user_min_rating' );
				$rating_count = $rating_count && is_numeric( $rating_count ) ? $rating_count : 3;

				if ( wpjobster_get_seller_ratings_number( $uid ) >= $rating_count ) {
					echo number_format( wpjobster_get_seller_avg_rating( $uid ), 1 ) . ' (' . wpjobster_get_seller_ratings_number( $uid ) . " " .  _n( "review", "reviews", wpjobster_get_seller_ratings_number( $uid ), "wpjobster" ) . ')';
				}?>
			</a>
		</p>
	</div>
<?php }

function wpj_up_show_user_country( $section = 'white_sidebar', $f_name = 'country' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$country_code = get_user_meta( $uid, 'country_code', true );
	$country_name = get_country_name( $country_code );

	if ( $country_name && is_string ( $country_name ) ) {
		$label = _x( 'From', 'User Profile Page', 'wpjobster' );
		$value = '<i class="' . strtolower( $country_code ) . ' flag"></i>' . $country_name;

		wpj_show_user_field_content( $section, $label, $value, $f_name );
	}
}

function wpj_up_show_user_distance( $section = 'white_sidebar', $f_name = 'distance' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( get_option( 'wpjobster_html5_geolocation_enable' ) == 'yes'
		&& ( $distance = wpj_get_distance_to( 'user', $uid ) ) ) {

		$label = _x( 'Distance', 'User Profile Page', 'wpjobster' );
		$value = $distance;

		wpj_show_user_field_content( $section, $label, $value, $f_name );
	}
}

function wpj_up_show_user_registered_date( $section = 'white_sidebar', $f_name = 'registered_date' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$reg = $user->user_registered;
	$date_format = get_option( 'date_format' );

	$label = _x( 'Member Since', 'User Profile Page', 'wpjobster' );
	$value = strtotime( $reg ) > 0 ? wpj_date( $date_format, strtotime( $reg ) ) : __( 'There is no record of the date', 'wpjobster' );

	wpj_show_user_field_content( $section, $label, $value, $f_name );
}

function wpj_up_show_user_avg_response_time( $section = 'white_sidebar', $f_name = 'avg_response_time' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	global $wpdb;

	$art_query = "
		SELECT AVG( TIMESTAMPDIFF( SECOND, FROM_UNIXTIME( datemade ), FROM_UNIXTIME( readdate ) ) )
		AS total
		FROM {$wpdb->prefix}job_pm
		WHERE FROM_UNIXTIME( datemade ) BETWEEN (CURRENT_DATE() - INTERVAL 1 MONTH) AND CURRENT_DATE()
		AND readdate != 0
		AND user = '{$uid}'
	";

	$results = $wpdb->get_results( $art_query );

	$label = _x( 'Avg. Response Time', 'User Profile Page', 'wpjobster' );
	$value = ! empty( $results ) && isset( $results[0]->total ) && $results[0]->total != 0 ? wpj_seconds_to_words( $results[0]->total ) : __( 'Not enough messages', 'wpjobster' );

	wpj_show_user_field_content( $section, $label, $value, $f_name );
}

function wpj_up_show_user_recent_delivery( $section = 'white_sidebar', $f_name = 'recent_delivery' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$recent_delivery_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $recent_delivery_section ) {
		global $wpdb;

		$rd_query = "
			SELECT MAX( date_finished ) AS recent_delivery
			FROM {$wpdb->prefix}job_orders orders,
				 {$wpdb->prefix}posts posts
			WHERE posts.post_author = '{$uid}'
				AND posts.ID = orders.pid
				AND orders.done_seller = '1'
			ORDER BY orders.id DESC
		";

		$results = $wpdb->get_results( $rd_query );

		$label = _x( 'Recent Delivery', 'User Profile Page', 'wpjobster' );
		$value = ! empty( $results ) && isset( $results[0]->recent_delivery ) && $results[0]->recent_delivery != 0 ? wpj_seconds_to_words( time() - $results[0]->recent_delivery, false, true ) : __( 'No delivery', 'wpjobster' );

		wpj_show_user_field_content( $section, $label, $value, $f_name );
	}
}

function wpj_up_show_user_last_seen( $section = 'white_sidebar', $f_name = 'last_seen' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( get_option( 'wpjobster_enable_last_seen' ) != 'no' ) {
		$label = _x( 'Last Seen', 'User Profile Page', 'wpjobster' );
		$value = wpj_get_last_visit( $uid );

		wpj_show_user_field_content( $section, $label, $value, $f_name );
	}
}

function wpj_up_show_user_completed_jobs_count( $section = 'white_sidebar', $f_name = 'completed_jobs' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$is_seller = apply_filters( 'display_or_hide_section_filter', true, $uid );

	$label = _x( 'Completed Jobs', 'User Profile Page', 'wpjobster' );

	$as_seller = wpj_get_sales_orders_count( $uid, 'completed' ) ? intval( wpj_get_sales_orders_count( $uid, 'completed' ) ) : __( 'None', 'wpjobster' );
	$as_buyer  = wpj_get_shopping_orders_count( $uid, 'completed' ) ? intval( wpj_get_shopping_orders_count( $uid, 'completed' ) ) : __( 'None', 'wpjobster' );

	$value = intval( wpj_get_sales_orders_count( $uid, 'completed' ) ) + intval( wpj_get_shopping_orders_count( $uid, 'completed' ) );
	if ( ! $value ) { $value = __( 'None', 'wpjobster' ); }

	$tooltip = sprintf( __( 'As buyer: %s', 'wpjobster' ), $as_buyer );
	if ( $is_seller ) {
		$tooltip .= '<br>';
		$tooltip .= sprintf( __( 'As seller: %s', 'wpjobster' ), $as_seller );
	}

	wpj_show_user_field_content( $section, $label, $value, $f_name, '', '', $tooltip );
}

function wpj_up_show_user_cancelled_jobs_count( $section = 'white_sidebar', $f_name = 'cancelled_jobs' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$is_seller = apply_filters( 'display_or_hide_section_filter', true, $uid );

	$label = _x( 'Cancelled Jobs', 'User Profile Page', 'wpjobster' );

	$as_seller = wpj_get_sales_orders_count( $uid, 'cancelled' ) ? intval( wpj_get_sales_orders_count( $uid, 'cancelled' ) ) : __( 'None', 'wpjobster' );
	$as_buyer  = wpj_get_shopping_orders_count( $uid, 'cancelled' ) ? intval( wpj_get_shopping_orders_count( $uid, 'cancelled' ) ) : __( 'None', 'wpjobster' );

	$value = intval( wpj_get_sales_orders_count( $uid, 'cancelled' ) ) + intval( wpj_get_shopping_orders_count( $uid, 'cancelled' ) );
	if ( ! $value ) { $value = __( 'None', 'wpjobster' ); }

	$tooltip = sprintf( __( 'As buyer: %s', 'wpjobster' ), $as_buyer );
	if ( $is_seller ) {
		$tooltip .= '<br>';
		$tooltip .= sprintf( __( 'As seller: %s', 'wpjobster' ), $as_seller );
	}

	wpj_show_user_field_content( $section, $label, $value, $f_name, '', '', $tooltip );
}

function wpj_up_show_user_ongoing_jobs_count( $section = 'white_sidebar', $f_name = 'ongoing_jobs' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$is_seller = apply_filters( 'display_or_hide_section_filter', true, $uid );

	$label = _x( 'Ongoing Jobs', 'User Profile Page', 'wpjobster' );

	$as_seller = wpj_get_sales_orders_count( $uid, 'active' ) ? intval( wpj_get_sales_orders_count( $uid, 'active' ) ) : __( 'None', 'wpjobster' );
	$as_buyer  = wpj_get_shopping_orders_count( $uid, 'active' ) ? intval( wpj_get_shopping_orders_count( $uid, 'active' ) ) : __( 'None', 'wpjobster' );

	$value = intval( wpj_get_sales_orders_count( $uid, 'active' ) ) + intval( wpj_get_shopping_orders_count( $uid, 'active' ) );
	if ( ! $value ) { $value = __( 'None', 'wpjobster' ); }

	$tooltip = sprintf( __( 'As buyer: %s', 'wpjobster' ), $as_buyer );
	if ( $is_seller ) {
		$tooltip .= '<br>';
		$tooltip .= sprintf( __( 'As seller: %s', 'wpjobster' ), $as_seller );
	}

	wpj_show_user_field_content( $section, $label, $value, $f_name, '', '', $tooltip );
}

function wpj_up_show_user_posted_jobs_count( $section = 'white_sidebar', $f_name = 'posted_jobs' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$posted_jobs_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $posted_jobs_section ) {
		$label = _x( 'Posted Jobs', 'User Profile Page', 'wpjobster' );
		$value = wpj_get_user_jobs_count( $uid, 'active' ) ? intval( wpj_get_user_jobs_count( $uid, 'active' ) ) : __( 'None', 'wpjobster' );

		wpj_show_user_field_content( $section, $label, $value, $f_name );
	}
}

function wpj_up_show_user_completed_requests_count( $section = 'white_sidebar', $f_name = 'completed_requests' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Completed Requests', 'User Profile Page', 'wpjobster' );
	$value = wpj_get_shopping_orders_count( $uid, 'completed_custom_offer' ) ? intval( wpj_get_shopping_orders_count( $uid, 'completed_custom_offer' ) ) : __( 'None', 'wpjobster' );

	wpj_show_user_field_content( $section, $label, $value, $f_name );
}

function wpj_up_show_user_cancelled_requests_count( $section = 'white_sidebar', $f_name = 'cancelled_requests' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Cancelled Requests', 'User Profile Page', 'wpjobster' );
	$value = wpj_get_shopping_orders_count( $uid, 'cancelled_custom_offer' ) ? intval( wpj_get_shopping_orders_count( $uid, 'cancelled_custom_offer' ) ) : __( 'None', 'wpjobster' );

	wpj_show_user_field_content( $section, $label, $value, $f_name );
}

function wpj_up_show_user_ongoing_requests_count( $section = 'white_sidebar', $f_name = 'ongoing_requests' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Ongoing Requests', 'User Profile Page', 'wpjobster' );
	$value = wpj_get_shopping_orders_count( $uid, 'active_custom_offer' ) ? intval( wpj_get_shopping_orders_count( $uid, 'active_custom_offer' ) ) : __( 'None', 'wpjobster' );

	wpj_show_user_field_content( $section, $label, $value, $f_name );
}

function wpj_up_show_user_posted_requests_count( $section = 'white_sidebar', $f_name = 'posted_requests' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Posted Requests', 'User Profile Page', 'wpjobster' );
	$value = wpj_get_user_requests( $uid, 'active', 'count' ) ? intval( wpj_get_user_requests( $uid, 'active', 'count' ) ) : __( 'None', 'wpjobster' );

	wpj_show_user_field_content( $section, $label, $value, $f_name );
}

function wpj_up_show_user_vacation_mode( $section = 'white_sidebar', $f_name = 'vacation_mode' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$vacation_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $vacation_section ) {
		if ( $uid == $current_user->ID ) {
			$label = _x( 'Vacation Mode', 'User Profile Page', 'wpjobster' );

			ob_start();
			wpj_vacation_mode_modal( true );
			$value = ob_get_contents();
			ob_end_clean();

			wpj_show_user_field_content( $section, $label, $value, $f_name );
		}
	}
}

function wpj_up_show_user_edit_profile_link( $section = 'white_sidebar', $f_name = 'edit_profile_link' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( $uid == $current_user->ID ) {
		$personal_info_pg_lnk = get_permalink( get_option( 'wpjobster_my_account_personal_info_page_id' ) );

		$value = '<div class="bottom-content"><a href="' . $personal_info_pg_lnk . '" title="" class="text">' . __( 'Edit Profile', 'wpjobster' ) . '</a></div>';
		wpj_show_user_field_content( $section, '', $value, $f_name, '', true );
	}
}

function wpj_up_show_user_contact( $section = 'white_sidebar', $f_name = 'contact_me' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$contact_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $contact_section || wpj_users_have_conversations( $current_user->ID, $uid ) || wpj_users_have_transactions( $current_user->ID, $uid ) ) {
		if ( $uid != $current_user->ID ) {
			$using_perm = wpjobster_using_permalinks();
			if ( $using_perm ) {
				$privurl_m = get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) . "?";
			} else {
				$privurl_m = get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_priv_mess_page_id' ) . "&";
			}

			$login_link = ! is_user_logged_in() ? 'login-link ' : '';

			$value = '
				<div class="bottom-content">
					<a onclick="return wpj_chat_open_box( ' . $user->ID . ' );" class="ui primary button ' . $login_link . '" href="' . $privurl_m . 'username=' . $user->user_nicename . '">' . __( "Contact Me", "wpjobster" ) . '</a>
				</div>
			';

			wpj_show_user_field_content( $section, '', $value, $f_name, '', true );
		}
	}
}

function wpj_up_show_user_custom_offer( $section = 'white_sidebar', $f_name = 'request_custom_offer' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$request_offer_btn = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $request_offer_btn && $uid != $current_user->ID ) {
		$value = '<div class="bottom-content">';
			ob_start();
			wpj_display_custom_offer_button( 'request', '<p>' . __( 'Request Custom Offer', 'wpjobster' ) . '</p>', 'request', $current_user->ID, $uid, 'user_profile' );
			$value .= ob_get_contents();
			ob_end_clean();
		$value .= '</div>';

		wpj_show_user_field_content( $section, '', $value, $f_name, '', true );
	}
}

function wpj_up_show_user_social_media_links( $section = 'white_sidebar', $f_name = 'social_media_links' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( get_option( 'wpjobster_enable_user_social_media' ) == 'yes' ) {
		$label = _x( 'Social Media', 'User Profile Page', 'wpjobster' );

		$providers = wpj_get_user_social_media_providers();

		$value = '';

		if ( $providers ) {
			foreach ( $providers as $key => $provider ) {
				$current_value = preg_replace( "(^https?://)", "", get_user_meta( $uid, 'social_media_' . $key, true ) );

				if ( $current_value ) {
					$value .= '<a href="https://' . $current_value . '"><i class="ui circular icon ' . $provider['icon'] . '"></i></a>';
				}

			}
		}

		wpj_show_user_field_content( $section, $label, $value, $f_name );
	}
}

function wpj_up_show_user_description( $section = 'transparent_sidebar', $f_name = 'description' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Description', 'User Profile Page', 'wpjobster' );

	ob_start();
	$desc_content = wpj_apply_filter_to_string( get_user_meta( $uid, 'personal_info', true ), false, 'userprofiles' ); ?>

	<div class="description">
		<?php $desc_val = trim( strip_tags( $desc_content ) );
		if ( $desc_val ) {
			if ( get_option( 'wpjobster_wysiwyg_for_profile' ) != 'yes' ) {
				echo '<p>' . stripslashes( $desc_content ) . '</p>';
			} else {
				echo wpj_description_parser( $desc_content );
			}

		} else {
			echo '<p class="no_item">' . __( 'Click on "Edit Description" to add a Description', 'wpjobster' ) . '.</p>';
		} ?>
	</div>

	<?php $value = ob_get_contents();
	ob_end_clean();

	if ( $desc_content || $uid == $current_user->ID ) {
		wpj_show_user_field_content( $section, $label, $value, $f_name, 'edit', true );
	}
}

function wpj_up_show_user_languages( $section = 'transparent_sidebar', $f_name = 'languages' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Languages', 'User Profile Page', 'wpjobster' );

	ob_start();
	$languages = get_user_meta( $uid, 'user_languages', true );

	if ( $languages ) {
		foreach ( $languages as $language => $proficiency ) { ?>

			<span class="<?php echo ucfirst( $language ); ?>">
				<input readonly type="text" class="inp_language not_editable di" value="<?php echo ucfirst( $language ); ?>" />
				<input readonly type="text" class="inp_proficiency not_editable di" value="<?php echo ucfirst( $proficiency ); ?>" />

				<?php if ( $uid == $current_user->ID ) { ?>
					<div class="right di">
						<div class="di" data-inverted="" data-tooltip="<?php echo __( 'Edit', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
							<i data-type="languages" class="user-edit-language edit icon" class="di"></i>
						</div>

						<div class="di" data-inverted="" data-tooltip="<?php echo __( 'Delete', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
							<i data-type="languages" class="user-remove-item red remove icon" class="di"></i>
						</div>
					</div>
				<?php } ?>
			</span>

		<?php }
	} else {
		echo '<p class="no_item">' . __( 'Click on "Add New" to add a new Language!', 'wpjobster' ) . '.</p>';
	}

	$value = ob_get_contents();
	ob_end_clean();

	$languages_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $languages_section ) {
		if ( $languages || $uid == $current_user->ID ) {
			wpj_show_user_field_content( $section, $label, $value, $f_name, 'new', true );
		}
	}
}

function wpj_up_show_user_skills( $section = 'transparent_sidebar', $f_name = 'skills' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Skills', 'User Profile Page', 'wpjobster' );

	ob_start();
	$skills = get_user_meta( $uid, 'user_skills', true );

	if ( $skills ) {
		foreach ( $skills as $key => $skill ) { ?>

			<span class="<?php echo urlencode( $skill ); ?>"><?php echo trim( $skill );
				if ( $uid == $current_user->ID ) { ?>
					<div class="actions di">
						<i data-type="skills" class="user-remove-item red remove icon" class="di"></i>
					</div>
				<?php } ?>
			</span>

		<?php }
	} else {
		echo '<p class="no_item">' . __( 'Click on "Add New" to add a new Skill!', 'wpjobster' ) . '.</p>';
	}

	$value = ob_get_contents();
	ob_end_clean();

	$skills_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $skills_section ) {
		if ( $skills || $uid == $current_user->ID ) {
			wpj_show_user_field_content( $section, $label, $value, $f_name, 'new', true );
		}
	}
}

function wpj_up_show_user_education( $section = 'transparent_sidebar', $f_name = 'education' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Education', 'User Profile Page', 'wpjobster' );

	ob_start();
	$educations = get_user_meta( $uid, 'user_educations', true );

	if ( $educations ) {

		foreach ( $educations as $ed_key => $ed_value ) { ?>
			<span id="education-item" class="<?php echo $ed_key; ?>">
				<?php if ( $uid == $current_user->ID ) { ?>
					<div class="right di">
						<div class="di" data-inverted="" data-tooltip="<?php echo __( 'Edit', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
							<i data-type="education" class="user-edit-item edit icon" class="di"></i>
						</div>

						<div class="di" data-inverted="" data-tooltip="<?php echo __( 'Delete', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
							<i data-type="education" class="user-remove-item red remove icon" class="di"></i>
						</div>
					</div>
				<?php } ?>

				<div class="school-itm"><?php echo $ed_value['school']; ?></div>

				<?php if ( $ed_value['degree'] ) { ?>
					<div class="degree-itm di">
						<?php echo $ed_value['degree'];
						if ( $ed_value['study'] || $ed_value['grade'] ) {
							echo ', ';
						} ?>
					</div>
				<?php }

				if ( $ed_value['study'] ) { ?>
					<div class="study-itm di">
						<?php echo $ed_value['study'];
						if ( $ed_value['grade'] ) {
							echo ', ';
						} ?>
					</div>
				<?php }

				if ( $ed_value['grade'] ) { ?>
					<div class="grade-itm di"><?php echo $ed_value['grade']; ?></div>
				<?php } ?>

				<div class="from-to-itm">
					<?php if ( $ed_value['from'] ) { ?>
						<div class="from-itm di"><?php echo $ed_value['from']; ?></div>
					<?php }

					if ( $ed_value['from'] && $ed_value['to'] ) {
						echo '-';
					}

					if ( $ed_value['to'] ) { ?>
						<div class="to-itm di"><?php echo $ed_value['to']; ?></div>
					<?php } ?>
				</div>

				<?php if ( $ed_value['activities'] ) { ?>
					<div class="activities-itm"><?php echo __( 'Activities and Societies: ', 'wpjobster' ) . $ed_value['activities']; ?></div>
				<?php } ?>

				<div class="ui hidden divider"></div>

				<?php if ( $ed_value['description'] ) { ?>

					<div class="description-itm"><?php echo $ed_value['description']; ?></div>

				<?php }

				if ( $ed_value['attachments'] ) { ?>

					<div class="ui hidden divider"></div>

					<div class="attachments-itm">

						<?php $attachments = explode( ",", $ed_value['attachments'] );

						$show_lbl = false;
						foreach ( $attachments as $attachment ) {
							if ( get_attached_file ( $attachment ) != "" ) { $show_lbl = true; }
						}
						if ( $show_lbl ) { echo '<label><b>' . strtoupper( __( 'Media', 'wpjobster' ) ) . '</b></label>'; }

						if ( wpj_post_has_attachments( $ed_value['attachments'] ) ) {
							wpj_list_attachments( $ed_value['attachments'], $uid, '', false, '', true, false );
						} ?>
					</div>

				<?php } ?>

			</span>

		<?php }

	} else {
		echo '<p class="no_item">' . __( 'Click on "Add New" to add a new Education!', 'wpjobster' ) . '.</p>';
	}
	wpj_up_modal_content( 'education', __( 'education', 'wpjobster' ) );

	$value = ob_get_contents();
	ob_end_clean();

	$education_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $education_section ) {
		if ( $educations || $uid == $current_user->ID ) {
			wpj_show_user_field_content( $section, $label, $value, $f_name, 'new', true );
		}
	}
}

function wpj_up_show_user_certification( $section = 'transparent_sidebar', $f_name = 'certification' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$label = _x( 'Certification', 'User Profile Page', 'wpjobster' );

	ob_start();
	$certifications = get_user_meta( $uid, 'user_certifications', true );

	if ( $certifications ) {

		foreach ( $certifications as $ct_key => $ct_value ) { ?>

			<span id="certification-item" class="<?php echo $ct_key; ?>">
				<?php if ( $uid == $current_user->ID ) { ?>
					<div class="right di">
						<div class="di" data-inverted="" data-tooltip="<?php echo __( 'Edit', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
							<i data-type="certification" class="user-edit-item edit icon" class="di"></i>
						</div>

						<div class="di" data-inverted="" data-tooltip="<?php echo __( 'Delete', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
							<i data-type="certification" class="user-remove-item red remove icon" class="di"></i>
						</div>
					</div>
				<?php } ?>

				<div class="certificatino-name-itm"><?php echo $ct_value['certification_name']; ?></div>

				<div class="date-itm">
					<?php if ( $ct_value['from_month'] ) { ?>
						<div class="from-month-itm di">
							<?php echo wpj_date_number_to_string( $ct_value['from_month'] ); ?>
						</div>
					<?php }

					if ( $ct_value['from_year'] ) { ?>
						<div class="from-year-itm di">
							<?php echo $ct_value['from_year']; ?>
						</div>
					<?php }

					if ( ( $ct_value['from_month'] || $ct_value['from_year'] ) && ( $ct_value['to_month'] || $ct_value['to_year'] || $ct_value['certification_not_expire'] == 'on' ) ) {
						echo '&#8212;';
					}

					if ( $ct_value['certification_not_expire'] == 'on' ) { ?>
						<div class="present-itm di">
							<?php echo __( 'Present', 'wpjobster' ); ?>
						</div>
					<?php } else {
						if ( $ct_value['to_month'] ) { ?>
							<div class="to-month-itm di">
								<?php echo wpj_date_number_to_string( $ct_value['to_month'] ); ?>
							</div>
						<?php }

						if ( $ct_value['to_year'] ) { ?>
							<div class="to-year-itm di">
								<?php echo $ct_value['to_year']; ?>
							</div>
						<?php }
					}

					if ( ( $ct_value['from_month'] || $ct_value['from_year'] || $ct_value['to_month'] || $ct_value['to_year'] ) && $ct_value['license_number'] || $ct_value['certification_not_expire'] == 'on' ) {
						echo '<span class="bullet">&#8226;</span>';
					}

					if ( $ct_value['license_number'] ) { ?>
						<div class="license-number-itm di">
							<?php echo $ct_value['license_number']; ?>
						</div>
					<?php } ?>
				</div>

				<?php if ( $ct_value['certification_authority'] ) { ?>
					<div class="certification-authority-itm">
						<?php echo __( 'Authority', 'wpjobster' ) . ': ' . $ct_value['certification_authority']; ?>
					</div>
				<?php }

				if ( $ct_value['certification_url'] ) {

					if ( strpos( $ct_value['certification_url'], 'http') === false ) {
						$certificate_link = 'http://' . $ct_value['certification_url'];
					} else {
						$certificate_link = $ct_value['certification_url'];
					} ?>

					<div class="certification-url-itm">
						<?php echo '<a target="_blank" href="' . $certificate_link . '">' . __( 'See certificate', 'wpjobster' ) . '</a>'; ?>
					</div>

				<?php } ?>

			</span>
		<?php }

	} else {
		echo '<p class="no_item">' . __( 'Click on "Add New" to add a new Certification!', 'wpjobster' ) . '.</p>';
	}
	wpj_up_modal_content( 'certification', __( 'certification', 'wpjobster' ) );

	$value = ob_get_contents();
	ob_end_clean();

	$certification_section = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $certification_section ) {
		if ( $certifications || $uid == $current_user->ID ) {
			wpj_show_user_field_content( $section, $label, $value, $f_name, 'new', true );
		}
	}
}

function wpj_up_show_user_portfolio( $section = 'main_content', $f_name = 'portfolio' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$display_my_portfolio = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $display_my_portfolio == 'true' || $uid != $current_user->ID ) {

		$slider_enabled = get_option( 'wpjobster_enable_user_profile_portfolio' );
		if ( $slider_enabled == 'yes' ) {

			$wpjobster_default_nr_of_pics = get_option( 'wpjobster_profile_default_nr_of_pics' );

			if ( function_exists( 'wpjobster_get_portfolio_images' ) ) {
				$portfolio_images = wpjobster_get_portfolio_images( $uid, $wpjobster_default_nr_of_pics );
			} else {
				$portfolio_images = array();
			}

			if ( $portfolio_images || $uid == $current_user->ID ) {

				if ( substr( $user->user_login, -1 ) == 's' ) {
					$user_display_name = sprintf( __( "%s' Portfolio", "wpjobster" ), ucfirst( wpj_get_user_display_type( $user->ID ) ) );
				} else {
					$user_display_name = sprintf( __( "%s's Portfolio", "wpjobster" ), ucfirst( wpj_get_user_display_type( $user->ID ) ) );
				}

				$portfolio_title = $uid == $current_user->ID ? _x( 'My Portfolio', 'User Profile Page', 'wpjobster' ) : ucfirst( $user_display_name );

				$label = $portfolio_title;

				ob_start(); ?>

				<?php if ( $uid == $current_user->ID ) { ?>
					<?php if ( $portfolio_images ) { ?>
						<a data-type="" class="edit-info edit-info-bg js-toggle-portfolio-handler"><?php echo __( 'Edit Portfolio', 'wpjobster' ); ?></a>
					<?php } ?>

					<a data-type="" class="edit-info edit-info-bg js-refresh-portfolio-handler" <?php if ( $portfolio_images ) { ?>style="display: none;"<?php } ?>><?php echo __( 'Refresh', 'wpjobster' ); ?></a>
				<?php } ?>

				<?php if ( $portfolio_images ) { ?>
					<div class="js-profile-portfolio-carousel bordered-lightbox-carousel owl-carousel owl-theme">
						<?php foreach ( $portfolio_images as $portfolio_image ) {
							$imageid = $portfolio_image->ID;
							$image_thumb = wpj_get_attachment_image_url( $imageid, 'thumb_picture_size' );
							$image_src = wpj_get_attachment_image_url( $imageid, 'full' ); ?>

							<div class="item">
								<a href="<?php echo $image_src; ?>" data-featherlight="<?php echo $image_src; ?>" data-featherlight-variant="wpj-featherlight">
									<img class="portfolio-image" src="<?php echo $image_thumb; ?>">
								</a>
							</div>
						<?php } ?>
					</div>
				<?php } ?>

				<?php if ( $uid == $current_user->ID ) { ?>
					<div class="js-profile-portfolio-uploader" <?php if ( $portfolio_images ) { ?>style="display: none;"<?php } ?>>
						<?php wpjobster_dropzone_image_uploader( $uid, 'portfolio' ); ?>
					</div>
				<?php } ?>

				<div class="ui hidden divider"></div>

				<?php $value = ob_get_contents();
				ob_end_clean();

				wpj_show_user_field_content( $section, $label, $value, $f_name, '', true );

			}
		}
	}
}

function wpj_up_show_user_jobs( $section = 'main_content', $f_name = 'jobs' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$display_my_jobs = apply_filters( 'display_or_hide_section_filter', true, $uid );
	if ( $display_my_jobs == 'true' ){
		if ( get_option( 'wpjobster_enable_jobs_section_on_user_profile' ) != 'no' ) {
			if ( substr( $user->user_login, -1 ) == 's' ) {
				$user_display_name = sprintf( __( "%s' Jobs", "wpjobster" ), ucfirst( wpj_get_user_display_type( $user->ID ) ) );
			} else {
				$user_display_name = sprintf( __( "%s's Jobs", "wpjobster" ), ucfirst( wpj_get_user_display_type( $user->ID ) ) );
			}

			$jobs_title = $uid == $current_user->ID ? _x( 'My Jobs', 'User Profile Page', 'wpjobster' ) : ucfirst( $user_display_name );

			$label = $jobs_title;

			ob_start();

			$meta_query = array(
				array(
					'key'     => 'active',
					'value'   => '1',
					'compare' => '='
				)
			);

			$wpj_job = new WPJ_Load_More_Posts(
				array(
					'post_status'     => 'publish',
					'post_type'       => 'job',
					'function_name'   => wpj_get_job_card_style(),
					'posts_per_page'  => get_option('posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
					'author'          => $uid,
					'meta_query'      => $meta_query,
					'container_class' => 'ui three cards'
				)
			);

			if ( $wpj_job->have_rows() ) {
				listing_buttons_jobs( 'grid-switch-absolute user-profile-jobs' );
				echo '<div><div>'; // do not delete these two divs - load more wrapper
					$wpj_job->show_posts_list_func();
				echo '</div></div>';
			} else {
				echo __( 'Sorry, there are no posted jobs yet.', 'wpjobster' );
			}

			$value = ob_get_contents();
			ob_end_clean();

			wpj_show_user_field_content( $section, $label, $value, $f_name, '', true );
		}
	}
}

function wpj_up_show_user_review( $section = 'main_content', $f_name = 'reviews' ) {
	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	$total_per_load=3;

	if ( ! $uid ) { $uid = get_current_user_id(); }

	global $wpdb;
	$query_feedback_total = apply_filters( "wpj_user_reviews_query_filter", "
		SELECT DISTINCT *, ratings.datemade datemade
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID=orders.pid
		AND ratings.awarded='1'
		AND orders.id=ratings.orderid
		AND posts.post_author={$uid}
		ORDER BY datemade DESC
	", $uid );
	$r_feedback_total = $wpdb->get_results( $query_feedback_total );
	$r_seller_total = count( $r_feedback_total );

	$query = apply_filters( "wpj_user_reviews_query_filter", "
		SELECT DISTINCT *, ratings.datemade datemade
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID=orders.pid
		AND ratings.awarded='1'
		AND orders.id=ratings.orderid
		AND posts.post_author={$uid}
		ORDER BY datemade DESC
		LIMIT $total_per_load
	", $uid, $total_per_load );
	$r = $wpdb->get_results( $query );

	if ( count( $r ) > 0) { ?>

		<input type="hidden" id="uid" value="<?php echo $uid?>">
		<input type="hidden" id="total_per_load" value="<?php echo $total_per_load?>">

		<?php
		if ( substr( $user->user_login, -1 ) == 's' ) {
			$user_display_name = sprintf( __( "%s' Reviews", "wpjobster" ), ucfirst( wpj_get_user_display_type( $user->ID ) ) );
		} else {
			$user_display_name = sprintf( __( "%s's Reviews", "wpjobster" ), ucfirst( wpj_get_user_display_type( $user->ID ) ) );
		}

		$reviews_title = $uid == $current_user->ID ? _x( 'My Reviews', 'User Profile Page', 'wpjobster' ) : ucfirst( $user_display_name );

		$label = $reviews_title;

		ob_start(); ?>

		<div class="reviews-wrapper" id="all-feedback-box">

			<?php // Main review
			$cnt = 0;
			foreach ( $r as $row ) {
				$cnt++;
				$post  = $row->pid;
				$post  = get_post( $post );
				$user2 = get_userdata( apply_filters( 'wpj_review_author_filter', $row->uid, $uid, $post ) );
				// first two are visible
				if ( $cnt==3 ) {}
				//after that put 4 in a block
				else if ( $cnt % 4 == 3 && $cnt > 3 ) {} ?>

				<div class="ui basic padded bordered segment cf review-item">

					<!-- Review User Avatar -->
					<div class="picture"><img src="<?php echo wpjobster_get_avatar( $user2->ID, 80, 80 ); ?>" width="80" height="80" alt="" class="round-avatar"></div>

					<div class="text-content flex-parent wpj-review-work-sample-wrapper">

						<div>
							<!-- Review Username and Rating -->
							<div class="cf p10b p10t">

								<!-- Review Username -->
								<a class="left p10r" href="<?php echo wpj_get_user_profile_link( $user2->user_login ); ?>" title=""><strong>
									<?php
									$custom_offer_query = "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$uid} AND custom_offer={$row->pid}";
									$custom_offer_result = $wpdb->get_results( $custom_offer_query );

									if ( count( $custom_offer_result ) > 0 ) {
										$username = wpj_get_user_display_type( $user2->ID ) . " <span class='lighter light_grey'>(" . __( 'custom job', 'wpjobster' ) . ")</span>";
									} else {
										$username = wpj_get_user_display_type( $user2->ID );
									}

									echo $username; ?>
								</strong></a>

								<!-- Review Rating -->
								<span class="left p10r user-profile-rating">
									<?php echo wpjobster_show_stars_our_of_number( $row->grade ); ?>
								</span>

								<!-- Review Date -->
								<div class="right postdate">
									<?php echo wpj_date( get_option( 'date_format' ), $row->datemade ); ?>
								</div>
							</div>

							<!-- Review content -->
							<div><?php echo wpj_apply_filter_to_string( stripslashes( $row->reason ), false, 'userprofiles' ); ?></div>

							<!-- Answer review -->
							<?php
							$query_seller = apply_filters( "wpj_user_reviews_response_query_filter", "
								SELECT DISTINCT *, ratings.datemade, orders.uid as buyer_id, datemade
								FROM {$wpdb->prefix}job_ratings_by_seller ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
								WHERE posts.ID=orders.pid
								AND posts.ID= {$row->pid}
								AND ratings.awarded='1'
								AND orders.id=ratings.orderid
								AND posts.post_author={$uid}
								AND orders.id={$row->orderid}
								ORDER BY datemade DESC
								LIMIT 3
							", $uid, $row );
							$r_seller = $wpdb->get_results( $query_seller );

							if ( $r_seller ) {
								$row_seller = $r_seller[0];
								$user3 = get_userdata( $uid ); ?>

								<div class="ui basic notpadded segment cf review-item feedback-answer">

									<!-- Review User Avatar -->
									<div class="picture"><img src="<?php echo wpjobster_get_avatar( $user3->ID, 80, 80 ); ?>" width="80" height="80" alt="" class="round-avatar"></div>

									<div class="text-content">

										<!-- Review Username and Rating -->
										<div class="cf p10b p10t">

											<!-- Review Username -->
											<a class="left p10r" href="<?php echo wpj_get_user_profile_link( $user3->user_login ); ?>" title=""><strong>
												<?php
												$custom_offer_query = "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$uid} AND custom_offer={$row->pid}";
												$custom_offer_result = $wpdb->get_results( $custom_offer_query );

												if ( count( $custom_offer_result ) > 0 ) {
													$username = wpj_get_user_display_type( $user3->ID ) . " <span class='lighter light_grey'>(" . __( 'custom job', 'wpjobster' ) . ")</span>";
												} else {
													$username = wpj_get_user_display_type( $user3->ID );
												}

												echo $username; ?>
											</strong></a>

											<!-- Review Rating -->
											<span class="left p10r user-profile-rating">
												<?php echo wpjobster_show_stars_our_of_number( $row_seller->grade ); ?>
											</span>
										</div>

										<!-- Review content -->
										<div><?php echo wpj_apply_filter_to_string( stripslashes( $row_seller->reason ), false, 'userprofiles' ); ?></div>

									</div><!-- END "text-content" -->
								</div><!-- END "review-item" -->

							<?php } ?>
						</div>

						<?php if ( isset( $row->sample ) ) { wpj_display_work_sample_preview( $row->sample ); } ?>
					</div><!-- END "text-content" -->
				</div><!-- END "review-item" -->
			<?php } // END foreach ?>

		</div><!-- END User Reviews "reviews-wrapper" -->

		<!-- Reviews Load More Button -->
		<?php if ( $r_seller_total > $total_per_load ) { ?>
			<div class="center">
				<a data-rel="3" href="javascript:void(0)" id="load-more-feedback" data-version="new" class="ui basic button"><?php _e( "Load More Reviews", 'wpjobster' ); ?></a>
			</div>
		<?php }

		$value = ob_get_contents();
		ob_end_clean();

		wpj_show_user_field_content( $section, $label, $value, $f_name, '', true );
	}
}

function wpj_show_user_profile_modal_field( $value = '', $name = '', $title = '', $type = 'text', $placeholder = '', $required = false, $uid = '', $select_type = '' ) {
	if ( $name ) {
		$required = $required ? '<span class="red"> * </span>' : '';
		echo '<div class="field ' . $name . '">';
			echo '<label>' . ucfirst( $title ) . $required . '</label>' ;

			if ( $type == 'text' ) {
				echo '<input type="text" name="user_' . $name . '" placeholder="' . $placeholder . '" value="' . htmlentities( $value ) . '" />';
			} elseif ( $type == 'textarea' ) {
				echo '<textarea name="user_' . $name . '" placeholder="' . $placeholder . '">' . $value . '</textarea>';
			} elseif ( $type == 'select' ) {
				echo '<select name="user_' . $name . '" class="ui dropdown user_' . $name . '">';

					if ( strpos( strtolower( $select_type ), strtolower( 'month' ) ) !== false ) {
						echo '<option value="">' . __( 'Month', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 1 ) . ' value="1">' . __( 'January', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 2 ) . ' value="2">' . __( 'February', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 3 ) . ' value="3">' . __( 'March', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 4 ) . ' value="4">' . __( 'April', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 5 ) . ' value="5">' . __( 'May', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 6 ) . ' value="6">' . __( 'June', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 7 ) . ' value="7">' . __( 'July', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 8 ) . ' value="8">' . __( 'August', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 9 ) . ' value="9">' . __( 'September', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 10 ) . ' value="10">' . __( 'October', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 11 ) . ' value="11">' . __( 'November', 'wpjobster' ) . '</option>';
						echo '<option ' . wpj_get_selected_value( $value, 12 ) . ' value="12">' . __( 'December', 'wpjobster' ) . '</option>';
					} elseif ( strpos( strtolower( $select_type ), strtolower( 'year' ) ) !== false ) {
						echo '<option value="">' . __( 'Year', 'wpjobster' ) . '</option>';
						for ( $i = date( 'Y', strtotime( '+10 years' ) ); $i >= 1900; $i-- ) {
							$selected = $i == $value ? 'selected=selected' : '';
							echo '<option '. $selected .' value="' . $i . '">' . $i . '</option>';
						}
					}

				echo '</select>';
			} elseif ( $type == 'checkbox' ) {
				echo '<div class="ui checkbox">';
					$checked = $value == 'on' ? 'checked=checked' : '';
					echo '<input type="checkbox" name="user_' . $name . '" class="' . $name . '" ' . $checked . ' />';
					echo '<label>' . $placeholder . '</label>';
				echo '</div>';
			} elseif ( $type == 'file' ) {
				echo '<p>' . $placeholder . '</p>';
				echo '<div class="noon cf">';
					// File
					wpj_display_upload_form( $secure = 1, 'file_upload_' . $name . '_attachments', 'hidden_files_' . $name . '_attachments', $name );
				echo '</div>';

				if ( wpj_post_has_attachments( $value ) ) {
					wpj_list_attachments( $value, $uid, 'hidden_files_' . $name . '_attachments' );
				}
			}
		echo '</div>';
	}
}

function wpj_up_modal_content( $item_name , $item_title_name ) { ?>
	<div class="ui modal center up-<?php echo $item_name; ?>-modal-wrapper">
		<i class="close icon"></i>
		<div class="ui icon header">
			<?php $icon = $item_name == 'education' ? 'university' : 'certificate'; ?>
			<i class="<?php echo $icon; ?> inverted grey icon"></i>
			<?php echo '<span class="add-or-edit-title">' . __( 'Add or edit', 'wpjobster' ) . '</span> ' . $item_title_name; ?>
		</div>

		<div class="scrolling content">
			<div class="up-<?php echo $item_name; ?>-modal-main-content"></div>
		</div>

	</div>
<?php }

add_action( 'after_setup_theme', 'wpj_up_autoimport' );
function wpj_up_autoimport() {
	if ( get_option( 'wpj_up_page_fields_f_run' ) != 'done' ) {
		update_option( 'wpj_up_page_fields_f_run', 'done' );

		require_once TEMPLATEPATH . '/lib/autoimport/autoimporter.php';

		if ( ! class_exists( 'Auto_Importer' ) ) die( 'Auto_Importer not found' );

		$args = array(
			'file'        => TEMPLATEPATH . '/lib/autoimport/content/page_user_profile.xml',
			'map_user_id' => 1
		);
		$xml_id = auto_import( $args );

		// assumption: since only one page was imported from xml, it is next id
		$page_id = intval( $xml_id ) + 1;

		update_option( 'wpjobster_user_profile_page_id', $page_id );
	}
}

function wpj_user_profile_has_icons( $uid = '' ) {

	$user_vars = wpj_user_profile_vars();
	foreach ( $user_vars as $key => $val ) {
		$$key = $val;
	}

	if ( have_rows( 'icons', get_option( 'wpjobster_user_profile_page_id' ) ) ) {
		foreach ( get_field( 'icons', get_option( 'wpjobster_user_profile_page_id' ) ) as $ws_key => $ws_value ) {

			if ( $ws_value['display_location'] == '' )
				return true;

			if ( $ws_value['display_location'] == 'both_users' )
				return true;

			if ( $uid == $current_user->ID && $ws_value['display_location'] == 'current_user' )
				return true;

			if ( $uid != $current_user->ID && $ws_value['display_location'] == 'other_user' )
				return true;
		}
	}

	return false;
}
