<?php function wpj_display_quick_response_button( $uid = '', $location = '' ) {
	wpj_get_template( 'pages/user/page-user-quick-response.php',
		array(
			'uid'               => $uid,
			'username'          => wpj_get_user_display_type( $uid ),
			'quick_responses'   => get_user_meta( get_current_user_id(), 'quick_responses', true ),
			'dropdown_position' => is_rtl() && $location != 'chat' ? 'left' : 'right'
		)
	);
}

add_action( 'wp_ajax_nopriv_save_quick_response', 'wpj_save_quick_response' );
add_action( 'wp_ajax_save_quick_response', 'wpj_save_quick_response' );
function wpj_save_quick_response( $uid = '', $id = '', $name = '', $content = '' ) {

	$uid     = $uid ? $uid : WPJ_Form::post( 'uid' );
	$id      = $id ? $id : WPJ_Form::post( 'id' );
	$name    = $name ? $name : WPJ_Form::post( 'name' );
	$content = $content ? $content : WPJ_Form::post( 'content' );

	if ( $id && $name && $content ) {

		$quick_responses = get_user_meta( get_current_user_id(), 'quick_responses', true );

		if ( ! $quick_responses || ! is_array( $quick_responses ) ) $quick_responses = array();

		$quick_responses[$id] = array( 'name' => $name, 'content' => $content );

		update_user_meta( get_current_user_id(), 'quick_responses', $quick_responses );

	}

	if ( isset( $_POST['is_ajax'] ) ) wp_die();
}

add_action( 'wp_ajax_nopriv_delete_quick_response', 'wpj_delete_quick_response' );
add_action( 'wp_ajax_delete_quick_response', 'wpj_delete_quick_response' );
function wpj_delete_quick_response( $uid = '', $id = '' ) {

	$uid     = $uid ? $uid : WPJ_Form::post( 'uid' );
	$id      = $id ? $id : WPJ_Form::post( 'id' );

	if ( $id ) {
		$quick_responses = get_user_meta( get_current_user_id(), 'quick_responses', true );
		unset( $quick_responses[$id] );

		update_user_meta( get_current_user_id(), 'quick_responses', $quick_responses );
	}

	if ( isset( $_POST['is_ajax'] ) ) wp_die();

}

add_action( 'wp_ajax_nopriv_delete_quick_responses', 'wpj_delete_all_quick_responses' );
add_action( 'wp_ajax_delete_quick_responses', 'wpj_delete_all_quick_responses' );
function wpj_delete_all_quick_responses() {
	delete_user_meta( get_current_user_id(), 'quick_responses' );

	if ( isset( $_POST['is_ajax'] ) ) wp_die();
}