<?php // Display Load More Feedback
// TODO: One function for all
add_action( 'wp_ajax_nopriv_show_more_feedbacks_user', 'show_more_feedbacks_user' );
add_action( 'wp_ajax_show_more_feedbacks_user', 'show_more_feedbacks_user' );
function show_more_feedbacks_user() {
	ob_start();

	global $wpdb;
	$uid = $_POST['uid'];
	$pid = isset( $_POST['pid'] ) ? $_POST['pid'] : '';

	$start_from  = $_POST['current'];
	$total_per_load  = $_POST['total_per_load'];
	$total_shown = $start_from+$total_per_load;

	$version = isset( $_POST['version'] ) && $_POST['version'] == 'new' ? $_POST['version'] : '';

	if( $pid != '' ) {

		//job reviews
		$query_feedback_total = "
			SELECT DISTINCT *, ratings.datemade datemade
			FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
			WHERE posts.ID=orders.pid
			AND ( posts.ID={$pid}
					OR ratings.pid IN (
						SELECT custom_offer
						FROM {$wpdb->prefix}job_pm pm, {$wpdb->prefix}job_ratings jr
						WHERE associate_job_id = {$pid}
						AND custom_offer = jr.pid
					)
				)
			AND ratings.awarded='1'
			AND orders.id=ratings.orderid
			AND posts.post_author={$uid}
			ORDER BY datemade DESC
		";
		$r_feedback_total = $wpdb->get_results( $query_feedback_total );
		$r_seller_total = count( $r_feedback_total );

		$query = "
			SELECT DISTINCT *, ratings.datemade datemade
			FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
			WHERE posts.ID=orders.pid
			AND ( posts.ID={$pid}
					OR ratings.pid IN (
						SELECT custom_offer
						FROM {$wpdb->prefix}job_pm pm, {$wpdb->prefix}job_ratings jr
						WHERE associate_job_id = {$pid}
						AND custom_offer = jr.pid
					)
				)
			AND ratings.awarded='1'
			AND orders.id=ratings.orderid
			AND posts.post_author={$uid}
			ORDER BY datemade DESC
			LIMIT {$start_from} , {$total_per_load}
		";
		$r = $wpdb->get_results($query);

	} else {

		//user reviews
		$query_feedback_total = apply_filters( "wpj_user_reviews_query_filter", "
			SELECT DISTINCT *, ratings.datemade datemade
			FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
			WHERE posts.ID=orders.pid
			AND ratings.awarded='1'
			AND orders.id=ratings.orderid
			AND posts.post_author={$uid}
			ORDER BY datemade DESC
		", $uid );
		$r_feedback_total = $wpdb->get_results( $query_feedback_total );
		$r_seller_total = count( $r_feedback_total );

		$query = apply_filters( "wpj_user_reviews_query_filter", "
			SELECT DISTINCT *, ratings.datemade datemade
			FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
			WHERE posts.ID=orders.pid
			AND ratings.awarded='1'
			AND orders.id=ratings.orderid
			AND posts.post_author={$uid}
			ORDER BY datemade DESC
			LIMIT {$start_from} , {$total_per_load}
		", $uid, $total_per_load, $start_from );
		$r = $wpdb->get_results($query);

	}

	$cnt = 0;
	foreach( $r as $row ) {
		$cnt++;
		$post  = $row->pid;
		$post  = get_post( $post );
		$user2 = get_userdata( apply_filters( 'wpj_review_author_filter', $row->uid, $uid, $post ) );

		// query seller response
		$query_seller = apply_filters( "wpj_user_reviews_response_query_filter", "
			SELECT DISTINCT *, ratings.datemade,orders.uid AS buyer_id, datemade
			FROM {$wpdb->prefix}job_ratings_by_seller ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
			WHERE posts.ID=orders.pid
			AND posts.ID={$row->pid}
			AND ratings.awarded='1'
			AND orders.id=ratings.orderid
			AND posts.post_author={$uid}
			AND orders.id={$row->orderid}
			ORDER BY datemade DESC
			LIMIT 3
		", $uid, $row );
		$r_seller = $wpdb->get_results( $query_seller );

		if ( $version == 'new' ) { ?>

			<div class="ui basic padded bordered segment cf review-item">

				<!-- Review User Avatar -->
				<div class="picture"><img src="<?php echo wpjobster_get_avatar( $user2->ID, 80, 80 ); ?>" width="80" height="80" alt="" class="round-avatar"></div>

				<div class="text-content flex-parent wpj-review-work-sample-wrapper">

					<div>
						<!-- Review Username and Rating -->
						<div class="cf p10b p10t">

							<!-- Review Username -->
							<a class="left p10r" href="<?php echo wpj_get_user_profile_link( $user2->user_login ); ?>" title=""><strong>

								<!-- Review Username -->
								<?php
								$custom_offer_query = "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$uid} AND custom_offer={$row->pid}";
								$custom_offer_result = $wpdb->get_results( $custom_offer_query );

								if ( count( $custom_offer_result ) > 0 ) {
									$username = wpj_get_user_display_type( $user2->ID ) . " <span class='lighter light_grey'>(" . __( 'custom job', 'wpjobster' ) . ")</span>";
								} else {
									$username = wpj_get_user_display_type( $user2->ID );
								}

								echo $username; ?>


							</strong></a>

							<!-- Review Rating -->
							<span class="left p10r user-profile-rating">
								<?php echo wpjobster_show_stars_our_of_number( $row->grade ); ?>
							</span>

							<!-- Review Date -->
							<div class="right postdate">
								<?php echo wpj_date( get_option( 'date_format' ), $row->datemade ); ?>
							</div>
						</div>

						<!-- Review content -->
						<div>
							<?php echo wpj_apply_filter_to_string( stripslashes( $row->reason ), false, 'userprofiles' ); ?>
						</div>


						<?php if ( $r_seller ) {
							$row_seller=$r_seller[0];
							$user3 = get_userdata($uid);
						?>
							<div class="ui basic notpadded segment cf review-item feedback-answer">

								<!-- Review User Avatar -->
								<div class="picture left"><img src="<?php echo wpjobster_get_avatar( $user3->ID, 80, 80 ); ?>" width="80" height="80" alt="" class="round-avatar"></div>

								<div class="text-content">

									<!-- Review Username and Rating -->
									<div class="cf p10b p10t">

										<!-- Review Username -->
										<a class="left p10r" href="<?php echo wpj_get_user_profile_link( $user3->user_login ); ?>" title=""><strong>


											<?php
											$custom_offer_query = "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$uid} AND custom_offer={$row->pid}";
											$custom_offer_result = $wpdb->get_results( $custom_offer_query );

											if ( count( $custom_offer_result ) > 0 ) {
												$username = wpj_get_user_display_type( $user3->ID ) . " <span class='lighter light_grey'>(" . __( 'custom job', 'wpjobster' ) . ")</span>";
											} else {
												$username = wpj_get_user_display_type( $user3->ID );
											}

											echo $username; ?>

											<!-- Review Rating -->
											<span class="user-profile-rating">
												<?php echo wpjobster_show_stars_our_of_number( $row_seller->grade ); ?>
											</span>
										</strong></a>
									</div>

									<!-- Review content -->
									<div><?php echo wpj_apply_filter_to_string( stripslashes( $row_seller->reason ), false, 'userprofiles' ); ?></div>

								</div><!-- END "text-content" -->
							</div><!-- END "review-item" -->
						<?php } // END IF seller rating ?>
					</div>

					<?php if ( isset( $row->sample ) ) { wpj_display_work_sample_preview( $row->sample ); } ?>
				</div><!-- END "text-content" -->
			</div><!-- END "review-item" -->

		<?php } else { ?>

			<div class="feed cf">
				<div>
					<a href="" class="left p10r job-feedback-picture <?php echo ! $row->reason ? 'middle-align' : ''; ?>">
						<img width="45" height="45" border="0" class="round-avatar" src="<?php echo wpjobster_get_avatar($user2->ID,46,46); ?>" />
					</a>
					<div class="left job-feedback-content flex-parent wpj-review-work-sample-wrapper">

						<div>
							<div class="left cb p5b w100">
								<a class="left" href="<?php echo wpj_get_user_profile_link( $user2->user_login ); ?>"><?php echo wpj_get_user_display_type( $user2->ID ); ?></a>

								<div class="left p10l">
									<div class="user-page-reviews">
										<?php echo wpjobster_show_stars_our_of_number($row->grade); ?>
									</div>
								</div>

								<span class="grey-time p10l right">
									<?php echo wpj_date(get_option( 'date_format' ), $row->datemade); ?>
								</span>
							</div>

							<div class="cb">
								<p><?php echo wpj_apply_filter_to_string( stripslashes( $row->reason ), false, 'userprofiles' ); ?></p>
							</div>
						</div>

						<?php if ( isset( $row->sample ) ) { wpj_display_work_sample_preview( $row->sample ); } ?>
					</div>
				</div>
			</div>

			<?php if ( $r_seller ) {
				$row_seller=$r_seller[0];
				$user3 = get_userdata($uid);
			?>

				<div class="feed cf feedback-answer">
					<div>
						<a href="" class="left p10r job-feedback-picture">
							<img width="35" height="35" border="0" class="round-avatar" src="<?php echo wpjobster_get_avatar($user3->ID,46,46); ?>" />
						</a>

						<div class="left job-feedback-content">
							<div class="left cb p5b w100">
								<a class="left" href="<?php echo wpj_get_user_profile_link( $user3->user_login ); ?>"><?php echo wpj_get_user_display_type( $user3->ID ); ?></a>

								<div class="left p10l">
									<div class="user-page-reviews">
										<?php echo wpjobster_show_stars_our_of_number($row_seller->grade); ?>
									</div>
								</div>

								<span class="grey-time p10l right"></span>

							</div>

							<div class="cb">
								<p><?php echo wpj_apply_filter_to_string( stripslashes( $row_seller->reason ), false, 'userprofiles' ); ?></p>
							</div>
						</div>
					</div>
				</div>
				<?php
			} // END IF seller rating
		} // END IF new
	} // END foreach

	$output['html'] = ob_get_contents();
	ob_end_clean();
	$output['ok'] = 1;

	if ( $total_shown >= $r_seller_total ) {
		$output['current'] = 0;
	} else {
		$output['current'] = $total_shown;
	}

	echo json_encode( $output );

	die();
}

add_action( 'wp_ajax_nopriv_wpj_save_user_rating', 'wpj_save_user_reviews' );
add_action( 'wp_ajax_wpj_save_user_rating', 'wpj_save_user_reviews' );
function wpj_save_user_reviews() {

	global $wpdb;

	$tm     = current_time( 'timestamp', 1 );
	$reason = isset( $_POST['reason'] ) ? esc_sql( urldecode( $_POST['reason'] ) ) : '';

	if ( ! is_user_logged_in() ) { exit; }

	if ( $_POST['user_type'] == 'seller' ) {
		$grade   = $_POST['uprating'];
		$id      = $_POST['ids'];
		$pid     = $_POST['pid'];
		$orderid = $_POST['orderid'];
		$buyer   = $_POST['buyer'];
		// TODO: check if the logged in user has the right to update this review

		if ( ! is_demo_user() ) {
			$total_feedback = $wpdb->get_results( $wpdb->prepare(
				"
				SELECT COUNT(*)
				AS cnt
				FROM {$wpdb->prefix}job_ratings_by_seller
				WHERE orderid = %d
					AND uid = %d
					AND pid = %d
				",
				$orderid, $buyer, $pid
			) );
			if ( $total_feedback[0]->cnt >=1 ) { exit; }

			$wpdb->query( $wpdb->prepare(
				"
				INSERT INTO {$wpdb->prefix}job_ratings_by_seller
				SET orderid = %d,
					uid = %d,
					pid = %d,
					grade = %d,
					reason = %s,
					awarded = '1',
					datemade = %d
				",
				$orderid, $buyer, $pid, $grade, $reason, $tm
			) );
			$id = $wpdb->insert_id;

			$s_sql = $wpdb->prepare(
				"
				SELECT *
				FROM {$wpdb->prefix}job_ratings_by_seller ratings,
					 {$wpdb->prefix}job_orders orders
				WHERE ratings.id = %d
					AND orders.id = ratings.orderid
				",
				$id
			);
			$r_sql = $wpdb->get_results( $s_sql );
			$r_sql = $r_sql[0];

			$rating = get_post_meta( $r_sql->pid, 'rating', true );
			if ( empty( $rating ) ) $rating = 0;
			$rating = $rating + 1;

			update_post_meta( $r_sql->pid, 'rating', $rating );

			$post = get_post( $r_sql->pid );

			$wpdb->query( $wpdb->prepare(
				"
				INSERT INTO {$wpdb->prefix}job_chatbox
					( datemade, uid, oid )
				VALUES
					( %d, '-19', %d )
				",
				$tm, $orderid
			) );

			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( $buyer, 'notifications', +1, $this_notification );

			$current_order = wpjobster_get_order( $orderid );
			$seller_data   = get_userdata( $post->post_author );

			if ( wpj_is_custom_offer( $r_sql->pid ) ) {
				wpj_custom_offer_rating( $r_sql->pid, $orderid, $buyer, $post->post_author );
			} else {
				wpj_notify_user_translated( 'new_feedback', $buyer, array(
					'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
					'##transaction_page_link##' => wpj_get_order_link( $orderid ),
					'##sender_username##'       => wpj_get_user_display_type( $seller_data->ID ),
					'##job_name##'              => $post->post_title,
					'##job_link##'              => urldecode( get_permalink( $r_sql->pid ) )
				) );
			}
		}

	} elseif ( $_POST['user_type'] == 'buyer' ) {
		$grade  = $_POST['uprating'];
		$id     = $_POST['ids'];
		$pid    = $_POST['pid'];
		$sample = $_POST['sample'];
		// TODO: check if the logged in user has the right to update this review
		// TODO: check if the attachment belogns to the seller

		if ( ! is_demo_user() ) {

			// reupload so we can apply watermark without breaking the delivered image
			if ( get_option( 'wpjobster_enable_review_work_samples' ) == 'yes' && $sample ) {
				require_once( ABSPATH . "wp-admin" . '/includes/file.php' );
				require_once( ABSPATH . "wp-admin" . '/includes/media.php' );
				require_once( ABSPATH . "wp-admin" . '/includes/image.php' );

				$image_path = get_attached_file( $sample );
				$uploaded_bits = wp_upload_bits(
					basename( $image_path ),
					null, //deprecated
					file_get_contents( $image_path )
				);

				if ( ! $pid ) { $pid = 0; }
				$file_array = array(
					'name' => basename( $image_path ),
					'tmp_name' => $uploaded_bits['file']
				);

				$attach_id = media_handle_sideload( $file_array, $pid );
				if ( is_wp_error( $attach_id ) ) {
					@unlink( $file_array['tmp_name'] );
					$attach_id = '';
				} else {
					$attach_data = wp_get_attachment_metadata( $attach_id );
					update_post_meta( $attach_id, 'is_review', 1 );
					do_action( 'wpj_after_file_complete_upload_action', $attach_data, $attach_id );
				}
			} else {
				$attach_id = ''; // initialize for the query below
			}

			$wpdb->query( $wpdb->prepare(
				"
				UPDATE {$wpdb->prefix}job_ratings
				SET grade = %d,
					reason = %s,
					awarded = '1',
					datemade = %d,
					sample = %s
				WHERE id = %d
				",
				$grade, $reason, $tm, $attach_id, $id
			) );

			$s_sql = $wpdb->prepare(
				"
				SELECT *
				FROM {$wpdb->prefix}job_ratings ratings,
					 {$wpdb->prefix}job_orders orders
				WHERE ratings.id = %d
					AND orders.id = ratings.orderid
				",
				$id
			);
			$r_sql = $wpdb->get_results( $s_sql );
			$r_sql = $r_sql[0];

			$rating = get_post_meta( $r_sql->pid, 'rating', true );

			wpjobster_update_job_rating_filter( $r_sql->pid );

			if ( empty( $rating ) ) $rating = 0;
			$rating = $rating + 1;

			update_post_meta( $r_sql->pid, 'rating', $rating );

			$uid  = get_current_user_id();
			$post = get_post( $r_sql->pid );

			$wpdb->query( $wpdb->prepare(
				"
				UPDATE {$wpdb->prefix}job_ratings
				SET uid = %d,
					pid = %d
				WHERE id = %d
				",
				$post->post_author, $r_sql->pid, $id
			) );

			$s_chatbox = $wpdb->prepare(
				"
				INSERT INTO {$wpdb->prefix}job_chatbox
					( datemade, uid, oid )
				VALUES
					( %d, '-18', %d )
				",
				$tm, $r_sql->orderid
			);
			$wpdb->query( $s_chatbox );

			$this_notification = $wpdb->insert_id;
			wpj_update_user_notifications( $post->post_author, 'notifications', +1, $this_notification );

			$current_order = wpjobster_get_order( $r_sql->orderid );
			$user_data     = get_userdata( $uid );

			if ( wpj_is_custom_offer( $r_sql->pid ) ) {
				wpj_custom_offer_rating( $r_sql->pid, $r_sql->orderid, $post->post_author, $uid );
			} else {
				wpj_notify_user_translated( 'new_feedback', $post->post_author, array(
					'##transaction_number##'    => wpjobster_camouflage_order_id( $r_sql->orderid, $current_order->date_made ),
					'##transaction_page_link##' => wpj_get_order_link( $r_sql->orderid ),
					'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
					'##job_name##'              => $post->post_title,
					'##job_link##'              => urldecode( get_permalink( $r_sql->pid ) )
				) );
			}

		}

	}

	exit;

}

function wpj_display_work_sample_preview( $sample_id = '' ) {
	echo wpj_get_work_sample_preview( $sample_id );
}

function wpj_get_work_sample_preview( $sample_id = '' ) {
	$html = '';

	if ( get_option( 'wpjobster_enable_review_work_samples' ) == 'yes'
		&& $sample_id != '' ) {

			$sample = wpj_get_attachment_image_url( $sample_id, array( 42, 42 ) );
			$sample_big = wpj_get_attachment_image_url( $sample_id, 'job_slider_image' );

			$html .= '<div>';
				$html .= '<div class="work-sample-preview">';
					$html .= '<div class="pager-bg-thumb work-sample-thumb" style="background-image: url(\'' . $sample . '\');"></div>';
					$html .= '<img class="work-sample-full" style="visibility: hidden;" src="' . $sample_big . '" />';
				$html .= '</div>';
			$html .= '</div>';
	}
	return $html;
}

function wpj_display_work_sample_select( $order_id = '', $user_type = 'buyer' ) {
	echo wpj_get_work_sample_select( $order_id, $user_type );
}

function wpj_get_work_sample_select( $order_id = '', $user_type = 'buyer' ) {
	if ( $order_id == ''
		|| $user_type != 'buyer'
		|| get_option( 'wpjobster_enable_review_work_samples' ) != 'yes'
	) {
		return false;
	}


	// Get all attachments by seller
	global $wpdb;
	$seller = wpj_get_seller_id( $order_id );

	$attachments_query = $wpdb->get_results( "SELECT DISTINCT attachment FROM {$wpdb->prefix}job_chatbox WHERE oid = '{$order_id}' AND uid = '{$seller}' ORDER BY id DESC" );

	$attachments_comma = '';
	foreach ( $attachments_query as $attachments_row ) {
		if ( isset( $attachments_row->attachment ) && $attachments_row->attachment != '' ) {
			$attachments_comma .= $attachments_comma ? ',' : '';
			$attachments_comma .= $attachments_row->attachment;
		}
	}

	$attachments = explode( ',', $attachments_comma );
	$image_array = array();
	foreach ( $attachments as $image_id ) {
		$image_src = wpj_get_attachment_image_url( $image_id, 'job_slider_image' );
		if ( $image_src != '' ) {
			$image_array[$image_id] = $image_src;
		}
	}

	if ( ! $image_array ) {
		return false;
	}


	$html = '';

	// Wrapper
	$html .= '<div>';
		$html .= '<div class="wpj-carousel owl-carousel owl-theme wpj-review-work-sample">';

			$counter = 0;
			foreach ( $image_array as $image_id => $image_src ) {

				if ( $counter > 0 ) {
					$lazy_class = 'bx-lazy owl-lazy';
					$lazy_src = get_template_directory_uri() . '/assets/images/blank.gif';
					$sel_class = '';
				} else {
					$lazy_class = '';
					$lazy_src = $image_src;
					$sel_class = 'selected';
					$sel_id = $image_id;
				}

				// Item
				$html .= '<a href="javascript:void(0)" class="js-select-work-sample ' . $sel_class . '" data-id="' . $image_id . '">';
					$html .= '<div>';
						$html .= '<img src="' . $lazy_src . '" class="job-blurry-bg ' . $lazy_class . '" data-src="' . $image_src . '" />';
						$html .= '<img src="' . $lazy_src . '" class="' . $lazy_class . '" data-src="' . $image_src . '" />';
					$html .= '</div>';
				$html .= '</a>';

				$counter++;
			}

		$html .= '</div>';
	$html .= '</div>';

	return $html;
}
