<?php
function wpj_user_status_vars( $u_id = '' ) {

	$vars = array();

	$current_user = wp_get_current_user();

	if ( ! isset( $u_id ) ) { $u_id = $current_user->ID; }

	$username_curent = $current_user->user_login;
	$username_url = isset( $wp_query->query_vars['username'] ) ? urldecode( $wp_query->query_vars['username'] ) : '';

	if ( $username_url ) {
		$username = $username_url;
		$uid      = get_user_by( 'login', $username );
		$u_id     = $uid->ID;
	} else {
		$username = $username_curent;
	}

	$user_status = get_option( 'wpjobster_en_user_online_status' );

	if ( $user_status == 'yes_with_text' || $user_status == 'yes_with_icon' ) {
		$current_time    = time();
		$last_login_time = get_user_meta( $u_id, 'last_user_login', true );
		$time_difference = $last_login_time ? ( $current_time - $last_login_time ) / 60 : 1000; // 1000 to show offline deleted users
		$mins            = ( int )$time_difference;
	} else {
		$mins = 0;
	}

	$vars = array(
		'u_id'        => $u_id,
		'mins'        => $mins,
		'user_status' => $user_status
	);

	return $vars;
}

add_action( 'light_ajax_update_user_meta_for_user_online_status_action', 'update_user_meta_for_user_online_status' );
add_action( 'init', 'update_user_meta_for_user_online_status' );
function update_user_meta_for_user_online_status() {
	$current_user = wp_get_current_user();
	update_user_meta( $current_user->ID, 'last_user_login', time() );
}

function wpj_get_last_visit( $user_id ) {
	$time_elapsed = time() - (get_user_meta( $user_id, 'last_user_login', true ) ?: 60000);

	if ( $time_elapsed <= 359 ) return __( 'Active now', 'wpjobster' );

	return wpj_seconds_to_words( $time_elapsed, false, true );
}
