<?php
if ( ! function_exists( 'wpjobster_get_user_subscription_icon' ) ) {
	function wpjobster_get_user_subscription_icon( $uid ) {
		$wpjobster_subscription_info = get_wpjobster_subscription_info( $uid );
		extract( $wpjobster_subscription_info );

		$tooltip_postition = is_rtl() ? 'top right' : 'top center';

		$html = '';

		if ( $wpjobster_subscription_icon_url && validate_image_file( $wpjobster_subscription_icon_url ) ) {
			$html .= '
				<div class="user-subscription-wrapper z-index-bigger" data-inverted="" data-tooltip="' . $wpjobster_subscription_profile_label . '" data-position="' . $tooltip_postition . '">
					<img src="' . $wpjobster_subscription_icon_url . '">
				</div>
			';
		}

		return $html;
	}
}

function wpj_get_user_feature_status( $level_option = '', $subscription_option = '' ) {
	$allowed = get_option( $level_option );
	if ( get_option( 'wpjobster_subscription_enabled' ) == 'yes' ) {
		$allowed = get_option( $subscription_option );
	}

	return $allowed;
}

function wpj_get_user_feature_value( $level_option = '', $subscription_option = '', $default_value = '', $uid = '' ) {
	if ( ! $uid ) { $uid = get_current_user_id(); }

	$user_level = wpjobster_get_user_level( $uid );

	$feature_value = get_option( 'wpjobster_get_level' . $user_level . '_' . $level_option );
	if ( get_option( 'wpjobster_subscription_enabled' ) == 'yes' ) {
		$current_subscription = get_wpjobster_subscription_info( $uid );
		$user_subscription_level = $current_subscription['wpjobster_subscription_level'];

		$subscription_value = get_option( 'wpjobster_subscription_' . $subscription_option . '_' . $user_subscription_level );
		if ( is_numeric( $subscription_value ) && $subscription_value > $feature_value ) {
			$feature_value = $subscription_value;

		} elseif ( ! is_numeric( $feature_value ) ) {
			$feature_value = $subscription_value;

		}
	}

	if ( ! is_numeric( $feature_value ) && $feature_value != 'yes' && $feature_value != 'no' ) {
		if ( ! is_numeric( $default_value ) && $default_value != 'yes' && $default_value != 'no' ) $default_value = 3;
		$feature_value = $default_value;
	}

	return $feature_value;
}
