<?php
if ( !function_exists( 'get_common_details' ) ) {
	function get_common_details( $payment_gateway, $order_id = '0', $to_curreny = '', $params = array() ) {

		if ( isset( $_GET['order_id'] ) && $_GET['order_id'] && $order_id == 0 && isset( $_GET['process_pending'] ) ) {
			$order_id = $_GET['order_id'];
		}

		global $wp_query;

		$currency = $to_curreny != '' ? $to_curreny : wpjobster_get_currency();
		$selected = strtoupper( $currency );

		$pid  = ( isset( $params['jobid'] ) ? $params['jobid'] : isset( $wp_query->query_vars['jobid'] ) ) && $wp_query->query_vars['jobid'] ? $wp_query->query_vars['jobid'] : 0;
		$post = get_post( $pid );

		$current_user = wp_get_current_user();
		$uid          = $current_user->ID;

		if ( ( $current_user->ID == $post->post_author ) && $pid != '0' ) {

			get_header();

			echo '<div class="ui hidden divider"></div>';
			echo '<div class="ui negative message">';
				echo '<i class="close icon"></i>';
				echo '<div class="header">' . __( 'DEBUG INFO', 'wpjobster' ) . '</div>';
				echo '<p>' . __( 'You cannot buy your own stuff.', 'wpjobster' ) . '</p>';
			echo '</div>';

			get_footer();

			exit;
		}

		$wpjobster_enable_multiples = wpj_get_user_feature_status( 'wpjobster_enable_multiples', 'wpjobster_subscription_job_multiples_enabled' );

		$author                 = get_userdata( $post->post_author );
		$author_level           = wpjobster_get_user_level( $author->ID );
		$author_multiple_amount = wpj_get_user_feature_value( 'jobmultiples', 'job_multiples', 1, $author->ID );

		$sample_price = get_post_meta( $pid, 'price', true );
		$sample_price = apply_filters( 'wpjobster_gateway_job_price', $sample_price, $pid );

		if ( isset( $params['amount'] ) ) {
			$amount = ( int ) $params['amount'];
		} else {
			$amount = isset( $_GET['amount'] ) ? ( int ) $_GET['amount'] : 1;
		}

		// Check amount
		if ( ( $wpjobster_enable_multiples != 'yes' && $amount > 1 )
			|| ( ! ctype_digit( $amount ) && ! is_int( $amount ) )
			|| $amount < 1 ) {

			get_header();

			echo '<div class="ui hidden divider"></div>';
			echo '<div class="ui negative message">';
				echo '<div class="header">' . __( 'DEBUG INFO', 'wpjobster' ) . '</div>';
				echo '<p>' . __( 'The selected quantity is greater than the amount you are allowed or the quantity does not contain a number.', 'wpjobster' ) . '</p>';
			echo '</div>';

			get_footer();

			exit;
		}

		if ( $wpjobster_enable_multiples == 'yes' ) {
			if ( $amount > $author_multiple_amount ) {

				get_header();

				echo '<div class="ui hidden divider"></div>';
				echo '<div class="ui negative message">';
					echo '<div class="header">' . __( 'DEBUG INFO', 'wpjobster' ) . '</div>';
					echo '<p>' . __( 'The selected quantity is greater than the amount you are allowed.', 'wpjobster' ) . '</p>';
				echo '</div>';

				get_footer();

				exit;
			}
		}

		$price = $sample_price * $amount;

		if ( ! is_numeric( $price ) || $price < 0 ) {
			$price = get_option( 'wpjobster_job_fixed_amount' );
		}

		$price = apply_filters( 'wpj_sample_prc_filter', $price, $pid );

		if ( wpj_is_custom_offer( $pid ) ) {
			$job_title = wpj_get_custom_offer_title( $pid, $post->post_author );
		} else {
			$job_title = get_post_meta( $pid, 'job_title', true );
			if ( empty( $job_title ) ) {
				$job_title = $post->post_title;
			}
		}

		// Extras
		$extr_ttl = 0;

		if ( isset( $params['extras'] ) ) {
			$v_extras = $params['extras'];
		} else {
			$v_extras = isset( $_GET['extras'] ) ? $_GET['extras'] : '';
		}

		$extras = explode( '|', $v_extras );
		if ( count( $extras ) <= 1 ) {
			$extras = explode( '_', $v_extras );
		}

		if ( isset( $params['extras_amounts'] ) ) {
			$v_extras_amounts = $params['extras_amounts'];
		} else {
			$v_extras_amounts = isset( $_GET['extras_amounts'] ) ? $_GET['extras_amounts'] : '';
		}

		$extras_amounts = explode( '|', $v_extras_amounts );
		if ( count( $extras_amounts ) <= 1 ) {
			$extras_amounts = explode( '_', $v_extras_amounts );
		}

		if ( count( $extras ) && count( $extras_amounts ) ) { $i = 0;
			foreach ( $extras as $myitem ) {
				if ( ! empty( $myitem ) ) {
					if ( $myitem == 'f' ) {
						$extra_enabled   = get_post_meta( $pid, 'extra_fast_enabled', true );
						$extra_price     = get_post_meta( $pid, 'extra_fast_price', true );
						$extra_m_enabled = 1;
					} else if ( $myitem == 'r' ) {
						$extra_enabled   = get_post_meta( $pid, 'extra_revision_enabled', true );
						$extra_price     = get_post_meta( $pid, 'extra_revision_price', true );
						$extra_m_enabled = get_post_meta( $pid, 'extra_revision_multiples_enabled', true );
					} else {
						$extra_enabled   = get_post_meta( $pid, 'extra' . $myitem . '_extra_enabled', true );
						$extra_price     = get_post_meta( $pid, 'extra' . $myitem . '_price', true );
						$extra_m_enabled = get_post_meta( $pid, 'extra' . $myitem . '_enabled', true );
					}

					if ( $extra_enabled ) {
						$extr_ttl += $extra_price * $extras_amounts[$i];

						if ( $wpjobster_enable_multiples != 'yes' && $extras_amounts[$i] > 1 ) {

							get_header();

							echo '<div class="ui hidden divider"></div>';
							echo '<div class="ui negative message">';
								echo '<div class="header">' . __( 'DEBUG INFO', 'wpjobster' ) . '</div>';
								echo '<p>' . __( 'You are not allowed to use an amount greater than 1.', 'wpjobster' ) . '</p>';
							echo '</div>';

							get_footer();

							exit;
						}

						if ( $wpjobster_enable_multiples == 'yes' ) { // check if seller want to sell extras
							if ( ! $extra_m_enabled && $extras_amounts[$i] > 1 ) {

								get_header();

								echo '<div class="ui hidden divider"></div>';
								echo '<div class="ui negative message">';
									echo '<div class="header">' . __( 'DEBUG INFO', 'wpjobster' ) . '</div>';
									echo '<p>' . __( 'You are not allowed to use an amount greater than 1.', 'wpjobster' ) . '</p>';
								echo '</div>';

								get_footer();

								exit;
							}

							$author_extras_multiple_amount = wpj_get_user_feature_value( 'extramultiples', 'extra_multiples', 1, $author->ID );
							if ( $extras_amounts[$i] > $author_extras_multiple_amount ) {

								get_header();

								echo '<div class="ui hidden divider"></div>';
								echo '<div class="ui negative message">';
									echo '<div class="header">' . __( 'DEBUG INFO', 'wpjobster' ) . '</div>';
									echo '<p>' . __( 'The selected quantity is greater than the amount you are allowed.', 'wpjobster' ) . '</p>';
								echo '</div>';

								get_footer();

								exit;
							}
						}
					} // extra enabled
				} $i++;
			}
		}

		$extr_ttl = apply_filters( 'wpj_sample_extras_filter', $extr_ttl, $pid );

		// Shipping
		$shipping = get_post_meta( $pid, 'shipping', true );
		if ( empty( $shipping ) ) { $shipping = 0; }

		// Processing Fee & Tax
		if ( ! is_demo_user() ) {
			$tm = time();
			$extras_str = implode( '|', $extras );
			$extras_amounts_str = implode( '|', $extras_amounts );
			$extras_amounts_str = substr( $extras_amounts_str, 0, -1 );
			$cust = $pid . '|' . $uid . '|' . $tm . '|' . $amount . '|' . ( count( $extras ) - 1 ) . '|' . $extras_str . $extras_amounts_str;

			$buyer_processing_fees = wpjobster_get_site_processing_fee( $price, $extr_ttl, $shipping );
			$tax_amount = wpjobster_get_site_tax( $price, $extr_ttl, $shipping, $buyer_processing_fees );

			$wpjobster_final_payable_amount_original = ( $price + $extr_ttl + $shipping + $buyer_processing_fees + $tax_amount );

			if ( $to_curreny != '' ) {
				$wpjobster_final_payable_amount = wpjobster_formats_special_exchange( $wpjobster_final_payable_amount_original, '1', $to_curreny );
			} else {
				$wpjobster_final_payable_amount = wpjobster_formats_special_exchange( $wpjobster_final_payable_amount_original );
			}

			if ( $payment_gateway == 'credits' ) {
				$pmt_status = 'completed';
				$with_credits = 1;
			} elseif ( $payment_gateway == 'cod' ) {
				$with_credits = 0;
				$pmt_status = 'completed';
			} else {
				$pmt_status = 'pending';
				$with_credits = 0;
			}

			if ( $order_id == 0 ) { // Insert new order
				$order_id = wpjobster_insert_order(
					$cust, $currency, '|', $with_credits, $pmt_status, $payment_gateway, '',
					$buyer_processing_fees, $tax_amount, $wpjobster_final_payable_amount_original
				);

			} else { // Get existing order
				$order_details                           = wpjobster_get_order_details_by_orderid( $order_id );
				$pid                                     = $order_details->pid;
				$post                                    = get_post( $pid );
				$uid                                     = $order_details->uid;
				$final_paidamount                        = $order_details->final_paidamount;
				$final_paidamount_arr                    = explode( "|",$final_paidamount );
				$selected                                = $final_paidamount_arr['0'];
				$job_title                               = $order_details->job_title;
				$wpjobster_final_payable_amount          = $final_paidamount_arr[1];
				$order_id                                = $order_id;
				$current_user                            = get_user_by( "id",$uid );
				$currency                                = wpjobster_get_currency();
				$buyer_processing_fees                   = $order_details->processing_fees;
				$tax_amount                              = $order_details->tax_amount;
				$price                                   = apply_filters( 'wpj_price_filter', $order_details->mc_gross, $order_details, 'chat_box' );
				$wpjobster_final_payable_amount_original = $price + $buyer_processing_fees + $tax_amount;

			}

			return array(
				'order_id'                                => $order_id,
				'pid'                                     => $pid,
				'post'                                    => $post,
				'job_title'                               => $job_title,
				'title'                                   => $job_title,
				'uid'                                     => $uid,
				'current_user'                            => $current_user,
				'currency'                                => $currency,
				'selected'                                => $selected,
				'price'                                   => $price,
				'wpjobster_job_price'                     => $price,
				'wpjobster_job_buyer_processing_fees'     => $buyer_processing_fees,
				'wpjobster_job_tax'                       => $tax_amount,
				'wpjobster_final_payable_amount_original' => $wpjobster_final_payable_amount_original,
				'wpjobster_final_payable_amount'          => $wpjobster_final_payable_amount,
			);

		} else {

			global $wpdb;
			$s = "SELECT * FROM {$wpdb->prefix}job_orders WHERE uid='$uid' ORDER BY id DESC";
			$r = $wpdb->get_results( $s );
			$last_row = $r[0];
			$last_row_id = $last_row->id;
			wp_redirect( get_bloginfo( 'url' ) . '/?jb_action=chat_box&oid=' . $last_row_id );

		}

	}
}