<?php
if ( $process_action != '' ) {
	if ( ! class_exists( 'wpjobster_common_tips' ) ) {
		include_once get_template_directory() . "/lib/gateways/wpjobster_common_tips.php";
		$wct = new WPJ_Common_Tips( $sk );
	}

	if ( $sk == 'paypal' ) {
		if ( class_exists( 'WPJobster_PayPal_Loader' ) ) {
			$paypalClass = new WPJobster_PayPal_Loader();
		}
	} else {
		if ( ! class_exists( 'wpjobster_' . $sk ) && file_exists( get_template_directory() . '/lib/gateways/wpjobster_' . $sk . '.php' ) ) {
			include_once get_template_directory() . '/lib/gateways/wpjobster_' . $sk . '.php';
		}
	}

	if ( $action == 'payment' ) {
		$wct = new WPJ_Common_Tips( $sk );

		$currency = apply_filters( "wpjobster_take_allowed_currency_$sk", $wct->_currency );

		$_order_id = isset( $_GET['oid'] ) ? $_GET['oid'] : false;
		$_tips_id  = isset( $_GET['tips'] ) && $_GET['tips'] ? $_GET['tips'] : 0;
		$ord       = wpjobster_get_order( $_order_id );
		$tips      = json_decode( $ord->tips );
		$total     = $tips[$_tips_id]->amount;

		$_tips_amount                   = $total;
		$buyer_processing_fees_original = wpjobster_get_site_processing_fee( $_tips_amount, 0, 0);
		$tax_orignal                    = wpjobster_get_site_tax( $_tips_amount, 0, 0, $buyer_processing_fees_original );
		$total_amount_orignal           = $_tips_amount + $tax_orignal + $buyer_processing_fees_original;
		$_tax                           = wpjobster_formats_special_exchange( $tax_orignal, '1', $currency );
		$buyer_processing_fees          = wpjobster_formats_special_exchange( $buyer_processing_fees_original, '1', $currency );
		$total                          = wpjobster_formats_special_exchange( $_tips_amount, '1', $currency );
		$_payable_amount                = $total + $buyer_processing_fees + $_tax;

		$paid = 'pending';
		if ( $sk == 'credits' ) {
			$uid  = $wct->_current_user->ID;
			$crds = wpjobster_get_credits( $uid );
			if ( $total_amount_orignal > $crds ) {
				echo __( 'NO_CREDITS_LEFT', 'wpjobster' );
				wp_redirect( get_permalink( get_option( 'wpjobster_my_account_payments_page_id' ) ) . 'topup' );
				exit;
			}
			wpjobster_update_credits( $uid, $crds - ( $total_amount_orignal ) );
			$paid = 'completed';
		}

		$tips_order = array(
			'order_id'             => $_order_id,
			'tips_id'              => $_tips_id,
			'user_id'              => $wct->_current_user->ID,
			'tips_amount'          => $_tips_amount,
			'payment_status'       => $paid,
			'payment_gateway_name' => $wct->_payment_gateway,
			'tax'                  => $_tax,
			'payable_amount'       => $_payable_amount,
			'currency'             => $currency,
			'tax_orignal'          => $tax_orignal,
			'fees'                 => $buyer_processing_fees,
			'total_amount_orignal' => $total_amount_orignal,
			'fees_orignal'         => $buyer_processing_fees_original
		);

		$order_id = $wct->insert_tips_order( $tips_order );

		$tips_order_gateway['order_id']                       = $order_id;
		$tips_order_gateway['price']                          = $_tips_amount;
		$tips_order_gateway['uid']                            = $wct->_current_user->ID;
		$tips_order_gateway['pid']                            = $_order_id;
		$tips_order_gateway['selected']                       = $currency;
		$tips_order_gateway['job_title']                      = $tips_order_gateway['title'] = $tips[$_tips_id]->reason;
		$tips_order_gateway['wpjobster_final_payable_amount'] = $_payable_amount;
		$tips_order_gateway['current_user']                   = $wct->_current_user;
		$tips_order_gateway['currency']                       = $currency;

		do_action( $process_action, 'tips', $tips_order_gateway );
	}

	if ( $action == 'process_payment' ) {
		$accepted_request_param = apply_filters( 'wpj_payment_response_accepted_params', array() );

		if ( ! empty( $_POST ) || WPJ_Form::get( 'action', '' ) == 'cancel' || wpj_array_in_URI( $accepted_request_param ) ) {
			do_action( $process_action, 'tips', $wct );
		} else {
			if ( isset( $_GET['wpj_payment_id'] ) ) {
				$payment = wpj_get_payment( array( 'id' => $_GET['wpj_payment_id'] ) );
				$order = wpjobster_get_tips_order_by( 'id', $payment->payment_type_id );
				$wct->goto_order_page( $sk, array( 'order_id' => $order->order_id ) );
			}
		}
	}
}
