<?php
$absolute_path = __FILE__;
$path_to_file = explode( 'wp-content', $absolute_path );
$path_to_wp = $path_to_file[0];

require_once( $path_to_wp . '/wp-load.php' );

$tm               = time();
$rnd              = rand( 0, 199 );
$allowed_file_ext = array( "jpg", "jpeg", "png", "gif" );

if ( ! is_user_logged_in() || $_POST['author'] != get_current_user_id() ) { exit; }

if ( ! empty( $_FILES ) ) {

	$fileData = $_FILES['Filedata'];

	if ( $fileData ) {
		$tempFile = $fileData['tmp_name'];
		$cid      = $_POST['author'];
		$width    = $_POST['width'];
		$height   = $_POST['height'];
		$width1   = $width + 1;
		$height1  = $height + 1;

		require_once( ABSPATH . "wp-admin" . '/includes/file.php' );

		$upload_overrides = array( 'test_form' => false );
		$uploaded_file    = wp_handle_upload( $_FILES['Filedata'], $upload_overrides );

		$file_name_and_location = $uploaded_file['file'];
		$file_title_for_media_library = $_FILES['Filedata']['name'];

		$arr_file_type = wp_check_filetype( basename( $_FILES['Filedata']['name'] ) );

		if ( $arr_file_type ) {

			// check extension
			if ( in_array( strtolower( $arr_file_type['ext']), $allowed_file_ext ) ) {

				// check size
				$size = getimagesize( $file_name_and_location );
				if ( isset( $size ) && ( $size[0] >= apply_filters( 'wpj_min_avatar_width_filter', 250 ) || $size[1] >= apply_filters( 'wpj_min_avatar_height_filter', 250 ) ) ) {
					$status = "ok";
					$uploaded_file_type = $arr_file_type['type'];

					$attachment = array(
						'post_mime_type' => $uploaded_file_type,
						'post_title'     => apply_filters( 'wpj_uploaded_file_name_filter', 'File' ) . ' ' . addslashes( $file_title_for_media_library ),
						'post_content'   => '',
						'post_status'    => 'inherit',
						'post_author'    => $cid,
					);

					require_once( ABSPATH . "wp-admin" . '/includes/image.php' );

					$attach_id   = wp_insert_attachment( $attachment, $file_name_and_location );
					$attach_data = wp_generate_attachment_metadata( $attach_id, $file_name_and_location );

					wp_update_attachment_metadata( $attach_id, $attach_data );

					if ( ! is_demo_user() ) {
						$avatar_url = wp_get_attachment_url( $attach_id );
						update_user_meta( $cid, 'avatar_id', $attach_id );
						update_user_meta( $cid, 'avatar', $avatar_url );
						update_post_meta( $attach_id, 'is_avatar', 1 );
					}

					$go = wpj_get_attachment_image_url( $attach_id, array( $width, $height ) );

					update_post_meta( $attach_id, 'is_avatar', 1 );

					do_action( 'wpj_after_file_complete_upload_action', $attach_data, $attach_id );

					echo $status . "|" . $go . "|" . $attach_id;

					if ( is_demo_user() ) { wp_delete_attachment( $attach_id ); }

				} else { // not allowed size
					echo "size";
				}
			} else { // not allowed extension
				echo "extension";
			}

		} else { exit; }

	}
}

switch ( $_FILES['Filedata']['error'] ) {
	case 0:
		$msg = __( "No Error", "wpjobster" );
		break;
	case 1:
		$msg = __( "The file is bigger than this PHP installation allows", "wpjobster" );
		break;
	case 2:
		$msg = __( "The file is bigger than this form allows", "wpjobster" );
		break;
	case 3:
		$msg = __( "Only part of the file was uploaded", "wpjobster" );
		break;
	case 4:
		$msg = __( "No file was uploaded", "wpjobster" );
		break;
	case 6:
		$msg = __( "Missing a temporary folder", "wpjobster" );
		break;
	case 7:
		$msg = __( "Failed to write file to disk", "wpjobster" );
		break;
	case 8:
		$msg = __( "File upload stopped by extension", "wpjobster" );
		break;
	default:
		$msg = "unknown error " . $_FILES['Filedata']['error'];
		break;
} ?>
