<?php /*** ADMIN OPTIONS ***/

class WPJREPORT_AdminOptions {

	/**
	 * Class INIT
	 */
	public static function init() {
		$class = __CLASS__; new $class;
	}

	/**
	 * Class __CONSTRUCT
	 */
	public function __construct() {
		add_filter( 'admin_general_options_tabs_list_filter', array( $this, 'tabName' ), 10, 1 );
		add_action( 'wpjobster_general_options_tabs_content', array( $this, 'tabContent' ) );
	}

	/**
	 * Save plugin settings
	 */
	public function saveOptions() {
		if ( isset( $_POST['wpjobster_save_report_settings'] ) ) {

			update_option( 'wpjobster_report_jobs_enabled'    , trim( $_POST['wpjobster_report_jobs_enabled'] ) );
			update_option( 'wpjobster_report_requests_enabled', trim( $_POST['wpjobster_report_requests_enabled'] ) );
			update_option( 'wpjobster_report_users_enabled'   , trim( $_POST['wpjobster_report_users_enabled'] ) );
			update_option( 'wpjobster_report_messages_enabled', trim( $_POST['wpjobster_report_messages_enabled'] ) );

			echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
		}
	}

	/**
	 * Show plugin tab name
	 */
	public function tabName( $tabs ) {
		$tabs['#report-settings'] = __( 'Report Settings', 'wpjobster' );
		wpj_move_element( $tabs, 9, 5 );

		return $tabs;
	}

	/**
	 * Show plugin settings fields
	 */
	public function tabContent() {

		$this->saveOptions();

		$arr_no_first = array( 'no'  => __( 'No', 'wpjobster' ),  'yes' => __( 'Yes','wpjobster' ) );

		//-> templates/admin/options-template.php
		wpj_get_report_template( 'admin/options-template.php', array( 'arr_no_first' => $arr_no_first ) );

	}

}

add_action( 'after_setup_theme', array( 'WPJREPORT_AdminOptions', 'init' ) );
