<?php /*** ENQUEUE ***/

class WPJREPORT_Enqueue {

	/**
	 * Class INIT
	 */
	public static function init() {
		$class = __CLASS__; new $class;
	}

	/**
	 * Class __CONSTRUCT
	 */
	public function __construct() {
		add_action( 'wp_enqueue_scripts', array( $this, 'reportAssets' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'reportAdminAssets' ) );
	}

	public function reportAssets() {
		if ( defined( 'WPJ_ASSETS_DEBUG' ) && WPJ_ASSETS_DEBUG == true ) {
			wp_enqueue_style( 'report-styles', get_template_directory_uri() . '/plugins/wpjobster-reports/assets/css/styles.css', array(), wpjobster_VERSION, 'all' );
			wp_enqueue_script( 'report-scripts', get_template_directory_uri() . '/plugins/wpjobster-reports/assets/js/scripts.js', array( 'jquery' ), wpjobster_VERSION, true );
		}
	}

	public function reportAdminAssets() {
		if ( defined( 'WPJ_ASSETS_DEBUG' ) && WPJ_ASSETS_DEBUG == true ) {
			wp_enqueue_style( 'report-admin-styles', get_template_directory_uri() . '/plugins/wpjobster-reports/assets/css/admin-styles.css', array(), wpjobster_VERSION, 'all' );
		}
	}

}

add_action( 'after_setup_theme', array( 'WPJREPORT_Enqueue', 'init' ) );
