<?php /*** FIRST RUN ***/

class WPJREPORT_FirstRun {

	/**
	 * Class INIT
	 */
	public static function init() {
		$class = __CLASS__; new $class;
	}

	/**
	 * Class __CONSTRUCT
	 */
	public function __construct() {
		add_action( 'admin_init', array( $this, 'onFirstRun' ) );
	}

	/**
	 * Plugin first run
	 */
	public function onFirstRun() {

		ob_start();

		if ( get_option( 'wpj_report_target_taxonomy_content' ) != 'done' ) {

			$target_categories = array(
				array( 'Jobs', array() ),
				array( 'Requests', array() ),
				array( 'Messages', array() ),
				array( 'User', array() ),
			);

			foreach ( $target_categories as $category ) {

				$category_name = $category[0];
				$subcategories_to_insert = $category[1];

				$this_cat = array(
					'cat_name'        => $category_name,
					'category_parent' => '',
					'taxonomy'        => 'target_reports'
				);

				$this_cat_id = wp_insert_category( $this_cat );

				if ( $this_cat_id != false
					&& isset( $subcategories_to_insert )
					&& ! empty( $subcategories_to_insert ) ) {

					foreach ( $subcategories_to_insert as $subcategory_name ) {

						$this_subcat = array(
							'cat_name'        => $subcategory_name,
							'category_parent' => $this_cat_id,
							'taxonomy'        => 'target_reports'
						);

						$this_subcat_id = wp_insert_category( $this_subcat );
					}
				}
			}

			update_option( 'wpj_report_target_taxonomy_content', 'done' );
		}

		if ( get_option( 'wpj_report_reason_taxonomy_content' ) != 'done' ) {

			$reason_categories = array(
				array( 'Harassment', array() ),
				array( 'Suicide or Self-Injury', array() ),
				array( 'Pretending to Be Someone', array() ),
				array( 'Sharing Inappropriate Things', array() ),
				array( 'Hate Speech', array() ),
				array( 'Unauthorized Sales', array() ),
				array( 'Spam', array() ),
				array( 'Nudity', array() ),
				array( 'Violence', array() ),
				array( 'Something Else', array() ),
			);

			foreach ( $reason_categories as $category ) {

				$category_name = $category[0];
				$subcategories_to_insert = $category[1];

				$this_cat = array(
					'cat_name'        => $category_name,
					'category_parent' => '',
					'taxonomy'        => 'reason_reports'
				);

				$this_cat_id = wp_insert_category( $this_cat );

				if ( $this_cat_id != false
					&& isset( $subcategories_to_insert )
					&& ! empty( $subcategories_to_insert ) ) {

					foreach ( $subcategories_to_insert as $subcategory_name ) {

						$this_subcat = array(
							'cat_name'        => $subcategory_name,
							'category_parent' => $this_cat_id,
							'taxonomy'        => 'reason_reports'
						);

						$this_subcat_id = wp_insert_category( $this_subcat );
					}
				}
			}

			update_option( 'wpj_report_reason_taxonomy_content', 'done' );
		}

		if ( get_option( 'wpj_report_job_option_import' ) != 'done' ) {

			update_option( 'wpjobster_report_jobs_enabled', get_option( 'wpjobster_report_job_enabled' ) );
			update_option( 'wpj_report_job_option_import', 'done' );
		}

		ob_end_clean();

	}

}

add_action( 'after_setup_theme', array( 'WPJREPORT_FirstRun', 'init' ) );
