<?php /*** AJAX FUNCTIONS ***/

/* Accept order */
add_action( 'wp_ajax_nopriv_accept_order', 'wpj_sor_accept_order' );
add_action( 'wp_ajax_accept_order', 'wpj_sor_accept_order' );
function wpj_sor_accept_order() {
	if ( isset( $_POST['oid'] ) && get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {

		global $wpdb;

		$orderid = $_POST['oid'];
		$tm      = current_time( 'timestamp', 1 );
		$ccc     = __( 'Accepted by Seller', 'wpjobster' );
		$row     = wpjobster_get_order_details_by_orderid( $orderid );
		$post    = get_post( $row->pid );

		// Add extra time to timer
		$extra_time = $tm - $row->date_made;
		$expected   = wpj_get_expected_delivery( $orderid ) + $extra_time;

		// Insert to orders
		$wpdb->query( "
			UPDATE {$wpdb->prefix}job_orders
			SET seller_confirmation = '1',
				expected_delivery = '{$expected}'
			WHERE id = '{$orderid}'
		" );

		// Insert to chatbox
		$wpdb->query( "INSERT INTO {$wpdb->prefix}job_chatbox (datemade, uid, oid, content) VALUES('{$tm}','-47','{$orderid}','{$ccc}')" );

		// Update notifications
		$this_notification = $wpdb->insert_id;
		wpj_update_user_notifications( wpj_get_buyer_id( $orderid ), 'notifications', +1, $this_notification );

		// Send emails
		wpj_notify_user_translated( 'order_accepted', wpj_get_buyer_id( $orderid ), array(
			'##job_name##'              => $post->post_title,
			'##job_link##'              => urldecode( get_permalink( $row->pid ) ),
			'##transaction_page_link##' => wpj_get_order_link( $orderid ),
			'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $row->date_made )
		) );
	}

	die();
}

/* Deny order */
add_action( 'wp_ajax_nopriv_deny_order', 'wpj_sor_deny_order' );
add_action( 'wp_ajax_deny_order', 'wpj_sor_deny_order' );
function wpj_sor_deny_order() {
	if ( isset( $_POST['oid'] ) && get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {

		global $wpdb;

		$orderid = $_POST['oid'];
		$tm      = current_time( 'timestamp', 1 );
		$ccc     = __( 'Rejected by Seller', 'wpjobster' );

		// Insert to orders
		$wpdb->query( "
			UPDATE {$wpdb->prefix}job_orders
			SET seller_confirmation = '2'
			WHERE id = '{$orderid}'
		" );

		// Cancel order and refund buyer
		wpj_cancel_order_by_id( $orderid, 'rejected' );

		// Insert to chatbox
		$wpdb->query( "INSERT INTO {$wpdb->prefix}job_chatbox (datemade, uid, oid, content) VALUES('{$tm}', '-48', '{$orderid}', '{$ccc}')" );

		// Update notifications
		$this_notification = $wpdb->insert_id;
		wpj_update_user_notifications( wpj_get_buyer_id( $orderid ), 'notifications', +1, $this_notification );

		// Send emails
		$row  = wpjobster_get_order_details_by_orderid( $orderid );
		$post = get_post( $row->pid );
		wpj_notify_user_translated( 'order_rejected', wpj_get_buyer_id( $orderid ), array(
			'##job_name##'              => $post->post_title,
			'##job_link##'              => urldecode( get_permalink( $row->pid ) ),
			'##transaction_page_link##' => wpj_get_order_link( $orderid ),
			'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $row->date_made )
		) );
	}

	die();
}
