<?php /*** CRON ***/

add_action( 'vc_daily_event', 'wpj_sor_autoreject_order_cron' );
function wpj_sor_autoreject_order_cron() {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {

		global $wpdb;

		$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_orders WHERE seller_confirmation = '0' and payment_status = 'completed'" );

		if ( $r ) {
			foreach ( $r as $row ) {
				$orderid      = $row->id;
				$date_made    = $row->date_made;
				$current_time = current_time( 'timestamp', 1 );

				$diff = $current_time - $date_made;

				$hours = round( $diff / ( 60 * 60 ) );

				if ( $hours > 24 ) {

					$ccc = __( 'Rejected by Seller (autoclose)', 'wpjobster' );

					// Insert to orders
					$wpdb->query( "
						UPDATE {$wpdb->prefix}job_orders
						SET seller_confirmation = '2'
						WHERE id = '{$orderid}'
					" );

					// Cancel order and refund buyer
					wpj_cancel_order_by_id( $orderid, 'autoclose', true );

					// Insert to chatbox
					$wpdb->query( "INSERT INTO {$wpdb->prefix}job_chatbox (datemade, uid, oid, content) VALUES('{$current_time}', '-48', '{$orderid}', '{$ccc}')" );

					// Update notifications
					$this_notification = $wpdb->insert_id;
					wpj_update_user_notifications( wpj_get_buyer_id( $orderid ), 'notifications', +1, $this_notification );

					// Send emails
					wpj_notify_user_translated( 'order_rejected', wpj_get_buyer_id( $orderid ), array( '##transaction_page_link##' => wpj_get_order_link( $orderid ), '##transaction_number##' => wpjobster_camouflage_order_id( $orderid, $date_made ) ) );
				}
			}
		}

	}
}
