<?php /*** EMAIL & SMS ***/

/* Email template for admin */
add_filter( 'wpjobster_admin_menu_email_templates', 'wpj_sor_admin_menu_email_templates_filter', 10, 1 );
function wpj_sor_admin_menu_email_templates_filter( $reasons ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		$reasons['job_orders']['items']['order_accepted'] = array(
			"title"       => __( "Accepted order", "wpjobster" ),
			"description" =>
				"This notification will be received by the buyer when the seller accept the order.
				<br /><br /> Available shortcodes:
				<br /><br /> <strong>##receiver_username##, <br /> ##sender_username##, <br /> ##your_site_name##, <br /> ##your_site_url##, <br /> ##job_link##, <br /> ##job_name##, <br /> ##transaction_number##, <br /> ##transaction_page_link##</strong>",
		);

		$reasons['job_orders']['items']['order_rejected'] = array(
			"title"       => __( "Rejected order", "wpjobster" ),
			"description" =>
				"This notification will be received by the buyer when the seller reject the order.
				<br /><br /> Available shortcodes:
				<br /><br /> <strong>##receiver_username##, <br /> ##sender_username##, <br /> ##your_site_name##, <br /> ##your_site_url##, <br /> ##job_link##, <br /> ##job_name##, <br /> ##transaction_number##, <br /> ##transaction_page_link##</strong>",
		);
	}

	return $reasons;
}

/* Email template content for admin */
add_action( 'admin_init', 'wpj_sor_create_demo_email_content' );
function wpj_sor_create_demo_email_content() {

	if ( get_option( 'wpj_sor_first_run_emails' ) != 'done' ) {

		update_option( 'wpj_sor_first_run_emails', 'done' );

		// accepted
		update_option( 'uz_email_order_accepted_en_subject',
			'The seller accepted the order ##transaction_number##'
		);

		update_option( 'uz_email_order_accepted_en_message',
			'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

			'Transaction ##transaction_number## was accepted by seller.'.PHP_EOL.
			'Please click this link for more info: ##transaction_page_link##'.PHP_EOL.PHP_EOL.

			'Thank you,'.PHP_EOL.
			'##your_site_name## Team'
		);

		update_option( 'uz_sms_order_accepted_en_message',
			'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

			'Transaction ##transaction_number## was accepted by seller.'.PHP_EOL.
			'Please click this link for more info: ##transaction_page_link##'.PHP_EOL.PHP_EOL.

			'Thank you,'.PHP_EOL.
			'##your_site_name## Team'
		);

		// rejected
		update_option( 'uz_email_order_rejected_en_subject',
			'The seller rejected the order ##transaction_number##'
		);

		update_option( 'uz_email_order_rejected_en_message',
			'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

			'Transaction ##transaction_number## was rejected by seller. The money are refunded to your account.'.PHP_EOL.
			'Please click this link for more info: ##transaction_page_link##'.PHP_EOL.PHP_EOL.

			'Thank you,'.PHP_EOL.
			'##your_site_name## Team'
		);

		update_option( 'uz_sms_order_rejected_en_message',
			'Hello ##receiver_username##,'.PHP_EOL.PHP_EOL.

			'Transaction ##transaction_number## was rejected by seller. The money are refunded to your account.'.PHP_EOL.
			'Please click this link for more info: ##transaction_page_link##'.PHP_EOL.PHP_EOL.

			'Thank you,'.PHP_EOL.
			'##your_site_name## Team'
		);

	}
}
