<?php /*** FRONT FUNCTIONS - SALES ***/

add_filter( 'wpj_user_sales_tabs_slug_filter', 'wpj_sor_add_pending_order_tab_slug', 10, 1 );
function wpj_sor_add_pending_order_tab_slug( $tabs ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		$tabs[] = 'pending-confirmation';
	}

	return $tabs;
}

add_filter( 'wpj_user_sales_tabs_data_filter', 'wpj_sor_add_pending_order_tab_data', 10, 2 );
function wpj_sor_add_pending_order_tab_data( $tabs, $page ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		$tabs['pending-confirmation'] = array(
			'label' => __( "Pending Confirmation", "wpjobster" ),
			'count' => wpj_seller_pending_confirmation_orders( get_current_user_id(), $page )['count']
		);

		/* Move to second position */
		$p1   = array_splice( $tabs, 5, 1 );
		$p2   = array_splice( $tabs, 0, 1 );
		$tabs = array_merge( $p2, $p1, $tabs );

	}

	return $tabs;
}

add_filter( 'wpj_sql_user_account_query_filter', 'wpj_sor_add_pending_order_tab_content', 10, 4 );
function wpj_sor_add_pending_order_tab_content( $query, $query_type, $query_status, $uid ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( $query_type == 'sales' ) {
			if ( $query_status == 'pending-confirmation' ) {
				$query = wpj_seller_pending_confirmation_orders( get_current_user_id(), 'sales' )['query'];
			}
		}
	}

	return $query;
}

add_filter( 'wpj_user_sales_no_jobs_text_filter', 'wpj_sor_add_text_no_pending_order', 10, 2 );
function wpj_sor_add_text_no_pending_order( $text, $pg ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' && $pg == 'pending-confirmation' ) {
		$text = __( 'No pending confirmation orders', 'wpjobster' );
	}

	return $text;
}

add_filter( 'wpj_user_sales_status_class_filter', 'wpj_sor_add_status_class', 10, 2 );
function wpj_sor_add_status_class( $class, $row ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( $row->seller_confirmation == 0 && $row->closed != 1 && $row->completed != 1 && $row->payment_status != 'pending' ) {
			return 'oe-orange';
		}
	}

	return $class;
}

add_filter( 'wpj_user_sales_status_text_filter', 'wpj_sor_add_status_text', 10, 2 );
function wpj_sor_add_status_text( $text, $row ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( $row->seller_confirmation == 0 && $row->closed != 1 && $row->completed != 1 && $row->payment_status != 'pending' ) {
			return __( 'pending confirmation', 'wpjobster' );
		}
	}

	return $text;
}
