<?php /*** FRONT FUNCTIONS - USER ***/

add_filter( 'wpj_user_rating_filter', 'wpj_sor_display_unresponsive_label', 10, 2 );
function wpj_sor_display_unresponsive_label( $rating, $uid ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {

		global $wpdb;

		$jobs_count = $wpdb->get_var( "
			SELECT COUNT(*)
			FROM {$wpdb->prefix}job_orders orders,
				 {$wpdb->prefix}posts posts
			WHERE posts.post_author = {$uid}
				AND posts.ID = orders.pid
				AND orders.force_cancellation = 7
		" );
		$jobs_word = _n( "job", "jobs", $jobs_count, "wpjobster" );

		$tooltip_position = is_rtl() ? 'top right' : 'top center';
		$tootltip_content = sprintf( __( 'This seller has %d %s he did not answer', 'wpjobster' ), $jobs_count, $jobs_word );

		if ( $jobs_count >= 1 ) {
			return '
				<div class="z-index-bigger margin10bottom unresponsive-label" data-inverted="" data-tooltip="' . $tootltip_content . '" data-position="' . $tooltip_position . '">
					<div class="ui circular red label">' . __( 'Unresponsive', 'wpjobster' ) . '</div>
				</div>
			' . $rating;
		}

	}

	return $rating;
}
