function openForgotModal(e){

	var $ = jQuery;

	e.preventDefault();

	var data = {
		action: 'load_template',
		template: 'forgot-form',
		referer: 'forgot_form',
		security:  $('#ajax-login-register-forgot-dialog').attr('data-security')
	};

	$('.ui.modal.forgot')
		.modal( 'setting', 'transition', 'fly down' )
		.modal( 'show' )
		.modal('refresh');

	jQuery.ajax({
		type: 'post',
		url : _ajax_login_settings.ajaxurl,
		data: data,

		beforeSend: function() {
			$( '.login-input-wrappers' ).addClass( 'loading' );
		},

		success: function( data ) {
			$( '.content-forgot-form' ).html( data );
			$('.ui.modal.forgot').modal('refresh');

			// zm modal semantic ui
			$('.ui.dropdown').dropdown();
			$(".content-forgot-form form p label").contents().filter(function(){
				if ( this.type == 'checkbox' ) {
					$(this).parent().addClass('ui checkbox');
				}
				return (this.nodeType === 3);
			}).wrap( '<span class="box"></span>' );
		},

		error: function( response ) {
			console.log( 'oops' );
		},

		complete: function() {
			$( '.login-input-wrappers' ).removeClass( 'loading' );
		}
	});
	return false;
}

jQuery( document ).ready(function( $ ){

	$(document).on('click', '.forgot-password-handle', function(e){
		openForgotModal(e);
	});

	/**
	 * Confirms that two input fields match
	 */
	$( document ).on('keyup', '.user_email', function(){
		$form = $(this).parents('form');

		if ( $(this).val() == '' ){
			$( '.forgot_button', $form ).attr('disabled',true);
			$( '.forgot_button', $form ).animate({ opacity: 0.5 });
		} else {
			$( '.forgot_button', $form ).removeAttr('disabled');
			$( '.forgot_button', $form ).animate({ opacity: 1 });
		}
	 });

	/**
	 * Our form is loaded via AJAX, so we need to attach our event to the document.
	 * When the form is submitted process the AJAX request.
	 */
	$( document ).on('submit', '.forgot_form', function( event ){
		event.preventDefault();
		var $this = $(this);
		$.ajax({
			data: "action=forgot_submit&" + $this.serialize(),
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function( msg ){

				ajax_login_register_show_message( $this, msg );
			}
		});
	});

	$(document).on('click', '.already-registered-handle', function(event){
		openLoginModal(event);
	});

});

function openLoginModal(e){

	var $ = jQuery;

	e.preventDefault();

	var data = {
		action: 'load_template',
		template: 'login-form',
		referer: 'login_form',
		security: $('#ajax-login-register-login-dialog').attr('data-security')
	};

	$('.ui.modal.login')
		.modal({
			onVisible: function(){
				$.fn.wpjResizeReCaptcha();
			}
		})
		.modal( 'setting', 'transition', 'fly down' )
		.modal( 'show' )
		.modal('refresh');

	jQuery.ajax({
		type: 'post',
		url : _ajax_login_settings.ajaxurl,
		data: data,

		beforeSend: function() {
			$( '.login-input-wrappers' ).addClass( 'loading' );
		},

		success: function( data ) {
			$( '.content-login-form' ).html( data );
			$('.ui.modal.login').modal('refresh');

			// zm modal semantic ui
			$('.ui.dropdown').dropdown();
			$(".content-login-form form p label").contents().filter(function(){
				if ( this.type == 'checkbox' ) {
					$(this).parent().addClass('ui checkbox');
				}
				return (this.nodeType === 3);
			}).wrap( '<span class="box"></span>' );

			$.fn.wpjResizeReCaptcha();
		},

		error: function( response ) {
			console.log( 'oops' );
		},

		complete: function() {
			$( '.login-input-wrappers' ).removeClass( 'loading' );
		}
	});
	return false;
}

jQuery( document ).ready(function( $ ){

	$(document).on('click', '.login-link', function(e){
		openLoginModal(e);
	});

	/**
	 * We hook into the form submission and submit it via ajax.
	 * the action maps to our php function, which is added as
	 * an action, and we serialize the entire content of the form.
	 */
	$( document ).on('submit', '.login_form', function( event ){
		event.preventDefault();
		var $this = $(this);
		$.ajax({
			data: "action=login_submit&" + $this.serialize(),
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function( msg ){
				ajax_login_register_show_message( $this, msg );
			}
		});
	});


	/**
	 * Our element we are attaching the 'click' event to is loaded via ajax.
	 */
	$( document ).on( 'click', '.fb-login', function( event ){
		event.preventDefault();
		var $form_obj = $(this).parents('form');

		/**
		 * Doc code from FB, shows fb pop-up box
		 *
		 * @url https://developers.facebook.com/docs/reference/javascript/FB.login/
		 */
		 // Better to check via?
		 // FB.api('/me/permissions', function( response ){});

		 // Since WordPress requires the email we cannot continue if they
		 // do not provide their email address
		FB.login( function( response ) {
			/**
			 * If we get a successful authorization response we handle it
			 * note the "scope" parameter.
			 */
			if ( response.authResponse.grantedScopes == "public_profile,email,contact_email" ){

				/**
				 * "me" refers to the current FB user, console.log( response )
				 * for a full list.
				 */
				FB.api('/me', function(response) {
					var fb_response = response;

					/**
					 * Make an Ajax request to the "facebook_login" function
					 * passing the params: username, fb_id and email.
					 *
					 * @note Not all users have user names, but all have email
					 * @note Must set global to false to prevent gloabl ajax methods
					 */
					$.ajax({
						data: {
							action: "facebook_login",
							fb_response: fb_response,
							security: $('#facebook_security').val()
						},
						global: false,
						type: "POST",
						url: _ajax_login_settings.ajaxurl,
						success: function( msg ){
							ajax_login_register_show_message( $form_obj, msg );
						}
					});
				});
			} else {
				console.log('User canceled login or did not fully authorize.');
			}
		},{
			/**
			 * See the following for full list:
			 * @url https://developers.facebook.com/docs/authentication/permissions/
			 */
			scope: 'email',
			return_scopes: true
		});
	});

	/**
	 * Open the dialog box based on the handle, send the AJAX request.
	 */
	if ( _ajax_login_settings.login_handle.length ){

		if ( _ajax_login_settings.is_user_logged_in == 1 ){

			$this = $( _ajax_login_settings.login_handle ).children('a');

			$this.html( _ajax_login_settings.logout_text );
			$this.attr( 'href', _ajax_login_settings.wp_logout_url );

		}
	}

	$( document ).on('click', '.not-a-member-handle', function( event ){
		openRegisterModal(event);
	});

	$( document ).on('click', '.forgot-password-handle', function( event ){
		openForgotModal(event);
	});
});

function openRegisterModal(e, user_type, label){

	var $ = jQuery;

	e.preventDefault();

	var data = {
		action: 'load_template',
		template: 'register-form',
		referer: 'register_form',
		security:  $('#ajax-login-register-dialog').attr('data-security')
	};

	$('.ui.modal.register')
		.modal({
			onVisible: function(){
				$.fn.wpjResizeReCaptcha();
			}
		})
		.modal( 'setting', 'transition', 'fly down' )
		.modal( 'show' )
		.modal('refresh');

	jQuery.ajax({
		type: 'post',
		url : _ajax_login_settings.ajaxurl,
		data: data,

		beforeSend: function() {
			$( '.login-input-wrappers' ).addClass( 'loading' );
		},

		success: function( data ) {
			$( '.content-register-form' ).html( data );
			$('.ui.modal.register').modal('refresh');

			// zm modal semantic ui
			$('.ui.dropdown').dropdown();
			$(".content-register-form form p label").contents().filter(function(){
				if ( this.type == 'checkbox' ) {
					$(this).parent().addClass('ui checkbox');
				}
				return (this.nodeType === 3);
			}).wrap( '<span class="box"></span>' );

			if ( user_type ) {
				if ( label ) {
					$( '.header.modal-login' ).text( label );
				}
				$( '.register-segregate' ).dropdown( 'set selected', user_type );
				$( '.register-segregate' ).dropdown( 'set value', user_type );
				$( '.ui.dropdown.register-segregate' ).addClass( 'disabled' );
			}

			$.fn.wpjResizeReCaptcha();

			// International Phone
			var default_country = $(".cell_number").attr('data-default-country');
			if(default_country)
				default_country = default_country.toLowerCase();
			else
				default_country='us';

			var only_countries = $( ".cell_number" ).attr( 'data-only-countries' );
			if ( only_countries ) {
				only_countries = only_countries.toLowerCase().split(',');
				// prevent undefined errors
				if ( jQuery.inArray( default_country, only_countries ) === -1 ) {
					default_country = '';
				}
			} else {
				only_countries = [];
			}

			jQuery(".cell_number").intlTelInput({
				nationalMode: false,
				initialCountry: default_country,
				onlyCountries : only_countries
			});

		},

		error: function( response ) {
			console.log( 'oops' );
		},

		complete: function() {
			$( '.login-input-wrappers' ).removeClass( 'loading' );
		}
	});
	return false;
}

jQuery( document ).ready(function( $ ){

	$(document).on('click', '.register-link', function(e){
		openRegisterModal(e);
	});


	/**
	 * Confirms that two input fields match
	 */
	$( document ).on('keyup', '.user_confirm_password', function(){
		$form = $(this).parents('form');

		if ( $(this).val() == '' ){
			$( '.register_button', $form ).attr('disabled',true);
			$( '.register_button', $form ).animate({ opacity: 0.5 });
		} else {
			$( '.register_button', $form ).removeAttr('disabled');
			$( '.register_button', $form ).animate({ opacity: 1 });
		}
	 });


	/**
	 * Our form is loaded via AJAX, so we need to attach our event to the document.
	 * When the form is submitted process the AJAX request.
	 */
	$( document ).on('submit', '.register_form', function( event ){
		event.preventDefault();

		var values = {};
		$.each($(".register_form").serializeArray(), function (i, field) {
			values[field.name] = field.value;
		});

		//Value Retrieval Function
		var getValue = function (valueName) {
			return values[valueName];
		};

		//Retrieve the Values
		var password = getValue("password");
		var confirm_password = getValue("confirm_password");

		passwords_match = zMAjaxLoginRegister.confirm_password('.user_confirm_password', password, confirm_password);

		if ( passwords_match.code == 'error' ){
			ajax_login_register_show_message( $(this), msg );
		} else {
				jQuery(".register_button.green").attr('disabled','disabled');
				jQuery(".register_button.green").val('');
				jQuery(".register_button.green").addClass('loading');

			$.ajax({
				data: "action=register_submit&" + $( this ).serialize(),
				dataType: 'json',
				type: "POST",
				url: _ajax_login_settings.ajaxurl,
				success: function( msg ) {
					if( msg.code == 'success_registration'){
						ajax_login_register_show_message( $(this), msg );
					}else{
						jQuery(".register_button.green").val('Register');
						jQuery(".register_button.green").removeClass('loading');
						jQuery(".register_button.green").removeAttr('disabled');
						ajax_login_register_show_message( $(this), msg );
					}
				}
			});
		}
	});

	$(document).on('click', '.already-registered-handle', function(event){
		openLoginModal(event);
	});

});

var zMAjaxLoginRegister = {

	reload: function( my_obj ){
		if ( my_obj.hasClass('login_form') &&  typeof _ajax_login_settings.redirect.login !== 'undefined' ){
			location.href = _ajax_login_settings.redirect.login.url;
		} else if ( my_obj.hasClass('register_form') && typeof _ajax_login_settings.redirect.registration !== 'undefined' ){
			location.href = _ajax_login_settings.redirect.registration.url;
		} else if ( my_obj.hasClass('forgot_form') && typeof _ajax_login_settings.redirect.forgot !== 'undefined' ){
			location.href = _ajax_login_settings.redirect.forgot.url;
		} else {
			location.href = _ajax_login_settings.redirect;
		}
	},

	// Confirm passwords match
	confirm_password: function( my_obj, pass1, pass2 ){

		if( pass1 != null && pass2 != null ){
			value = pass2;
			match_value = pass1;
		}else{
			$obj = jQuery( my_obj );
			value = $obj.val().trim();

			if ( value == '' ) return;

			$form = $obj.parents('form');

			match_value = jQuery('.user_password', $form).val();
		}

		if ( value == match_value ) {
			msg = {
				"cssClass": "noon",
				"description": null,
				"code": "success"
			};
		} else {
			msg = {
				"cssClass": "error-container",
				"description": _ajax_login_settings.match_error,
				"code": "error"
			};
		}

		return msg;
	}

};


jQuery( document ).ready(function( $ ){

	window.ajax_login_register_show_message = function( form_obj, msg ) {

		if( msg.code == 'success') {
			jQuery('.ajax-login-register-status-container').hide();
		}
		if ( msg.code == 'error' ) {
			$( '.g-recaptcha-class iframe' ).attr( 'src', function ( i, val ) { return val; });

			jQuery('.ajax-login-register-status-container').show();

			jQuery('.ajax-login-register-msg-target').addClass( msg.cssClass );
			jQuery('.ajax-login-register-msg-target').fadeIn().html( msg.description );
			return false;
		}
		if ( msg.code == 'success_login' || msg.code == 'success_registration' ){
			jQuery('.ajax-login-register-msg-target', form_obj).addClass( msg.cssClass );
			jQuery('.ajax-login-register-msg-target', form_obj).fadeIn().html( msg.description );
			if(msg.redirect != "" && typeof msg.redirect != "undefined"){ window.location = msg.redirect; return;}
			zMAjaxLoginRegister.reload( form_obj );

		} else if ( msg.code == 'success_reset' ){
			jQuery('.ajax-login-register-msg-target', form_obj).addClass( msg.cssClass );
			jQuery('.ajax-login-register-msg-target', form_obj).fadeIn().html( msg.description );
			jQuery('.ajax-login-register-status-container').show();

		} else if ( msg.description == '' ){
			zMAjaxLoginRegister.reload( form_obj );

		} else {
			if ( msg.cssClass == 'noon' ){
				jQuery('.ajax-login-register-status-container').hide();

			} else {
				jQuery('.ajax-login-register-status-container').show();

			}

			jQuery('.ajax-login-register-msg-target', form_obj).addClass( msg.cssClass );
			jQuery('.ajax-login-register-msg-target', form_obj).fadeIn().html( msg.description );
		}
	};

	/**
	 * Server side email validation.
	 */
	window.ajax_login_register_validate_email = function( myObj ){
		$this = myObj;

		if ( $.trim( $this.val() ) == '' ) return;

		$form = $this.parents('form');

		$.ajax({
			data: "action=validate_email&email=" + $this.val(),
			dataType: 'json',
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function( msg ){
				ajax_login_register_show_message( $form, msg );
			}
		});
	}

	/**
	 * Validate email
	 */
	$( document ).on('blur', '.ajax-login-register-validate-email', function(){
		ajax_login_register_validate_email( $(this) );
	});

	/**
	 * Server side email exists validation.
	 */
	window.ajax_login_register_validate_email_exists = function( myObj ){
		$this = myObj;

		if ( $.trim( $this.val() ) == '' ) return;

		$form = $this.parents('form');

		$.ajax({
			data: "action=validate_email_exists&email=" + $this.val(),
			dataType: 'json',
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function( msg ){
				ajax_login_register_show_message( $form, msg );
			}
		});
	}

	/**
	 * Validate email exists
	 */
	$( document ).on('blur', '.ajax-login-register-validate-email-exists', function(){
		ajax_login_register_validate_email_exists( $(this) );
	});

	/**
	 * Server side phone empty validation.
	 */
	window.ajax_login_register_validate_phone_number = function( myObj ){
		$this = myObj;
		$form = $this.parents('form');
		$.ajax({
				data: "action=validate_phone_number&cell_number=" + $this.val(),
				dataType: 'json',
				type: "POST",
				url: _ajax_login_settings.ajaxurl,
				success: function( msg ){
					ajax_login_register_show_message( $form, msg );
				}
		});
		if (typeof msg !== 'undefined') {
			if(msg.code=='error') {
				return false;
			}
		}
	}

	/**
	 * Server side user type empty validation.
	 */
	window.ajax_login_register_validate_user_type = function(myObj){

		$this = myObj;

		$form = $this.parents('form');
		$.ajax({
		data: "action=validate_user_type&wpjobster_user_type=" + $this.val(),
			dataType: 'json',
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function(msg){
				ajax_login_register_show_message($form, msg);
			}
		});

	}

	/**
	 * Server side phone validation.
	 */
	window.cell_number = function( myObj ){
		$this = myObj;

		if ( $.trim( $this.val() ) == '' ) return;

		$form = $this.parents('form');
		$.ajax({
			data: "action=validate_phone_exists&cell_number=" + $this.val(),
			dataType: 'json',
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function( msg ){
				ajax_login_register_show_message( $form, msg );
			}
		});
	}

	/**
	 * Validate phone exists
	 */
	$( document ).on('blur', '.cell_number', function(){
		cell_number( $(this) );
	});

	/**
	 * Validate captcha
	 */
	window.ajax_login_register_validate_captcha = function( myObj ){
		$this = myObj;

		if ( $.trim( $this.val() ) == '' ) return;

		$form = $this.parents('form');

		$.ajax({
				data: "action=validate_reCaptcha&g-recaptcha-response=" + $this.val(),
				dataType: 'json',
				type: "POST",
				url: _ajax_login_settings.ajaxurl,
				success: function( msg ){
					ajax_login_register_show_message( $form, msg );
				}
		});
		if (typeof msg !== 'undefined') {
			if(msg.code=='error') {
				return false;
			}
		}
	}

	/**
	 * Check that username is valid
	 */
	window.ajax_login_register_validate_username = function( myObj ){
		$this = myObj;

		if ( $.trim( $this.val() ) == '' ) return;

		$form = $this.parents('form');

		$.ajax({
			data: "action=validate_username&login=" + $this.val(),
			dataType: 'json',
			type: "POST",
			url: _ajax_login_settings.ajaxurl,
			success: function( msg ){
				ajax_login_register_show_message( $form, msg );
			}
		});
		if (typeof msg !== 'undefined') {
			if(msg.code=='error') {
				return false;
			}
		}
	}

	/**
	 * Validate username
	 */
	$( document ).on('blur', '.user_login', function(){
		ajax_login_register_validate_username( $(this) );
	});

	$( document ).on('click', '.register_button', function(){
		ajax_login_register_validate_username( $("#login") );
		ajax_login_register_validate_captcha( $( "#captcha_response" ) );
		ajax_login_register_validate_phone_number( $("#cell_number") );
		ajax_login_register_validate_user_type( $("#wpjobster_user_type") );
	});

});
