<?php
/**
 * This is the template for our register form. It should contain as less logic as possible
 */

?>

<style>
	.intl-tel-input {
		display: block
	}
</style>

<!-- Register Modal -->
<?php if ( get_option('users_can_register') ) : ?>
	<div class="ajax-login-register-register-container">
		<?php if ( is_user_logged_in() ) : ?>
			<p><?php printf('%s <a href="%s" title="%s">%s</a>', __('You are already registered','wpjobster'), wp_logout_url( site_url() ), __('Logout', 'wpjobster'), __('Logout', 'wpjobster') ); ?></p>
		<?php else : ?>
			<div class="header modal-login">
				<?php _e('Register','wpjobster'); ?>
			</div>
			<form action="javascript://" name="registerform" class="ui form ajax-login-default-form-container register_form <?php print get_option('ajax_login_register_default_style'); ?>">

				<div class="form-wrapper register">
					<?php
					wp_nonce_field( 'facebook-nonce', 'facebook_security' );
					wp_nonce_field( 'register_submit', 'security' );
					?>
					<div class="ajax-login-register-status-container">
						<div class="ajax-login-register-msg-target"></div>
					</div>
					<div class="field"><input type="text" required name="login" id="login" placeholder="<?php _e('Username', 'wpjobster'); ?>" class="user_login" autofocus /></div>
					<div class="field"><input type="text" required name="email" class="user_email ajax-login-register-validate-email" placeholder="<?php _e('Email', 'wpjobster'); ?>" /></div>

					<?php do_action( 'register_form' ); ?>

					<div class="field"><?php wpj_recaptcha_form( 'zm_register' ); ?></div>

					<div class="button-container">
						<button class="ui fluid button register_button green" type="submit" name="register" disabled>
							<?php _e('Register','wpjobster'); ?>
						</button>
					</div>

					<div class="divider">
						<span><?php _e("or", 'wpjobster'); ?></span>
					</div>

					<?php do_action( 'wordpress_social_login' );

					$buttons_list = array(
						'login' => array(
							'label'   => apply_filters( 'ajax_login_register_already_registered_text', __( 'Already registered?', 'wpjobster' ) ),
							'url'     => '#',
							'a_class' => 'already-registered-handle',
						),
					);

					$buttons_list = apply_filters( 'wpj_header_button_filter', $buttons_list ); ?>

					<div class="field"><a href="<?php echo $buttons_list['login']['url']; ?>" class="<?php echo $buttons_list['login']['a_class']; ?>"><?php echo $buttons_list['login']['label']; ?></a></div>
				</div>
			</form>
		<?php endif; ?>
	</div>
<?php else : ?>
	<p><?php _e('Registration is currently closed.','wpjobster'); ?></p>
<?php endif; ?>
<!-- End 'modal' -->
