<?php
function show_html_email_settings() {
	global $cl_es;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Email Settings', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'Email Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#preferred-languages"><?php _e( 'Preferred Languages', 'wpjobster' ); ?></a></li>
				<li><a href="#email-notifications"><?php _e( 'Email Notifications', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- Email Settings -->
			<div id="tabs1"><?php $cl_es->save_email_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=email-settings&active_tab=tabs1">
					<table width="100%" class="wpj-admin-table">
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e( 'Email From Name:', 'wpjobster' ); ?></td>
							<td><input type="text" size="45" name="wpjobster_email_name_from" value="<?php echo stripslashes( get_option( 'wpjobster_email_name_from' ) ); ?>"/></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e( 'Sender Email Address:', 'wpjobster' ); ?></td>
							<td><input type="email" size="45" name="wpjobster_email_addr_from" value="<?php echo apply_filters( 'wpj_sensitive_info_email', stripslashes( get_option( 'wpjobster_email_addr_from' ) ) ); ?>"/></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e( 'Allow HTML in emails:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_allow_html_emails' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e( 'Verify Email:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_verify_email', 'yes' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e( 'Lock to MyAccount until e-mail verified:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_lock_verify_email_address', 'no' ); ?></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_email_settings" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END email-settings TAB -->

			<!-- Preferred Languages -->
			<div id="preferred-languages"><?php $cl_es->save_preferred_languages(); ?>
				<form method="post" action="<?php echo get_bloginfo( 'url' ); ?>/wp-admin/admin.php?page=email-settings&active_tab=preferred-languages">
					<table width="100%" class="wpj-admin-table">
						<?php for ( $i = 1; $i <= 10; $i++ ) {
							$language_x = 'wpjobster_language_' . $i; ?>
							<tr>
								<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
								<td ><?php _e( 'Preferred language:','wpjobster' ); ?> <?php echo $i; ?></td>
								<td><?php echo wpjobster_get_option_drop_down( get_all_languages(), $language_x ); ?></td>
							</tr>
						<?php } ?>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_preferred_languages" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END preferred-languages TAB -->

			<!-- Email Notifications -->
			<div id="email-notifications" class="cf" style="display: flex;"><?php $cl_es->save_email_notifications(); ?>
				<div class="ui vertical accordion text menu acc-nav">
					<?php $email_categories = notifications_array(); $i = 0;
					foreach ( $email_categories as $email_category ) {
						$j = 0; ?>

						<div class="title <?php if ( array_key_exists( WPJ_Form::get( 'active_subtab', '' ), $email_category['items'] ) || ( ! WPJ_Form::get( 'active_subtab', '' ) && $i == 0 ) ) { echo "active"; } ?>">
							<i class="dropdown icon"></i>
							<b><?php echo $email_category["title"]; ?></b>
						</div>

						<div class="content menu <?php if ( array_key_exists( WPJ_Form::get( 'active_subtab', '' ), $email_category['items'] ) || ( ! WPJ_Form::get( 'active_subtab', '' ) && $i == 0 ) ) { echo "active"; } ?>">
							<?php foreach ( $email_category["items"] as $item_index => $item ) { ?>
								<a class="item <?php if ( ( WPJ_Form::get( 'active_subtab', '' ) == $item_index ) || ( ! WPJ_Form::get( 'active_subtab', '' ) && $i == 0 && $j == 0 ) ) { echo "active"; } ?>" href="#" data-item="uz_tabs_email_<?php echo $item_index; ?>"><?php echo $item["title"] ?></a>
								<?php $j++;
							} ?>
						</div>

						<?php $i++;
					} ?>
				</div>

				<div class="acc-cnt">
					<?php $i = 0;
					foreach ( $email_categories as $email_category ) { $j = 0;
						foreach ( $email_category["items"] as $reason => $item ) {
							$reason_name = $item["title"];
							$reason_desc = $item["description"]; ?>

							<div id="<?php echo 'uz_tabs_email_' . $reason; ?>" class="hidden-tab <?php if ( ( WPJ_Form::get( 'active_subtab', '' ) == $reason ) || ( ! WPJ_Form::get( 'active_subtab', '' ) && $i == 0 && $j == 0 ) ) { echo "active"; } ?>">

								<div class="spntxt_bo"><?php echo $reason_desc; ?></div>

								<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=email-settings&active_tab=email-notifications&active_subtab=<?php echo $reason; ?>">
									<table width="100%" class="wpj-admin-table">
										<tr>
											<td><?php _e( 'Enable this email:', 'wpjobster' ); ?><br>
												<?php echo wpjobster_get_option_drop_down( $arr, 'uz_email_' . $reason . '_enable' ); ?>
											</td>
										</tr>

										<?php $languages = get_preferred_languages();
										foreach ( $languages as $lang => $lang_name ) { ?>
											<tr>
												<td><?php _e( 'Email Subject:', 'wpjobster' ); ?><?php echo ' (' . $lang_name . ')'; ?><br>
													<input type="text" size="90" name="<?php echo 'uz_email_' . $reason . '_' . $lang . '_subject'; ?>" value="<?php echo stripslashes( get_option( 'uz_email_' . $reason . '_' . $lang . '_subject' ) ); ?>"/>
												</td>
											</tr>
											<tr>
												<td valign="top" ><?php _e( 'Email Content:', 'wpjobster' ); ?><?php echo ' (' . $lang_name . ')'; ?><br>

													<textarea cols="90" rows="10" class="<?php echo 'uz_email_' . $reason . '_' . $lang . '_message'; ?>" name="<?php echo 'uz_email_' . $reason . '_' . $lang . '_message'; ?>"><?php echo stripslashes( get_option( 'uz_email_' . $reason . '_' . $lang . '_message' ) ); ?></textarea>
												</td>
											</tr>
										<?php } ?>

										<tr>
											<td>
												<div class="spntxt_bo2"><?php wpj_display_admin_email_sms_legend(); ?></div>
											</td>
										</tr>

										<tr>
											<td><input type="submit" class="button-secondary" name="<?php echo 'uz_save_email_' . $reason; ?>" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
										</tr>
									</table>
								</form>
							</div>
						<?php $i++; }
					$j++; } ?>
				</div>
			</div><!-- END email-notifications TAB -->
		</div><!-- END usual -->
	</div><!-- END wrap -->
<?php }
