<?php
function show_html_general_settings() {
	global $cl_gs;

	$arr          = array( 'yes' => __( 'Yes', 'wpjobster' ), 'no'  => __( 'No', 'wpjobster' ) );
	$arr_no_first = array( 'no'  => __( 'No', 'wpjobster' ),  'yes' => __( 'Yes','wpjobster' ) );
	$display_cond_arr = array(
		'always'    => __( 'Always', 'wpjobster' ),
		'ifchecked' => __( 'If User Checked Let\'s Meet', 'wpjobster' ),
		'never'     => __( 'Never', 'wpjobster' )
	);
	$arr_display_name = array(
		'username'        => __( 'Username', 'wpjobster' ),
		'first_name'      => __( 'First name', 'wpjobster' ),
		'last_name'       => __( 'Last name', 'wpjobster' ),
		'display_name'    => __( 'Display name', 'wpjobster' ),
		'first_last_name' => __( 'First Last name', 'wpjobster' ),
		'last_first_name' => __( 'Last First name', 'wpjobster' )
	);
	$arr_job_description = array(
		'simple'  => __( 'Simple', 'wpjobster' ),
		'wysiwyg' => __( 'WYSIWYG', 'wpjobster' ),
		'tinymce' => __( 'TinyMCE', 'wpjobster' ),
	);
	$pages         = new WP_Query( array( "post_type" => "page", "posts_per_page" => -1 ) );
	$arr_pages[''] = __( 'Default', 'wpjobster' );

	while( $pages->have_posts() ) {
		$pages->the_post();
		$arr_pages[get_the_ID()] = get_the_title();
	}

	$php_post_max_size  = ini_get( 'post_max_size' );
	$post_max_size      = floatval( preg_replace( '/[^0-9]/', '', $php_post_max_size ) );
	$post_max_size_unit = strtolower( preg_replace( '/[^a-zA-Z]/', '', $php_post_max_size ) );

	if ( $post_max_size_unit != 'm' || $post_max_size_unit != 'mb' ) {
		if ( $post_max_size_unit == 'k' || $post_max_size_unit == 'kb' ) {
			$post_max_size = $post_max_size * 0.001;
		} elseif ( $post_max_size_unit == 'g' || $post_max_size_unit == 'gb' ) {
			$post_max_size = $post_max_size * 1000;
		}
	}

	$intervals = array( 'minutes', 'hours', 'days', 'weeks', 'months', 'years' );

	$post_slug_type_arr = array( 'subcategory' => __( 'Category', 'wpjobster' ), 'author' => __( 'Author\'s username', 'wpjobster' ) );

	$tabs = array(
		'#main-settings'     => __( 'Main Settings', 'wpjobster' ),
		'#job-settings'      => __( 'Job Settings', 'wpjobster' ),
		'#requests-settings' => __( 'Request Settings', 'wpjobster' ),
		'#user-settings'     => __( 'User Settings', 'wpjobster' ),
		'#search-settings'   => __( 'Search Settings', 'wpjobster' ),
		'#character-limits'  => __( 'Character Limits', 'wpjobster' ),
		'#filters'           => __( 'Filters', 'wpjobster' ),
		'#page-assignments'  => __( 'Page assignments', 'wpjobster' ),
		'#permalinks'        => __( 'Permalinks', 'wpjobster' )
	);
	$tabs = apply_filters( 'admin_general_options_tabs_list_filter', $tabs ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'General Settings', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<?php foreach ( $tabs as $anchor => $tab ) { ?>
					<li><a href="<?php echo $anchor; ?>"><?php echo $tab; ?></a></li>
				<?php }

				do_action( 'wpjobster_general_options_tabs' ); ?>
			</ul>

			<!-- // Main Settings // -->
			<div id="main-settings"><?php $cl_gs->save_main_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=general-options">
					<table width="100%" class="wpj-admin-table">

						<!-- license -->
						<tr>
							<td></td>
							<td><h2><?php _e("License", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e('Theme License Key:','wpjobster'); ?></td>
							<td>Activated</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e('Theme License Status:','wpjobster'); ?></td>
							<td>Activated</td>
							</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e('Theme License Type:','wpjobster'); ?></td>
							<td><?php echo wpjobster_return_license_name(); ?><?php if (the_loop_check() && the_loop_check() < 3) { ?> - <a href="https://wpjobster.com/account/" target="_blank">Upgrade?</a><?php } elseif (the_loop_check() < 3) { ?> - <a href="https://wpjobster.com/buy/" target="_blank">Upgrade?</a><?php } ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e('Theme Version:','wpjobster'); ?></td>
							<td><?php echo wpjobster_VERSION; ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e('Release Date:','wpjobster'); ?></td>
							<td><?php echo wpjobster_RELEASE; ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Enabling this option will opt you in to receive pre-release update notifications. You can opt-out at any time. Pre-release updates do not install automatically, you will still have the opportunity to ignore update notifications.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Beta Versions:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_beta_versions', 'no' ); echo ' '; _e( 'Recommended only for development installations. Won\'t install automatically.', 'wpjobster' ); ?></td>
						</tr>

						<!-- display -->
						<tr>
							<td></td>
							<td><h2><?php _e("Display", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<?php $jobs_order_arr              = array("new" => __("Newest First",'wpjobster'), "old" => __("Oldest First",'wpjobster'), "rand" =>  __("Random",'wpjobster')); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'This is the automatic sort type, when the page has no sort type (like homepage) or nothing is selected by the user.', 'wpjobster' ) ); ?></td>
							<td><?php _e('Jobs Order:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($jobs_order_arr, 'wpjobster_jobs_order'); ?></td>
						</tr>
						<tr>
							<?php $jobs_sort_default_arr = array(
								'auto'     => __( 'Auto', 'wpjobster' ),
								'rating'   => __( 'Rating', 'wpjobster' ),
								'distance' => __( 'Distance', 'wpjobster' ),
								'new'      => __( 'Newest', 'wpjobster' ),
								'old'      => __( 'Oldest', 'wpjobster' ),
							); ?>
							<td valign="top" width="22">
								<?php wpjobster_theme_bullet( __( 'Here you can choose which sort type to be selected by default for pages where the user can choose (like category or search).', 'wpjobster' ) ); ?>
							</td>
							<td>
								<?php _e( 'Default Sort By:', 'wpjobster' ); ?>
							</td>
							<td>
								<?php echo wpjobster_get_option_drop_down( $jobs_sort_default_arr, 'wpjobster_default_sort_by' ); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e('Enable Auto-Load Posts:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_auto-load'); ?></td>
						</tr>
						<tr>
							<?php $direction_clock_arr = array( 'ltr' => __( 'LTR', 'wpjobster' ), 'rtl' => __( 'RTL', 'wpjobster' ) ); ?>

							<td valign="top" width="22"><?php wpjobster_theme_bullet( 'Inverts the countdown timer direction on the transaction page. Only applies to RTL languages.', 'wpjobster' ); ?></td>
							<td width="240"><?php _e( 'Transaction Clock Direction:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $direction_clock_arr, 'wpjobster_set_time_direction' ); ?></td>
						</tr>

						<!-- job & transaction flow -->
						<tr>
							<td></td>
							<td><h2><?php _e("Job & Transaction Flow", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e('Admin approves each job:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_admin_approve_job'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e('Admin approves each request:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_admin_approve_request'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Auto-mark job as completed after:', 'wpjobster');?></td>
							<td><input type="text" size="6" name="wpjobster_max_time_to_wait" value="<?php echo get_option('wpjobster_max_time_to_wait'); ?>"/> <?php _e("hours", "wpjobster");?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("The number of days that need to pass until the seller is credited with the money for the job he completed", "wpjobster"));?></td>
							<td><?php _e('Clearing Period:', 'wpjobster');?></td>
							<td><input type="text" size="6" name="wpjobster_clearing_period" value="<?php echo get_option('wpjobster_clearing_period'); ?>"/> <?php _e("days", "wpjobster");?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("Limit how many times users can request cancellation for a particular transaction", "wpjobster"));?></td>
							<td><?php _e('Maximum number of cancellations:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_number_of_cancellations" value="<?php echo get_option('wpjobster_number_of_cancellations'); ?>"/></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Maximum number of modifications:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_number_of_modifications" value="<?php echo get_option('wpjobster_number_of_modifications'); ?>"/></td>
						</tr>
						<tr>
							<td valign="top" width="22">
								<?php wpjobster_theme_bullet( __( "How many days should the buyer be able to try again the payment for a pending payment job transaction?", "wpjobster" ) ); ?>
							</td>
							<td width="240">
								<?php _e( 'Auto-close pending payment after:', 'wpjobster' ); ?>
							</td>
							<td>
								<?php $pending_days_arr = range(0,60);
								echo wpjobster_get_option_drop_down( $pending_days_arr, 'wpjobster_pending_jobs_days', '7' ); ?> days
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable message attachments:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_message_attachments_enable', 'yes'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Max message attachments file size:','wpjobster'); ?></td>
							<td>
								<input type="number" name="wpjobster_max_message_attachments_upload_size" value="<?php echo get_option( 'wpjobster_max_message_attachments_upload_size' ); ?>" style="width: 100px;" />

								<?php echo sprintf( __( 'MB, max allowed value is %sMB', 'wpjobster' ), $post_max_size, 0 ); ?>
							</td>
						</tr>

						<?php do_action( 'wpj_after_transaction_flow_admin_menu' ); ?>

						<!-- api keys -->
						<tr>
							<td></td>
							<td><h2><?php _e("API Keys", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("If you don't have one, please visit openexchangerates.org and sign up for any of the plans. The smallest plan is good enough as long as it offers at least 100 API Requests per month.", "wpjobster")); ?></td>
							<td><?php _e("OpenExchange App ID:", "wpjobster"); ?></td>
							<td>
								<input type="text" size="30" name="openexchangerates_appid" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option('openexchangerates_appid') ); ?>" />
								<?php if (get_option('openexchangerates_appid') == '') { ?>
								  &nbsp; <a href="https://openexchangerates.org/signup/free" target="_blank"><?php _e('Sign Up for a free Open Exchange Rates account', 'wpjobster'); ?></a>
								<?php } ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("Needed for the Google Maps on the site. If you don't use job locations/maps or have very few visitors, it is not required.", "wpjobster"));?></td>
							<td><?php _e('Google Places API Key:', 'wpjobster');?></td>
							<td>
								<input type="text" size="30" name="wpjobster_google_maps_api_key" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option('wpjobster_google_maps_api_key') ); ?>"/>
								<?php if (get_option('wpjobster_google_maps_api_key') == '') { ?>
								  &nbsp; <a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank"><?php _e('Register a free API Key here', 'wpjobster'); ?></a>
								<?php } ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( "Needed for the TomTom Search Locations on the site. If you don't use job locations and TomTom as API provider it is not required.", "wpjobster" ) );?></td>
							<td><?php _e( 'TomTom Search API Key:', 'wpjobster' );?></td>
							<td>
								<input type="text" size="30" name="wpjobster_tomtom_search_api_key" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option( 'wpjobster_tomtom_search_api_key' ) ); ?>"/>
								<?php if ( get_option( 'wpjobster_tomtom_search_api_key' ) == '' ) { ?>
								  &nbsp; <a href="https://developer.tomtom.com/search-api" target="_blank"><?php _e( 'Register a free API Key here', 'wpjobster' ); ?></a>
								<?php } ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Needed for the country detection for new users registering on the site. If empty, the country may not be filled automatically by IP.', 'wpjobster')); ?></td>
							<td><?php _e('IPI Info DB Key (Country Detection):','wpjobster'); ?></td>
							<td><input type="text" size="30" name="wpjobster_ip_key_db" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option('wpjobster_ip_key_db') ); ?>"/>
								<?php if (get_option('wpjobster_ip_key_db') == '') { ?>
								  &nbsp; <a href="http://www.ipinfodb.com/register.php" target="_blank"><?php _e('Register a free API Key here', 'wpjobster'); ?></a>
								<?php } ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Needed for the Google reCaptcha login/register.', 'wpjobster')); ?></td>
							<td><?php _e('reCAPTCHA v2 API Key:','wpjobster'); ?></td>
							<td><input type="text" size="30" id="wpjobster_recaptcha_api_key" name="wpjobster_recaptcha_api_key" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option('wpjobster_recaptcha_api_key') ); ?>"/>
								<?php if (get_option('wpjobster_recaptcha_api_key') == '') { ?>
								  &nbsp; <a href="https://www.google.com/recaptcha/admin#list" target="_blank"><?php _e('Register a free API Key here', 'wpjobster'); ?></a>
								<?php } ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Needed for the Google reCaptcha login/register.', 'wpjobster')); ?></td>
							<td><?php _e('reCAPTCHA v2 API Secret:','wpjobster'); ?></td>
							<td><input type="text" size="30" id="wpjobster_recaptcha_api_secret" name="wpjobster_recaptcha_api_secret" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option('wpjobster_recaptcha_api_secret') ); ?>"/>
								<?php if (get_option('wpjobster_recaptcha_api_secret') == '') { ?>
								  &nbsp; <a href="https://www.google.com/recaptcha/admin#list" target="_blank"><?php _e('Register a free API Key here', 'wpjobster'); ?></a>
								<?php } ?>
							</td>
						</tr>

						<!-- features -->
						<tr>
							<td></td>
							<td><h2><?php _e("Features", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Delete credits from site.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable credits:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_credits_enable', 'yes'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('When enabled, the notification icons from the header will update automatically without refreshing the whole page.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable live notifications:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_live_notifications', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e( 'Enable chat:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_chat_enable', 'no' ); ?></td>
						</tr>

						<?php if ( ! wpj_is_allowed( 'custom_offers' ) ) { ?>
							<tr>
								<td colspan="3">
									<?php wpj_disabled_settings_notice( 'custom_offers' ); ?>
								</td>
							</tr>
						<?php } ?>
						<tr class="<?php wpj_disabled_settings_class( 'custom_offers' ); ?>">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e( 'Enable custom offers:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_custom_offers', 'yes' ); ?></td>
						</tr>

						<?php if ( ! wpj_is_allowed( 'custom_extras' ) ) { ?>
							<tr>
								<td colspan="3">
									<?php wpj_disabled_settings_notice( 'custom_extras' ); ?>
								</td>
							</tr>
						<?php } ?>
						<tr class="<?php wpj_disabled_settings_class( 'custom_extras' ); ?>">
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __('', 'wpjobster') );?></td>
							<td><?php _e( 'Enable custom extras:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_no_first, 'wpjobster_enable_custom_extras', 'yes'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __('This will add the possibility for buyers to add tips for sellers.', 'wpjobster') );?></td>
							<td><?php _e( 'Enable tips:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_no_first, 'wpjobster_tips_enabled', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'When enabled, the user will be prompted to allow geolocation detection and location inputs will be prefilled automatically.', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Enable browser location prompt:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_html5_geolocation_enable', 'no' ); ?></td>
						</tr>

						<!-- other -->
						<tr>
							<td></td>
							<td><h2><?php _e("Other", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e( 'Allow comments on blog and news pages:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_allow_comments_on_blog_news_pages', 'no' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Hold down the control key to select multiple pages.', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Allowed pages when locked to my account:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_pages, 'wpjobster_locked_allowed_pages', '', '', true ); ?></td>
						</tr>
						<?php $allowed = get_option( 'wpjobster_allowed_mime_types' ); ?>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('To redirect the user to a custom page after registration.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Allowed Mime-types:','wpjobster'); ?></td>
							<td>
								<input type="text" size="30" name="wpjobster_allowed_mime_types" value="<?php $numItems = count($allowed); $i = 0; if ( $allowed ) { foreach ( $allowed as $val ){ echo trim( $val ); if(++$i !== $numItems) { echo ","; } } } ?>" />
							</td>
						</tr>
						<tr>
							<?php $locations_unit_arr = array("kilometers" => __("kilometers",'wpjobster'), "miles" => __("miles",'wpjobster')); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Locations Radius Unit:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($locations_unit_arr, 'wpjobster_locations_unit', 'kilometers'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Fill this with your average city size in mind.', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e('Locations Radius Default:','wpjobster'); ?></td>
							<td><input type="number" name="wpj_locations_radius_default" value="<?php echo get_option( 'wpj_locations_radius_default', '10' ); ?>" style="width: 100px;" /></td>
						</tr>

						<?php do_action('wpjobster_general_settings_main_details_options'); ?>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_main_settings" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END main-settings -->

			<!-- // Job Settings // -->
			<div id="job-settings"><?php $cl_gs->save_job_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' );?>/wp-admin/admin.php?page=general-options&active_tab=job-settings">
					<table width="100%" class="wpj-admin-table">

						<!-- images -->
						<tr>
							<td></td>
							<td><h2><?php _e("Images", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="260"><?php _e('Mandatory to upload pictures for jobs:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_mandatory_pics_for_jbs'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Max Amount of Pictures:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_default_nr_of_pics" value="<?php echo get_option('wpjobster_default_nr_of_pics'); ?>"/> </td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Max Image upload size:', 'wpjobster');?></td>
							<td>
								<input type="text" size="5" name="wpjobster_max_img_upload_size" value="<?php echo get_option('wpjobster_max_img_upload_size'); ?>"/>

								<?php echo sprintf( __( 'MB, max allowed value is %sMB', 'wpjobster' ), $post_max_size, 0 ); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Min Image upload width:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_min_img_upload_width" value="<?php echo get_option('wpjobster_min_img_upload_width'); ?>"/> <?php _e("px", 'wpjobster')?> </td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Min Image upload height:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_min_img_upload_height" value="<?php echo get_option('wpjobster_min_img_upload_height'); ?>"/> <?php _e("px", 'wpjobster')?> </td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Cover Image for Jobs', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr_no_first, 'wpjobster_enable_job_cover'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Cover Image minimum upload width:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_min_cover_img_upload_width" value="<?php echo get_option('wpjobster_min_cover_img_upload_width'); ?>"/> <?php _e("px", 'wpjobster')?> </td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>

							<td><?php _e('Cover Image minimum upload height:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_min_cover_img_upload_height" value="<?php echo get_option('wpjobster_min_cover_img_upload_height'); ?>"/> <?php _e("px", 'wpjobster')?> </td>
						</tr>
						<tr>
							<?php $image_uploader_arr = array( 'dropzone' => 'DropzoneJS', 'html5fileupload' => 'HTML5 File Upload' ); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __('This may not change all of the image uploaders, but will set higher priority on the selected one.', 'wpjobster') );?></td>
							<td><?php _e( 'Preferred Image Uploader:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $image_uploader_arr, 'wpjobster_preferred_image_uploader', 'dropzone'); ?></td>
						</tr>

						<!-- audio files -->
						<tr>
							<td></td>
							<td><h2><?php _e("Audio Files", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Audio Files:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_audio'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Mandatory to upload audio for jobs:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_mandatory_audio_for_jbs'); ?></td>
						</tr>
						<tr>
							<?php $max_uploads = array("1" => __("1",'wpjobster'), "2" => __("2",'wpjobster'), "3" => __("3",'wpjobster'), "4" => __("4",'wpjobster'), "5" => __("5",'wpjobster')); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Max Audio Files Number:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($max_uploads, 'wpjobster_max_uploads_audio'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Max Audio File Size:', 'wpjobster');?></td>
							<td>
								<input type="text" size="5" name="wpjobster_max_audio_upload_size" value="<?php echo get_option('wpjobster_max_audio_upload_size'); ?>"/>

								<?php echo sprintf( __( 'MB, max allowed value is %sMB', 'wpjobster' ), $post_max_size, 0 ); ?>
							</td>
						</tr>

						<!-- job location -->
						<tr>
							<td></td>
							<td><h2><?php _e("Job Location", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Jobs where the users need to meet in person', 'wpjobster'));?></td>
							<td><?php _e("Enable Let's meet:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_lets_meet', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Locations:', 'wpjobster');?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_location', 'no'); ?>
								<?php echo wpjobster_get_option_drop_down($display_cond_arr, 'wpjobster_location_display_condition', 'always'); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( '', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete API:', 'wpjobster' ); ?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( array(
									'google'  => __( 'Google', 'wpjobster' ),
									'tomtom' => __( 'TomTom', 'wpjobster' )
								), 'wpjobster_location_api_provider', '(cities)' ); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Cities will autocomplete only city names, Regions also includes locality, sublocality, postal code, country and Geocode includes almost everything but not business names.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete Type:', 'wpjobster' ); ?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( array(
									'(cities)'  => __( 'Cities', 'wpjobster' ),
									'(regions)' => __( 'Regions', 'wpjobster' ),
									'geocode'   => __( 'Geocode', 'wpjobster' )
								), 'wpjobster_location_restrict_type', '(cities)' ); ?>
								&nbsp; <a href="https://developers.google.com/places/web-service/autocomplete#place_types" target="_blank"><?php _e( 'Learn more about Google Place Type', 'wpjobster' ); ?></a>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Comma-separated list of ISO country codes to restrict the location autocomplete within. Empty means no restriction.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete Country Restriction:', 'wpjobster' ); ?></td>
							<td>
								<input type="text" size="30" name="wpjobster_location_restrict_country" value="<?php echo get_option( 'wpjobster_location_restrict_country' ); ?>"/>
								&nbsp; <?php _e( 'Example:', 'wpjobster' ); ?> <code>US, AU, CA, DE, FR, ES</code>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Comma-separated list of returned fields. Empty means all.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete Fields:', 'wpjobster' ); ?></td>
							<td>
								<input type="text" size="30" name="wpjobster_location_fields" value="<?php echo get_option( 'wpjobster_location_fields' ); ?>"/>
								&nbsp; <?php _e( 'Example:', 'wpjobster' ); ?> <code>address_component, adr_address, formatted_address, geometry, icon</code>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Seller can type how much he can travel for a job where he needs to meet the buyer.', 'wpjobster'));?></td>
							<td><?php _e("Display Distance Input:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($display_cond_arr, 'wpjobster_distance_display_condition', 'never'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('The map will be displayed on the job page, under the description.', 'wpjobster'));?></td>
							<td><?php _e("Display Location Google Map:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_location_display_map', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Let the user choose whether to display the map or not on his job.', 'wpjobster'));?></td>
							<td><?php _e("Let the User Choose to Hide Map:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_location_display_map_user_choice', 'no'); ?></td>
						</tr>

						<!-- delivery & shipping -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Delivery & Shipping", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __("This enables or disables the delivery options. If disabled, the seller won't be able to choose delivery time or instant, the timer on the transaction page won't show up and the buyer won't be able to force cancel if order not delivered in time.", 'wpjobster') );?></td>
							<td width="240"><?php _e('Enable Delivery Time:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_delivery_time', 'yes' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet('This enables or disables the sidebar in the category and archive pages.');?></td>
							<td width="240"><?php _e('Enable Instant Delivery File:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_instant_deli'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="200"><?php _e('Enable Shipping:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_shipping'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="200"><?php _e('Max delivery days:', 'wpjobster');?></td>
							<td><input type="number" name="wpjobster_job_max_delivery_days" value="<?php echo get_option('wpjobster_job_max_delivery_days'); ?>" style="width: 55px;" /> </td>
						</tr>

						<!-- text -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Text", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e( 'Description editor type:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_job_description, 'wpjobster_job_description_type', 'tinymce' ); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable "Read More" for description:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_view_more_description_enabled', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e( 'Display Buyer Instructions on Job Page:', 'wpjobster' );?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_buyer_instructions_job_enabled', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Choose whether to require or not the terms of service agreement when posting a new job and how to display it.', 'wpjobster'));?></td>
							<td><?php _e('Terms of Service Agreement', 'wpjobster');?>:</td>
								<td>
								<?php
								$arr_terms = array(
								"disabled" => __("Disabled"),
								"link" => __("Checkbox and Link"),
								"show_on_page" => __("Checkbox and Full Content"));
								echo wpjobster_get_option_drop_down($arr_terms, "wpjobster_tos_type", "disabled");?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Link to Terms of Service page if the user should agree when posting a job. If you leave it blank, the Terms of Service Agreement will be treated as disabled.', 'wpjobster'));?></td>
							<td><?php _e('Terms of Service Page Link:', 'wpjobster');?></td>
							<td><input type="text" size="30" name="wpjobster_tos_page_link" value="<?php echo get_option('wpjobster_tos_page_link'); ?>"/> </td>
						</tr>

						<!-- features -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Features", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Allow the buyer to include a sample of the delivered work when posting a review.', 'wpjobster' ) );?></td>
							<td><?php _e( 'Enable Work Samples:', 'wpjobster' ); ?></td>
							<td>

								<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_review_work_samples', 'no' ); ?>

								<div class="js-hide-work-samples-options">
									<?php _e( 'Max Work Samples:', 'wpjobster' ); ?>
									<input type="number" name="wpjobster_max_review_work_samples" value="<?php echo is_numeric( get_option( 'wpjobster_max_review_work_samples' ) ) ? get_option( 'wpjobster_max_review_work_samples' ) : 10; ?>" style="width: 55px; vertical-align: bottom;" />
								</div>

							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'This option, if enabled, will display on the job page, the total number of views of the job', 'wpjobster' ) );?></td>
							<td><?php _e( 'Enable Views:', 'wpjobster' ); ?></td>
							<td>

								<?php echo wpjobster_get_option_drop_down( $arr_no_first, 'wpjobster_enable_job_views', 'no' ); ?>

								<div class="job_views_hide_count_interval">
									<?php _e( 'Count Interval:', 'wpjobster' ); ?>
									<input type="number" name="wpjobster_job_view_interval_number" value="<?php echo is_numeric( get_option( 'wpjobster_job_view_interval_number' ) ) ? get_option( 'wpjobster_job_view_interval_number' ) : 5; ?>" style="width: 55px; vertical-align: bottom;" />
									<select name="wpjobster_job_view_interval_type">
										<?php foreach ( $intervals as $key => $interval ) {
											echo '<option ' . ( get_option( 'wpjobster_job_view_interval_type' ) == $interval ? 'selected="selected"' : '' ) . ' value="' . $interval . '">' . $interval . '</option>';
										} ?>
									</select>
								</div>

							</td>
						</tr>

						<?php if ( ! wpj_is_allowed( 'packages' ) ) { ?>
							<tr>
								<td colspan="3">
									<?php wpj_disabled_settings_notice( 'packages' ); ?>
								</td>
							</tr>
						<?php } ?>
						<tr class="<?php wpj_disabled_settings_class( 'packages' ); ?>">
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __('This will let logged in users to use packages when a new job is posted.', 'wpjobster') );?></td>
							<td><?php _e( 'Enable Packages:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_no_first, 'wpjobster_packages_enabled', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __('Allow your users to upload sample files for their job, downloadable by everyone from the single job page.', 'wpjobster') );?></td>
							<td><?php _e( 'Enable Job Preview:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_no_first, 'wpjobster_job_attachments_enabled'); ?></td>
						</tr>

						<!-- other -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Other", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __('This will let logged in users to add or remove job extra on purchase this page.', 'wpjobster') );?></td>
							<td><?php _e( 'Enable Extra on Payment Page:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_no_first, 'wpjobster_purchase_this_extra_enabled', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e( 'Display Empty Cateogories:', 'wpjobster' );?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_display_job_empty_categories', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'The minimum number of reviews to display the job rating', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Min rating number:', 'wpjobster' ); ?></td>
							<td><input style="width: 57px;" type="number" name="wpjobster_job_min_rating" value="<?php echo get_option( 'wpjobster_job_min_rating' ); ?>"/> </td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_job_settings" value="<?php _e('Save Options', 'wpjobster');?>"/></td>
						</tr>

					</table>
				</form>
			</div><!-- END job-settings -->

			<!-- // Request Settings // -->
			<div id="requests-settings"><?php $cl_gs->save_request_settings(); ?>
				<form method="post" action="<?php bloginfo('url');?>/wp-admin/admin.php?page=general-options&active_tab=requests-settings">
					<table width="100%" class="wpj-admin-table">

						<!-- general request settings -->
						<tr>
							<td></td>
							<td><h2><?php _e("General Request Settings", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Expected Delivery for Requests:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_max_deliv', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Deadline for Requests:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_deadline', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Budget for Requests:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_budget', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable File Upload for Requests:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_file_upload', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('User need to have at least one active job to send a custom offer:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_active_job_cutom_offer', 'yes'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Display empty cateogories:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_display_request_empty_categories', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable multiple cateogories:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_display_request_multiple_categories', 'no'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="200"><?php _e('Max delivery days:', 'wpjobster');?></td>
							<td><input type="number" name="wpjobster_request_max_delivery_days" value="<?php echo get_option('wpjobster_request_max_delivery_days'); ?>" style="width: 55px;" /> </td>
						</tr>
						<tr>
							<?php $view_more_action_cond_arr = array("details" => __("View details",'wpjobster'), "directlink" => __("Direct link", 'wpjobster')); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e("View more click action:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($view_more_action_cond_arr, 'wpjobster_view_more_action', 'details'); ?></td>
						</tr>

						<!-- request locations -->
						<tr>
							<td></td>
							<td><h2><?php _e("Request Location", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Requests where the users need to meet in person', 'wpjobster'));?></td>
							<td><?php _e("Enable Let's meet for Requests:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_lets_meet', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Enable Locations for Requests:', 'wpjobster');?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_location', 'no'); ?>
								<?php echo wpjobster_get_option_drop_down($display_cond_arr, 'wpjobster_request_location_display_condition', 'ifchecked'); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('', 'wpjobster'));?></td>
							<td><?php _e("Enable Pick Up Location:", 'wpjobster');?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_pick_up_location', 'no'); ?>
								<?php echo wpjobster_get_option_drop_down($display_cond_arr, 'wpjobster_request_pick_up_location_display_condition', 'never'); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('', 'wpjobster'));?></td>
							<td><?php _e("Enable Drop Off Location:", 'wpjobster');?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_drop_off_location', 'no'); ?>
								<?php echo wpjobster_get_option_drop_down($display_cond_arr, 'wpjobster_request_drop_off_location_display_condition', 'never'); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( '', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete API:', 'wpjobster' ); ?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( array(
									'google'  => __( 'Google', 'wpjobster' ),
									'tomtom' => __( 'TomTom', 'wpjobster' )
								), 'wpjobster_location_api_provider', '(cities)' ); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Cities will autocomplete only city names, Regions also includes locality, sublocality, postal code, country and Geocode includes almost everything but not business names.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete Type:', 'wpjobster' ); ?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( array(
									'(cities)'  => __( 'Cities', 'wpjobster' ),
									'(regions)' => __( 'Regions', 'wpjobster' ),
									'geocode'   => __( 'Geocode', 'wpjobster' )
								), 'wpjobster_location_restrict_type', '(cities)' ); ?>
								&nbsp; <a href="https://developers.google.com/places/web-service/autocomplete#place_types" target="_blank"><?php _e( 'Learn more about Google Place Type', 'wpjobster' ); ?></a>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Comma-separated list of ISO country codes to restrict the location autocomplete within. Empty means no restriction.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete Country Restriction:', 'wpjobster' ); ?></td>
							<td>
								<input type="text" size="30" name="wpjobster_location_restrict_country" value="<?php echo get_option( 'wpjobster_location_restrict_country' ); ?>"/>
								&nbsp; <?php _e( 'Example:', 'wpjobster' ); ?> <code>US, AU, CA, DE, FR, ES</code>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Comma-separated list of returned fields. Empty means all.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Location Autocomplete Fields:', 'wpjobster' ); ?></td>
							<td>
								<input type="text" size="30" name="wpjobster_location_fields" value="<?php echo get_option( 'wpjobster_location_fields' ); ?>"/>
								&nbsp; <?php _e( 'Example:', 'wpjobster' ); ?> <code>address_component, adr_address, formatted_address, geometry, icon</code>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Buyer can select the date for a request where he needs to meet the seller.', 'wpjobster'));?></td>
							<td><?php _e("Display Date Input:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($display_cond_arr, 'wpjobster_request_date_display_condition', 'ifchecked'); ?></td>
						</tr>
						<tr>
							<?php $safe_date_format_arr = array('Y-m-d' => 'ISO 8601 [YYYY-MM-DD]', 'd-m-Y' => 'European [DD-MM-YYYY]', 'd.m.Y' => 'European [DD.MM.YYYY]', 'm/d/Y' => 'American [MM/DD/YYYY]'); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Select the date format which should be displayed on the input, from the list of code-friendly date formats.', 'wpjobster'));?></td>
							<td><?php _e("Date Input Format:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($safe_date_format_arr, 'wpjobster_safe_date_format', 'Y-m-d'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('The map will be displayed on each request, under the description.', 'wpjobster'));?></td>
							<td><?php _e("Display Location Google Map:", 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_request_location_display_map', 'no'); ?></td>
						</tr>

						<?php do_action( 'add_option_after_request_location' ); ?>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_request_settings" value="<?php _e('Save Options', 'wpjobster');?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END requests-settings -->

			<!-- // User Settings // -->
			<div id="user-settings"><?php $cl_gs->save_user_settings(); ?>
				<form method="post" action="<?php bloginfo('url');?>/wp-admin/admin.php?page=general-options&active_tab=user-settings">
					<table width="100%" class="wpj-admin-table">

						<!-- general settings -->
						<tr>
							<td></td>
							<td><h2><?php _e("General settings", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="21%"><?php _e('"Jobs By" title on user page:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr_no_first, 'wpjobster_enable_jobs_title'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Display my jobs section:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_jobs_section_on_user_profile', 'yes' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Allow WYSIWYG editor for description:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_wysiwyg_for_profile', 'no' ); ?></td>
						</tr>
						<tr>
							<?php $user_status_arr = array("yes_with_text" => __("Yes, with text",'wpjobster'), "yes_with_icon" => __("Yes, with icon",'wpjobster'), "no" =>  __("No",'wpjobster')); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Enable user online status:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $user_status_arr, 'wpjobster_en_user_online_status' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="21%"><?php _e('"Last seen" on user page:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr_no_first, 'wpjobster_enable_last_seen', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="21%"><?php _e('Enable user level icons for thumbnails:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr_no_first, 'wpjobster_user_level_for_thumbnails', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e('Enable user Tax/VAT ID:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_user_vat_id', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'The minimum number of reviews to display the user rating', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Min rating number:', 'wpjobster' ); ?></td>
							<td><input style="width: 57px;" type="number" name="wpjobster_user_min_rating" value="<?php echo get_option( 'wpjobster_user_min_rating' ); ?>"/></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="21%"><?php _e( 'Social media links on user page', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_user_social_media', 'no' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="21%"><?php _e( 'Display name publicly as', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr_display_name, 'wpjobster_display_name_publicly' ); ?></td>
						</tr>

						<!-- user country & timezone -->
						<tr>
							<td></td>
							<td><h2><?php _e("User country & timezone", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Display country flag on profile page and job pages, based on the country selected by the user.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable country flags:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_en_country_flags'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Default country flag for phone number:','wpjobster'); ?></td>
							<td>
								<select id="wpjobster_phone_country_select" class="grey_input" name="wpjobster_phone_country_select">
									<?php
										$tm = get_country_name();
										$selected = get_option('wpjobster_phone_country_select');
										list_options($tm, $selected);
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Let the users choose their country, even after filling it automatically by IP.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable user country select:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_country_select'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Default user time zone:','wpjobster'); ?></td>
							<td>
								<?php $wpjobster_user_time_zone = get_option('wpjobster_user_time_zone'); ?>
								<select id="wpjobster_user_time_zone" name="wpjobster_user_time_zone">
									<option <?php if($wpjobster_user_time_zone == 'autodetect'){ echo 'selected'; } ?> value='autodetect'>Autodetect</option>
									<?php
									$tm = get_timezone_name();
									foreach ($tm as $key => $value) {
										$selected = ($wpjobster_user_time_zone == $key) ? 'selected' : '';
										echo '<option '.$selected.' value="'.$key.'">'.$value.'</option>';
									}
								?>
								</select>
							</td>
						</tr>

						<!-- user stats -->
						<tr>
							<td></td>
							<td><h2><?php _e("User stats", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Enable or disable the basic user stats bar on my account, sales and shopping pages.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable user stats bar:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_user_stats', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Enable the advanced user stats charts. User stats bar needs to be active.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable user stats charts:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_user_charts', 'no'); ?></td>
						</tr>

						<!-- user login/register -->
						<tr>
							<td></td>
							<td><h2><?php _e("User login/register", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Enable or disable the field for phone number on registration page.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Enable user phone number on registration page:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_phone_number', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Phone number mandatory on registration page', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Phone number mandatory on registration:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_phone_number_mandatory', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="240"><?php _e('Enable user company on registration page:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_user_company', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__( 'reCAPTCHA API Key and Secret need to be filled in API Keys from Main Settings TAB' )); ?></td>
							<td width="240"><?php _e('Enable reCAPTCHA v2 on registration/login page:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_user_reCaptcha', 'no'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( '' ); ?></td>
							<td width="240"><?php _e( 'Enable 2FA on login page:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_user_2fa', 'no' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( '' ); ?></td>
							<td width="240"><?php _e( 'Enable login hints:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_login_hints', 'yes' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Don\'t forget to check and update the Terms of Service and Privacy Policy pages with your own terms! You can find them in the Page Assignments tab.', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'TOS and Privacy Policy on registration page:', 'wpjobster' ); ?></td>
							<td>
								<?php
									$arr_tos_and_privacy = array(
										'disabled' => __( 'Disabled', 'wpjobster' ),
										'text'     => __( 'Text Notice', 'wpjobster' ),
										'checkbox' => __( 'Required Checkbox', 'wpjobster' )
									);
									echo wpjobster_get_option_drop_down( $arr_tos_and_privacy, 'wpjobster_register_tos_and_privacy', 'disabled' );
								?>
								<a href="<?php echo get_site_url( null, '/wp-admin/admin.php?page=general-options&active_tab=page-assignments', null ); ?>"><?php _e( 'Page assignments', 'wpjobster' ); ?></a>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('To redirect the user to a custom page after registration.', 'wpjobster')); ?></td>
							<td width="240"><?php _e('Register redirection:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr_pages, 'wpjobster_register_redirection_page','', ' class="" '); ?></td>
						</tr>

						<!-- user portfolio -->
						<tr>
							<td></td>
							<td><h2><?php _e("User portfolio", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Enable user portfolio:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_user_profile_portfolio'); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Max Amount of Pictures:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_profile_default_nr_of_pics" value="<?php echo get_option('wpjobster_profile_default_nr_of_pics'); ?>"/> </td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Max Image upload size:', 'wpjobster');?></td>
							<td>
								<input type="text" size="5" name="wpjobster_profile_max_img_upload_size" value="<?php echo get_option('wpjobster_profile_max_img_upload_size'); ?>"/>

								<?php echo sprintf( __( 'MB, max allowed value is %sMB', 'wpjobster' ), $post_max_size, 0 ); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Min Image upload width:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_profile_min_img_upload_width" value="<?php echo get_option('wpjobster_profile_min_img_upload_width'); ?>"/> <?php _e("px", 'wpjobster')?> </td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e('Min Image upload height:', 'wpjobster');?></td>
							<td><input type="text" size="5" name="wpjobster_profile_min_img_upload_height" value="<?php echo get_option('wpjobster_profile_min_img_upload_height'); ?>"/> <?php _e("px", 'wpjobster')?> </td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_user_settings" value="<?php _e('Save Options', 'wpjobster');?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END user-settings -->

			<!-- // Search Settings // -->
			<div id="search-settings"><?php $cl_gs->save_search_settings(); ?>
				<form method="post" action="<?php bloginfo('url');?>/wp-admin/admin.php?page=general-options&active_tab=search-settings">
					<table width="100%" class="wpj-admin-table">

						<!-- general settings -->
						<tr>
							<td></td>
							<td><h2><?php _e("General settings", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<?php $adv_search_arr = array("jobs" => __("Jobs",'wpjobster'), "requests" => __("Requests",'wpjobster'), "users" =>  __("Users",'wpjobster')); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Default search:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $adv_search_arr, 'wpjobster_default_advanced_search' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Live search for jobs:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_jobs_for_advanced_search', 'yes' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Live search for requests:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_requests_for_advanced_search', 'no' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Live search for users:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_users_for_advanced_search', 'yes' ); ?></td>
						</tr>

						<!-- job search settings -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Job search settings", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Include undefined delivery:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $display_cond_arr, 'wpjobster_include_job_undefined_delivery', 'never' ); ?></td>
						</tr>

						<!-- request search settings -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Request search settings", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Date filter:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_search_request_date', 'no' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Include undefined date:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $display_cond_arr, 'wpjobster_include_request_undefined_date', 'never' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Include undefined budget:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $display_cond_arr, 'wpjobster_include_request_undefined_budget', 'never' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Include undefined delivery:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $display_cond_arr, 'wpjobster_include_request_undefined_delivery', 'never' ); ?></td>
						</tr>

						<!-- user search settings -->
						<tr>
							<td></td>
							<td><h2><?php _e("User search settings", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td width="240"><?php _e('Location filter:', 'wpjobster');?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_search_user_location', 'yes' ); ?></td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_search_settings" value="<?php _e('Save Options', 'wpjobster');?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END search-settings -->

			<!-- // Character Limits // -->
			<div id="character-limits"><?php $cl_gs->save_character_limits(); ?>
				<form method="post" action="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=general-options&active_tab=character-limits">
					<table width="100%" class="wpj-admin-table">
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Job Title','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_jobtitle_min" value="<?php echo get_option('wpjobster_characters_jobtitle_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_jobtitle_max" value="<?php echo get_option('wpjobster_characters_jobtitle_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Job Description','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_description_min" value="<?php echo get_option('wpjobster_characters_description_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_description_max" value="<?php echo get_option('wpjobster_characters_description_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Set min and max character limit.' ) ); ?></td>
							<td width="220"><?php _e( 'Job Pacakge Title:', 'wpjobster' ); ?></td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_job_package_title_min" value="<?php echo get_option( 'wpjobster_characters_job_package_title_min' );?>"><?php _e( "min", "wpjobster" ); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_job_package_title_max" value="<?php echo get_option( 'wpjobster_characters_job_package_title_max' );?>"><?php _e( "max", "wpjobster" ); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Set min and max character limit.' ) ); ?></td>
							<td width="220"><?php _e( 'Job Package Description:', 'wpjobster' ); ?></td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_job_package_description_min" value="<?php echo get_option( 'wpjobster_characters_job_package_description_min' );?>"><?php _e( "min", "wpjobster" ); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_job_package_description_max" value="<?php echo get_option( 'wpjobster_characters_job_package_description_max' );?>"><?php _e( "max", "wpjobster" ); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Job Instructions','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_instructions_min" value="<?php echo get_option('wpjobster_characters_instructions_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_instructions_max" value="<?php echo get_option('wpjobster_characters_instructions_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Job Extra Description','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_extradescription_min" value="<?php echo get_option('wpjobster_characters_extradescription_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_extradescription_max" value="<?php echo get_option('wpjobster_characters_extradescription_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Request Title','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_request_title_min" value="<?php echo get_option('wpjobster_characters_request_title_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_request_title_max" value="<?php echo get_option('wpjobster_characters_request_title_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Request Description','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_request_min" value="<?php echo get_option('wpjobster_characters_request_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_request_max" value="<?php echo get_option('wpjobster_characters_request_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Private Message','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_message_min" value="<?php echo get_option('wpjobster_characters_message_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_message_max" value="<?php echo get_option('wpjobster_characters_message_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Personal Info','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_personalinfo_min" value="<?php echo get_option('wpjobster_characters_personalinfo_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_personalinfo_max" value="<?php echo get_option('wpjobster_characters_personalinfo_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Set min and max character limit.')); ?></td>
							<td width="220"><?php _e('Custom Extra','wpjobster'); ?>:</td>
							<td>
							<input type="number" style="width: 65px;" name="wpjobster_characters_customextra_min" value="<?php echo get_option('wpjobster_characters_customextra_min');?>"><?php _e("min", "wpjobster"); ?>
							<input type="number" style="width: 65px;" name="wpjobster_characters_customextra_max" value="<?php echo get_option('wpjobster_characters_customextra_max');?>"><?php _e("max", "wpjobster"); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Set min and max character limit.' ) ); ?></td>
							<td width="220"><?php _e( 'Feedback Message', 'wpjobster' ); ?>:</td>
							<td>
								<input type="number" style="width: 65px;" name="wpjobster_characters_feedback_min" value="<?php echo get_option( 'wpjobster_characters_feedback_min' ); ?>"><?php _e( "min", "wpjobster" ); ?>
								<input type="number" style="width: 65px;" name="wpjobster_characters_feedback_max" value="<?php echo get_option( 'wpjobster_characters_feedback_max' ); ?>"><?php _e( "max", "wpjobster" ); ?>
							</td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_character_limits" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END character-limits -->

			<!-- // Filters // -->
			<div id="filters"><?php $cl_gs->save_filters_settings(); ?>
				<form method="post" action="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=general-options&active_tab=filters">
					<table width="100%" class="wpj-admin-table">
						<tr>
							<td></td>
							<td></td>
							<td class='toplabel'>
								<span><?php echo sprintf( __( 'Phone Numbers', 'wpjobster' ), 0 ); ?></span>
								<span><?php echo sprintf( __( 'Email Addresses', 'wpjobster' ), 1 ); ?></span>
								<span><?php echo sprintf( __( 'Blocklisted Words', 'wpjobster' ), 2 ); ?></span>
								<span><?php echo sprintf( __( 'Blocklisted Words 2', 'wpjobster' ), 3 ); ?></span>
								<span><?php echo sprintf( __( 'Blocklisted Words 3', 'wpjobster' ), 4 ); ?></span>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Private Messages:','wpjobster'); ?></td>
							<td class='toplabel'>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_phonenumbers_privatemessages" id="wpjobster_filter_phonenumbers_privatemessages" <?php if ( get_option( "wpjobster_filter_phonenumbers_privatemessages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_email_privatemessages" id="wpjobster_filter_email_privatemessages" <?php if ( get_option( "wpjobster_filter_email_privatemessages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words_privatemessages" id="wpjobster_filter_words_privatemessages" <?php if ( get_option( "wpjobster_filter_words_privatemessages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words2_privatemessages" id="wpjobster_filter_words2_privatemessages" <?php if ( get_option( "wpjobster_filter_words2_privatemessages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words3_privatemessages" id="wpjobster_filter_words3_privatemessages" <?php if ( get_option( "wpjobster_filter_words3_privatemessages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Transaction Pages:','wpjobster'); ?></td>
							<td class='toplabel'>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_phonenumbers_transactionpages" id="wpjobster_filter_phonenumbers_transactionpages" <?php checked( get_option( "wpjobster_filter_phonenumbers_transactionpages", "no" ), "yes" ); ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_email_transactionpages" id="wpjobster_filter_email_transactionpages" <?php if ( get_option( "wpjobster_filter_email_transactionpages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words_transactionpages" id="wpjobster_filter_words_transactionpages" <?php if ( get_option( "wpjobster_filter_words_transactionpages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words2_transactionpages" id="wpjobster_filter_words2_transactionpages" <?php if ( get_option( "wpjobster_filter_words2_transactionpages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words3_transactionpages" id="wpjobster_filter_words3_transactionpages" <?php if ( get_option( "wpjobster_filter_words3_transactionpages" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Job Listings:','wpjobster'); ?></td>
							<td class='toplabel'>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_phonenumbers_joblistings" id="wpjobster_filter_phonenumbers_joblistings" <?php if ( get_option( "wpjobster_filter_phonenumbers_joblistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_email_joblistings" id="wpjobster_filter_email_joblistings" <?php if ( get_option( "wpjobster_filter_email_joblistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words_joblistings" id="wpjobster_filter_words_joblistings" <?php if ( get_option( "wpjobster_filter_words_joblistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words2_joblistings" id="wpjobster_filter_words2_joblistings" <?php if ( get_option( "wpjobster_filter_words2_joblistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words3_joblistings" id="wpjobster_filter_words3_joblistings" <?php if ( get_option( "wpjobster_filter_words3_joblistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Request Listings:','wpjobster'); ?></td>
							<td class='toplabel'>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_phonenumbers_requestlistings" id="wpjobster_filter_phonenumbers_requestlistings" <?php if ( get_option( "wpjobster_filter_phonenumbers_requestlistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_email_requestlistings" id="wpjobster_filter_email_requestlistings" <?php if ( get_option( "wpjobster_filter_email_requestlistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words_requestlistings" id="wpjobster_filter_words_requestlistings" <?php if ( get_option( "wpjobster_filter_words_requestlistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words2_requestlistings" id="wpjobster_filter_words2_requestlistings" <?php if ( get_option( "wpjobster_filter_words2_requestlistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words3_requestlistings" id="wpjobster_filter_words3_requestlistings" <?php if ( get_option( "wpjobster_filter_words3_requestlistings" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('User Profiles:','wpjobster'); ?></td>
							<td class='toplabel'>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_phonenumbers_userprofiles" id="wpjobster_filter_phonenumbers_userprofiles" <?php if ( get_option( "wpjobster_filter_phonenumbers_userprofiles" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_email_userprofiles" id="wpjobster_filter_email_userprofiles" <?php if ( get_option( "wpjobster_filter_email_userprofiles" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words_userprofiles" id="wpjobster_filter_words_userprofiles" <?php if ( get_option( "wpjobster_filter_words_userprofiles" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words2_userprofiles" id="wpjobster_filter_words2_userprofiles" <?php if ( get_option( "wpjobster_filter_words2_userprofiles" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
								<span><input type="checkbox" value="yes" name="wpjobster_filter_words3_userprofiles" id="wpjobster_filter_words3_userprofiles" <?php if ( get_option( "wpjobster_filter_words3_userprofiles" ) != "no" ) { echo 'checked="checked"'; }; ?>></span>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Blocklisted Words:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_words_pm" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_words_pm' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Blocklisted Words Error:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_words_pm_err" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_words_pm_err' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Blocklisted Words 2:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_words2_pm" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_words2_pm' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Blocklisted Words 2 Error:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_words2_pm_err" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_words2_pm_err' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Blocklisted Words 3:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_words3_pm" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_words3_pm' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Blocklisted Words 3 Error:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_words3_pm_err" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_words3_pm_err' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Email Error:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_email" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_email' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'By default we try to match and block all phone numbers. Adding specific prefixes significantly decreases the chance of displaying false positive warnings.', 'wpjobster' ) ); ?></td>
							<td width="250"><?php _e('Blocklisted Phone Prefixes:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_prefixes_pm" rows="5" cols="50" placeholder="415&#10;+44"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_prefixes_pm' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="250"><?php _e('Phone Number Error:','wpjobster'); ?></td>
							<td><textarea name="wpjobster_blacklisted_phone" rows="5" cols="50"><?php echo stripslashes( get_option( 'wpjobster_blacklisted_phone' ) ); ?></textarea></td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_filters_settings" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END filters -->

			<!-- // Page assignments // -->
			<div id="page-assignments"><?php $cl_gs->save_page_assignments(); ?>
				<form method="post" action="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=general-options&active_tab=page-assignments">
					<table width="100%" class="wpj-admin-table">

						<?php
						$pages = get_pages();
						$wp_pages = get_wpjobster_page_ids();
						foreach ($wp_pages as $key => $value) { ?>
							<tr>
								<td valign="top" width="22"><?php wpjobster_theme_bullet(__('')); ?></td>
								<td width="220"><?php _e( $key,'wpjobster' ); ?>:</td>
								<td>
									<?php $current_page = get_option($value); ?>
									<select class="wpj-page-assignments" id="<?php echo $value; ?>" name="<?php echo $value; ?>">
										<option value="">-</option>
										<?php foreach ($pages as $page) {
											$selected = ($current_page == $page->ID) ? 'selected' : '';
											echo '<option '.$selected.' value="'.$page->ID.'">'.$page->post_title.'</option>';
										} ?>
									</select>
									<span id="<?php echo $value; ?>"><a href="<?php echo admin_url() . 'post.php?post='.$current_page.'&action=edit'; ?>"><?php echo __( 'Edit page','wpjobster' ); ?></a></span>
								</td>
							</tr>
						<?php } ?>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_page_assignments" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END page-assignments -->

			<!-- // Permalinks // -->
			<div id="permalinks"><?php $cl_gs->save_permalinks(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=general-options&active_tab=permalinks">
					<table width="100%" class="wpj-admin-table">
						<!-- jobs -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Jobs", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e( 'Slug Type for Jobs Permalink:', 'wpjobster' );?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( $post_slug_type_arr, 'wpjobster_jobs_permalink_slug_type', 'subcategory' ); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for Job Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_jobs_permalink" value="<?php echo get_option( 'wpjobster_jobs_permalink' ); ?>"/> *if left empty will show 'job'</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for Category Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_category_permalink" value="<?php echo get_option( 'wpjobster_category_permalink' ); ?>"/> *if left empty will show 'job-categories'</td>
						</tr>

						<!-- requests -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Requests", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for All Requests page Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_all_requests_permalink" value="<?php echo get_option( 'wpjobster_all_requests_permalink' ); ?>"/> *if left empty will show 'request'</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e( 'Slug Type for Request Permalink:', 'wpjobster' );?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( $post_slug_type_arr, 'wpjobster_requests_permalink_slug_type', 'subcategory' ); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for Requests Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_requests_permalink" value="<?php echo get_option( 'wpjobster_requests_permalink' ); ?>"/> *if left empty will show 'request'</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for Requests Category Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_requests_category_permalink" value="<?php echo get_option( 'wpjobster_requests_category_permalink' ); ?>"/> *if left empty will show 'request-categories'</td>
						</tr>

						<!-- news -->
						<tr>
							<td></td>
							<td><h2><?php _e( "News", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for All News page Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_all_news_permalink" value="<?php echo get_option( 'wpjobster_all_news_permalink' ); ?>"/> *if left empty will show 'news'</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet();?></td>
							<td><?php _e( 'Slug Type for News Permalink:', 'wpjobster' );?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( $post_slug_type_arr, 'wpjobster_news_permalink_slug_type', 'subcategory' ); ?>
							</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for News Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_news_permalink" value="<?php echo get_option( 'wpjobster_news_permalink' ); ?>"/> *if left empty will show 'news'</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for News Category Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_news_category_permalink" value="<?php echo get_option( 'wpjobster_news_category_permalink' ); ?>"/> *if left empty will show 'news-categories'</td>
						</tr>

						<!-- offers -->
						<tr>
							<td></td>
							<td><h2><?php _e( "Proposals", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e( 'Slug for All Proposals page Permalink:', 'wpjobster' ); ?></td>
							<td><input type="text" size="30" name="wpjobster_all_proposals_permalink" value="<?php echo get_option( 'wpjobster_all_proposals_permalink' ); ?>"/> *if left empty will show 'proposals'</td>
						</tr>

						<!-- save -->
						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_permalinks" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END permalinks -->

			<?php do_action( 'wpjobster_general_options_tabs_content' ); ?>

		</div><!-- END usual -->

		<iframe src="https://wpjobster.com/settings/settings.php" height="0" border="0" width="0" style="overflow:hidden; height:0; border:0; width:0;"></iframe>

	</div><!-- END wrap -->

<?php }
