<?php function show_html_orders() {
	global $cl_orders; ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Orders', 'wpjobster' ); ?></h2>

		<?php
		$message_status = $cl_orders->changeOrderStatusMessage();
		if ( isset( $message_status['message'] ) ) { ?>
			<div class="notice notice-<?php echo $message_status['type']; ?> is-dismissible">
				<p><?php echo $message_status['message']; ?></p>
			</div>
		<?php }

		$cl_orders->changeOrderStatusAction(); $cl_orders->closeJob(); $cl_orders->clearJob(); $cl_orders->processPayRequest();

		do_action( 'wpj_admin_orders_before_content' ); ?>

		<div id="usual2" class="usual">
			<?php if ( isset( $_GET['order_id'] ) && isset( $_GET['payment_type'] ) && isset( $_GET['order_view'] ) ) {
				$order_id     = WPJ_Form::get( 'order_id', '' );
				$payment_type = WPJ_Form::get( 'payment_type', '' );
				$order_view   = WPJ_Form::get( 'order_view', '' );

				if ( $order_view == 'order_single_page' ) {
					wpj_show_order_single_page( $order_id, $payment_type );
				}
			} else { ?>
				<ul>
					<li><a href="#job-purchase"><?php _e( 'Job Purchase', 'wpjobster' ); ?></a></li>
					<li><a href="#custom-extra"><?php _e( 'Custom extra', 'wpjobster' ); ?></a></li>
					<li><a href="#tips"><?php _e( 'Tips', 'wpjobster' ); ?></a></li>
					<li><a href="#featured"><?php _e( 'Featured', 'wpjobster' ); ?></a></li>
					<li><a href="#subscription"><?php _e( 'Subscription', 'wpjobster' ); ?></a></li>
					<li><a href="#topup"><?php _e( 'Topup', 'wpjobster' ); ?></a></li>
					<li><a href="#withdrawal"><?php _e( 'Withdrawal', 'wpjobster' ); ?></a></li>
				</ul>

				<div id="job-purchase">
					<?php wpj_filter_order_form( 'job-purchase' );
					wpj_search_order_form( 'job-purchase' );
					wpj_list_orders_to_admin( 'job-purchase' ); ?>
				</div>
				<div id="custom-extra">
					<?php wpj_filter_order_form( 'custom-extra' );
					wpj_search_order_form( 'custom-extra' );
					wpj_list_orders_to_admin( 'custom-extra' ); ?>
				</div>
				<div id="tips">
					<?php wpj_filter_order_form( 'tips' );
					wpj_search_order_form( 'tips' );
					wpj_list_orders_to_admin( 'tips' ); ?>
				</div>
				<div id="featured">
					<?php wpj_filter_order_form( 'featured' );
					wpj_search_order_form( 'featured' );
					wpj_list_orders_to_admin( 'featured' ); ?>
				</div>
				<div id="subscription">
					<?php wpj_filter_order_form( 'subscription' );
					wpj_search_order_form( 'subscription' );
					wpj_list_orders_to_admin( 'subscription' ); ?>
				</div>
				<div id="topup">
					<?php wpj_filter_order_form( 'topup' );
					wpj_search_order_form( 'topup' );
					wpj_list_orders_to_admin( 'topup' ); ?>
				</div>
				<div id="withdrawal">
					<?php wpj_filter_order_form( 'withdrawal' );
					wpj_search_order_form( 'withdrawal' );
					wpj_list_orders_to_admin( 'withdrawal' ); ?>
				</div>
			<?php } ?>
		</div>
	</div>
<?php }

function wpj_list_orders_to_admin( $payment_type = '' ) {
	global $cl_orders;

	$r = $cl_orders->getOrderRow( $payment_type, WPJ_Form::get( 'status', '' ) );
	if ( $r['all'] ) { ?>

		<form method="POST">
			<table width="100%" class="wp-list-table widefat fixed posts">
				<thead>
					<tr>
						<?php if ( $payment_type == 'withdrawal' && WPJ_Form::get( 'status', '' ) == 'pending' ) { ?>
							<th width="4%" >
								<?php echo __( 'All', 'wpjobster' ); ?>
								<input type="checkbox" name="option1" value="mass_pay" onclick="for(c in document.getElementsByName( 'requests[]' ) ) document.getElementsByName( 'requests[]' ).item( c ).checked = this.checked">
							</th>
						<?php } ?>

						<th><?php echo __( 'ID', 'wpjobster' ); ?></th>
						<th><?php echo __( 'Details', 'wpjobster' ); ?></th>

						<?php if ( $payment_type == 'job-purchase' || $payment_type == 'custom-extra' || $payment_type == 'tips' ) { ?>
							<th width="15%"><?php echo __( 'Job Title', 'wpjobster' ); ?></th>
						<?php } ?>

						<th><?php echo __( 'Amount', 'wpjobster' ); ?></th>
						<th><?php echo __( 'Date', 'wpjobster' ); ?></th>

						<?php if ( $payment_type == 'job-purchase' || $payment_type == 'custom-extra' || $payment_type == 'tips' ) { ?>
							<th><?php echo __( 'Buyer', 'wpjobster' ); ?></th>
							<th><?php echo __( 'Seller', 'wpjobster' ); ?></th>
						<?php } else { ?>
							<th><?php echo __( 'User', 'wpjobster' ); ?></th>
						<?php }

						if ( $payment_type == 'withdrawal' ) { ?>
							<th><?php echo __( 'User Info', 'wpjobster' ); ?></th>
						<?php }

						if ( $payment_type == 'subscription' ) { ?>
							<th><?php echo __( 'Level', 'wpjobster' ); ?></th>
							<th><?php echo __( 'Plan', 'wpjobster' ); ?></th>
						<?php } ?>

						<th><?php echo __( 'Gateway', 'wpjobster' ); ?></th>
						<th><?php echo __( 'Payment Status', 'wpjobster' ); ?></th>

						<?php if ( $payment_type == 'job-purchase' ) { ?>
							<th><?php echo __( 'Order Status', 'wpjobster' ); ?></th>
						<?php } ?>

						<th width="61"><?php echo __( 'Actions', 'wpjobster' ); ?></th>
					</tr>
				</thead>

				<tbody>
					<?php if ( $r['all'] ) {
						foreach ( $r['all'] as $row ) { ?>

							<tr>
								<?php if ( $payment_type == 'withdrawal' && WPJ_Form::get( 'status', '' ) == 'pending' ) {

									$method = strtolower( trim( preg_replace( '/\s*\([^)]*\)/', '', $row->methods ) ) );

									if ( in_array( $method, wpj_get_withdrawals_gateways() ) ) { ?>

										<td>
											<input type="checkbox" name="requests[]" value="<?php echo $row->id; ?>" />
										</td>

									<?php } else { ?>

										<td></td>

									<?php }

								}

								$values = $cl_orders->getRowValues( $payment_type, $row );
								foreach ( $values as $value ) { ?>
									<td><?php echo $value; ?></td>
								<?php } ?>

								<td><?php $cl_orders->showOrderActions( $payment_type, WPJ_Form::get( 'status', '' ), $row ); ?></td>
							</tr>

						<?php }

						if ( $payment_type == 'withdrawal' && WPJ_Form::get( 'status', '' ) == 'pending' ) { ?>

							<tfoot>
								<tr>
									<td colspan="10">

										<?php $paypal_appid = get_option( 'wpjobster_theme_appid' );
										$paypal_appsecret = get_option( 'wpjobster_theme_appsecret' );

										if ( ! empty( $paypal_appid ) && ! empty( $paypal_appsecret ) ) { ?>

											<input class="button-secondary" type="submit" value="<?php echo __( 'Process PayPal Requests', 'wpjobster' ); ?>" name="processPayRequest" id="processPayRequest" />

										<?php }

										do_action( 'wpj_admin_orders_after_tfoot_buttons', $payment_type ); ?>

									</td>
								</tr>
							</tfoot>

						<?php }

					} ?>
				</tbody>
			</table>
		</form>

		<?php wpj_admin_show_pagination_bar( $r, $cl_orders->getActiveTabInfo( $payment_type ) );
	} else { ?>
		<div style="padding:15px">
			<?php echo __( 'No orders yet.', 'wpjobster' ); ?>
		</div>
	<?php }
}

function wpj_search_order_form( $payment_type = '' ) {
	global $cl_orders; ?>

	<form method="get" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php">
		<?php $page_info = $cl_orders->getActiveTabInfo( $payment_type );
		$status = WPJ_Form::get( 'status', '' ); ?>

		<input type="hidden" value="order-stats" name="page" />
		<input type="hidden" value="<?php echo $page_info['at']; ?>" name="active_tab" />
		<input type="hidden" value="<?php echo $status; ?>" name="status" />

		<table width="100%" class="wpj-admin-table">
			<tr>
				<td style="padding-left: 0;">
					<input style="width: 200px;" type="text" placeholder="<?php echo __( 'Insert username or userid', 'wpjobster' ); ?>" value="<?php echo WPJ_Form::get( $page_info['inp'], '' ); ?>" name="<?php echo $page_info['inp']; ?>" size="20" />
					<input type="submit" class="button-secondary" name="<?php echo $page_info['sb']; ?>" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>
		</table>
	</form>
<?php }

function wpj_filter_order_form( $payment_type = '' ) {
	global $cl_orders;

	$filters = $cl_orders->getOrderFilters( $payment_type ) ?>

	<ul class="order-status">
		<?php $numItems = count( $filters ); $i = 0;
		if ( $filters ) {
			foreach ( $filters as $key => $filter ) { ?>
				<li class="<?php echo strtolower( $key ); ?>">
					<a href="<?php echo bloginfo( 'url' ) . '/wp-admin/admin.php?page=order-stats&active_tab=' . $payment_type . '&status=' . strtolower( $key ); ?>">
						<?php
						$status = WPJ_Form::get( 'status', '' );
						if ( ( strtolower( $status ) == strtolower( $key ) ) || ( ! strtolower( $status ) && $key == 'all' ) ) { echo '<b>'; }
						echo ucfirst( $filter ) ?>&nbsp;<span class="count">(<?php echo $cl_orders->getCountOfOrders( $payment_type, $key ); ?>)</span>
						<?php if ( ( strtolower( $status ) == strtolower( $key ) ) || ( ! strtolower( $status ) && $key == 'all' ) ) { echo '</b>'; } ?>
					</a>
					<?php if ( ++$i !== $numItems) { echo ' |'; } ?>
				</li>
			<?php }
		} ?>
	</ul>
<?php }

function wpj_show_order_single_page( $order_id = '', $payment_type = '' ) {
	global $cl_orders;

	if ( $order_id && $payment_type ) { ?>

		<div class="order-single-page">
			<button class="view-all-orders" onclick="location.href='<?php echo get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=order-stats'; ?>'" type="button"><?php echo __( 'View all orders', 'wpjobster' ); ?></button>

			<h2><?php echo ucwords( str_replace( "-", " ", $payment_type ) ) .' - '. sprintf( __( 'Order #%s', 'wpjobster' ), $order_id ); ?></h2>

			<!-- PAYMENT -->
			<div class="postbox">
				<h4 class="postbox-title">
					<span><?php _e( 'Payment Information', 'wpjobster' ); ?></span>
				</h4>

				<div class="postbox-title-content">
					<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'payment' ); ?>
				</div>
			</div>

			<!-- ORDER -->
			<div class="postbox">
				<h4 class="postbox-title">
					<span><?php _e( 'Order Information', 'wpjobster' ); ?></span>
				</h4>

				<div class="postbox-title-content">
					<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'order' ); ?>
				</div>
			</div>

			<!-- PRICE -->
			<div class="postbox">
				<h4 class="postbox-title">
					<span><?php _e( 'Order Price Information', 'wpjobster' ); ?></span>
				</h4>

				<div class="postbox-title-content">
					<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'price' ); ?>
				</div>
			</div>

			<?php if ( $payment_type == 'job-purchase' ) { ?>

				<!-- EXTRAS -->
				<div class="postbox">
					<h4 class="postbox-title">
						<span><?php _e( 'Extra', 'wpjobster' ); ?></span>
					</h4>

					<div class="postbox-title-content">
						<?php $job_purchase_values = $cl_orders->getJobPurchaseOrderDetails( $order_id );
						if ( $job_purchase_values['extra'] ) { ?>

							<table>
								<?php foreach ( $job_purchase_values['extra'] as $extra_key => $extra_value ) {
									if ( $extra_key < 10 && $extra_value['extra' . ( $extra_key + 1 )]['enable'] == 1 ) { ?>

										<tr><td><p><?php echo __( 'Extra', 'wpjobster' ) . ' #' . ( $extra_key + 1 ); ?></p></td></tr>
										<?php foreach ( $extra_value['extra' . ( $extra_key + 1 )] as $extra_key2 => $extra_value2 ) {
											if ( $extra_key2 != 'enable' ) { ?>
												<tr>
													<td><?php echo '<b>' . $extra_value2['label'] . ':  </b>'; ?></td>
													<td><?php echo $extra_value2['value']; ?></td>
												</tr>
											<?php }
										}
									}

									if ( $extra_key == 10 && $extra_value['extra_fast']['enable'] == 1 ) { ?>

										<tr><td><p><?php echo __( 'Extra Fast Delivery', 'wpjobster' ); ?></p></td></tr>
										<?php foreach ( $extra_value['extra_fast'] as $extra_key_fast => $extra_value_fast ) {
											if ( $extra_key_fast != 'enable' ) { ?>
												<tr>
													<td><?php echo '<b>' . $extra_value_fast['label'] . ':  </b>'; ?></td>
													<td><?php echo $extra_value_fast['value']; ?></td>
												</tr>
											<?php }
										}
									}

									if ( $extra_key == 11 && $extra_value['extra_revision']['enable'] == 1 ) { ?>

										<tr><td><p><?php echo __( 'Additional Revision', 'wpjobster' ); ?></p></td></tr>
										<?php foreach ( $extra_value['extra_revision'] as $extra_key_revision => $extra_value_revision ) {
											if ( $extra_key_revision != 'enable' ) { ?>
												<tr>
													<td><?php echo '<b>' . $extra_value_revision['label'] . ':  </b>'; ?></td>
													<td><?php echo $extra_value_revision['value']; ?></td>
												</tr>
											<?php }
										}
									}
								} ?>
							</table>

						<?php } else { ?>
							<p><?php _e( 'No extras for this order', 'wpjobster' ); ?></p>
						<?php } ?>
					</div>
				</div>

				<!-- CUSTOM EXTRAS -->
				<div class="postbox">
					<h4 class="postbox-title">
						<span><?php echo apply_filters( 'wpj_admin_custom_extra_string', __( 'Custom Extra', 'wpjobster' ), $order_id ); ?></span>
					</h4>

					<div class="postbox-title-content">
						<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'custom_extra' ); ?>
					</div>
				</div>

				<!-- TIPS -->
				<div class="postbox">
					<h4 class="postbox-title">
						<span><?php _e( 'Tips', 'wpjobster' ); ?></span>
					</h4>

					<div class="postbox-title-content">
						<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'tips' ); ?>
					</div>
				</div>

				<!-- CANCELLATION AND MODIFICATIONS -->
				<div class="postbox">
					<h4 class="postbox-title">
						<span><?php _e( 'Cancellation & Modification', 'wpjobster' ); ?></span>
					</h4>

					<div class="postbox-title-content">
						<?php
						if ( $job_purchase_values['cancellation'] || $job_purchase_values['modification'] ) {
							$cl_orders->listSingleJobValues( $order_id, $payment_type, 'cancellation' );
							$cl_orders->listSingleJobValues( $order_id, $payment_type, 'modification' );
						} else { ?>
							<p><?php _e( 'No informations about order cancellation or modification', 'wpjobster' ); ?></p>
						<?php } ?>
					</div>
				</div>

				<!-- REVIEWS -->
				<div class="postbox">
					<h4 class="postbox-title">
						<span><?php _e( 'Reviews', 'wpjobster' ); ?></span>
					</h4>

					<div class="postbox-title-content">
						<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'buyer_review' );
						$cl_orders->listSingleJobValues( $order_id, $payment_type, 'seller_review' ); ?>
					</div>
				</div>

				<!-- CHATBOX MESSAGES -->
				<div class="postbox">
					<h4 class="postbox-title">
						<span><?php _e( 'Messages', 'wpjobster' ); ?></span>
					</h4>

					<div class="postbox-title-content">
						<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'chatbox_messages' ); ?>
					</div>
				</div>

			<?php } ?>

			<!-- GATEWAY RESPONSES -->
			<div class="postbox">
				<h4 class="postbox-title">
					<span><?php _e( 'Gateway Responses', 'wpjobster' ); ?></span>
				</h4>

				<div class="postbox-title-content">
					<?php $cl_orders->listSingleJobValues( $order_id, $payment_type, 'gateway_responses' ); ?>
				</div>
			</div>

		</div>

	<?php }
}
