<?php
function show_html_pricing_settings() {
	global $cl_ps;

	$arr_currency = wpj_get_currencies_list();
	$the_symbol   = wpjobster_get_currency_symbol( wpjobster_get_currency_classic() );
	$arr = array( "yes" => __( "Yes", "wpjobster" ),       "no" => __( "No", "wpjobster" ) );
	$sep = array( ","   => __( 'Comma (,)', "wpjobster" ), "."  => __( "Point (.)", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Pricing Settings', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'Main Details', 'wpjobster' ); ?></a></li>
				<li><a href="#job-fees"><?php _e( 'Job Fees', 'wpjobster' ); ?></a></li>
				<li><a href="#withdraw-options"><?php _e( 'Withdraw Options', 'wpjobster' ); ?></a></li>
				<li><a href="#price-limits"><?php _e( 'Price Limits', 'wpjobster' ); ?></a></li>
				<li><a href="#job-values"><?php _e( 'Job Values', 'wpjobster' ); ?></a></li>
				<li><a href="#rates"><?php _e( 'Rates', 'wpjobster' ); ?></a></li>
				<li><a href="#featured"><?php _e( 'Featured', 'wpjobster' ); ?></a></li>
				<li><a href="#topup"><?php _e( 'Top Up', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- Main Details -->
			<div id="tabs1"><?php $cl_ps->save_main_details(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=tabs1">
					<table width="100%" class="wpj-admin-table">
					<?php
					$is_allowed_multi_currency = wpj_is_allowed( 'multi_currency' );
					for ( $i = 1; $i <= 10; $i++ ) {
						$currency_x = 'wpjobster_currency_' . $i;
						$currency_symbol_x = 'wpjobster_currency_symbol_' . $i;
						?>

						<?php if ( ! $is_allowed_multi_currency && $i == 2 ) { ?>
						<tr>
							<td colspan="6">
								<?php wpj_disabled_settings_notice( 'multi_currency' ); ?>
							</td>
						</tr>
						<?php } ?>

						<tr class="<?php if ( ! $is_allowed_multi_currency && $i > 1 ) { echo 'wpjobster-disabled-settings'; } ?>">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Site currency:','wpjobster'); ?> <?php echo $i; ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr_currency, $currency_x); ?></td>

							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e('Currency symbol:','wpjobster'); ?></td>
							<td><input type="text" size="6" name="<?php echo $currency_symbol_x; ?>" value="<?php echo get_option($currency_symbol_x); ?>" /> </td>
						</tr>

						<?php } ?>

						<tr>
							<?php $frn = array(
								"front" => __('In front of sum', 'wpjobster')." (".$the_symbol."50)",
								"back"  => __('After the sum', 'wpjobster')." (50".$the_symbol.")"
							); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Currency symbol position:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($frn, 'wpjobster_currency_position'); ?></td>
						</tr>

						<tr>
							<?php $spc = array(
								"yes" => __('Yes', 'wpjobster')." (50 ".$the_symbol.")",
								"no"  => __('No', 'wpjobster')." (50".$the_symbol.")"
							); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Space between sum and symbol:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($spc, 'wpjobster_currency_symbol_space'); ?></td>
						</tr>
						<tr>
							<?php $dec = array(
								"default" => __('Default','wpjobster'),
								"ifneeded" => __("If Needed",'wpjobster'),
								"never" => __("Never",'wpjobster')
							); ?>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Decimals:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($dec, 'wpjobster_decimals'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Decimals sum separator:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($sep, 'wpjobster_decimal_sum_separator'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Thousands sum separator:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($sep, 'wpjobster_thousands_sum_separator'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e( 'Replace "0.00 USD" price with "Free": ' , 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_replace_zero_with_free', 'no'); ?></td>
						</tr>

						<?php
							$total_nr_job_count = wpj_get_site_jobs_count();
							$wpjobster_unlock_site_currency_1 = get_option( 'wpjobster_unlock_site_currency_1' );
							if ( $total_nr_job_count > 0 ) {
								if( $wpjobster_unlock_site_currency_1 == '' ) {
									$wpjobster_unlock_site_currency_1_checked = '';
								} else {
									$wpjobster_unlock_site_currency_1_checked = 'checked';
								}
						?>
							<tr>
								<td></td>
								<td colspan="2">
									<p>
										<input type="checkbox" id="wpjobster_unlock_site_currency_1" name="wpjobster_unlock_site_currency_1" value="1" <?php echo $wpjobster_unlock_site_currency_1_checked; ?>>
										<?php
											_e("Unlock Site currency 1. It won't convert any amounts if you ever change 'Site Currency 1' ", "wpjobster");
										?>
									</p>
								</td>
							</tr>
						<?php } ?>

						<tr>
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_main_details" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
				<script>
					jQuery(document).ready(function() {
						var total_nr_job_count = '<?php echo $total_nr_job_count; ?>';
						var unlock_site_currrency1 = '<?php echo $wpjobster_unlock_site_currency_1; ?>';
						if( total_nr_job_count > 0 && unlock_site_currrency1 == '' ) {
							jQuery('[name="wpjobster_currency_1"]').prop("disabled", true);
							jQuery('[name="wpjobster_currency_symbol_1"]').prop("disabled", true);
						} else {
							jQuery('[name="wpjobster_currency_1"]').prop("disabled", false);
							jQuery('[name="wpjobster_currency_symbol_1"]').prop("disabled", false);
						}
					});
				</script>
				<?php
				if( $total_nr_job_count > 0 ) { ?>

					<script>
					jQuery("#wpjobster_unlock_site_currency_1").click(function(){
						if ( this.checked ) {
							jQuery('[name="wpjobster_currency_1"]').prop("disabled", false);
							jQuery('[name="wpjobster_currency_symbol_1"]').prop("disabled", false);
						} else {
							jQuery('[name="wpjobster_currency_1"]').prop("disabled", true);
							jQuery('[name="wpjobster_currency_symbol_1"]').prop("disabled", true);
						}
					});
					</script>

				<?php } ?>
			</div><!-- END main-details -->

			<!-- Job Fees -->
			<div id="job-fees" style="display: none;"><?php $cl_ps->save_job_fees(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=job-fees">
					<table width="100%" class="wpj-admin-table">
						<tr>
							<td></td>
							<td><h2><?php _e("For Sellers", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>
						<tr>
							<?php $arr_site_fees = array(
								"disabled" => __("Disabled",'wpjobster'),
								"percent"  => __("Percent",'wpjobster'),
								"fixed"    => __("Fixed",'wpjobster'),
								"flexible" => __("Flexible",'wpjobster')
							); ?>
							<td><?php wpjobster_theme_bullet( __( 'Please choose between the available site fee types then fill below the amounts.', 'wpjobster' ) ); ?></td>
							<td><?php _e("Enable Site Fee:", "wpjobster"); ?></td>
							<td>
								<?php echo wpjobster_get_option_drop_down( $arr_site_fees, 'wpjobster_enable_site_fee', 'flexible' ); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('If the site fee is set to percent, this value will be used.','wpjobster')); ?></td>
							<td ><?php _e('Percent Fee:','wpjobster'); ?></td>
							<td><input type="text" size="3" name="wpjobster_percent_fee_taken" value="<?php echo get_option('wpjobster_percent_fee_taken'); ?>"/> %</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('If the site fee is set to fixed, this value will be used.','wpjobster')); ?></td>
							<td ><?php _e('Fixed Fee:','wpjobster'); ?></td>
							<td><input type="text" size="3" name="wpjobster_solid_fee_taken" value="<?php echo get_option('wpjobster_solid_fee_taken'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<?php if ( ! wpj_is_allowed( 'flexible_fees' ) ) { ?>
						<tr>
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_job_fees" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
						<tr>
							<td colspan="3">
								<?php wpj_disabled_settings_notice( 'flexible_fees' ); ?>
							</td>
						</tr>
						<?php } ?>

						<tbody class="<?php wpj_disabled_settings_class( 'flexible_fees' ); ?>">
							<tr>
								<td><?php wpjobster_theme_bullet(__('If the site fee is set to flexible, the values below value will be used.','wpjobster')); ?></td>
								<td width="220"><?php _e("Flexible Fees:", "wpjobster"); ?></td>
								<td><?php _e('Percent per Level (Level 0, Level 1, Level 2, Level 3)', 'wpjobster'); ?></td>

							</tr>

							<tr>
								<td><?php wpjobster_theme_bullet(__('If the percent for level 1, 2 or 3 is empty, then the percent for level 0 will be used.','wpjobster')); ?></td>
								<td><?php _e('Base Fee','wpjobster'); ?>:</td>
								<td>
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range0_level0" value="<?php echo get_option('wpjobster_percent_fee_taken_range0_level0'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range0_level1" value="<?php echo get_option('wpjobster_percent_fee_taken_range0_level1'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range0_level2" value="<?php echo get_option('wpjobster_percent_fee_taken_range0_level2'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range0_level3" value="<?php echo get_option('wpjobster_percent_fee_taken_range0_level3'); ?>"/>%
								</td>
							</tr>

							<tr>
								<td><?php wpjobster_theme_bullet(__('If the percent for level 1, 2 or 3 is empty, then the percent for level 0 will be used.','wpjobster')); ?></td>
								<td><?php _e('Fee Over','wpjobster'); ?> <input type="text" size="3" name="wpjobster_percent_fee_taken_range1_base" value="<?php echo get_option('wpjobster_percent_fee_taken_range1_base'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?>:</td>
								<td>
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range1_level0" value="<?php echo get_option('wpjobster_percent_fee_taken_range1_level0'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range1_level1" value="<?php echo get_option('wpjobster_percent_fee_taken_range1_level1'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range1_level2" value="<?php echo get_option('wpjobster_percent_fee_taken_range1_level2'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range1_level3" value="<?php echo get_option('wpjobster_percent_fee_taken_range1_level3'); ?>"/>%
								</td>
							</tr>

							<tr>
								<td><?php wpjobster_theme_bullet(__('If the percent for level 1, 2 or 3 is empty, then the percent for level 0 will be used.','wpjobster')); ?></td>
								<td><?php _e('Fee Over','wpjobster'); ?> <input type="text" size="3" name="wpjobster_percent_fee_taken_range2_base" value="<?php echo get_option('wpjobster_percent_fee_taken_range2_base'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?>:</td>
								<td>
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range2_level0" value="<?php echo get_option('wpjobster_percent_fee_taken_range2_level0'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range2_level1" value="<?php echo get_option('wpjobster_percent_fee_taken_range2_level1'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range2_level2" value="<?php echo get_option('wpjobster_percent_fee_taken_range2_level2'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range2_level3" value="<?php echo get_option('wpjobster_percent_fee_taken_range2_level3'); ?>"/>%
								</td>
							</tr>

							<tr>
								<td><?php wpjobster_theme_bullet(__('If the percent for level 1, 2 or 3 is empty, then the percent for level 0 will be used.','wpjobster')); ?></td>
								<td><?php _e('Fee Over','wpjobster'); ?> <input type="text" size="3" name="wpjobster_percent_fee_taken_range3_base" value="<?php echo get_option('wpjobster_percent_fee_taken_range3_base'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?>:</td>
								<td>
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range3_level0" value="<?php echo get_option('wpjobster_percent_fee_taken_range3_level0'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range3_level1" value="<?php echo get_option('wpjobster_percent_fee_taken_range3_level1'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range3_level2" value="<?php echo get_option('wpjobster_percent_fee_taken_range3_level2'); ?>"/>%
									<input type="text" size="3" name="wpjobster_percent_fee_taken_range3_level3" value="<?php echo get_option('wpjobster_percent_fee_taken_range3_level3'); ?>"/>%
								</td>
							</tr>

							<tr>
								<td ></td>
								<td ></td>
								<td><input type="submit" class="button-secondary" name="wpjobster_save_job_fees" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
							</tr>
						</tbody>
						<?php
						$css_class = "";
						if (!wpjobster_processing_fee_allowed()) {
							$css_class = "wpjobster-disabled-settings";
							?>
							<tr>
								<td colspan="3">
									<div class="wpjobster-update-nag wpjobster-notice">
										The settings below are only available for the Developer and Entrepreneur licenses. <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">Buy</a> a new license or <a href="http://wpjobster.com/contact/" target="_blank">contact us</a> for upgrading.
									</div>
								</td>
							</tr>
						<?php } ?>
						<tr class="<?php echo $css_class; ?>">
							<td></td>
							<td><h2><?php _e("For Buyers", "wpjobster"); ?></h2></td>
							<td>
							</td>
						</tr>
						<tr class="<?php echo $css_class; ?>">
							<?php $arr_processing_fees = array(
								"disabled" => __("Disabled",'wpjobster'),
								"fixed"    => __("Fixed",'wpjobster'),
								"percent"  => __("Percent",'wpjobster')
							); ?>
							<td><?php wpjobster_theme_bullet(__('Enable/Disable processing fees chargeable to buyer for site admin','wpjobster')); ?></td>
							<td><?php _e('Enable Processing Fee','wpjobster'); ?>:

							<td>
								<?php echo wpjobster_get_option_drop_down($arr_processing_fees, 'wpjobster_enable_buyer_processing_fees', 'no') ?>
							</td>
						</tr>
						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('Processing fees chargeable to buyer for site admin','wpjobster')); ?></td>
							<td><?php _e('Fixed Processing Fee Amount','wpjobster'); ?>:
							<td>
								<input type="text" size="3" name="wpjobster_buyer_processing_fees" value="<?php echo get_option('wpjobster_buyer_processing_fees'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?>
							</td>
						</tr>
						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('Processing fees percent chargeable to buyer for site admin','wpjobster')); ?></td>
							<td><?php _e('Processing Fee Percent','wpjobster'); ?>:
							<td>
								<input type="text" size="3" name="wpjobster_buyer_processing_fees_percent" value="<?php echo get_option('wpjobster_buyer_processing_fees_percent'); ?>"/> <?php echo "%"; ?>
							</td>
						</tr>
						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('Enable/Disable refunding processing fees when the transaction is closed','wpjobster')); ?></td>
							<td><?php _e('Refund The Fee if Job Cancelled','wpjobster'); ?>:
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_refund_buyer_processing_fees') ?>
							</td>
						</tr>
						<tr class="<?php echo $css_class; ?>">
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_job_fees" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>

						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('Enable/Disable Tax.','wpjobster')); ?></td>
							<td><?php _e('Enable Tax','wpjobster'); ?>:

							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_site_tax', 'no') ?>
							</td>
						</tr>
						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('','wpjobster')); ?></td>
							<td><?php _e('Tax Percent','wpjobster'); ?>:
							<td>
								<input type="number" step="any" min="0" max="100" size="3" name="wpjobster_tax_percent" value="<?php echo get_option('wpjobster_tax_percent'); ?>"/>%
							</td>
						</tr>

						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('If enabled, the tax applies to the full price including the processing fee.','wpjobster')); ?></td>
							<td><?php _e('Apply Tax Over Processing Fee','wpjobster'); ?>:
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_processingfee_tax'); ?>
							</td>
						</tr>

						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('Enable/Disable refunding tax when the transaction is closed','wpjobster')); ?></td>
							<td><?php _e('Refund The Tax if Job Cancelled','wpjobster'); ?>:
							<td>
								<?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_refund_tax','no') ?>
							</td>
						</tr>
						<?php
						$wpjobster_country_taxes = get_option('wpjobster_country_taxes');
						$wpjobster_country_taxes_percentage = get_option('wpjobster_country_taxes_percentage');

						$c = get_country_name();
						if($wpjobster_country_taxes_percentage){
							foreach($wpjobster_country_taxes_percentage as $country_cd=>$percent){
								?>
								<tr class="<?php echo $css_class; ?>">
									<td><?php wpjobster_theme_bullet(__('Select a country and tax for it','wpjobster')); ?></td>
									<td><?php _e('Tax for country','wpjobster'); ?>:
										<select class="grey_input styledselect" style="width:100px;" name="wpjobster_country_taxes[]">
											<?php
											list_options($c,$country_cd);
											?>
										</select>
									</td>
									<td>
										<input type="number" step="any" min="0" max="100" size="3" name="wpjobster_country_taxes_percentage[]" value="<?php echo $percent?>">%
									</td>
								</tr><?php
							}
						} ?>

						<tr class="<?php echo $css_class; ?>">
							<td><?php wpjobster_theme_bullet(__('Select a country and tax for it','wpjobster')); ?></td>
							<td><?php _e('Tax for country','wpjobster'); ?>:
								<?php $country_code = user(get_current_user_id(), 'country_code');
								$c = get_country_name(); ?>
								<select class="grey_input styledselect" style="width:100px;" name="wpjobster_country_taxes[]">
									<?php $c = get_country_name();
									list_options($c,$country_code); ?>
								</select>
							</td>

							<td>
								<input name="wpjobster_country_taxes_percentage[]" value=""  type="number" step="any" min="0" max="100" size="3">%
							</td>
						</tr>

						<?php do_action( 'wpj_html_fees_for_buyers' ,$css_class ); ?>

						<tr class="<?php echo $css_class; ?>">
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_job_fees" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END job-fees -->

			<!-- Withdraw Options -->
			<div id="withdraw-options" style="display: none;"><?php $cl_ps->save_withdraw_options(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=withdraw-options">
					<table width="100%" class="wpj-admin-table">

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Minimum Withdrawal Amount:','wpjobster'); ?></td>
							<td><input type="text" size="10" name="wpjobster_withdraw_limit" value="<?php echo get_option('wpjobster_withdraw_limit'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('User need to validate his request before the withdrawal appear in the admin section','wpjobster')); ?></td>
							<td ><?php _e('Enable Withdraw E-mail Verification:','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_withdraw_email_verification', 'no'); ?></td>
						</tr>

						<?php if ( ! is_plugin_active( 'wpjobster-payoneer-withdrawal/wpjobster-payoneer-withdrawal.php' ) ) { ?>

							<tr>
								<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
								<td ><?php _e( 'Enable Payoneer Withdraw:', 'wpjobster' ); ?></td>
								<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_payoneer_enable_withdraw', 'no'); ?></td>
							</tr>

						<?php } ?>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td colspan="2">

								<?php if ( wpj_withdrawal_gateway_enabled_exist() ) {

									$gateways_list = __( 'Enabled withdrawal methods:', 'wpjobster' );
									$gateways = wpj_get_withdrawals_gateways();

									if ( $gateways ) {
										foreach ( $gateways as $key => $gateway ) {

											$no_parent = in_array( $gateway, wpj_get_withdrawals_gateways( true ) ) ? true : false;

											if ( wpj_is_payment_type_enabled( $gateway, 'withdraw', $no_parent ) ) {
												$gateways_list .= '&nbsp;' . ucwords( str_replace( '_', ' ', $gateway ) ) . ',';
											}
										}

										$gateways_list = rtrim( $gateways_list, "," );
									}

									$gateways_list .= '.&nbsp;' . sprintf( __( 'You can enable/disable %s', 'wpjobster' ), '<a href="' . get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=payment-methods">' . __( 'here', 'wpjobster' ) . '</a>' );

									echo $gateways_list;

								} else {

									echo sprintf( __( 'No withdrawal methods enabled. You can enable %s', 'wpjobster' ), '<a href="' . get_bloginfo( 'url' ) . '/wp-admin/admin.php?page=payment-methods">' . __( 'here', 'wpjobster' ) . '</a>' );

								} ?>

							</td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_withdraw_options" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>

					</table>
				</form>
			</div><!-- END withdraw-options -->

			<!-- Price limits -->
			<div id="price-limits" style="display: none;"><?php $cl_ps->save_price_limits(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=price-limits">
					<table width="100%" class="wpj-admin-table">

						<tr>
							<td></td>
							<td><h2><?php _e("Package Amount", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("Minimum price that can be set for a package amount.", "wpjobster")); ?></td>
							<td width="220"><?php _e('Min package amount:','wpjobster'); ?></td>
							<td><input type="text" size="5" name="wpjobster_min_package_amount" value="<?php echo get_option('wpjobster_min_package_amount'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("Maximum price that can be set for a package amount.", "wpjobster")); ?></td>
							<td width="220"><?php _e('Max package amount:','wpjobster'); ?></td>
							<td><input type="text" size="5" name="wpjobster_max_package_amount" value="<?php echo get_option('wpjobster_max_package_amount'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td></td>
							<td><h2><?php _e("Custom Offer Amount", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("Minimum price that can be set for a custom offer.", "wpjobster")); ?></td>
							<td width="220"><?php _e('Min custom offer price:','wpjobster'); ?></td>
							<td><input type="text" size="5" name="wpjobster_offer_price_min" value="<?php echo get_option('wpjobster_offer_price_min'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("Maximum price that can be set for a custom offer.", "wpjobster")); ?></td>
							<td ><?php _e('Max custom offer price:','wpjobster'); ?></td>
							<td><input type="text" size="5" name="wpjobster_offer_price_max" value="<?php echo get_option('wpjobster_offer_price_max'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_price_limits" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END price-limits -->

			<!-- Job Values -->
			<div id="job-values" style="display: none;"><?php $cl_ps->save_job_values(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=job-values">
					<table width="100%" class="wpj-admin-table price-type">

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e( 'Price type:', 'wpjobster' ); ?></td>
							<td>
								<?php $arr_price_type = array(
									"free_input"      => __( 'Free text input', 'wpjobster' ),
									"fixed_amount"    => __( 'Job fixed amount', 'wpjobster' ),
									"dropdown_values" => __( 'Dropdown values', 'wpjobster' ),
								);
								echo wpjobster_get_option_drop_down( $arr_price_type, 'wpjobster_price_type', 'free_input' ); ?>
							</td>
						</tr>

						<!-- Hourly rate -->
						<tr class="rate-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Fixed:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_fixed_rate'); ?></td>
						</tr>
						<tr class="rate-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Hourly:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_hourly_rate'); ?></td>
						</tr>
						<tr class="rate-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Daily:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_daily_rate'); ?></td>
						</tr>
						<tr class="rate-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Weekly:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_weekly_rate'); ?></td>
						</tr>
						<tr class="rate-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Monthly:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_monthly_rate'); ?></td>
						</tr>
						<tr class="rate-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'No price set (custom offers only):','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_custom_rate'); ?></td>
						</tr>

						<?php if ( ! wpj_is_allowed( 'packages' ) ) { ?>
							<tr class="rate-values">
								<td colspan="3">
									<?php wpj_disabled_settings_notice( 'packages' ); ?>
								</td>
							</tr>
						<?php } ?>

						<tr class="rate-values <?php wpj_disabled_settings_class( 'packages' ); ?>">
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'This will let logged in users to use packages when a new job is posted.', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Packages:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_packages_enabled', 'no' ); ?></td>
						</tr>

						<?php do_action( 'wpj_after_admin_price_type_list', $arr ); ?>

						<!-- Fixed amount -->
						<tr class="fixed-amount" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e( 'Job fixed amount:','wpjobster' ); ?></td>
							<td><input type="text" size="15" name="wpjobster_job_fixed_amount" value="<?php echo get_option('wpjobster_job_fixed_amount'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<!-- Dropdown values -->
						<tr class="dropdown-values" style="display: none;">
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e( 'Add new cost:', 'wpjobster' ); ?></td>
							<td><input name="newcost" type="text" size="10" /> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr class="dropdown-values" style="display: none;">
							<td></td>
							<td></td>
							<td><button class="js-add-job-cost button-secondary"><?php _e( 'Add', 'wpjobster' ); ?></button></td>
						</tr>

						<?php global $wpdb;

						$query = "SELECT * FROM {$wpdb->prefix}job_var_costs ORDER BY cost ASC";
						$results = $wpdb->get_results( $query );

						if ( count( $results ) > 0 ) { ?>
							<tr class="dropdown-values js-tr-labels" style="display: none;">
								<td valign="top" width="22"></td>
								<td><b><?php echo __( 'Cost', 'wpjobster' ); ?></b></td>
								<td><b><?php echo __( 'Options', 'wpjobster' ); ?></b></td>
							</tr>

							<?php foreach( $results as $row ) { ?>
								<tr class="dropdown-values" id="js-job-cost-<?php echo $row->id; ?>" style="display: none;">
									<td></td>
									<td><?php echo wpjobster_get_show_price_classic( $row->cost, 2 ); ?></td>
									<td><a href="#" rel="<?php echo $row->id; ?>" class="js-delete-job-cost"><?php echo __( 'Delete', 'wpjobster' ); ?></a></td>
								</tr>
							<?php }
						} else { ?>
							<tr style="display: none;"><td></td><td colspan="2"><?php echo __( 'No values added yet.', 'wpjobster' ); ?></td></tr>
						<?php } ?>

						<!-- Save options -->
						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_job_values" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>

					</table>
				</form>
			</div><!-- END job-values -->

			<!-- Rates -->
			<div id="rates" style="display: none;"><?php $cl_ps->save_rates(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=rates">
					<table width="100%" class="wpj-admin-table">
						<tr>
							<td></td>
							<td colspan="2">
								<p><?php _e("The current rates represent the currency according to USD which is the base currency for OpenExchangeRates.org. If your base currency is different than USD, the prices will be converted in USD first then from USD in your currency.", "wpjobster"); ?></p>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Enable Open Exchange Rates API:','wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_open_exchange_api_rate' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="220"><?php _e( 'Enable notifications when currency drops:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'uz_email_admin_openexchangerates_higher_enable' ); ?></td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e( 'Currency drop percent:', 'wpjobster' ); ?></td>
							<td><input type="text" size="15" name="wpjobster_exchange_drop_percent" value="<?php echo get_option( 'wpjobster_exchange_drop_percent' ); ?>"/>&nbsp;%</td>
						</tr>
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__("If you don't have one, please visit openexchangerates.org and sign up for any of the plans. The smallest plan is good enough as long as it offers at least 100 API Requests per month.", "wpjobster")); ?></td>
							<td><?php _e("OpenExchange App ID:", "wpjobster"); ?></td>
							<td><input type="text" size="15" name="openexchangerates_appid" value="<?php echo apply_filters( 'wpj_sensitive_info_credentials', get_option('openexchangerates_appid') ); ?>" />
								<?php if (get_option('openexchangerates_appid') == '') { ?>
								&nbsp; <a href="https://openexchangerates.org/signup/free" target="_blank"><?php _e('Sign Up for a free Open Exchange Rates account', 'wpjobster'); ?></a>
								<?php } ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td width="160"><?php _e('USD:','wpjobster'); ?></td>
							<td><?php _e("The base currency to which all the exchange rates are relative. It can't be changed.", "wpjobster"); ?></td>
						</tr>

						<?php increment_daily_exchange_rates();

						$json = get_option( 'exchange_rates' );
						$exchangeRates = json_decode( $json );

						global $wpjobster_currencies_array;

						foreach ( $wpjobster_currencies_array as $wpjobster_currency ) {
							if ( $wpjobster_currency != "USD" ) { ?>

								<tr>
									<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
									<td><?php echo $wpjobster_currency . ':'; ?></td>
									<td><input type="text" size="15" name="wpjobster_<?php echo $wpjobster_currency; ?>_currency" value="<?php echo isset( $exchangeRates->rates->$wpjobster_currency ) ? $exchangeRates->rates->$wpjobster_currency : ''; ?>" disabled /></td>
								</tr>

								<?php }
						} ?>

						<tr>
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_rates" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>

					</table>
				</form>
			</div><!-- END rates -->

			<!-- Featured -->
			<div id="featured" style="display: none;"><?php $cl_ps->save_featured(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab=featured">
					<?php wpj_disabled_settings_notice( 'featured_job' ); ?>
					<table width="100%" class="wpj-admin-table <?php wpj_disabled_settings_class( 'featured_job' ); ?>">

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e("Enable featured jobs", "wpjobster"); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_featured_enable'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Featured interval (days):','wpjobster'); ?></td>
							<td><input type="number" size="45" name="wpjobster_featured_interval" value="<?php echo get_option('wpjobster_featured_interval'); ?>"/> <?php _e("days", "wpjobster"); ?></td>
						</tr>

						<tr>
							<td colspan="3"></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e("Enable hompage featured jobs", "wpjobster"); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_homepage_featured_enable'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Number of featured jobs on Homepage:','wpjobster'); ?></td>
							<td><input type="number" size="45" name="wpjobster_featured_homepage" value="<?php echo get_option('wpjobster_featured_homepage'); ?>"/> <?php _e("jobs", "wpjobster"); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Price for featured job on Homepage (main currency):','wpjobster'); ?></td>
							<td><input type="number" size="45" step="any" name="wpjobster_featured_price_homepage" value="<?php echo get_option('wpjobster_featured_price_homepage'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td colspan="3"></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e("Enable category featured jobs", "wpjobster"); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_category_featured_enable'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Number of featured jobs on category pages:','wpjobster'); ?></td>
							<td><input type="number" size="45" name="wpjobster_featured_category" value="<?php echo get_option('wpjobster_featured_category'); ?>"/> <?php _e("jobs", "wpjobster"); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Price for featured job on category pages (main currency):','wpjobster'); ?></td>
							<td><input type="number" size="45" step="any" name="wpjobster_featured_price_category" value="<?php echo get_option('wpjobster_featured_price_category'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td colspan="3"></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td><?php _e("Enable subcategory featured jobs", "wpjobster"); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_subcategory_featured_enable'); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Number of featured jobs on subcategory pages:','wpjobster'); ?></td>
							<td><input type="number" size="45" name="wpjobster_featured_subcategory" value="<?php echo get_option('wpjobster_featured_subcategory'); ?>"/> <?php _e("jobs", "wpjobster"); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(); ?></td>
							<td ><?php _e('Price for featured job on subcategory pages (main currency):','wpjobster'); ?></td>
							<td><input type="number" size="45" step="any" name="wpjobster_featured_price_subcategory" value="<?php echo get_option('wpjobster_featured_price_subcategory'); ?>"/> <?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<tr>
							<td ></td>
							<td ></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_featured" value="<?php _e('Save Options','wpjobster'); ?>"/></td>
						</tr>

					</table>
				</form>

				<p><?php _e("*If you change the interval, the current featured jobs are not affected by this change.", "wpjobster"); ?></p>
				<p><?php _e("*If you change the number of featured jobs per page and it is less than previous, the current featured jobs will show until their period expires, even if there will be more jobs than the new value.", "wpjobster"); ?></p>
			</div><!-- END featured -->

			<!-- Topup -->
			<div id="topup" style="display: none;"><?php $cl_ps->save_topup(); ?>
				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab="top"up">

					<?php if (!wpjobster_topup_allowed()) { ?>

					<div class="wpjobster-update-nag wpjobster-notice">
						This feature is Entrepreneur license exclusive. <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">Buy</a> a new license or <a href="http://wpjobster.com/contact/" target="_blank">contact us</a> for upgrading.
					</div>

					<?php } ?>

					<table width="100%" class="wpj-admin-table <?php if (!wpjobster_topup_allowed()) { echo "wpjobster-disabled-settings"; } ?>">

						<tr>
							<td></td>
							<td><h2><?php _e("Top Up Settings", "wpjobster"); ?></h2></td>
							<td></td>
						</tr>

							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Allow your users to purchase in-site credits using PayPal.','wpjobster')); ?></td>
							<td width="21%"><?php _e('Enable Top Up','wpjobster'); ?></td>
							<td><?php echo wpjobster_get_option_drop_down($arr, 'wpjobster_enable_topup', 'no'); ?></td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_topup_settings" value="<?php _e('Save Settings','wpjobster'); ?>"/></td>
						</tr>
					</table>
				</form>

				<form method="post" action="<?php echo get_bloginfo('url'); ?>/wp-admin/admin.php?page=pricing-settings&active_tab="top"up">
					<table width="100%" class="wpj-admin-table <?php if (!wpjobster_topup_allowed()) { echo "wpjobster-disabled-settings"; } ?>">
						<tr>
							<td></td>
							<td><h2><?php _e("Top Up Packages", "wpjobster"); ?></h2></td>
							<td></td>
							<td></td>
							<td></td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><strong><?php _e("Cost", "wpjobster"); ?></strong></td>
							<td><strong><?php _e("Credit", "wpjobster"); ?></strong></td>
							<td><strong><?php _e("Options", "wpjobster"); ?></strong></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet(__('Add a top up package. Cost = the amount user will pay for a particular top up package. Credit = the amount the user will be credited with. Difference between the two is what you will be making on those transactions.','wpjobster')); ?></td>
							<td width="21%"><?php _e('Add new package:','wpjobster'); ?></td>
							<td><input name="newcost" type="text" size="10" /> <?php echo wpjobster_get_currency_classic(); ?></td>
							<td><input name="newcredit" type="text" size="10" /> <?php echo wpjobster_get_currency_classic(); ?></td>
							<td><input type="submit" class="button-secondary" name="wpjobster_save_topup_packages" value="<?php _e('Add Package','wpjobster'); ?>"/></td>
						</tr>

						<?php
						global $wpdb;
						$ss = "select * from ".$wpdb->prefix."job_topup_packages order by cost asc";
						$r = $wpdb->get_results($ss);
						if(count($r) > 0):

						foreach($r as $row) {

							echo '<tr id="user_package'.$row->id.'">';
							echo '<td></td>';
							echo '<td></td>';
							echo '<td>'.wpjobster_get_show_price_classic($row->cost,2).'</td>';
							echo '<td>'.wpjobster_get_show_price_classic($row->credit, 2).'</td>';
							echo '<td><a href="#" rel="'.$row->id.'" class="delete_user_package">'.__('Delete','wpjobster').'</a></td>';
							echo '</tr>';

						}
						else:
							echo '<tr>';
							echo '<td></td>';
							echo '<td></td>';
							echo '<td>' . __('No packages added yet.','wpjobster') . '</td>';
							echo '<td></td>';
							echo '<td></td>';
							echo '</tr>';

						endif;
						?>
					</table>
				</form>
				<?php if (!is_demo_admin()) { ?>
				<script>
					var $ = jQuery;
					$(document).ready(function() {
						$('.delete_user_package').click(function() {
							var id = $(this).attr('rel');
							$.ajax({
								type: "POST",
								url: "<?php echo get_bloginfo('url'); ?>/",
								data: "delete_user_package="+id,
								success: function(msg){
									$("#user_package" + id).hide();
								}
							});
						});
					});
				</script>
				<?php } ?>
			</div><!-- END topup -->

		</div>
	</div>

<?php }
