<?php
function show_html_private_messages() {
	global $cl_pm;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Private Messages', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#general-settings"><?php _e( 'General Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#private-messages"><?php _e( 'Private Messages', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- General Settings -->
			<div id="general-settings"><?php $cl_pm->save_private_messages_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=privmess">
					<table width="100%" class="wpj-admin-table">

						<tr>
							<td></td>
							<td><h2><?php _e( "General Settings", "wpjobster" ); ?></h2></td>
							<td></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( '', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Enable emoji on private messages:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_pm_emoji_enable', 'yes' ); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( '', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Enable emoji on chat:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_chat_emoji_enable', 'yes' ); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( '', 'wpjobster' ) ); ?></td>
							<td width="240"><?php _e( 'Enable emoji on transaction messages:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_transaction_emoji_enable', 'yes' ); ?></td>
						</tr>

						<tr>
							<td valign=top width="22"></td>
							<td width="25%"></td>
							<td>
								<input type="submit" class="button-secondary" name="wpjobster_save_private_messages_post" value="<?php echo __( 'Save', 'wpjobster' ); ?>"/>
							</td>
						</tr>

					</table>
				</form>
			</div>

			<!-- Private Messages -->
			<div id="private-messages">
				<?php
				$cl_pm->deletePrivateMessage();
				$cl_pm->deletePermanentlyPrivateMessage();
				wpj_search_user_private_messages_form();
				$rows = $cl_pm->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>
					<table class="widefat post fixed" cellspacing="0">
						<thead>
							<tr>
								<th width="25%"><?php _e( 'Sender', 'wpjobster' ); ?></th>
								<th width="25%"><?php _e( 'Receiver', 'wpjobster' ); ?></th>
								<th width="25%"><?php _e( 'Sent On', 'wpjobster' ); ?></th>
								<th width="25%"><?php _e( 'Options', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>
							<?php $i = 0;
							foreach( $rows['all'] as $row ) {
								$sender   = get_userdata( $row->initiator );
								$receiver = get_userdata( $row->user );
								$bg_color = ( $i % 2 ) ? '#E7E9F1' : '#FFFFFF'; $i++; ?>

								<tr style="background:<?php echo $bg_color; ?>">
									<th><?php echo isset( $sender->user_login ) ? wpj_get_user_display_type( $sender->ID ) : sprintf( __( 'Deleted User (ID: %d)', 'wpjobster' ), $row->initiator ); ?></th>
									<th><?php echo isset( $receiver->user_login ) ? wpj_get_user_display_type( $receiver->ID ) : sprintf( __( 'Deleted User (ID: %d)', 'wpjobster' ), $row->user ); ?></th>
									<th><?php echo wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $row->datemade ); ?></th>
									<th>
										<?php if ( $row->show_to_source == 1 && $row->show_to_destination == 1 ) { ?>
											<a href="<?php echo get_admin_url() . 'admin.php?page=privmess&del_mess=' . $row->id; ?>"><?php echo __( 'Delete', 'wpjobster' ); ?></a>
										<?php } else { _e( 'Message Deleted', 'wpjobster' ); ?>
											<br>
											<a href="<?php echo get_admin_url() . 'admin.php?page=privmess&p_del_mess=' . $row->id; ?>"><?php echo __( 'Permanent Delete', 'wpjobster' ); ?></a>
										<?php } ?>
									</th>
								</tr>

								<tr style="background:<?php echo $bg_color; ?>" id="message_<?php echo $row->id; ?>">
									<th colspan="5">

										<strong><?php echo __( "Message Content:", "wpjobster" ); ?></strong><?php echo $row->content;

										do_action( 'wpj_after_admin_private_message_content', $row ); ?>

									</th>
								</tr>

							<?php } ?>
						</tbody>
					</table>

					<?php wpj_admin_show_pagination_bar( $rows, array( 'at' => 'private-messages' ) );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'There are no private messages!', 'wpjobster' ); ?>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>
<?php }

function wpj_search_user_private_messages_form() { ?>
	<form method="get" action="<?php bloginfo('url'); ?>/wp-admin/admin.php">
		<input type="hidden" value="privmess" name="page" />
		<input type="hidden" value="private-messages" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_balance_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }
