<?php
function show_html_subscriptions() {
	global $subscription;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Subscriptions Settings', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'Subscriptions Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs2"><?php _e( 'Eligibility Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs3"><?php _e( 'Features Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs4"><?php _e( 'Price Limits', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- Subscriptions settings -->
			<div id="tabs1" style="display: block;">
				<?php $subscription->save_subscription_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=subscriptions&active_tab=tabs1">
					<?php if ( ! wpjobster_subscriptions_allowed() ) { ?>
						<div class="wpjobster-update-nag wpjobster-notice">
							This feature is Entrepreneur license exclusive. <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">Buy</a> a new license or <a href="http://wpjobster.com/contact/" target="_blank">contact us</a> for upgrading.
						</div>
					<?php } ?>

					<table width="100%" class="wpj-admin-table <?php if ( ! wpjobster_subscriptions_allowed() ) { echo "wpjobster-disabled-settings"; } ?>">
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Check this option to enable the subscription.', 'wpjobster' ) ); ?></td>
							<td valign="top"><?php _e( 'Enabled', 'wpjobster' ); ?>:</td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_enabled', 'no' ); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Free user level.', 'wpjobster' ) ); ?></td>
							<td valign="top"><?php echo sprintf( __( 'Subscription Level %d', 'wpjobster' ), 0 ); ?>:</td>
							<td>
								<?php $level0_name = get_option( 'wpjobster_subscription_name_level0' ); ?>
								<label class='wpjobster-label-80' for='wpjobster_subscription_name_level0'><?php _e( 'Name', 'wpjobster' ); ?>:</label>
								<input class='sbc_level_name' type='text' size="10" name="wpjobster_subscription_name_level0" id="wpjobster_subscription_name_level0" value='<?php echo $level0_name; ?>' placeHolder="<?php echo __( 'Leave empty for translatable string', 'wpjobster' ); ?>" /><br />
								<?php _e( 'Free', 'wpjobster' ); ?>
							</td>
						</tr>

						<?php for ( $i = 1; $i <= 3; $i++ ) { $subscription->list_subscription_row( $i ); } ?>

						<tr>
							<td></td>
							<td></td>
							<td><?php _e( "The Send Email buttons from above let you manually send a notification about the price change only to the users affected by it.", "wpjobster" ); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'How many days in advance to notify the user about the expiration of his subscription.', 'wpjobster' ) ); ?></td>
							<td width="150" valign="top"><?php _e( 'Email notification before expiring subscription', 'wpjobster' ); ?>:</td>
							<td>
								<?php $arr_days = array( 1=>1, 2=>2, 3=>3, 4=>4, 5=>5, 6=>6 );
								echo wpjobster_get_option_drop_down( $arr_days, 'wpjobster_subscription_prior_notification' ) . __( "days", "wpjobster" ); ?>
							</td>
						</tr>

						<tr>
							<td></td>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_subscription_settings" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END subscriptions settings -->

			<!-- Eligibility settings -->
			<div id="tabs2" style="display: none;">
				<?php $subscription->save_eligibility_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=subscriptions&active_tab=tabs2">

					<?php if ( ! wpjobster_subscriptions_allowed() ) { ?>
						<div class="wpjobster-update-nag wpjobster-notice">
							This feature is Entrepreneur license exclusive. <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">Buy</a> a new license or <a href="http://wpjobster.com/contact/" target="_blank">contact us</a> for upgrading.
						</div>
					<?php } ?>

					<table width="100%" class="wpj-admin-table <?php if ( ! wpjobster_subscriptions_allowed() ) { echo "wpjobster-disabled-settings"; } ?>">
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Select yes for this option to enable the eligibility.', 'wpjobster' ) ); ?></td>
							<td valign="top"><?php _e( 'Enable Eligibility', 'wpjobster' ); ?>:</td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_eligibility_enabled', 'no' ); ?></td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( sprintf( __( 'User needs to have total sales more than eligibility amount in order to reach level %d', 'wpjobster' ), 1 ) ); ?></td>
							<td width="220"  valign="top"><?php echo sprintf( __( 'Level %d sales amount needed', 'wpjobster' ), 1 ); ?>:</td>
							<td>
								<input type="number" step="0.01" name="wpjobster_subscription_eligibility_amount_level1"  id="wpjobster_subscription_eligibility_amount_level1" value='<?php echo get_option( 'wpjobster_subscription_eligibility_amount_level1' ); ?>' />
								<?php echo wpjobster_get_currency_classic(); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( sprintf( __( 'User needs to have total sales more than eligibility amount in order to reach level %d', 'wpjobster' ), 2 ) ); ?></td>
							<td width="150"  valign="top"><?php echo sprintf( __( 'Level %d sales amount needed', 'wpjobster' ), 2 ); ?>:</td>
							<td>
								<input type="number" step="0.01" name="wpjobster_subscription_eligibility_amount_level2"  id="wpjobster_subscription_eligibility_amount_level2" value='<?php echo get_option( 'wpjobster_subscription_eligibility_amount_level2' ); ?>' />
								<?php echo wpjobster_get_currency_classic(); ?>
							</td>
						</tr>

						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( sprintf( __( 'User needs to have total sales more than eligibility amount in order to reach level %d', 'wpjobster' ), 3 ) ); ?></td>
							<td width="150"  valign="top"><?php echo sprintf( __( 'Level %d sales amount needed', 'wpjobster' ), 3 ); ?>:</td>
							<td>
								<input type="number" step="0.01" name="wpjobster_subscription_eligibility_amount_level3"  id="wpjobster_subscription_eligibility_amount_level3" value='<?php echo get_option( 'wpjobster_subscription_eligibility_amount_level3' ); ?>' />
								<?php echo wpjobster_get_currency_classic(); ?>
							</td>
						</tr>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_eligibility_settings" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>

					</table>
				</form>
			</div><!-- END eligibility settings -->

			<!-- Features settings -->
			<div id="tabs3" style="display:none;">
				<?php $subscription->save_features_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=subscriptions&active_tab=tabs3">

					<?php if ( ! wpjobster_subscriptions_allowed() ) { ?>
						<div class="wpjobster-update-nag wpjobster-notice">
							This feature is Entrepreneur license exclusive. <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">Buy</a> a new license or <a href="http://wpjobster.com/contact/" target="_blank">contact us</a> for upgrading.
						</div>
					<?php } ?>

					<table width="100%" class="wpj-admin-table subscription-form-settings <?php if ( ! wpjobster_subscriptions_allowed() ) { echo "wpjobster-disabled-settings"; } ?>">
						<tr>
							<td></td>
							<td></td>
							<td class='toplabel'>
								<span><?php _e( 'Enabled', 'wpjobster' ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 0 ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 1 ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 2 ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 3 ); ?></span>
							</td>
						</tr>

						<?php $subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Percentage fees will be charged from the seller for any sold job. This will override the default fees.', 'wpjobster' ),
							'label'       => __( 'Fees to be Charged', 'wpjobster' ),
							'select_name' => 'wpjobster_fees_for_subscriber_enabled',
							'inp_name'    => 'wpjobster_subscription_fees_level',
							'after_input' => '%'
						) ); ?>

						<tr><td colspan="3"></td>

						<?php do_action( 'add_features_options_for_subscription', $arr );

						if ( get_option( 'wpjobster_packages_enabled' ) != 'no' && get_option( 'wpjobster_price_type' ) == 'free_input' ) { ?>

							<tr>
								<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Enable or disable job packages', 'wpjobster' ) ); ?></td>
								<td width="150" valign="top"><?php _e( 'Job Packages', 'wpjobster' ); ?>:</td>
								<td>
									<input type="number" step="0.01" disabled>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_packages_level0', 'no' ); ?>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_packages_level1', 'no' ); ?>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_packages_level2', 'no' ); ?>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_packages_level3', 'no' ); ?>
								</td>

							</tr>
						<?php } ?>

						<?php if ( get_option( 'wpjobster_tips_enabled' ) != 'no' ) { ?>

							<tr>
								<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Enable tips for seller', 'wpjobster' ) ); ?></td>
								<td width="150" valign="top"><?php _e( 'Tips', 'wpjobster' ); ?>:</td>
								<td>
									<input type="number" step="0.01" disabled>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_tips_level0', 'yes' ); ?>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_tips_level1', 'yes' ); ?>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_tips_level2', 'yes' ); ?>
									<?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_subscription_tips_level3', 'yes' ); ?>
								</td>
							</tr>

						<?php }

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'No. of extras allowed for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Extra Services', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_noof_extras_enabled',
							'inp_name'    => 'wpjobster_subscription_noof_extras_level',
							'ipn_step'    => '1',
							'after_input' => ' ' . sprintf( __( 'max %d', 'wpjobster' ), 10 )
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Enable extra fast delivery subscription and <br> No. of multiples allowed for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Extra Fast Delivery', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_ex_fast_delivery_enabled',
							'inp_name'    => 'wpjobster_subscription_fast_del_multiples_level',
							'ipn_step'    => '1'
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Enable Additional revision subscription', 'wpjobster' ),
							'label'       => __( 'Additional Revision', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_additional_revision_enabled',
							'inp_name'    => 'wpjobster_subscription_add_rev_multiples_level',
							'ipn_step'    => '1'
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'No. of multiples allowed for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Job Multiples', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_job_multiples_enabled',
							'inp_name'    => 'wpjobster_subscription_job_multiples_level',
							'ipn_step'    => '1'
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'No. of multiples allowed for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Extra Multiples', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_extra_multiples_enabled',
							'inp_name'    => 'wpjobster_subscription_extra_multiples_level',
							'ipn_step'    => '1'
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'No. of multiples allowed for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Video Multiples', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_video_multiples_enabled',
							'inp_name'    => 'wpjobster_subscription_video_multiples_level',
							'ipn_step'    => '1'
						) );
						?>

						<tr><td colspan="3"></td>

						<?php
						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Label displayed on hover for each level icon', 'wpjobster' ),
							'label'       => __( 'Profile Label', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_profile_label_enabled',
							'inp_name'    => 'wpjobster_subscription_profile_label_level',
							'inp_type'    => 'text'
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Icon URL for each level', 'wpjobster' ),
							'label'       => __( 'Icon URL', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_icon_url_enabled',
							'inp_name'    => 'wpjobster_subscription_icon_url_level',
							'inp_class'   => 'icon-url',
							'inp_type'    => 'text',
							'after_input' => '
								<img src="' . get_option( 'wpjobster_subscription_icon_url_level0' ) . '" class="icon-url-img" id="wpjobster_subscription_icon_url_level0_img" />
								<img src="' . get_option( 'wpjobster_subscription_icon_url_level1' ) . '" class="icon-url-img" id="wpjobster_subscription_icon_url_level1_img" />
								<img src="' . get_option( 'wpjobster_subscription_icon_url_level2' ) . '" class="icon-url-img" id="wpjobster_subscription_icon_url_level2_img" />
								<img src="' . get_option( 'wpjobster_subscription_icon_url_level3' ) . '" class="icon-url-img" id="wpjobster_subscription_icon_url_level2_img" />
							'
						) );
						?>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_features_settings" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END features settings -->

			<!-- Price limits settings -->
			<div id="tabs4" style="display:none;">
				<?php $subscription->save_price_limits_settings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=subscriptions&active_tab=tabs4">

					<?php if ( ! wpjobster_subscriptions_allowed() ) { ?>
						<div class="wpjobster-update-nag wpjobster-notice">
							This feature is Entrepreneur license exclusive. <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">Buy</a> a new license or <a href="http://wpjobster.com/contact/" target="_blank">contact us</a> for upgrading.
						</div>
					<?php } ?>

					<table width="100%" class="wpj-admin-table subscription-form-settings <?php if ( ! wpjobster_subscriptions_allowed() ) { echo "wpjobster-disabled-settings"; } ?>">

						<tr>
							<td></td>
							<td></td>
							<td class='toplabel'>
								<span><?php _e( 'Enabled', 'wpjobster' ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 0 ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 1 ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 2 ); ?></span>
								<span><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 3 ); ?></span>
							</td>
						</tr>

						<?php
						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Min job price for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Min job amount', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_min_job_price_enabled',
							'inp_name'    => 'wpjobster_subscription_min_job_price_level',
							'after_input' => wpjobster_get_currency_classic()
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Max job price for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Max job amount', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_max_job_price_enabled',
							'inp_name'    => 'wpjobster_subscription_max_job_price_level',
							'after_input' => wpjobster_get_currency_classic()
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Min extras amount for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Min extra amount', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_min_extra_price_enabled',
							'inp_name'    => 'wpjobster_subscription_min_extra_price_level',
							'after_input' => wpjobster_get_currency_classic()
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Max extras amount for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Max extra amount', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_max_extra_price_enabled',
							'inp_name'    => 'wpjobster_subscription_max_extra_price_level',
							'after_input' => wpjobster_get_currency_classic()
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Min custom extras amount for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Min custom extras amount', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_min_custom_extras_enabled',
							'inp_name'    => 'wpjobster_subscription_min_customextrasamount_level',
							'after_input' => wpjobster_get_currency_classic()
						) );

						$subscription->list_subscription_feature_row( array(
							'bullet'      => __( 'Max custom extras amount for each level of subscription', 'wpjobster' ),
							'label'       => __( 'Max custom extras amount', 'wpjobster' ),
							'select_name' => 'wpjobster_subscription_custom_extras_enabled',
							'inp_name'    => 'wpjobster_subscription_max_customextrasamount_level',
							'after_input' => wpjobster_get_currency_classic()
						) );
						?>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_price_limits_settings" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/></td>
						</tr>
					</table>
				</form>
			</div><!-- END price limits settings -->

		</div><!-- END <div id="usual2" class="usual"> -->
	</div><!-- END <div class="wrap"> -->
<?php }
