<?php
function show_html_transaction_messages() {

	global $cl_tm;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Chat Box Messages', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'Transaction Messages', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- Transaction Messages -->
			<div id="tabs1">
				<?php
				$cl_tm->deleteTransactionMessage();
				wpj_search_user_transaction_messages_form();
				$rows = $cl_tm->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>
					<table class="widefat post fixed" cellspacing="0">
						<thead>
							<tr>
								<th><?php _e( 'Sender', 'wpjobster' ); ?></th>
								<th><?php _e( 'Receiver', 'wpjobster' ); ?></th>
								<th><?php _e( 'Job Owner', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Job Title', 'wpjobster' ); ?></th>
								<th><?php _e( 'Sent On', 'wpjobster' ); ?></th>
								<th width="25%"><?php _e( 'Options', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>
							<?php $i = 0;
							foreach( $rows['all'] as $row ) {
								$wpjobster_get_order_row_obj = wpjobster_get_order_details_by_orderid( $row->oid );
								$post        = get_post( $wpjobster_get_order_row_obj->pid );
								$post_author = $post ? get_userdata( $post->post_author ) : '';
								$sender      = get_userdata( $row->uid );
								$receiver    = ( $post_author ) ? $post_author : get_userdata( $wpjobster_get_order_row_obj->uid );
								$receiver    = $receiver == $sender ? get_userdata ( wpj_get_buyer_id( $row->oid ) ) : $receiver;
								$bg_color    = ( $i % 2 ) ? '#E7E9F1' : '#FFFFFF'; $i++; ?>

								<tr style="background:<?php echo $bg_color; ?>">
									<th><?php if ( $sender ) echo wpj_get_user_display_type( $sender->ID ); ?></th>
									<th><?php if ( $receiver ) echo wpj_get_user_display_type( $receiver->ID ); ?></th>
									<th><?php if ( $post_author ) echo wpj_get_user_display_type( $post_author->ID ); ?></th>
									<th>
										<?php if ( $post ) echo '<a href="' . get_permalink( $wpjobster_get_order_row_obj->pid ) . '">' . $post->post_title . '</a>'; ?>
									</th>
									<th><?php echo wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $row->datemade ); ?></th>
									<th>
										<a href="<?php echo get_admin_url() . 'admin.php?page=chatmess&del_mess=' . $row->id; ?>"><?php echo __( 'Delete', 'wpjobster' ); ?></a>
									</th>
								</tr>

								<tr style="background:<?php echo $bg_color; ?>" id="message_<?php $row->id; ?>">
									<th colspan="6"><strong><?php echo __( 'Message Content:', 'wpjobster' ); ?></strong><?php echo $row->content; ?></th>
								</tr>
							<?php } ?>
						</tbody>
					</table>

					<?php wpj_admin_show_pagination_bar( $rows );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'There are no private messages.!', 'wpjobster' ); ?>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>
<?php }

function wpj_search_user_transaction_messages_form() { ?>
	<form method="get" action="<?php bloginfo('url'); ?>/wp-admin/admin.php">
		<input type="hidden" value="chatmess" name="page" />
		<input type="hidden" value="tabs1" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_balance_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }

