<?php
function show_html_transactions() {
	global $cl_transactions;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Transactions', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">

			<ul>
				<li><a href="#tabs1"><?php _e( 'Transactions', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- Transactions -->
			<div id="tabs1">
				<?php wpj_search_user_transaction_form();
				$rows = $cl_transactions->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>
					<table class="widefat post fixed" cellspacing="0">
						<thead>
							<tr>
								<th width="10%"><?php _e( 'Transaction ID', 'wpjobster' ); ?></th>
								<th width="10%"><?php _e( 'Username', 'wpjobster' ); ?></th>
								<th width="40%"><?php _e( 'Comment/Description', 'wpjobster' ); ?></th>
								<th><?php _e( 'Date Made', 'wpjobster' ); ?></th>
								<th><?php _e( 'Amount', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>
							<?php foreach( $rows['all'] as $row ) {

								$user = ( $row->uid ) ? get_userdata( $row->uid ) : '';
								$username = ( $user ) ? wpj_get_user_display_type( $user->ID ) : '';

								if ( $row->tp == 0 ) { $sign = '-'; $cl = 'redred'; }
								else { $sign = '+'; $cl = 'greengreen'; }

								$t_id = $row->oid ? ' (#'.wpjobster_camouflage_order_id( $row->oid ).')' : ''; ?>

								<tr>
									<th><?php echo $row->id . $t_id; ?></th>
									<th><?php echo $username; ?></th>
									<th><?php echo $row->reason; ?></th>
									<th><?php echo wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $row->datemade ); ?></th>
									<th class="<?php echo $cl; ?>"><?php echo $sign . wpjobster_get_show_price_classic( $row->amount, 2 ); ?></th>
								</tr>
							<?php } ?>
						</tbody>
					</table>

					<?php wpj_admin_show_pagination_bar( $rows );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'There are no transactions yet!', 'wpjobster' ); ?>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>
<?php }

function wpj_search_user_transaction_form() { ?>
	<form method="get" action="<?php bloginfo('url'); ?>/wp-admin/admin.php">
		<input type="hidden" value="trans-site" name="page" />
		<input type="hidden" value="tabs1" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_balance_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }
