<?php
function show_html_user_badges() {
	global $ub;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'User Badges', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'User Badge Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs2"><?php _e( 'Badge Settings', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- User Badge Settings -->
			<div id="tabs1">
				<?php wpj_search_user_badge_form();
				$rows = $ub->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>
					<table class="widefat post fixed badge-wrapper" cellspacing="0">
						<thead>
							<tr>
								<th width="15%"><?php _e( 'Username', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Email', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Date Registered', 'wpjobster' ); ?></th>
								<th><?php _e( 'Select Badge', 'wpjobster' ); ?></th>
								<th><?php _e( 'Action', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>

							<?php foreach ( $rows['all'] as $row ) { ?>

								<tr>
									<th><?php $user = get_userdata( $row->ID ); echo wpj_get_user_display_type( $user->ID ); ?></th>

									<th><?php echo apply_filters( 'wpj_sensitive_info_email', $row->user_email ); ?></th>

									<th><?php echo $row->user_registered; ?></th>

									<th class="scrolling">
										<?php $user_badge = get_user_meta ( $row->ID, 'user_badge', true );
										if ( $user_badge && ! is_array( $user_badge ) ) $user_badge = array( $user_badge );

										$badges_data = get_option( 'wpj_user_badges_data' );

										if ( $badges_data && is_array( $badges_data ) ) {
											foreach ( $badges_data as $key => $badge ) { $key++; ?>

												<input <?php if ( $user_badge && in_array( $key, $user_badge ) ) echo 'checked="checked"'; ?> type="checkbox" name="badges[]" value="<?php echo $key; ?>" />&nbsp;&nbsp;<i class="<?php echo $badge['icon']; ?> icon"></i>&nbsp;<?php echo sprintf( __( 'Badge %s', 'wpjobster' ), $key ); ?><br>

											<?php }
										} ?>

									</th>

									<th>
										<input type="button" value="<?php _e( 'Update', 'wpjobster' ); ?>" class="btn_update_user_badges" alt="<?php echo $row->ID; ?>" />
									</th>
								</tr>

							<?php } ?>

						</tbody>
					</table>

					<?php wpj_admin_show_pagination_bar( $rows );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'No users!', 'wpjobster' ); ?>
					</div>
				<?php } ?>

			</div>

			<!-- Badge Settings -->
			<div id="tabs2">
				<?php $ub->saveBadgeSettings(); ?>
				<form class="rating" id="rating"  action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=user_badges&active_tab=tabs2" method="POST">

					<table class="wpj-admin-table" width="100%">
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Select Yes if you want to let the users buy badges.', 'wpjobster' ) ); ?></td>
							<td width="15%"><?php _e( 'Enable badges sale:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_badges_sale', 'no' ); ?></td>
						</tr>
					</table>

					<table class="wpj-admin-table" width="100%">

						<tr>
							<td width="7%"></td>
							<td width="25%"><?php _e( 'Text', 'wpjobster' ); ?></td>
							<td width="18%"><?php _e( 'Icon', 'wpjobster' ); ?><i id="badge-help" class="question circle outline icon cursor-pointer"></i>
								<div id="icon-example" class="icon-example">
									<?php _e( 'Example: info, list alternate outline, address card outline, file outline, image outline, video, plus square outline, truck.', 'wpjobster' );
									echo '<br>';
									echo sprintf( __( 'All icons: %s', 'wpjobster' ), '<a href="https://semantic-ui.com/elements/icon.html" target="_blank">https://semantic-ui.com/elements/icon.html</a>' ); ?>
								</div>
							</td>
							<td width="20%"><?php echo sprintf( __( 'Price (%s)', 'wpjobster' ), wpjobster_get_currency_classic() ); ?></td>
							<td width="15%"><?php _e( 'Min rating (min 0, max 5)', 'wpjobster' ); ?></td>
							<td width="15%"><?php _e( 'Min reviews number', 'wpjobster' ); ?></td>
						</tr>

						<?php $badges_data = get_option( 'wpj_user_badges_data' );

						$key = 0;
						if ( $badges_data && is_array( $badges_data ) ) {
							foreach ( $badges_data as $key => $badge ) { $key++; ?>

								<tr>
									<td><?php echo sprintf( __( 'Badge %s', 'wpjobster' ), $key ); ?></td>
									<td><textarea class="w100" name="wpj_badge_text[]"><?php echo $badge['text']; ?></textarea></td>
									<td><input class="w100" type="text" name="wpj_badge_icon[]" value="<?php echo $badge['icon']; ?>" /></td>
									<td><input class="w100" type="number" step="0.1" name="wpj_badge_price[]" value="<?php echo $badge['price']; ?>" /></td>
									<td><input class="w100" type="number" name="wpj_badge_min_rating[]" value="<?php echo $badge['min_rating']; ?>" step="0.01" /></td>
									<td><input class="w100" type="number" name="wpj_badge_min_reviews[]" value="<?php echo $badge['min_reviews']; ?>" /></td>
								</tr>

							<?php }
						} ?>

						<tr>
							<td><?php echo sprintf( __( 'Badge %s', 'wpjobster' ), $key + 1 ); ?></td>
							<td><textarea class="w100" name="wpj_badge_text[]"></textarea></td>
							<td><input class="w100" type="text" name="wpj_badge_icon[]" value="" /></td>
							<td><input class="w100" type="number" step="0.1" name="wpj_badge_price[]" value="" /></td>
							<td><input class="w100" type="number" name="wpj_badge_min_rating[]" value="" step="0.01" /></td>
							<td><input class="w100" type="number" name="wpj_badge_min_reviews[]" value="" /></td>
						</tr>

						<tr><td colspan="5"><input name="wpjobster_save_badge" value="<?php echo __( 'Save Options', 'wpjobster' ); ?>" type="submit"></td></tr>
					</table>

				</form>
			</div>
		</div>
	</div>
<?php }

function wpj_search_user_badge_form() { ?>
	<form method="get" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php">
		<input type="hidden" value="user_badges" name="page" />
		<input type="hidden" value="tabs1" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_badge_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }
