<?php
function show_html_user_balances() {
	global $ubl;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'User Balances', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'User Balance Settings', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- User Balance Settings -->
			<div id="tabs1">

				<?php wpj_search_user_balance_form();
				$rows = $ubl->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>
					<table class="widefat post fixed" cellspacing="0">
						<thead>
							<tr>
								<th width="15%"><?php _e( 'Username', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Email', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Date Registered', 'wpjobster' ); ?></th>
								<th width="13%" ><?php _e( 'Cash Balance', 'wpjobster' ); ?></th>
								<th ><?php _e( 'Options', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>

							<?php foreach( $rows['all'] as $row ) { ?>
								<tr>
									<td><?php $user = get_userdata( $row->ID ); echo wpj_get_user_display_type( $user->ID ); ?></td>
									<td><?php echo apply_filters( 'wpj_sensitive_info_email', $row->user_email ); ?></td>
									<td><?php echo $row->user_registered; ?></td>
									<td>
										<span id="money<?php echo $row->ID; ?>"><?php echo wpjobster_get_show_price_classic( wpjobster_get_credits( $row->ID ), 2 ); ?></span>
									</td>
									<td>
										<?php _e( 'Increase Cash:', 'wpjobster' ); ?>&nbsp;&nbsp;
										<input type="text" class="js-user-balances" size="4" id="increase_credits<?php echo $row->ID; ?>" rel="<?php echo $row->ID; ?>" />
										<?php echo wpjobster_get_currency_classic(); ?>

										<br/>

										<?php _e( 'Decrease Cash:', 'wpjobster'); ?>&nbsp;
										<input type="text" class="js-user-balances" size="4" id="decrease_credits<?php echo $row->ID; ?>" rel="<?php echo $row->ID; ?>" />
										<?php echo wpjobster_get_currency_classic(); ?>

										<input type="button" value="<?php _e( 'Update', 'wpjobster' ); ?>" class="btn_update_user_balances" alt="<?php echo $row->ID; ?>" />
									</td>
								</tr>
							<?php } ?>

						</tbody>
					</table>

					<?php wpj_admin_show_pagination_bar( $rows );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'No users!', 'wpjobster' ); ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php }

function wpj_search_user_balance_form() { ?>
	<form method="get" action="<?php bloginfo('url'); ?>/wp-admin/admin.php">
		<input type="hidden" value="User-Balances" name="page" />
		<input type="hidden" value="tabs1" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_balance_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }
