<?php
function show_html_user_levels() {
	global $ul;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'User Levels', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'User Level Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs2"><?php _e( 'Level Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs3"><?php _e( 'Eligibility Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs4"><?php _e( 'Features Settings', 'wpjobster' ); ?></a></li>
				<li><a href="#tabs5"><?php _e( 'Price Limits', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- User Level Settings -->
			<div id="tabs1" style="display: block;">
				<?php wpj_search_user_level_form();
				$rows = $ul->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>
					<table class="widefat post fixed" cellspacing="0">
						<thead>
							<tr>
								<th width="15%"><?php _e( 'Username', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Email', 'wpjobster' ); ?></th>
								<th width="20%"><?php _e( 'Date Registered', 'wpjobster' ); ?></th>
								<th width="45%"><?php _e( 'Options', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>
							<?php foreach( $rows['all'] as $row ) { ?>
								<tr>
									<th><?php $user = get_userdata( $row->ID ); echo wpj_get_user_display_type( $user->ID ); ?></th>
									<th><?php echo apply_filters( 'wpj_sensitive_info_email', $row->user_email ); ?></th>
									<th><?php echo $row->user_registered; ?></th>
									<th><?php $user_level = wpjobster_get_user_level( $row->ID ); ?>

										<?php _e( 'Level 0:', 'wpjobster' ); ?>
										<input <?php if ( $user_level != "1" && $user_level != "2" && $user_level != "3" ) echo 'checked="checked"'; ?> type="radio" name="user_level<?php echo $row->ID; ?>" class="js-user-level" id="user_level_0_<?php echo $row->ID; ?>" rel="<?php echo $row->ID; ?>" /><br/>

										<?php _e( 'Level 1:', 'wpjobster' ); ?>
										<input <?php if ( $user_level == "1" ) echo 'checked="checked"'; ?> type="radio" name="user_level<?php echo $row->ID; ?>" id="user_level_1_<?php echo $row->ID; ?>" class="js-user-level" rel="<?php echo $row->ID; ?>" /><br/>

										<?php _e( 'Level 2:', 'wpjobster' ); ?>
										<input <?php if ( $user_level == "2" ) echo 'checked="checked"'; ?> type="radio" name="user_level<?php echo $row->ID; ?>" id="user_level_2_<?php echo $row->ID; ?>" class="js-user-level" rel="<?php echo $row->ID; ?>" /><br/>

										<?php _e( 'Level 3:', 'wpjobster' ); ?>
										<input <?php if ( $user_level == "3" ) echo 'checked="checked"'; ?> type="radio" name="user_level<?php echo $row->ID; ?>" id="user_level_3_<?php echo $row->ID; ?>" class="js-user-level" rel="<?php echo $row->ID; ?>" />

										<input type="button" value="<?php _e( 'Update', 'wpjobster' ); ?>" class="btn_update_user_level" alt="<?php echo $row->ID; ?>" />
									</th>
								</tr>
							<?php } ?>
						</tbody>
					</table>

					<?php wpj_admin_show_pagination_bar( $rows );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'No users!', 'wpjobster' ); ?>
					</div>
				<?php } ?>
			</div>

			<!-- Level Settings -->
			<div id="tabs2"><?php $ul->saveLevelSettings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=user_levels&active_tab=tabs2">
					<table width="100%" class="wpj-admin-table user-level">

						<!-- Default User Level -->
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Set a value up to 3 max.', 'wpjobster' ) ); ?></td>
							<td width="200"><?php _e( 'Default User Level:', 'wpjobster' ); ?></td>
							<td><input type="number" size="3" name="wpjobster_default_level_nr" value="<?php echo get_option( 'wpjobster_default_level_nr' ); ?>"/></td>
						</tr>

						<!-- Automatically upgrade levels -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'Do you want to automatically upgrade the levels?', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Automatically upgrade levels:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_auto_upgrade_user_level', 'yes' ); ?></td>
						</tr>

						<!-- Automatically downgrade levels -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'Do you want to automatically downgrade the levels?', 'wpjobster' ) ); ?></td>
							<td><?php _e( 'Automatically downgrade levels:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_auto_downgrade_user_level', 'yes' ); ?></td>
						</tr>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_level_settings" value="<?php _e( 'Save options', 'wpjobster' ); ?>" /></td>
							<td></td>
						</tr>
					</table>
				</form>
			</div>

			<!-- Eligibility Settings -->
			<div id="tabs3"><?php $ul->saveEligibilitySettings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=user_levels&active_tab=tabs3">
					<table width="100%" class="wpj-admin-table user-level">
						<tr>
							<td width="22"></td>
							<td width="200"></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 0 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 1 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 2 ); ?></td>
							<td></td>
						</tr>

						<!-- Recheck period for upgrade -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'How often should we check again if user levels need to be updated?', 'wpjobster' ) ); ?></td>
							<td><?php echo __('Recheck period for upgrade:', 'wpjobster'); echo ' '; ?></td>
							<td><input type="number" size="3" min="1" max="12" name="wpjobster_level0_recheck_interval"  value="<?php echo get_option( 'wpjobster_level0_recheck_interval'); ?>" /></td>
							<td><input type="number" size="3" min="1" max="12" name="wpjobster_level1_recheck_interval"  value="<?php echo get_option( 'wpjobster_level1_recheck_interval'); ?>" /></td>
							<td><input type="number" size="3" min="1" max="12" name="wpjobster_level2_recheck_interval"  value="<?php echo get_option( 'wpjobster_level2_recheck_interval'); ?>" /></td>
							<td><?php _e("months","wpjobster");?></td>
						</tr>

						<!-- Required amount for upgrade -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet('The minumum amount the user should have sold in the previous month.'); ?></td>
							<td><?php _e('Required amount for upgrade:', 'wpjobster')?></td>
							<td></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_level1_min" value="<?php echo get_option('wpjobster_level1_min'); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_level2_min" value="<?php echo get_option('wpjobster_level2_min'); ?>"/></td>
							<td><?php echo wpjobster_get_currency_classic(); ?></td>
						</tr>

						<!-- Required ratings for upgrade -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet('Percentage of rating needed in order to upgrade the level.'); ?></td>
							<td><?php _e('Required ratings for upgrade:', 'wpjobster'); ?></td>
							<td></td>
							<td><input type="number" size="3" min="0" max="100" name="wpjobster_level1_upgrade_rating"  value="<?php echo get_option( 'wpjobster_level1_upgrade_rating'); ?>" /></td>
							<td><input type="number" size="3" min="0" max="100" name="wpjobster_level2_upgrade_rating"  value="<?php echo get_option( 'wpjobster_level2_upgrade_rating'); ?>" /></td>
							<td><?php echo '%'; ?></td>
						</tr>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_eligibility_settings" value="<?php _e( 'Save options', 'wpjobster' ); ?>" /></td>
							<td colspan="4"></td>
						</tr>
					</table>
				</form>
			</div>

			<!-- Features Settings -->
			<div id="tabs4"><?php $ul->saveFeaturesSettings(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=user_levels&active_tab=tabs4">
					<table width="100%" class="wpj-admin-table user-level">
						<tr>
							<td width="22"></td>
							<td width="200"></td>
							<td width="80"><?php _e( 'Enabled', 'wpjobster' ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 0 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 1 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 2 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 3 ); ?></td>
							<td></td>
						</tr>

						<?php do_action( 'wpj_user_level_features_settings_list', $arr ); ?>

						<!-- Job Packages -->
						<?php if ( get_option( 'wpjobster_packages_enabled' ) != 'no' && get_option( 'wpjobster_price_type' ) == 'free_input' ) { ?>
							<tr>
								<td valign="top"><?php wpjobster_theme_bullet( __( 'Enable job packages', 'wpjobster' ) ); ?></td>
								<td><?php _e( 'Job packages:', 'wpjobster' ); ?></td>
								<td></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level0_packages', 'no' );?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level1_packages', 'no' );?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level2_packages', 'no' );?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level3_packages', 'no' );?></td>
								<td></td>
							</tr>
						<?php } ?>

						<!-- Tips -->
						<?php if ( get_option( 'wpjobster_tips_enabled' ) != 'no' ) { ?>
							<tr>
								<td valign="top"><?php wpjobster_theme_bullet( __( 'Enable tips for seller', 'wpjobster' ) ); ?></td>
								<td><?php _e( 'Tips:', 'wpjobster' ); ?></td>
								<td></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level0_tips', 'yes' );?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level1_tips', 'yes' );?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level2_tips', 'yes' );?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_get_level3_tips', 'yes' );?></td>
								<td></td>
							</tr>
						<?php } ?>

						<!-- Extra -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'Enable Extra services', 'wpjobster' ) ); ?></td>

							<td><?php _e( 'Extra services:', 'wpjobster' ); ?></td>

							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_extra' );?></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level0_extras" value="<?php echo get_option( 'wpjobster_get_level0_extras' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level1_extras" value="<?php echo get_option( 'wpjobster_get_level1_extras' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level2_extras" value="<?php echo get_option( 'wpjobster_get_level2_extras' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level3_extras" value="<?php echo get_option( 'wpjobster_get_level3_extras' ); ?>"/></td>
							<td><?php echo ' ' . sprintf( __( 'max %d', 'wpjobster' ), 10 ); ?></td>
						</tr>

						<!-- Extra Fast Delivery -->
						<?php if ( ! wpj_is_allowed( 'fast_del_multiples' ) ) { ?>
							<tr>
								<td colspan="8">
									<?php wpj_disabled_settings_notice( 'fast_del_multiples' ); ?>
								</td>
							</tr>
						<?php } ?>

						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'Enable Extra fast delivery and <br> Max Fast Delivery Multiples for user level', 'wpjobster' ) ); ?></td>

							<td><?php _e( 'Extra fast delivery:', 'wpjobster' ); ?></td>

							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_extra_fast_delivery' );?></td>
							<td><input class="<?php wpj_disabled_settings_class( 'fast_del_multiples' ); ?>" type="number" step="1" size="5" name="wpjobster_get_level0_fast_delivery_multiples" value="<?php echo get_option( 'wpjobster_get_level0_fast_delivery_multiples' ); ?>"/></td>
							<td><input class="<?php wpj_disabled_settings_class( 'fast_del_multiples' ); ?>" type="number" step="1" size="5" name="wpjobster_get_level1_fast_delivery_multiples" value="<?php echo get_option( 'wpjobster_get_level1_fast_delivery_multiples' ); ?>"/></td>
							<td><input class="<?php wpj_disabled_settings_class( 'fast_del_multiples' ); ?>" type="number" step="1" size="5" name="wpjobster_get_level2_fast_delivery_multiples" value="<?php echo get_option( 'wpjobster_get_level2_fast_delivery_multiples' ); ?>"/></td>
							<td><input class="<?php wpj_disabled_settings_class( 'fast_del_multiples' ); ?>" type="number" step="1" size="5" name="wpjobster_get_level3_fast_delivery_multiples" value="<?php echo get_option( 'wpjobster_get_level3_fast_delivery_multiples' ); ?>"/></td>
							<td>&nbsp;</td>
						</tr>

						<!-- Additional Revision -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'Enable Additional revision and <br> Max Additional revision multiples for user level', 'wpjobster' ) ); ?></td>

							<td><?php _e( 'Additional revision:', 'wpjobster' ); ?></td>

							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_extra_additional_revision' ); ?></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level0_add_rev_multiples" value="<?php echo get_option( 'wpjobster_get_level0_add_rev_multiples' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level1_add_rev_multiples" value="<?php echo get_option( 'wpjobster_get_level1_add_rev_multiples' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level2_add_rev_multiples" value="<?php echo get_option( 'wpjobster_get_level2_add_rev_multiples' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level3_add_rev_multiples" value="<?php echo get_option( 'wpjobster_get_level3_add_rev_multiples' ); ?>"/></td>
							<td>&nbsp;</td>
						</tr>

						<!-- Job Multiples -->
						<?php if ( ! wpj_is_allowed( 'job_multiples' ) ) { ?>
						<tr>
							<td colspan="8">
								<?php wpj_disabled_settings_notice( 'job_multiples' ); ?>
							</td>
						</tr>
						<?php } ?>

						<tbody class="<?php wpj_disabled_settings_class( 'job_multiples' ); ?>">
							<tr>
								<td valign="top"><?php wpjobster_theme_bullet( __( 'Max Job Multiples for user level', 'wpjobster' ) ); ?></td>
								<td><?php echo __( 'Job Multiples:', 'wpjobster' ); ?></td>

								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_multiples' );?></td>

								<td><input type="number" step="1" size="5" name="wpjobster_get_level0_jobmultiples" value="<?php echo get_option( 'wpjobster_get_level0_jobmultiples' ); ?>"/></td>
								<td><input type="number" step="1" size="5" name="wpjobster_get_level1_jobmultiples" value="<?php echo get_option( 'wpjobster_get_level1_jobmultiples' ); ?>"/></td>
								<td><input type="number" step="1" size="5" name="wpjobster_get_level2_jobmultiples" value="<?php echo get_option( 'wpjobster_get_level2_jobmultiples' ); ?>"/></td>
								<td><input type="number" step="1" size="5" name="wpjobster_get_level3_jobmultiples" value="<?php echo get_option( 'wpjobster_get_level3_jobmultiples' ); ?>"/></td>
								<td></td>
							</tr>

							<!-- Extra Multiples -->
							<tr>
								<td valign="top"><?php wpjobster_theme_bullet( __( 'Job Multiples needs to be enabled.', 'wpjobster' ) ); ?></td>
								<td><?php echo __( 'Extra Multiples:', 'wpjobster' ); ?></td>

								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_extra_multiples' );?></td>

								<td><input type="number" step="1" size="5" name="wpjobster_get_level0_extramultiples" value="<?php echo get_option( 'wpjobster_get_level0_extramultiples' ); ?>"/></td>
								<td><input type="number" step="1" size="5" name="wpjobster_get_level1_extramultiples" value="<?php echo get_option( 'wpjobster_get_level1_extramultiples' ); ?>"/></td>
								<td><input type="number" step="1" size="5" name="wpjobster_get_level2_extramultiples" value="<?php echo get_option( 'wpjobster_get_level2_extramultiples' ); ?>"/></td>
								<td><input type="number" step="1" size="5" name="wpjobster_get_level3_extramultiples" value="<?php echo get_option( 'wpjobster_get_level3_extramultiples' ); ?>"/></td>
								<td></td>
							</tr>
						</tbody>

						<!-- Video Multiples -->
						<tr>
							<td valign="top"><?php wpjobster_theme_bullet( __( 'Max Video Multiples for user level', 'wpjobster' ) ); ?></td>
							<td><?php echo __( 'Video Multiples:', 'wpjobster' ); ?></td>

							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_video_multiples' );?></td>

							<td><input type="number" step="1" size="5" name="wpjobster_get_level0_vds" value="<?php echo get_option( 'wpjobster_get_level0_vds' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level1_vds" value="<?php echo get_option( 'wpjobster_get_level1_vds' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level2_vds" value="<?php echo get_option( 'wpjobster_get_level2_vds' ); ?>"/></td>
							<td><input type="number" step="1" size="5" name="wpjobster_get_level3_vds" value="<?php echo get_option( 'wpjobster_get_level3_vds' ); ?>"/></td>
							<td></td>
						</tr>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_features_settings" value="<?php _e( 'Save options', 'wpjobster' ); ?>" /></td>
							<td colspan="6"></td>
						</tr>
					</table>
				</form>
			</div>

			<!-- Price Limits -->
			<div id="tabs5"><?php $ul->savePriceLimits(); ?>
				<form method="post" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php?page=user_levels&active_tab=tabs5">
					<table width="100%" class="wpj-admin-table user-level">
						<tr>
							<td width="22"></td>
							<td width="200"></td>
							<td width="80"><?php _e( 'Enabled', 'wpjobster' ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 0 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 1 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 2 ); ?></td>
							<td width="80"><?php echo sprintf( __( 'Level %d', 'wpjobster' ), 3 ); ?></td>
							<td></td>
						</tr>

						<!-- Min Job Amount -->
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( "Minimum price that can be set for a job.", "wpjobster" ) ); ?></td>
							<td width="220"><?php _e( 'Min job amount:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_min_job_amount' ); ?></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level0_min_amount" value="<?php echo get_option( 'wpjobster_get_level0_min_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level1_min_amount" value="<?php echo get_option( 'wpjobster_get_level1_min_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level2_min_amount" value="<?php echo get_option( 'wpjobster_get_level2_min_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level3_min_amount" value="<?php echo get_option( 'wpjobster_get_level3_min_amount' ); ?>"/></td>
							<td><?php echo ' ' . wpjobster_get_currency_classic(); ?></td>
						</tr>

						<!-- Max Job Amount -->
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( "Maximum price that can be set for a job.", "wpjobster" ) ); ?></td>
							<td width="220"><?php _e( 'Max job amount:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_max_job_amount' ); ?></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level0_max_amount" value="<?php echo get_option( 'wpjobster_get_level0_max_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level1_max_amount" value="<?php echo get_option( 'wpjobster_get_level1_max_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level2_max_amount" value="<?php echo get_option( 'wpjobster_get_level2_max_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level3_max_amount" value="<?php echo get_option( 'wpjobster_get_level3_max_amount' ); ?>"/></td>
							<td><?php echo ' ' . wpjobster_get_currency_classic(); ?></td>
						</tr>

						<!-- Min Extra Amount -->
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( "Minimum price that can be set for extra amount.", "wpjobster" ) ); ?></td>
							<td width="220"><?php _e( 'Min extra amount:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_min_extra_amount' ); ?></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level0_min_extra_amount" value="<?php echo get_option( 'wpjobster_get_level0_min_extra_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level1_min_extra_amount" value="<?php echo get_option( 'wpjobster_get_level1_min_extra_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level2_min_extra_amount" value="<?php echo get_option( 'wpjobster_get_level2_min_extra_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level3_min_extra_amount" value="<?php echo get_option( 'wpjobster_get_level3_min_extra_amount' ); ?>"/></td>
							<td><?php echo ' ' . wpjobster_get_currency_classic(); ?></td>
						</tr>

						<!-- Max Extra Amount -->
						<tr>
							<td valign="top" width="22"><?php wpjobster_theme_bullet( __( "Maximum price that can be set for extra amount. Leave blank to be unlimited.", "wpjobster" ) ); ?></td>
							<td width="220"><?php _e( 'Max extra amount:', 'wpjobster' ); ?></td>
							<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_max_extra_amount' ); ?></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level0_max_extra_amount" value="<?php echo get_option( 'wpjobster_get_level0_max_extra_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level1_max_extra_amount" value="<?php echo get_option( 'wpjobster_get_level1_max_extra_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level2_max_extra_amount" value="<?php echo get_option( 'wpjobster_get_level2_max_extra_amount' ); ?>"/></td>
							<td><input type="number" step="0.01" size="5" name="wpjobster_get_level3_max_extra_amount" value="<?php echo get_option( 'wpjobster_get_level3_max_extra_amount' ); ?>"/></td>
							<td><?php echo ' ' . wpjobster_get_currency_classic(); ?></td>
						</tr>

						<!--  Min Custom Extras Amount -->
						<?php if ( ! wpj_is_allowed( 'custom_extras' ) ) { ?>
						<tr>
							<td colspan="8">
								<?php wpj_disabled_settings_notice( 'custom_extras' ); ?>
							</td>
						</tr>
						<?php } ?>

						<tbody class="<?php wpj_disabled_settings_class( 'custom_extras' ); ?>">
							<tr>
								<td valign="top"><?php wpjobster_theme_bullet( __( 'Min total custom extras amount for user level', 'wpjobster' ) ); ?></td>
								<td><?php echo __( 'Min custom extras amount:', 'wpjobster' ); ?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_min_custom_extras' ); ?></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level0_min_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level0_min_customextrasamount' ); ?>"/></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level1_min_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level1_min_customextrasamount' ); ?>"/></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level2_min_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level2_min_customextrasamount' ); ?>"/></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level3_min_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level3_min_customextrasamount' ); ?>"/></td>
								<td><?php echo wpjobster_get_currency_classic(); ?></td>
							</tr>
						</tbody>

						<!--  Max Custom Extras Amount -->
						<?php if ( ! wpj_is_allowed( 'custom_extras' ) ) { ?>
						<tr>
							<td colspan="8">
								<?php wpj_disabled_settings_notice( 'custom_extras' ); ?>
							</td>
						</tr>
						<?php } ?>

						<tbody class="<?php wpj_disabled_settings_class( 'custom_extras' ); ?>">
							<tr>
								<td valign="top"><?php wpjobster_theme_bullet( __( 'Max total custom extras amount for user level', 'wpjobster' ) ); ?></td>
								<td><?php echo __( 'Max custom extras amount:', 'wpjobster' ); ?></td>
								<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_enable_max_custom_extras' ); ?></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level0_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level0_customextrasamount' ); ?>"/></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level1_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level1_customextrasamount' ); ?>"/></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level2_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level2_customextrasamount' ); ?>"/></td>
								<td><input type="number" step="0.01" size="5" name="wpjobster_get_level3_customextrasamount" value="<?php echo get_option( 'wpjobster_get_level3_customextrasamount' ); ?>"/></td>
								<td><?php echo wpjobster_get_currency_classic(); ?></td>
							</tr>
						</tbody>

						<tr>
							<td></td>
							<td><input type="submit" class="button-secondary" name="save_price_limits" value="<?php _e( 'Save options', 'wpjobster' ); ?>" /></td>
							<td colspan="6"></td>
						</tr>
					</table>
				</form>
			</div>
		</div>
	</div>
<?php }

function wpj_search_user_level_form() { ?>
	<form method="get" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php">
		<input type="hidden" value="user_levels" name="page" />
		<input type="hidden" value="tabs1" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_level_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }
