<?php
function show_html_user_reviews() {
	global $ur;

	$arr = array( "yes" => __( "Yes", "wpjobster" ), "no" => __( "No", "wpjobster" ) ); ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'User Reviews', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1"><?php _e( 'User Reviews Settings', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- User Review Settings -->
			<div id="tabs1">
				<?php wpj_search_user_reviews_form();
				$rows = $ur->getOrderRow();

				if ( $rows['count'] > 0 ) { ?>

					<table class="widefat post fixed" cellspacing="0">
						<thead>
							<tr>
								<th><?php _e( 'User', 'wpjobster' ); ?></th>
								<th><?php _e( 'Price', 'wpjobster' ); ?></th>
								<th><?php _e( 'Job', 'wpjobster' ); ?></th>
								<th><?php _e( 'Rating Type', 'wpjobster' ); ?></th>
								<th><?php _e( 'Description', 'wpjobster' ); ?></th>
								<th><?php _e( 'Awarded On', 'wpjobster' ); ?></th>
								<th><?php _e( 'Options', 'wpjobster' ); ?></th>
							</tr>
						</thead>

						<tbody>
							<?php foreach( $rows['all'] as $row ) {
								$response = $ur->getReviewResponse( $row );

								if ( $response['post'] ) { ?>
									<tr>
										<th><?php echo wpj_get_user_display_type( $response['userdata']->ID ); ?></th>
										<th><?php echo wpjobster_get_show_price_classic( get_post_meta( $response['r_ql'][0]->pid, 'price', true ) ); ?></th>
										<th>
											<a href="<?php echo get_permalink( $response['pid'] ); ?>">
												<?php echo wpjobster_wrap_the_title( $response['post']->post_title, $response['pid'] ); ?>
											</a>
										</th>
										<th><?php echo wpjobster_show_stars_our_of_number( $row->grade ); ?></th>
										<th><?php echo $row->reason; ?></th>
										<th><?php echo wpj_date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $row->datemade ); ?></th>
										<th>
											<form method="POST" action="">
												<input type="hidden" name="action" value="delete_review">
												<input type="hidden" name="idofreview" value="<?php echo isset( $row->id ) ? $row->id : $row->orderid; ?>">
												<input type="submit" class="button-secondary" value="<?php echo __( 'Delete', 'wpjobster' ); ?>" />
											</form>
										</th>
									</tr>
								<?php }

								if ( $response['response_login'] != '' ) { ?>
									<tr class="review-response-row">
										<th><?php echo $response['response_login']; ?></th>
										<th><?php echo wpjobster_get_show_price_classic( $response['r_ql'][0]->mc_gross ); ?></th>
										<th>
											<a href="<?php echo get_permalink( $response['pid'] ); ?>">
												<?php echo wpjobster_wrap_the_title( $response['r_ql'][0]->job_title, $response['pid'] ); ?>
											</a>
										</th>
										<th><?php echo $response['response_grade']; ?></th>
										<th><?php echo $response['response_reason']; ?></th>
										<th><?php echo $response['response_datemade']; ?></th>
										<th>
											<form method="POST" action="">
												<input type="hidden" name="action" value="delete_review_response">
												<input type="hidden" name="idofreview_response" value="<?php echo $response['response_row']->id; ?>">
												<input type="submit" class="button-secondary" value="<?php echo __( 'Delete Response', 'wpjobster' ); ?>">
											</form>
										</th>
									</tr>
								<?php }
							} ?>
						</tbody>
					</table>

					<?php $ur->deleteReviewRow();

					wpj_admin_show_pagination_bar( $rows );
				} else { ?>
					<div style="padding:15px">
						<?php echo __( 'There is no user feedback!', 'wpjobster' ); ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php }

function wpj_search_user_reviews_form() { ?>
	<form method="get" action="<?php bloginfo( 'url' ); ?>/wp-admin/admin.php">
		<input type="hidden" value="usrrev" name="page" />
		<input type="hidden" value="tabs1" name="active_tab" />
		<table width="100%" class="wpj-admin-table">
			<tr>
				<td><?php _e( 'Search User', 'wpjobster' ); ?></td>
				<td>
					<input type="text" value="<?php echo WPJ_Form::get( 'search_user', '' ); ?>" name="search_user" size="20" />
					<input type="submit" class="button-secondary" name="wpjobster_user_reviews_search" value="<?php _e( 'Search', 'wpjobster' ); ?>"/>
				</td>
			</tr>

		</table>
	</form>
<?php }
