<?php
if ( ! function_exists( 'wpjobster_my_account_all_notifications_area_function' ) ) {
	function wpjobster_my_account_all_notifications_area_function() {
		ob_start();

		wpjobster_mark_all_notifications_as_read(); ?>

		<div id="content-full-ov" >

			<form id="wpj-read-cnt" name="wpj-read-cnt" method="POST" class="ui form">
				<!-- Title -->
				<div class="ui basic notpadded segment">
					<h1 class="ui header wpj-title-icon">
						<i class="announcement icon"></i>
						<?php _e( 'All Notifications', 'wpjobster' ); ?>
					</h1>
				</div>

				<div class="ui segment">
					<div class="ui equal width middle aligned grid">
						<div class="row notification-row">
							<!-- E-mail link -->
							<div class="column">
								<a href="<?php echo get_permalink( get_option( 'wpjobster_email_settings_page_id' ) ); ?>"><?php echo get_the_title( get_option( 'wpjobster_email_settings_page_id' ) ); ?></a>
							</div>

							<!-- Mark all as read button -->
							<div class="column">
								<div class="right">
									<input type="submit" id="wpj-read-all-cnt" name="wpj-read-all-cnt" class="ui secondary button" value="<?php _e( 'Mark all as read', 'wpjobster' ); ?>" />
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="ui segment">
					<!-- Notifications list -->
					<ul class="wpj-all-notifications-style" id="more_notifications_target">
						<?php $not_count = wpjobster_display_notifications( wpjobster_get_notifications( array( 'limit' => 10, 'offset' => 0 ) ) ); ?>
					</ul>

					<!-- Load More Button -->
					<?php if ( $not_count >= 10 ) { ?>
						<div class="center cf">
							<div class="ui white button wpj-ajax-button" id="more_notifications_handler" data-limit="10" data-offset="10" data-more-text="<?php _e( 'Load More', 'wpjobster' ); ?>" data-loading-text="<?php _e( 'Loading...', 'wpjobster' ); ?>"><?php _e( 'Load More', 'wpjobster' ); ?></div>
						</div>
					<?php } ?>

					<!-- No notifications text -->
					<?php if ( $not_count <= 0 ) { ?>
						<div class="ui segment"><?php echo __( 'There are no notifications yet.', 'wpjobster' ); ?></div>
					<?php } ?>
				</div>
			</form>

			<div class="ui hidden divider"></div>

		</div>

		<?php
		$ret = ob_get_contents(); ob_clean();

		return $ret;
	}
}


