<?php if ( ! function_exists( 'wpjobster_my_account_area_function' ) ) {
	function wpjobster_my_account_area_function() { ob_start();

		wpj_init_my_account_page();

		$uid = get_current_user_id();

		if ( get_option( 'wpjobster_enable_user_stats' ) == 'yes' ) { ?>

			<div class="ui hidden divider"></div>

			<!-- Header Table -->
			<div class="ui nomargin segment wpj-stats-segment">
				<div class="ui divided list user-account-list <?php if ( ! wpj_is_mobile() ) { echo 'horizontal relaxed'; } ?>">

					<?php $table_data = wpj_get_graph_data_sales();
					foreach ( $table_data as $key => $value ) { ?>

						<div class="item padding5horizontal <?php echo $value !== end( $table_data ) ? 'mobile-hidden' : 'item-no-top-border-mobile'; ?>">
							<div class="content user-account-table-wrapper-mobile">
								<div class="header user-account-table-value-mobile"><?php echo $value; ?></div>
								<div class="user-account-table-label-mobile"><?php echo $key; ?></div>
							</div>
						</div>

					<?php } ?>

				</div>
			</div>

			<!-- Header Graph -->
			<?php if ( get_option( 'wpjobster_enable_user_charts' ) == 'yes') { ?>

				<div class="ui notpadded nomargin segment chart-wrapper">
					<div id="chart-div-container" class="ui nomargin segment" style="display: none;">

						<?php $graph_data = wpjobster_get_graph(
							$uid,
							( isset( $_GET['disp_type'] ) ? $_GET['disp_type'] : "" ),
							( isset( $_GET['select_year'] ) ? $_GET['select_year'] : "" ),
							( isset( $_GET['select_month'] ) ? $_GET['select_month'] : "" ),
							'my_account'
						);

						extract( $graph_data );

						wpjobster_show_graph_controls( $disp_type, $select_year, $select_month, $uid ); ?>

					</div>
				</div>

				<div class="wrapper-graph-dropdown">
					<a class="graph-link"><i class="angle double down icon"></i></a>
				</div>

			<?php }

		} ?>

		<div id="content-full-ov">

			<!-- Title -->
			<div class="ui basic notpadded segment cf">
				<h1 class="ui header left wpj-title-icon">
					<i class="announcement icon"></i><?php _e( 'My Jobs', 'wpjobster' ); ?>
				</h1>

				<div class="right">
					<a class="ui basic primary button my-account-post-btn" href="<?php echo get_permalink( get_option( 'wpjobster_post_new_page_id' ) ); ?>"><?php _e( 'Post New', 'wpjobster' ); ?></a>

					<div class="ui basic secondary icon top right pointing dropdown button">
						<i class="ellipsis horizontal icon"></i>
						<div class="menu">
							<div class="header"><?php _e( 'More options', 'wpjobster' ); ?></div>
							<div class="item"><?php wpj_vacation_mode_modal( true, true ); ?></div>
							<div class="item js-activate-all-jobs-link"><?php _e( 'Activate all', 'wpjobster' ); ?></div>
							<div class="item js-deactivate-all-jobs-link"><?php _e( 'Deactivate all', 'wpjobster' ); ?></div>
							<div class="item js-delete-all-jobs-link"><?php _e( 'Delete all', 'wpjobster' ); ?></div>
						</div>
					</div>

					<!-- Activate all - modal -->
					<div class="ui modal smaller center js-activate-all-jobs-modal">

						<i class="close icon"></i>

						<div class="ui icon header">
							<i class="inverted grey check circle outline icon"></i>
							<div class="job-title-modal"><?php _e( 'Activate all JOBS', 'wpjobster' ); ?></div>
						</div>

						<div class="center content"><?php _e( 'Are you sure you want to activate all jobs?', 'wpjobster' ); ?></div>

						<div class="center actions">
							<div class="ui green labeled icon button js-activate-all-jobs-action">
								<i class="white checkmark icon"></i><?php _e( 'Activate all', 'wpjobster' ); ?>
							</div>
							<div class="ui labeled icon cancel button">
								<i class="remove icon"></i><?php _e( 'Cancel', 'wpjobster' ); ?>
							</div>
						</div>

					</div>

					<!-- Deactivate all - modal -->
					<div class="ui modal smaller center js-deactivate-all-jobs-modal">

						<i class="close icon"></i>

						<div class="ui icon header">
							<i class="inverted grey times circle outline icon"></i>
							<div class="job-title-modal"><?php _e( 'Deactivate all JOBS', 'wpjobster' ); ?></div>
						</div>

						<div class="center content"><?php _e( 'Are you sure you want to deactivate all jobs?', 'wpjobster' ); ?></div>

						<div class="center actions">
							<div class="ui red labeled icon button js-deactivate-all-jobs-action">
								<i class="white checkmark icon"></i><?php _e( 'Deactivate all', 'wpjobster' ); ?>
							</div>
							<div class="ui labeled icon cancel button">
								<i class="remove icon"></i><?php _e( 'Cancel', 'wpjobster' ); ?>
							</div>
						</div>

					</div>

					<!-- Delete all - modal -->
					<div class="ui modal smaller center js-delete-all-jobs-modal">

						<i class="close icon"></i>

						<div class="ui icon header">
							<i class="inverted grey times circle icon"></i>
							<div class="job-title-modal"><?php _e( 'Delete all JOBS', 'wpjobster' ); ?></div>
						</div>

						<div class="center content"><?php _e( 'Are you sure you want to delete all jobs?', 'wpjobster' ); ?></div>

						<div class="center actions">
							<div class="ui red labeled icon button js-delete-all-jobs-action">
								<i class="white checkmark icon"></i><?php _e( 'Delete all', 'wpjobster' ); ?>
							</div>
							<div class="ui labeled icon cancel button">
								<i class="remove icon"></i><?php _e( 'Cancel', 'wpjobster' ); ?>
							</div>
						</div>

					</div>

				</div>
			</div>

			<?php do_action( 'wpjobster_my_account_after_title', $uid );

			// Deactivate job if COD only payment
			// and seller doesn't have credits
			if ( ! empty ( $_GET['no_credits'] ) ) { ?>

				<div class="ui negative message center">
					<i class="close icon"></i>
					<?php echo __( 'The newly created job has been deactivated until you add credits to your account.', 'wpjobster' ); ?>
				</div>

			<?php } ?>

			<!-- Filter buttons -->
			<?php global $wp_query;

			$pg_now = isset( $wp_query->query_vars['pg'] ) ? urldecode( $wp_query->query_vars['pg'] ) : 'active';
			$pages  = array( 'active', 'inactive', 'under-review', 'rejected' );

			if ( ! in_array( $pg_now, $pages ) ) { $pg_now = 'active'; } ?>

			<div class="ui basic notpadded segment js-tab-to-dropdown">
				<div class="ui secondary menu">
					<div class="item force-white-btn <?php echo ( $pg_now == "active" ? 'active' : "" ); ?>" data-tab="active">
						<?php _e( "Active", "wpjobster" ); ?>
						(<span class="ticket-count-active"><?php echo wpj_get_user_jobs_count( $uid, 'active' ); ?></span>)
					</div>

					<div class="item force-white-btn <?php echo ( $pg_now == "inactive" ? 'active' : "" ); ?>" data-tab="inactive">
						<?php _e( "Inactive", "wpjobster" ); ?>
						(<span class="ticket-count-inactive"><?php echo wpj_get_user_jobs_count( $uid, 'inactive' ); ?></span>)
					</div>

					<div class="item force-white-btn <?php echo ( $pg_now == "under-review" ? 'active' : "" ); ?>" data-tab="under-review">
						<?php _e( "Under Review", "wpjobster" ); ?>
						(<span class="ticket-count-under-review"><?php echo wpj_get_user_jobs_count( $uid, 'under-review' ); ?></span>)
					</div>

					<div class="item force-white-btn <?php echo ( $pg_now == "rejected" ? 'active' : "" ); ?>" data-tab="rejected">
						<?php _e( "Rejected", "wpjobster" ); ?>
						(<span class="ticket-count-rejected"><?php echo wpj_get_user_jobs_count( $uid, 'rejected' ); ?></span>)
					</div>
				</div>
			</div>

			<!-- Jobs list -->
			<?php foreach ( $pages as $key => $pg ) { ?>

				<div class="ui segment tab my-account-tabs box_content <?php if ( $pg_now == $pg ) { echo 'active'; } ?>" data-tab="<?php echo $pg; ?>">
					<?php $vars = wpj_load_more_my_account( $pg );

					$wpj_job      = $vars['wpj_job'];
					$no_jobs_text = $vars['no_jobs_text']; ?>

					<div class="ui stackable grid wpj-grid-table" <?php if ( ! $wpj_job->have_rows() ) { echo 'style="display:none;"'; } ?>>

						<div class="row">

							<div class="seven wide column my-account-job-title">
								<?php _e( 'Job Details', 'wpjobster' ); ?>
							</div>

							<div class="three wide column my-account-job-title">
								<div class="my-account-job-date-title">
									<?php _e( 'Date', 'wpjobster' ); ?>
								</div>
							</div>

							<div class="four wide column my-account-job-title">
								<?php _e( 'Price', 'wpjobster' ); ?>
							</div>

							<div class="two wide column my-account-job-title">
								<?php _e( 'Status', 'wpjobster' ); ?>
							</div>

						</div>

						<?php if ( ! $wpj_job->have_rows() ) {
							// add div for js job wrapper when no job in this tab
							// and a new one needs to be added ?>

							<div id="job_listings" class="row my-account-job-listing"></div>

						<?php } else { $wpj_job->show_posts_list_func(); } ?>

					</div>

					<?php if ( ! $wpj_job->have_rows() ) { ?>

						<span class="no-jobs-message"><?php echo $no_jobs_text; ?></span>

					<?php } ?>

				</div>

			<?php } ?>

		</div>

		<div class="ui hidden divider"></div>

		<!-- Return content to shortcode -->
		<?php $ret = ob_get_contents(); ob_clean();

		return $ret;
	}
}

// Jobs list template
if ( ! function_exists( 'wpj_list_user_jobs_template' ) ) {
	function wpj_list_user_jobs_template() {

		$pid  = get_the_ID();
		$post = get_post( $pid );

		$package_price = get_post_meta( $pid, 'package_price', true );
		if ( $package_price ) { sort( $package_price );
			$package_price = array_diff( $package_price, array( null ) );
		}

		$g = 0;
		if (   get_post_meta( $pid, 'home_featured_until', true ) == 'z'
			|| get_post_meta( $pid, 'home_featured_until', true ) == false ) $g++;
		if (   get_post_meta( $pid, 'category_featured_until', true ) == 'z'
			|| get_post_meta( $pid, 'category_featured_until', true ) == false ) $g++;
		if (   get_post_meta( $pid, 'subcategory_featured_until', true ) == 'z'
			|| get_post_meta( $pid, 'subcategory_featured_until', true ) == false ) $g++;

		$btn_class = ( get_post_meta( $pid, 'under_review', true ) == '1' || $post->post_status == 'pending' ? 'ui button disabled' : 'blue' ) . ' btn important lighter smallest p5r';
		$btn_class .= get_post_meta( $pid, 'active', true ) == '1' ? ' open-deactivate-job' : ' open-activate-job'; ?>

		<div class="ui two stackable grid grid user-jobs background-delete-<?php echo $pid; ?>">

			<!-- Job details -->
			<div class="seven wide column">
				<div class="flex-parent flex-thumb-text">

					<!-- Job image -->
					<div>
						<a href="<?php the_permalink(); ?>">
							<img width="60" height="60" class="round-avatar image_class" src="<?php echo wpjobster_get_job_image( $pid, array( 60, 60 ) ); ?>" />
						</a>
					</div>

					<div>

						<!-- Job title -->
						<h4 class="small-heading-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h4>

						<ul class="job-edit-deac-delete">

							<!-- Edit button -->
							<li>
								<a class="btn green important lighter smallest p5r" href="<?php bloginfo( 'url' ); ?>/?jb_action=edit_job&jobid=<?php the_ID(); ?>" class="edit_job"><?php _e( 'Edit', 'wpjobster' ); ?></a>
							</li>

							<!-- Activate/Deactivate button -->
							<li>
								<a class="<?php echo $btn_class; ?>" data-id="<?php echo $pid; ?>" data-title="<?php the_title(); ?>"><?php echo get_post_meta( $pid, 'active', true ) == '1' ? __( 'Deactivate', 'wpjobster' ) : __( 'Activate', 'wpjobster' ); ?></a>
							</li>

							<!-- Delete button -->
							<li>
								<a class="btn red lighter smallest p5r open-delete-job" data-id="<?php echo $pid; ?>" data-title-delete="<?php the_title(); ?>"><?php _e( 'Delete', 'wpjobster' ); ?></a>
							</li>

							<!-- Feature button -->
							<?php if ( get_option( 'wpjobster_featured_enable' ) == 'yes' ) { ?>

								<li>
									<a class="btn feature lighter smallest p5r" href="<?php bloginfo( 'url' ); ?>/?jb_action=feature_job&jobid=<?php the_ID(); ?>"><?php echo $g == 0 ? __( 'Featured', 'wpjobster' ) : __( 'Feature', 'wpjobster' ); ?></a>
								</li>

							<?php } ?>

						</ul>

					</div>

				</div>
			</div>

			<!-- Date -->
			<div class="three wide column my-account-job-date"><?php echo get_the_date( get_option( 'date_format' ) ); ?></div>

			<!-- Price -->
			<div class="four wide column my-account-price">

				<?php if ( get_option( 'wpjobster_packages_enabled' ) == 'yes' && get_post_meta( $pid, 'job_packages', true ) == 'yes' && $package_price ) {

					echo wpjobster_get_show_price( min( $package_price ) ) . ' - ' . wpjobster_get_show_price( max( $package_price ) );

				} else {

					if ( get_post_meta( $pid, 'price_type', true ) ) {

						echo wpjobster_get_show_price( get_post_meta( $pid, 'price', true ), 1 ); ?>

						<span class="padding10left"></span>

						<div class="ui tag label">
							<span class="small-job"><?php echo apply_filters( 'wpj_price_type_filter', sprintf( __( '%s Rate', 'wpjobster' ), wpjobster_translate_string( get_post_meta( $pid, 'price_type', true ) ) ), $pid ); ?></span>
						</div>

					<?php } elseif ( get_post_meta( $pid, 'price', true ) > 0 ) {

						echo wpjobster_get_show_price( get_post_meta( $pid, 'price', true ), 1 );

					} else {

						if ( wpj_bool_option( 'wpjobster_replace_zero_with_free' ) ) {
							_e( 'Free','wpjobster' );
						} else {
							echo wpjobster_get_show_price( get_post_meta( $pid, 'price', true ), 1 );
						}

					}

				} ?>

			</div>

			<!-- Status -->
			<div class="two wide column my-account-status">
				<div class="my-account-job-status">

					<?php if ( $post->post_status == "pending" && ( get_post_meta( $pid, "more_extras", true ) == 'yes' || get_post_meta( $pid, "more_extra_price", true ) == 'yes' || get_post_meta( $pid, "more_job_price", true ) == 'yes' ) ) { ?>

						<span class="oe-status-btn oe-full"><?php _e( 'disabled', 'wpjobster' ); ?></span>

					<?php } elseif ( $post->post_status == "pending" ) { ?>

						<span class="oe-status-btn oe-red oe-full"><?php _e( 'rejected', 'wpjobster' ); ?></span>

					<?php } elseif ( get_post_meta( $pid, "under_review", true ) == "1" ) { ?>

						<span class="oe-status-btn oe-orange oe-full"><?php _e('pending', 'wpjobster'); ?></span>

					<?php } elseif ( get_post_meta( $pid, 'active', true ) == 0 ) { ?>

						<span class="oe-status-btn oe-yellow oe-full"><?php _e( 'paused', 'wpjobster' ); ?></span>

					<?php } else { ?>

						<span class="oe-status-btn oe-green oe-full"><?php _e( 'published', 'wpjobster' ); ?></span>

					<?php } ?>

				</div>
			</div>

			<!-- Pending info -->
			<?php if ( $post->post_status == "pending" ) { ?>

				<div class="sixteen wide column">
					<div class="cf">
						<span class="pending-message"><?php _e( 'Please edit the job following the provided instructions.', 'wpjobster' ); ?></span>
					</div>
				</div>

			<?php } ?>

		</div><!-- END stackable grid -->

	<?php }
}