<?php if ( ! function_exists( 'wpjobster_my_account_payments_area_function' ) ) {
	function wpjobster_my_account_payments_area_function() { ob_start();
		global $wpdb;

		$currency = wpjobster_get_currency();
		$uid      = get_current_user_id(); ?>

		<div id="content-full-ov" data-currency="<?php echo strtoupper( $currency );  ?>">

			<div class="ui basic notpadded segment">
				<div class="ui two column stackable grid">
					<div class="eight wide column">
						<h1 class="ui header wpj-title-icon">
							<i class="credit card icon"></i>
							<?php _e( 'My Payments', 'wpjobster' ); ?>
						</h1>
					</div>

					<div class="eight wide column">

						<?php if ( get_option( 'wpjobster_credits_enable' ) != 'no' ) { ?>

							<span class="ui primary button balance nomargin">
								<?php echo sprintf( __( "Current Balance: <strong>%s</strong>", "wpjobster" ), wpjobster_get_show_price( wpjobster_get_credits( $uid ) ) ); ?>
							</span>

						<?php } ?>

					</div>
				</div>
			</div>

			<?php do_action( 'wpj_before_user_payments_transaction_messages' );

			if ( isset( $_GET['success'] ) && $_GET['success'] == "true" ) { ?>

				<div class="ui positive message">
					<i class="close icon"></i>
					<?php _e( "Your transaction was successful. Thank you!", "wpjobster" ); ?>
				</div>

			<?php }

			if ( isset( $_GET['cancel'] ) && $_GET['cancel'] == "true" ) { ?>

				<div class="ui negative message">
					<i class="close icon"></i>
					<?php _e( "Something went wrong or you have cancelled the transaction. Please try again.", "wpjobster" ); ?>
				</div>

			<?php } ?>

			<div class="ui basic notpadded segment js-tab-to-dropdown">

				<div class="ui secondary menu">

					<div class="item force-white-btn <?php echo 'home' == wpj_get_current_tab_payments() ? 'active' : ''; ?>" data-tab="home">
						<?php _e( "Payments", "wpjobster" ); ?>
					</div>

					<div class="item force-white-btn <?php echo 'transactions' == wpj_get_current_tab_payments() ? 'active' : ''; ?>" data-tab="transactions">
						<?php _e( "Transactions", "wpjobster" ); ?>
					</div>

					<?php if ( get_option( 'wpjobster_enable_topup' ) == 'yes' && get_option( 'wpjobster_credits_enable' ) != 'no' ) { ?>

						<div class="item force-white-btn <?php echo 'topup' == wpj_get_current_tab_payments() ? 'active' : ''; ?>" data-tab="topup">
							<?php _e( "Top Up", "wpjobster" ); ?>
						</div>

					<?php } ?>

					<div class="item force-white-btn <?php echo 'withdraw' == wpj_get_current_tab_payments() ? 'active' : ''; ?>" data-tab="withdraw">
						<?php _e( "Withdraw Money", "wpjobster" ); ?>
					</div>

					<?php do_action( 'after_payment_type_list' ); ?>

				</div>

			</div>

			<?php do_action( 'wpj_before_payment_page_title', wpj_get_current_tab_payments() );

			$tabs = apply_filters( 'wpj_user_payments_tabs_slug_filter', array( 'home', 'transactions', 'topup', 'withdraw' ) );

			foreach ( $tabs as $key => $pg ) {

				if ( $pg == 'home' ) { ?>

					<div class="ui tab <?php if ( wpj_get_current_tab_payments() == $pg ) { echo 'active'; } ?>" data-tab="home">

						<div class="ui segment">

							<div class="ui two column stackable grid">

								<div class="sixteen wide column">
									<h2><?php _e( 'Pending Withdrawals', 'wpjobster' ); ?></h2>
								</div>

								<div class="ui fitted divider"></div>

								<?php wpj_payment_tab_home(); ?>

							</div>
						</div>

						<?php $wpjobster_clearing_period = get_option( 'wpjobster_clearing_period' );

						if ( is_numeric( $wpjobster_clearing_period ) && $wpjobster_clearing_period == 0 ) {
							$using_clearing = false;
						} else {
							$using_clearing = true;
						}

						if ( $using_clearing ) { ?>

							<div class="ui segment">
								<div class="ui two column stackable grid">
									<div class="sixteen wide column">
										<h2><?php _e( "Pending Incoming Payments", "wpjobster" ); ?></h2>
									</div>

									<div class="ui fitted divider"></div>

									<?php wpj_payment_tab_pending_incoming(); ?>

								</div>
							</div>

						<?php } ?>

					</div>

				<?php } elseif ( $pg == 'transactions' ) { ?>

					<div class="ui tab segment <?php if ( wpj_get_current_tab_payments() == $pg ) { echo 'active'; } ?>" data-tab="transactions">
						<div class="ui two column stackable grid">
							<div class="sixteen wide column">
								<h2><?php _e( "Transactions", "wpjobster" ); ?></h2>
							</div>

							<div class="ui fitted divider"></div>

							<?php wpj_payment_tab_transactions(); ?>

						</div>
					</div>

				<?php } elseif ( $pg == 'topup' && get_option( 'wpjobster_enable_topup' ) == 'yes' ) {

					if ( get_option( 'wpjobster_credits_enable' ) != 'no' ) { ?>

						<div class="ui tab segment <?php if ( wpj_get_current_tab_payments() == $pg ) { echo 'active'; } ?>" data-tab="topup">

							<div class="ui pointing topup-list-menu secondary menu">
								<div class="item active title-item" data-tab="topup_pay"><?php _e( 'Top Up', 'wpjobster' ); ?></div>
								<div class="item title-item" data-tab="topup_pending"><?php _e( 'Pending', 'wpjobster' ); ?></div>
								<div class="item title-item" data-tab="topup_completed"><?php _e( 'Completed', 'wpjobster' ); ?></div>
							</div>

							<div class="ui topups topup_pay tab active" data-tab="topup_pay">

								<div class="ui two column stackable grid">

									<?php $r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_topup_packages ORDER BY cost ASC" );

									if ( count( $r ) > 0 ) { ?>

										<div class="eight wide column desktop-resolution">
											<p><?php _e( 'Cost', 'wpjobster' ); ?></p>
										</div>

										<div class="eight wide column desktop-resolution">
											<p><?php _e( 'Credits', 'wpjobster' ); ?></p>
										</div>

										<div class="sixteen wide column reponsive-cost-credits">
											<div class="top-up-cost-credits">
												<ul>
													<li><?php _e( 'Cost', 'wpjobster' ); ?></li>
													<li><?php _e( 'Credits', 'wpjobster' ); ?></li>
												</ul>
											</div>
										</div>

										<?php foreach ( $r as $row ) { ?>

											<div class="ui fitted divider"></div>

											<div class="eight wide column desktop-resolution">
												<div class="ui radio checkbox">
													<input class="simple-radio" id="credit_amt<?php echo $row->id; ?>" type="radio" data-price="<?php echo wpjobster_formats_special_exchange( $row->cost, 1, $currency ); ?>" name="buy_credit_amount" value="<?php echo $row->id; ?>">
													<label for="credit_amt<?php echo $row->id; ?>"><?php echo wpjobster_get_show_price( $row->cost, 2 ); ?></label>
												</div>
											</div>

											<div class="eight wide column desktop-resolution">
												<label for="credit_amt<?php echo $row->id; ?>"><?php echo wpjobster_get_show_price( $row->credit, 2 ); ?></label>
											</div>

											<div class="sixteen wide column reponsive-cost-credits">
												<div class="ui checkbox">
													<input class="simple-radio" id="credit_amt<?php echo $row->id; ?>" type="radio" data-price="<?php echo wpjobster_formats_special_exchange( $row->cost, 1, $currency ); ?>" name="buy_credit_amount" value="<?php echo $row->id; ?>">
													<label for="credit_amt<?php echo $row->id; ?>"><?php echo wpjobster_get_show_price( $row->cost, 2 ); ?></label>
												</div>';
												<label class="label-top-up" for="credit_amt<?php echo $row->id; ?>"><?php echo wpjobster_get_show_price( $row->credit, 2 ); ?></label>
											</div>

										<?php }

									} else { ?>

										<div class="sixteen wide column">
											<p><?php _e( 'No packages added yet.', 'wpjobster' ); ?></p>
										</div>

									<?php } ?>

								</div>

								<?php if ( count( $r ) > 0 ) { ?>

									<div class="payment-buttons ui grid">
										<div class="sixteen wide column">

											<?php wpj_display_gateway_payment_button( 'topup', '', false ); ?>

											<div class="ui negative message error-wrapper hidden"></div>

										</div>

										<div class="payment-gateway-popup"></div>
									</div>

								<?php } ?>

							</div>

							<div class="ui topups topup_pending tab" data-tab="topup_pending">
								<div class="ui two column stackable grid"><?php wpj_payments_tab_topup_subtab_pending(); ?></div>
							</div>

							<div class="ui topups topup_completed tab" data-tab="topup_completed">
								<div class="ui two column stackable grid"><?php wpj_payments_tab_topup_subtab_completed(); ?></div>
							</div>

						</div>

					<?php } else { ?>

						<div class="ui segment">
							<?php echo __( 'You need to enable credits to access this page!', 'wpjobster' ); ?>
						</div>

					<?php }

				} elseif ( $pg == 'withdraw' ) { wpj_payment_tab_withdraw(); ?>

					<div class="ui tab segment <?php if ( wpj_get_current_tab_payments() == $pg ) { echo 'active'; } ?>" data-tab="withdraw">
						<div class="ui two column stackable grid">

							<div class="sixteen wide column">
								<h2><?php _e( "Request Withdrawal", "wpjobster" ); ?></h2>
							</div>

							<div class="ui fitted divider payment-title-table"></div>

							<?php if ( ! wpj_withdrawal_gateway_enabled_exist() ) { ?>

								<div class="sixteen wide column">
									<div class="ui negative message">
										<?php _e( "No withdrawal method is available on this site. Please contact the administrator.", "wpjobster" ); ?>
									</div>
								</div>

							<?php } else { ?>

								<div class="eight wide column payment-title-table">
									<?php _e( 'Method', 'wpjobster' ); ?>
								</div>

								<div class="four wide column payment-title-table">
									<?php _e( 'Withdraw amount', 'wpjobster' ); ?>
								</div>

								<div class="four wide column payment-title-table">
									<?php _e( 'Action', 'wpjobster' ); ?>
								</div>

								<?php if ( wpj_is_payment_type_enabled( 'paypal', 'withdraw' ) ) {
									if ( get_user_meta( $uid, 'paypal_email', true ) != '' ) { ?>

										<div class="ui fitted divider"></div>

										<div class="sixteen wide column">
											<form class="ui form" method="post" enctype="application/x-www-form-urlencoded">
												<div class="field">
													<div class="three fields no-bottom-margin">
														<input type="hidden" value="<?php echo current_time( 'timestamp', 1 ) ?>" name="tm_tm" />

														<div class="eight wide field no-top-bottom-margin">
															<div class="withdraw-title">
																<?php _e( 'PayPal', 'wpjobster' ); ?>
															</div>
														</div>

														<div class="four wide field">
															<div class="ui labeled input">
																<label class="ui label"><?php echo wpjobster_get_currency_symbol( wpjobster_get_currency() ); ?></label>
																<input class="" value="<?php if ( isset( $_POST['amount'] ) && isset( $_POST['paypal_withdraw'] ) ) echo $_POST['amount']; ?>" type="text" size="10" name="amount" />
															</div>

															<input value="<?php echo get_user_meta( $uid, 'paypal_email', true ); ?>" type="hidden" size="30" name="email" />
															<input value="<?php echo get_user_meta( $uid, 'paypal_email', true ); ?>" type="hidden" size="30" name="details" />
														</div>

														<div class="four wide field">
															<input class="withpaypal ui button secondary nomargin fluid" data-alert-message="<?php echo __( 'Error', 'wpjobster' ); ?>" type="submit" name="paypal_withdraw" value="<?php _e( 'Withdraw', 'wpjobster' ); ?>" />
														</div>
													</div>
												</div>
											</form>
										</div>

									<?php } else { ?>

										<div class="ui fitted divider"></div>
										<div class="eight wide column"><?php _e( 'PayPal', 'wpjobster' ); ?></div>
										<div class="eight wide column"><?php echo sprintf( __( 'Please fill your PayPal email <a class="fill-payment-color" href="%s">here</a>.', 'wpjobster' ), get_permalink( get_option( 'wpjobster_my_account_personal_info_page_id' ) ) . 'payments#paypal-payments' ); ?></div>

									<?php }
								}

								$show_payoneer_by_option = apply_filters( 'wpj_payoneer_option_enabled_filter', wpj_is_payment_type_enabled( 'payoneer', 'withdraw', true ) );
								$show_payoneer_by_user   = apply_filters( 'wpj_payoneer_user_enabled_filter', get_user_meta( $uid, 'payoneer_email', true ) );

								if ( $show_payoneer_by_option == 'yes' ) {
									if ( $show_payoneer_by_user ) { ?>

										<div class="ui fitted divider"></div>

										<div class="sixteen wide column">
											<form class="ui form" method="post" enctype="application/x-www-form-urlencoded">
												<div class="field">
													<div class="three fields no-bottom-margin">
														<input type="hidden" value="<?php echo current_time( 'timestamp', 1 ) ?>" name="tm_tm" />

														<div class="eight wide field no-top-bottom-margin">
															<div class="withdraw-title">
																<?php _e( 'Payoneer', 'wpjobster' ); ?>
															</div>
														</div>

														<div class="four wide field">
															<div class="ui labeled input">
																<label class="ui label"><?php echo wpjobster_get_currency_symbol( wpjobster_get_currency() ); ?></label>
																<input class="" value="<?php if ( isset( $_POST['amount'] ) && isset( $_POST['payoneer_withdraw'] ) ) echo $_POST['amount']; ?>" type="text" size="10" name="amount" />
															</div>

															<input value="<?php echo get_user_meta( $uid, 'payoneer_email', true ); ?>" type="hidden" size="30" name="email" />
															<input value="<?php echo apply_filters( 'wpj_payoneer_details_filter', get_user_meta( $uid, 'payoneer_email', true ) ); ?>" type="hidden" size="30" name="details" />
														</div>

														<div class="four wide field">
															<input data-alert-message="<?php echo __( 'Error', 'wpjobster' ); ?>" class="ui button secondary nomargin fluid" type="submit" name="payoneer_withdraw" value="<?php _e( 'Withdraw', 'wpjobster' ); ?>" />
														</div>

													</div>
												</div>
											</form>
										</div>

									<?php } else { ?>

										<div class="ui fitted divider"></div>
										<div class="eight wide column"><?php _e( 'Payoneer', 'wpjobster' ); ?></div>
										<div class="eight wide column"><?php echo sprintf( __( 'Please fill your Payoneer details <a class="fill-payment-color" href="%s">here</a>.', 'wpjobster' ), get_permalink( get_option( 'wpjobster_my_account_personal_info_page_id' ) ) . 'payments#payoneer-payments' ); ?></div>
									<?php }
								}

								if ( wpj_is_payment_type_enabled( 'banktransfer', 'withdraw' ) ) {

									$bank_bank_name_enabled      = apply_filters( 'wpj_payments_display_' . 'bank_bank_name' . '_field', true );
									$bank_account_name_enabled   = apply_filters( 'wpj_payments_display_' . 'bank_account_name' . '_field', true );
									$bank_account_number_enabled = apply_filters( 'wpj_payments_display_' . 'bank_account_number' . '_field', true );

									if ( ( ( $bank_bank_name_enabled && get_user_meta( $uid, 'bank_bank_name', true ) != '' ) || ! $bank_bank_name_enabled )
										&& ( ( $bank_account_name_enabled && get_user_meta( $uid, 'bank_account_name', true ) != '' ) || ! $bank_account_name_enabled )
										&& ( ( $bank_account_number_enabled && get_user_meta( $uid, 'bank_account_number', true ) != '' ) || ! $bank_account_number_enabled )
									) { ?>

										<div class="ui fitted divider"></div>

										<div class="sixteen wide column">
											<form class="ui form" method="post" enctype="application/x-www-form-urlencoded">
												<div class="field">
													<div class="three fields no-bottom-margin">
														<input type="hidden" value="<?php echo current_time( 'timestamp', 1 ) ?>" name="tm_tm" />

														<div class="eight wide field no-top-bottom-margin">
															<div class="withdraw-title">
																<?php _e( 'Bank Account', 'wpjobster' ); ?>
															</div>
														</div>

														<div class="four wide field">
															<div class="ui labeled input">
																<label class="ui label"><?php echo wpjobster_get_currency_symbol( wpjobster_get_currency() ); ?></label>
																<input class="" value="<?php if ( isset( $_POST['amount'] ) && isset( $_POST['banktransfer_withdraw'] ) ) echo $_POST['amount']; ?>" type="text" size="10" name="amount" />
															</div>
														</div>

														<div class="four wide field">
															<input class="ui button secondary nomargin fluid" data-alert-message="<?php echo __( 'Error', 'wpjobster' ); ?>" type="submit" name="banktransfer_withdraw" value="<?php _e( 'Withdraw', 'wpjobster' ); ?>" />
														</div>
													</div>
												</div>
											</form>
										</div>

									<?php } else { ?>

										<div class="ui fitted divider"></div>
										<div class="eight wide column"><?php _e( 'Bank Account', 'wpjobster' ); ?></div>
										<div class="eight wide column"><?php echo sprintf( __( 'Please fill your Bank details <a class="fill-payment-color" href="%s">here</a>.', 'wpjobster' ), get_permalink( get_option( 'wpjobster_my_account_personal_info_page_id' ) ) . 'payments#bank-payments' ); ?></div>

									<?php }
								}

								do_action( 'wpjobster_payments_withdraw_options', $uid, get_option( 'wpjobster_currency_position' ) );

							} ?>

						</div>
					</div>

					<?php do_action( 'new_payment_type_content' );

				}

			} ?>

			<div class="ui hidden divider"></div>

		</div><!-- end #content-full-ov -->

		<?php $ret = ob_get_contents(); ob_clean();

		return $ret;
	}
}

//----------------------------------
// (c) WPJobster Pending Withdrawals
//----------------------------------
if (!function_exists('wpjobster_get_pending_withdrawals_queries')){
	function wpjobster_get_pending_withdrawals_queries($row){
		echo '<div class="ui stackable grid payments-list-border">';
			echo '<div class="five wide column">'. '<div class="responsive_titles">'.__("Date", "wpjobster").'</div>'. '<div class="responsive_content_payment">'.wpj_date(get_option('date_format') . ' - ' . get_option('time_format'), $row->datemade).'</div>'.'</div>';
			echo '<div class="four wide column">' .'<div class="responsive_titles">'.__("Amount", "wpjobster").'</div>'. '<div class="responsive_content_payment">'.wpjobster_deciphere_amount_classic($row->payedamount).' '.'</div>' .'</div>';
			echo '<div class="four wide column">'.'<div class="responsive_titles">'.__("Type of payment", "wpjobster").'</div>'. '<div class="responsive_content_payment">'. wpjobster_translate_string( $row->methods ) .'</div>'.'</div>';
			echo '<div class="three wide column">'.'<div class="responsive_titles">'.__("Status", "wpjobster").'</div>'.'<div class="responsive_content_payment">';
				if ( $row->activation_key != '' ) {
					echo __('Unconfirmed','wpjobster') . '<br>';
					$receiver_data = get_userdata( $row->uid );
					$act_link = get_bloginfo('url') . "/?jb_action=resend_withdrawal_mail&uid=" . $row->uid . "&key=" . $row->activation_key . "&action=withdrawal";
					echo '<a class="greengreen" href="'.$act_link.'">' . __('Resend e-mail','wpjobster') . '</a>';
				} else {
					echo __('Processing','wpjobster');
				}
				echo '</div>';
			echo '</div>';
		echo '</div>';
	}
}

//-------------------------------
// (c) WPJobster Pending Payments
//-------------------------------
if (!function_exists('wpjobster_get_pending_payments_queries')){
	function wpjobster_get_pending_payments_queries($row){
		$post = get_post($row->pid);
		$from = $row->uid ? get_userdata($row->uid) : '';
		$username = $from ? wpj_get_user_display_type( $from->ID ) : '-';

		// custom extras total
		$total_custom_extras = 0;

		$custom_extras = json_decode( $row->custom_extras );
		if ( $custom_extras ) {
			$i = 0;
			foreach ( $custom_extras as $custom_extra ) {
				if ( $custom_extra->paid ) {
					$custom_extra_ord = wpj_get_custom_extra( $row->id, $i );
					$custom_extra_payment = wpj_get_payment( array(
						'payment_type' => 'custom_extra',
						'payment_type_id' => $custom_extra_ord->id,
					) );

					$total_custom_extras += $custom_extra_payment->amount;
				}
				$i++;
			}
		}

		// tips total
		$total_tips = 0;
		$tips = json_decode( $row->tips );
		if ( $tips ) {
			$i = 0;
			foreach ( $tips as $tip ) {
				if ( $tip->paid ) {
					$tips_ord = wpj_get_tip( $row->id, $i );
					$tips_payment = wpj_get_payment( array(
						'payment_type' => 'tips',
						'payment_type_id' => $tips_ord->id,
					) );

					$total_tips += $tips_payment->amount;
				}
				$i++;
			}
		}

		$mc_gross = apply_filters( 'wpj_pending_payment_amount_update_filter', $row->mc_gross, $row );

		// mc_gross + custom_extras + tips - seller_fee
		$total_amount = $mc_gross + $total_custom_extras + $total_tips;
		$total_amount_minus_fee = $total_amount - wpjobster_calculate_fee( $total_amount, $row->id );

		$transaction_id = wpjobster_camouflage_order_id($row->id,$row->date_made);

		if ( wpj_is_custom_offer( $row->pid ) ) {
			$real_post_title = wpj_get_custom_offer_title( $row->pid, $row->uid );
		} else {
			if ($row->job_title) {
				$real_post_title = $row->job_title;
			} else {
				$real_post_title = $post->post_title;
			}
		}

		echo '<div class="ui fitted divider"></div>';

		echo '<div class="two wide column">'.'<span class="responsive_titles">'.__("Buyer", "wpjobster").'</span>'.$username.'</div>';
		echo '<div class="two wide column">'.'<span class="responsive_titles">'.__("Job", "wpjobster").'</span>'.'<a href="'.get_home_url().'?jb_action=chat_box&oid='.$row->id.'">'.$real_post_title . ' (#' . $transaction_id .')</a></div>';
		echo '<div class="three wide column">'.'<span class="responsive_titles">'.__("Date Purchased", "wpjobster").'</span>'.wpj_date(get_option( 'date_format' ), $row->date_made).'</div>';

		if ($row->date_completed) {
			echo '<div class="three wide column">'.'<span class="responsive_titles">'.__("Date Completed", "wpjobster").'</span>'.wpj_date(get_option( 'date_format' ), $row->date_completed).'</div>';
		} else {
			echo '<div class="three wide column">'.'<span class="responsive_titles">'.__("Date Completed", "wpjobster").'</span>'.'-</div>';
		}

		if ($row->date_to_clear) {
			echo '<div class="three wide column">'.'<span class="responsive_titles">'.__("Date Clearing", "wpjobster").'</span>'.wpj_date(get_option( 'date_format' ), $row->date_to_clear).'</div>';
		} else {
			echo '<div class="three wide column">'.'<span class="responsive_titles">'.__("Date Clearing", "wpjobster").'</span>'.'-</div>';
		}

		echo '<div class="three wide column">'.'<span class="responsive_titles">'.__("Amount", "wpjobster").'</span>'.wpjobster_get_show_price_classic($total_amount_minus_fee).'</div>';
	}
}

//----------------------------
// (c) WPJobster Transactions
//----------------------------
if (!function_exists('wpjobster_get_transactions_queries')){
	function wpjobster_get_transactions_queries($row){
		global $wpjobster_currencies_array;
		global $wpdb;

		if (count($wpjobster_currencies_array) > 1) { $multiple_currencies = 1; } else { $multiple_currencies = 0; }

		$transaction_id = wpjobster_camouflage_order_id($row->oid,$row->datemade);

		if($row->tp == 0){ $class="redred"; $sign = "-"; }
		elseif($row->tp == 1) { $class="greengreen"; $sign = "+"; }
		else { $class="orangeorange"; $sign = ""; }
		$anchor_text = explode(':', strip_tags($row->reason));
		$txt=explode(':',$row->reason);
		$txt=$txt[0];
		$txt=trim($txt);
		$txt=str_replace(' ','_',$txt);


		echo '<div class="ui stackable grid transaction-list-border">';
		echo '<div class="eight wide column overflow-ellipsis">'.'<span class="responsive_titles transfer">'.__("Description", "wpjobster").'</span>';

		if ($row->rid > 0) {
			$job_title = '';
			$order_url = '';

			if ($row->oid > 0) {
				$select_order = "select distinct * from " . $wpdb->prefix . "job_orders where id='$row->oid'";
				$row_order = $wpdb->get_results($select_order);
				$row_order = $row_order[0];

				if ( wpj_is_custom_offer( $row_order->pid ) ) {
					global $current_user;
					$uid = $current_user->ID;
					$private_uid = $row_order->uid;

					if ($private_uid != $uid) {
						$private_userdata = get_userdata($private_uid);
						$with_username = wpj_get_user_display_type( $private_userdata->ID );
					} else {
						$private_post = get_post($row_order->pid);
						$private_authorid = $private_post->post_author;
						$private_authordata = get_userdata($private_authorid);
						$with_username = wpj_get_user_display_type( $private_authordata->ID );
					}

					$job_title = __("Private transaction with", "wpjobster") . ' ' . $with_username . ' (#' . $transaction_id . ')';
				} else {
					$job_title = $row_order->job_title . ' (#'. $transaction_id. ')';
				}

				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
			}

			if ($row->rid == 1) {
				echo __('Payment received from Site Admin', 'wpjobster');

			} elseif ($row->rid == 2) {
				echo __('Payment withdrawn by Site Admin', 'wpjobster');

			} elseif ($row->rid == 3) {
				echo __('Payment made for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 4) {
				echo __('Payment collected for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 5) {
				echo __('Payment cleared for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 6) {
				echo __('Fee charged for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 7 || $row->rid == 8) {
				echo __('Payment refunded for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 9) {
				echo __('Withdrawal to', 'wpjobster') . ' ' . $row->details;

			} elseif ($row->rid == 10) {
				echo __('Feature Job', 'wpjobster') . ': <a href="' . get_permalink($row->details) . '">' . get_the_title($row->details) . '</a>';

			} elseif ($row->rid == 11) {
				$details_arr = explode("_", $row->details);
				$duration_arr = array(
					"weekly" => __("weekly", "wpjobster"),
					"quarterly" => __("quarterly", "wpjobster"),
					"monthly" => __("monthly", "wpjobster"),
					"yearly" => __("yearly", "wpjobster")
					);

				$duration = $duration_arr[$details_arr[0]];
				if ($details_arr[2] == "new") {
					echo __('Payment for subscription', 'wpjobster') . ": " . $duration;
				} elseif ($details_arr[2] == "change") {
					echo __('Payment for changing subscription', 'wpjobster') . ": " . $duration;
				} elseif ($details_arr[2] == "renew") {
					echo __('Payment for subscription renewal', 'wpjobster') . ": " . $duration;
				} else {
					echo __('Payment for subscription', 'wpjobster');
				}

			} elseif ($row->rid == 12) {
				echo __('Top Up account balance', 'wpjobster');

			} elseif ($row->rid == 13) {
				echo __('Processing fee for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 14) {
				echo __('Tax for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 15) {
				echo __('Payment received from Affiliate System', 'wpjobster');

			} elseif ($row->rid == 16) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$custom_extras = json_decode($ord->custom_extras);
				$job_title = $custom_extras[$row->details]->description;
				echo __('Processing fee for custom extra', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 17) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$custom_extras = json_decode($ord->custom_extras);
				$job_title = $custom_extras[$row->details]->description;
				echo __('Tax for custom extra', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 18) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$custom_extras = json_decode($ord->custom_extras);
				$job_title = $custom_extras[$row->details]->description;
				echo __('Custom extra', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 19) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$custom_extras = json_decode($ord->custom_extras);
				$job_title = $custom_extras[$row->details]->description;
				echo __('Payment collected for custom extra', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 20) {
				echo __('Payoneer fee for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';

			} elseif ($row->rid == 21) {
				echo __('Discount for', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . '</a>';
			} elseif ($row->rid == 22) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$tips = json_decode($ord->tips);
				$job_title = $ord->job_title;
				$tips_reason = $tips[$row->details]->reason ? ' (' . $tips[$row->details]->reason . ')' : '';
				echo __('Processing fee for tips', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . $tips_reason . '</a>';

			} elseif ($row->rid == 23) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$tips = json_decode($ord->tips);
				$job_title = $ord->job_title;
				$tips_reason = $tips[$row->details]->reason ? ' (' . $tips[$row->details]->reason . ')' : '';
				echo __('Tax for tips', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . $tips_reason . '</a>';

			} elseif ($row->rid == 24) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$tips = json_decode($ord->tips);
				$job_title = $ord->job_title;
				$tips_reason = $tips[$row->details]->reason ? ' (' . $tips[$row->details]->reason . ')' : '';
				echo __('Tips', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . $tips_reason . '</a>';

			} elseif ($row->rid == 25) {
				$order_url = get_bloginfo('url').'/?jb_action=chat_box&oid='.$row->oid;
				$ord = wpjobster_get_order($row->oid);
				$tips = json_decode($ord->tips);
				$job_title = $ord->job_title;
				$reason = $tips[$row->details]->reason ? ' (' . $tips[$row->details]->reason . ')' : '';
				echo __('Payment collected for tips', 'wpjobster') . ': <a href="' . $order_url . '">' . $job_title . $reason . '</a>';

			} else {
				echo $row->reason;
			}

		} else {
			echo $row->reason;
		}


		echo '</div>';
		echo '<div class="four wide column">'.'<span class="responsive_titles transfer">'.__("Date", "wpjobster").'</span>'.wpj_date(get_option('date_format') . ' - ' . get_option('time_format'), $row->datemade).'</div>';
		echo '<div class="two wide column '.$class.'">'.'<span class="responsive_titles transfer">'.__("Amount", "wpjobster").'</span>'.$sign.wpjobster_get_show_price_classic($row->amount).'</div>';
		if ($multiple_currencies) {
			echo '<div class="two wide column '.$class.'">'.'<span class="responsive_titles transfer">'.__("Currency", "wpjobster").'</span>'.$sign.wpjobster_deciphere_amount_classic($row->payedamount).'</div>';
		}

		echo '</div>';

	}
}

//----------------------------------
// (c) WPJobster Pending Topup
//----------------------------------
if ( ! function_exists( 'wpjobster_get_pending_topup_queries' ) ) {
	function wpjobster_get_pending_topup_queries( $row ) { ?>

		<div class="ui stackable grid payments-list-border">

			<div class="four wide column">
				<div class="responsive_titles"><?php echo __( "Action", "wpjobster" ); ?></div>

				<div class="responsive_content_payment">
					<span><a href="javascript:void(0);" class="ui red label" onclick="take_to_gateway_topup_process( 'cancel', '<?php echo $row->id; ?>', '<?php echo $row->payment_gateway_name; ?>', '<?php echo $row->package_id; ?>' )"><?php echo __( 'Cancel', 'wpjobster' ); ?></a></span>
					<span><a href="javascript:void(0);" class="ui green label" onclick="take_to_gateway_topup_process( 'process', '<?php echo $row->id; ?>', '<?php echo $row->payment_gateway_name; ?>', '<?php echo $row->package_id; ?>' )"><?php echo __( 'Process', 'wpjobster' ); ?> </a></span>
				</div>
			</div>

			<div class="four wide column">
				<div class="responsive_titles"><?php _e( "Date", "wpjobster" ); ?></div>
				<div class="responsive_content_payment"><?php echo wpj_date( get_option( 'date_format' ) . ' - ' . get_option( 'time_format' ), $row->added_on ); ?></div>
			</div>

			<div class="two wide column">
				<div class="responsive_titles"><?php _e( "Amount", "wpjobster" ); ?></div>
				<div class="responsive_content_payment"><?php echo wpjobster_get_show_price_classic( $row->package_amount ); ?></div>
			</div>

			<div class="three wide column">
				<div class="responsive_titles"><?php _e( "Type of payment", "wpjobster" ); ?></div>
				<div class="responsive_content_payment"><?php echo wpjobster_translate_string( $row->payment_gateway_name ); ?></div>
			</div>

			<div class="three wide column">
				<div class="responsive_titles"><?php _e( "Status", "wpjobster" ); ?></div>
				<div class="responsive_content_payment">
					<span class="oe-status-btn oe-orange oe-full"><?php echo wpjobster_translate_string( $row->payment_status ); ?></span>
				</div>
			</div>

		</div>

	<?php }
}

//----------------------------------
// (c) WPJobster Completed Topup
//----------------------------------
if( !function_exists( 'wpjobster_get_completed_topup_queries' ) ) {
	function wpjobster_get_completed_topup_queries( $row ) {
		echo '<div class="ui stackable grid payments-list-border">';
			echo '<div class="five wide column">'. '<div class="responsive_titles">'.__("Date", "wpjobster").'</div>'. '<div class="responsive_content_payment">'.wpj_date(get_option('date_format') . ' - ' . get_option('time_format'), $row->added_on).'</div>'.'</div>';
			echo '<div class="four wide column">' .'<div class="responsive_titles">'.__("Amount", "wpjobster").'</div>'. '<div class="responsive_content_payment">'.wpjobster_get_show_price_classic($row->package_amount).' '.'</div>' .'</div>';
			echo '<div class="four wide column">'.'<div class="responsive_titles">'.__("Type of payment", "wpjobster").'</div>'. '<div class="responsive_content_payment">'.$row->payment_gateway_name .'</div>'.'</div>';
			echo '<div class="three wide column">'.'<div class="responsive_titles">'.__("Status", "wpjobster").'</div>'.'<div class="responsive_content_payment">';
					echo __('Completed','wpjobster');
				echo '</div>';
			echo '</div>';
		echo '</div>';
	}
}