<?php
if ( ! function_exists( 'wpjobster_my_account_pers_info_area_function' ) ) {
	function wpjobster_my_account_pers_info_area_function() { ob_start();

		$uid = get_current_user_id();

		// remove html code
		if ( $_POST ) { foreach( $_POST AS $key => $val ) { $_POST[$key] = wpj_validate_input_content( $val ); } } ?>

		<div id="content-full-ov">

			<?php wpj_save_personal_info_data(); // save user data ?>

<!-- HEADER -->
			<div class="ui stackable grid">
				<div class="row">
					<div class="thirteen wide column">

						<h1><?php _e( 'Settings', 'wpjobster' ); ?></h1>

						<!-- TABS -->
						<div class="ui basic notpadded segment js-tab-to-dropdown">
							<div class="ui secondary menu">
								<div class="item force-white-btn <?php echo 'home' == wpj_get_current_tab_user_settings() ? 'active' : ''; ?>" data-tab="home">
									<?php _e( "Account", "wpjobster" ); ?>
								</div>

								<?php if ( get_option( 'wpjobster_enable_user_social_media' ) == 'yes' ) { ?>
									<div class="item force-white-btn <?php echo 'social-media-accounts' == wpj_get_current_tab_user_settings() ? 'active' : ''; ?>" data-tab="social-media-accounts">
										<?php _e( "Social Media", "wpjobster" ); ?>
									</div>
								<?php } ?>

								<div class="item force-white-btn <?php echo 'security' == wpj_get_current_tab_user_settings() ? 'active' : ''; ?>" data-tab="security">
									<?php _e( "Security", "wpjobster" ); ?>
								</div>

								<div class="item force-white-btn <?php echo 'payments' == wpj_get_current_tab_user_settings() ? 'active' : ''; ?>" data-tab="payments">
									<?php _e( "Payments", "wpjobster" ); ?>
								</div>

								<?php if ( wpj_get_up_custom_fields_content() ) { ?>

									<div class="item force-white-btn <?php echo 'additional-details' == wpj_get_current_tab_user_settings() ? 'active' : ''; ?>" data-tab="additional-details">
										<?php _e( "Additional Details", "wpjobster" ); ?>
									</div>

								<?php }

								do_action( 'wpj_user_settings_add_tab_name', wpj_get_current_tab_user_settings() ); ?>

							</div>
						</div>

					</div>

					<!-- AVATAR -->
					<div class="three wide column">
						<div class="personal-info-avatar right">

							<div class="hidden_input">

								<div id="queue"></div>
								<input id="file_upload" name="file_upload" type="file" multiple="false" accept="image/*">

							</div>

							<div class="avatar_input" style="width: 75px; height: 75px">

								<img src="<?php echo wpjobster_get_avatar( get_current_user_id(), 75, 75 ); ?>" width="75" height="75">

								<div class="ei-cnt ei-small ei-photo-camera">
									<svg class="ei-svg"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#ei-photo-camera"></use></svg>
								</div>

							</div>

							<script>window.addEventListener( 'load', function() { wpj_init_avatar_upload_form( 75, 75, 'user-settings' ); });</script>

						</div>
					</div>
				</div>
			</div>

			<?php $tabs = apply_filters( 'wpj_user_settings_tab_filter', array( 'home', 'social-media-accounts', 'security', 'payments', 'additional-details' ) );

			foreach ( $tabs as $key => $pg ) { ?>

				<div class="ui segment tab <?php if ( wpj_get_current_tab_user_settings() == $pg ) { echo 'active'; } ?>" data-tab="<?php echo $pg; ?>">

					<form class="ui form edit-profile" method="post" enctype="multipart/form-data">

						<div class="full-width-inputs">

	<!-- ACCOUNT TAB -->
							<?php if ( $pg == 'home' ) {

								do_action( 'wpj_user_profile_account_tab_before_fields_action', $uid ); ?>

								<!-- Registration data -->
								<h4 class="ui dividing header registration-data-lbl"><?php echo __( 'Registration Data', 'wpjobster' ); ?></h4>

								<?php do_action( 'wpj_user_profile_account_tab_after_first_subtitle_action', $uid ); ?>

								<div class="two fields wrap-fix">

									<?php do_action( 'wpjobster_before_user_profile_registration_fields_action', $uid ); ?>

									<!-- First name -->
									<div class="field first-name-field">
										<label><?php echo __( 'First name', 'wpjobster' ); ?></label>
										<div class="input-relative">
											<input type="text" name="first_name" value="<?php echo empty( $_POST['first_name'] ) ? stripslashes( user( $uid, 'first_name' ) ) : stripslashes( $_POST['first_name'] ); ?>" placeholder="<?php _e( 'First Name', 'wpjobster' ); ?>" <?php if ( user( $uid, 'first_name' ) ) { echo 'readonly'; } ?> />
											<?php if ( user( $uid, 'first_name' ) ) { echo '<i class="lock icon"></i>'; } ?>
										</div>
									</div>

									<!-- Last name -->
									<div class="field last-name-field">
										<label><?php echo __( 'Last name', 'wpjobster' ); ?></label>
										<div class="input-relative">
											<input type="text" name="last_name" value="<?php echo empty( $_POST['last_name'] ) ? stripslashes( user( $uid, 'last_name' ) ) : stripslashes( $_POST['last_name'] ); ?>" placeholder="<?php _e( 'Last Name', 'wpjobster' ); ?>" <?php if ( user( $uid, 'last_name' ) ) { echo 'readonly'; } ?> />
											<?php if ( user( $uid, 'first_name' ) ) { echo '<i class="lock icon"></i>'; } ?>
										</div>
									</div>

									<!-- Email -->
									<div class="field email-field">
										<?php $user_info = get_userdata( $uid );
										$user_mail = empty( $_POST['email'] ) ? $user_info->user_email : stripslashes( $_POST['email'] );
										$email = apply_filters( 'wpj_user_email_settings_filter', $user_mail, $uid ); ?>

										<label><?php echo __( 'Email', 'wpjobster' ); ?></label>
										<input class="user-mail-inp" type="email" value="<?php echo $email; ?>" name="email" placeholder="<?php echo _x( 'email@example.com', 'Placeholder for: Email', 'wpjobster' ); ?>" size="40" />
									</div>

									<!-- Phone number -->
									<div class="field phone-field">
										<label class="cb"><?php echo __('Phone Number','wpjobster'); ?></label>
										<?php
										$phone_number = empty($_POST['cell_number']) ? user($uid, 'cell_number') : stripslashes( wpj_validate_input_content( $_POST['cell_number'] ) );
										$phone_number = wpjobster_phone_number_format($uid, $phone_number);
										?>
										<p class="lighter">
											<input class="cell_number" type="text" name="cell_number" data-default-country="<?php echo get_option('wpjobster_phone_country_select'); ?>" data-only-countries="<?php echo apply_filters( 'wpj_phone_prefixes_intltelinput_filter', '' ); ?>" value="<?php echo $phone_number; ?>" size="40" data-country="<?php echo get_user_meta( $uid, 'country_code', true ); ?>" placeholder="<?php echo _x( '+123456789000', 'Placeholder for: Phone Number', 'wpjobster' ); ?>" />
										</p>
									</div>

									<!-- Company -->
									<?php if ( get_option( 'wpjobster_enable_user_company' ) == 'yes' ) {
										$user_company = get_user_meta( $uid, 'user_company', true );
										$company = empty( $_POST['company'] ) ? $user_company : stripslashes( $_POST['company'] ); ?>

										<div class="field company-field">
											<label><?php echo apply_filters( 'wpj_company_name_filter', __( 'Company', 'wpjobster' ), $uid ); ?></label>
											<input type="text" value="<?php echo $company; ?>" name="user_company" size="40" placeholder="<?php echo _x( 'My Company LLC', 'Placeholder for: Company', 'wpjobster' ); ?>" />
										</div>
									<?php } ?>

									<!-- VAT ID -->
									<?php if ( get_option( 'wpjobster_enable_user_vat_id' ) == 'yes' ) {
										$tax_id = get_user_meta( $uid, 'tax_id', true );
										$tax_id = empty( $_POST['tax_id'] ) ? $tax_id : stripslashes( $_POST['tax_id'] ); ?>

										<div class="field tax-field">
											<label><?php echo __('Tax/VAT ID', "wpjobster"); ?></label>
											<input type="text" value="<?php echo $tax_id; ?>" name="tax_id" size="40" placeholder="<?php echo _x( 'XX-XXXXXXX', 'Placeholder for: Tax ID', 'wpjobster' ); ?>" />
										</div>
									<?php }

									do_action( 'wpjobster_after_user_profile_registration_fields_action', $uid ); ?>

								</div>

								<?php do_action( 'wpj_user_profile_account_tab_beetwen_fields_action', $uid ); ?>

								<!-- Address data -->
								<h4 class="ui dividing header address-data-lbl"><?php echo __( 'Address Data', 'wpjobster' ); ?></h4>

								<?php do_action( 'wpj_user_profile_account_tab_after_second_subtitle_action', $uid ); ?>

								<!-- Address -->
								<div class="wide field address-field">
									<label><?php echo __('Address','wpjobster'); ?></label>
									<div class="ui search js-location-autocomplete">
										<div class="ui clearable input">
											<input type="text" name="address" class="prompt" placeholder="<?php echo _x( '123 Street Name, Province', 'Placeholder for: Address', 'wpjobster' ); ?>" value="<?php echo user($uid, 'address'); ?>" />
											<input id="lat" type="hidden" name="lat" value="<?php echo user( $uid, 'wpj_user_latitude' ); ?>">
											<input id="long" type="hidden" name="long" value="<?php echo user( $uid, 'wpj_user_longitude' ); ?>">
										</div>
										<div class="results"></div>
									</div>
								</div>

								<div class="two fields wrap-fix">

									<?php do_action( 'wpjobster_before_user_profile_address_fields_action', $uid ); ?>

									<!-- City -->
									<div class="field city-field">
										<label><?php echo __('City','wpjobster'); ?></label>
										<input type="text" name="city" placeholder="<?php _e( 'City', 'wpjobster' ); ?>" value="<?php echo empty($_POST['city']) ? stripslashes(user($uid, 'city')) : stripslashes($_POST['city']); ?>" />
									</div>

									<!-- State -->
									<div class="field state-field">
										<label><?php echo __('State/Province/Region','wpjobster'); ?></label>
										<input type="text" name="state" placeholder="<?php _e( 'State/Province/Region', 'wpjobster' ); ?>" value="<?php echo empty($_POST['state']) ? stripslashes(user($uid, 'state')) : stripslashes($_POST['state']); ?>" />
									</div>

									<!-- ZIP -->
									<div class="field zip-field">
										<label><?php echo __('ZIP/Postal Code','wpjobster'); ?></label>
										<input type="text" name="zip" value="<?php echo empty($_POST['zip']) ? stripslashes(user($uid, 'zip')) : stripslashes($_POST['zip']); ?>" placeholder="<?php echo _x( '123456', 'Placeholder for: ZIP Code', 'wpjobster' ); ?>" />
									</div>

									<!-- Country -->
									<?php if ( get_option( "wpjobster_enable_country_select" ) != "no" ) { ?>
									<div class="field country-field">
										<label><?php echo __('Country','wpjobster'); ?></label>
										<select class="ui search dropdown new-post-category" name="country_code">
											<?php
												$c = get_country_name();
												list_options($c,user($uid, 'country_code'));
											?>
										</select>
									</div>
									<?php } ?>

									<!-- Timezone -->
									<div class="field timezone-field">
										<label><?php echo __('Timezone','wpjobster'); ?></label>
										<select id="timezone_select" class="ui search dropdown new-post-category" name="timezone_select">
										<?php
											$tm = get_timezone_name();
											list_options($tm,user($uid, 'timezone_select'));
										?>
										</select>
									</div>

									<!-- Preffered language -->
									<div class="field preferred-language-field">
										<?php if (count(get_preferred_languages()) > 1) { ?>
											<label><?php echo __('Preffered language','wpjobster'); ?></label>
											<select class="ui dropdown styledselect new-post-category" name="preferred_language">
											<?php
												$pl = get_preferred_languages();
												list_options($pl,user($uid, 'preferred_language'));
											?>
											</select>
										<?php } ?>
									</div>

									<?php do_action( 'wpjobster_after_user_profile_address_fields_action', $uid ); ?>

								</div>

								<?php do_action( 'wpjobster_user_profile_extra_fields_display', $uid );

							} elseif ( $pg == 'social-media-accounts' && get_option( 'wpjobster_enable_user_social_media' ) == 'yes' ) { ?>

	<!-- SOCIAL MEDIA TAB -->
								<div class="two fields wrap-fix">

									<?php $providers = wpj_get_user_social_media_providers();

									if ( $providers ) {
										foreach ( $providers as $key => $provider ) {

											$current_value = ! empty( $_POST['social_media_' . $key] ) ? $_POST['social_media_' . $key] : get_user_meta( $uid, 'social_media_' . $key, true );
											$current_value = preg_replace( "(^https?://)", "", $current_value ); ?>

											<div class="field <?php echo $key; ?>-field">
												<label><?php echo $provider['name']; ?></label>
												<div class="ui labeled icon input">
													<div class="ui label">https://</div>
													<input type="text" name="social_media_<?php echo $key; ?>" value="<?php echo $current_value; ?>" />
													<i class="inverted circular <?php echo $provider['icon']; ?> icon"></i>
												</div>
											</div>

										<?php }
									} ?>

								</div>

							<?php } elseif ( $pg == 'security' ) { ?>

	<!-- SECURITY TAB -->
								<div class="field">
									<div class="three fields">
										<div class="field">
											<label><?php _e( "Current Password", "wpjobster" ); ?></label>
											<input type="password" value="" placeholder="<?php _e( "Current Password", "wpjobster" ); ?>" id="current_password" name="current_password" />
										</div>
										<div class="field">
											<label><?php _e( "New Password", "wpjobster" ); ?></label>
											<input type="password" value="" placeholder="<?php _e( "New Password", "wpjobster" ); ?>" id="password" name="password" />
										</div>
										<div class="field">
											<label><?php _e( "Repeat Password", "wpjobster" ); ?></label>
											<input type="password" value="" placeholder="<?php _e( "Repeat Password", "wpjobster" ); ?>" id="repeat_password" name="repeat_password" />
										</div>
									</div>
								</div>

							<?php } elseif ( $pg == 'payments' ) { ?>

	<!-- PAYMENTS TAB -->

								<?php if ( ! wpj_withdrawal_gateway_enabled_exist() ) { ?>

									<div class="ui negative message">
										<?php _e( "No withdrawal method is available on this site. Please contact the administrator.", "wpjobster" ); ?>
									</div>

								<?php }

								if ( wpj_is_payment_type_enabled( 'paypal', 'withdraw' ) ) { ?>

									<div id="paypal-payments" class="field paypal-payment-wrapper">
										<label><?php _e('PayPal Payment', 'wpjobster'); ?></label>
										<div class="two fields">
											<div class="field">
												<input type="text" name="paypal_email" placeholder="<?php _e( 'PayPal Email', 'wpjobster' ); ?>" value="<?php echo user($uid, 'paypal_email'); ?>" <?php if(user($uid, 'paypal_email')){echo 'readonly';} ?> />
												<?php if(user($uid, 'paypal_email')){echo '<i class="lock icon"></i>';} ?>
											</div>
										</div>
									</div>

								<?php }

								if ( wpj_is_payment_type_enabled( 'payoneer', 'withdraw', true ) ) { ?>

									<div id="payoneer-payments" class="field">
										<label><?php _e('Payoneer Payment', 'wpjobster'); ?></label>
										<div class="two fields">
											<div class="field">
												<input type="text" name="payoneer_email" placeholder="<?php _e( 'Payoneer Email', 'wpjobster' ); ?>" value="<?php echo user($uid, 'payoneer_email'); ?>" <?php if(user($uid, 'payoneer_email')){echo 'readonly';} ?> />
												<?php if(user($uid, 'payoneer_email')){echo '<i class="lock icon"></i>';} ?>

											</div>

											<div class="field">

												<input type="text" name="payoneer_card" placeholder="<?php _e( 'Payoneer Card', 'wpjobster' ); ?>" value="<?php echo user($uid, 'payoneer_card'); ?>" <?php if(user($uid, 'payoneer_card')){echo 'readonly';} ?> />
												<?php if(user($uid, 'payoneer_card')){echo '<i class="lock icon"></i>';} ?>

											</div>
										</div>
									</div>

								<?php }

								if ( wpj_is_payment_type_enabled( 'banktransfer', 'withdraw' ) ) { ?>

									<div id="bank-payments" class="field">

										<label><?php _e('Bank Payment', 'wpjobster'); ?></label>

										<div class="two fields wrap-fix">

											<?php if ( apply_filters( 'wpj_payments_display_' . 'bank_bank_name' . '_field', true ) ) { ?>
											<div class="field">
												<input type="text" name="bank_bank_name" placeholder="<?php _e( 'Bank Name', 'wpjobster' ); ?>" value="<?php echo user($uid, 'bank_bank_name'); ?>" <?php if(user($uid, 'bank_bank_name')){echo 'readonly';} ?> />
												<?php if(user($uid, 'bank_bank_name')){echo '<i class="lock icon"></i>';} ?>
											</div>
											<?php } ?>

											<?php if ( apply_filters( 'wpj_payments_display_' . 'bank_bank_address' . '_field', true ) ) { ?>
											<div class="field">
												<input type="text" name="bank_bank_address" placeholder="<?php _e( 'Bank Address', 'wpjobster' ); ?>" value="<?php echo user($uid, 'bank_bank_address'); ?>" <?php if(user($uid, 'bank_bank_address')){echo 'readonly';} ?> />
												<?php if(user($uid, 'bank_bank_address')){echo '<i class="lock icon"></i>';} ?>
											</div>
											<?php } ?>

											<?php if ( apply_filters( 'wpj_payments_display_' . 'bank_account_name' . '_field', true ) ) { ?>
											<div class="field">
												<input type="text" name="bank_account_name" placeholder="<?php _e( 'Bank Account Name', 'wpjobster' ); ?>" value="<?php echo user($uid, 'bank_account_name'); ?>" <?php if(user($uid, 'bank_account_name')){echo 'readonly';} ?> />
												<?php if(user($uid, 'bank_account_name')){echo '<i class="lock icon"></i>';} ?>
											</div>
											<?php } ?>

											<?php if ( apply_filters( 'wpj_payments_display_' . 'bank_account_number' . '_field', true ) ) { ?>
											<div class="field">
												<input type="text" name="bank_account_number" placeholder="<?php _e( 'Bank Account Number', 'wpjobster' ); ?>" value="<?php echo user($uid, 'bank_account_number'); ?>" <?php if(user($uid, 'bank_account_number')){echo 'readonly';} ?> />
												<?php if(user($uid, 'bank_account_number')){echo '<i class="lock icon"></i>';} ?>
											</div>
											<?php } ?>

											<?php if ( apply_filters( 'wpj_payments_display_' . 'bank_account_currency' . '_field', true ) ) { ?>
											<div class="field">
												<input type="text" name="bank_account_currency" placeholder="<?php _e( 'Bank Account Currency', 'wpjobster' ); ?>" value="<?php echo user($uid, 'bank_account_currency'); ?>" <?php if(user($uid, 'bank_account_currency')){echo 'readonly';} ?> />
												<?php if(user($uid, 'bank_account_currency')){echo '<i class="lock icon"></i>';} ?>
											</div>
											<?php } ?>

											<?php if ( apply_filters( 'wpj_payments_display_' . 'bank_additional_info' . '_field', true ) ) { ?>
											<div class="field">
												<textarea row="4" type="textarea" placeholder="<?php _e( 'Bank Additional Info', 'wpjobster' ); ?>" name="bank_additional_info"><?php echo user($uid, 'bank_additional_info'); ?></textarea>
											</div>
											<?php } ?>
										</div>
									</div>

								<?php }

								do_action( 'wpjobster_show_withdraw_personalinfo_gateway', $uid );

							} elseif ( $pg == "additional-details" ) { ?>

	<!-- CUSTOM FIELDS TAB -->
								<?php if ( wpj_get_up_custom_fields_content() ) { $ji = 0;
									foreach ( wpj_get_up_custom_fields_content() as $ws_key => $fields ) {
										if ( strpos( $fields['acf_fc_layout'], 'custom_field' ) !== false ) {

											$custom_field = new WPJ_Custom_Fields( $uid, 'up' );
											$ucf = $custom_field->getFieldsContent( $fields );

											if ( $ji == 0 ) { ?><div class="two fields"><?php } ?>

												<div class="field">

													<?php if ( $ucf['label'] != 'no' ) { ?>
														<label><?php echo $fields['label']; ?></label>
													<?php }

													echo $ucf['content']; ?>

												</div><?php $ji++;

											if ( $ji == 2 ) { ?></div><?php $ji = 0; }
										}
									}

									if ( count( wpj_get_up_custom_fields_content() ) % 2 != 0 ) { echo '</div>'; }
								}
							}

							do_action( 'wpj_user_settings_add_tab_content', $pg, $uid );

							if ( $pg != 'payments' || ( $pg == 'payments' && wpj_withdrawal_gateway_enabled_exist() ) ) { ?>

								<div class="field">
									<input class="ui primary submit button save-user-settings-btn" type="submit" name="save-info" value="<?php _e("Save Changes" ,'wpjobster'); ?>" />
								</div>

								<div class="field">
									<div class="ui error message" style="margin-top:50px"></div>
								</div>

							<?php } ?>

						</div><!-- END full-width-inputs -->
					</form>

				</div><!-- END ui segment - form -->

			<?php } ?>

		</div><!-- END content-full-ov - page content -->

		<div class="ui hidden divider"></div>

		<?php $ret = ob_get_contents(); ob_clean();

		return $ret;
	}
} ?>
