<?php
add_action( 'wp_ajax_show_messages_panel_preview', 'wpj_display_messages_panel_preview_ajax_fnc' );
add_action( 'wp_ajax_nopriv_show_messages_panel_preview', 'wpj_display_messages_panel_preview_ajax_fnc' );
if ( ! function_exists( 'wpj_display_messages_panel_preview_ajax_fnc' ) ) {
	function wpj_display_messages_panel_preview_ajax_fnc() {

		global $wpdb;
		$uid = get_current_user_id();

		$using_perm = wpjobster_using_permalinks();
		if ( $using_perm ) {
			$privurl_m = get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ) . "?";
		} else {
			$privurl_m = get_bloginfo( 'url' ) . "/?page_id=" . get_option( 'wpjobster_my_account_priv_mess_page_id' ) . "&";
		}

		$messages = $wpdb->get_results( "
			SELECT id, rd, initiator, other, user, content, datemade, archived
			FROM (
				SELECT id, rd, initiator, other, user, content, MAX(datemade) AS datemade, archived
				FROM (
					SELECT id, rd, user AS other, user AS initiator, user AS user, content, datemade, archived_to_source AS archived
					FROM {$wpdb->prefix}job_pm
					WHERE initiator = {$uid}
					AND show_to_source = '1'

					UNION

					SELECT id, rd, initiator AS other, initiator AS initiator, user AS user, content, datemade, archived_to_destination AS archived
					FROM {$wpdb->prefix}job_pm
					WHERE user = {$uid}
					AND show_to_destination = '1'

					ORDER BY datemade DESC
				) tmp
				GROUP BY other
				ORDER BY datemade DESC
			) tmp2
			WHERE archived = '0'
			LIMIT 10
		" ); ?>

		<div class="antiscroll-wrap">
			<div class="antiscroll-inner">

				<?php if ( count( $messages ) > 0 ) { $i = 0;
					foreach ( $messages as $row ) { $i++;

						$initiator_arr = get_userdata( $row->initiator );
						if ( is_object( $initiator_arr ) && isset( $initiator_arr->ID ) ) {
							$user_nicename = $initiator_arr->user_nicename;
							$user_login    = wpj_get_user_display_type( $initiator_arr->ID );
							$user_link     = $privurl_m . 'username=' . $user_nicename;
						} else {
							$user_login = __( 'Deleted User', 'wpjobster' );
							$user_link  = $privurl_m . 'user_id=' . $row->initiator;
						}

						$message = nl2space( strip_tags( html_entity_decode( htmlspecialchars_decode( $row->content ) ) ) );

						if ( $i == 1 ) { echo "<ul>"; } ?>

						<li class="<?php echo $row->user == $uid && $row->rd == 0 ? 'unread' : 'read'; ?>">
							<a onclick="return wpj_chat_open_box( '<?php echo $row->initiator; ?>' );" href="<?php echo $user_link; ?>">
								<div class="nh-notification-icon" style="background: transparent;">
									<img width="45" height="45" border="0" src="<?php echo wpjobster_get_avatar( $row->initiator, 45, 45 ); ?>" class="round-avatar" />
								</div>

								<div class="nh-notification-right">
									<div class="nh-notification-username"><?php echo $user_login . ( $row->user == $uid && $row->rd == 0 ? ' (' . wpjobster_get_unread_number_messages_from_user( $row->initiator, $row->user ) . ')' : '' ); ?></div>
									<div class="overflow-ellipsis"><?php echo strlen( $message ) > 80 ? wpj_apply_filter_to_string( mb_substr( $message, 0, 80 ), false, 'privatemessages' ) . "..." : wpj_apply_filter_to_string( $message, false, 'privatemessages' ); ?></div>
									<div class="nh-notification-date"><?php echo wpj_date( get_option( 'date_format' ), $row->datemade ); ?></div>

								</div>
							</a>
						</li>

					<?php }

					if ( $i >= 1 ) {
						echo '<ul>';
					} else {
						echo '<p>' . __( "You don't have any unread messages.", "wpjobster" ) . '</p>';
					}
				} else {
					echo '<p>' . __( "You don't have any unread messages.", "wpjobster" ) . '</p>';
				} ?>

			</div><!-- END antiscroll-inner -->

			<div class="wpj-view-all-cnt">

				<a href="<?php echo get_permalink( get_option( 'wpjobster_my_account_priv_mess_page_id' ) ); ?>"><?php _e( 'View all messages', 'wpjobster' ); ?></a>

			</div>

		</div><!-- END antiscroll-wrap -->

	<?php wp_die(); }
}
