<?php
add_action( 'wp_ajax_show_notifications_panel_preview', 'wpj_display_notifications_panel_preview_ajax_fnc' );
add_action( 'wp_ajax_nopriv_show_notifications_panel_preview', 'wpj_display_notifications_panel_preview_ajax_fnc' );
if ( ! function_exists( 'wpj_display_notifications_panel_preview_ajax_fnc' ) ) {
	function wpj_display_notifications_panel_preview_ajax_fnc() {

		global $wpdb;

		$uid = get_current_user_id();

		$buyer_uid  = implode( ", ", wpj_get_chatbox_uid_by_user_type( 'buyer' ) );
		$seller_uid = implode( ", ", wpj_get_chatbox_uid_by_user_type( 'seller' ) );

		$s = "
			SELECT chatbox.id id, chatbox.rd_receiver, orders.id oid, posts.ID pid, posts.post_author sid, orders.uid bid, chatbox.uid code, chatbox.datemade tm, orders.date_made otm
			FROM {$wpdb->prefix}job_chatbox chatbox, {$wpdb->prefix}job_orders orders, $wpdb->posts posts
			WHERE chatbox.oid = orders.id
				AND posts.ID = orders.pid
				AND chatbox.uid != '{$uid}'
				AND ( posts.post_author = '{$uid}' OR orders.uid = '{$uid}' )
				AND ( chatbox.uid > 0
					OR ( posts.post_author = '{$uid}' AND (chatbox.uid IN ( {$seller_uid} ) ) )
					OR ( orders.uid = '{$uid}' AND ( chatbox.uid IN ( {$buyer_uid} ) ) )
			)
			ORDER BY chatbox.rd_receiver ASC, tm DESC
			LIMIT 10
		";
		$notifications = $wpdb->get_results( $s ); ?>

		<div class="antiscroll-wrap">
			<div class="antiscroll-inner">

				<?php $i = 0; if ( count( $notifications ) > 0 ) {
					foreach ( $notifications as $row ) { $i++;
						$notifications_arr = wpj_get_notification_message_by_id( $row->id );

						$buyer_uid  = wpj_get_chatbox_uid_by_user_type( 'buyer' );
						$seller_uid = wpj_get_chatbox_uid_by_user_type( 'seller' );

						if ( $i == 1 ) { echo "<ul>"; } ?>

						<li class="<?php echo $row->rd_receiver == 0 ? 'unread' : 'read'; ?>">
							<a href="<?php echo wpj_get_order_link( $row->oid ); ?>">
								<div class="nh-notification-icon <?php echo $notifications_arr['icon_class']; ?>"></div>
								<div class="nh-notification-right">
									<?php echo $notifications_arr['content']; ?>
									<div class="nh-notification-date"><?php echo $notifications_arr['date']; ?></div>
								</div>
							</a>
						</li>

					<?php }

					if ( $i >= 1 ) {
						echo '<ul>';
					} else {
						echo '<p>' . __( "You don't have any unread notifications.", "wpjobster" ) . '</p>';
					}
				} else {
					echo '<p>' . __( "You don't have any unread notifications.", "wpjobster" ) . '</p>';
				} ?>
			</div><!-- END antiscroll-inner -->

			<div class="wpj-view-all-cnt" data-count="<?php echo $i; ?>">
				<a href="<?php echo get_permalink( get_option( 'wpjobster_my_account_all_notifications_page_id' ) ); ?>"><?php _e( 'View All', 'wpjobster' ); ?></a>
			</div>

		</div><!-- END antiscroll-wrap -->

	<?php wp_die(); }
}
