<?php if ( ! function_exists( 'wpjobster_my_account_priv_mess_area_function' ) ) {
	function wpjobster_my_account_priv_mess_area_function() { ob_start();

		$otheruid  = '';
		$myuid     = '';

		$vars      = wpj_private_messages_vars();
		$myuid     = $vars['myuid'];
		$wpdb      = $vars['wpdb'];
		$privurl_m = $vars['privurl_m'];

		if ( isset( $_GET['type'] ) && $_GET['type'] == 'archived' ) {
			$r_tpm = wpj_get_archived_private_messages();
			$title = __( 'Archived', 'wpjobster' );
		} else {
			$r_tpm = wpj_get_inbox_private_messages();
			$title = __( 'Messages', 'wpjobster' );
		}

		if ( isset( $_GET['username'] ) || isset( $_GET['user_id'] ) ) {

			$vars            = wpj_private_messages_avatar_username( $myuid, $wpdb );
			$otheruid        = $vars['otheruid'];
			$r_pm            = $vars['r'];
			$user            = $vars['user'];
			$user_avatar     = $vars['user_avatar'];
			$archive_class   = $vars['archive_class'];
			$unarchive_class = $vars['unarchive_class'];
			$uid             = is_object( $user ) && isset( $user->user_login ) ? $user->ID : $otheruid;

			// insert empty message before list loop if on new message
			if ( ! $r_pm ) {
				array_unshift( $r_tpm , (object) [
					'id' => '',
					'other' => $otheruid,
					'content' => '',
					'datemade' => time(),
					'author' => $myuid,
					'rd' => '0',
					'max_custom_offer' => '0',
					'min_custom_offer' => '0',
				] );
			}
		} ?>


		<div class="wpj-messenger ui segment">


			<!--
				List
			-->


			<aside class="thread-list-body">
				<header class="thread-list-header">
					<!-- Buttons -->
					<div class="ui segment">

						<div class="flex-parent">
							<div class="flex-both overflow-ellipsis">
								<h1 class="overflow-ellipsis"><?php echo $title; ?></h1>
							</div>

							<div class="text-right">
								<a class="ui icon button pm-nav-btn pm-nav-inbox" href="<?php echo $privurl_m; ?>">
									<i class="mail icon inbox-messages"></i>
								</a>

								<a class="ui icon button pm-nav-btn pm-nav-archive" href="<?php echo $privurl_m; ?>?type=archived">
									<i class="archive icon archived-messages"></i>
								</a>
							</div>
						</div>

					</div>
				</header>

				<div class="thread-list-wrapper">
					<div class="thread-list-viewport">
						<div class="thread-list-content">

							<!-- List messages by user -->
							<div class="ui segments" id="user_messages">
								<?php wpj_private_messages_return_messages( $r_tpm, $privurl_m ); ?>
							</div>

						</div>
					</div>
				</div>
			</aside>


			<!--
				Thread
			-->


			<div class="thread-body">


				<?php if ( isset( $_GET['username'] ) || isset( $_GET['user_id'] ) ) { ?>

				<header class="thread-header">
					<div class="ui segment">
						<div class="flex-parent flex-thumb-text">
							<!-- Avatar -->
							<div>
								<div class="message-user-avatar">
									<?php echo $user_avatar; ?>
									<?php wpj_pm_display_online_status( $uid ); ?>
								</div>
							</div>

							<!-- Title -->
							<div class="conversation-title overflow-ellipsis">
								<h2 class="overflow-ellipsis">
									<?php
									$user_link = isset( $user->user_login ) ? '<a href="' . wpj_get_user_profile_link( $user->user_login ) . '">' . wpj_get_user_display_type( $user->ID ) . '</a>' : __( 'Deleted User', 'wpjobster' );
									echo $user_link; ?>
								</h2>
								<span><?php _e( "Last seen", "wpjobster" ) ?>: <?php echo isset( $user->user_login ) ? wpj_get_last_visit( $user->ID ) : __( 'Unknown', 'wpjobster' ); ?></span>
							</div>

							<!-- Custom Offer -->
							<div class="conversation-custom-offer">
								<?php wpj_display_custom_offer_button( 'send', __( 'Send Custom Offer', 'wpjobster' ), 'send', $myuid, $otheruid, 'private_messages', '', '', 'both' ); ?>
							</div>

							<!-- Settings -->
							<div class="conversation-settings">
								<div class="ui floating top right pointing dropdown ">
									<i class="large ellipsis vertical icon"></i>
									<div class="menu">

										<!-- Unarchive -->
										<div class="item js-pm-action-archive <?php echo $unarchive_class; ?>" data-href="<?php echo $privurl_m . '?username=' . $user->user_nicename . '&unarchive_conversation=1'; ?>">
											<i class="mail icon"></i>
											<?php _e( 'Unarchive', 'wpjobster' ); ?>
										</div>

										<!-- Archive -->
										<div class="item js-pm-action-archive <?php echo $archive_class; ?>" data-href="<?php echo $privurl_m . '?username=' . $user->user_nicename . '&archive_conversation=1'; ?>">
											<i class="archive icon"></i>
											<?php _e( 'Archive', 'wpjobster' ); ?>
										</div>

										<!-- Delete -->
										<div class="item js-pm-action-delete" data-href="<?php echo $privurl_m . '?username=' . $user->user_nicename . '&delete_conversation=1'; ?>">
											<i class="trash icon"></i>
											<?php _e( 'Delete', 'wpjobster' ); ?>
										</div>

									</div>
								</div>
							</div>
						</div>
					</div>
				</header>


				<div class="thread-wrapper">
					<div class="thread-viewport">
						<div class="thread-content">

							<!-- Messages -->
							<div class="ui segments">

								<?php if ( count( $r_pm ) > 0 ) {

									if ( count( $r_pm ) >= 10 ) { ?>
										<div class="ui segment pm-ajax-trigger-container center cf">
											<div class="ui white button pm-ajax-trigger" data-uid="<?php echo $myuid; ?>" data-otherid="<?php echo $otheruid; ?>">
												<?php _e( "Load Older Messages", "wpjobster" ); ?>
											</div>
										</div>
									<?php } ?>

									<div class="pm-list-ajax"></div>

									<div class="pm-list ui basic notpadded segment">
										<div class="private-message-from-user">
											<?php wpjobster_pm_loop( $r_pm, $myuid, $otheruid ); ?>
										</div>
									</div>

								<?php } else { ?>

									<div class="pm-list ui basic notpadded segment">
										<div class="private-message-from-user">
											<div class="ui segment error-no-messages">
												<?php _e( 'No messages here.', 'wpjobster' ); ?>
											</div>
										</div>
									</div>

								<?php } ?>
							</div>

						</div>
					</div>
				</div>




				<div class="thread-input">
					<div class="thread-input-padding">

					<!-- Send message form -->
					<?php if ( isset( $_SESSION['error_message'] ) && $_SESSION['error_message'] != "" ) { ?>

					<div class="error-wpj">
						<?php echo $_SESSION['error_message']; ?>
					</div>

					<?php $_SESSION['error_message'] = "";
					}

					if ( is_object( $user ) && isset( $user->user_login ) ) { ?>

						<div class="responsive-pm send-my-pm<?php if ( get_option( 'wpjobster_pm_emoji_enable' ) != 'no' ) { echo ' emoji-enabled'; } ?>">

							<div class="wrapper-pm-attachments-placeholder">
							</div>

							<div class="wrapper-pm-to-user">
								<div class="wrapper-pm-errors"></div>

								<div class="form-container-pm">
									<form method="post" class="ui form">

										<input type="hidden" id="pm_current_read_user_id" value="<?php echo WPJ_Form::get( 'username', '' ); ?>" />
										<input type="hidden" id="pm_request_id" value="<?php echo WPJ_Form::get( 'request_id', '' ); ?>" />
										<input type="hidden" id="pm_job_id" value="<?php echo WPJ_Form::get( 'job_id', '' ); ?>" />


										<textarea class="cmi-listen message-field" id="message-pm-user" name="message" rows="1" cols="50"><?php echo WPJ_Form::post( 'message', '' ); ?></textarea>

									</form>
								</div>


								<div class="input-pm-settings mobile-hidden">
									<div class="ui floating bottom right pointing dropdown ">
										<i class="cog icon"></i>
										<div class="menu">

											<!-- menu won't be initialized without an item -->
											<div class="item right">
												<i class="close icon" style="margin: 0;"></i>
											</div>

											<div class="header">
												<?php _e( 'Settings', 'wpjobster' ); ?>
											</div>

											<div class="divider"></div>

											<!-- Enter key toggle -->
											<div class="text">
												<div class="ui toggle checkbox mobile-hidden send-message-enter-key">
													<input type="checkbox" id="pm-enter-key"<?php if ( get_user_meta( get_current_user_id(), 'pm_enter_key_enabled', true ) == 1 ) { echo ' checked'; } ?> />
													<label for="pm-enter-key"><?php _e( 'Send message with Enter key', 'wpjobster' ); ?></label>
												</div>
											</div>

											<div class="divider"></div>

											<div class="text">
												<?php _e( 'You can always use <strong>Shift+Enter</strong> <br> to type multi-line messages.', 'wpjobster' ); ?>
											</div>
										</div>
									</div>
								</div>

								<div class="input-pm-quick-response">
									<?php wpj_display_quick_response_button( $user->ID, 'pm' ); ?>
								</div>
							</div>

							<div class="wrapper-pm-submit">
								<button class="ui icon button submit-private-message" data-otheruid="<?php echo $otheruid; ?>" type="submit" name="send">
									<i class="icons">
										<i class="play icon"></i>
										<i class="white minus icon"></i>
									</i>
								</button>
							</div>

						</div><!-- END ui segment -->




						<div class="wrapper-pm-attachments">
							<?php if ( get_option( 'wpjobster_message_attachments_enable' ) != 'no' ) {
								wpj_display_upload_form( $secure = 1,"file_upload_pm_attachments", "hidden_files_pm_attachments", "private_messages", true );
							} ?>
						</div>

					<?php } // endif user is_object ?>
					</div>
				</div>


				<?php } else { // if no user in url address ?>

					<!-- // no user -->

					<div class="flex-center-container center">
						<div class="thread-empty">

							<i class="huge comments outline inverted grey icon"></i>

							<?php if ( $r_tpm ) { ?>
								<h2><?php _e( "Select a conversation from the list", "wpjobster" ); ?></h2>
							<?php } else { ?>
								<h2><?php _e( "Nothing to see here yet", "wpjobster" ); ?></h2>
							<?php } ?>

							<p><?php _e( "Your messages will appear here.", "wpjobster" ); ?></p>

						</div>
					</div>

				<?php } ?>

			</div><!-- END thread -->
		</div><!-- END messenger -->

		<?php wpj_pm_support_file( $otheruid, $myuid );

		$ret = ob_get_contents();
		ob_clean();

		return $ret;
	}
}
