<?php if ( ! function_exists( 'wpjobster_my_account_reviews_area_function' ) ) {
	function wpjobster_my_account_reviews_area_function() { ob_start(); ?>

		<div id="content-full-ov">
			<div class="ui basic notpadded segment">
				<h1 class="ui header wpj-title-icon">
					<i class="star icon"></i><?php _e( 'My Ratings', 'wpjobster' ); ?>
				</h1>
			</div>

			<div class="ui basic notpadded segment js-tab-to-dropdown">

				<div class="ui secondary menu">

					<div class="item force-white-btn <?php echo 'home' == wpj_get_current_tab_reviews() ? 'active' : ''; ?>" data-tab="home">
						<?php _e( "Ratings to Award", "wpjobster" ); ?>
					</div>

					<div class="item force-white-btn <?php echo 'pending-ratings' == wpj_get_current_tab_reviews() ? 'active' : ''; ?>" data-tab="pending-ratings">
						<?php _e( "Pending Ratings", "wpjobster" ); ?>
					</div>

					<div class="item force-white-btn <?php echo 'my-ratings' == wpj_get_current_tab_reviews() ? 'active' : ''; ?>" data-tab="my-ratings">
						<?php _e( "My Ratings", "wpjobster" ); ?>
					</div>

				</div>

			</div>

			<div class="ui negative message error-wrapper hidden"></div>

			<?php $pages = apply_filters( 'wpj_user_reviews_tabs_slug_filter', array( 'home', 'pending-ratings', 'my-ratings' ) );

			foreach ( $pages as $key => $pg ) { ?>

				<div class="ui segment tab <?php if ( wpj_get_current_tab_reviews() == $pg ) { echo 'active'; } ?>" data-tab="<?php echo $pg; ?>">

					<?php if ( $pg == "home" ) {
						$wpj_job = wpj_get_query_reviews( 'to_award', 'wpj_ratings_to_award_template', 'my-account-review'  );
					} elseif ( $pg == 'pending-ratings' ) {
						$wpj_job = wpj_get_query_reviews( 'to_receive', 'wpj_pending_ratings_template', 'review-row-listing'  );
					} elseif ( $pg == 'my-ratings' ) {
						$wpj_job = wpj_get_query_reviews( 'received', 'wpj_my_ratings_template', 'review-row-listing'  );
					}

					if ( isset( $wpj_job ) && $wpj_job->have_rows() ) {
						$wpj_job->show_queries_list_func();
					} else {
						echo wpj_get_no_order_text_reviews( $pg );
					} ?>

				</div>

			<?php } ?>

		</div>

		<div class="ui hidden divider"></div>

		<?php $ret = ob_get_contents(); ob_clean();

		return $ret;
	}
}

// Ratings to award template
if ( ! function_exists( 'wpj_ratings_to_award_template' ) ) {
	function wpj_ratings_to_award_template( $row ) {
		$post = get_post( $row->pid );
		$title = isset( $post->post_title ) ? $post->post_title : ''; ?>

		<div class="ui segment js-review-form" id="post-<?php echo $row->ratid; ?>">
			<div class="ui stackable grid wpj-grid-box">
				<div class="row">

					<div class="eight wide column">
						<div class="flex-parent flex-thumb-text">
							<div>
								<a href="<?php echo get_permalink($row->pid); ?>"><img width="40" height="40" src="<?php echo wpjobster_get_job_image( $row->pid, 41, 41 ); ?>" class="round-avatar" /></a>
							</div>
							<div>
								<h3 class="title-job-left"><a href="<?php echo get_permalink( $row->pid ); ?>"><?php echo wpjobster_wrap_the_title( $title, $row->pid ); ?></a></h3>
							</div>
						</div>
					</div>

					<div class="eight wide column">
						<div class="wrapper-rating-stars job-review-right">
							<div class="job-review-subtitle rating-title"><?php _e( "Rate", "wpjobster" ); ?>:</div>
							<form class="rating rating-review" id="rating-<?php echo $row->ratid; ?>">
								<div class="rate review">
									<input type="radio" id="5_stars-<?php echo $row->ratid; ?>" name="stars" value="5" />
									<label for="5_stars-<?php echo $row->ratid; ?>" title="text"></label>
									<input type="radio" id="4_stars-<?php echo $row->ratid; ?>" name="stars" value="4" />
									<label for="4_stars-<?php echo $row->ratid; ?>" title="text"></label>
									<input type="radio" id="3_stars-<?php echo $row->ratid; ?>" name="stars" value="3" />
									<label for="3_stars-<?php echo $row->ratid; ?>" title="text"></label>
									<input type="radio" id="2_stars-<?php echo $row->ratid; ?>" name="stars" value="2" />
									<label for="2_stars-<?php echo $row->ratid; ?>" title="text"></label>
									<input type="radio" id="1_stars-<?php echo $row->ratid; ?>" name="stars" value="1" />
									<label for="1_stars-<?php echo $row->ratid; ?>" title="text"></label>
								</div>
							</form>
						</div>
					</div>

				</div>

				<div class="row">
					<div class="sixteen wide column flex-parent wpj-review-work-sample-wrapper">
						<div>
							<form class="ui form">
								<textarea class="grey_input textarea-review-page" id="reason-<?php echo $row->ratid; ?>" rows="4" placeholder="<?php _e( "Rating description", "wpjobster" ); ?>"></textarea>
							</form>
						</div>
						<?php wpj_display_work_sample_select( $row->orderid, 'buyer' ); ?>
					</div>
				</div>

				<div class="row">
					<div class="sixteen wide column">
						<div class="text-right">
							<a data-user="buyer" href="#" rel="<?php echo $row->ratid; ?>" class="ui primary button submit-user-rating"><?php _e( 'Submit Rating Now', 'wpjobster' ); ?></a>
						</div>
					</div>
				</div>
			</div>
		</div>

	<?php }
}

// Pending ratings template
if ( ! function_exists( 'wpj_pending_ratings_template' ) ) {
	function wpj_pending_ratings_template( $row ) {
		$post = get_post( $row->pid );
		$user = get_userdata( $row->uid ); ?>

		<div class="ui segment" id="post-<?php echo $row->ratid; ?>">
			<div class="flex-parent flex-thumb-text">
				<div>
					<a href="<?php echo get_permalink( $row->pid ); ?>"><img width="60" height="60" src="<?php echo wpjobster_get_job_image( $row->pid, 41, 41 ); ?>" class="round-avatar" /></a>
				</div>
				<div>
					<h3><a href="<?php echo get_permalink( $row->pid ); ?>"><?php echo wpjobster_wrap_the_title( $post->post_title, $row->pid ); ?></a></h3>
					<p><?php echo sprintf( __( 'Waiting for: %s', 'wpjobster' ), wpj_get_user_display_type( $user->ID ) ); ?></p>
				</div>
			</div>
		</div>

	<?php }
}

// My ratings template
if ( ! function_exists( 'wpj_my_ratings_template' ) ) {
	function wpj_my_ratings_template( $row ) {
		$post = get_post( $row->pid );

		if ( get_current_user_id() == wpj_get_seller_id( $row->orderid ) ) {
			$buyer_info = get_user_by( 'id', $row->uid );
		} else {
			$buyer_info = get_user_by( 'id', wpj_get_seller_id( $row->orderid ) );
		}

		$buyer_slug = isset( $buyer_info->data->user_nicename ) ? $buyer_info->data->user_nicename : ''; ?>

		<div class="ui segment" id="post-<?php echo $row->ratid; ?>">
			<div class="flex-parent flex-thumb-text wpj-review-work-sample-wrapper">

				<div>
					<div class="review-job-image">
						<a href="<?php echo get_permalink( $row->pid ); ?>"><img width="60" height="60" src="<?php echo wpjobster_get_job_image( $row->pid, 41, 41); ?>" class="round-avatar" /></a>
					</div>
				</div>

				<div>
					<div class="review-job-title">
						<h3><a href="<?php echo get_permalink( $row->pid ); ?>"><?php echo wpjobster_wrap_the_title( $post->post_title, $row->pid ); ?></a></h3>
					</div>

					<div class="review-rating-job my-ratings">
						<a class="user-link left" href="<?php echo wpj_get_user_profile_link( $buyer_slug ); ?>"><?php echo $buyer_slug; ?></a>

						<div class="left p10l">
							<?php echo wpjobster_show_stars_our_of_number( $row->grade ); ?>
						</div>

						<div class="cb">
							<span class='grey-time'><?php echo wpj_date( get_option( 'date_format' ) . ' - ' . get_option( 'time_format' ), $row->datemade ); ?></span>
						</div>
					</div>

					<div class="review-comment-job">
						<p><?php echo stripslashes( wpj_apply_filter_to_string( $row->reason, false, 'joblistings' ) ); ?></p>
					</div>
				</div>

				<?php if ( isset( $row->sample ) ) { wpj_display_work_sample_preview( $row->sample ); } ?>

			</div>
		</div>

	<?php }
}