<?php /* SALES CONTENT */

if ( ! function_exists( 'wpjobster_my_account_sales_area_function' ) ) {
	function wpjobster_my_account_sales_area_function() { ob_start();

		if ( get_option( 'wpjobster_enable_user_stats') == 'yes' ) { ?>

			<div class="ui hidden divider"></div>

			<!-- Header Table -->
			<div class="ui nomargin segment wpj-stats-segment">
				<div class="ui divided list user-account-list <?php if ( ! wpj_is_mobile() ) { echo 'horizontal relaxed'; } ?>">

					<?php $table_data = wpj_get_graph_data_sales();
					foreach ( $table_data as $key => $value ) { ?>

						<div class="item padding5horizontal <?php echo $value !== end( $table_data ) ? 'mobile-hidden' : 'item-no-top-border-mobile'; ?>">
							<div class="content user-account-table-wrapper-mobile">
								<div class="header user-account-table-value-mobile"><?php echo $value; ?></div>
								<div class="user-account-table-label-mobile"><?php echo $key; ?></div>
							</div>
						</div>

					<?php } ?>

				</div>
			</div>

			<!-- Header Graph -->
			<?php if ( get_option( 'wpjobster_enable_user_charts' ) == 'yes' ) { ?>

				<div class="ui notpadded nomargin segment chart-wrapper">
					<div id="chart-div-container" class="ui nomargin segment" style="display: none;"><?php wpj_show_graph_sales(); ?></div>
				</div>

				<div class="wrapper-graph-dropdown">
					<a class="graph-link"><i class="angle double down icon"></i></a>
				</div>

			<?php }

		} ?>

		<div id="content-full-ov">
			<div class="ui basic notpadded segment">
				<h1 class="ui header wpj-title-icon">
					<i class="tag icon"></i>
					<?php _e( 'My Sales', 'wpjobster' ); ?>
				</h1>
			</div>

			<?php do_action( 'wpjobster_sales_after_title', get_current_user_id() ); ?>

			<div class="ui basic notpadded segment js-tab-to-dropdown">

				<div class="ui secondary menu">

					<?php foreach ( wpj_get_tabs_data_sales() as $key => $value ) { ?>

						<div class="item force-white-btn <?php echo $key == wpj_get_current_tab_sales() ? 'active' : ''; ?>" data-tab="<?php echo $key; ?>">
							<?php echo $value['label']; ?> <span>&nbsp;(<?php echo $value['count'];?>)</span>
						</div>

					<?php } ?>

				</div>

			</div>

			<?php foreach ( wpj_get_tabs_data_sales() as $pg => $content ) { ?>

				<div class="ui tab segment <?php if ( wpj_get_current_tab_sales() == $pg ) { echo 'active'; } ?>" data-tab="<?php echo $pg; ?>">

					<?php $wpj_job = new WPJ_Load_More_Queries(
						array(
							'query_type'     => 'sales',
							'query_status'   => $pg,
							'function_name'  => 'wpj_list_user_sales_template',
							'posts_per_page' => get_option( 'posts_per_page' ) ? get_option( 'posts_per_page' ) : 12,
							'new_class_row'  => 'my-account-shopping-list'
						)
					);

					if ( $wpj_job->have_rows() ) { ?>

						<div class="ui stackable grid wpj-grid-table">

							<div class="row">
								<div class="five wide column payment-title-table">
									<?php _e( 'Order Details', 'wpjobster' ); ?>
								</div>

								<div class="three wide column payment-title-table">
									<?php _e( 'Sold On', 'wpjobster' ); ?>
								</div>

								<div class="three wide column payment-title-table">
									<?php _e( 'Delivery', 'wpjobster' ); ?>
								</div>

								<div class="two wide column payment-title-table">
									<?php _e( 'Total', 'wpjobster' ); ?>
								</div>

								<div class="three wide column payment-title-table">
									<?php _e( 'Status', 'wpjobster' ); ?>
								</div>
							</div>

							<?php $wpj_job->show_queries_list_func(); ?>

						</div>

					<?php } else { echo wpj_get_no_order_text_sales( $pg ); } ?>

				</div>

			<?php } ?>

		</div><!-- /content -->

		<div class="ui hidden divider"></div>

		<?php $ret = ob_get_contents(); ob_clean();

		return $ret;
	}
}

// Sales list template
if ( ! function_exists( 'wpj_list_user_sales_template' ) ) {
	function wpj_list_user_sales_template( $row ) {

		$pid  = $row->pid;
		$post = get_post( $row->pid );

		$delivered = $row->done_seller == 1 ? 1 : 0;
		$completed = $row->done_buyer == 1 ? 1 : 0;

		$job_image_url = $row->job_image ? wpj_get_attachment_image_url( $row->job_image, array( 60, 60 ) ) : wpjobster_get_job_image( $pid, 60, 60 );

		if ( wpj_is_custom_offer( $pid ) ) {
			$this_post_title = wpj_get_custom_offer_title( $pid, $row->uid );
		} elseif ( $row->job_title ) {
			$this_post_title = wpjobster_wrap_the_title( $row->job_title, $pid );
		} elseif ( $post->post_title ) {
			$this_post_title = wpjobster_wrap_the_title( $post->post_title, $pid );
		} else {
			$this_post_title = __( 'No title', 'wpjobster' );
		}

		$total_amount = $row->mc_gross + $row->processing_fees + $row->tax_amount + wpj_get_custom_extras_amount( $row );
		$total_amount = apply_filters( 'wpj_sales_update_filter', $total_amount, $row ); ?>

		<div class="ui stackable grid sales-list-border">

			<div class="five wide column">
				<div class="flex-parent flex-thumb-text">
					<div>
						<a href="<?php bloginfo( 'url' ); ?>/?jb_action=chat_box&oid=<?php echo $row->id; ?>" rel="<?php echo $row->id; ?>" title="">
							<img width="60" height="60" class="round-avatar" src="<?php echo wpj_is_custom_offer( $pid ) ? get_template_directory_uri() . '/assets/images/custom-offer-thumbnail.png' : $job_image_url; ?>" />
						</a>
					</div>

					<div class="y-center-x-left">
						<h4 class="small-heading-title">
							<a href="<?php bloginfo( 'url' ); ?>/?jb_action=chat_box&oid=<?php echo $row->id; ?>" rel="<?php echo $row->id; ?>" title="">
								<?php echo $this_post_title; ?>
							</a>
						</h4>

						<?php if ( $row->job_type ) { ?>

							<div class="ui tiny label"><?php echo wpjobster_translate_string( $row->job_type ); ?></div>

						<?php } ?>

					</div>
				</div>
			</div>

			<div class="three wide column sales-sold-date">
				<div class="responsive_titles"> <?php _e( 'Sold On', 'wpjobster' ); ?></div>
				<div class="sales-sold-responsive"><?php echo wpj_date( get_option( 'date_format' ), $row->date_made ); ?></div>
			</div>

			<div class="three wide column sales-delivery-date">
				<div class="responsive_titles"> <?php _e( 'Delivery', 'wpjobster' ); ?></div>
				<div class="sales-delivery-responsive"><?php echo apply_filters( 'wpj_sales_delivery_filter', wpj_date( get_option( 'date_format' ), wpj_get_expected_delivery( $row->id ) ), $row->id ); ?></div>
			</div>

			<div class="two wide column sales-total-cash">
				<div class="responsive_titles"><?php _e( 'Total', 'wpjobster' ); ?></div>

				<div class="sold-date-sales">

					<?php if ( $total_amount > 0 ) {
						echo wpjobster_get_show_price_classic( $total_amount, 1 );
					} else {
						if ( wpj_bool_option( 'wpjobster_replace_zero_with_free' ) ) {
							_e( 'Free', 'wpjobster' );
						} else {
							echo wpjobster_get_show_price_classic( ( $row->mc_gross + $row->processing_fees + $row->tax_amount ), 1 );
						}
					} ?>

				</div>
			</div>

			<div class="three wide column sales-status-box">

				<div class="status-list-sales">

					<?php if ( $row->payment_status == 'pending' && $row->closed != 1 ) {
						$class = 'oe-orange'; $text = __( 'pending', 'wpjobster' );
					} elseif ( $row->payment_status == 'processing' ) {
						$class = 'oe-orange'; $text = __( 'processing', 'wpjobster' );
					} elseif ( $row->payment_status == 'failed' ) {
						$class = 'oe-red'; $text = __( 'failed', 'wpjobster' );
					} elseif ( $row->payment_status == 'expired' ) {
						$class = 'oe-burgundy'; $text = __( 'expired', 'wpjobster' );
					} elseif ( $completed == 1 ) {
						$class = 'oe-green-txt'; $text = __( 'completed', 'wpjobster' );
					} elseif ( $row->closed == 1 ) {
						$class = 'oe-orange'; $text = __( 'cancelled', 'wpjobster' );
					} elseif ( $delivered == 1 && $completed != 1 ) {
						$class = 'oe-green oe-full'; $text = __( 'delivered', 'wpjobster' );
					} else {
						if ( $row->request_cancellation_from_buyer == 1 && $row->accept_cancellation_request == 0 ) {
							$class = 'oe-red'; $text = __( 'problem', 'wpjobster' );
						} elseif ( $row->request_cancellation_from_seller == 1 && $row->accept_cancellation_request == 0 ) {
							$class = 'oe-red oe-full'; $text = __( 'problem', 'wpjobster' );
						} elseif ( $row->request_modification == 1 ) {
							$class = 'oe-orange'; $text = __( 'modification', 'wpjobster' );
						} elseif ( $delivered == 0 && $row->closed != 1 ) {
							$class = 'oe-green'; $text = __( 'active', 'wpjobster' );
						} else {
							$class = 'oe-green oe-full'; $text = __( 'active', 'wpjobster' );
						}
					}

					$class = apply_filters( 'wpj_user_sales_status_class_filter', $class, $row );
					$text  = apply_filters( 'wpj_user_sales_status_text_filter', $text, $row ); ?>

					<span class="oe-status-btn <?php echo $class; ?>"><?php echo $text; ?></span>

				</div>

			</div>

		</div>

	<?php }
}