<?php
// Request/Send Custom Offer Form Content
function wpj_custom_offer_modal_init_content( $title = '', $id = '', $post_author = '', $page = '', $oid = '', $extra = '', $is_error = '' ) { ?>
	<div class="ui modal smaller custom-offer-container <?php echo $id; ?>">
		<i class="close icon"></i>

		<div class="ui icon header">
			<?php if ( $is_error ) { ?>
				<i class="remove circle red icon"></i>
				<?php _e( 'You\'re not allowed to send custom offer', 'wpjobster' );
			} else { ?>
				<i class="file text outline inverted grey icon"></i><?php echo $title;
			} ?>
		</div>

		<div id="custom-offer-wrapper<?php echo $id; ?>" class="content custom-offer-wrapper" data-user="<?php echo $post_author; ?>" data-oid="<?php echo $oid; ?>" data-pid="<?php echo $id; ?>" data-page="<?php echo ! empty( $page ) ? $page : $id; ?>" data-extra="<?php echo $extra; ?>">
			<div class="custom-offer-content <?php echo $page . ' ' . $id; ?>"></div>
		</div>
	</div>
<?php }

// Request/Send Custom Offer Button
function wpj_show_custom_offer_modal_button( $id = '', $title = '', $class = '', $btn_type = '', $label_type = 'text', $label_icon = 'tags' ) {
	if ( $btn_type == 'error' ) {
		$class .= ' custom-offer-error';
	} ?>

	<a data-pid="<?php echo $id; ?>" class="<?php echo $class; ?>">
		<?php if ( $label_type == 'icon' ) {
			echo '<i class="' . $label_icon . ' icon"></i>';
		} elseif ( $label_type == 'both' ) {
			echo '<i class="' . $label_icon . ' icon"></i><span class="text">' . $title . '</span>';
		} else {
			echo $title;
		} ?>
	</a>

	<?php
}
