<?php
add_action( 'wp_ajax_custom_offer_and_extra_send_form', 'custom_offer_and_extra_send_form' );
add_action( 'wp_ajax_nopriv_custom_offer_and_extra_send_form', 'custom_offer_and_extra_send_form' );

if ( ! function_exists( 'custom_offer_and_extra_send_form' ) ) {
	function custom_offer_and_extra_send_form() {
		$params = wpj_send_custom_offer_vars( $_REQUEST ); extract( $params );

		if ( isset( $_REQUEST ) ) {
			if ( isset( $_POST['error'] ) && $_POST['error'] == 'true' ) { ?>
				<div class="content-full-ov">
					<h4 class="center">
						<?php _e( 'You need to have at least one active job in order to send custom offers.<br /><br />If you want to post a job, click ', 'wpjobster' ); ?>
						<a href="<?php echo get_permalink( get_option( 'wpjobster_post_new_page_id' ) ); ?>"><?php echo __( 'here', 'wpjobster' ); ?>.</a>
					</h4>
				</div>
			<?php } else { ?>
				<div class="custom-offers-default-container">
					<?php if ( is_user_logged_in() ) { ?>
						<form action="javascript://" name="offerform" class="ui form offer_form">
							<div class="custom-offers-status-container">
								<div class="custom-offers-msg-target"></div>
							</div>

							<?php if ( $offer_description ) { ?>
								<div class="field">
									<textarea name="content" rows="5" placeholder="<?php _e( 'Description', 'wpjobster' ); ?>" class="offer_description"></textarea>
								</div>
							<?php } ?>

							<input type="hidden" name="token" value="<?php echo wp_create_nonce( 'new-custom-offer-send' ); ?>" />

							<?php if ( $is_extra && isset( $_POST['oid'] ) ) { ?>
								<input type="hidden" name="custom_extra_form" value="true" />
								<input type="hidden" name="oid" value="<?php echo $_POST['oid']; ?>" />
							<?php } ?>

							<input type="hidden" name="user" value="<?php echo WPJ_Form::post( 'user', '' ); ?>" />
							<input type="hidden" name="pid" value="<?php echo WPJ_Form::post( 'pid', '' ); ?>" />
							<input type="hidden" name="oid" value="<?php echo WPJ_Form::post( 'oid', '' ); ?>" />
							<input type="hidden" name="extra" value="<?php echo WPJ_Form::post( 'extra', '' ); ?>" />
							<input type="hidden" name="page" value="<?php echo WPJ_Form::post( 'page', '' ); ?>" />

							<?php if ( $offer_price || $offer_days ) { ?>
								<div class="field">
									<?php if ( $offer_price && $offer_days ) { ?>
										<div class="two fields">
											<div class="field">
												<label><?php _e( 'Price', 'wpjobster' ); ?></label>
												<input type="number" step="0.01" name="price" placeholder="<?php echo wpjobster_get_show_price_classic( $price_min, 1 ) . ' - ' . wpjobster_get_show_price_classic( $price_max, 1 ); ?>" />
											</div>

											<div class="field">
												<label><?php _e( 'Days', 'wpjobster' ); ?></label>
												<input type="number" name="delivery" placeholder="1-<?php echo get_option( 'wpjobster_request_max_delivery_days' ); ?>" />
											</div>
										</div>
									<?php } else {
										if ( $offer_price ) { ?>
											<label><?php _e( 'Price', 'wpjobster' ); ?></label>
											<input type="number" step="0.01" name="price" placeholder="<?php echo wpjobster_get_show_price_classic( $price_min, 1 ) . ' - ' . wpjobster_get_show_price_classic( $price_max, 1 ); ?>" />
										<?php } elseif ( $offer_days ) { ?>
											<label><?php _e( 'Days', 'wpjobster' ); ?></label>
											<input type="number" name="delivery" placeholder="1-<?php echo get_option( 'wpjobster_request_max_delivery_days' ); ?>" />
										<?php }
									} ?>
								</div>
							<?php }

							$offer_type = WPJ_Form::post( 'page', '' ) == 'private_messages' ? '' : 'send';
							if ( ! $is_extra ) {
								do_action( 'send_custom_offer_fields', WPJ_Form::post( 'pid', '' ), $offer_type );
							} else {
								do_action( 'send_custom_extra_fields', WPJ_Form::post( 'oid', '' ), WPJ_Form::post( 'extra', '' ) );
							} ?>

							<div class="actions">
								<button class="ui positive uppercase labeled icon button offer_button custom-offer-btn custom-offer" type="submit" name="offer">
									<?php if ( $is_extra ) echo apply_filters( 'wpj_submit_custom_extra_string_filter', __( 'Submit Custom Extra', 'wpjobster' ) ); else _e( 'Submit Custom Offer', 'wpjobster' ); ?>
									<i class="white checkmark icon"></i>
								</button>
							</div>
						</form>
					<?php } else {
						_e( "Not logged in", "wpjobster" );
					} ?>
				</div>
			<?php }
		}

		die();
	}
}
