<?php
add_action( 'wp_ajax_custom_offers_request_form', 'custom_offer_request_form' );
add_action( 'wp_ajax_nopriv_custom_offers_request_form', 'custom_offer_request_form' );

if ( ! function_exists( 'custom_offer_request_form' ) ) {
	function custom_offer_request_form() {
		if ( isset( $_REQUEST ) ) { ?>

			<div class="custom-offers-default-container">
				<form action="javascript://" name="requestform" class="ui form request_form">

					<div class="custom-offers-status-container">
						<div class="custom-offers-msg-target"></div>
					</div>

					<?php if ( apply_filters( 'wpj_request_custom_offer_display_description_filter', true ) ) { ?>
						<div class="field">
							<textarea name="content" placeholder="<?php _e( 'Request Message', 'wpjobster' ); ?>" class="request_message"></textarea>
						</div>
					<?php } ?>

					<input type="hidden" name="token" value="<?php echo wp_create_nonce( 'new-custom-offer-request' ); ?>" />
					<input type="hidden" name="user" value="<?php echo WPJ_Form::post( 'user', '' ); ?>" />
					<input type="hidden" name="pid" value="<?php echo WPJ_Form::post( 'pid', '' ); ?>" />
					<input type="hidden" name="page" value="<?php echo WPJ_Form::post( 'page', '' ); ?>" />

					<?php if ( get_option( 'wpjobster_message_attachments_enable' ) != 'no' ) { ?>
						<div class="field">
							<?php $unique = WPJ_Form::post( 'page', '' ) . '_' . WPJ_Form::post( 'user', '' );

							wpj_display_upload_form( $secure = 1, "file_upload_custom_offer_attachments_" . $unique, "hidden_files_custom_offer_attachments_" . $unique, "custom_offer" ); ?>
						</div>
					<?php }

					do_action( 'request_custom_offer_fields', WPJ_Form::post( 'pid', '' ), 'request' ); ?>

					<div class="actions">
						<button class="ui positive uppercase labeled icon button custom-offer-btn" type="submit" name="request">
							<?php _e( 'Submit Request', 'wpjobster' ); ?>
							<i class="white checkmark icon"></i>
						</button>
					</div>

				</form>
			</div>

		<?php }

		die();
	}
}
