<div id="content-full-ov">

	<?php if ( $enable_custom_offer == 'yes' ) { ?>

		<!-- Title -->
		<div class="ui basic notpadded segment">
			<h1 class="ui header wpj-title-icon">
				<i class="announcement icon"></i>
				<?php _e( 'My Proposals', 'wpjobster' ); ?>
			</h1>
		</div>

		<!-- Filter buttons -->
		<div class="ui basic notpadded segment js-tab-to-dropdown">
			<div class="ui secondary menu">
				<div class="item force-white-btn <?php echo ( $pg_now == "send" ? 'active' : "" ); ?>" data-tab="send">
					<?php _e( "Sent", "wpjobster" ); ?>
					&nbsp;(<span class="ticket-count-send"><?php echo $count_send; ?></span>)
				</div>

				<div class="item force-white-btn <?php echo ( $pg_now == "received" ? 'active' : "" ); ?>" data-tab="received">
					<?php _e( "Received", "wpjobster" ); ?>
					&nbsp;(<span class="ticket-count-received"><?php echo $count_received; ?></span>)
				</div>
			</div>
		</div>

		<?php foreach ( $pages as $key => $pg ) { ?>

			<div class="ui segment tab <?php if ( $pg_now == $pg ) { echo 'active'; } ?>" data-tab="<?php echo $pg; ?>">

				<?php if ( $pg == 'send' ) { $wpj_custom_offer = $posts_send; }
				elseif ( $pg == 'received' ) { $wpj_custom_offer = $posts_received; } ?>

				<div class="ui stackable grid wpj-grid-table cf" <?php if ( ! $wpj_custom_offer->have_rows() ) { echo 'style="display:none;"'; } ?>>

					<div class="row">
						<div class="six wide column request-job-title"><?php _e( 'Title', 'wpjobster' ); ?></div>
						<div class="two wide column request-job-title"><?php _e( 'Price', 'wpjobster' ); ?></div>
						<div class="two wide column request-job-title"><?php _e( 'Delivery Days', 'wpjobster' ); ?></div>
						<div class="four wide column request-job-title"><?php _e( 'Status', 'wpjobster' ); ?></div>
						<div class="two wide column request-job-title"><?php _e( 'Subject', 'wpjobster' ); ?></div>
					</div>

					<?php if ( ! $wpj_custom_offer->have_rows() ) {
						// add div for js job wrapper when no job in this tab
						// and a new one needs to be added ?>

						<div id="job_listings" class="row all-requests-page"></div>

					<?php } else { $wpj_custom_offer->show_posts_list_func(); } ?>

				</div>

				<?php if ( ! $wpj_custom_offer->have_rows() ) { ?>

					<div class="sixteen wide column">
						<span class="no-requests-message"><?php _e( 'There are no proposals yet.', 'wpjobster' ); ?></span>
					</div>

				<?php }

				wp_reset_query(); ?>

			</div>

		<?php }

	} else { ?>

		<div class="ui warning message">
			<div class="header"><?php _e( 'Proposals are disabled!', 'wpjobster' ); ?></div>
			<p><?php _e( 'Proposals are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ); ?></p>
		</div>

	<?php } ?>

</div>