<?php get_header();

$pid  = WPJ_Form::get( 'jobid', '' );
$post = get_post( $pid );

$uid  = get_current_user_id();

$h_start_date = get_featured_start_date( 'homepage', $pid );
$h_end_date   = get_featured_end_date( $h_start_date );

$c_start_date = get_featured_start_date( 'category', $pid );
$c_end_date   = get_featured_end_date( $c_start_date );

$s_start_date = get_featured_start_date( 'subcategory', $pid );
$s_end_date   = get_featured_end_date( $s_start_date );

// Exist if user is not logged in
if ( ! is_user_logged_in() ) { wp_redirect( get_bloginfo( 'url' ) . "/wp-login.php?redirect_to=" . urlencode( get_permalink( $pid ) ) ); exit; }

// Exist if user is not the author of the job
if ( $post->post_author != $uid ) { wp_redirect( get_bloginfo( 'url' ) ); exit; } ?>

<!-- Content -->
<div id="content-full-ov" data-currency="<?php echo wpjobster_get_currency();  ?>">

	<!-- Title -->
	<div class="ui basic notpadded segment">
		<h1 class="ui header wpj-title-icon">
			<i class="money bill alternate outline icon"></i>
			<?php echo __( "Feature Job", "wpjobster" ); ?>
		</h1>
	</div>

	<!-- Response status -->
	<?php $status = wpj_get_feature_job_status(); ?>

	<div class="ui <?php echo $status ? $status['class'] : 'hidden'; ?> message">

		<?php if ( $status ) { ?>

			<p><?php echo $status['message']; ?></p>

			<!-- Action 'wpj_gateway_transaction_cancelled_message' -->
			<?php if ( $status['class'] == 'negative' ) {
				do_action( 'wpj_gateway_transaction_cancelled_message', $pid, 'feature' );
			}

		} ?>

	</div>

	<?php if ( get_option( 'wpjobster_featured_enable' ) == 'yes' ) { ?>

	<!-- Feature Form -->
		<form class="ui form" action="<?php echo get_bloginfo('url'); ?>" method="get">
			<div class="ui segment">

				<!-- Action 'wpj_feature_page_before_job_title' -->
				<div class="invoice-wrapper-chatpage">
					<?php do_action( 'wpj_feature_page_before_job_title', $pid, $_GET['jb_action'] ); ?>
				</div>

				<!-- Send values to JS -->
				<input type="hidden" name="jb_action" value="feature_job"/>
				<input type="hidden" name="jobid" value="<?php echo $pid; ?>"/>
				<input type="hidden" name="h_date_start" value="<?php echo $h_start_date; ?>" />
				<input type="hidden" name="h_end_date" value="<?php echo $h_end_date; ?>" />
				<input type="hidden" name="c_date_start" value="<?php echo $c_start_date; ?>" />
				<input type="hidden" name="c_end_date" value="<?php echo $c_end_date; ?>" />
				<input type="hidden" name="s_date_start" value="<?php echo $s_start_date; ?>" />
				<input type="hidden" name="s_end_date" value="<?php echo $s_end_date; ?>" />

				<div class="ui two column stackable grid">
					<!-- Job Image -->
					<div class="two wide column">
						<div class="feature-job-image">
							<img width="70" height="70" class="round-avatar" src="<?php echo wpjobster_get_job_image( $pid, 101, 101 ); ?>" />
						</div>
					</div>

					<div class="fourteen wide column">
						<div class="feature-title-cover-job">
							<!-- Job Title -->
							<h3>
								<?php if ( wpj_is_custom_offer( $pid ) ) {
									echo wpj_get_custom_offer_title( $pid, $post->post_author );
								} else {
									echo get_the_title( $pid );
								} ?>
							</h3>

							<!-- Job Category and Subcategory -->
							<div class="payment-job-categories">
								<?php echo wpjobster_display_job_categories(); ?>
							</div>
						</div>
					</div>

					<div class="ui fitted divider"></div>

					<div class="sixteen wide column">
						<?php echo __( "Select the pages where your job will be featured:", 'wpjobster' ); ?>
					</div>

					<div class="ui fitted divider"></div>

					<!-- Featured options(homepage, category, subcategory) -->
					<?php
					$disply_orders = array();
					$available_jobs_for_featured = 0;

	// HOMEPAGE
					if ( get_post_meta( $pid, 'home_featured_until', true ) == 'z' || get_post_meta( $pid, 'home_featured_until', true ) == false ) {
						$available_jobs_for_featured++;
						$home_fees_and_tax = false;
						$price_homepage = wpjobster_get_show_price( $price_homepage_raw = get_option( 'wpjobster_featured_price_homepage' ) );

						$rows = wpj_get_feature_job_sql_query( 'h', $pid, $uid );

						if ( $rows ) { // HOMEPAGE - PENDING PAYMENT
							$row                   = $rows['0'];
							$h_start_date          = $row->h_date_start;
							$current_feature_pages = $row->feature_pages;
							$disply_orders[]       = 'h'; ?>

							<div class="sixteen wide column">

								<!-- Pending Homepage -->
								<?php do_action( 'transaction_incomplete', $row->id );

								_e( "(Pending) Featured on Home page between:", "wpjobster" ); ?>
								<strong>
									<?php echo wpj_date( get_option( 'date_format' ), $h_start_date ) . " - " . wpj_date( get_option( 'date_format' ), get_featured_end_date( $h_start_date ) ); ?>
								</strong>

								<!-- Pending Category -->
								<?php if ( strpos( $current_feature_pages, 'c' ) !== false ) {
									$c_start_date    = $row->c_date_start;
									$disply_orders[] = 'c';

									do_action( 'transaction_incomplete', $row->id );

									echo '<br />' . __( "(Pending) Featured on Category page between:", "wpjobster" ); ?>
									<strong>
										<?php echo wpj_date( get_option( 'date_format' ), $c_start_date ) . " - " . wpj_date( get_option( 'date_format' ), get_featured_end_date( $c_start_date ) ); ?>
									</strong>
								<?php } ?>

								<!-- Pending Subcategory -->
								<?php if ( strpos( $current_feature_pages, 's' ) !== false ) {
									$s_start_date    = $row->s_date_start;
									$disply_orders[] = 's';

									do_action( 'transaction_incomplete', $row->id );

									echo '<br />' . __( "(Pending) Featured on Subcategory page between:", "wpjobster" ); ?>
									<strong>
										<?php echo wpj_date( get_option( 'date_format' ), $s_start_date ) . " - " . wpj_date( get_option( 'date_format' ), get_featured_end_date( $s_start_date ) ); ?>
									</strong>
								<?php } ?>

								<span class="payment-item-price">
									<?php echo $row->payable_amount . " " . $row->currency; ?>
								</span>

								<?php wpj_show_feature_job_bank_transfer( $row ); ?>

								<?php wpj_show_feature_job_cancel_payment( $row ); ?>

							</div>

							<div class="ui fitted divider"></div>

						<?php } else { // HOMEPAGE - NEW FEATURED

							if ( get_option( 'wpjobster_homepage_featured_enable' ) != 'no' ) { ?>

								<div class="sixteen wide column">
									<div class="ui checkbox">
										<input type="checkbox" class="styled featured_chk" name="feature_pages[]" data-price="<?php echo wpjobster_formats_special_exchange( $price_homepage_raw, 1,  wpjobster_get_currency() ); ?>" id="homepage_featured_chk" value="homepage" />

										<label>
											<?php echo __( "Homepage", "wpjobster" ); ?>
											(<?php echo __( "first available", "wpjobster" ); ?>:
											<strong><?php echo wpj_date( get_option( 'date_format' ), $h_start_date ) . " - " . wpj_date( get_option( 'date_format' ), $h_end_date ); ?></strong>)
										</label>
									</div>

									<span class="payment-item-price"><?php echo $price_homepage; ?></span>
								</div>

								<div class="ui fitted divider"></div>

							<?php }
						}

					} else { // HOMEPAGE - ALREADY FEATURED

						$dt = get_post_meta( $pid, 'home_featured_until', true ); $home_fees_and_tax = true; ?>

						<div class="sixteen wide column">
							<?php _e( "Featured on homepage between:", "wpjobster" ); ?>
							<strong>
								<?php echo wpj_date( get_option( 'date_format' ), get_featured_start_date_from_end_date( $dt ) ) . " - " . wpj_date( get_option( 'date_format' ), $dt ); ?>
							</strong>
						</div>

						<div class="ui fitted divider"></div>

					<?php }
	// END HOMEPAGE

	// CATEGORY
					if ( get_post_meta( $pid, 'category_featured_until', true ) == 'z' || get_post_meta( $pid, 'category_featured_until', true ) == false ) {
						$available_jobs_for_featured++;
						$category_fees_and_tax = false;
						$price_category = wpjobster_get_show_price( $price_category_raw = get_option( 'wpjobster_featured_price_category' ) );

						$rows = wpj_get_feature_job_sql_query( 'c', $pid, $uid );

						if ( ! in_array( 'c', $disply_orders ) ) {

							if ( $rows ) { // CATEGORY - PENDING PAYMENT
								$row                   = $rows['0'];
								$c_start_date          = $row->c_date_start;
								$current_feature_pages = $row->feature_pages;
								$disply_orders[]       = 'c'; ?>

								<div class="sixteen wide column">

									<!-- Pending Category -->
									<?php do_action( 'transaction_incomplete', $row->id );
									_e( "(Pending) Featured on category page between:", "wpjobster" ); ?>
									<strong>
										<?php echo wpj_date( get_option( 'date_format' ), $c_start_date ) . " - " . wpj_date( get_option( 'date_format' ), get_featured_end_date( $c_start_date ) ); ?>
									</strong>

									<!-- Pending Subcategory -->
									<?php if ( strpos( $current_feature_pages, 's' ) !== false ) {
										$s_start_date    = $row->s_date_start;
										$disply_orders[] = 's';

										do_action( 'transaction_incomplete', $row->id );

										echo '<br />' . __( "(Pending) Featured on Subcategory page between:", "wpjobster" ); ?>
										<strong>
											<?php echo wpj_date( get_option( 'date_format' ), $s_start_date) . " - " . wpj_date( get_option( 'date_format' ), get_featured_end_date( $s_start_date ) ); ?>
										</strong>
									<?php } ?>

									<span class="payment-item-price">
										<?php echo $row->payable_amount . " " . $row->currency; ?>
									</span>

									<?php wpj_show_feature_job_bank_transfer( $row ); ?>

									<?php wpj_show_feature_job_cancel_payment( $row ); ?>

								</div>

								<div class="ui fitted divider"></div>

							<?php } else { // CATEGORY - NEW FEATURED

								if ( get_option( 'wpjobster_category_featured_enable' ) != 'no' ) { ?>

									<div class="sixteen wide column">
										<div class="ui checkbox">
											<input type="checkbox" class="styled featured_chk" data-price="<?php echo wpjobster_formats_special_exchange( $price_category_raw, 1,  wpjobster_get_currency() ); ?>" name="feature_pages[]" id="category_featured_chk"  value="category" />

											<label>
												<?php echo __( "Category page", "wpjobster" ); ?>
												(<?php echo __( "first available", "wpjobster" ); ?>:
												<strong><?php echo wpj_date( get_option( 'date_format' ), $c_start_date ) . " - " . wpj_date( get_option( 'date_format' ), $c_end_date ); ?></strong>)
											</label>
										</div>

										<span class="payment-item-price"><?php echo $price_category; ?></span>
									</div>

									<div class="ui fitted divider"></div>

								<?php }
							}
						}
					} else { // CATEGORY - ALREADY FEATURED
						$dt = get_post_meta( $pid, 'category_featured_until', true ); $category_fees_and_tax = true; ?>

						<div class="sixteen wide column">
							<?php _e( "Featured on category page between:", "wpjobster" ); ?>
							<strong>
								<?php echo wpj_date( get_option( 'date_format' ), get_featured_start_date_from_end_date( $dt ) ) . " - " . wpj_date( get_option( 'date_format' ), $dt ); ?>
							</strong>
						</div>

						<div class="ui fitted divider"></div>

					<?php }
	// END CATEGORY

	// SUBCATEGORY
					if ( get_post_meta( $pid, 'subcategory_featured_until', true ) == 'z' || get_post_meta( $pid, 'subcategory_featured_until', true ) == false ) {
						$available_jobs_for_featured++;
						$subcategory_fees_and_tax = false;
						$price_subcategory = wpjobster_get_show_price( $price_subcategory_raw = get_option( 'wpjobster_featured_price_subcategory' ) );

						$rows = wpj_get_feature_job_sql_query( 's', $pid, $uid );

						if ( ! in_array( 's', $disply_orders ) ) {

							if ( $rows ) { // SUBCATEGORY - PENDING PAYMENT
								$row             = $rows['0'];
								$s_start_date    = $row->s_date_start;
								$disply_orders[] = 's'; ?>

								<div class="sixteen wide column">

									<!-- Pending Subcategory -->
									<?php do_action( 'transaction_incomplete', $row->id );

									_e( "(Pending) Featured on subcategory page between:", "wpjobster" ); ?>
									<strong>
										<?php echo wpj_date( get_option( 'date_format' ), $s_start_date ) . " - " . wpj_date( get_option( 'date_format' ), get_featured_end_date( $s_start_date ) ); ?>
									</strong>

									<span class="payment-item-price">
										<?php echo $row->payable_amount . " " . $row->currency ; ?>
									</span>

									<?php wpj_show_feature_job_bank_transfer( $row ); ?>

									<?php wpj_show_feature_job_cancel_payment( $row ); ?>

								</div><!-- END <div class="sixteen wide column"> -->

								<div class="ui fitted divider"></div>

							<?php } else { // SUBCATEGORY - NEW FEATURED

								if ( get_option( 'wpjobster_subcategory_featured_enable' ) != 'no' ) { ?>

									<div class="sixteen wide column">
										<div class="ui checkbox">
											<input type="checkbox" class="styled featured_chk" data-price="<?php echo wpjobster_formats_special_exchange( $price_subcategory_raw, 1,  wpjobster_get_currency() ) ; ?>" name="feature_pages[]"  id="subcategory_featured_chk" value="subcategory" />

											<label>
												<?php echo __( "Subcategory page", "wpjobster" ); ?>
												(<?php echo __( "first available", "wpjobster" ); ?>:
												<strong><?php echo wpj_date( get_option( 'date_format' ), $s_start_date ) . " - " . wpj_date( get_option( 'date_format' ), $s_end_date ); ?></strong>)
											</label>
										</div>

										<span class="payment-item-price">
											<?php echo $price_subcategory; ?>
										</span>
									</div>

									<div class="ui fitted divider"></div>

								<?php }
							}
						}
					} else { // SUBCATEGORY - ALREADY FEATURED
						$dt = get_post_meta( $pid, 'subcategory_featured_until', true ); $subcategory_fees_and_tax = true; ?>

						<div class="sixteen wide column">
							<?php _e( "Featured on subcategory page between:", "wpjobster" ); ?>
							<strong>
								<?php echo wpj_date( get_option( 'date_format' ), get_featured_start_date_from_end_date( $dt ) ) . " - " . wpj_date( get_option( 'date_format' ), $dt ); ?>
							</strong>
						</div>

						<div class="ui fitted divider"></div>
					<?php }
	// END SUBCATEGORY

					wpj_show_feature_job_tax_and_fees( $home_fees_and_tax, $category_fees_and_tax, $subcategory_fees_and_tax ); ?>
					<!-- END Featured options(homepage, category, subcategory) -->

				</div><!-- END <div class="ui two column stackable grid"> -->

				<!-- Buy feature job buttons -->

				<div class="ui grid feature-payment">

					<?php if ( $available_jobs_for_featured != 0 ) { ?>

						<!-- Buttons -->
						<div class="twelve wide column"><?php wpj_display_gateway_payment_button( 'featured', $pid ); ?></div>

						<!-- Action 'wpjobster_purchase_featured_add_payment_method' -->
						<?php do_action( 'wpjobster_purchase_featured_add_payment_method', $pid ); ?>

						<!-- Total price -->
						<?php wpj_show_feature_job_total_price();

					} else { ?>

						<div class="sixteen wide column">
							<?php _e( "There are no available featured spots for this job at the moment.", "wpjobster" ); ?>
						</div>

					<?php } ?>

				</div>

			</div><!-- END <div class="ui segment"> -->

		</form><!-- END form -->

	<?php } else { ?>

		<div class="ui hidden divider"></div>

			<div class="ui warning message">
				<div class="header"><?php _e( 'Features are disabled!', 'wpjobster' ); ?></div>
				<p><?php _e( 'Features are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ); ?></p>
			</div>

		</div>

	<?php } ?>

</div>

<div class="ui hidden divider"></div>

<div class="payment-gateway-popup"></div>

<?php get_footer(); ?>
