<?php
function wpj_modal_request_mutual_cancellation() { ?>
	<div class="ui modal smaller request-mutual-cancellation modal-content-cancellation">
		<i class="close icon"></i>
		<div class="ui icon header">
			<i class="file text outline inverted grey icon"></i>
			<?php _e( 'Request Mutual Cancellation', 'wpjobster' ); ?>
		</div>
	</div>
<?php }

add_action( 'wp_ajax_nopriv_wpj_request_mutual_cancellation_form', 'wpj_request_mutual_cancellation_form' );
add_action( 'wp_ajax_wpj_request_mutual_cancellation_form', 'wpj_request_mutual_cancellation_form' );
function wpj_request_mutual_cancellation_form() {
	$orderid = isset( $_POST['oid'] ) ? $_POST['oid'] : ''; ?>

	<i class="close icon"></i>

	<div class="ui icon header">
		<i class="file excel outline red icon"></i>
		<?php _e( 'Request Mutual Cancellation', 'wpjobster' ); ?>
	</div>

	<div class="content">
		<form method="post" id="wpj_send_mutual_cancellation">
			<div class="ui form">
				<?php if ( wpj_get_seller_id( $orderid ) == get_current_user_id() ) { //peace cancellation ?>

					<div class="field">
						<p><?php _e( 'You are about to request cancellation for this job. By using this option you are asking the buyer to mutually cancel the order. If he agrees, and cancels the order, the money gets refunded into his account and you will not get a bad review over it.', 'wpjobster' ); ?></p>
					</div>

					<div class="field">
						<textarea class="wpj-grey-textarea" rows="4" id="message_to_buyer" name="message_to_buyer" cols="40" required="required" placeholder="<?php _e( 'Your message to the buyer: ', 'wpjobster' ); ?>"></textarea>

						<input type="hidden" value="<?php echo $orderid; ?>" name="orderid" />
						<input type="hidden" value="request_mutual_cancelation" name="action" />
						<input type="hidden" value="confirm_cancellation_from_seller" name="process_action" />
					</div>

				<?php } elseif ( wpj_get_buyer_id( $orderid ) == get_current_user_id() ) { ?>

					<div class="field">
						<p><?php _e( 'You are about to request cancellation for this job. By using this option you are asking the seller to mutually cancel the order. If he agrees, and cancels the order, the money gets refunded into your account and you will not get a bad review over it.', 'wpjobster' ); ?></p>
					</div>

					<div class="field">
						<textarea class="wpj-grey-textarea" rows="4" id="message_to_buyer" name="message_to_buyer" cols="40" required="required" placeholder="<?php _e( 'Your message to the seller:', 'wpjobster' ); ?>"></textarea>

						<input type="hidden" value="<?php echo $orderid; ?>" name="orderid" />
						<input type="hidden" value="request_mutual_cancelation" name="action" />
						<input type="hidden" value="confirm_cancellation_from_buyer" name="process_action" />
					</div>

				<?php } else { ?>

					<div class="field">
						<p><?php _e( 'You are not allowed to cancel this order.', 'wpjobster' ); ?></p>
					</div>

				<?php } ?>
			</div>
		</form>
	</div>

	<?php if ( wpj_get_seller_id( $orderid ) == get_current_user_id() || wpj_get_buyer_id( $orderid ) == get_current_user_id() ) { ?>

		<div class="actions">
			<button onclick="clickAndDisable(this);" class="ui green labeled icon button btn-wpj-send-mutual-cancellation">
				<?php echo __( 'Confirm', 'wpjobster' ); ?>
				<i class="white checkmark icon"></i>
			</button>
			<button class="ui cancel labeled icon button">
				<?php _e( 'Cancel', 'wpjobster' ); ?>
				<i class="close icon"></i>
			</button>
		</div>

	<?php }

	wp_die();
}
