<?php
function wpj_modal_request_extended_delivery_time() { ?>
	<div class="ui modal smaller request-extended-delivery-time modal-content-extended-delivery-time">
		<i class="close icon"></i>
		<div class="ui icon header">
			<i class="clock outline inverted grey icon"></i>
			<?php _e( 'Request Extended Delivery Time', 'wpjobster' ); ?>
		</div>
	</div>
<?php }

add_action( 'wp_ajax_nopriv_wpj_request_extended_delivery_time_form', 'wpj_request_extended_delivery_time_form' );
add_action( 'wp_ajax_wpj_request_extended_delivery_time_form', 'wpj_request_extended_delivery_time_form' );
function wpj_request_extended_delivery_time_form() {
	$orderid = isset( $_POST['oid'] ) ? $_POST['oid'] : ''; ?>

	<i class="close icon"></i>

	<div class="ui icon header">
		<i class="clock outline inverted grey icon"></i>
		<?php _e( 'Request Extended Delivery Time', 'wpjobster' ); ?>
	</div>

	<div class="content">
		<form method="post" id="wpj_send_extended_delivery_time">
			<div class="ui form">

				<?php if ( wpj_get_seller_id( $orderid ) == get_current_user_id() ) { ?>

					<div class="field">

						<label><?php _e( 'Message', 'wpjobster' ); ?></label>

						<textarea rows="4" name="extended_days_message" cols="40" placeholder="<?php _e( 'Your message to buyer', 'wpjobster' ); ?>"></textarea>

					</div>

					<div class="field">

						<label><?php _e( 'Days number', 'wpjobster' ); ?></label>

						<select name="extended_days_selector" class="ui dropdown">

							<?php for ( $i_count = 1; $i_count <= get_option( 'wpjobster_job_max_delivery_days' ); $i_count++ ) { ?>

								<option value="<?php echo $i_count; ?>">

									<?php echo sprintf( _n( '%d day', '%d days', $i_count, 'wpjobster' ), $i_count ); ?>

								</option>

							<?php } ?>

						</select>

					</div>

					<input type="hidden" value="<?php echo $orderid; ?>" name="orderid" />
					<input type="hidden" value="request_extend_delivery_time" name="action" />

				<?php } else { ?>

					<div class="ui visible warning message">
						<div class="header"><?php _e( 'You are not allowed to extend the delivery time!', 'wpjobster' ); ?></div>
						<p><?php _e( 'The option to request an extension of the delivery time is valid only for the seller and you as a buyer do not have access to this section.', 'wpjobster' ); ?></p>
					</div>

				<?php } ?>

			</div>
		</form>
	</div>

	<?php if ( wpj_get_seller_id( $orderid ) == get_current_user_id() ) { ?>

		<div class="actions">
			<button onclick="clickAndDisable(this);" class="ui green labeled icon button btn-wpj-send-extended-delivery-time">
				<?php echo __( 'Confirm', 'wpjobster' ); ?>
				<i class="white checkmark icon"></i>
			</button>
			<button class="ui cancel labeled icon button">
				<?php _e( 'Cancel', 'wpjobster' ); ?>
				<i class="close icon"></i>
			</button>
		</div>

	<?php }

	wp_die();
}
