<?php
function wpj_modal_request_modification() { ?>
	<div class="ui modal smaller request-modification modal-content-request-modification">
		<i class="close icon"></i>
		<div class="ui icon header">
			<i class="file text outline inverted grey icon"></i>
			<?php _e( 'Request Modification', 'wpjobster' ); ?>
		</div>
	</div>
<?php }

add_action( 'wp_ajax_nopriv_wpj_request_modification_form_function', 'wpj_request_modification_form_function' );
add_action( 'wp_ajax_wpj_request_modification_form_function', 'wpj_request_modification_form_function' );
function wpj_request_modification_form_function() {
	$orderid = isset( $_POST['oid'] ) ? $_POST['oid'] : ''; ?>

	<i class="close icon"></i>

	<div class="ui icon header">
		<i class="file text outline inverted grey icon"></i>
		<?php _e( 'Request Modification', 'wpjobster' ); ?>
	</div>

	<div class="content">
		<form id="wpj_send_request_modification" method="post">
			<div class="ui form">
				<?php if ( wpj_get_buyer_id( $orderid ) == get_current_user_id() ) { ?>

					<div class="field">
						<p><?php _e( 'You are about to request modification for this job. By using this option you are asking the seller to modify the final product that you received.', 'wpjobster' ); ?></p>
					</div>

					<div class="field">
						<textarea class="grey_input orange" rows="4" name="message_request_modification" cols="40" required="required" placeholder="<?php _e( 'Your message to the seller:', 'wpjobster' ); ?>"></textarea>

						<input type="hidden" value="<?php echo $orderid; ?>" name="oid" />
						<input type="hidden" value="request_modification" name="action" />
					</div>

				<?php } else { ?>

					<div class="field">
						<p><?php _e( 'You are not allowed to request a modification for this order.', 'wpjobster' ); ?></p>
					</div>

				<?php } ?>
			</div>
		</form>
	</div>

	<?php if ( wpj_get_buyer_id( $orderid ) == get_current_user_id() ) { ?>
		<div class="actions">
			<button class="ui yellow labeled icon button btn-wpj-send-request-modification">
				<?php echo __('Confirm','wpjobster'); ?>
				<i class="white checkmark icon"></i>
			</button>
			<button class="ui cancel labeled icon button">
				<?php _e( 'Cancel', 'wpjobster' ); ?>
				<i class="close icon"></i>
			</button>
		</div>
	<?php }

	wp_die();
}
