<?php
function wpj_modal_resolution_center() { ?>
	<div class="ui modal smaller resolution-center modal-content-resolution-center">
		<i class="close icon"></i>
		<div class="ui icon header">
			<i class="file text outline inverted grey icon"></i>
			<?php _e( 'Resolution Center', 'wpjobster' ); ?>
		</div>
	</div>
<?php }

add_action( 'wp_ajax_nopriv_wpj_resolution_center_form', 'wpj_resolution_center_form' );
add_action( 'wp_ajax_wpj_resolution_center_form', 'wpj_resolution_center_form' );
function wpj_resolution_center_form() { ?>

	<i class="close icon"></i>
	<div class="ui icon header">
		<i class="handshake outline inverted grey icon"></i>
		<?php _e( 'Resolution Center', 'wpjobster' ); ?>
	</div>

	<div class="content">
		<form method="post" id="wpj_send_resolution_center">
			<div class="ui form">
				<div class="grouped fields">
					<div class="field">
						<div class="ui radio checkbox">
							<input type="radio" name="resolution_center_option" value="cancellation">
							<label><?php _e( 'Request mutual cancellation', 'wpjobster' ); ?></label>
						</div>
					</div>
					<div class="field">
						<div class="ui radio checkbox">
							<input type="radio" name="resolution_center_option" value="arbitration">
							<label><?php _e( 'Request arbitration', 'wpjobster' ); ?></label>
						</div>
					</div>

					<?php $order = wpjobster_get_order( WPJ_Form::post( 'oid' ) );

					if (
						wpj_get_seller_id( WPJ_Form::post( 'oid' ) ) == get_current_user_id()
						&& get_option( 'wpjobster_enable_delivery_time' ) != 'no'
						&& get_post_meta( $order->pid, 'instant', true ) != 1
						&& ! wpj_get_extended_delivery_by_oid( $_POST['oid'], 0 )
					) { ?>

						<div class="field">
							<div class="ui radio checkbox">
								<input type="radio" name="resolution_center_option" value="extended_delivery_time">
								<label><?php _e( 'Request extended delivery time', 'wpjobster' ); ?></label>
							</div>
						</div>

					<?php } ?>

				</div>
			</div>
		</form>
	</div>

	<div class="actions">
		<button class="ui green labeled icon button btn-wpj-send-resolution-center-option">
			<?php echo __( 'Next', 'wpjobster' ); ?>
			<i class="white checkmark icon"></i>
		</button>
		<button class="ui cancel labeled icon button">
			<?php _e( 'Cancel', 'wpjobster' ); ?>
			<i class="close icon"></i>
		</button>
	</div>

	<?php wp_die();
}
