<?php
wpj_purchase_this_redirects();

$main_amount  = wpj_get_payment_info_by_url( 'main_amount' );
$payment_type = wpj_get_payment_info_by_url( 'payment_type' );
$pid          = wpj_get_payment_info_by_url( 'pid' );
$uid          = wpj_get_payment_info_by_url( 'uid' );

if ( isset( $_POST['pck_price_val'] ) && $_POST['pck_deliv_val'] ) {
	$exchanged_price = get_exchange_value( $_POST['pck_price_val'], wpjobster_get_currency(), wpjobster_get_currency_classic() );
	update_post_meta( $pid, 'price', $exchanged_price );
	update_post_meta( $pid, 'max_days', $_POST['pck_deliv_val'] );
}

wpj_update_last_checkout_viewed( $pid, 'add' );

global $wpjobster_currencies_array;

get_header(); ?>

<div id="content-full-ov" class="checkout-wrapper" data-currency="<?php echo strtoupper( wpjobster_get_currency() ); ?>">

	<!-- Page Title Bar -->
	<div class="ui segment ">
		<div class="ui two column stackable grid">
			<div class="twelve wide column">
				<div class="purchase-title">
					<h1>
						<i class="payment icon buy"></i>
						<?php echo __( 'Review and Choose Payment Method', 'wpjobster' ); ?>
					</h1>
				</div>
			</div>

			<div class="four wide column right aligned">
				<div class="currency-switch-purchase-job">
					<?php if ( count( $wpjobster_currencies_array ) > 1 ) { display_currency_select_secondary(); } ?>
				</div>
			</div>
		</div>
	</div>

	<!-- Payment Instructions -->
	<?php
	$payment_instructions_title = get_field( "payment_instructions_title", "options" );
	$payment_instructions_text  = get_field( "payment_instructions_text", "options" );
	if ( $payment_instructions_title && $payment_instructions_text ) { ?>
		<div class="ui segment">
			<div class="icon-before-title info-icon prch-this-title-instructions js-toggle-arrow">
				<h2><?php echo $payment_instructions_title; ?></h2><br>
			</div>

			<div class="ui divider"></div>

			<p><?php echo $payment_instructions_text; ?></p>
		</div>
	<?php }

	do_action( 'wpj_purchase_this_after_title', $post->post_author, $payment_type ); ?>

	<!-- Custom Fields -->
	<?php $Custom_Fields = new WPJ_Custom_Fields( WPJ_Form::get( 'jobid', '' ), 'job' );
	$Custom_Fields->displayFieldsContent( 'purchase_this' ); ?>

	<div class="ui segment bottom-margin">
		<?php
		$extra_enable = get_option( 'wpjobster_purchase_this_extra_enabled' ) == 'yes' ? true : false;
		$force_allow  = apply_filters( 'wpj_force_allow_filter', false, 'checkout' );

		if ( ( $extra_enable || $force_allow ) && isset( $_GET['jobid'] ) && $_GET['jobid'] ) {
			get_single_job_order_additional( 'purchase_this' );
		} else { ?>

			<form id="purchase-form">

				<div class="ui two column stackable grid">

					<?php do_action( 'wpjobster_before_message_purchase_gig_job', $pid ); ?>

					<div class="twelve wide column">
						<div class="flex-parent flex-thumb-text">
							<!-- Job Image -->
							<div>
								<div class="job-avatar">
									<img width="100" height="100" class="round-avatar" src="<?php echo wpjobster_get_job_image( $pid, 101, 101 ); ?>" />
								</div>
							</div>

							<div>
								<!-- Job Title -->
								<div class="job-title-purchase">
									<h2><?php wpj_purchase_this_show_job_title(); ?></h2>
								</div>

								<!-- Job Category -->
								<div class="payment-job-categories">
									<?php wpj_purchase_this_show_job_categories(); ?>
								</div>
							</div>
						</div>
					</div>

					<!-- Job Price -->
					<div class="four wide column">
						<div class="job-price-purchase payment-main-item" data-mainamount="<?php echo $main_amount; ?>">
							<?php wpj_purchase_this_show_job_price();

							if ( isset( $_GET['tips'] ) ) {
								echo __( ' tip', 'wpjobster' );
							} elseif ( isset( $_GET['custom_extra'] ) ) {
								echo apply_filters( 'wpj_custom_extra_lower_string_filter', __( ' custom extra', 'wpjobster' ) );
							} elseif ( get_post_meta( $pid, 'price_type', true ) && get_post_meta( $pid, 'price_type', true ) != 'fixed' ) {
								echo ' ' . wpjobster_translate_string( get_post_meta( $pid, 'price_type', true ) );
							} ?>
						</div>
					</div>
				</div>

				<?php do_action( "wpjobster_check_custom_input", $pid ); ?>

				<!-- Extra Fast Delivery & Additional Revision -->
				<?php wpj_purchase_this_show_extra_fast_revision(); ?>

				<div class="ui two column stackable grid">

					<!-- Extras -->
					<?php wpj_purchase_this_show_extras();

					do_action( 'list_before_shipping_price', 'purchase_this' );

					// Shipping
					if ( wpj_get_payment_info_by_url( 'shipping' ) ) {
						if ( get_option( 'wpjobster_enable_shipping' ) !='no' ) { ?>
							<div class="ui fitted divider"></div>
							<div class="sixteen wide column">
								<?php _e( 'Shipping:', 'wpjobster' ); ?>
								<span class="payment-item-price">
									<?php echo wpjobster_get_show_price( wpj_get_payment_info_by_url( 'shipping' ) ); ?>
								</span>
							</div>
						<?php }
					}

					// Processing Fees
					if ( wpj_get_payment_info_by_url( 'buyer_processing_fees' ) ) {
						if ( get_option('wpjobster_enable_buyer_processing_fees') != 'disabled' ) { ?>
							<div class="ui fitted divider"></div>
							<div class="sixteen wide column">
								<?php if ( get_option( 'wpjobster_enable_buyer_processing_fees' ) == 'percent' ) {
									echo sprintf( __( 'Processing Fees (%s%s):', 'wpjobster' ), get_option( 'wpjobster_buyer_processing_fees_percent' ), '&#37;' );
								} else {
									echo __( 'Processing Fees:', 'wpjobster' );
								} ?>

								<span class="payment-item-price">
									<?php echo wpjobster_get_show_price( wpj_get_payment_info_by_url( 'buyer_processing_fees' ) ); ?>
								</span>
							</div>
						<?php }
					}

					do_action( 'list_before_tax_price', 'purchase_this' );

					// Tax
					if ( wpj_get_payment_info_by_url( 'wpjobster_tax_amount' ) ) { ?>
						<div class="ui fitted divider"></div>

						<div class="sixteen wide column">
							<?php
							$country_code = user( $uid, 'country_code' );
							$wpjobster_tax_percent = wpjobster_get_tax( $country_code );
							echo sprintf( __( 'Tax (%s%s)', 'wpjobster' ), $wpjobster_tax_percent, '&#37;' ) . ':'; ?>

							<span class="payment-item-price" id="showtax">
								<?php echo wpjobster_get_show_price( wpj_get_payment_info_by_url( 'wpjobster_tax_amount' ) ); ?>
							</span>
						</div>
					<?php }

					do_action( 'list_after_tax_price', wpj_get_payment_info_by_url( 'total_order_price' ), 'purchase_this' ); ?>

					<!-- Payment Methods -->
					<div class="twelve wide column payment-gateways">
						<?php wpj_display_gateway_payment_button( $payment_type, $pid ); ?>
					</div>

					<input type="hidden" name="pck_price_val" class="pck_price_val" value="<?php echo WPJ_Form::post( 'pck_price_val', '' ); ?>" />

					<!-- Total -->
					<div class="four wide column payment-total">
						<div class="total-payment-purchase">
							<?php echo __( 'Total:','wpjobster' );
							echo '&nbsp;<span id="showtotal" data-price="' . wpj_get_payment_info_by_url( 'total_order_price' ) . '">' . wpjobster_get_show_price( wpj_get_payment_info_by_url( 'total_order_price' ), 2, true ) . '</span>'; ?>
						</div>
					</div>

				</div>

			</form>

		<?php } ?>

		<div class="payment-gateway-popup"></div>

		<!-- Secure shopping banner -->
		<div class="ui two column stackable grid secure-shop">
			<div class="sixteen wide column secure-shop icon">
				<div class="flex-parent flex-thumb-text">
					<div>
						<img src="<?php echo get_template_directory_uri() . '/assets/images/ssl-secure.png'; ?>" alt="SSL Icon" width="111" height="142">
					</div>
					<div class="flex-both">
						<div class="secure-encryption">
							<p class="ssl-title"><?php _e( "Secure Shopping", "wpjobster" ); ?></p>
							<p class="ssl-description"><?php _e( "256 bit data encryption", "wpjobster" ); ?></p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>
