<?php $RequestsNewEdit = new WPJRequestsNewEdit(); ?>

<div id="content-full-ov" class="page_without_sidebar">
	<?php $request_vars = $RequestsNewEdit->Initializations(); extract( $request_vars ); ?>

	<div class="ui basic notpadded segment">
		<?php if ( WPJ_Form::get( 'jb_action' ) == 'request_edit' ) { ?>
			<div class="edit-request-title">
				<h1 class="ui header wpj-title-icon">
					<i class="edit icon"></i>
					<?php echo sprintf( __( 'Edit Request - %s', 'wpjobster' ), $post->post_title ); ?>
				</h1>
			</div>
		<?php } else { ?>
			<div class="post-new-request-title">
				<h1 class="ui header wpj-title-icon">
					<i class="edit icon"></i>
					<?php _e( 'Post New Request', 'wpjobster' ); ?>
				</h1>
			</div>
		<?php } ?>
	</div>

	<?php if ( WPJ_Form::get( 'jb_action' ) == 'request_edit' && $post->post_author != get_current_user_id() ) { ?>

		<div class="ui negative message">
			<i class="close icon"></i>
			<div class="header"><?php _e( 'Not your post!', 'wpjobster' ); ?></div>
			<p><?php _e( 'You are not allowed to edit this request because you are not the author.', 'wpjobster' ); ?></p>
		</div>

	<?php } elseif ( WPJ_Form::get( 'jb_action' ) != 'request_edit' || ( WPJ_Form::get( 'jb_action' ) == 'request_edit' && $post->post_author == get_current_user_id() ) ) {

		if ( have_rows( 'request_fields', get_option( 'wpjobster_new_request_page_id' ) ) ) {
			if ( get_field( 'general_request_instructions', get_option( 'wpjobster_new_request_page_id' ) ) || current_user_can( 'manage_options' ) ) { ?>
				<div class="ui segment">
					<?php if ( get_field( 'general_request_instructions', get_option( 'wpjobster_new_request_page_id' ) ) ) {
						echo get_field( 'general_request_instructions', get_option( 'wpjobster_new_request_page_id' ) );
					} elseif ( current_user_can( 'manage_options' ) ) {
						_e( 'Regular users will not see this message unless you edit it from WP Admin > Pages > Post New or Edit Request > General Tooltip Instructions.', 'wpjobster' );
					} ?>
				</div>
			<?php } ?>

			<div class="<?php echo $class; ?>">
				<form id="add-edit-request-form" data-operation="<?php echo isset( $_GET['jb_action'] ) ? 'edit' : 'new'; ?>" class="ui form wpj-grey-form" method="post" enctype="multipart/form-data" action="">

					<?php wp_nonce_field( 'post_new_or_edit_request_action', 'post_new_or_edit_request_field' ); ?>

					<input type="hidden" name="action" value="save_request_post_autodraft" />
					<input type="hidden" name="pid" value="<?php echo $pid; ?>" />
					<input type="hidden" name="aoer_form_submitted" value="1" />

					<div class="post-new-job-wrapper post-new-request-wrapper">
						<div class="tabs-wrapper js-tabs-wrapper">
							<?php if ( $use_tabs && $last_tab > 0 ) { ?>
								<div class="ui <?php echo $last_tab_str; ?> small unstackable steps">
									<?php $tab_number = 0;
									foreach ( $request_fields as $request_tab ) {
										if ( $use_tabs && $tab_number > 0 ) {
											$tab_class = $tab_number == 1 ? 'active' : '';
											$icon = $request_tab['icon'] != '' ? $request_tab['icon'] : 'info'; ?>

											<div class="step <?php echo $tab_class; ?>" id="tab<?php echo $tab_number; ?>">
												<i class="<?php echo $icon; ?> icon"></i>
												<div class="content">
													<div class="title"><?php echo $request_tab['label']; ?></div>
													<div class="description"><?php echo $request_tab['description']; ?></div>
												</div>
											</div>
										<?php } $tab_number++;
									} ?>
								</div>
							<?php }

							$tab_number = 0;
							foreach ( $request_fields as $request_tab ) {
								if ( $tab_number == 1 ) { ?><div class="tab-wrapper js-tab-wrapper"><?php }

									if ( $use_tabs && $tab_number > 0 ) { ?><div class="<?php echo $tab_number == 1 ? 'tab active' : 'tab'; ?>"><?php }

										if ( $request_tab['tab_fields'] ) {
											echo $RequestsNewEdit->getArrangemendOfFieldsByWidth( $request_tab['tab_fields'] );

											if ( $tab_number == $last_tab ) {
												$submit_btn_lbl = WPJ_Form::get( 'jb_action' ) == 'request_edit' ? __( 'Save', 'wpjobster' ) : __( 'Suggest', 'wpjobster' ); ?>

												<input id="aoer_form_submitted" name="aoer_form_submitted" type="submit" value="<?php echo $submit_btn_lbl; ?>" class="ui primary submit button" />

											<?php } ?>

											<div class="ui error message" style="margin-top:50px"></div>
										<?php }

										if ( $use_tabs && $tab_number > 0 ) { ?>
											<div class="tab-corner-image">
												<img src="<?php echo $request_tab['image']; ?>" alt="">
											</div>

											<?php if ( $tab_number > 1 ) { ?>
												<div class="tab-controls">
													<a href="#" title="" class="left"><?php echo $request_fields[$tab_number - 1]['label']; ?></a>
												</div>
											<?php }

											if ( $tab_number < $last_tab ) { ?>
												<div class="tab-controls">
													<a href="#" title="" class="ui secondary right floated button"><?php echo $request_fields[$tab_number + 1]['label']; ?></a>
												</div>
											<?php }
										}

									if ( $use_tabs && $tab_number > 0 ) { ?></div><?php } // END tab class

								if ( $use_tabs && $tab_number > 0 && $tab_number == $last_tab ) { ?></div><?php } // END tab-wrapper class

								$tab_number++;
							} ?><!-- END foreach -->

						</div> <!-- END tabs-wrapper -->
					</div> <!-- END post-new-job-wrapper -->
				</form> <!-- END ui form -->
			</div> <!-- END ui segment -->

			<div class="ui hidden divider"></div>

		<?php } else { ?>

			<div class="ui segment">
				<?php _e( 'The post new request page has no fields.', 'wpjobster' ); ?>
			</div>

		<?php }

	} ?>

</div>
