<?php
if ( ! class_exists( 'WPJRequestsNewEditFieldsContent' ) ) {
	class WPJRequestsNewEditFieldsContent {

		public function __construct() {
			$params = func_get_args();
			$this->params = $params[0];

			if ( isset( $this->params['pid'] ) ) {
				$this->pid = $this->params['pid'];
			} else {
				$this->pid = WPJ_Form::get( 'requestid' );
			}
		}

		public function getRejectedInput( $input = '' ) {
			${ 'rejected_' . $input } = get_post_meta( $this->pid, "req_rejected_" . $input, true );
			$rejected = get_post_status( $this->pid ) == 'pending' && ${ 'rejected_' . $input } == 1 ? 'rejected-input' : '';

			return $rejected;
		}

		public function separator( $params = array() ) { extract( $params ); ?>
			<div class="ui <?php echo $fields['label']; ?> divider"></div>
		<?php }

		public function title( $params = array() ) { extract( $params ); ?>

			<input
				placeholder="<?php echo $placeholder; ?>"
				type="text"
				size="40"
				class="charlimit-request-title <?php echo $this->getRejectedInput( 'name' ); ?>"
				name="request_title"
				value="<?php echo $post_value; ?>"
			/>
			<span class="charscounter">
				<?php echo __( 'characters left', 'wpjobster' ); ?>.
			</span>

		<?php }

		public function description( $params = array() ) { extract( $params ); ?>

			<textarea
				class="charlimit-request-description <?php echo $this->getRejectedInput( 'description' ); ?>"
				name="request_description"
				id="request_description"
				placeholder="<?php echo $placeholder; ?>"><?php echo $post_value; ?></textarea>
			<?php
			$request_characters_left = apply_filters( 'wpj_request_characters_left_filter', true );
			if ( $request_characters_left ) { ?>
				<span class="charscounter">
					<?php echo __( 'characters left', 'wpjobster' ); ?>.
				</span>
			<?php }

		}

		public function tags( $params = array() ) { extract( $params ); ?>

			<input
				type="text"
				id="request_tags<?php echo $this->pid; ?>"
				size="50"
				name="request_tags"
				value="<?php echo $post_value; ?>"
				class="js-tags"
			/>
			<span class="lighter"><?php echo '(' . __( 'separate your tags by comma', 'wpjobster' ) . ')'; ?></span>

		<?php }

		public function category( $params = array() ) { extract( $params );

			echo wpjobster_get_only_categories(
				"job_cat",
				"slug",
				__( 'Select Category','wpjobster' ),
				"",
				"request_category",
				"request_category",
				$post_value,
				get_option( 'wpjobster_display_request_multiple_categories' ) == 'yes' ? true : false
			);

		}

		public function subcategory( $params = array() ) { extract( $params ); ?>

			<span id="request_subcategories">

				<?php echo wpjobster_get_only_subcategories(
					'job_cat',
					'slug',
					__( 'Select Subcategory', 'wpjobster' ),
					'',
					'subcat',
					'subcat',
					$post_category_value,
					$post_subcategory_value,
					get_option( 'wpjobster_display_request_multiple_categories' ) == 'yes' ? true : false
				); ?>

			</span>

		<?php }

		public function deadline( $params = array() ) { extract( $params ); ?>

			<div class="ui calendar js-calendar" id="js-deadline">
				<div class="ui input left icon">
					<i class="calendar alternate outline icon"></i>
					<input
						class="<?php echo $this->getRejectedInput( 'deadline' ); ?>"
						type="text"
						placeholder="<?php echo $placeholder; ?>"
						id="request_deadline"
						value="<?php echo $post_value; ?>"
						name="request_deadline"
					/>
				</div>
			</div>

		<?php }

		public function delivery( $params = array() ) { extract( $params ); ?>

			<select name="request_delivery" class="ui fluid selection dropdown clearable" id="request_delivery">
				<option value='' disabled selected hidden><?php _e( 'Expected delivery', 'wpjobster' ); ?></option>";

				<?php for ( $i = 1; $i <= get_option( 'wpjobster_request_max_delivery_days' ); $i++ ) {
					$days_plural = sprintf( _n( '%d day', '%d days', $i, 'wpjobster' ), $i ); ?>
					<option <?php echo $post_value == $i ? "selected='selected'" : ''; ?> value="<?php echo $i; ?>"><?php echo $days_plural; ?></option>
				<?php } ?>
			</select>

		<?php }

		public function budget_from( $params = array() ) { extract( $params ); ?>

			<div class="ui labeled input">
				<div class="ui label v-align"><?php echo wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ); ?></div>
				<input
					class="<?php echo $this->getRejectedInput( 'budget_from' ); ?>"
					type="number"
					min="0"
					placeholder="<?php echo $placeholder; ?>"
					id="request_budget_from"
					value="<?php echo $post_value; ?>"
					name="request_budget_from"
				/>
			</div>

		<?php }

		public function budget_to( $params = array() ) { extract( $params ); ?>

			<div class="ui labeled input">
				<div class="ui label v-align"><?php echo wpjobster_get_currency_symbol( wpjobster_get_currency_classic() ); ?></div>
				<input
					class="<?php echo $this->getRejectedInput( 'budget_to' ); ?>"
					type="number"
					min="0"
					placeholder="<?php echo $placeholder; ?>"
					id="request_budget_to"
					value="<?php echo $post_value; ?>"
					name="request_budget_to"
				/>
			</div>

		<?php }

		public function attachments( $params = array() ) { extract( $params );
			if ( $this->getRejectedInput( 'attachments' ) == 'rejected-input' ) { ?><div class="rejected-border rejected-border-uploader"><?php }
				wpj_display_upload_form( $secure = 1, "file_upload_request_attachments", "request_attachments", "request" );
			if ( $this->getRejectedInput( 'attachments' ) == 'rejected-input' ) { ?></div><?php }

			if ( wpj_post_has_attachments( $post_value ) ) {
				wpj_list_attachments( $post_value, $this->pid, 'request_attachments' );
			}
		}

		public function autoclose( $params = array() ) { extract( $params ); ?>

			<div class="post-new-request-slide-box">
				<div class="ui toggle checkbox">
					<?php $checked = $post_value == 'yes' ? 'checked' : ''; ?>
					<input
						type="checkbox"
						value="yes"
						name="request_autoclose"
						id="request_autoclose"
						<?php echo $checked; ?>
					/>
					<label><?php _e( 'Slide to enable', 'wpjobster' ); ?></label>
				</div>
			</div>

		<?php }

		public function lets_meet( $params = array() ) { extract( $params ); ?>

			<div class="post-new-request-slide-box">
				<div class="ui toggle checkbox">
					<?php $checked = $post_value == 'yes' ? 'checked' : ''; ?>
					<input
						type="checkbox"
						value="yes"
						name="request_lets_meet"
						id="request_lets_meet"
						<?php echo $checked; ?>
					/>
					<label><?php _e( 'Slide to enable', 'wpjobster' ); ?></label>
				</div>
			</div>

		<?php }

		public function location( $params = array() ) { extract( $params ); ?>

			<div class="ui search js-location-autocomplete">
				<div class="ui clearable input">
					<input
						placeholder="<?php echo $placeholder; ?>"
						type="text"
						data-replaceplaceholder="<?php echo __( 'Select a valid location', 'wpjobster' ); ?>"
						id="request_location"
						value="<?php echo $post_location; ?>"
						name="request_location"
						class="prompt"
					/>
					<input
						id="request_lat"
						type="hidden"
						name="request_lat"
						value="<?php echo $post_lat; ?>"
					/>
					<input
						id="request_long"
						type="hidden"
						name="request_long"
						value="<?php echo $post_long; ?>"
					/>
				</div>
				<div class="results"></div>
			</div>

		<?php }

		public function pick_up_location( $params = array() ) { extract( $params ); ?>

			<div class="ui search js-location-autocomplete">
				<div class="ui clearable input">
					<input
						placeholder="<?php echo $placeholder; ?>"
						type="text"
						data-replaceplaceholder="<?php echo __( 'Select a valid location', 'wpjobster' ); ?>"
						id="request_pick_up_location"
						value="<?php echo $post_pick_up_location; ?>"
						name="request_pick_up_location"
						class="prompt"
					/>
					<input
						id="request_pick_up_lat"
						type="hidden"
						name="request_pick_up_lat"
						value="<?php echo $post_pick_up_lat; ?>"
					/>
					<input
						id="request_pick_up_long"
						type="hidden"
						name="request_pick_up_long"
						value="<?php echo $post_pick_up_long; ?>"
					/>
				</div>
				<div class="results"></div>
			</div>

		<?php }

		public function drop_off_location( $params = array() ) { extract( $params ); ?>

			<div class="ui search js-location-autocomplete">
				<div class="ui clearable input">
					<input
						placeholder="<?php echo $placeholder; ?>"
						type="text"
						data-replaceplaceholder="<?php echo __( 'Select a valid location', 'wpjobster' ); ?>"
						id="request_drop_off_location"
						value="<?php echo $post_drop_off_location; ?>"
						name="request_drop_off_location"
						class="prompt"
					/>
					<input
						id="request_drop_off_lat"
						type="hidden"
						name="request_drop_off_lat"
						value="<?php echo $post_drop_off_lat; ?>"
					/>
					<input
						id="request_drop_off_long"
						type="hidden"
						name="request_drop_off_long"
						value="<?php echo $post_drop_off_long; ?>"
					/>
				</div>
				<div class="results"></div>
			</div>

		<?php }

		public function start_date( $params = array() ) { extract( $params ); ?>

			<div class="ui calendar js-calendar" id="js-start-date">
				<div class="ui input left icon">
					<i class="calendar alternate outline icon"></i>
					<input
						class="<?php echo $this->getRejectedInput( 'start_date' ); ?>"
						type="text"
						placeholder="<?php echo $placeholder; ?>"
						id="request_start_date"
						value="<?php echo $post_value; ?>"
						name="request_start_date"
					/>
				</div>
			</div>

		<?php }

		public function end_date( $params = array() ) { extract( $params ); ?>

			<div class="ui calendar js-calendar" id="js-end-date">
				<div class="ui input left icon">
					<i class="calendar alternate outline icon"></i>
					<input
						class="<?php echo $this->getRejectedInput( 'end_date' ); ?>"
						type="text"
						placeholder="<?php echo $placeholder; ?>"
						id="request_end_date"
						value="<?php echo $post_value; ?>"
						name="request_end_date"
					/>
				</div>
			</div>

		<?php }
	}
}
