<?php // My request page
function wpj_display_user_requests_function( $args ) { ob_start();

	if ( ! is_user_logged_in() ) { wp_redirect( get_bloginfo( 'url' ) ); }

	wpj_activate_request_modal(); wpj_deactivate_request_modal(); wpj_request_delete_modal();

	$uid = get_current_user_id(); ?>

	<div id="content-full-ov">

		<!-- Request created message -->
		<?php if ( isset( $_GET['submitted'] ) && ( ctype_digit( $_GET['submitted' ] ) || is_int( $_GET['submitted' ] ) ) ) {
			$submitted_request = get_post( $_GET['submitted'] );

			if ( $submitted_request && $submitted_request->post_type == 'request' && $submitted_request->post_author == $uid ) { ?>

				<div class="ui success icon message">
					<i class="close icon"></i>
					<i class="check icon"></i>

					<div class="content">
						<div class="header">
							<?php _e( 'Thank you for submitting your request.', 'wpjobster' ); ?>
						</div>

						<p>
							<?php if ( $submitted_request->post_status == 'publish' ) {
								_e( 'Your request has been published.', 'wpjobster' );
							} else {
								_e( 'Your request will be reviewed by our team, which may take a few hours. Once reviewed, you will be noticed regarding the status of your request.', 'wpjobster' );
							} ?>
						</p>
					</div>
				</div>

			<?php }
		} ?>

		<!-- Title -->
		<div class="ui basic notpadded segment">
			<h1 class="ui header wpj-title-icon">
				<i class="announcement icon"></i>
				<?php _e( 'My Requests', 'wpjobster' ); ?>
			</h1>
		</div>

		<!-- Filter buttons -->
		<?php global $wp_query;
		$pg_now = isset( $wp_query->query_vars['pg']) ? urldecode( $wp_query->query_vars['pg'] ) : 'active';
		$pages = array( 'active', 'inactive', 'in_review', 'rejected', 'assigned', 'completed' );
		if ( ! in_array( $pg_now, $pages ) ) { $pg_now = 'active'; } ?>

		<div class="ui basic notpadded segment js-tab-to-dropdown">
			<div class="ui secondary menu">
				<div class="item force-white-btn <?php echo ( $pg_now == "active" ? 'active' : "" ); ?>" data-tab="active"><?php _e( "Active", "wpjobster" ); ?> (<span class="ticket-count-active"><?php echo wpj_get_user_requests( $uid, 'active', 'count' ); ?></span>)</div>

				<div class="item force-white-btn <?php echo ( $pg_now == "inactive" ? 'active' : "" ); ?>" data-tab="inactive"><?php _e( "Inactive", "wpjobster" ); ?> (<span class="ticket-count-inactive"><?php echo wpj_get_user_requests( $uid, 'inactive', 'count' ); ?></span>)</div>

				<div class="item force-white-btn <?php echo ( $pg_now == "in_review" ? 'active' : "" ); ?>" data-tab="in_review"><?php _e( "In Review", "wpjobster" ); ?> (<span class="ticket-count-review"><?php echo wpj_get_user_requests( $uid, 'in_review', 'count' ); ?></span>)</div>

				<div class="item force-white-btn <?php echo ( $pg_now == "rejected" ? 'active' : "" ); ?>" data-tab="rejected"><?php _e( "Rejected", "wpjobster" ); ?> (<span class="ticket-count-rejected"><?php echo wpj_get_user_requests( $uid, 'rejected', 'count' ); ?></span>)</div>

				<div class="item force-white-btn <?php echo ( $pg_now == "assigned" ? 'active' : "" ); ?>" data-tab="assigned"><?php _e( "Assigned", "wpjobster" ); ?> (<span class="ticket-count-assigned"><?php echo wpj_get_user_requests( $uid, 'assigned', 'count' ); ?></span>)</div>

				<div class="item force-white-btn <?php echo ( $pg_now == "completed" ? 'active' : "" ); ?>" data-tab="completed"><?php _e( "Completed", "wpjobster" ); ?> (<span class="ticket-count-completed"><?php echo wpj_get_user_requests( $uid, 'completed', 'count' ); ?></span>)</div>
			</div>
		</div>

		<!-- Requests list -->
		<?php foreach ( $pages as $key => $pg ) { ?>

			<div class="ui segment tab <?php if ( $pg_now == $pg ) { echo 'active'; } ?>" data-tab="<?php echo $pg; ?>">

				<?php $wpj_req = new WPJ_Load_More_Posts( wpj_get_user_requests( $uid, $pg, 'query' ) + array( 'function_name' => 'wpj_list_user_requests_template', 'container_class' => 'all-requests-page', 'params' => $pg ) ); ?>

				<div class="ui stackable grid wpj-grid-table cf" <?php if ( ! $wpj_req->have_rows() ) { echo 'style="display:none;"'; } ?>>

					<div class="row">
						<div class="six wide column request-job-title"><?php _e( 'Request Details', 'wpjobster' ); ?></div>
						<div class="two wide column request-job-title"><?php _e( 'Offers received', 'wpjobster' ); ?></div>
						<?php if ( $pg == 'assigned' ) { ?>
							<div class="two wide column request-job-title"><?php _e( 'Assigned to', 'wpjobster' ); ?></div>
						<?php } elseif ( $pg == 'completed' ) { ?>
							<div class="two wide column request-job-title"><?php _e( 'Completed by', 'wpjobster' ); ?></div>
						<?php } ?>
						<div class="<?php if ( $pg == 'assigned' || $pg == 'completed' ) { echo 'three'; } else { echo 'five'; } ?> wide column request-job-title"><?php _e( 'Date', 'wpjobster' ); ?></div>
						<div class="three wide column request-job-title"><?php _e( 'Status', 'wpjobster' ); ?></div>
					</div>

					<?php if ( ! $wpj_req->have_rows() ) {
						// add div for js job wrapper when no job in this tab
						// and a new one needs to be added ?>

						<div id="job_listings" class="row all-requests-page"></div>

					<?php } else { $wpj_req->show_posts_list_func(); } ?>

				</div>

				<?php if ( ! $wpj_req->have_rows() ) { ?>

					<div class="sixteen wide column">
						<span class="no-requests-message"><?php _e( 'There are no requests yet.', 'wpjobster' ); ?></span>
					</div>

				<?php }

				wp_reset_query(); ?>

			</div>

		<?php } ?>

	</div>

	<div class="ui hidden divider"></div>

	<?php $output = ob_get_contents(); ob_end_clean();

	return $output;
}

if ( ! function_exists( 'wpj_list_user_requests_template' ) ) {
	function wpj_list_user_requests_template( $pg_now = '' ) {

		$pid = get_the_ID(); $post = get_post( $pid );

		$btn_class = $post->post_status == 'publish' && get_post_meta( $pid, 'assigned', true ) != '1' && get_post_meta( $pid, 'completed', true ) != '1' ? 'blue' : 'ui button disabled';
		$btn_class .= ' btn important lighter smallest p5r';

		if ( ( get_post_meta( $pid, 'active', true ) == '1' || ! get_post_meta( $pid, 'active', true ) ) && get_post_meta( $pid, 'active', true ) != '0' ) {
			$btn_class .= ' open-deactivate-request';
		} else {
			$btn_class .= ' open-activate-request';
		} ?>

		<div class="ui two stackable grid user-requests background-request-<?php echo $post->ID; ?>">
			<div class="six wide column">

				<!-- Job title -->
				<h4 class="small-heading-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h4>

				<ul class="request-edit-delete">

					<!-- Edit button -->
					<li><a class="btn green important lighter smallest p5r" href="<?php bloginfo('url'); ?>/?jb_action=edit_request&request_id=<?php the_ID(); ?>" class="edit_request"><?php _e( 'Edit', 'wpjobster' ); ?></a></li>

					<!-- Activate/Deactivate button -->
					<li><a class="<?php echo $btn_class; ?>" data-id="<?php echo $pid; ?>" data-title="<?php the_title(); ?>"><?php echo get_post_meta( $pid, 'active', true ) != '0' ? __( 'Deactivate', 'wpjobster' ) : __( 'Activate', 'wpjobster' ); ?></a></li>

					<!-- Delete button -->
					<li><a class="button red btn lighter smallest p5r request-open-modal" data-request-id="<?php echo $post->ID; ?>" data-title-request="<?php the_title(); ?>"><?php _e( 'Delete', 'wpjobster' ); ?></a></li>

				</ul>

			</div>

			<!-- Offers received -->
			<div class="two wide column no-top-bottom-margin">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
					<?php echo wpj_get_user_offers_received_count( $pid ); ?>
				</a>
			</div>

			<?php if ( $pg_now == 'assigned' || $pg_now == 'completed' ) { ?>

				<div class="two wide column no-top-bottom-margin">
					<a href="<?php echo get_post_meta( $pid, 'assigned_order', true ) ? get_bloginfo( 'url' ) . '/?jb_action=chat_box&oid=' . get_post_meta( $pid, 'assigned_order', true ) : '#'; ?>" target="_blank">
						<?php echo wpj_get_user_name_by_id( get_post_meta( $pid, 'assigned_to', true ), 'username' ); ?>
					</a>
				</div>

			<?php } ?>

			<!-- Date -->
			<div class="<?php if ( $pg_now == 'assigned' || $pg_now == 'completed' ) { echo 'three'; } else { echo 'five'; } ?> wide column no-top-bottom-margin"><?php echo get_the_date( get_option( 'date_format' ) ); ?></div>

			<!-- Status -->
			<div class="three wide column no-top-bottom-margin">

				<div class="request-status">

					<?php if ( get_post_meta( $pid, 'rejected', true ) == 1 || $post->post_status == "pending" ) { ?>

						<span class="oe-status-btn oe-red oe-full"><?php _e( 'rejected', 'wpjobster' ); ?></span>

					<?php } elseif ( get_post_meta( $pid, 'in_review', true ) == 1 || $post->post_status == "draft" ) { ?>

						<span class="oe-status-btn oe-orange oe-full"><?php _e( 'pending', 'wpjobster' ); ?></span>

					<?php } elseif ( get_post_meta( $pid, 'assigned', true ) == 1 ) { ?>

						<span class="oe-status-btn oe-burgundy oe-full"><?php _e( 'assigned', 'wpjobster' ); ?></span>

					<?php } elseif ( get_post_meta( $pid, 'completed', true ) == 1 ) { ?>

						<span class="oe-status-btn oe-green-txt"><?php _e( 'completed', 'wpjobster' ); ?></span>

					<?php } else if ( get_post_meta( $pid, 'active', true ) == '0' && $post->post_status == 'publish' ) { ?>

						<span class="oe-status-btn oe-yellow oe-full"><?php _e( 'paused', 'wpjobster' ); ?></span>

					<?php } else if ( ! get_post_meta( $pid, 'active', true ) || get_post_meta( $pid, 'active', true ) == '1' && $post->post_status == 'publish' ) { ?>

						<span class="oe-status-btn oe-green oe-full"><?php _e( 'published', 'wpjobster' ); ?></span>

					<?php } ?>

				</div>

			</div>

			<!-- Pending info -->
			<?php if ( $post->post_status == "pending" ) { ?>

				<div class="cf"><span class="pending-message"><?php _e( 'Please edit the job following the provided instructions.', 'wpjobster' ); ?></span></div>

			<?php } ?>

		</div>

	<?php }
}