<?php if ( ! function_exists( 'wpj_show_request_content' ) ) {
	function wpj_show_request_content( $page = '', $directlink = '' ) { $RequestsView = new WPJRequestsView();
		extract( $RequestsView->Vars( $page, $directlink ) ); ?>

		<div class="request-job-wrapper main-margin ui segment background-request-<?php echo $post_id; ?>" id="request-<?php echo $post_id; ?>">
			<div class="ui three column stackable grid <?php if ( $page == 'single_request' ) { echo 'single-req-wrapper'; } ?>">
				<div class="<?php echo $column1_class; ?> wide column">
					<a class="<?php echo $avatar_class; ?>" href="<?php echo $author_url; ?>">
						<img class="round-avatar" width="<?php echo $avatar_width; ?>" height="<?php echo $avatar_height; ?>" border="0" src="<?php echo wpjobster_get_avatar( $auth, 46, 46 ); ?>" />
						<?php if ( $page == 'single_request' ) { echo $author; } ?>
					</a>
				</div>

				<div class="<?php echo $column2_class; ?> wide column">

					<?php if ( $page != 'single_request' ) { ?>
						<a class="author-link" href="<?php echo $author_url; ?>"><?php echo $author; ?></a>

						<span class="bottom-simple-view">
							<?php if ( $wpjobster_request_lets_meet == 'yes' && $lets_meet == 'yes' ) { ?>
								<span class="lets-meet lets-meet-request" data-tooltip="<?php _ex( "Let's meet", "Request Section", "wpjobster" ); ?>" data-position="left center" data-inverted="">
									<?php if ( get_theme_mod( 'lets_meet_rich_icon_options_request' ) ) { ?>
										<img src="<?php echo get_theme_mod( 'lets_meet_rich_icon_options_request' ); ?>" alt="lets-meet">
									<?php } else { ?>
										<img src="<?php echo get_template_directory_uri() . '/assets/images/shake-icon.png'; ?>" alt="lets-meet">
									<?php } ?>
								</span>
							<?php } ?>
						</span>

						<div class="request-content-title">
							<a href="<?php echo $view_more_link; ?>"><?php echo $post_title; ?></a>
						</div>

						<?php if ( $directlink == 'true' || $view_more_action == 'directlink' ) {
							$Custom_Fields->displayFieldsContent( $page );
						}
					} ?>

					<div class="<?php echo $content_class; ?>">

						<?php if ( $page == 'single_request' ) {
							if ( $wpjobster_request_lets_meet == 'yes' && $lets_meet == 'yes' ) { ?>
								<span class="lets-meet lets-meet-request" data-tooltip="<?php _ex( "Let's meet", "Request Section", "wpjobster"); ?>" data-position="top right" data-inverted="">
									<?php if ( get_theme_mod( 'lets_meet_rich_icon_options_request' ) ) { ?>
										<img src="<?php echo get_theme_mod( 'lets_meet_rich_icon_options_request' ); ?>" alt="lets-meet">
									<?php } else { ?>
										<img src="<?php echo get_template_directory_uri() . '/assets/images/shake-icon.png'; ?>" alt="lets-meet">
									<?php } ?>
								</span>
							<?php }
						} ?>

						<p style="overflow-wrap: break-word;"><?php echo $post_content ? $post_content : $post_title; ?></p>

						<div class="single-request-content">

							<?php if ( $budget_from || $budget_to ) { ?>
								<div class="p5b">
									<span class="request-label"><?php echo __( 'Budget:', 'wpjobster' ); ?></span>
									<span class="request-value"><?php
										if ( $budget_from ) { echo wpjobster_get_show_price( $budget_from ); }
										if ( $budget_from && $budget_to ) { echo ' - '; }
										if ( $budget_to ) { echo wpjobster_get_show_price( $budget_to ); } ?>
									</span>
								</div>
							<?php }

							if ( $delivery ) { ?>
								<div class="p5b">
									<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_delivery', __( 'Expected delivery:', 'wpjobster' ) ); ?></span>
									<span class="request-value"><?php echo $days_plural; ?></span>
								</div>
							<?php }

							if ( $deadline ) { ?>
								<div class="p5b">
									<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_deadline', __( 'Deadline:', 'wpjobster' ) ); ?></span>
									<span class="request-value"><?php echo wpj_date( get_option( 'date_format' ) ? get_option( 'date_format' ) : 'Y-m-d', $deadline ); ?></span>
								</div>
							<?php }

							if ( $tags ) { ?>
								<div class="p5b">
									<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_tags', __( 'Tags:', 'wpjobster' ) ); ?></span>
									<span class="request-value"><?php echo $tags; ?></span>
								</div>
							<?php }

							if ( $wpjobster_request_date_display_condition == "always" || $wpjobster_request_date_display_condition == "ifchecked" ) {
								if ( $request_start_date ) { ?>
									<div class="p5b">
										<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_start_date', __( 'Start Date:', 'wpjobster' ) ); ?></span>
										<span class="request-value"><?php echo wpj_date( get_option( 'date_format' ) ? get_option( 'date_format' ) : 'Y-m-d', $request_start_date ); ?></span>
									</div>
								<?php }

								if ( $request_end_date ) { ?>
									<div class="p5b">
										<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_end_date', __( 'End Date:', 'wpjobster' ) ); ?></span>
										<span class="request-value"><?php echo wpj_date( get_option( 'date_format' ) ? get_option( 'date_format' ) : 'Y-m-d', $request_end_date ); ?></span>
									</div>
								<?php }
							}

							$Custom_Fields->displayFieldsContent( $page );

							if ( wpj_post_has_attachments ( $request_attachments ) ) {
								wpj_list_attachments( $request_attachments, $post_id, 'request_attachments', true, $RequestsView->getFieldLabel( 'request_attachments', __( 'Attachments:', 'wpjobster' ) ), true, false );
							}

							if ( get_option( 'wpjobster_request_location' ) == 'yes' ) {
								if ( $location_enable && $location_enable != 'never' ) {
									if ( $request_address_value ) { ?><br>
										<div>
											<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_location', __( 'Location:', 'wpjobster' ) ); ?></span>
											<span class="request-value"><?php echo $request_address_value; ?></span>
										</div>

										<?php if ( $wpjobster_request_location_display_map == 'yes' ) {
											if ( $page == 'single_request' ) { ?>
												<iframe class='request-google-map' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='https://maps.google.com/maps?q="<?php echo $request_address_value; ?>"&output=embed'></iframe>
											<?php } else { ?>
												<div class="request-map" data-address="<?php echo $request_address_value; ?>"></div>
											<?php }
										}
									}
								}
							}

							if ( get_option( 'wpjobster_request_pick_up_location' ) == 'yes' ) {
								if ( $pick_up_enable && $pick_up_enable != 'never' ) {
									if ( $request_pick_up_value ) { ?><br>
										<div>
											<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_pick_up_location', __( 'Pick Up Location:', 'wpjobster' ) ); ?></span>
											<span class="request-value"><?php echo $request_pick_up_value; ?></span>
										</div>

										<?php if ( $wpjobster_request_location_display_map == 'yes' ) {
											if ( $page == 'single_request' ) { ?>
												<iframe class='request-google-map' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='https://maps.google.com/maps?q="<?php echo $request_pick_up_value; ?>"&output=embed'></iframe>
											<?php } else { ?>
												<div class="request-map" data-address="<?php echo $request_pick_up_value; ?>"></div>
											<?php }
										}
									}
								}
							}

							if ( get_option( 'wpjobster_request_drop_off_location' ) == 'yes' ) {
								if ( $drop_off_enable && $drop_off_enable != 'never' ) {
									if ( $request_drop_off_value ) { ?><br>
										<div>
											<span class="request-label"><?php echo $RequestsView->getFieldLabel( 'request_drop_off_location', __( 'Drop Off Location:', 'wpjobster' ) ); ?></span>
											<span class="request-value"><?php echo $request_drop_off_value; ?></span>
										</div>

										<?php if ( $wpjobster_request_location_display_map == 'yes' ) {
											if ( $page == 'single_request' ) { ?>
												<iframe class='request-google-map' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='https://maps.google.com/maps?q="<?php echo $request_drop_off_value; ?>"&output=embed'></iframe>
											<?php } else { ?>
												<div class="request-map" data-address="<?php echo $request_drop_off_value; ?>"></div>
											<?php }
										}
									}
								}
							} ?>

							<div class="ui hidden divider"></div>

							<?php if ( get_the_term_list( $post_id, 'request_cat') ) { ?>
								<div class="request-cat cf p20t">
									<?php echo __( "Posted in", "wpjobster" ) . " " . get_the_term_list( $post_id, 'request_cat', '', ', ', '' ); ?>
								</div>
							<?php }

							if ( $page == 'single_request' ) { ?>
								<div class="extra content">
									<i class="calendar alternate outline icon"></i><?php echo get_the_date( get_option( 'date_format' ) ); ?>
								</div>

								<?php wpj_sng_req_custom_offer();
							} ?>

						</div>
					</div>

				</div>

				<div class="<?php echo $column3_class; ?> wide column">
					<div class="request-btns">
						<?php if ( $page == 'single_request' ) {
							do_action( 'wpj_before_single_request_buttons', $post_id, $post_title );
							wpj_sng_req_button();
						} else {
							if ( $directlink == 'true' ) { ?>
								<a href="<?php echo $view_more_link; ?>" class="ui primary button db <?php echo is_user_logged_in() ? 'request-view-more-link' : 'login-link'; ?>"><?php echo __( 'View More', 'wpjobster' ); ?></a>
							<?php } else {
								if ( $view_more_action != 'directlink' ) { ?>
									<span data-requestid="<?php echo $post_id; ?>" class="ui primary button db <?php echo is_user_logged_in() ? 'request-view-more-link' : 'login-link'; ?>"><?php echo __( 'View More', 'wpjobster' ); ?></span>
								<?php } else { ?>
									<a href="<?php echo $view_more_link; ?>" class="ui primary button db <?php echo is_user_logged_in() ? 'request-view-more-link' : 'login-link'; ?>"><?php echo __( 'View More', 'wpjobster' ); ?></a>
								<?php }
							} ?>

							<div class="request-right-view-more cf" style="width: 100%; display: none;">
								<?php if ( get_current_user_id() == $auth ) { ?>

									<span class="ui secondary button request-error db"><?php _e( "Delete Request", "wpjobster" ); ?></span>

									<span class="request-error-container" style="display: none;">
										<span class="db"><?php _e( 'Are you sure to delete this request?', 'wpjobster' ); ?></span>

										<a class="ajax_delete_request ui negative button" data-request-id="<?php the_ID(); ?>">
											<?php _e( 'Yes', 'wpjobster' ); ?>
										</a>

										<a class="ui positive button" href="javascript:void(0);">
											<?php _e( 'No', 'wpjobster' ); ?>
										</a>
									</span>

								<?php } else {
									wpj_display_custom_offer_button( 'send', __( 'Send Custom Offer', 'wpjobster' ), $post_id, get_current_user_id(), $auth, $page );
								}

								if ( $display_contact_button && get_current_user_id() != $auth ) { ?>

									<a href="<?php echo $contact_link . '&request_id='. $post_id; ?>" class="ui primary button db contact <?php echo $class; ?>">
										<?php echo __( 'Contact User', 'wpjobster' ); ?>
									</a>

								<?php }

								do_action( 'wpj_after_request_view_buttons', $post_id, $post_title ); ?>

							</div>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>

	<?php }
}
