<?php
$cancelled    = 0;
$key          = $current_level;
$next_billing = $this->current_subscription->next_billing_date;
if ( $next_billing == '0000-00-00' ) { $cancelled = 1; } ?>

<div class="ui segment">

	<?php do_action( 'wpj_before_current_subscription_title', $this->_current_user->ID ); ?>

	<h2 class="heading-subtitle">
		<?php echo __( "Current Subscription", "wpjobster" ) . ( $cancelled == 1 ? " (" . __( "Cancelled", "wpjobster" ) . ")" : " (" . __( "Active", "wpjobster" ) . ")" ); ?>
	</h2>

	<div class="ui grid">

		<?php $column1 = 'seven wide mobile three wide computer'; $column2 = 'nine wide mobile thirteen wide computer'; ?>

		<div class="<?php echo $column1; ?> column"><?php _e( "Subscription", "wpjobster" ); ?></div>
		<div class="<?php echo $column2; ?> column"><?php echo wpjobster_translate_string( $key ); ?></div>

		<div class="<?php echo $column1; ?> column"><?php _e( "Eligibility", "wpjobster" ); ?></div>
		<div class="<?php echo $column2; ?> column">
			<?php if ( $this->subscription_eligibility_enabled == 'yes' && $this->subscription_arr[$key]['eligility'] != '' && $this->subscription_arr[$key]['eligility'] != '0' ) {
				_e( 'Minimum amount of sales', 'wpjobster' ); ?>: <?php echo wpjobster_get_show_price( $this->subscription_arr[$key]['eligility'] );
			} else {
				_e( "NA", "wpjobster" );
			} ?>
		</div>

		<div class="sixteen wide mobile three wide computer column"><?php _e( "Features", "wpjobster" ); ?></div>
		<div class="sixteen wide mobile thirteen wide computer column">
			<?php $features = wpj_get_subscription_features();
			if ( $features ) {
				foreach ( $features as $f_key => $feature ) { $slug = $feature['slug'];

					$feature_value = $this->subscription_arr[$key][$slug];
					if ( $slug == 'max_extra_price' || $slug == 'max_job_price' || $slug == 'max_ce_price' || $slug == 'min_extra_price' || $slug == 'min_job_price' || $slug == 'min_ce_price' ) {
						$f_value = $feature_value ? wpjobster_get_show_price( $feature_value ) : '0';
					} elseif ( $slug == 'fees' ) {
						$f_value = $feature_value ? $feature_value . '%' : '-';
					} elseif ( $slug == 'icon_url' ) {
						$f_value = $feature_value ? '<img src="' . $feature_value . '" width="25" />' : '-';
					} else {
						$f_value = $feature_value ? wpjobster_translate_string( $feature_value ) : '-';
					} ?>

					<div class="subscr-features-list vertical-align-middle">
						<i class="checkmark icon"></i>
						<?php echo $feature['label'] . ": " . $f_value; ?><br>
					</div>

				<?php }
			} ?>
		</div>

		<div class="<?php echo $column1; ?> column"><?php _e( "Billing Period", "wpjobster" ); ?></div>
		<div class="<?php echo $column2; ?> column"><?php echo wpjobster_translate_string( $current_type ); ?></div>

		<div class="<?php echo $column1; ?> column"><?php _e( "Next Billing Date", "wpjobster" ); ?></div>
		<div class="<?php echo $column2; ?> column"><?php if ( wpjobster_translate_string( $current_type ) == 'lifetime' ) { _e( 'NA', 'wpjobster' ); } else { echo $this->current_subscription->next_billing_date; } ?></div>

		<?php if ( ( $this->current_subscription->next_subscription_level != $this->current_subscription->subscription_level || $this->current_subscription->subscription_type != $this->current_subscription->next_subscription_type ) && $cancelled != '1' ) { ?>

			<div class="sixteen wide column">
				<div class="ui info message">
					<p><?php echo __( 'You have scheduled a change in the subscription as below', 'wpjobster' ); ?></p>
				</div>
			</div>

			<div class="<?php echo $column1; ?> column"><?php _e( "Next Subscription level", "wpjobster" ); ?></div>
			<div class="<?php echo $column2; ?> column"><?php echo wpjobster_translate_string( $this->current_subscription->next_subscription_level ); ?></div>

			<div class="<?php echo $column1; ?> column"><?php _e( "Next Subscription period", "wpjobster" ); ?></div>
			<div class="<?php echo $column2; ?> column"><?php echo wpjobster_translate_string( $this->current_subscription->next_subscription_type ); ?></div>

			<div class="<?php echo $column1; ?> column"><?php _e( "Next Subscription amount", "wpjobster" ); ?></div>
			<div class="<?php echo $column2; ?> column"><?php echo $this->current_subscription->next_subscription_amount; ?></div>


		<?php } ?>

	</div>

</div>

<div class="ui hidden divider"></div>
