<!-- Mobile Version -->

<div id="subscription-packages" class="mobile-subscription-packages">
	<div class="ui pointing secondary pacakges-tabs menu">

		<?php foreach ( $this->subscription_arr as $key => $value ) {
			if ( wpj_subscription_package_enabled( $key ) ) { ?>

				<a class="<?php if ( $key == 'level1' ) echo 'active'; ?> item" data-tab="<?php echo $key; ?>">
					<span class="pck-tab-title"><?php echo wpjobster_translate_string( $key ); ?></span>
				</a>

			<?php }
		} ?>

	</div>

	<?php foreach ( $this->subscription_arr as $key_s => $value_s ) { ?>

		<div class="ui <?php if ( $key_s == 'level1' ) echo 'active'; ?> packages-mobile tab segment" data-tab="<?php echo $key_s; ?>">

			<?php // Subscription eligibility
			if ( $this->subscription_eligibility_enabled == 'yes' ) {

				// Minimum amount of sales
				$eligility = $this->subscription_arr[$key_s]['eligility'];
				$eligility_price = $eligility ? wpjobster_get_show_price( $eligility ) : __( 'NA', 'wpjobster' ) ?>
				<div class="subscr-min-sales-amount"><?php echo __( 'Minimum amount of sales', 'wpjobster' ) . ': ' . $eligility_price; ?></div>

				<!-- Current amount -->
				<span class="subscr-current-amount">
					<strong><?php echo __( 'Current amount of sales', 'wpjobster' ) . ': ' . wpjobster_get_show_price( $this->current_user_sales ); ?></strong>
				</span>

				<!-- Eligibility -->
				<?php if ( wpj_subscription_package_enabled( $key_s ) ) { $is_eligibility = true; ?>

					<span class="subscr-eligibility">
						<?php if ( wpjobster_formats_special( $this->current_user_sales, 2 ) >= wpjobster_formats_special( $eligility, 2 ) ) {

							$eligibility_str  = '<font style="color: #2c662d; font-weight: bold; float: right;">' . __( "ELIGIBLE", "wpjobster" ) . '</font>';
						} else {
							$eligibility_str  = '<font style="color: #9f3a38; font-weight: bold; float: right;">' . __( "NOT ELIGIBLE", "wpjobster" ) . '</font>';
						}
						echo $eligility ? $eligibility_str : ''; ?>
					</span>

				<?php }
			} ?>

			<!-- Features -->
			<div class="subscr-pck-include">
				<?php $padding = isset( $is_eligibility ) ? ' padding20top' : ''; ?>

				<div class="subscr-pck-include-title<?php echo $padding; ?>"><?php echo wpjobster_translate_string( $key_s ) . ' - ' . __( 'What\'s included?', 'wpjobster' ); ?></div>

				<table class="ui unstackable table">

					<?php $features = wpj_get_subscription_features();

					if ( $features ) {
						foreach ( $features as $f_key => $feature ) { $slug = $feature['slug']; ?>
							<tr>
								<td><?php echo $feature['label'] . ': '; ?></td>

								<td class="text-center">
									<?php if ( wpj_subscription_package_enabled( $key_s ) ) {
										if ( $slug == 'icon_url' ) {
											echo $value_s[$slug] ? '<img src="' . $value_s[$slug] . '" width="25" />' : '-';
										} elseif ( $slug == 'max_extra_price' || $slug == 'max_job_price' || $slug == 'max_ce_price' || $slug == 'min_extra_price' || $slug == 'min_job_price' || $slug == 'min_ce_price' ) {
											echo $value_s[$slug] ? wpjobster_get_show_price( $value_s[$slug] ) : '0';
										} elseif ( $slug == 'fees' ) {
											echo $value_s[$slug] ? $value_s[$slug]. '%' : '-';
										} else {
											echo $value_s[$slug] ? wpjobster_translate_string( $value_s[$slug] ) : '-';
										}
									} ?>
								</td>
							</tr>
						<?php }
					}

					// New features hook
					do_action( 'list_user_type', $param1, $key_s, 'mobile' ); ?>

				</table>
			</div>

			<!-- Billing period -->
			<div class="subscr-pck-include-title padding20top"><?php echo __( 'Billing period', 'wpjobster' ); ?></div>

			<div class="subscr-billing-period">
				<?php wpj_display_subscription_billing_period( 'mobile', $param1 , $key_s, $is_subscribed, $subscr_action, $current_level, $current_type ); ?>
			</div>

		</div>

	<?php } ?>
</div>
