<!-- PC Version -->

<?php if ( $is_subscribed == 1 ) { ?>
	<div class="ui segment">
		<?php _e( 'Note: You will have to pay for the price difference for the current billing cycle, while for the next month you will be charged according to your chosen subscription plan.', 'wpjobster' ); ?>
	</div>
<?php } ?>

<div class="ui segment pc-subscription-packages">

	<table class="ui compact celled structured table subscription-table">
		<thead>
			<!-- Subscription package name -->
			<tr>
				<?php if ( $subscr_action == 'new_subscription' ) { ?>
					<th class="subscr-str" rowspan="2"><?php _e( 'Subscribe Now', 'wpjobster' ); ?></th>
				<?php } elseif ( $subscr_action == 'upgrade_subscription' ) { ?>
					<th class="subscr-str" rowspan="2"><?php _e( 'Upgrade Now', 'wpjobster' ); ?></th>
				<?php } elseif ( $subscr_action == 'schedule_upgrade_subscription' ) { ?>
					<th class="subscr-str" rowspan="2"><?php _e( 'Schedule Upgrade Now', 'wpjobster' ); ?></th>
				<?php }

				foreach( $this->subscription_arr as $key => $value ) {
					if ( wpj_subscription_package_enabled( $key ) ) { ?>
						<th class="subscr-name text-center"><?php echo wpjobster_translate_string( $key ); ?></th>
					<?php }
				} ?>
			</tr>

			<!-- Subscription package price -->
			<tr>
				<?php for ( $price_key = 0; $price_key < $subscription_packages_number; $price_key++ ) {
					if ( wpj_subscription_package_enabled( 'level' . $price_key ) ) { ?>
						<th class="subscr-price text-center level<?php echo $price_key; ?>">
							<?php
							if ( $subscr_action == 'upgrade_subscription' ) {
								$amount_chargable = wpj_get_subscription_min_price_by_level( $param1, $price_key ) - $this->subscription_arr[$current_level][$current_type];

								if ( wpj_get_subscription_min_price_by_level( $param1, $price_key ) >= 1 ) {
									if ( $is_subscribed == 0 ) {
										$amount_chargable = wpj_get_subscription_min_price_by_level( $param1, $price_key );
									}
								}
							} else {
								$amount_chargable = wpj_get_subscription_min_price_by_level( $param1, $price_key );
							}

							echo $amount_chargable && $amount_chargable > 0 ? wpjobster_get_show_price( $amount_chargable ) : '-'; ?>
						</th>
					<?php }
				} ?>
			</tr>
		</thead>

		<tbody>
			<?php // Eligibility
			if ( $this->subscription_eligibility_enabled == 'yes' ) { ?>

				<tr>
					<td class="left-table-title">
						<?php
						echo __( 'Minimum amount of sales', 'wpjobster' );
						?>
					</td>

					<?php for ( $eligibility_key = 0; $eligibility_key < $subscription_packages_number; $eligibility_key++ ) {
						if ( wpj_subscription_package_enabled( 'level' . $eligibility_key ) ) { ?>
							<td class="text-center">
								<?php $eligility = $this->subscription_arr['level' . $eligibility_key]['eligility'];
								echo $eligility ? wpjobster_get_show_price( $eligility ) : __( 'NA', 'wpjobster' ); ?>
							</td>
						<?php }
					} ?>

				</tr>

				<tr class="bold">
					<td class="left-table-title">
						<?php echo __( 'Current amount of sales', 'wpjobster' ) . ': ' . wpjobster_get_show_price( $this->current_user_sales ); ?>
					</td>

					<?php for ( $eligibility_key = 0; $eligibility_key < $subscription_packages_number; $eligibility_key++ ) {
						if ( wpj_subscription_package_enabled( 'level' . $eligibility_key ) ) { ?>

							<td class="text-center">
								<?php $eligility = $this->subscription_arr['level' . $eligibility_key]['eligility'];
								if ( wpjobster_formats_special( $this->current_user_sales, 2 ) >= wpjobster_formats_special( $eligility, 2 ) ) {
									$eligibility_str = '<span class="subscription-eligible">' . __( "ELIGIBLE", "wpjobster" ) . '</span>';
								} else {
									$eligibility_str = '<span class="subscription-not-eligible">' . __( "NOT ELIGIBLE", "wpjobster" ) . '</span>';
								}
								echo $eligility ? $eligibility_str : ''; ?>
							</td>

						<?php }
					} ?>

				</tr>

			<?php }

			// Features
			$features = wpj_get_subscription_features();
			if ( $features ) {
				foreach ( $features as $f_key => $feature ) { $slug = $feature['slug']; ?>
					<tr>
						<td class="left-table-title"><?php echo $feature['label']; ?></td>

						<?php foreach ( $this->subscription_arr as $key => $subscr_value ) {
							if ( wpj_subscription_package_enabled( $key ) ) { ?>
								<td class="text-center">
									<?php $feature_value = $subscr_value[$slug];
									if ( $slug == 'tips' || $slug == 'job_packages' ) {
										echo $feature_value == 'yes' ? '<i class="checkmark icon"></i>' : '<i class="remove icon"></i>';
									} elseif ( $slug == 'max_extra_price' || $slug == 'max_job_price' || $slug == 'max_ce_price' || $slug == 'min_extra_price' || $slug == 'min_job_price' || $slug == 'min_ce_price' ) {
										echo $feature_value ? wpjobster_get_show_price( $feature_value ) : '0';
									} elseif ( $slug == 'fees' ) {
										echo $feature_value ? $feature_value . '%' : '-';
									} elseif ( $slug == 'icon_url' ) {
										echo $feature_value ? '<img src="' . $feature_value . '" width="25" />' : '-';
									} else {
										echo $feature_value ? $feature_value : '-';
									} ?>
								</td>
							<?php }
						} ?>
					</tr>
				<?php }
			}

			// New features hook
			do_action( 'list_user_type', $param1, '', 'pc' ); ?>

			<!-- Billing period -->
			<tr>
				<td><?php echo __( 'Billing period', 'wpjobster' ); ?></td>

				<?php foreach ( $this->subscription_arr as $key => $subscr_value ) {
					wpj_display_subscription_billing_period( 'pc', $param1 , $key, $is_subscribed, $subscr_action, $current_level, $current_type );
				} ?>
			</tr>

		</tbody>
	</table>
</div>
