<?php
if ( ! function_exists( 'wpjobstersubscriptions_function' ) ) {
	function wpjobstersubscriptions_function() {
		ob_start();

		global $wp_query, $above_top ;

		$wpjobster_subscription_enabled = get_option( 'wpjobster_subscription_enabled' );

		if ( ! is_user_logged_in() ) {
			wp_redirect( get_bloginfo( 'url' ) );
		}

		if ( $wpjobster_subscription_enabled == 'yes' ) {
			if ( isset( $_GET['jb_action'] ) ) { _e( 'Processing...', 'wpjobster' ); }

			$payment_method = isset( $_GET['method'] ) && $_GET['method'] ? $_GET['method'] : '';
			$jb_action = isset( $_GET['jb_action'] ) && $_GET['jb_action'] ? $_GET['jb_action'] : '';

			include_once get_template_directory() . '/lib/gateways/wpjobster_common_subscription.php';
			$wpjobster_subscription = new WPJ_Common_Subscription( $payment_method );

			$above_top = '';
			if ( isset( $_GET['sub_error'] ) && $_GET['sub_error'] == '1' || isset( $_GET['thankyou'] ) && $_GET['thankyou'] == '1' ) {
				$error        = isset( $_GET['sub_error'] ) && $_GET['sub_error'] == '1' ? '1' : '0';
				$message_code = $_GET['message_code'];
				$above_top    = $wpjobster_subscription->show_messages( $error, $message_code );
			}

			if ( get_option( 'wpjobster_' . $payment_method . '_enablepopup' ) == 'yes' ) {
				echo '<div class="payment-gateway-popup"></div>';
			}

			if ( $payment_method != 'credits' && $payment_method != '' ) {
				if ( ! isset( $_GET['sub_id'] ) ) {
					wp_redirect( get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) . "?sub_action=details&sub_error=1&message_code='no_plan_selected'" );
					exit;
				}

				$sub_result = $wpjobster_subscription->send_payment_details( $payment_method, $jb_action );
			} elseif ( $payment_method == 'credits' ) {
				if ( ! isset( $_GET['sub_id'] ) ) {
					wp_redirect( get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) . "?sub_action=details&sub_error=1&message_code='no_plan_selected'" );
					exit;
				}

				$cr         = wpjobster_get_credits( get_current_user_id() );
				$nm         = explode( "-",$_GET['sub_id'] );
				$sub_type   = $nm[0];
				$sub_level  = $nm[1];
				$sub_id     = 'wpjobster_subscription_' . $sub_type . '_amount_' . $sub_level;
				$sub_amount = get_option( $sub_id );

				if ( $cr >= $sub_amount ) {
					$sub_result = $wpjobster_subscription->do_subscription( '', '', $payment_method );

					if ( ! isset( $sub_result['error'] ) ) {
						wp_redirect( get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) . "?sub_action=details&thankyou=1&message_code=" . $sub_result );
					} else {
						wp_redirect( get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) . "?sub_action=schedule&sub_error=1&message_code=" . $sub_result['error'] );
					}
				} else {
					wp_redirect( get_permalink( get_option( 'wpjobster_my_account_payments_page_id' ) ) . 'topup' );
				}
			} else {
				if ( isset( $_GET['sub_action'] ) && $_GET['sub_action'] == 'process_cancellation' ) {
					$wpjobster_subscription->process_cancellation();
					wp_redirect( get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) );
				} else {
					$wpjobster_subscription->chose_subscriptions();
				}
			}
		} else { ?>

			<div class="ui hidden divider"></div>

			<div class="ui warning message">
				<div class="header"><?php _e( 'Subscriptions are disabled!', 'wpjobster' ); ?></div>
				<p><?php _e( 'Subscriptions are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ); ?></p>
			</div>

		<?php }

		$output = ob_get_contents();
		ob_end_clean();

		return $output;
	}
}
