<?php get_header(); ?>

<div id="content-full-ov" data-currency="<?php echo wpjobster_get_currency();  ?>">

	<?php if ( get_option( 'wpjobster_enable_badges_sale' ) == 'yes' ) { ?>

		<div class="ui segment heading-cnt cf">
			<div class="icon-before-title buy-badge-title">
				<h2 class="heading-title"><?php echo __( 'Buy Badges', 'wpjobster' ); ?></h2>
			</div>
		</div>

		<?php if ( get_option( 'wpjobster_credits_enable' ) != 'no' ) { ?>

			<form class="" action="<?php echo get_bloginfo( 'url' ); ?>" method="get">
				<div class="ui segment cf box_content">

					<div class="ui two column stackable grid">
						<div class="sixteen wide column">
							<div class="payment-cnt">

								<div class="ui hidden negative message"></div>

								<ul class="payment-items-list">

									<?php $badges_data = get_option( 'wpj_user_badges_data' );

									$user_badge = get_user_meta( get_current_user_id(), 'user_badge', true );
									if ( $user_badge && ! is_array( $user_badge ) ) $user_badge = array( $user_badge );

									if ( $badges_data && is_array( $badges_data ) ) {
										foreach ( $badges_data as $key => $badge ) { $key++;

											$ratings_no = wpjobster_get_seller_avg_rating( get_current_user_id() );
											$reviews_no = wpjobster_get_seller_ratings_number( get_current_user_id() );

											$min_ratings_no = $badge['min_rating'] ? $badge['min_rating'] : 0;
											$min_reviews_no = $badge['min_reviews'] ? $badge['min_reviews'] : 0; ?>

											<li class="cf extra-item">

												<?php if ( $user_badge && in_array( $key, $user_badge ) ) {

													echo $badge['text']; ?>

													<span class="payment-item-price">

														<i class="check icon green"></i>
														<input style="display: none;" type="checkbox" name="badges_bought[]" value="<?php echo $key; ?>" checked="checked" />

													</span>

												<?php } elseif ( $ratings_no >= $min_ratings_no && $reviews_no >= $min_reviews_no ) { ?>

													<div class="ui checkbox">
														<input type="checkbox" class="styled badge_chk" data-price="<?php echo wpjobster_formats_special_exchange( $badge['price'], 1,  wpjobster_get_currency() ) ; ?>" name="badges[]" id="badges_chk_<?php echo $key; ?>" value="<?php echo $key; ?>" />
														<label><?php echo $badge['text']; ?></label>
													</div>

													<span class="payment-item-price">

														<?php echo wpjobster_get_show_price( $badge['price'] ); ?>

													</span>

												<?php } else {

													echo $badge['text']; ?>

													<span class="payment-item-price">

														<?php echo sprintf( __( 'In order to buy this badge you must have at least %s for rating numbers and a minimum of %s reviews.', 'wpjobster' ), $min_ratings_no, $min_reviews_no ); ?>

													</span>

												<?php } ?>

											</li>

										<?php }
									} ?>

								</ul>

							</div>
						</div>
					</div>

					<?php if ( is_array( $user_badge ) && is_array( $badges_data ) && count( $user_badge ) >= count( $badges_data ) ) { ?>

						<div class="ui warning message">
							<p><?php _e( 'You have already bought all the badges.', 'wpjobster' ); ?></p>
						</div>

					<?php } else { ?>

						<div class="ui two column stackable grid payment-buttons cf">
							<div class="twelve wide column">
								<?php wpj_display_gateway_payment_button( 'badge' ); ?>
							</div>

							<?php $wpjobster_thousands_sum_separator = get_option( 'wpjobster_thousands_sum_separator' );
							if ( empty( $wpjobster_thousands_sum_separator ) ) $wpjobster_thousands_sum_separator = ',';

							$wpjobster_currency_position     = get_option( 'wpjobster_currency_position' );
							$wpjobster_currency_symbol_space = get_option( 'wpjobster_currency_symbol_space' );

							$wpjobster_decimal_sum_separator = get_option( 'wpjobster_decimal_sum_separator' );
							if ( empty( $wpjobster_decimal_sum_separator ) ) $wpjobster_decimal_sum_separator = '.'; ?>

							<div class="four wide column">
								<div id="total_payable" class="payment-total-price" >
									<?php _e( 'Total:','wpjobster' ); ?>&nbsp;
									<span
										id="showtotal"
										data-decimaldisplay="<?php echo get_option( 'wpjobster_decimals' ); ?>"
										data-thousands="<?php echo $wpjobster_thousands_sum_separator;?>"
										data-decimal="<?php echo $wpjobster_decimal_sum_separator;?>"
										data-space="<?php echo $wpjobster_currency_symbol_space;?>"
										data-cur="<?php echo wpjobster_get_currency(); ?>"
										data-symbol="<?php echo wpjobster_get_currency_symbol( wpjobster_get_currency() ); ?>"
										data-position="<?php  echo $wpjobster_currency_position; ?>"
										class="payment-item-price total"
										id="payment-item-price">
									</span>
								</div>
							</div>

						</div>

					<?php } ?>

				</div>
			</form>

		<?php } else { ?>

			<div class="ui segment"><?php echo __( 'You need to enable credits to access this page!', 'wpjobster' ); ?></div>

		<?php }

	} else { ?>

		<div class="ui warning message">
			<div class="header"><?php _e( 'Badges are disabled!', 'wpjobster' ); ?></div>
			<p><?php _e( 'Badges are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ); ?></p>
		</div>

	<?php } ?>

</div>

<?php get_footer(); ?>
