<?php if ( ! function_exists( 'wpj_chat_display_sidebar_content' ) ) {
	function wpj_chat_display_sidebar_content( $users, $sidebar_status = '', $user_on_cnt = 0 , $icon = 'comments' ) { ?>
		<style>
			@media only screen and (min-width:1259px) {
				.wrapper, .main {
					max-width: 100%;
					padding-right: 60px;
					padding-left: 60px;
				}

				<?php if ( get_theme_mod( 'site_width_type' ) == 'px' && get_theme_mod( 'site_width_value' ) ) { ?>
					.wrapper, .main { width: calc(<?php echo get_theme_mod( 'site_width_value' ); ?>px + 90px) }
				<?php } ?>
			}

			<?php if ( is_admin_bar_showing() ) { ?>
				.chat-sidebar-top-space { height: 32px; }
				.chat-sidebar-anchor-icon { top: 32px; }
			<?php } ?>

		</style>

		<!-- Sidebar -->
		<div class="chat-sidebar-container">

			<div class="chat-sidebar-anchor">

				<div class="chat-sidebar-anchor-icon">
					<i class="<?php echo $icon; ?> icon"></i>
				</div>

				<div class="chat-sidebar-anchor-text">
					<?php echo sprintf( __( 'Chat (%d)', 'wpjobster' ), $user_on_cnt ); ?>
				</div>
			</div>

			<div class="chat-sidebar-wrapper">

				<div class="chat-sidebar-content">

					<div class="chat-sidebar-top-space"></div>

					<div class="chat-sidebar-notifications" <?php if ( ! $users ) { echo 'style="display: block;"'; } ?>>
						<?php _e( 'No user found', 'wpjobster' ) ?>
					</div>

					<div class="chat-sidebar-users-list">

						<?php if ( $users ) { foreach ( $users as $user ) { ?>

							<div class="chat-sidebar-user-box" data-box-id="<?php echo $user['ID']; ?>" <?php if ( wpj_is_conversation_archived( $user['ID'] ) ) { echo 'style="display: none";'; } ?>>
								<!-- Avatar-->
								<img class="user-avatar" src="<?php echo wpjobster_get_avatar( $user['ID'], 30, 30 ); ?>" />

								<!-- Username -->
								<span data-nicename="<?php echo $user['user_nicename']; ?>" class="user-name"><?php echo $user['user_login']; ?></span>

								<!-- Unread messages -->
								<?php if ( $user['unread_messages'] > 0 ) { ?>
									<span class="msg-unread-count"><?php echo $user['unread_messages']; ?></span>
								<?php } ?>

								<!-- Archive conversation -->
								<a class="archive-conversation" href="<?php echo $user['privurl_m'] . 'username=' . $user['user_nicename'] . '&archive_conversation=1'; ?>">
									<i class="close icon"></i>
								</a>

								<!-- Status -->
								<div class="user-status">

									<?php if ( $user['time_elapsed'] && $user['time_elapsed'] <= 359 /* 359 seconds */ ) { // online bullet ?>

										<div class='user-profile-online-icon'>
											<span class="user-profile-online"> &bull; </span>
										</div>

									<?php } elseif ( $user['time_elapsed'] && $user['time_elapsed'] <= 172800 /* 172800 seconds */ ) { // offline text

										echo wpj_seconds_to_words( $user['time_elapsed'], true );

									} else { // offline bullet ?>

										<div class='user-profile-offline-icon'>
											<span class="user-profile-offline"> &bull; </span>
										</div>

									<?php } ?>

								</div>
							</div>

						<?php } } ?>

					</div>

					<!-- User search -->
					<div class="chat-sidebar-user-search">

						<div class="ui left icon input" style="width: 100%;">
							<input class="chat-sidebar-inp-user-search" type="text" onkeyup="wpj_chat_search_user_sidebar( this )" placeholder="<?php echo __( 'Search...', 'wpjobster' ); ?>">
							<i class="search icon"></i>
						</div>

					</div>

				</div>
			</div>
		</div>

	<?php }
}

add_action( 'wp_ajax_nopriv_display_box_content', 'wpj_chat_display_box_content' );
add_action( 'wp_ajax_display_box_content', 'wpj_chat_display_box_content' );
function wpj_chat_display_box_content() {
	if ( isset( $_POST['user_id'] ) ) {

		// Get user info
		$user = wpj_chat_get_user_info( $_POST['user_id'] );

		$box_status = WPJ_FORM::post( 'box_status', 'maximized' ); ?>

		<div class="message-box-container<?php if ( get_option( 'wpjobster_chat_emoji_enable' ) != 'no' ) { echo ' emoji-enabled'; } ?>" rel="<?php echo $user['ID']; ?>" style="display: none;">
			<div class="message-box-wrapper has-focus<?php if ( $box_status == 'minimized' ) { echo ' minimized'; } ?>" style="<?php echo $user['box_position'] ?>: 220px;<?php if ( $box_status == 'minimized' ) { echo ' width: 200px;'; } ?>">

				<div class="cf message-box-head">
					<div class="message-box-head-content">
						<div aria-hidden="true" class="message-box-logo-area">
							<a class="left" tabindex="-1" href="<?php echo wpj_get_user_profile_link( $user['ID'] ); ?>">
								<div class="message-box-logo-container">
									<img src="<?php echo wpjobster_get_avatar( $user['ID'], 30, 30 ); ?>" width="28" height="28" alt="" />
								</div>
							</a>

							<div class="message-box-user-status <?php echo $user['status_class']; ?>"></div>
						</div>

						<div class="message-box-head-user">
							<div class="message-box-user-info">
								<div class="message-box-user-info-title-container">
									<a href="<?php echo wpj_get_user_profile_link( $user['ID'] ); ?>">
										<span class="message-box-user-info-title"><?php echo $user['name']; ?></span>
									</a>
								</div>
								<div class="message-box-user-info-status">
									<div><?php echo wpj_get_last_visit( $user['ID'] ); ?></div>
								</div>
							</div>

							<div class="message-box-head-buttons">
								<!-- Request custom offer BTN -->
								<div data-inverted="" data-tooltip="<?php echo __( 'Request Custom Offer', 'wpjobster' ); ?>" data-position="top right" class="message-box-request-co">
									<?php wpj_display_custom_offer_button( 'request', __( 'Request Custom Offer', 'wpjobster' ), 'request' . $user['ID'], get_current_user_id(), $user['ID'], 'chat', '', '', 'icon' ); ?>
								</div>

								<!-- Send custom offer BTN -->
								<div data-inverted="" data-tooltip="<?php echo __( 'Send Custom Offer', 'wpjobster' ); ?>" data-position="top right" class="message-box-send-co">
									<?php wpj_display_custom_offer_button( 'send', __( 'Send Custom Offer', 'wpjobster' ), 'send' . $user['ID'], get_current_user_id(), $user['ID'], 'chat', '', '', 'icon' ); ?>
								</div>

								<!-- Open in Messages BTN -->
								<div data-inverted="" data-tooltip="<?php echo __( 'Open in Messages', 'wpjobster' ); ?>" data-position="top right" class="message-box-maximize"><a href="<?php echo $user['privurl_m'] . 'username=' . $user['user_nicename']; ?>"><i class="icon expand"></i></a></div>

								<!-- Close BTN -->
								<div data-inverted="" data-tooltip="<?php echo __( 'Close', 'wpjobster' ); ?>" data-position="top right" class="message-box-close"><span>&#10005;</span></div>
							</div>
						</div>
					</div>
				</div>

				<div class="message-box-body"<?php if ( $box_status == 'minimized' ) { echo ' style="display:none"'; } ?>>

					<div class="message-box-content">

						<!-- Load more trigger -->
						<div class="message-box-ajax-trigger center">
							<div class="chat-load-btn"></div>
						</div>

						<!-- Message wrapper -->
						<?php if ( $user['messages_content'] ) { $i = 0;

							$prev_datemade = 0; ?>

							<div class="multiple-messages-wrapper">

								<?php foreach ( $user['messages_content'] as $key => $row ) { $i++;

									$current_datemade = $row->datemade;

									if ( $prev_datemade > 0 && $current_datemade - $prev_datemade >= 30 ) { /* 30 seconds */ ?>

							</div>

							<div class="multiple-messages-wrapper">

									<?php }

									wpj_chat_display_message_content( $row, $_POST['user_id'], $i );

									$prev_datemade = $row->datemade;

								} ?>

							</div>

							<div class="message-box-push"></div>

						<?php } else { ?>

							<div class="message-box-push"><?php echo __( 'No messages here', 'wpjobster' ); ?></div>

						<?php } ?>

					</div>

					<div class="message-box-attachments">
						<?php wpj_display_upload_form( $secure = 1, "file_upload_chat_attachments_" . $user['ID'], "hidden_files_chat_attachments_" . $user['ID'], "chat_messages_" . $user['ID'], true ); ?>
					</div>

					<div class="message-box-quick-response">
						<?php wpj_display_quick_response_button( $user['ID'], 'chat' ); ?>
					</div>

				</div>

				<div class="message-box-footer">
					<div tabindex="-1">
						<div class="message-box-placeholder-container">
							<div class="message-box-placeholder-wrapper">
								<div class="message-box-placeholder-content"><?php echo __( 'Write a message...', 'wpjobster' ); ?></div>
							</div>
						</div>

						<div class="message-box-input-wrapper">
							<div aria-expanded="false" id="message_box_input_content" class="message-box-input-content message-field <?php echo $user['ID']; ?>" contenteditable="true" role="combobox" spellcheck="true"><span><br data-text="true"></span></div>
						</div>
					</div>
				</div>

			</div>
		</div>

	<?php }

	wp_die();
}

function wpj_chat_display_message_content( $row, $user_id, $i ) {

	$pm   = wpj_chat_get_pm_info( $row );
	$user = wpj_chat_get_user_info( $user_id );
	$tooltip_position = $i == 1 ? 'bottom' : 'top'; ?>

	<div class="message-wrapper <?php echo $pm['is_sender'] ? 'sent' : 'received'; ?>" data-pm-id="<?php echo $row->id; ?>">

		<?php if ( ! $pm['is_sender'] ) { ?>

			<div aria-hidden="true" class="message-box-logo-area" data-inverted="" data-tooltip="<?php echo $user['name'] . ' - ' . $pm['message_date']; ?>" data-position="<?php echo $tooltip_position; ?> left">
				<a class="left" tabindex="-1" href="<?php echo wpj_get_user_profile_link( $user['ID'] ); ?>">
					<div class="message-box-logo-container">
						<img src="<?php echo wpjobster_get_avatar( $user['ID'], 30, 30 ); ?>" width="28" height="28" alt="" />
					</div>
				</a>
				<div class="message-box-user-status <?php echo $user['status_class']; ?>"></div>
			</div>

		<?php } ?>

		<div class="message-text-content<?php if ( $row->custom_offer == -1 || $row->custom_offer > 0 ) { echo ' custom-offer'; } ?>"<?php if ( $pm['is_sender'] && $pm['message_date'] ) { echo ' data-inverted="" data-tooltip="' . $pm['message_date'] . '" data-position="' . $tooltip_position . ' right"'; } ?>>

			<div class="<?php echo $pm['is_sender'] ? 'message-send' : 'message-received'; ?>">

				<!-- Custom offer -->
				<?php if ( $row->custom_offer == -1 || $row->custom_offer > 0 ) { ?>

					<div class="message-custom-offer">

						<i class="tags icon"></i>

						<?php echo wpj_chat_get_custom_offer_info( $row );

						if ( wpj_chat_get_custom_offer_response( $row ) ) { ?>

							<span class="ui mini right label custom-offer-response">
								<?php echo wpj_chat_get_custom_offer_response( $row ); ?>
							</span>

						<?php } ?>

					</div>

				<?php } else {

					// Message content
					echo wpj_make_links_clickable( nl2br( strip_tags( htmlspecialchars_decode( $pm['message'] ) ) ) );

					// Attachments
					if ( wpj_post_has_attachments ( $row->attached ) ) {
						wpj_list_attachments( $row->attached, '', '', '', '', true, false );
					}

				} ?>

			</div>

		</div>
	</div>

<?php }
