<?php
$user_vars = wpj_user_profile_vars(); extract( $user_vars );

// Redirect to homepage if username not exist
if ( ! username_exists( $username ) ) {
	wp_redirect( site_url() );
}

// Redirect to own user profile page if accessed directly
elseif ( ! $username_from_url && $uid == $current_user->ID ) {
	wp_redirect( wpj_get_user_profile_link( $username ) );
}

// User ID for jQuery ?>
<div style="display: none;" id="user_id"><?php echo $uid; ?></div>

<div class="profile-page-wrapper">

	<div class="full-mobile">

		<?php wpj_up_show_user_cover(); ?>

		<div class="ui hidden divider"></div>

		<!-- Content -->
		<div class="profile-split-content ui stackable grid">

			<!-- Left Sidebar -->
			<div class="profile-sidebar five wide column">
				<div class="ui segment user-info-wrapper">

					<?php wpj_up_show_user_photo();
					wpj_up_show_user_status(); ?>

					<!-- User main info -->
					<div class="user-info">

						<h2 class="user-title"><?php echo apply_filters( 'wpj_user_profile_username_filter', wpj_get_user_display_type( $user->ID ), $user );
							wpj_up_show_user_company();

							$status = 'no'; $country = 'no';
							include ( locate_template( 'template-parts/pages/user/page-user-icons.php' ) ); ?>
						</h2>

						<?php wpj_up_show_user_tagline();
						wpj_up_show_user_rating(); ?>

					</div><!-- END "user-info" -->

					<!-- User details info( white sidebar ) -->
					<?php wpj_show_user_profile_fields_content( 'white_sidebar' ); ?>

					<?php do_action( 'wpj_after_user_profile_info_content', $uid, $username_from_url ); ?>

				</div><!-- END "user-info-wrapper" -->

				<!-- User more details info( transparent sidebar ) -->
				<?php wpj_show_user_profile_fields_content( 'transparent_sidebar' ); ?>

			</div><!-- END Left Sidebar "profile-sidebar" -->

			<!-- Right Content( main content ) -->
			<div class="eleven wide column">

				<?php if ( wpj_user_profile_has_icons() ) { ?>

					<div class="profile-main-content user-icons-wrapper">

						<?php $item_per_row = get_field( 'icons_per_row', get_option( 'wpjobster_user_profile_page_id' ) ) ? get_field( 'icons_per_row', get_option( 'wpjobster_user_profile_page_id' ) ) : 3; ?>

						<div class="ui <?php echo wpj_number_to_string( $item_per_row ); ?> cards">

							<?php wpj_show_user_profile_fields_content( 'icons' ); ?>

						</div>

					</div>

					<div class="ui hidden divider"></div>

				<?php }

				wpj_show_user_profile_fields_content( 'main_content' ); ?>

			</div>

		</div><!-- END Content "profile-split-content" -->

		<div class="ui hidden divider"></div>

	</div><!-- END "full-mobile" -->
</div><!-- END "profile-page-wrapper" -->
