<div class="quick-response-wrapper">

	<!-- Dropdown -->
	<div class="ui upward without-rotatation bottom js-switch-position-mobile <?php echo $dropdown_position; ?> pointing search full-text-search dropdown quick-response-dropdown" data-uid="<?php echo $uid; ?>" data-username="<?php echo $username; ?>">

		<i class="bolt icon message-box-quick-response-icon"></i>

		<div class="menu">

			<div class="ui left search icon input">
				<i class="search icon"></i>
				<input type="text" placeholder="<?php _e( 'Search...', 'wpjobster' ); ?>">
			</div>

			<div class="header">
				<i class="bolt icon"></i>
				<span id="new-quick-response" class="new-quick-response" data-uid="<?php echo $uid; ?>"><?php _e( 'Create a new quick response', 'wpjobster' ); ?></span>
			</div>

			<div class="header" id="delete-all-quick-responses-wrapper" <?php if ( ! $quick_responses ) { ?>style="display: none;" <?php } ?>>
				<i class="bolt icon"></i>
				<span id="delete-all-quick-responses" class="delete-all-quick-responses" data-uid="<?php echo $uid; ?>"><?php _e( 'Delete all quick responses', 'wpjobster' ); ?></span>
			</div>

			<?php if ( $quick_responses ) {

				foreach ( array_reverse( $quick_responses, true ) as $key => $response ) { ?>

					<div class="item" data-id="<?php echo $key; ?>">

						<span><?php echo wpjobster_better_trim( $response['name'], 23 ); ?></span>

						<div class="action-buttons float-right">
							<i data-id="<?php echo $key; ?>" data-uid="<?php echo $uid; ?>" id="edit-quick-response" class="edit icon"></i>
							<i data-id="<?php echo $key; ?>" data-uid="<?php echo $uid; ?>" id="remove-quick-response" class="close red icon"></i>
						</div>

					</div>

				<?php }

			} else { ?>

				<div class="item" id="no-quick-responses"><?php _e( 'No quick responses', 'wpjobster' ); ?></div>

			<?php } ?>

		</div>

	</div>

	<!-- Create new/edit - modal -->
	<div class="ui modal center" id="new-quick-response-modal-<?php echo $uid; ?>">

		<i class="close icon"></i>

		<div class="header"><?php _e( 'Create a new quick response', 'wpjobster' ); ?></div>

		<div class="content">
			<div class="ui form">

				<div class="field">
					<div class="ui icon message">
						<i class="lightbulb outline icon"></i>
						<div class="content">
							<div class="header"><?php _e( 'Tip', 'wpjobster' ); ?></div>
							<p><?php _e( 'Type {username} to autmatically insert the recipient\'s username. For example: "Hi {username}..."', 'wpjobster' ); ?></p>
						</div>
					</div>
				</div>

				<div class="field">
					<input type="text" class="quick-response-name-input" placeholder="<?php _e( 'Name the Quick Response', 'wpjobster' ); ?>" />
				</div>

				<div class="field">
					<textarea rows="3" class="quick-response-content-textarea" placeholder="<?php _e( 'Enter your Quick Response', 'wpjobster' ); ?>"></textarea>
				</div>

				<div class="field">
					<div class="ui hidden negative message" id="quick-response-error"></div>
				</div>

				<input type="hidden" class="edit-action" />

			</div>
		</div>

		<div class="actions">

			<div class="ui cancel labeled icon button">
				<?php _e( 'Cancel', 'wpjobster' ); ?>
				<i class="close icon"></i>
			</div>

			<div class="ui green labeled icon button" id="save-quick-response" data-uid="<?php echo $uid; ?>" data-username="<?php echo $username; ?>">
				<?php _e( 'Save', 'wpjobster' ); ?>
				<i class="white checkmark icon"></i>
			</div>

		</div>
	</div>

	<!-- Delete all - modal -->
	<div class="ui modal smaller center" id="delete-all-quick-responses-modal-<?php echo $uid; ?>">

		<i class="close icon"></i>

		<div class="ui icon header">
			<i class="inverted grey times circle icon"></i>
			<div class="job-title-modal"><?php _e( 'Delete all Quick Responses', 'wpjobster' ); ?></div>
		</div>

		<div class="center content"><?php _e( 'Are you sure you want to delete all quick responses?', 'wpjobster' ); ?></div>

		<div class="center actions">
			<div class="ui red labeled icon button" id="delete-all-quick-responses-action" data-uid="<?php echo $uid; ?>">
				<i class="white checkmark icon"></i><?php _e( 'Delete all', 'wpjobster' ); ?>
			</div>
			<div class="ui labeled icon cancel button">
				<i class="remove icon"></i><?php _e( 'Cancel', 'wpjobster' ); ?>
			</div>
		</div>

	</div>

</div>