<!-- Parent: includes/posts/functions-sidebar.php -->
<div class="sidebar-wrapper">

	<form method="get" class="ui form" action="<?php echo $page_url; ?>">

		<!-- Term -->
		<?php if ( $filter_term ) { ?>
			<div class="field ui grid">
				<input class="grey_input fourteen wide mobile fourteen wide tablet sixteen wide computer column white lighter tax-search-field" type="text" size="10" placeholder="<?php echo __( 'Search Term', 'wpjobster' ); ?>" value="<?php echo $val_term; ?>" name="term" />
				<a class="filter-box ui button center two wide column hide-on-desktop aligned"><i class="filter icon"></i></a>
			</div>
		<?php } ?>

		<!-- Location -->
		<?php if ( $filter_location ) { ?>
			<div class="field">
				<div class="ui search js-location-autocomplete">
					<div class="ui clearable input">
						<input class="prompt grey_input white lighter ten wide column" type="text" data-replaceplaceholder="<?php echo __( 'Select a valid location', 'wpjobster' ); ?>" placeholder="<?php echo __( 'Location', 'wpjobster' ); ?>" id="location_input" value="<?php echo $val_location; ?>" name="location">
						<input id="lat" type="hidden" name="latitude" id="lat" value="<?php echo $val_latitude; ?>">
						<input id="long" type="hidden" name="longitude" id="long" value="<?php echo $val_longitude; ?>">
					</div>
					<div class="results"></div>
				</div>
			</div>

			<!-- Radius -->
			<?php if ( $filter_radius ) { ?>
				<div class="field">
					<div class="ui clearable input">
						<input class="grey_input white lighter" type="text" data-replaceplaceholder="<?php echo __( 'Insert a valid number', 'wpjobster' ); ?>" data-replaceplaceholder2="<?php echo __( 'Select a location first', 'wpjobster' ); ?>" placeholder="<?php echo sprintf( __( "Radius (%s)", "wpjobster" ), wpjobster_translate_string( $op_radius_type ) ); ?>" id="location_input_radius" value="<?php echo $val_radius; ?>" name="radius">
					</div>
				</div>
			<?php }
		} ?>

		<div class="filter-container">
			<div class="js-group-filters group-filters collapse-filters">

				<!-- Categories -->
				<?php if ( $filter_category ) { ?>
					<div class="field">
						<div class="select-cat-tax overflow-ellipsis-dropdown">
							<?php echo $val_category; ?>
						</div>
					</div>
				<?php } ?>

				<!-- Tags -->
				<?php if ( $filter_tag ) { ?>
					<div class="field">
						<select style="display: none;" class="ui fluid search selection dropdown" name="tag[]" multiple="">
							<option value=""><?php echo __( 'Tag', 'wpjobster' ); ?></option>
							<?php foreach ( $op_tags as $key => $tag ) { ?>
								<option <?php echo $val_tag && in_array( $tag->slug, $val_tag ) ? "selected='selected'" : ""; ?> value="<?php echo $tag->slug; ?>"><?php echo $tag->name; ?></option>
							<?php } ?>
						</select>
					</div>
				<?php } ?>

				<!-- Minimum Rating -->
				<?php if ( $filter_min_rating ) { ?>
					<div class="field">
						<select name="min_rating" class="ui clearable dropdown">
							<option value=""><?php echo __( 'Minimum Rating', 'wpjobster' ); ?></option>
							<?php foreach ( $min_rating_arr as $key => $min_rating ) { ?>
								<option <?php echo $key == $val_min_rating ? "selected='selected'" : ""; ?> value="<?php echo $key; ?>"><?php echo $min_rating; ?></option>
							<?php } ?>
						</select>
					</div>
				<?php } ?>

				<!-- Price Type -->
				<?php if ( $filter_price_type ) { ?>
					<div class="field">
						<select name="price_type" class="ui clearable dropdown">
							<option value=""><?php echo __( 'Price type', 'wpjobster' ); ?></option>
							<?php foreach ( $price_type_arr as $key => $price_type ) {
								if (
									( get_option( 'wpjobster_enable_' . $price_type . '_rate', true ) == 'yes' && $price_type != 'package' )
									|| ( $price_type == 'package' && get_option( 'wpjobster_packages_enabled' ) == 'yes' )
								) { ?>
									<option <?php echo $price_type == $val_price_type ? "selected='selected'" : ""; ?> value="<?php echo strtolower( $price_type ); ?>"><?php echo strtolower( wpjobster_translate_string( $price_type ) ); ?></option>
								<?php }
							} ?>
						</select>
					</div>
				<?php } ?>

				<!-- Price -->
				<?php if ( $filter_price ) { ?>
					<div class="field">
						<div class="two fields">
							<!-- Price Min -->
							<?php if ( $filter_price_min ) { ?>
								<div class="field">
									<div class="ui clearable input">
										<input class="grey_input white lighter" type="text" name="min_price" placeholder="<?php echo __( 'Min Price', 'wpjobster' ); ?>" value="<?php echo $val_min_price; ?>" />
									</div>
								</div>
							<?php } ?>

							<!-- Price Max -->
							<?php if ( $filter_price_max ) { ?>
								<div class="field">
									<div class="ui clearable input">
										<input class="grey_input white lighter" type="text" name="max_price" placeholder="<?php echo __( 'Max Price', 'wpjobster' ); ?>" value="<?php echo $val_max_price; ?>" />
									</div>
								</div>
							<?php } ?>
						</div>
					</div>

					<!-- Price Toggle -->
					<?php if ( $op_empty_budget == 'always' ) { ?>
						<input type="hidden" name="without_budget" value="yes" />
					<?php } elseif ( $op_empty_budget == 'ifchecked' ) { ?>
						<div class="field field-slide-box">
							<div class="ui toggle checkbox">
								<input type="checkbox" name="without_budget" <?php echo $val_budget_toggle == 'yes' ? 'checked' : ''; ?> value="yes" />
								<label class="regular_label chk-grey-lbl"><?php echo __( 'Include undefined budget' ,'wpjobster' ); ?></label>
							</div>
						</div>
					<?php }
				} ?>

				<!-- Deadline -->
				<?php if ( $filter_deadline ) { ?>
					<div class="field">
						<div class="ui calendar js-calendar">
							<div class="ui input left icon">
								<i class="calendar alternate outline icon"></i>
								<input class="grey_input white lighter" type="text" placeholder="<?php echo __( 'Deadline', 'wpjobster' ); ?>" id="deadline_input" value="<?php echo $val_deadline; ?>" name="deadline">
							</div>
						</div>
					</div>
				<?php } ?>

				<!-- Date -->
				<?php if ( $filter_date == 'yes' ) { ?>
					<div class="field pt">
						<div class="two fields">
							<!-- Date Start -->
							<div class="field">
								<div class="ui calendar js-calendar">
									<div class="ui input left icon">
										<i class="calendar alternate outline icon"></i>
										<input class="grey_input white lighter" type="text" placeholder="<?php echo __( 'Start date', 'wpjobster' ); ?>" value="<?php echo $val_start_date; ?>" name="start_date" id="start_date_input">
									</div>
								</div>
							</div>

							<!-- Date End -->
							<div class="field">
								<div class="ui calendar js-calendar">
									<div class="ui input left icon">
										<i class="calendar alternate outline icon"></i>
										<input class="grey_input white lighter" type="text" placeholder="<?php echo __( 'End date', 'wpjobster' ); ?>" value="<?php echo $val_end_date; ?>" name="end_date" id="end_date_input">
									</div>
								</div>
							</div>
						</div>
					</div>

					<!-- Date Toggle -->
					<?php if ( $op_empty_date == 'always' ) { ?>
						<input type="hidden" name="without_date" value="yes" />
					<?php } elseif ( $op_empty_date == 'ifchecked' ) { ?>
						<div class="field field-slide-box">
							<div class="ui toggle checkbox">
								<input type="checkbox" name="without_date" <?php echo $val_date_toggle == 'yes' ? 'checked' : ''; ?> value="yes" />
								<label class="regular_label chk-grey-lbl"><?php echo __( 'Include undefined date' ,'wpjobster' ); ?></label>
							</div>
						</div>
					<?php }
				} ?>

				<!-- Action -->
				<?php do_action( 'wpj_advanced_search_sidebar_extra_fields' ); ?>

				<!-- Delivery -->
				<?php if ( $filter_delivery ) { ?>
					<div class="field">
						<div class="two fields wrapper-delivery-time-search">

							<!-- Delivery label -->
							<div class="field">
								<span class="lighter inline-block"><?php _e( "Delivery", "wpjobster" ); ?></span>
							</div>

							<!-- Delivery input -->
							<div class="field days-field">
								<input type="text" id="amount" name="max_days" readonly class="max-days-input" value="<?php echo $val_max_days ?>" />
								<div id="amount-label" class="max-days-label"><?php _e( 'days', 'wpjobster' ); ?></div>
							</div>

						</div>
					</div>

					<!-- Delivery Slider -->
					<div class="field">
						<div id="slider-range-min" data-value="<?php echo $val_max_days; ?>"></div>
					</div>

					<!-- Delivery Toggle -->
					<?php if ( $op_empty_delivery == 'always' ) { ?>
						<input type="hidden" name="without_delivery" value="yes" />
					<?php } elseif ( $op_empty_delivery == 'ifchecked' ) { ?>
						<div class="field field-slide-box">
							<div class="ui toggle checkbox">
								<input type="checkbox" name="without_delivery" <?php echo $val_delivery_toggle == 'yes' ? 'checked' : ''; ?> value="yes" />
								<label class="regular_label chk-grey-lbl"><?php echo __( 'Include undefined delivery' ,'wpjobster' ); ?></label>
							</div>
						</div>
					<?php }
				} ?>

				<!-- Switch to Filter -->
				<?php if ( isset( $_GET['switch_filter'] ) ) { ?>
					<input type="hidden" name="switch_filter" value="<?php echo $_GET['switch_filter']; ?>" />
				<?php } ?>

			</div><!-- END js-group-filters group-filters collapse-filters -->
		</div><!-- END filter-container -->

		<!-- Action -->
		<?php do_action( 'wpj_before_filter_results_button', $page ); ?>

		<!-- Filter Results Button -->
		<div class="field">
			<input class="ui fluid button full-width nomargin bigger" type="submit" value="<?php _e( 'Filter Results', 'wpjobster' ) ?>" name="research_me" />
		</div>

	</form>

</div>
