<div class="ui container page-content">

	<div class="single-job-wrapper" data-author="<?php echo $post->post_author; ?>" data-pid="<?php echo get_the_ID(); ?>">

		<!-- JOB LAST VIEW -->
		<?php wpj_update_last_viewed(); ?>

		<!-- COVER IMAGE -->
		<?php wpj_display_cover_image(); ?>

		<!-- CONTENT -->
		<div class="ui two column stackable block grid">

			<!-- LEFT SIDE - Job Main Details -->
			<div class="eleven wide column">
				<div class="ui segment">

					<!-- Job Title -->
					<h1><?php the_title(); ?></h1>

					<!-- Job Category -->
					<div class="single-job-category">
						<?php echo wpjobster_display_job_categories(); ?>
					</div>

					<!-- Job Location -->
					<?php echo wpj_get_single_job_location(); ?>

					<div class="ui divider"></div>

					<div class="ui grid">
						<div class="column">
							<ul class="single-job-rate-delivery">
								<!-- Job Rating -->
								<li><?php echo wpj_get_single_job_rating(); ?></li>

								<!-- Job Order Queue -->
								<li><?php echo wpj_get_single_job_order_queue(); ?></li>

								<!-- Job Delivery Time -->
								<li><?php echo wpj_get_single_job_delivery_time(); ?></li>
							</ul>
						</div>
					</div>

					<!-- Job Images & Videos -->
					<div class="ui grid single-job-slider">
						<div class="sixteen wide column">
							<?php echo wpj_get_single_job_thumbnail_carousel(); ?>
						</div>
					</div>

				</div>

				<!-- Job Social Media Button -->
				<?php wpj_get_social_icons(); ?>

			</div>

			<!-- RIGHT SIDE - Job Buttons -->
			<div class="five wide right floated column single-job-right-side">

				<!-- Job Side Bar Buy Button -->
				<?php if ( get_post_meta( $post->ID, 'price_type', true ) != 'custom' ) { ?>
					<div class="ui basic notpadded segment">
						<?php echo wpj_get_single_job_buy_btn_sidebar(); ?>
					</div>
				<?php } ?>

				<!-- Job Request Custom Offer Button -->
				<?php if ( $post->post_author != get_current_user_id() ) { ?>
					<div class="ui basic notpadded segment">
						<?php global $current_user, $post;
						wpj_display_custom_offer_button( 'request', __( 'Request Custom Offer', 'wpjobster' ), get_the_ID(), $current_user->ID, $post->post_author, 'single_job' ); ?>
					</div>
				<?php } else { ?>

					<!-- Edit Job Button -->
					<div class="ui basic notpadded segment">
						<a class="ui big white fluid uppercase button" href="<?php bloginfo( 'url' ); ?>/?jb_action=edit_job&jobid=<?php the_ID(); ?>"><?php _e( 'Edit job info', 'wpjobster' ); ?></a>
					</div>

				<?php } ?>

				<!-- PC -->
				<?php if ( ! wpj_is_mobile() ) { wpj_show_single_job_right_side(); } ?>

			</div>

			<!-- LEFT SIDE - Job Toggable Segments -->
			<div class="eleven wide column single-job-details" style="padding-top: 5px">

				<!-- Job Description -->
				<div class="ui segment">
					<div class="icon-before-title info-icon single-job-title-description js-toggle-arrow">
						<h2><?php _e( "Job Description", 'wpjobster' ); ?></h2>
					</div>

					<div class="ui divider"></div>

					<div class="single-job-job-description">
						<?php $desc_content = get_the_content();
						if ( get_option( 'wpjobster_job_description_type' ) == 'wysiwyg' || get_option( 'wpjobster_job_description_type' ) == 'tinymce' ) {
							$desc_content = wpautop( $desc_content );
						} else {
							$desc_content = wpautop( strip_tags( $desc_content ) );
						}

						$desc_content = wpj_apply_filter_to_string( $desc_content, false, 'joblistings' );

						$read_more_enabled = get_option( 'wpjobster_view_more_description_enabled' );
						$desc_excerpt = stripslashes( wpj_truncate_text( $desc_content, 250 ) );
						$desc_content = stripslashes( $desc_content );

						if ( $read_more_enabled == 'yes' ) { ?>
							<div class="post-job-description">
								<div class="job-excerpt"><?php echo $desc_excerpt; ?></div>
								<div class="job-post" style="display: none;"><?php echo $desc_content; ?></div>

								<?php if ( trim( strip_tags( $desc_excerpt ) ) != trim( strip_tags( $desc_content ) ) ) { ?>
									<a class="ui horizontal label read-more-desc"><?php echo __( 'Read More', 'wpjobster' ); ?></a>
								<?php } ?>
							</div>
						<?php } else {
							echo $desc_content;
						}

						do_action( 'wpj_after_single_job_description_content', get_the_ID(), get_the_title() ); ?>

					</div>
				</div>

				<?php do_action( 'wpj_after_single_job_description', get_the_ID() ); ?>

				<!-- FAQ -->
				<?php $post_job_faq = get_post_meta( get_the_ID(), 'faq', true );

				if ( $post_job_faq ) { ?>

					<div class="ui segment">
						<div class="question-icon icon-before-title js-toggle-arrow">
							<h2><?php _e( 'FAQ', 'wpjobster' ); ?></h2>
						</div>

						<div class="ui divider"></div>

						<div class="single-job-faq">

							<div class="ui fluid simple styled accordion">

								<?php foreach ( $post_job_faq as $key => $faq ) { ?>
									<div class="title"><i class="dropdown icon"></i><?php echo $faq['question']; ?></div>
									<div class="content"><p><?php echo $faq['answer']; ?></p></div>
								<?php } ?>

							</div>

						</div>
					</div>

				<?php } ?>

				<!-- Buyer Instructions -->
				<?php if ( get_post_meta( get_the_ID(), 'instruction_box', true ) ) {
					if ( get_option( 'wpjobster_buyer_instructions_job_enabled' ) == 'yes' && get_post_meta( get_the_ID(), 'buyer_instructions', true ) == 'yes' ) { ?>

						<div class="ui segment">
							<div class="icon-before-title info-icon js-toggle-arrow">
								<h2><?php _e( 'Instructions', 'wpjobster' ); ?></h2>
							</div>

							<div class="ui divider"></div>

							<div class="single-job-buyer-instructions">
								<?php
								$instructions = wpautop( strip_tags( get_post_meta( get_the_ID(), 'instruction_box', true ) ) );
								echo wpj_apply_filter_to_string( $instructions, false, 'joblistings' );
								?>
							</div>
						</div>

					<?php }
				} ?>

				<!-- Job Audio -->
				<?php if ( wpj_get_single_job_audio() ) { ?>
					<div class="audio-attachement-wrapper">
						<?php echo wpj_get_single_job_audio(); ?>
					</div>
				<?php } ?>

				<!-- Job Preview -->
				<?php if ( wpj_get_single_job_preview() ) { ?>
					<div class="single-job-preview-wrapper">
						<?php echo wpj_get_single_job_preview(); ?>
					</div>
				<?php } ?>

				<!-- Job Map -->
				<?php if ( wpj_get_single_job_map_display() ) { ?>
					<div class="single-job-display-map">
						<?php echo wpj_get_single_job_map_display(); ?>
					</div>
				<?php } ?>

				<!-- Job Custom Fields -->
				<?php $Custom_Fields = new WPJ_Custom_Fields( get_the_ID(), 'job' );
				$Custom_Fields->displayFieldsContent( 'single_job' ); ?>

				<!-- Job Packages -->
				<?php wpj_get_single_job_packages_mobile(); wpj_get_single_job_packages(); ?>

				<!-- Job Order Additional -->
				<?php if ( get_post_meta( $post->ID, 'price_type', true ) != 'custom' ) { ?>
					<div class="ui segment">
						<?php echo get_single_job_order_additional( 'single_job' ); ?>
					</div>
				<?php } ?>

				<!-- Job Review -->
				<?php if ( wpj_get_single_job_feedback() ) { ?>
					<div class="single-job-review-wrapper">
						<?php echo wpj_get_single_job_feedback(); ?>
					</div>
				<?php } ?>

			</div>

			<!-- RIGHT SIDE - User Info & Social Media -->
			<?php if ( wpj_is_mobile() ) { ?>

				<!-- MOBILE -->
				<div class="five wide right floated column single-job-right-side single-job-right-side-info" style="padding-top: 5px !important">
					<?php wpj_show_single_job_right_side(); ?>
				</div>

			<?php } ?>

			<!-- LEFT SIDE - Suggested Jobs -->
			<div class="eleven wide column suggested-jobs-col" style="padding-top: 5px">

				<?php if ( wpj_get_single_job_other_jobs() ) { ?>
					<div class="single-job-other-job">
						<?php echo wpj_get_single_job_other_jobs(); ?>
					</div>
				<?php } ?>

			</div>

		</div><!-- END CONTENT: ui two column stackable block grid -->

	</div><!-- END single-job-wrapper -->

</div><!-- END ui container -->
